/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_firmware_V1-hs-enc.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_FIRMWARE_SIZE_IN_BYTES (265561U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_FIRMWARE { \
    0xc1068230U,     0xa9048230U,     0x010203a0U,     0x00090202U, \
    0x450134e2U,     0x00f11e10U,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3030320dU,     0x31373235U, \
    0x32383436U,     0x0d175a31U,     0x36303032U,     0x36313632U, \
    0x31323834U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x49ae14bfU,     0xd3727fd8U,     0xebcd236bU, \
    0xdc650e48U,     0x0ef24d22U,     0xedf6824fU,     0xdbddf2b5U, \
    0x6efa917cU,     0xf7d5ff59U,     0x1d04deb6U,     0x95d2cc8aU, \
    0xc4e0d1d9U,     0xbf50f8c1U,     0x910c48ffU,     0x4c9a5022U, \
    0x96f38b7bU,     0xb326280aU,     0xa9e0d9a4U,     0xfb1a4155U, \
    0x6c275b3eU,     0x71c0cabfU,     0x22722fafU,     0x250146eeU, \
    0xc73ead62U,     0x18b1f604U,     0x12c02cb6U,     0x9be20f6eU, \
    0xa0a6e53eU,     0x034506a8U,     0x164e1741U,     0xd674a91fU, \
    0x79d64e84U,     0x11b810a7U,     0x1f920ea9U,     0xb17fdd25U, \
    0xf2b9d1f2U,     0x5933d868U,     0x777d824bU,     0xfa9cd1ccU, \
    0x58fbb423U,     0xeacdf288U,     0x2cf216d5U,     0x62fa2d75U, \
    0x6e09c1c3U,     0xe07006e0U,     0x990907b5U,     0xe4d6d962U, \
    0xc86d6ce7U,     0x93500782U,     0xedd8e2f7U,     0xd0e35fd1U, \
    0x5493cf9eU,     0x5ddd5fd9U,     0xf16037ceU,     0x048a14abU, \
    0xbaa7657bU,     0x4545df7fU,     0x5ba14b7cU,     0x94c64eaeU, \
    0x874e8c3dU,     0xa43c94d2U,     0xfcda9ff3U,     0xe77c36f2U, \
    0x425aad0dU,     0x812af137U,     0xa7a16ed0U,     0x871e0367U, \
    0x73bb00edU,     0x3128684aU,     0xa39a82a2U,     0x87e8c104U, \
    0xaa7e45ffU,     0x3bd49fc1U,     0xfd83c705U,     0xbdfe7121U, \
    0x16c9387fU,     0xe60e5219U,     0x1d8d3303U,     0x1c36c91eU, \
    0x829d4ecdU,     0x9bcd8829U,     0x5f6cbe2aU,     0x3ab2b27bU, \
    0x7d6a0079U,     0x9d1aadf5U,     0x2a58cd1eU,     0x4ef45ecfU, \
    0x4f3bab80U,     0xded4f8ddU,     0x20c4a234U,     0x2d1959d9U, \
    0x1f5e0285U,     0x8d4cb168U,     0xe90611b9U,     0x58b5762dU, \
    0x37a8508cU,     0x6f78666eU,     0x4d463083U,     0x18b49f34U, \
    0xfabbb94aU,     0xd6aec57bU,     0x84841032U,     0x809a3f6cU, \
    0x4dfc3533U,     0x606ed5bcU,     0x7ecf5054U,     0x0497806dU, \
    0x200b8ffaU,     0x2b98bdfdU,     0x59bd37a1U,     0x45ec4afdU, \
    0x178b09a1U,     0x331472c9U,     0x125e05b7U,     0x1d5ae25dU, \
    0xf65421ceU,     0x55d5eae1U,     0x4deb27aaU,     0x4019df09U, \
    0x89662e82U,     0x6ed96517U,     0x4e38d6b3U,     0xd616618dU, \
    0x16ded474U,     0xd519515fU,     0xd283b842U,     0xa94bdec8U, \
    0x8db69769U,     0x00010302U,     0x0182a301U,     0x01823024U, \
    0x060c3020U,     0x131d5503U,     0x03300504U,     0x30ff0101U, \
    0x2b090612U,     0x01040106U,     0x03012682U,     0x03300504U, \
    0x30000102U,     0x2b090660U,     0x01040106U,     0x22012682U, \
    0x51305304U,     0x86600906U,     0x03650148U,     0x04030204U, \
    0xe418fc40U,     0x02d39692U,     0x7c4ebb50U,     0x85d36ea7U, \
    0x589ad240U,     0x73c849c5U,     0xa0b9747bU,     0x405e4824U, \
    0xafbc0733U,     0x2fe51db9U,     0x1121ec89U,     0x0d707914U, \
    0xf0f5a6afU,     0xda8661c4U,     0x673893b7U,     0x7ac8733fU, \
    0x06020279U,     0x06183094U,     0x01062b09U,     0x26820104U, \
    0x0b042301U,     0x04040930U,     0x00000400U,     0x30010102U, \
    0x2b090622U,     0x01040106U,     0x01012682U,     0x13301504U, \
    0x02030102U,     0x01020001U,     0x00040400U,     0x02000004U, \
    0x30940602U,     0x2b09065cU,     0x01040106U,     0x02012682U, \
    0x4d304f04U,     0x86600906U,     0x03650148U,     0x04030204U, \
    0xe418fc40U,     0x02d39692U,     0x7c4ebb50U,     0x85d36ea7U, \
    0x589ad240U,     0x73c849c5U,     0xa0b9747bU,     0x405e4824U, \
    0xafbc0733U,     0x2fe51db9U,     0x1121ec89U,     0x0d707914U, \
    0xf0f5a6afU,     0xda8661c4U,     0x673893b7U,     0x7ac8733fU, \
    0x060d3079U,     0x48862a09U,     0x010df786U,     0x00050d01U, \
    0x01028203U,     0xd0605f00U,     0xa330eb83U,     0x124f186aU, \
    0x4490636fU,     0x74b0e0f6U,     0x94ae34c0U,     0x0d3d6711U, \
    0xcc6aaf76U,     0x6ccbf1f6U,     0x42d2a66aU,     0xfbf38c1bU, \
    0xc62ee265U,     0x5df82ba9U,     0x2f4b98d7U,     0xcdb097c6U, \
    0x4170c707U,     0x34a2bcc6U,     0xf48daa58U,     0xab7481f5U, \
    0x3ec872e2U,     0xc35cdc17U,     0x335d49c2U,     0x51a381f5U, \
    0x02816518U,     0x1e8c22bbU,     0x0e828046U,     0xf33fc49fU, \
    0xa88bf009U,     0x1370e261U,     0xfda5d00fU,     0x623918ecU, \
    0x76dc7018U,     0x3fe3caabU,     0x0fb0c321U,     0x78367f0bU, \
    0x6979aee3U,     0xa3052419U,     0x4e1621f8U,     0x7a95e300U, \
    0xc06dd0d9U,     0x3cdc1a87U,     0xcdea968dU,     0x221810e5U, \
    0x06791ccbU,     0x33431083U,     0x4258def3U,     0x3516de6dU, \
    0x2e9c6c0dU,     0x3852a1d1U,     0x714807e9U,     0x4a83af50U, \
    0x8c61b06bU,     0xf4aeb921U,     0xe7ac0032U,     0xff531d03U, \
    0x23b7f4a6U,     0x6e6347a6U,     0xc2030fe9U,     0x899d7295U, \
    0x51896712U,     0x3e8d030cU,     0xb89e1a3fU,     0xfb56d5d4U, \
    0x4e15172fU,     0xf5a8da00U,     0x2623d6beU,     0xa006272eU, \
    0xf2e95c35U,     0x8005ecfcU,     0x8437af80U,     0xdbcaca0bU, \
    0x453b9276U,     0xc9ca561eU,     0x1ba26d31U,     0x01e5efb5U, \
    0x1e17982cU,     0xb9facb46U,     0x42c7e9fbU,     0x2d2dc286U, \
    0x33836dc9U,     0x4f9da1c8U,     0x5bd72386U,     0xe14db9ebU, \
    0x725cf842U,     0x5dd1eb38U,     0xedcb746bU,     0xe8897fd9U, \
    0x4b09779dU,     0x49196b4dU,     0xc02e68e4U,     0xeaf00de5U, \
    0xcaff7919U,     0x4c78eb31U,     0x1265bc41U,     0x9a31d8a1U, \
    0x513db1a6U,     0x5134e129U,     0xabb2ce9aU,     0x6a9a30acU, \
    0x7addd1a0U,     0x40160123U,     0xeff8e875U,     0x950dc77eU, \
    0x99a6da12U,     0xfe831326U,     0xeb4d3bc6U,     0x06354dd7U, \
    0xf80c1644U,     0xe149c38bU,     0xb59f2c6eU,     0x8a416f59U, \
    0x9b22796bU,     0x27fc6da1U,     0x6203f826U,     0xe1fc87e1U, \
    0xcc88bcc5U,     0x94374b1eU,     0x7b1664edU,     0x50efdd23U, \
    0xf8040fbdU,     0xc11fe747U,     0xe43cbcedU,     0x90c8f310U, \
    0xc3c75d43U,     0xccca376eU,     0xe98a940eU,     0x400108edU, \
    0xa7661ba9U,     0x0682304bU,     0x04823090U,     0x0203a078U, \
    0x09020201U,     0x74a7b900U,     0xef3085f4U,     0x060d305bU, \
    0x48862a09U,     0x010df786U,     0x00050d01U,     0x318b8130U, \
    0x0609300bU,     0x06045503U,     0x53550213U,     0x09300b31U, \
    0x04550306U,     0x53020c08U,     0x300f3143U,     0x5503060dU, \
    0x060c0704U,     0x6c6c6144U,     0x21317361U,     0x03061f30U, \
    0x0c0a0455U,     0x78655418U,     0x49207361U,     0x7274736eU, \
    0x6e656d75U,     0x2c2e7374U,     0x636e4920U,     0x300c312eU, \
    0x5503060aU,     0x030c0b04U,     0x31554250U,     0x060d300fU, \
    0x03045503U,     0x6c41060cU,     0x74726562U,     0x1a301c31U, \
    0x862a0906U,     0x0df78648U,     0x16010901U,     0x626c410dU, \
    0x40747265U,     0x632e6974U,     0x1e306d6fU,     0x30320d17U, \
    0x36323530U,     0x35313032U,     0x175a3034U,     0x3030320dU, \
    0x32353236U,     0x34353130U,     0x81305a30U,     0x300b318bU, \
    0x55030609U,     0x02130604U,     0x0b315355U,     0x03060930U, \
    0x0c080455U,     0x31435302U,     0x060d300fU,     0x07045503U, \
    0x6144060cU,     0x73616c6cU,     0x1f302131U,     0x04550306U, \
    0x54180c0aU,     0x73617865U,     0x736e4920U,     0x6d757274U, \
    0x73746e65U,     0x49202c2eU,     0x312e636eU,     0x060a300cU, \
    0x0b045503U,     0x4250030cU,     0x300f3155U,     0x5503060dU, \
    0x060c0304U,     0x65626c41U,     0x1c317472U,     0x09061a30U, \
    0x8648862aU,     0x09010df7U,     0x410d1601U,     0x7265626cU, \
    0x69744074U,     0x6d6f632eU,     0x22028230U,     0x09060d30U, \
    0x8648862aU,     0x01010df7U,     0x03000501U,     0x000f0282U, \
    0x0a028230U,     0x01028202U,     0x4de9dd00U,     0x97804d9cU, \
    0xc894ce39U,     0xe2ab88bcU,     0xa982be7cU,     0xafe00bd2U, \
    0x6a98eaf3U,     0xc395ee79U,     0xc47abd02U,     0xebc47502U, \
    0x0910c591U,     0x45da0141U,     0xf0a6ed90U,     0xd4e61330U, \
    0xf224333bU,     0xc1d91240U,     0x6ab16aafU,     0x63163cc5U, \
    0x5284a3ccU,     0xd6530c7cU,     0xa9392d84U,     0xcbefb426U, \
    0x3d031732U,     0x009674cbU,     0x7059924bU,     0x6fe2c765U, \
    0xf734733dU,     0x876f7f13U,     0xfc36ab47U,     0xfb5f5b46U, \
    0xbb1e03c7U,     0x39f42bbaU,     0x2855e08cU,     0x34435edbU, \
    0xd8161ea5U,     0xf946ac83U,     0x876f8ea6U,     0x22092cc4U, \
    0xc3867565U,     0x9437bb71U,     0x147fb429U,     0x0e748927U, \
    0x3670f7e8U,     0xc5099167U,     0xc11cef7cU,     0x4b28a9bfU, \
    0x50f19b05U,     0x19e846efU,     0x80fee23eU,     0xe935f6fbU, \
    0x82d47734U,     0xf23c0444U,     0xa91840b4U,     0x98ffabefU, \
    0x8e2989f4U,     0xeee7723cU,     0x40b93a90U,     0x880ef0a0U, \
    0xf1f62f8aU,     0x507e6742U,     0x8a1e84a2U,     0x19c60745U, \
    0xe504d0edU,     0x4fa69699U,     0xb9de1ad3U,     0x5b785300U, \
    0xb2355cb5U,     0xd2bc456cU,     0x7133a817U,     0x1738cc96U, \
    0x233901b2U,     0xf74307d0U,     0xf5987ad4U,     0x9b376580U, \
    0x1bbd3c30U,     0xe06a7893U,     0x0e174d35U,     0x56ca19b1U, \
    0xe5d4c77cU,     0x5b6ea898U,     0x2010370aU,     0x4b49e47fU, \
    0x78f7ebb4U,     0xcf201b2bU,     0x97730a77U,     0xd84f1ac7U, \
    0x0482192fU,     0x74b66d9bU,     0x26d39f30U,     0xa16da99fU, \
    0x9d01cf3cU,     0x1d2a1231U,     0x66651deaU,     0x0396bfa8U, \
    0xa22d7d6aU,     0x26f8c68eU,     0x0347a524U,     0x983a522fU, \
    0x4c4b3220U,     0xb4cb0164U,     0x966640a9U,     0x5e82e6beU, \
    0x02345ca3U,     0x53fd7025U,     0x85e66fefU,     0x00a8f9e6U, \
    0x701b6c21U,     0xe1b61a04U,     0xf70b113bU,     0x5f5584bbU, \
    0xcabc4cb4U,     0xaa9ce711U,     0x57233d35U,     0xe9f4c8ecU, \
    0xb9a7e93cU,     0xcb79b56eU,     0x702bd1bfU,     0x08ab54bdU, \
    0xc364e9c8U,     0x36460e88U,     0xe886c7eeU,     0x0b74543eU, \
    0x82359aedU,     0x49f61a5cU,     0xe6c53706U,     0xaa0a22a0U, \
    0xcd4e4197U,     0x8aff5978U,     0x01030215U,     0x81a30100U, \
    0xf18130f4U,     0x03060c30U,     0x04131d55U,     0x01033005U, \
    0x2330ff01U,     0x062b0906U,     0x82010401U,     0x04010126U, \
    0x02143016U,     0x01020201U,     0x00010200U,     0x04000404U, \
    0x03020000U,     0x30000004U,     0x2b09065cU,     0x01040106U, \
    0x02012682U,     0x4d304f04U,     0x86600906U,     0x03650148U, \
    0x04030204U,     0xb83ad640U,     0xa673def0U,     0x76bf8978U, \
    0xe3116d4dU,     0x17ca8bdfU,     0x4fbac3efU,     0x5a3ec70eU, \
    0x58c48260U,     0xc0acffe0U,     0x4077aa42U,     0x346edf88U, \
    0xbd25be86U,     0x57b50cb0U,     0xfd71978eU,     0x872c471cU, \
    0xbd990a92U,     0x06123010U,     0x01062b09U,     0x26820104U, \
    0x05040301U,     0x01020330U,     0x064a3000U,     0x01062b09U, \
    0x26820104U,     0x3d040401U,     0x10043b30U,     0x60c36b25U, \
    0xdaec9bd9U,     0xfe0c3903U,     0x88bde2c3U,     0x10c42004U, \
    0x91138d31U,     0xa957faf0U,     0x3c471b44U,     0xf37c22aaU, \
    0xdaca369aU,     0x3f0e54d6U,     0x98fc167dU,     0x010244e9U, \
    0x00020400U,     0x060d3000U,     0x48862a09U,     0x010df786U, \
    0x00050d01U,     0x01028203U,     0x4c93cf00U,     0x12864db5U, \
    0x173ad3a5U,     0x33ee7ca6U,     0xe9c0b2ecU,     0x9e3b86c6U, \
    0x7e928d5cU,     0xf2432a1aU,     0xd9d57848U,     0x85b5246bU, \
    0x0d19baf8U,     0x51aca471U,     0x08efbf6eU,     0xdb23ef14U, \
    0x7030b4feU,     0x89334bdfU,     0x050cc989U,     0x8c65cf43U, \
    0xc0ca0877U,     0x727e582fU,     0xf4f4c467U,     0x0c76fd9dU, \
    0xe13f1a3dU,     0x4f4c9bc7U,     0x1ecb0adbU,     0xa3a9f7f9U, \
    0x2e991e87U,     0x0a666a01U,     0x6be4c5feU,     0x3da26c21U, \
    0xb98476c3U,     0x65f087d7U,     0xee4267dcU,     0xa8ecb684U, \
    0x28fc41b4U,     0x26dad405U,     0xbd33b036U,     0x028a6928U, \
    0x6ab8cfa8U,     0x6c27a36bU,     0x84bda488U,     0x4c3dd102U, \
    0xa02ef5cdU,     0x9cbf2522U,     0xd2624314U,     0xd1d13379U, \
    0x40577132U,     0x1155ececU,     0xcc7b218aU,     0xfa5ccf0aU, \
    0xeda32a40U,     0xea5e17feU,     0xa78c1bb7U,     0xd06079ebU, \
    0xd8843fc5U,     0x73bdcc20U,     0xf6ec5979U,     0x674c9577U, \
    0x5a21b1d8U,     0x3b5fd844U,     0xd1fd9260U,     0x302385e6U, \
    0x0e1decd6U,     0xbe745143U,     0x2e006c56U,     0xe155d2e2U, \
    0xa88c9aceU,     0xc242ce37U,     0x6e9f45c0U,     0x09f98299U, \
    0x9ebbf76dU,     0x63b3a164U,     0xa43c53cbU,     0x9c64665bU, \
    0x267509d8U,     0x29817d96U,     0xb6e7b911U,     0xc858522cU, \
    0x6758269eU,     0xb068a7feU,     0x31cae96aU,     0x3dc6e29fU, \
    0x62d2a109U,     0x4d7cd69fU,     0x8338964dU,     0x47d24079U, \
    0xf164559dU,     0x2335d7ceU,     0xf2a1f117U,     0x9c010692U, \
    0x3eb66d19U,     0xc3ac4989U,     0xb26c756eU,     0x6f6701d9U, \
    0x167faa82U,     0xd3357338U,     0x14e945ffU,     0x1b1f53c3U, \
    0xbb963e88U,     0x4965457eU,     0x3a8315c6U,     0x69c33a3eU, \
    0x0cc8da7aU,     0x72596955U,     0xb472d367U,     0x877e54bdU, \
    0xece09220U,     0x2f747bb9U,     0xd50e9948U,     0xe773b85bU, \
    0x71aeacfdU,     0xe6122a09U,     0xcccba141U,     0x0a5180cbU, \
    0x74d3ef00U,     0xc45eaebeU,     0x44bae239U,     0x900f9fbaU, \
    0xb311a169U,     0xfecc3709U,     0x7ee170e8U,     0x7d929547U, \
    0x43fc7145U,     0x48b70e69U,     0xcd5138e3U,     0x8cc17361U, \
    0x23451477U,     0x18bbc8f0U,     0x500bce7aU,     0x1cc0983dU, \
    0x945c5a89U,     0x1fcf168eU,     0x8f707834U,     0x3a884673U, \
    0x38ce5287U,     0x1960897dU,     0xb0169303U,     0x0ae955d0U, \
    0xa6886d44U,     0x5e85b878U,     0x071aeb64U,     0xa9259954U, \
    0x2751feabU,     0x816dd545U,     0x9d4a34e2U,     0x82eface1U, \
    0x92a48e2dU,     0xe49014edU,     0x020035fcU,     0x6c705c73U, \
    0xf7483db1U,     0xc4ebe0f0U,     0x2289aeb1U,     0xcec8ca81U, \
    0x70dacc67U,     0xef82fcf2U,     0x03fd0934U,     0x7431134fU, \
    0x9f17f479U,     0x6a780a23U,     0xb022ef47U,     0xaf153030U, \
    0x5f2689c8U,     0x095ce61dU,     0xc5891e8fU,     0xd54d04d0U, \
    0x69a1bbdeU,     0x00020cdbU,     0x1b042e56U,     0xb3c9d3adU, \
    0x48cb2de7U,     0x26ace95aU,     0xe948e4aaU,     0x837ee9a2U, \
    0x0715a75cU,     0x1308e9a5U,     0x2f1852faU,     0x5fa86546U, \
    0x15731197U,     0xf2600c59U,     0xa6e2b59eU,     0x1165e6d2U, \
    0xb5164bbfU,     0x12e1d210U,     0x35865bccU,     0x1d22c71cU, \
    0xb0a54f63U,     0x13f4d324U,     0x9668e05fU,     0xf11fc58aU, \
    0x9f20a965U,     0xb181fc6bU,     0xc9523e71U,     0x02a081a0U, \
    0x3460778aU,     0xa2f0b909U,     0x5328c97bU,     0xba08dfe7U, \
    0xbd34b328U,     0x0198ec18U,     0x6dd826d4U,     0xaddbbc96U, \
    0x32208a1dU,     0x177d16efU,     0xb6fa36caU,     0xd7ee3002U, \
    0x14b07837U,     0x13d44326U,     0xa087d79dU,     0x518ad068U, \
    0x6ca8df08U,     0x6e5e32a1U,     0xeaf2d655U,     0x37561213U, \
    0x866a2522U,     0x4a7b697bU,     0xc83f6380U,     0x8ea8a006U, \
    0x47d7c84eU,     0x8977cc31U,     0x0e82d509U,     0xc7e3f9f6U, \
    0x5df5b244U,     0xd9e0687fU,     0xb7353f09U,     0x6b6aff65U, \
    0x8fc875a7U,     0x13378abfU,     0x2b1a21ecU,     0x84e75da3U, \
    0xe83e3bbdU,     0xa6af5da0U,     0x385e86cdU,     0x4274606aU, \
    0x00952c7dU,     0x1504a19eU,     0xeb7d698aU,     0xfb06c0b4U, \
    0x35cfc2beU,     0x6a580174U,     0xcb99460aU,     0x6b61b200U, \
    0x5f69a875U,     0xa1dca529U,     0xe78350daU,     0x1c11e402U, \
    0x1aa26b4bU,     0xdfc07a02U,     0xc4fe25e7U,     0x1b7e29eeU, \
    0xffb46533U,     0x81ccfa91U,     0x3a4bad16U,     0xf23df020U, \
    0xae807115U,     0x74fa55e8U,     0xdcc4290fU,     0xc08138f6U, \
    0x1232d929U,     0x4a67bd18U,     0x2b70515eU,     0xc47fed03U, \
    0x4f1a1ca1U,     0xed87efdcU,     0x127ede52U,     0x0c68b363U, \
    0x24de1b0bU,     0x433abaa5U,     0x7245a696U,     0x183fe9c1U, \
    0x0560c541U,     0xa7b667f5U,     0x8e477431U,     0x21adfbcbU, \
    0xd6faf30bU,     0xd496844dU,     0x5d7b980fU,     0xdd5f6941U, \
    0xb7350055U,     0x18e89abfU,     0x40465a6fU,     0x8448244bU, \
    0x34ac258bU,     0x6a721473U,     0xeef9729eU,     0x69f12e83U, \
    0x62f3123dU,     0x7ab66852U,     0xa5585067U,     0x2492e5f1U, \
    0x00fd80ebU,     0xd68ae675U,     0x752fafb2U,     0xf1728d66U, \
    0xef425c84U,     0x078935a8U,     0x28eaa6a4U,     0x06a094abU, \
    0x3a189b5cU,     0xdf92a91aU,     0xb980b9d5U,     0xf534d599U, \
    0x829aa6a2U,     0x3f0000f4U,     0x06faa3deU,     0x4af089bdU, \
    0x3108e20aU,     0x15a7735fU,     0x34bd8575U,     0x7a9c4aacU, \
    0xf2b8405bU,     0x7b62e998U,     0xf81ff334U,     0x7cb860dfU, \
    0xb30f8710U,     0x2f11cf25U,     0x4fd5bb25U,     0xcaf776a8U, \
    0x2e650ba6U,     0x3a17d95cU,     0xde988f4eU,     0x8e529762U, \
    0xb0250211U,     0x551b51ffU,     0xd8ec24d8U,     0xe899be2eU, \
    0x7812c5d2U,     0xf0d926e5U,     0xd7de4f10U,     0x506a6817U, \
    0x02952a04U,     0x2586f009U,     0x455a784aU,     0xa4ed0b2dU, \
    0xce6ef8c4U,     0x23560c77U,     0xb48fe674U,     0x56fdf95aU, \
    0xe9500d13U,     0x86f45c43U,     0x4f471acfU,     0x461495c9U, \
    0x9a7a1353U,     0xad314981U,     0xd159a8e2U,     0xfe77c2e7U, \
    0x4344c767U,     0xe06a9590U,     0x78f82de6U,     0x92b03916U, \
    0xd0c86619U,     0x67f43dd1U,     0x914650f8U,     0x38fcff39U, \
    0x7a816388U,     0xe331d5c6U,     0x419bd29dU,     0x97a2240dU, \
    0x048a703cU,     0xcf5aa93aU,     0xd46dec4eU,     0x5dbebef2U, \
    0x0a35a36aU,     0xfb5295ddU,     0xc42afc57U,     0x0c05496bU, \
    0x7248b31bU,     0x9793186eU,     0xe8477923U,     0xde8b471fU, \
    0x2373c9bdU,     0x424d42a3U,     0xf114de07U,     0x5e2da529U, \
    0x7333ecfbU,     0x3ce17ff4U,     0x674c3f2aU,     0x4e10bfccU, \
    0x4e8fc9e6U,     0x8a186fafU,     0xafb7fe6fU,     0xb64cc186U, \
    0xfd512407U,     0xcb41e195U,     0xa5e7b777U,     0x2e9b14d9U, \
    0x6badadefU,     0x644d8fe1U,     0x8aad3e1dU,     0xa186e5f6U, \
    0x3505dfb5U,     0x3ebd7e97U,     0xcc2ec72bU,     0x52beff9eU, \
    0x5b95eeafU,     0x9cbf63b5U,     0x7e93be28U,     0xd9983058U, \
    0xc6b60968U,     0x25303323U,     0xcbe2ca70U,     0x6903580aU, \
    0x3d788177U,     0x20079b14U,     0x65cf8493U,     0xcb8af2d1U, \
    0xcbbf9957U,     0x42f2fbb0U,     0x2926c79fU,     0x0f8c1380U, \
    0x43ef224bU,     0xa6fb2263U,     0x5cb4e131U,     0xcdbf23e9U, \
    0xb76f5e6eU,     0xabc679faU,     0x0ce300b0U,     0x5d007338U, \
    0x4e7fbfffU,     0xaa759206U,     0xecb480efU,     0xc05ccdd4U, \
    0x06e4965fU,     0x31ee49d9U,     0x90931b61U,     0x91e95feeU, \
    0xa6d81588U,     0xb44e5f8dU,     0x25009533U,     0xc437c2a2U, \
    0x6df5ce74U,     0x81876281U,     0x0deb5f12U,     0xdba25524U, \
    0x287087f6U,     0x268dd08aU,     0x8d626510U,     0xf412ed25U, \
    0x7941c5a5U,     0x6faeb1f1U,     0xe514ff5eU,     0x4f42dd89U, \
    0xe0b12895U,     0x3082e784U,     0x9e0275edU,     0x4920f2e0U, \
    0x0c892869U,     0x3898924dU,     0x2517d7f4U,     0x89d35080U, \
    0x37626922U,     0x47856b4dU,     0x5a11db63U,     0x240830b5U, \
    0xce7bd9abU,     0x4910a88aU,     0x3830480dU,     0x6ee4cef1U, \
    0x5d1659d4U,     0xd9955357U,     0x659c0352U,     0xff8e9de2U, \
    0x122decb4U,     0xfb4097bbU,     0x279f818fU,     0x7edfbd23U, \
    0x18420c92U,     0x25095643U,     0x5fe23080U,     0x01da9467U, \
    0x50af16b6U,     0x19912ac9U,     0x7a0da8c4U,     0x8247207bU, \
    0x90bbe967U,     0x99fa396aU,     0xdb28ea33U,     0xe9663f74U, \
    0x2707159aU,     0x390476feU,     0xc7288a7bU,     0xa1fcc760U, \
    0x1cad7850U,     0xdd5a6228U,     0x1750d050U,     0x600f08c9U, \
    0xb03c4adaU,     0x404eb8b3U,     0xfa2e874cU,     0xd308fbfcU, \
    0x179ab2bbU,     0x3f99e48dU,     0xddb2035fU,     0x545ad469U, \
    0x64a47c19U,     0x8c0fdca0U,     0x355ecca3U,     0x5f199220U, \
    0xcb43dc06U,     0xda0194eaU,     0x0d441071U,     0xe5bc5faeU, \
    0xa9646ab8U,     0x44615420U,     0x7356700dU,     0x16289cb1U, \
    0xbf931ec4U,     0x0697bb28U,     0x226d84eaU,     0x28502b1bU, \
    0x92ebbb27U,     0xac7a9928U,     0xf323e101U,     0x7cb90396U, \
    0x2fe82a96U,     0x97ad5431U,     0x952b847fU,     0x0676e7a6U, \
    0xf410b732U,     0x0aafeebeU,     0x2b14ed2fU,     0x1f30f157U, \
    0x3ea59bf5U,     0xc5091755U,     0x63bb8988U,     0x3fea4ba6U, \
    0xf24db3f0U,     0xa19d1417U,     0xf2a62ae7U,     0xe8ab128eU, \
    0x8b2c6b03U,     0x02f0f19dU,     0x3ec24852U,     0xac740b1dU, \
    0x67f5afb2U,     0x7cc2678bU,     0xea2746acU,     0x127823e3U, \
    0x84ab1d50U,     0x54e8bcd3U,     0xba0b3551U,     0x188e45e3U, \
    0xb1082c1cU,     0xfdd3be04U,     0x1688203eU,     0x27855d16U, \
    0x972e43c8U,     0x70c9e5f6U,     0x5c0631b0U,     0x3876e8faU, \
    0xe1df3868U,     0x191834e8U,     0xe92d1b65U,     0x75d4d7b3U, \
    0x505aec0cU,     0xd41615ceU,     0x5cdb271bU,     0x15983199U, \
    0xabc1f18bU,     0x99dff31dU,     0x56c26a6dU,     0x548767a7U, \
    0x83a41c6aU,     0x3c507f53U,     0xac10c0a2U,     0x6ed64392U, \
    0xb89f1a4aU,     0xb4cf8b37U,     0xfbcf940eU,     0x15bec4a9U, \
    0xd6ea1579U,     0x477f520aU,     0xf278ce2fU,     0x3b4468cdU, \
    0xcd7045f6U,     0x32398dd4U,     0x377fd25cU,     0xe9c1706bU, \
    0xb505295eU,     0x5e8ad1f6U,     0x7f9cb124U,     0xcd22b105U, \
    0xea093a46U,     0xd9423fbfU,     0x431e3a42U,     0x43acc7bcU, \
    0x5bc1bfb9U,     0xa9f3b932U,     0x2da1670bU,     0xd9439f3bU, \
    0x1a5a5207U,     0x17d4ccc3U,     0xfb71bdb2U,     0x38b9b1d3U, \
    0x8a225b17U,     0x8dbea260U,     0x5a0ae89cU,     0xae6bbda2U, \
    0xb3d56a15U,     0x8dedfc08U,     0x2d470c26U,     0x849e4bdeU, \
    0xd8434f2eU,     0xfd3fad43U,     0x1e0b4951U,     0x58950e01U, \
    0x999bcaadU,     0xf8c24888U,     0xab5a8b04U,     0xe8cb1d8bU, \
    0x54955e71U,     0x6af2d5ecU,     0x90739526U,     0xe74faa9bU, \
    0xafa2ec32U,     0x1eead0ebU,     0xde02d49fU,     0xa89a8eedU, \
    0xfe9a315bU,     0xf8fd0087U,     0xf2780a64U,     0xaa8510c7U, \
    0xcffc2d88U,     0x5c0c70ceU,     0x10c4d9d7U,     0x0ad55da8U, \
    0x4841be7cU,     0xf43ea404U,     0xaaf02b86U,     0x9e9ba5a0U, \
    0x6266a95eU,     0x19f9579cU,     0xa3953a8fU,     0x85d31badU, \
    0x485b3277U,     0x5f04db7fU,     0x61046b13U,     0x30ea73c3U, \
    0x504d14e3U,     0x97c97cb3U,     0x6c45afa0U,     0xc1b73d8cU, \
    0x98cacfa9U,     0xb8a43d3fU,     0xb3f37ac0U,     0x52aa8b26U, \
    0xca7e4681U,     0x4faeaa35U,     0xc61bd2afU,     0x14984876U, \
    0x1859f397U,     0x84cf7a7fU,     0x71689234U,     0x544dd01eU, \
    0x22aaa742U,     0x3774668dU,     0xea15e0a2U,     0xc068afbcU, \
    0xd35da374U,     0x4bd5994eU,     0xdbd0e9afU,     0xd3dc9437U, \
    0x286193faU,     0x55a2bc49U,     0x280a5886U,     0x31ee7ea3U, \
    0xd13907bdU,     0xadeac4a2U,     0xedc0ca80U,     0xa1705dc2U, \
    0x347fb047U,     0x0453849fU,     0x9ec3d61eU,     0xce7d4265U, \
    0x8e7f23daU,     0xc182fe3eU,     0x47f9a7aaU,     0x28cf9ee0U, \
    0x137291c4U,     0xe3bb07e0U,     0x581e489aU,     0x1194f64eU, \
    0x28c37e58U,     0xf79551ebU,     0xe134b3c0U,     0x6db30b5bU, \
    0xb59df879U,     0x22f0614eU,     0xb4b088d7U,     0x9ad4ec65U, \
    0x8fcc0686U,     0x389de007U,     0x9f150ba1U,     0xfa9a2efaU, \
    0x29ce82feU,     0x2feabe54U,     0xcad96821U,     0xc6ec5361U, \
    0xd144b496U,     0x8e179f9dU,     0xcdd89c69U,     0xd4a093e5U, \
    0x43849338U,     0x712d4f26U,     0x000d89b2U,     0xf0718690U, \
    0xfd93717cU,     0x56d78129U,     0x8653427aU,     0x0f584f45U, \
    0xc3f1532dU,     0x03d4f3b3U,     0x98dc4f8bU,     0xfc42214fU, \
    0x62895887U,     0x354024c5U,     0x68a284b0U,     0xe15f58b5U, \
    0x729881c1U,     0xadd074eaU,     0x00186585U,     0x0ac62797U, \
    0x77cb1b5dU,     0x439a37a4U,     0xad23db71U,     0xde8af25aU, \
    0x4b35324eU,     0x150bb627U,     0x8e3c094cU,     0x1c7f7718U, \
    0xa9e37acaU,     0xbd99713fU,     0xcdbcb0adU,     0x824be387U, \
    0xdbd6480bU,     0x149f0e34U,     0xfc3a269aU,     0xc0e6a94bU, \
    0x7808bbdeU,     0xeb47b638U,     0x2138d1d9U,     0xda22288bU, \
    0x7b783fe2U,     0xfa80c699U,     0xc02c3609U,     0xf99edbb9U, \
    0xa3357b42U,     0x8357c2dfU,     0x01b5c340U,     0x35b9d0c0U, \
    0x2e33cbdbU,     0xd03e4ce2U,     0xc59dac9dU,     0xa2bc0e43U, \
    0x92897aceU,     0x81027253U,     0xe3ea952eU,     0x9d01f2e2U, \
    0x8c0d8ff4U,     0xc9494f00U,     0xa46ec3d3U,     0x2c5fa777U, \
    0x511fa8c6U,     0x9fb2fb6cU,     0x19b9ea95U,     0xd1251787U, \
    0xd10a205eU,     0xac74046aU,     0x6bc9a614U,     0x983d3f6fU, \
    0xe1f54ab5U,     0xd54f907fU,     0x2ba62358U,     0x3c564c62U, \
    0xfde5b954U,     0x2d8698ffU,     0xa8afbffcU,     0x20436b9bU, \
    0x5f636869U,     0xe0a04b0aU,     0x517f0a9cU,     0x7d1ca30fU, \
    0x46998b03U,     0xb4cceb82U,     0x770d9451U,     0xf7e10dc8U, \
    0x96ca0a47U,     0x315127cfU,     0xa2695b33U,     0x81eee2c9U, \
    0xcbf1623aU,     0x0d88c836U,     0x932175c8U,     0xb63f59feU, \
    0x23a49c5dU,     0x2fb510fdU,     0x78900034U,     0x25fafe4eU, \
    0x146e52baU,     0x308cc296U,     0x4fab5774U,     0xba8b176dU, \
    0x4b8edc8dU,     0x2dd2e410U,     0x3991ee66U,     0x1f2c4462U, \
    0x1fc413e0U,     0x1f064fd6U,     0xd3c73c03U,     0xb4c7a90fU, \
    0x5ec50f0bU,     0x95096353U,     0x2904785aU,     0xf56f7765U, \
    0xc3389b88U,     0x977ecbcaU,     0xb7982e8eU,     0xd6bf14c1U, \
    0x93ab5adaU,     0xf79264dfU,     0x454f2258U,     0xf2bd4835U, \
    0xaa0c1ce9U,     0xf67c209dU,     0x53bb1e8fU,     0xd52af618U, \
    0x4b9cf582U,     0xc62be4adU,     0xf0dbea6bU,     0x95c5ae17U, \
    0x048804deU,     0x5ae59b8fU,     0x36d1b58dU,     0xe521610aU, \
    0x7af723e9U,     0xc46d4ff8U,     0xfa17bc63U,     0x61659c75U, \
    0x35a8fe2dU,     0x1f00b2e3U,     0xe52e5528U,     0xd4d93d80U, \
    0xd82a604bU,     0xec2e0e44U,     0xa34b1477U,     0xd3f30b86U, \
    0xa339193cU,     0x9b4adcc9U,     0x68c1a173U,     0x73167a61U, \
    0x457116a2U,     0x827a0bc7U,     0x485b9fe6U,     0x28001f3bU, \
    0xd35419a5U,     0xc2c84bbeU,     0x9e0f7a5dU,     0x2de2af16U, \
    0x685f24d2U,     0x1632d7a1U,     0xdfd16f79U,     0x63d1c47aU, \
    0xbef687dfU,     0x7607bfe5U,     0x400ada69U,     0x57cb8253U, \
    0xc7191266U,     0xc4d7a06aU,     0xd334c01aU,     0x8c53b386U, \
    0xe9b81687U,     0x48931500U,     0xdde17b59U,     0xcb11cc63U, \
    0x31be19d5U,     0x631ef113U,     0x5a682fc2U,     0xbfc46a6fU, \
    0xfdd0fef5U,     0xf628773cU,     0x6b4e6f21U,     0xbe022f43U, \
    0xe8d474b0U,     0xfbca5b59U,     0x5fde61f6U,     0x5d4b6cc3U, \
    0xd617779bU,     0x70b2240cU,     0xffd9f43dU,     0xf632e44fU, \
    0x955d22bfU,     0xc642dbe0U,     0xf29a4ec4U,     0xb69655aeU, \
    0x4f4ec6e1U,     0x655aec52U,     0x1ff050aaU,     0x40aae967U, \
    0x464f5e40U,     0xd4ed5fd2U,     0x536e6396U,     0x8748035cU, \
    0xf142c61dU,     0x1ee90269U,     0x61f006bfU,     0x979fdd05U, \
    0x1e1dd2f6U,     0x5df4db20U,     0x47ef1c3dU,     0x3e3a24abU, \
    0x30568513U,     0x1b8335d8U,     0x60db65d2U,     0xb2e53daeU, \
    0x2c9e6416U,     0x6c4fff20U,     0x13db9d87U,     0x4a76881fU, \
    0x59eae8e0U,     0xe964cc62U,     0xc9a7e697U,     0x37132584U, \
    0x2c9ceddbU,     0x11a1e930U,     0xb2999ef9U,     0xc74cfde0U, \
    0xe4ba9217U,     0x39088ac5U,     0x3199549fU,     0x7c0f7d76U, \
    0x858e968bU,     0xbe9e543dU,     0xde097a4fU,     0xc9070684U, \
    0x777051a2U,     0xc6554337U,     0x5c21dce1U,     0x6b4d6c37U, \
    0x71008188U,     0xb3c604ccU,     0x9e99c1c5U,     0xfe63bb5eU, \
    0x1be409cbU,     0xd80494f2U,     0xb40412bfU,     0x3be3d1b9U, \
    0x025d397aU,     0x84701894U,     0x76f307e7U,     0xb1536165U, \
    0xf66c2446U,     0x40d04bceU,     0x1f47157eU,     0x136c2c8aU, \
    0xd9699ce1U,     0x3cbfee0fU,     0x2d3bcc46U,     0x478cc24bU, \
    0x14370e42U,     0xfe287e45U,     0xf328891bU,     0xcc027968U, \
    0xb5907f79U,     0xbbfb7a96U,     0xf48221b6U,     0x9e8dabc0U, \
    0x9d6bd1e2U,     0xdf8114e4U,     0x1038b460U,     0x133d5506U, \
    0xf6b7f7c0U,     0x05fa1abaU,     0xf3c3875eU,     0x20181625U, \
    0xd5ae39efU,     0x8e9339acU,     0xcd0bc2adU,     0xe25e8cabU, \
    0xefd6d5daU,     0x3d050757U,     0xde2b90f4U,     0xc7574be8U, \
    0xc59265acU,     0x37a4fcb8U,     0x325a6e89U,     0x44268813U, \
    0x2a44b46aU,     0xe6c7b6aeU,     0x0751eb42U,     0xa5b5173eU, \
    0x79412674U,     0x779f99daU,     0xc999572cU,     0x76303c02U, \
    0x4380d355U,     0x17fc8c93U,     0xcdb8287fU,     0x438e9ffaU, \
    0xb6278498U,     0x1063456cU,     0x9f015588U,     0xe7abd1a0U, \
    0x932ad438U,     0xad90dfe6U,     0x3d5b6bf5U,     0x1720c670U, \
    0xd4127730U,     0x883a41a7U,     0x2257f08fU,     0x79079ce8U, \
    0x3448adc4U,     0xcafd1232U,     0x84435760U,     0x70dd7410U, \
    0xdb779b0eU,     0xb324a748U,     0x7b9da7d9U,     0xa32eceb2U, \
    0xade11f7bU,     0xbf70c797U,     0x6ea5703eU,     0xaea87f3aU, \
    0xa1b7c003U,     0x97364d6bU,     0x098beaa7U,     0xee091170U, \
    0xacba0fcbU,     0x5fb4286fU,     0x274f1382U,     0xdd42eeeaU, \
    0x8b6799b3U,     0xab24a1dfU,     0xd1e6515bU,     0xdb439831U, \
    0xbcf70bccU,     0x96270099U,     0xbdbb0296U,     0x418cfca4U, \
    0x8a797e2dU,     0x306b264aU,     0x6f895f52U,     0x561ef97dU, \
    0xec7a5136U,     0x27cf99d1U,     0x6e33fea8U,     0x504950d3U, \
    0xa03100eeU,     0x3594c28fU,     0xaf9f3df4U,     0xd75bfa98U, \
    0x7bad2ecbU,     0xe4374b43U,     0x52a23f38U,     0xa2026d19U, \
    0x86c140d0U,     0xfecf8fbcU,     0x58d307e6U,     0xf2d3fa07U, \
    0x682c1145U,     0x6f2e7d4dU,     0x0ec8b96bU,     0xaa9b4f77U, \
    0x33f8937fU,     0xef90924aU,     0xfdbcf3d6U,     0x88f772c1U, \
    0x8abd0723U,     0x7d2025cdU,     0xe06b9c5eU,     0x27d3b342U, \
    0x933647b1U,     0xfd799f7eU,     0xaba64dd7U,     0xe19c9b56U, \
    0x31a8b83cU,     0x14df6913U,     0x303816c3U,     0xd467d68dU, \
    0x55a2b0e6U,     0x60eb4320U,     0xc7a329ccU,     0xf7c4fe38U, \
    0x773e4e14U,     0xf2a15345U,     0x20c9e3b8U,     0xace8af4cU, \
    0x7ebed8f3U,     0xf485d3a9U,     0xaaf707f8U,     0xb997c258U, \
    0x1883ef60U,     0x121f5e4eU,     0xb38b059eU,     0xf4344dccU, \
    0xacd1f7faU,     0xd4c7ce8dU,     0x9d2ad096U,     0xdf58f582U, \
    0x36e96291U,     0xc4998749U,     0x1894e64cU,     0x04383bfaU, \
    0x03db589fU,     0x00fec08dU,     0x27a9d27aU,     0x587ea2b7U, \
    0x6fb45b73U,     0xb8dda447U,     0x146dd4cbU,     0x8a6e60faU, \
    0x1dd96755U,     0x2f2cf5bfU,     0xc4ab2e70U,     0x3a166e91U, \
    0x60af15b6U,     0x50cfe257U,     0x635c643aU,     0xbed85612U, \
    0xc9c42a48U,     0x346d10b9U,     0x067723a1U,     0x97d0b560U, \
    0x368b59e5U,     0x54d6b26eU,     0x9074da30U,     0xb01a2aa9U, \
    0xa5cf44a4U,     0xdbc90bf4U,     0xa82f7c5aU,     0x0d5eaf9cU, \
    0xd2b2ca20U,     0x34098746U,     0x8202f2a0U,     0xc10ec1f7U, \
    0x829f0a9dU,     0xdd3caba6U,     0xa297d5efU,     0x2fe8828cU, \
    0x8c9a3c19U,     0x10d3a10cU,     0x5c9138bcU,     0x8d2c8959U, \
    0x86607dedU,     0x4d97663aU,     0x1e59c916U,     0x87338360U, \
    0x731b5391U,     0x6cd90185U,     0xa1afdd44U,     0x523caee8U, \
    0x56a57226U,     0xe14f038dU,     0xe57f2f8fU,     0xd7b16dc0U, \
    0xee495eb3U,     0x2b49c795U,     0xff75cc11U,     0xa6e7eae9U, \
    0xd1dad60bU,     0x1f620219U,     0xb6f771cdU,     0xc5bc3e6cU, \
    0x19acaa64U,     0xb86698afU,     0xc2a39cbcU,     0xd0a39d68U, \
    0xd171fc85U,     0xd99de9fcU,     0xec038657U,     0xb1cb23cfU, \
    0x10ba7a81U,     0x91e30b84U,     0xb48ef584U,     0xf9968065U, \
    0xa7fe6eedU,     0xd994f676U,     0x922864cdU,     0xc9601ec5U, \
    0x81990082U,     0x75312398U,     0x763b74d5U,     0x65e603e6U, \
    0xef5b10d8U,     0x19ab9897U,     0xbd1015a8U,     0x2ea01933U, \
    0x2cc87c1cU,     0x7f1c28b4U,     0xda50692dU,     0x1315c3b6U, \
    0x8d06b35aU,     0x9cca5717U,     0x2b22beabU,     0x5b11e055U, \
    0xa3743469U,     0xcabe1292U,     0xfabe9d09U,     0x1712f5b8U, \
    0x0c886c31U,     0x1cb77179U,     0x1c312da9U,     0x48138a60U, \
    0x90564eb2U,     0x849c33b7U,     0xadf96ec7U,     0xdf634450U, \
    0xae8f9bf8U,     0xd0e68006U,     0x187bb979U,     0x04884b38U, \
    0x0c914fc5U,     0x983d1611U,     0x087690c6U,     0x2217e107U, \
    0x5302d6a2U,     0x6b96c5beU,     0xa48ab5abU,     0xd63302b4U, \
    0x2c02a0b9U,     0xe7b0746dU,     0x5bd64425U,     0x1d605665U, \
    0x8a946f29U,     0x96b3d3b1U,     0x5daefd26U,     0xdc253431U, \
    0xbe5d751eU,     0x08fc257bU,     0x6d2e584cU,     0xc68ab85cU, \
    0x19ef4ab7U,     0x4866f2f2U,     0x20527027U,     0xa7cd3cb2U, \
    0x37a3d7c6U,     0xe12cd1daU,     0x1aa851c2U,     0x1c6ced88U, \
    0x7a210e21U,     0x50047daaU,     0xa8dec4d1U,     0x84eadd94U, \
    0xbaa93278U,     0x046aacb3U,     0xc65d55a2U,     0xd297cea9U, \
    0xb6bcf9b8U,     0x77339f09U,     0xad815975U,     0x24db8c27U, \
    0xc815357aU,     0xa28a2113U,     0xa64a44deU,     0xa60cd52aU, \
    0x4e8ff42cU,     0x330bea3bU,     0xf5b175aaU,     0x73d5abfcU, \
    0x3d3fab03U,     0xc6c74b52U,     0x6ea648c8U,     0x0d6c54a8U, \
    0x94bea388U,     0x7399ace1U,     0x75fa46a2U,     0xad59995eU, \
    0x643464fbU,     0xa7e7fb1cU,     0x7b35c297U,     0xf85373f9U, \
    0x24bb92b9U,     0x948995bfU,     0xa7db17e3U,     0x70707e9cU, \
    0xa4c78fc8U,     0x6af21c4bU,     0x25ad4008U,     0xe8287138U, \
    0x1db68993U,     0xe2ea202aU,     0xe57f8075U,     0x383863ccU, \
    0x7c5216ffU,     0x2d9c6ae3U,     0x846a1b3bU,     0x38307ff0U, \
    0x9660ee56U,     0xbab61bcaU,     0x54538d59U,     0x811d0e02U, \
    0x5c578196U,     0x0ec41433U,     0x7ed2ae35U,     0x23fec213U, \
    0x2d2f3307U,     0x4a187657U,     0x2b0f0f87U,     0x67ad3367U, \
    0x86322868U,     0xf1ef0425U,     0xe0ea3c09U,     0x0de6ad5fU, \
    0x8919b9abU,     0x417b920dU,     0x217ce5d0U,     0xcef51fabU, \
    0x94634833U,     0x986fd8e6U,     0xe7b55821U,     0xc0094d05U, \
    0x72acd0f9U,     0x21732b57U,     0xb6e867beU,     0x8b7ac6cfU, \
    0x1e1ded09U,     0x3a095dc3U,     0x01f429b7U,     0x35ce354eU, \
    0x6fa8088cU,     0x50094f83U,     0x1984c75cU,     0x482ef4efU, \
    0xddfdf517U,     0x350d03a6U,     0x932d9cf0U,     0x7190da2cU, \
    0xd796fce3U,     0x4271a513U,     0x52b8bf85U,     0x56fad46eU, \
    0x2aadce25U,     0x806ecedaU,     0x7df7b1bdU,     0x64fbebf4U, \
    0x702958ccU,     0x44d3100eU,     0x3877d2d1U,     0x76024703U, \
    0xae29f45bU,     0xbfeb5975U,     0x660036b4U,     0x44421ce5U, \
    0xef3d4e79U,     0xeb310453U,     0xf1c3d113U,     0xb6861ff8U, \
    0x94359d82U,     0xa3718013U,     0x5e63deddU,     0xe11e708fU, \
    0x8fa1f7cfU,     0x56e4c088U,     0xc7fb2954U,     0xdfac9523U, \
    0x7b23da68U,     0xcad893a2U,     0xa7e8162dU,     0x0081623fU, \
    0x8a773b99U,     0x86c5ad70U,     0xeb33faaeU,     0x9442d577U, \
    0x42f333c1U,     0xe3bdd050U,     0xe3600a5dU,     0x237a7a1bU, \
    0x9985f38eU,     0xb257bab6U,     0x1d993153U,     0x30c68643U, \
    0x9da048baU,     0x0fac8b0eU,     0xd05f61cdU,     0x39ae1feeU, \
    0x18dc3a1eU,     0x8eca3d7dU,     0xc3380f0aU,     0xc014121fU, \
    0xd8ebf43aU,     0xe3235c30U,     0xd76d0934U,     0x19d42197U, \
    0x6a7a56eaU,     0xc118bb10U,     0xb7d90678U,     0xa5f6efa6U, \
    0x2d8c06e4U,     0x7e41a850U,     0x24846a33U,     0x07d431bdU, \
    0xa79509b1U,     0xd8cec07fU,     0x4e4e982dU,     0x839f5cb3U, \
    0x4c722202U,     0x7b2b36bdU,     0x4e6ee1cbU,     0xcf4674eaU, \
    0x36066b5cU,     0xb7595454U,     0xc1871214U,     0x3bdba171U, \
    0x3f55f85dU,     0x127bb41fU,     0xd6a98d7eU,     0x2ed36c68U, \
    0x5bac6e8bU,     0xfa7d5abdU,     0x349f5621U,     0x873144ddU, \
    0xc432e1e9U,     0x3aef42f6U,     0xf8c83fe2U,     0x5761fdd2U, \
    0xf81eb7d5U,     0x9183ce5bU,     0x95411661U,     0xea41426dU, \
    0xd39d3654U,     0x5e472c55U,     0xf18b69aeU,     0x921f6793U, \
    0xd5a38319U,     0xe66db17bU,     0x76e8a0f7U,     0xca6a385fU, \
    0x7fad3030U,     0x1c52b684U,     0xd463ccfbU,     0x207a922fU, \
    0x8e1a3469U,     0xef3fff8dU,     0xfdc76596U,     0xf38fcc2cU, \
    0xa6198de2U,     0x701a3b4cU,     0x87b92ab1U,     0xa1152a70U, \
    0xf312cba5U,     0x2e4670beU,     0x1b8ac30dU,     0x606afd00U, \
    0x0530a9eaU,     0x707bf8c4U,     0xbca1cb57U,     0x8f4855c5U, \
    0x822a29eeU,     0xef0266f5U,     0xb6e95264U,     0x3f2de482U, \
    0x56dff053U,     0x74d19f5fU,     0xe2c5c41fU,     0xd2cd37f2U, \
    0x342d8d26U,     0xfedf113cU,     0x98e4227aU,     0xf13bc479U, \
    0x8e30485eU,     0x685a3d37U,     0x0addbd70U,     0xd42bd78cU, \
    0x8187d160U,     0xeb1a68adU,     0xd221a805U,     0x8b02555cU, \
    0x94c4ef75U,     0x11b7d3ffU,     0x4b42a8d6U,     0xa994f8f8U, \
    0x48a3d97fU,     0x7298a765U,     0xea17b147U,     0xfa3ed4ddU, \
    0x8f3ff3b7U,     0xf980875fU,     0x62a64328U,     0x3211d0cdU, \
    0x7cce58afU,     0x68fabcb0U,     0x1f88d3f0U,     0x7639d5d3U, \
    0x2dd6d431U,     0xd23551cbU,     0xd045bdfeU,     0xb95b1642U, \
    0xab65ae5aU,     0xe7674721U,     0x579042b1U,     0x63e0e0d4U, \
    0x4f5025eeU,     0xe656126dU,     0xe50ff231U,     0x34b4b0fcU, \
    0xda0eb1a5U,     0x1ff49c32U,     0x1aa37434U,     0x01a677daU, \
    0xdc8b5425U,     0xf920cc7cU,     0x3ee780ceU,     0x241a19e1U, \
    0x5595496cU,     0x2d383d33U,     0x533d8508U,     0x89360245U, \
    0xcdbfaa0eU,     0x199fe5f5U,     0x5c1690c0U,     0xd751d1c1U, \
    0xd60b2891U,     0xf01352e8U,     0x6c6b2832U,     0x241dda7eU, \
    0xa403082fU,     0x20aa488eU,     0x505fae88U,     0xdd3f3183U, \
    0x57001ca8U,     0x42e5b352U,     0x5de388d7U,     0x626f4f52U, \
    0x70949d3fU,     0x41e4d356U,     0x857a92efU,     0x3a4b563cU, \
    0x7978dd49U,     0xc0f9d83aU,     0x4083fce3U,     0x7cff62a4U, \
    0xb278fb63U,     0xa0e84948U,     0xf3e96c90U,     0xc2a10d88U, \
    0xfe317a8cU,     0x91c33a6dU,     0x793d4690U,     0x15ac41d3U, \
    0x75918aefU,     0x45cd5721U,     0x8f28895eU,     0xbcacf5cbU, \
    0xa1e192b4U,     0xfce53720U,     0x51d4090dU,     0xb50af2d1U, \
    0x9118bce5U,     0x464dc50dU,     0xfac6f410U,     0xb41387ccU, \
    0x229a757aU,     0xd975d619U,     0x74666727U,     0x7e18ca9aU, \
    0x88aabfa4U,     0x5e21368dU,     0x2eae9c60U,     0x10c2d59bU, \
    0x2d15e081U,     0xfbbad840U,     0x2260935cU,     0xd9e59e27U, \
    0x367d6d9eU,     0x3c51ad21U,     0x11d05354U,     0x146929bdU, \
    0x120a604dU,     0x820e8185U,     0xcc0306d8U,     0x0a8928e8U, \
    0xb5ea805aU,     0x09731ecbU,     0x3a7bd2e8U,     0xc1c4a81cU, \
    0x83960076U,     0x0447a61cU,     0xb61b9d8cU,     0x11672dd4U, \
    0x4e802fecU,     0x98a63e91U,     0xf9c2714eU,     0xc6ffd417U, \
    0x42799af6U,     0x53b01547U,     0xe72ae6b5U,     0xbe36f883U, \
    0xb3969f3dU,     0x0e14951eU,     0x02a01aceU,     0x429f63b0U, \
    0x0db09f00U,     0xd2f6732aU,     0x0a57adebU,     0x33c75590U, \
    0x346846b0U,     0x5ef97bb7U,     0xf13c792aU,     0xc7ba892cU, \
    0xff55b49eU,     0x8d3db9cfU,     0x05415ed0U,     0xfc08bf11U, \
    0xd475ea73U,     0x1a0563f9U,     0xae7e9c47U,     0x4aee5f90U, \
    0x798ae914U,     0x56eae25bU,     0x8074a077U,     0xe48ddcbcU, \
    0xe68ee46bU,     0x2d746f3bU,     0x7327d75cU,     0xeb5ffbe5U, \
    0xe13a5e6bU,     0x970bb7a4U,     0xe53aac74U,     0x90d163e7U, \
    0x679f6a44U,     0x0d147077U,     0xc487a550U,     0xa29a5fd3U, \
    0xa3468505U,     0xe649cbb4U,     0xfb8bcac9U,     0x43f0a35cU, \
    0xbc7daf25U,     0xe489971fU,     0x9ab018a8U,     0x595b0771U, \
    0x02eebda2U,     0x596661e3U,     0xb0117377U,     0x30c20008U, \
    0xc66dfa0eU,     0x87632ef1U,     0x50aedcfeU,     0x2597a336U, \
    0xbb713ec7U,     0x0d590177U,     0xe41e4294U,     0xdd735764U, \
    0x09104d74U,     0x5601bdd4U,     0x1c56ad7dU,     0x0bff54afU, \
    0x1c6cf352U,     0x932ede3bU,     0xd4e604e5U,     0x90050db1U, \
    0x4ddd6d30U,     0x602b5677U,     0xf0f4d8aaU,     0xce6f0ac8U, \
    0x3a1d48baU,     0xd2dda9d7U,     0xee8a2691U,     0x4b4fb8c5U, \
    0x74f013a9U,     0x0e44108cU,     0x7e594c03U,     0xb89a59ebU, \
    0x4debf39aU,     0xcb247a90U,     0xb55c6030U,     0x8a8f1baeU, \
    0x85658b31U,     0x3411f5ebU,     0xb4a1be68U,     0x037106f0U, \
    0xcb9a08f8U,     0xe91a7446U,     0x56142c67U,     0xab092daeU, \
    0x643cb8d5U,     0x4bcd3dcbU,     0x6f7c65a6U,     0x56c14fa3U, \
    0x6bbc1d71U,     0x241f22ebU,     0x19df32d3U,     0x539cabdbU, \
    0x99d78018U,     0xd9aae35eU,     0xd1d18b06U,     0x6844613aU, \
    0x4462c134U,     0xf2ba9765U,     0xc2fc7439U,     0x633ad392U, \
    0x19a95b26U,     0xb5b98c7cU,     0x14624fb3U,     0x3f079b8dU, \
    0x85fcfd0bU,     0x9c0b4cbdU,     0x21fb641bU,     0xcf1cc9a3U, \
    0x97bc1e4bU,     0x7af29a06U,     0x7f7496a5U,     0xf9305246U, \
    0x4d10fbcaU,     0xaadf811fU,     0xe56df92eU,     0x8cb4596dU, \
    0xfd225159U,     0xe5d5e785U,     0xd8b83ba6U,     0x9b478a2eU, \
    0x06306f02U,     0x6d27c412U,     0xba57ae8cU,     0x769235d5U, \
    0x3eea5f02U,     0x0b9c9123U,     0x0dc96d64U,     0x39532ab4U, \
    0xfc36cbfcU,     0xa0ea74d0U,     0xab989ee4U,     0xa46c53abU, \
    0x546ad60eU,     0xdcd2319dU,     0x6e3c343cU,     0x1d2f39c6U, \
    0x04d0a6a1U,     0x80c24d45U,     0xc99a1715U,     0xcfb2c026U, \
    0xb0366349U,     0xb4f456bcU,     0x1603c11aU,     0x44163149U, \
    0xf13ef4a9U,     0x3a9d5256U,     0xc326b4dcU,     0x6639177bU, \
    0xd766bf29U,     0xc2ae0b91U,     0xa488a755U,     0x009a2f59U, \
    0xa094306cU,     0x61e9a77aU,     0xfa1d8d17U,     0x29434448U, \
    0x0a36adbeU,     0xaca39c3dU,     0x6d09a608U,     0xa77c8d8cU, \
    0xfaa9ff97U,     0x02f2a074U,     0x6ad5a97cU,     0x6e89e7aeU, \
    0x53b56125U,     0x1ae115a1U,     0x4c45ed13U,     0x5dd98e1cU, \
    0x0e0dffe2U,     0xd25db733U,     0x3b29ab3aU,     0xbef3d6c1U, \
    0x4bdcaa0bU,     0xdafdde38U,     0xf801ddedU,     0xff6f3c54U, \
    0x7d3729afU,     0x73198d88U,     0x3965209eU,     0x6d4d1bfeU, \
    0x72bca202U,     0x6d07e3a8U,     0x9706c185U,     0x15447ac5U, \
    0x8d532612U,     0x382ad089U,     0x28ebaaf6U,     0x4fe95f7cU, \
    0x668d0615U,     0x58ad4380U,     0xf7490584U,     0xd483b088U, \
    0xb74e1ed8U,     0x49d52a9eU,     0xf7a7b1fdU,     0xf293aa55U, \
    0xa9ff0b78U,     0xaed5b994U,     0x8edfbf89U,     0xafd50401U, \
    0x09dcd204U,     0x6594fec2U,     0xbf404330U,     0x395ad6d7U, \
    0x3d9d31f5U,     0x9a07ca76U,     0x7792b419U,     0x8ffc6ee8U, \
    0x3755e834U,     0x0c7db59bU,     0x948ccec0U,     0x2039ff77U, \
    0x4c9b3c35U,     0xa15657aeU,     0x1c35d826U,     0x9a9230d4U, \
    0x4f9f898bU,     0x75a96aa8U,     0x144d1420U,     0xe165f4a6U, \
    0xd883decfU,     0x6f05124aU,     0xfb36114dU,     0xa2e2ef18U, \
    0xdd4bffd1U,     0x2230f5a9U,     0x8d0529fbU,     0x67801a22U, \
    0xdf56c4efU,     0x5d2838bbU,     0xce87757bU,     0x0a3140e2U, \
    0x5f9f2bb2U,     0x8cc85f3bU,     0x5fa4c7e5U,     0xee8ec712U, \
    0xe5e47ff6U,     0x30968983U,     0x3960300aU,     0x62d404e8U, \
    0x3fab246eU,     0xa02cb6aeU,     0x33029e7aU,     0xc19ac460U, \
    0xc31f5ca7U,     0xa91aab67U,     0xfbb70d7eU,     0x93de8eb1U, \
    0x85a02efcU,     0x8e938ed5U,     0xa6ad6a1dU,     0xe42c2fddU, \
    0xff49c84eU,     0xd3f772ebU,     0xb97f1c4dU,     0xced1ea0cU, \
    0x3e92a821U,     0xc5866b80U,     0xed9ec1f3U,     0x701c2891U, \
    0xdb94f133U,     0x2caf5077U,     0x3b2bb591U,     0x0cd9445aU, \
    0x351faea6U,     0xd2a88576U,     0xcdd8b0ecU,     0x782975c7U, \
    0x8772a406U,     0x0af0542cU,     0x815d5476U,     0x4b4e5c47U, \
    0xf96c2cf1U,     0xc8d6dd1fU,     0x61b4fcb5U,     0x8a5220d5U, \
    0x678c621bU,     0x5c899136U,     0x2c43b111U,     0x859c86e4U, \
    0xd0455d04U,     0x02b9d0b0U,     0xee352c64U,     0x55ef635dU, \
    0x7b681e09U,     0x4760f3e3U,     0xa331ee80U,     0x1ea0167bU, \
    0xec2df602U,     0x30a63c58U,     0x36082f2fU,     0x3aa08c11U, \
    0x64924cc2U,     0xebf087e0U,     0x9f4ded89U,     0xc6207f61U, \
    0xf5253173U,     0xec00ac48U,     0x3ec0837cU,     0x65a46a2dU, \
    0xecf56898U,     0x49d0a8b0U,     0xecf88affU,     0xd9007f99U, \
    0xdbd378d7U,     0x3ea59b89U,     0x4fb37f33U,     0x28bfd6c9U, \
    0x022797d8U,     0x986c06f6U,     0x8f65ace8U,     0xe4c97de2U, \
    0x8963dca6U,     0xca46f993U,     0xbfc3fe53U,     0x6c24de3eU, \
    0x7f0213b3U,     0x84e02369U,     0x90e4f818U,     0x21061dbfU, \
    0x7dd67474U,     0x7aafe169U,     0xdbc80084U,     0xd9fb9db8U, \
    0x36d72ef8U,     0xfd376a46U,     0x9be2cad1U,     0x21db1c93U, \
    0x100eed2aU,     0xd248b01aU,     0xc99b37f7U,     0x33b43866U, \
    0xd584c51dU,     0x1399db33U,     0x99358c6bU,     0x780a693cU, \
    0xf8f8c7bcU,     0xc722a07aU,     0xcf5bd287U,     0x709bc16bU, \
    0xa5a542b3U,     0x6983db8dU,     0x7775c4b9U,     0x3b12b7ceU, \
    0xc758029dU,     0x07a4837aU,     0x5d77ddecU,     0x045ad969U, \
    0x02a65fceU,     0xbf2cd5a3U,     0x5aff7286U,     0xb7f3fd49U, \
    0x8cd27760U,     0x58427441U,     0x1a765e5eU,     0xa0075056U, \
    0x97647175U,     0x95f38980U,     0x8e308b86U,     0x762b8d04U, \
    0x6fed5860U,     0xa3adfc42U,     0xee2eb019U,     0xb0e0b069U, \
    0x9b7b542cU,     0x4de9da0eU,     0xb0548298U,     0xe145e0dcU, \
    0x5112e9eeU,     0xb4c808c9U,     0x418d2a84U,     0x3ef7f18bU, \
    0x015ec225U,     0x9ec2fd27U,     0xf8771c2aU,     0x1337e807U, \
    0x257b984aU,     0x55ddb1c4U,     0x127f349aU,     0x3ffbfae8U, \
    0x7130ebc3U,     0xd7b06121U,     0xe6971764U,     0x00b42ce5U, \
    0x643855a7U,     0xa8dfdf84U,     0x7c0b2ce8U,     0x09579a17U, \
    0x31ab3b25U,     0x721ea374U,     0xfff4864eU,     0xbae5d2b1U, \
    0xd51a672dU,     0x4be3d35cU,     0xad94ff81U,     0xbaa805e1U, \
    0x34626834U,     0x2817fce6U,     0x19cfdd43U,     0x6e72c2b5U, \
    0xae98ab58U,     0xd95e3877U,     0x64b94836U,     0xaeec1cf1U, \
    0x30da42f3U,     0x0cf40b63U,     0xecf2cbd8U,     0xc943c82aU, \
    0xd2400e5fU,     0xe346bd26U,     0x77ce911dU,     0x8be38f8cU, \
    0x6fd69367U,     0xb3739e27U,     0xc4cc9f40U,     0x2650d47cU, \
    0x4b34d152U,     0xe669d1c5U,     0x78c8f46bU,     0x3cab5a0dU, \
    0x5df7506fU,     0x07b037ddU,     0x570db550U,     0xaee19e42U, \
    0x677b7c24U,     0x8b45b07fU,     0xd1843274U,     0xfa74a526U, \
    0xb980cb8eU,     0xae65b996U,     0x530bff6dU,     0xecd01c0eU, \
    0x536ad81fU,     0xe7e78586U,     0xb1f80c56U,     0xaff0e790U, \
    0x6d388afeU,     0x39ea06b4U,     0x40175477U,     0xb394dd9dU, \
    0xe6dcecd3U,     0x565f4005U,     0x86ef079aU,     0x1cdc643bU, \
    0x6793373aU,     0xb9387cacU,     0xfb400650U,     0x213916ffU, \
    0x765eb516U,     0xed75740aU,     0x5569940eU,     0x92b3d38fU, \
    0xeec6d2fbU,     0xeb657bc7U,     0x42fcc93fU,     0xaaa8d564U, \
    0x38f7a5b0U,     0xa2fbfe42U,     0x16abb978U,     0x639fe349U, \
    0xe854570aU,     0x628d262eU,     0xc7de3688U,     0x8825e52bU, \
    0x8babef77U,     0x467296aeU,     0x7dea3bc2U,     0xc03e627dU, \
    0xee9c1e86U,     0x5d02eb99U,     0x77131ee7U,     0x77cf3c40U, \
    0x8b702140U,     0x006ac6d7U,     0x6aa1a9afU,     0x886d9213U, \
    0x9fa77816U,     0xfec3ac2bU,     0xa1ae82baU,     0x29db7500U, \
    0x504c73c8U,     0x91112185U,     0x1ee20f3fU,     0x371bae8fU, \
    0xf237aaa7U,     0x51af0f26U,     0x4c310abcU,     0xef335c3eU, \
    0x69dcaeafU,     0xc673a739U,     0x6c1cfe1eU,     0x3da910e0U, \
    0xe0f2d56eU,     0xbe898c95U,     0x24567204U,     0x95bca443U, \
    0x4530cf1bU,     0xd05706eeU,     0x6709751dU,     0xe960411fU, \
    0x812d85c6U,     0xe6eb7fd8U,     0xba3c6cd5U,     0x2e42250dU, \
    0x6d6155d0U,     0x3802255dU,     0x1ba126a2U,     0xf3916559U, \
    0xffef1e2fU,     0x6ec35329U,     0x4fa217fbU,     0xd1ac8986U, \
    0x65d1e1a9U,     0x233da8efU,     0xbc76beb7U,     0x3fde817eU, \
    0x99402365U,     0x72878948U,     0xc90dee45U,     0x843abd5dU, \
    0x02e0be4aU,     0x53f02cf7U,     0x559921f2U,     0x6394bbdbU, \
    0x40e6e4b0U,     0xa9d7a179U,     0x26e8c5b3U,     0x48b999d9U, \
    0xcc64bdceU,     0x882178f4U,     0x991e9931U,     0x77f1abfbU, \
    0x183c2bbfU,     0x1d21c4a5U,     0x6286378dU,     0xa26e6006U, \
    0xc6bc0b7aU,     0xeaf6da1fU,     0x5e6f21d5U,     0x1ad04699U, \
    0x527a62f1U,     0x9ccb6e09U,     0x15a8a5a7U,     0xe5e68fe8U, \
    0x55a316f3U,     0xd91a8581U,     0x5cfb4acfU,     0x98cfd21dU, \
    0xaf068108U,     0x5739cd9eU,     0x6ca5275bU,     0xf2acc98cU, \
    0x65a33a7eU,     0x3a2213a5U,     0x6f8aff41U,     0x55a66903U, \
    0x0908edacU,     0x4d5fe4faU,     0xba4bb4bfU,     0x4aca3c37U, \
    0x3b6504c0U,     0x4c1177feU,     0xefd90dc1U,     0x7153fa2fU, \
    0xaf1fe724U,     0x6a0fedf0U,     0x3a1946beU,     0x6a5dfb18U, \
    0x9e93df93U,     0xeeba9644U,     0x91c9fdadU,     0x21586d0eU, \
    0x0f3f4f03U,     0x91daa29dU,     0x64cf2253U,     0x6381ac43U, \
    0x704373bcU,     0x81967c19U,     0xe4ddf154U,     0x0b390bc5U, \
    0x890a5dffU,     0x124a3884U,     0x80650706U,     0x907c2952U, \
    0xfd15d7edU,     0x826ace6eU,     0x22481c85U,     0x7df6426dU, \
    0xc03cc928U,     0xcd7ca12eU,     0xd08cd93fU,     0x96fb5799U, \
    0x8ff59b5aU,     0x18b17a37U,     0x0935f03eU,     0xce12bb3eU, \
    0xdc77790fU,     0x3e02af4aU,     0x502668fbU,     0x9916161bU, \
    0xb88762d1U,     0x9f3cd7d1U,     0x2896ba5aU,     0x0615ce20U, \
    0x88f2d929U,     0xbd3c8f51U,     0x41b84dc3U,     0xd4ae5895U, \
    0xbe2f1279U,     0x41380932U,     0x606c360aU,     0x82df9004U, \
    0x20a318f9U,     0xfb5ff664U,     0x3b16ffd1U,     0x06a069dfU, \
    0x1fb916e7U,     0x93e18326U,     0x5a7052b3U,     0x34829d93U, \
    0xffae104fU,     0x15aedf38U,     0xb8154532U,     0x4574a7c9U, \
    0x37c94ec3U,     0x2da99fb9U,     0x289c4cc7U,     0xa5796de9U, \
    0x275979deU,     0xdd6a3aaeU,     0xedcf4d7aU,     0x0002ff49U, \
    0x5b4b64b0U,     0x60b2e21cU,     0x53005956U,     0x24191e40U, \
    0x205960a0U,     0x26b480e9U,     0x4f6c17adU,     0x9036939cU, \
    0x8eaf9f6bU,     0x11763533U,     0x5ff1e2d3U,     0x237015d9U, \
    0x9b3bef27U,     0x0bd63eb1U,     0xdaf3e426U,     0x8834936eU, \
    0x70eb3132U,     0x7f3efc50U,     0x88640cdeU,     0x1a464c9cU, \
    0x66dd5815U,     0x6f5f95c8U,     0x297d9cc6U,     0x13b1d0e6U, \
    0x87250dadU,     0x13948a9bU,     0xa578a5afU,     0xa899ea60U, \
    0x17cc827aU,     0xc24b3317U,     0x576439daU,     0xd3872c4eU, \
    0x4f108b19U,     0xdf2b4aa2U,     0xcb432cacU,     0xf0c657f2U, \
    0xfae14c59U,     0x2f2a4866U,     0x514af574U,     0x904714e6U, \
    0xef3c725eU,     0xaf3cdcd2U,     0xd462c8acU,     0xd9ac6512U, \
    0xbc6ab9a1U,     0x7997cb94U,     0x91c1e03eU,     0xf11b24feU, \
    0x48e3d821U,     0xb99cf0cfU,     0x5f9b76c9U,     0x0adbbc8dU, \
    0xa082478cU,     0xb473cffcU,     0x0861d278U,     0xa2575a7eU, \
    0x4e263031U,     0x4a74b35cU,     0x629af94eU,     0xb36566e8U, \
    0xb313888dU,     0xee3c96cbU,     0x47d1f0d6U,     0x6350f504U, \
    0x14208a0dU,     0xfb855519U,     0x4725dde0U,     0x9bf80403U, \
    0xc07975adU,     0x2beca3acU,     0x12afb278U,     0xfbc8fe27U, \
    0x93cb35a4U,     0xaaa3bcdbU,     0x8ca508f6U,     0xece49611U, \
    0xf11091e9U,     0x504b6592U,     0xdc45a8c8U,     0x3fb174e3U, \
    0xbba1f747U,     0x1e3d434eU,     0xd454bd66U,     0x15924bc5U, \
    0xb0d724d1U,     0xeee5267cU,     0xbc6a1463U,     0xd56661fcU, \
    0xd2298472U,     0xa06bdfaeU,     0x5bd6cc24U,     0x75cbe2e9U, \
    0x8b98a741U,     0xae034ef7U,     0xc55d4149U,     0xced768d9U, \
    0xb985d876U,     0x222bdad2U,     0xd01ee5d0U,     0x983792e5U, \
    0x6fb94f09U,     0x74c2d00eU,     0xd402fd4eU,     0xaac18fc4U, \
    0x82a66e02U,     0x5cc3ee23U,     0xd1493cd6U,     0x4dcae875U, \
    0x02a9af3aU,     0x3a5895bdU,     0x4bda2fe7U,     0x034e9c45U, \
    0xa1057ddaU,     0x8e46f7c4U,     0xca0448c3U,     0xf65330e2U, \
    0x73cc8f5bU,     0xb8c381abU,     0x8b367c22U,     0x529a11aaU, \
    0x5ec4fc6aU,     0x93660f48U,     0xe8beb646U,     0xf46df128U, \
    0xf01f227cU,     0x89520ca0U,     0x4feae1b7U,     0x5d0ac719U, \
    0xa454dca3U,     0x5a1d5aedU,     0x55b5732aU,     0xddb2ec1eU, \
    0xa0c6f5d8U,     0x9bb2b730U,     0xc6aeeb97U,     0x94b8f9ccU, \
    0x0fff58ccU,     0xe5082d38U,     0x8a94d7e5U,     0x15073348U, \
    0x82da94cbU,     0xbe52f185U,     0x6e02b511U,     0x23aa5e41U, \
    0x09f75581U,     0x14e0bf8eU,     0x75652921U,     0x00dfa230U, \
    0xb8e578f4U,     0xc46a7581U,     0xa9efd67cU,     0xaaaf6fd3U, \
    0x8fd9d35bU,     0xf99759a9U,     0x43a1294aU,     0x70123e95U, \
    0x29e9c7adU,     0x44825556U,     0xe9c9b11aU,     0x9331cbc3U, \
    0x62e28780U,     0x4ee87b1bU,     0x0f1b8537U,     0x3e3742caU, \
    0x006e5513U,     0xf767fa9dU,     0x2e34643dU,     0x3a58b9f1U, \
    0xdcb47fa6U,     0x7f622e8fU,     0x48c0de04U,     0xa03aaafcU, \
    0xd82e2067U,     0x5a759dbbU,     0xcea24366U,     0x2ba01d4fU, \
    0xa276d08eU,     0x88343d73U,     0xa2972801U,     0x13dd82caU, \
    0x58497750U,     0x56adca19U,     0xb5edcc2bU,     0x84d29539U, \
    0xabc38755U,     0x240eeb76U,     0x04b7e6a1U,     0xd075113eU, \
    0x0033db08U,     0x71aeddfcU,     0x3a4e4ca9U,     0x31b5b4f1U, \
    0xc8855ed1U,     0x4e688b33U,     0xb336345dU,     0x995c4746U, \
    0x823f5529U,     0x7769c151U,     0x087c8154U,     0x88f30accU, \
    0x076b1321U,     0x9a5e0ebcU,     0xb0b8d97fU,     0x7df879d0U, \
    0x6c1a1328U,     0xe829d813U,     0xa1defa00U,     0xe41e8aecU, \
    0xfb59e91dU,     0x0a77e1e8U,     0x80abac57U,     0xba20dce4U, \
    0x1f2d269dU,     0xac36c3b5U,     0x3fb66094U,     0x2f0c487aU, \
    0xd7ff0045U,     0xe46ba438U,     0xd31fda7aU,     0x2bb10be0U, \
    0x86bce4b8U,     0xcab19fbaU,     0x7db5711bU,     0xafed6ac9U, \
    0xddca0a2dU,     0x55833997U,     0x41da89d8U,     0x463818beU, \
    0xa4fc8da9U,     0x04c0fee5U,     0xe144634bU,     0x4f3f61e3U, \
    0x973d2a11U,     0x3c91a908U,     0xf80bf4feU,     0xe97216c2U, \
    0xeeb9f511U,     0x5503aef2U,     0x18a9c92bU,     0x5bc53ba6U, \
    0x57e6ae70U,     0x2360643dU,     0xee765c3bU,     0x20552013U, \
    0x6c77f21bU,     0x9fff7ed1U,     0x9d0fdf5bU,     0x8da70dcbU, \
    0xb2a8142aU,     0x8230af1bU,     0xbd2888b7U,     0xf1375533U, \
    0x0146779eU,     0x1b9ca48fU,     0x1095a2f2U,     0xb25bc7d0U, \
    0x4c028324U,     0x5c50bac4U,     0x690ecd1fU,     0x30ee9eeeU, \
    0xdd93a050U,     0x6ae87dadU,     0xca41c2f8U,     0x0dd8c095U, \
    0xcce687a9U,     0x0bdf3906U,     0xd560d2feU,     0x81d92446U, \
    0x311d7a0aU,     0xed0d07dfU,     0xb058d08bU,     0xd5860c59U, \
    0x819d23daU,     0xd3233bb4U,     0x8b0a140dU,     0xdd7b8358U, \
    0xb25bc5b5U,     0xdffec9fbU,     0x581720abU,     0xc0c7069bU, \
    0x818fbd06U,     0x15b6c801U,     0x064908afU,     0x6ca4104bU, \
    0x74ccbff0U,     0x08eb78a0U,     0x0272e7cdU,     0x2bd7191dU, \
    0x0e4a38a1U,     0x166e624dU,     0x0680e2e8U,     0x54651f04U, \
    0x631aecb0U,     0xd7f9be0bU,     0xb78432b1U,     0x963c26e4U, \
    0x6457ee8eU,     0x23dedd41U,     0x51029086U,     0xfd85bdd7U, \
    0x3a2a0babU,     0xddf35e21U,     0x2ddbf4f1U,     0xda392f91U, \
    0xfc90ac28U,     0xf90e6a9aU,     0x04257c39U,     0xa2e277afU, \
    0x498546fdU,     0xa8982b37U,     0xdadac515U,     0xd9f42652U, \
    0x5905a949U,     0xa7513fe3U,     0x4a332fd0U,     0x6c104114U, \
    0x4c92f580U,     0x5413721fU,     0xe469db0cU,     0xad91ff06U, \
    0x8729c2f8U,     0x7ac8b15fU,     0x444265cfU,     0x11c8af27U, \
    0xa9dff45eU,     0xfa3ee964U,     0x5955c919U,     0xe470eabeU, \
    0x9330e22fU,     0xdecc4aa6U,     0xf7078ffbU,     0x230e2cdaU, \
    0xdc42adcdU,     0xf98f4093U,     0xe572b0eeU,     0x6bf90bb0U, \
    0xaec90c19U,     0x06e3bd59U,     0xddd097fcU,     0x634867a9U, \
    0xaf9df8e2U,     0x4d8cf828U,     0x9859432bU,     0x89eebf51U, \
    0xd1981f15U,     0xe8ce5cc1U,     0x4a9e74f3U,     0x11c785ceU, \
    0x2d3eb83cU,     0xd053989cU,     0xcc5285edU,     0x577819d7U, \
    0x6fe96468U,     0xb6d4b67bU,     0xac31b1bcU,     0x36a4697bU, \
    0x59e67770U,     0x236b32c3U,     0x600087d7U,     0xba4ea1f2U, \
    0xd326f177U,     0x9053bdafU,     0x4588f5ebU,     0x9ecf1742U, \
    0xf075b8cfU,     0x725519b7U,     0xccaaa75cU,     0xd0bce081U, \
    0x744ac5e8U,     0x5457db1cU,     0xfdb47c7fU,     0x58dc9eb8U, \
    0xa8f9b0abU,     0x1d57ce62U,     0x2695a3b9U,     0x0a16c09cU, \
    0x21047116U,     0x55283c8aU,     0x4b81052eU,     0x1e78c536U, \
    0x15c0746dU,     0x47a37aa9U,     0x3d731509U,     0x288c68feU, \
    0xd7895385U,     0x88042697U,     0xef8542d2U,     0xb411a2b5U, \
    0x9f224866U,     0xf196effaU,     0x586bde97U,     0xc868de44U, \
    0x125e7195U,     0x4d3dcd99U,     0xf60ee415U,     0x58595a41U, \
    0x7c7589c1U,     0x0873ffa3U,     0x7fbf70e5U,     0x71b0de79U, \
    0xc323001aU,     0x06c60b1eU,     0xf3047fd5U,     0x845c2471U, \
    0xa9565bb8U,     0xab52cae8U,     0x17d523d4U,     0x59195087U, \
    0x2a7c637dU,     0x685084e5U,     0x544812ddU,     0xaecc3a9eU, \
    0x3b9fd20fU,     0xb583652aU,     0xc254a945U,     0xfae18e71U, \
    0xeb8ea82bU,     0xf95032b0U,     0x6a1fcf41U,     0x7c607478U, \
    0xe7734932U,     0x925d2914U,     0xae34c7f6U,     0xdfa363f8U, \
    0x4c72b3eaU,     0x1d490fb3U,     0xdcd3ae52U,     0x792b21eaU, \
    0xdfb53793U,     0x29bc0489U,     0xc2c8fa12U,     0xd446e6cbU, \
    0x9998cd84U,     0x464debd5U,     0x8d0b042bU,     0xddff37eeU, \
    0xa4ae0663U,     0x14de15a8U,     0xa46232bbU,     0xc457e754U, \
    0x43daa19aU,     0xd3ac2970U,     0x2a537dbcU,     0xc91f116eU, \
    0x31a3e1d4U,     0x1333bfc1U,     0x3abe837fU,     0x69975d5cU, \
    0x6732563eU,     0xd536210fU,     0x37f88c31U,     0xd3842326U, \
    0x6440304cU,     0x9bf60517U,     0xea95ca69U,     0x18e267ddU, \
    0x9b678ec4U,     0x501aadd7U,     0x123a33a9U,     0x77076d73U, \
    0x78ec8ee1U,     0x18b6620eU,     0xc98e00ffU,     0x383671a9U, \
    0x59e94f4bU,     0x20fedfa3U,     0x59257216U,     0xe5f2bd8fU, \
    0x1a162ce4U,     0x80e3ea31U,     0xa3884bd2U,     0x2be6eea6U, \
    0x24c367daU,     0x9386b1ecU,     0x430c06b7U,     0xdbe0788bU, \
    0x5849afd5U,     0xfb21c437U,     0x78b3525eU,     0xb1d502f8U, \
    0x296fe071U,     0x9de243abU,     0x89b31bfeU,     0x0a183e77U, \
    0x1958b493U,     0x755c0f8dU,     0x00932034U,     0x5cd913b6U, \
    0x38352ebdU,     0x35fecae7U,     0x13608868U,     0x47898952U, \
    0xc7214407U,     0xcd5dc215U,     0x61145625U,     0x46d8ff6aU, \
    0xced4fd69U,     0xcdd84ebeU,     0x6c1bec60U,     0xa3858e8aU, \
    0x44e3e89aU,     0x2f3ec2afU,     0x7297c37dU,     0x0d5862a4U, \
    0xb79e4624U,     0x39c0a356U,     0xcb32d37aU,     0x8bdde1c9U, \
    0x9bf2db85U,     0xccc0237fU,     0xc1adadf0U,     0x8574835fU, \
    0x3889bdffU,     0x53dddaa6U,     0xada6f086U,     0xf7092f52U, \
    0x22acb457U,     0xb598d5f4U,     0xa786cd58U,     0x929198e9U, \
    0x3185fed9U,     0xee894eb8U,     0xc961d839U,     0x111a3e6aU, \
    0xd55d42e7U,     0x4d129404U,     0x42ba57feU,     0x8926d531U, \
    0x11335bf9U,     0x186cf657U,     0x0bef3bd2U,     0x746244f9U, \
    0xab592788U,     0x7a808660U,     0x621b0672U,     0x9350048aU, \
    0x6ff7748cU,     0xcfd155a5U,     0xc2722fd2U,     0x068420cbU, \
    0x17b1c3f1U,     0x72d8c044U,     0x79bd20d2U,     0x7172c11eU, \
    0xc20488f4U,     0x5db5b89bU,     0xc26bae62U,     0x163d3110U, \
    0x54a484cdU,     0x1b6859e3U,     0x98b4f05fU,     0x539d05f2U, \
    0x37cead64U,     0x194853bdU,     0x1d294e3eU,     0x1db04231U, \
    0xfb2d7095U,     0x53fec9a5U,     0x93710e38U,     0xe31766b3U, \
    0x403b019cU,     0x9d6e7981U,     0x20cfebb5U,     0x918b864dU, \
    0x5583b3b6U,     0x07bc2834U,     0x6f535325U,     0x89609625U, \
    0xd868f5a7U,     0xe4050917U,     0x9bc10c4bU,     0xf18651afU, \
    0xe7e30890U,     0xccaa82afU,     0x02924ce5U,     0x7de8af04U, \
    0xe9d97665U,     0x708e6667U,     0x5e507078U,     0x0f25f4b7U, \
    0x37ea0823U,     0x32599df1U,     0x650a10f2U,     0xb79915fbU, \
    0xc7d78a7cU,     0xbfb39241U,     0x70a8da07U,     0x18a3fa61U, \
    0xb629fae1U,     0x66f16f56U,     0x433ed864U,     0x2c1e819fU, \
    0x65be279aU,     0x0496aaf8U,     0x50823a86U,     0xb75c6677U, \
    0x391ce7baU,     0xf15e2d9cU,     0x910a3486U,     0x05dd895cU, \
    0x8b81aafcU,     0xf73fd60cU,     0x4330ebecU,     0x045e3ab4U, \
    0xd8a7b492U,     0x9fe876b4U,     0xcbbc70cfU,     0xcec56055U, \
    0x1cde9d6cU,     0xadc2a93bU,     0x342a0dfbU,     0x79438871U, \
    0x0aa2b7e7U,     0xe69acc70U,     0x82f9fe39U,     0xfbe92a42U, \
    0xd457f976U,     0x22d48929U,     0xbfae5c2aU,     0x98c518ecU, \
    0x2894428cU,     0xc6a24f5cU,     0x5ae34b3cU,     0x2d5cf6b8U, \
    0xed4be1f3U,     0x4a50995aU,     0xdbb83197U,     0x723d5ec7U, \
    0x68920dd0U,     0xa4a9becdU,     0x17f56232U,     0x2599a850U, \
    0xfafef446U,     0x156cd181U,     0xe2bb5e8eU,     0xc429446bU, \
    0xcb7169baU,     0x0e14a1d8U,     0xa30709fdU,     0xe3ef1458U, \
    0xec674059U,     0x70d68107U,     0x938846f8U,     0xb8a51af3U, \
    0x9a86d55fU,     0xb07cf1eaU,     0x1f46cf33U,     0xc8f644c7U, \
    0xd3b05058U,     0x99c9501dU,     0x32059302U,     0x34d23d43U, \
    0xea71fa76U,     0x8a1744c0U,     0x652ea6dcU,     0xf7973dd3U, \
    0xa99402ccU,     0x34204b95U,     0x91169607U,     0x3161a1ffU, \
    0x0eba5069U,     0xd7d69857U,     0xc93a39eeU,     0xaed29449U, \
    0xc39495d9U,     0x77df003dU,     0x68fc92f7U,     0xf4d2fe25U, \
    0xae2b2647U,     0xc38494b3U,     0x4bad7b66U,     0xa85c4cddU, \
    0xb0b3b079U,     0x46c38f3aU,     0x8ff679dbU,     0x4b0035d8U, \
    0x883fc8dcU,     0xdfb82273U,     0x73c94525U,     0x1331db5fU, \
    0x931e1597U,     0x20c8a5bfU,     0xff471aa9U,     0xf5668bffU, \
    0x03e1a962U,     0xc89c0c8fU,     0x2c4f61ceU,     0x2a63a2acU, \
    0x40d00e78U,     0x2925a0c9U,     0xb6429e9fU,     0x4ef6f850U, \
    0x3717106cU,     0xb3726635U,     0x0317cdb6U,     0x855a2530U, \
    0x96e8af71U,     0x03b0222cU,     0xcde182a1U,     0x3d79900fU, \
    0xf4388730U,     0xd43b8b67U,     0x2af1a940U,     0x1acc56b5U, \
    0x92a6123fU,     0x0dfff295U,     0xf8032b13U,     0x891f4061U, \
    0x53957cd0U,     0x639fae81U,     0x64090e70U,     0x30e44261U, \
    0x28a4c24dU,     0x62575ea7U,     0x2203606fU,     0x0fc4850aU, \
    0xee38bdccU,     0x33b614c5U,     0xc89361bcU,     0xc6a3238aU, \
    0x7dd62c65U,     0xd7a1d667U,     0x1415f237U,     0xeedfb945U, \
    0x2c3e32d4U,     0x7b1af77bU,     0x5d53e4f3U,     0x806d12adU, \
    0x43e970d0U,     0x01befeedU,     0xb58738b7U,     0x9c3ec994U, \
    0x3fac8377U,     0xb8171a61U,     0xe57c452dU,     0x563fa80dU, \
    0x4808208cU,     0x4ab209efU,     0x11552fe5U,     0x139df4dfU, \
    0x4cbfddddU,     0x0959cdc2U,     0x2a4a6cc6U,     0x9258a0f0U, \
    0x66be31afU,     0xbc997ba3U,     0x185ec14eU,     0x8393584cU, \
    0x1c53be9bU,     0x7444163fU,     0x6feb9f18U,     0xa5c36717U, \
    0x1b37e2d5U,     0x8b1b115eU,     0x1a0936fbU,     0x3f4d0e5cU, \
    0xe51c7b78U,     0x2f2829a2U,     0x5742defbU,     0x50e90874U, \
    0x5dea3d8aU,     0x89b0da7bU,     0x24fd0cb9U,     0x6bea0949U, \
    0xa9714d24U,     0xad3f4f3aU,     0x502ffdbfU,     0xf704ad20U, \
    0xf980a0d4U,     0xd80e1665U,     0x6eba0a25U,     0x573f0779U, \
    0x515675e3U,     0xa760929bU,     0xd10f98c2U,     0x8ea00ef7U, \
    0xd694d874U,     0x58542692U,     0x405e5090U,     0xe11085e6U, \
    0x8714fa05U,     0x0a7593ccU,     0xd8b8a45cU,     0xf5235a4aU, \
    0x4a0e125fU,     0xb9a2e0d8U,     0x22965573U,     0xc83b453fU, \
    0xa0170714U,     0xc629b74fU,     0x6dbfbbf1U,     0x9720dbafU, \
    0xc0265c8aU,     0x5bb0bcd3U,     0x16112552U,     0x33ca1d20U, \
    0xad1d2702U,     0x4c0920fcU,     0x571688f7U,     0x2c91328cU, \
    0x4562797eU,     0x06a44df9U,     0x5d38337fU,     0xb88a53f7U, \
    0xfb83b2b9U,     0xc46b2ca8U,     0xcc531b31U,     0xfaeb97e1U, \
    0x4818227fU,     0x7fbba75fU,     0xbe95dda3U,     0x734aaf36U, \
    0xb3610667U,     0x5d785becU,     0xf599c918U,     0x3fed4cfbU, \
    0xff291fbcU,     0x04bb1159U,     0x19788d14U,     0x52df4b47U, \
    0x4f7239e3U,     0x247beac5U,     0x953b2a2dU,     0xdbec374fU, \
    0x567399f4U,     0x1db1c4dcU,     0x6ee13e33U,     0xf8ea52d7U, \
    0x77cb143aU,     0xdb271c00U,     0xc7bd0326U,     0xdbe40482U, \
    0x1c268bb2U,     0xd0b73f34U,     0xb63e1d9bU,     0xb9f38705U, \
    0x5c21dee6U,     0x88637014U,     0x7bceea20U,     0x776a122cU, \
    0x30895ed6U,     0xe7c0a6caU,     0x02dabe2eU,     0xbbed6b5bU, \
    0x6fedd23aU,     0xfd34b92bU,     0x1f6acf95U,     0xb5d0cc5bU, \
    0xfcf5b794U,     0xe1f80b56U,     0x023b853eU,     0x50511ec9U, \
    0xe953863fU,     0x185a193cU,     0xb7200391U,     0x50b1a3efU, \
    0xe07d4b7dU,     0xc18775a1U,     0x3077aae2U,     0x5feac075U, \
    0xb7d3f154U,     0x1c94a7fcU,     0xf7a3995aU,     0x2bf57b66U, \
    0xbca7fb9dU,     0xc7b6fb70U,     0xef214d0fU,     0x9792bc92U, \
    0xdc7c9745U,     0xd95d7fa2U,     0x6fa82a23U,     0x3f35c2e6U, \
    0xb7829b41U,     0x859fc0caU,     0x4272bdbcU,     0x4c1de048U, \
    0x350b4de7U,     0x09fdd818U,     0xa7297b33U,     0x166e8cdcU, \
    0x59b1c377U,     0xe8b38125U,     0x226311aeU,     0xbce4f965U, \
    0x97f51fcbU,     0xfc770c26U,     0x6ad22182U,     0x352905f6U, \
    0x05e85594U,     0x52c873b7U,     0xaaceca60U,     0x3c3a7d21U, \
    0xbb11ea8fU,     0xe488039cU,     0x417fb682U,     0x8c5cd344U, \
    0xcd7ba84bU,     0x1733e550U,     0x1d317b34U,     0x256bd0b3U, \
    0x7c1c817dU,     0x86e0b384U,     0x3a8166cbU,     0xf2256de2U, \
    0xdd8d6730U,     0xf76d770aU,     0xac592379U,     0x8b630c55U, \
    0xaf3ffa2dU,     0x279b4239U,     0x688caec7U,     0x0d5e9b92U, \
    0x4a6827e4U,     0xdc51a7fcU,     0xa672e0fbU,     0x6080824eU, \
    0xe15bd769U,     0x2e65e996U,     0xab1500c6U,     0xfe016159U, \
    0xafdd15f5U,     0x5ffb3718U,     0x716d9a8bU,     0x3a109ebdU, \
    0x1ab7191dU,     0x4ae829e0U,     0xbea6a2f6U,     0x6e59f5e6U, \
    0xdcaf36ccU,     0xd23e0e3aU,     0xe36f998bU,     0xf6c03084U, \
    0xde9d9377U,     0xf35ce90bU,     0xba4f64bcU,     0xadc6b9d8U, \
    0x0f8087c0U,     0xf93e3457U,     0x055a32b1U,     0x71d3fe68U, \
    0x0801b557U,     0x2282e432U,     0xd18f50b6U,     0xa99f5072U, \
    0x6aa59875U,     0x396f2a5bU,     0x13785bbbU,     0x7926c074U, \
    0x9e643f45U,     0xf5f24c89U,     0xb8908ae3U,     0x58178130U, \
    0x317abf85U,     0x2fd99544U,     0x929dc8bbU,     0x1bc4fd2aU, \
    0xfcbd7a38U,     0x2053a611U,     0xda63dd04U,     0x9abfb411U, \
    0x034a7207U,     0xcf1611feU,     0xa8e198e1U,     0xd70f0defU, \
    0xaec33582U,     0xfd20301fU,     0xf91f3a2bU,     0x608afdd7U, \
    0xd91dc02fU,     0x1b19f04bU,     0xba1f831aU,     0xcc274c37U, \
    0x36204b54U,     0xf64c5393U,     0x495165a9U,     0x6b267ee7U, \
    0x98b83ee7U,     0x858b5306U,     0x5578a378U,     0x2602a5b4U, \
    0xf82188b7U,     0x0f358820U,     0x02f76b89U,     0x046170b0U, \
    0xd58a4decU,     0x74218edfU,     0x0d1af00aU,     0x1b70aa7dU, \
    0x565e76e6U,     0x00348b70U,     0x99398108U,     0x966ec8e4U, \
    0x1d6f1039U,     0x6d4211c0U,     0x7c030679U,     0x1b00a8d5U, \
    0x4397b037U,     0xda997659U,     0xb26e5856U,     0xfc25a3cbU, \
    0x674c903bU,     0x8d43a09aU,     0xa2f69281U,     0xa108a43aU, \
    0xd83ccd34U,     0xdb3adcc4U,     0x87933663U,     0x3618aa4eU, \
    0xa7ef94acU,     0x001fb701U,     0xec609efeU,     0xc3ed87aaU, \
    0x4b02786eU,     0xfb069a80U,     0x543ee531U,     0x447455b5U, \
    0x8e3952e8U,     0x7ac838eaU,     0x33aaf73bU,     0x7ebb68e6U, \
    0x74137c8aU,     0x91c68623U,     0x13b9697dU,     0x8c26acc8U, \
    0x624ad891U,     0xcdc29e60U,     0x5106276bU,     0x71aaed2fU, \
    0x098549a4U,     0x463ac379U,     0x8e3f6440U,     0xccf79e15U, \
    0xecfbcb32U,     0x97195af8U,     0x171c532fU,     0x467554e4U, \
    0x74dd516eU,     0x40a2c422U,     0x6cfb1ca5U,     0xb8066248U, \
    0x6458059aU,     0x78b63178U,     0xb006a7fbU,     0xd0100766U, \
    0xf290ea74U,     0x1eeacfbdU,     0x05d2d0c8U,     0x0fb3696bU, \
    0xe75443dbU,     0xb6371098U,     0x10a6b644U,     0xb1eb28f8U, \
    0xf260dc8aU,     0x1c4e79deU,     0x8d9f761fU,     0x1df504deU, \
    0x263b5cb2U,     0xa20e00c2U,     0xffecbf22U,     0x93f97654U, \
    0x6cc47323U,     0xb1b2d00aU,     0x3ba5c912U,     0x2a6bf064U, \
    0xa6a3fd9dU,     0x21208fb1U,     0xdefcdf22U,     0x9afa7d03U, \
    0x14f9f58fU,     0xfde1ed70U,     0xe0d4f1d8U,     0x40ed7b63U, \
    0xce15fd24U,     0x44aadf6cU,     0x18947791U,     0xf6b78062U, \
    0xbe7a1cdcU,     0xaf5529c3U,     0xecd305a1U,     0xcc42049eU, \
    0x347ada2aU,     0x55b51d8dU,     0x72c02a7dU,     0xade52adaU, \
    0x5971378eU,     0x7a7bf830U,     0x765919e8U,     0xacce8128U, \
    0x85b45be9U,     0x4bed1e59U,     0x1f91b993U,     0x64aef09fU, \
    0xedfca83fU,     0xf30c3f13U,     0x8df4722cU,     0x8860a3ffU, \
    0x726ada49U,     0xe959efd1U,     0x7bb5b7ceU,     0xcf53ebd4U, \
    0x8db69331U,     0x3765ebc0U,     0x341a8571U,     0x63eb3042U, \
    0x704ef5e2U,     0x4ccc6275U,     0x3e673fd7U,     0x4f8cafdaU, \
    0x07a5f7b2U,     0x8f9424d7U,     0x7128e841U,     0xb776d0adU, \
    0x7aa35203U,     0xc6dbf3ddU,     0x605f9224U,     0x9e82c48fU, \
    0x6ed77a76U,     0xadf37e64U,     0x3023172aU,     0xffe7152dU, \
    0xa266cd42U,     0x373b60a4U,     0x118252fdU,     0x9f957e47U, \
    0xa8b1d5caU,     0x1bc7df7aU,     0x177c7fbcU,     0x0a08893bU, \
    0xdf05464bU,     0x63b29088U,     0x386473e0U,     0x6b820506U, \
    0x3975a5a8U,     0xe4c5fb5fU,     0x66208810U,     0xaa50aa03U, \
    0xaf195155U,     0x983d6f05U,     0xc82ca15eU,     0x4ab0c148U, \
    0xf8d6f8bdU,     0xef8b74b7U,     0x0cbe60faU,     0xbf316bbeU, \
    0x820c0666U,     0xe9c75bb8U,     0x189a9392U,     0xdd3036e0U, \
    0xa8e5dd1aU,     0x2c0c3ab3U,     0x09272ad9U,     0xd860722cU, \
    0xc4b2feacU,     0x5621a43bU,     0xee9d8b0eU,     0x846aea2dU, \
    0x3851944dU,     0x478a7a8cU,     0xf238d81fU,     0x233c1cb6U, \
    0x7d823d69U,     0xaf8cf2b5U,     0x3e5bff96U,     0xd7b31c1fU, \
    0x1f66d1a9U,     0x250e8ee2U,     0x257874e8U,     0x5039ff8aU, \
    0x5e60c001U,     0xdc3adc84U,     0x0c0f5670U,     0x5e6d616aU, \
    0xee9459efU,     0xdf032918U,     0x2ed542f4U,     0x3f1e34cfU, \
    0xf1b2df40U,     0x2840a049U,     0xc9f4fb36U,     0xb020199cU, \
    0x550fd4d5U,     0x09dc9ec2U,     0x87fdbc58U,     0x8c11dbd9U, \
    0x58298896U,     0xd4522285U,     0xcff24608U,     0x50ec9307U, \
    0x2e6c963cU,     0x2844e8f2U,     0xd5b5fa16U,     0x7bac7dbfU, \
    0xb41728d0U,     0xdfb8bb33U,     0x760fe12dU,     0x1682c980U, \
    0x71d30ad7U,     0x7bf94666U,     0xd2b7e87dU,     0xf3dfe20cU, \
    0x6ae4fdd4U,     0xa372cddfU,     0xda0f2802U,     0x612558deU, \
    0x0197b858U,     0xeda4197cU,     0xac799344U,     0x5251934bU, \
    0x15f2c0a7U,     0x1ac1cbfdU,     0xb66fa499U,     0xc7d9fd98U, \
    0x727ca932U,     0xeaa27822U,     0xa77c3c1eU,     0xd668c6caU, \
    0xe458bed5U,     0x5eec1e03U,     0xdd9a31baU,     0x3a85b8baU, \
    0xc872ba56U,     0xdd190173U,     0x32604865U,     0x93cab0d3U, \
    0x4240c234U,     0x48bd899dU,     0x74e55bf3U,     0xe8c17f16U, \
    0x0775106bU,     0x21d328a5U,     0xee66fc54U,     0x25906c8fU, \
    0xdefb8e01U,     0x10300f53U,     0xc594d708U,     0xbf8c850eU, \
    0x88f1d440U,     0x9de84dfaU,     0xcaae21e7U,     0x37bdd5ebU, \
    0xf63bcd27U,     0x35ee2b6aU,     0xd1b40e87U,     0x731525caU, \
    0x65a52f50U,     0xcee6ee25U,     0x5dbc61c9U,     0x8bfd6239U, \
    0xf76958f3U,     0xb6ea7ccfU,     0x0e672ad2U,     0xb8ed73ceU, \
    0x4dae35b5U,     0xcdff0cafU,     0xc6b7da43U,     0xafca7d7bU, \
    0xbed868dcU,     0x7d690681U,     0x314669e8U,     0x0d3dbe6cU, \
    0x858565a1U,     0x36d87acaU,     0xd2e95c0fU,     0x5043084fU, \
    0xa1284617U,     0x7a82f9e2U,     0x5918ba9dU,     0xab384760U, \
    0x562b141eU,     0xa1737327U,     0xbffc50a7U,     0x2372c3e7U, \
    0x7acd2944U,     0x0445610fU,     0xd489e2f3U,     0xf81d1998U, \
    0x212abc99U,     0xbf900ca9U,     0xe4396956U,     0x370e944dU, \
    0x9f4fcf3bU,     0x305a62aeU,     0xd4a1598fU,     0xda407fb6U, \
    0x76263eecU,     0x08173c6cU,     0x9234bfa1U,     0xb426a3d5U, \
    0x99591027U,     0x5e5753acU,     0xd430ef1eU,     0x57e95700U, \
    0x3eebc053U,     0x7d4511b2U,     0xe2cd4b52U,     0x914d4dffU, \
    0xfa594815U,     0x021c6b57U,     0xf5db7d2bU,     0x2620b906U, \
    0x1bb94403U,     0x46cd4bd4U,     0xf3761e7eU,     0x717fae0aU, \
    0xc9a6dcb2U,     0x50bdfc1eU,     0x1f99b499U,     0x28130d04U, \
    0x57fb4a0cU,     0x4856e72cU,     0x656fed63U,     0x67a7891eU, \
    0x2fce99a8U,     0x36977b91U,     0x5bb1da51U,     0x44973d1fU, \
    0x620aa69aU,     0x20b71062U,     0x6acb8bd5U,     0x01710e0eU, \
    0x22cb86a1U,     0x86f0e048U,     0x89d14041U,     0xb0a60130U, \
    0x8b82c1faU,     0xf66a8a49U,     0x07bbf9a6U,     0x87669f94U, \
    0xa81b491bU,     0x362f7a3bU,     0xf7f74a76U,     0xc73e4dc1U, \
    0x49bf9f18U,     0x3df81a84U,     0x4038581dU,     0x7717c4bfU, \
    0x29194484U,     0x0fbc5eb0U,     0x1bcfca6dU,     0x0d5f2ff3U, \
    0x2af2bbfaU,     0x68be6900U,     0x756e7f6dU,     0xda288535U, \
    0x1e11b51dU,     0x0f953207U,     0xd96551acU,     0xb14191b3U, \
    0x6587d977U,     0x8498e8d1U,     0x1b39546dU,     0x3e273fb1U, \
    0xe8ebb9f9U,     0x165278e4U,     0x1a265f21U,     0x6c67e751U, \
    0x47551768U,     0x71843a44U,     0x5924322dU,     0x0afb97afU, \
    0x294eb423U,     0x925634e5U,     0x29585b3bU,     0x464687c6U, \
    0x9f673731U,     0xd771afbeU,     0x928797aaU,     0xf61020ffU, \
    0xf072b30dU,     0x8628a368U,     0xb002051bU,     0x701c4124U, \
    0xc218fa36U,     0xb714b264U,     0x77e8dc46U,     0xa7ab53f2U, \
    0x65be0338U,     0x1baecdb4U,     0x7f4c925eU,     0x509b2084U, \
    0x9d535057U,     0x901203acU,     0x12ccf58fU,     0xa5d24348U, \
    0xc001f037U,     0x89792239U,     0x59d18466U,     0x7b7e5065U, \
    0xa8e5f1b7U,     0x85f38d14U,     0xbba50f97U,     0x39604abfU, \
    0xd59f8586U,     0x24f2debfU,     0x29ba14f8U,     0xa5662d9dU, \
    0xb2f1b382U,     0xff790da4U,     0x6ae3c5caU,     0x5e842e3aU, \
    0x6d8fc942U,     0xa4b14840U,     0xdf4e325bU,     0x5e110353U, \
    0x709dfd7bU,     0x35c06cc7U,     0xacc76dffU,     0xf422a1bdU, \
    0x3ac319bbU,     0x4cafb1adU,     0x04ccc6f8U,     0xf18e5cc6U, \
    0x924ff463U,     0x636577f5U,     0x19dd91f7U,     0x1f5ffc1eU, \
    0x05af166cU,     0x8c816e2cU,     0x267a9de2U,     0x4283a6feU, \
    0xc588a56aU,     0x8921ef14U,     0x9625cdf8U,     0xf540c45fU, \
    0xa5bf34a6U,     0x47a29f25U,     0x77a951e0U,     0xa1e1f57fU, \
    0xb7e3b44eU,     0x25bc3623U,     0x0156daf9U,     0x802a83a5U, \
    0x1c5eece7U,     0x46eb9b72U,     0xba416daaU,     0xb7079e38U, \
    0x3c92e986U,     0x07200ad2U,     0x03084326U,     0xdc2ab0feU, \
    0xc0217bc5U,     0x0540fdfeU,     0x52d0fbdaU,     0x629975e8U, \
    0x9a841514U,     0x5391508fU,     0x81620168U,     0xa281d8d5U, \
    0x4e4ced59U,     0x63598b6cU,     0x02b71f0dU,     0xa6737a3bU, \
    0x488059dcU,     0xd8a32be0U,     0x88a6e6feU,     0xbf6af416U, \
    0x6aba2e15U,     0x7c8fedb4U,     0x7d9f861eU,     0x1190b3c0U, \
    0x8cb9439eU,     0x67c018aaU,     0x5dda4b1dU,     0x79bdd748U, \
    0xbc1ae2abU,     0xd35f485dU,     0x04398fdfU,     0xa7f28e52U, \
    0x47e8bce6U,     0x4fe87cfdU,     0xc554501cU,     0x55936b5fU, \
    0x2cafc8d2U,     0xc5bb5b19U,     0x3c4b1574U,     0x22e9bfe9U, \
    0x05010068U,     0x611c744bU,     0x1d6a3863U,     0xf37675fcU, \
    0x64252a10U,     0x7fcd9a44U,     0xbf73aed7U,     0x7611444cU, \
    0x67b60940U,     0x3ec122ceU,     0x04597bc3U,     0xdc414ec0U, \
    0x2cebdb0cU,     0xc35a4a82U,     0xae6feb46U,     0x3995723eU, \
    0x352d421dU,     0xf9e14085U,     0xaa58a059U,     0x27a0be36U, \
    0x169febc3U,     0xed5f7cbeU,     0x304e93ccU,     0xe5c6d50dU, \
    0xe74f7217U,     0xa655316cU,     0x3881142dU,     0x1a579e69U, \
    0x7b3547e3U,     0x7ac100c0U,     0x84ef53edU,     0x81777844U, \
    0x12f255f9U,     0xe02d941eU,     0x8fcc92cdU,     0x6e34ff7aU, \
    0x14223ab8U,     0xb5ec0da0U,     0x6841dee6U,     0xa42d5306U, \
    0x2a6eb4afU,     0xfe9da1c5U,     0x9b668e99U,     0xea6dca2bU, \
    0xeb93c2d0U,     0xbc332a8dU,     0x31ddd908U,     0x2714df69U, \
    0xb98df267U,     0x4856dc89U,     0xf553bd1cU,     0x679c9d6dU, \
    0xa26b9cedU,     0x788e6ef8U,     0xadfa723dU,     0xf8761676U, \
    0x21002e25U,     0xfc1951baU,     0xba9dda23U,     0x14a9ebe3U, \
    0xe842556cU,     0x889d36afU,     0x6d128ed0U,     0x7a0000ccU, \
    0xb6a6fde5U,     0x42f4748aU,     0x0a708481U,     0x144d8c2eU, \
    0x7b222231U,     0x06d2fc83U,     0xdac08d14U,     0x03480b6bU, \
    0xd044a756U,     0xc60837fdU,     0x621996e4U,     0x03ae63fdU, \
    0x882e9e95U,     0x60fe2cc8U,     0x4b64267eU,     0x21ded31aU, \
    0x1113d591U,     0xc2a1c0ccU,     0x697de3f5U,     0x87b605d5U, \
    0x98766a03U,     0x3dfff5a3U,     0xad09f7acU,     0x519a2e26U, \
    0xe91a78cfU,     0x11cce1ecU,     0x507d1e46U,     0x0bf8e83bU, \
    0x726d54a3U,     0x991e32f9U,     0x64b1fbb4U,     0xc73fd0cfU, \
    0x719dac28U,     0xb42ae2e3U,     0x8da265ecU,     0xc8932d56U, \
    0x5e7ec49fU,     0xf6d97950U,     0xb9d350d5U,     0xa390b462U, \
    0xce60312cU,     0xbdaf94cfU,     0x95ba0c9eU,     0xdc13c73cU, \
    0x137560a1U,     0x04dc5764U,     0x670e0c88U,     0xbba4e874U, \
    0x2e73033cU,     0xae016591U,     0xe50d9475U,     0x0330fccaU, \
    0xaa31a9d9U,     0x5522e135U,     0x89827d52U,     0xf05eef19U, \
    0x0c89c6adU,     0x4ad0db04U,     0x73aa694dU,     0xf66ad93cU, \
    0xacdf6467U,     0xb45c3ee5U,     0xa3270807U,     0x903dfb75U, \
    0x559a6dfeU,     0x147e60b1U,     0xcdb94b71U,     0x595ae40eU, \
    0xcc224eedU,     0xab4b47a9U,     0xdf7b0111U,     0xd5af0bdaU, \
    0x6f384ad9U,     0xac7302d7U,     0xacbea538U,     0xe1fb61b6U, \
    0x807cdac9U,     0xc0d954b3U,     0x0ba00f7bU,     0x1bc81961U, \
    0x6feb60fbU,     0xea23be3aU,     0x86ddf638U,     0x498ea2d3U, \
    0xa6b52fb7U,     0x7eabf1ebU,     0x9c1f8bb6U,     0xe9ad0775U, \
    0xe5c6f0b3U,     0xc66646f0U,     0x44690be9U,     0xdf7cdf5aU, \
    0x9932b6c8U,     0x1a88bf78U,     0xe161eeceU,     0xfd3ed51cU, \
    0x8267da20U,     0x3d84f793U,     0xcf929d98U,     0x59efa4e3U, \
    0xbdfa2b28U,     0x1606d3cfU,     0x0bf6bab9U,     0xe35c019aU, \
    0xf4b3c975U,     0xdb5b92e6U,     0x58d6631eU,     0x0009fcb9U, \
    0x58592be4U,     0xf429d621U,     0x9e9ce377U,     0x14b72767U, \
    0x8bda8f90U,     0x0b100ecaU,     0x61e86598U,     0xdd31f532U, \
    0x63c373efU,     0x667a41a8U,     0x787cea64U,     0xa63d4821U, \
    0xa8a22ebaU,     0x58994755U,     0x58bfeeabU,     0xf6e5873aU, \
    0xe1f3ed6dU,     0xdcef1584U,     0xc8f41c8bU,     0xddf101fcU, \
    0xc9b00686U,     0xac81629cU,     0xa033664fU,     0x969f46daU, \
    0xc0c10761U,     0x761aa55dU,     0xecdc8653U,     0x40a8bd20U, \
    0xa48568d2U,     0x1140c8caU,     0x9ced8531U,     0x8596eccfU, \
    0xb6f91575U,     0xa1d93bc5U,     0x46816386U,     0x40eb52e4U, \
    0xefe51713U,     0x3983f899U,     0x0f18755fU,     0x4b10bf42U, \
    0x81c19666U,     0xf1bb44eeU,     0xf6847f08U,     0x61da47aeU, \
    0xa2f11945U,     0xd266f8a5U,     0x5de2ef5fU,     0x6a2cac96U, \
    0x621b2871U,     0xad90b066U,     0x4fcaaa5fU,     0x98852b14U, \
    0x90ed5990U,     0xa9cae22eU,     0x310b8a09U,     0xa220f4ebU, \
    0x22ffbeadU,     0xcf4589f3U,     0x8b014a3cU,     0x692d7d14U, \
    0x810d4044U,     0x359250edU,     0x28a87d08U,     0x04b10dfeU, \
    0xe9b68aecU,     0xa64b8964U,     0x77de7d69U,     0x1c231d5cU, \
    0x139dda41U,     0xdc12b90eU,     0x44375f44U,     0x37e8d223U, \
    0x1ee453b0U,     0xe626ee3cU,     0x1a9ff05fU,     0xbf5c39cbU, \
    0x031d49cdU,     0x830a9238U,     0xd6cf0f8eU,     0x17f77000U, \
    0xd76c5a77U,     0x9133992bU,     0x0ea4e7ddU,     0xc540ef5eU, \
    0xea53a156U,     0x80f69d92U,     0xe923bcb4U,     0xef1bfcbdU, \
    0x665d6e5fU,     0x3281abdfU,     0x87a2cec3U,     0x3b8e2f49U, \
    0x49c45b99U,     0xdc972300U,     0x8374ea9cU,     0xdc79a513U, \
    0xaf94da24U,     0xa74d6b8eU,     0xab57ecf8U,     0xea88a149U, \
    0x17d3d378U,     0x6dda78d7U,     0xc4acbd89U,     0xde4ee72eU, \
    0x2fa7ad08U,     0x771d217fU,     0x7fd13cfcU,     0x1da72b71U, \
    0x6498a3baU,     0xfc3e6103U,     0x1fa33aaaU,     0x0af25cd5U, \
    0x6cb1abacU,     0x785eea8aU,     0xda11a751U,     0x24dd1f76U, \
    0x59ac4867U,     0x267627fcU,     0x57c148abU,     0x90dfa9d0U, \
    0x181c6b6bU,     0x4f5db962U,     0xdead39c1U,     0x339a6b01U, \
    0xac9c7febU,     0x23765d42U,     0x17c4e2c3U,     0x4c6a7a71U, \
    0x4a2ef504U,     0x87cf2e13U,     0xd3ab7103U,     0xeba2ec80U, \
    0x70fa009bU,     0x97c67d7aU,     0xf02aeb24U,     0xc258a30aU, \
    0xfba25e13U,     0x623a6b85U,     0xc2e6e93dU,     0xc3b9eea0U, \
    0x335d017bU,     0x965359a5U,     0xe4c475e7U,     0xf7ee8698U, \
    0x4dd03c82U,     0xd0927006U,     0x74635272U,     0x1f901d1eU, \
    0xc4a2ca27U,     0x2cfebab7U,     0x783f0551U,     0xcfa7f6ccU, \
    0xcbde3cfaU,     0x45e676bcU,     0x0740f4e7U,     0x3e2af602U, \
    0xa2db9086U,     0x299c1467U,     0xb4e7009bU,     0x1803c1deU, \
    0x93ddbc9aU,     0x1f09403bU,     0x6b009798U,     0x2a222793U, \
    0x6d1e7fc9U,     0x79433909U,     0x421fd821U,     0x1e51b922U, \
    0xecbf8a1dU,     0x08579e4fU,     0x9121fd1eU,     0x703891a4U, \
    0x59035ea1U,     0x1c27ff73U,     0x0edf92abU,     0x09565f2eU, \
    0x495b21b8U,     0x44f4589bU,     0x6421b43aU,     0x585b6637U, \
    0x59582e76U,     0x87951496U,     0x1ec75e6bU,     0x32dbcdedU, \
    0xb3790b9bU,     0xfba4f7cfU,     0x5ad3ec1dU,     0x5a00b4b9U, \
    0xfff624a3U,     0x9e542ee0U,     0x709436f2U,     0x5d1c1a21U, \
    0x6f7eaeb3U,     0xf9427d7eU,     0xb57c5ad6U,     0xbfd54808U, \
    0x71779795U,     0x728d6fbbU,     0x9990975eU,     0x85c6aff0U, \
    0x1e24e090U,     0x9c923ffaU,     0x558b66cfU,     0x06e567faU, \
    0xad2d05b7U,     0x58a633a8U,     0xc757cfb1U,     0xf4182c34U, \
    0x2e529d06U,     0x6ec2f704U,     0x978a8154U,     0x62f7d0f4U, \
    0x653a6820U,     0x83e8672bU,     0x37b2304bU,     0x2c1669f1U, \
    0x7130573aU,     0x0741ba6aU,     0x3d111d62U,     0x01fabe12U, \
    0x50711156U,     0xaaa1a8b0U,     0x350f52b1U,     0x5404581aU, \
    0xb0e25a1aU,     0xf33919d9U,     0x355967aeU,     0xdff4d329U, \
    0x12149d63U,     0x2b897b2eU,     0x89caca5bU,     0x71dd93b1U, \
    0x14bb346cU,     0xc063899aU,     0x40556d68U,     0x30b1cc9fU, \
    0x1c02477fU,     0xa4838d4fU,     0x19ff55e3U,     0x9c607e36U, \
    0x53729bfbU,     0xc939adefU,     0x8ba1a9fcU,     0x96bda1cbU, \
    0xbda07ec1U,     0x1d0c943aU,     0xd283784eU,     0xa208f516U, \
    0xb9a9c034U,     0x18930edfU,     0xb47aaf3aU,     0x04f4eb35U, \
    0x230f1542U,     0x04c182a3U,     0x831c115dU,     0xb99ae93aU, \
    0x19c1a880U,     0x0c8991bbU,     0xe4465b67U,     0x8556f243U, \
    0xc5801dfdU,     0x8c130349U,     0x376bd6f8U,     0x6a7e2cf1U, \
    0xbf22c3c5U,     0x05964898U,     0x2f9e9512U,     0xe00ec779U, \
    0xe8b259acU,     0x7e155133U,     0x4f6004a0U,     0x6f522655U, \
    0x041609f9U,     0x7f4147f7U,     0xa40cec66U,     0x3b102ef4U, \
    0xecd0c2caU,     0x40562388U,     0x4e59aa1aU,     0x6769bc01U, \
    0x77e34b88U,     0x88d3a776U,     0xbbdff8afU,     0x0def9de9U, \
    0xd4c04688U,     0x60f6cb9eU,     0xeefbe70aU,     0x5952e683U, \
    0x7e0e6fe5U,     0x8def6377U,     0xd5666e68U,     0x83ee141aU, \
    0x51267424U,     0x87a1e1d7U,     0xac2c43a7U,     0xbaff0f90U, \
    0x3984bd59U,     0x697c0d55U,     0xf63b57b7U,     0x88b40279U, \
    0x4c1dc5feU,     0x4a852a23U,     0xa7133406U,     0xfc54dd62U, \
    0xd3c637f8U,     0x77426b7fU,     0x6bf35f49U,     0xc4115a84U, \
    0x12e24d9fU,     0xe131a4e9U,     0x2c89e287U,     0x802ec4c6U, \
    0xf82e52a1U,     0x903e7aebU,     0xb400d0e6U,     0xaf5b1388U, \
    0x30cc9acaU,     0x6cf6b6edU,     0x9df7b28dU,     0x4c934a04U, \
    0xed9c3cdbU,     0x124e21fdU,     0xb8bcd978U,     0xc9b67046U, \
    0x235f5c3aU,     0x51c91e3fU,     0xb4683b97U,     0x2d24eb08U, \
    0x48cc7e8fU,     0xa0585789U,     0x390e1236U,     0x11a1b1ccU, \
    0x4db756ddU,     0x9d5fafecU,     0x5e185fd5U,     0xa3e8128dU, \
    0xa2289b03U,     0xe008b12dU,     0xa953010fU,     0xb80390a0U, \
    0x1dee1490U,     0x4daf8d88U,     0x75dd22e4U,     0xda9cdd4eU, \
    0x8c7b7d7cU,     0xfac89889U,     0x1e230351U,     0x1c35c84bU, \
    0xa57bfa97U,     0xbe6bb140U,     0x2d33d422U,     0xbad778f3U, \
    0xce7ac52dU,     0x049c97deU,     0xb27cef96U,     0xfc0d97ceU, \
    0x60734abaU,     0x40536c0eU,     0x2ef08398U,     0xdcffe54aU, \
    0xd574c08aU,     0xe6b5af84U,     0x1b340bfdU,     0xa4bedf96U, \
    0xd6d696e8U,     0xda4b8065U,     0x9500d8a0U,     0x9a65c6a1U, \
    0x0b068770U,     0xc312226fU,     0x383929a2U,     0x80f02ccfU, \
    0x537df7a9U,     0xd9665b6cU,     0xf1d12cb8U,     0x22716463U, \
    0x805e8b21U,     0x94655c64U,     0x4aa25f88U,     0x857addedU, \
    0x3d73a14aU,     0xebcc5cc4U,     0xbf69cb12U,     0x4a49cdb8U, \
    0xe6799f16U,     0xc3e6ee48U,     0xe57d7ea3U,     0x444f931fU, \
    0x96e3bffcU,     0xc14f4ea9U,     0xfc7e6129U,     0x30866b25U, \
    0xcb6d8cbaU,     0x818f51b8U,     0x19950355U,     0xdc04d59cU, \
    0xccd94a52U,     0xc00bb927U,     0xc13cdb81U,     0x5f678366U, \
    0xb41c065fU,     0x11b2c62bU,     0x0d65e8b9U,     0x27eb60b2U, \
    0x7266b0aaU,     0x0f52b26fU,     0xc8cbe67cU,     0xcf7a5d81U, \
    0x5e06ccd3U,     0x6221df96U,     0x8d8d916eU,     0x5be36848U, \
    0xd8fb24daU,     0xa94a2093U,     0xc7f9f88eU,     0xc415dbaeU, \
    0x1e60c060U,     0xc2a4a153U,     0x499b2f4fU,     0xd76e3816U, \
    0xc89d4749U,     0x9773f778U,     0xc2172983U,     0x9f6a63aeU, \
    0xb0f7c71eU,     0x0a08513fU,     0x3509c135U,     0x95e90e37U, \
    0x9f90f6efU,     0xa944d5a5U,     0x9c1467e9U,     0xf63a559dU, \
    0x3d133069U,     0x04206cc7U,     0x7f236a10U,     0x90e1e903U, \
    0xe7b7217cU,     0x6ead18afU,     0x85c3c828U,     0x6f2f956bU, \
    0x7f333c12U,     0xa8e7d11eU,     0xe2b66a6cU,     0x13bf86edU, \
    0x912f28ecU,     0x36ae135bU,     0x1145fe3cU,     0x71cb1f48U, \
    0x4f11d376U,     0x3efb82c5U,     0x3eb38058U,     0x3a37daedU, \
    0x5bc8c1d6U,     0x54a554c5U,     0x1bb03531U,     0x14790125U, \
    0x2f2f7f3cU,     0x3c507d5dU,     0xef99f014U,     0x4cd00d34U, \
    0xe4cc1cb3U,     0x1b3d10fbU,     0x51a624c0U,     0x8ececaffU, \
    0x653a8403U,     0x36443641U,     0x6b0d5702U,     0x11dd8311U, \
    0xe5530d1aU,     0x2243f938U,     0xaf3f312dU,     0x9380ea92U, \
    0x0216e1abU,     0x6435467dU,     0xcb238bf8U,     0x658acbcdU, \
    0xb7f8b1c0U,     0xa44a2bb9U,     0xc670df02U,     0x51261a38U, \
    0xfd8d0c25U,     0x068b0156U,     0x22af27f5U,     0xac1400c7U, \
    0xd70120cfU,     0x089f04f9U,     0xa6c1d8a3U,     0x715bbac8U, \
    0x54b7984dU,     0x1c42f057U,     0x6ea1574dU,     0x1dfa5eddU, \
    0x7db1e865U,     0x7dc77544U,     0x87443c09U,     0x1023b94cU, \
    0x8b7fdb85U,     0x9532b048U,     0xfdd4b796U,     0x46948734U, \
    0x8008e1c7U,     0x3ec451caU,     0xb386ca07U,     0x128dcebaU, \
    0x1f7365a3U,     0x93e79abdU,     0xf62f0844U,     0xd17e01f1U, \
    0xaa8b9369U,     0xec349e2dU,     0x8181e377U,     0xaeac460dU, \
    0x4c8f7ad8U,     0xb7a343c8U,     0x420d37aaU,     0xd9bdc81aU, \
    0x3ef9f7c1U,     0x062fa50dU,     0xb4adf3c3U,     0xe0746ebbU, \
    0xd063f3a4U,     0x9f48e6f5U,     0x49d636e8U,     0x9388dba5U, \
    0x687bd4fdU,     0x5ae9ca40U,     0xd065bbb7U,     0x1daa6f90U, \
    0x61e64544U,     0xc2e186f3U,     0x99bc51d1U,     0x3182fa78U, \
    0x7d607685U,     0x05c6c66cU,     0xd7ae4fa5U,     0x3bdfe818U, \
    0xf9910ae4U,     0x2249cb2eU,     0xcab53a72U,     0x9b2dc073U, \
    0xd8a6db39U,     0xdebb08c2U,     0x0f23d902U,     0x3cffff75U, \
    0x358b699cU,     0x7335830dU,     0x3671ae14U,     0x041c8c65U, \
    0x1a260192U,     0x9c346b50U,     0x5956a543U,     0x33e9cfb9U, \
    0x60fd0ef7U,     0xdcfa4f27U,     0x1a64d9a0U,     0x721c454bU, \
    0x7911e875U,     0x6787a24dU,     0x90c5a988U,     0x1d95f402U, \
    0xfb25a089U,     0xf895ef1aU,     0xf745c7acU,     0xb6d6d099U, \
    0xf80ac200U,     0xc3c9d39dU,     0xf96ff584U,     0x20cd7941U, \
    0x48adec61U,     0xe22fb5beU,     0xa37c452bU,     0x572a703dU, \
    0x0f5f3671U,     0xc34ae836U,     0xf3ec0724U,     0x237939bdU, \
    0xb6046deaU,     0x476e1531U,     0xdcea7a60U,     0x35783081U, \
    0x18a7424eU,     0xacbf379dU,     0x3937169eU,     0xf19c743bU, \
    0x79ed5fe0U,     0x9b1a95b2U,     0xeefb1e50U,     0x292b694dU, \
    0x8b0919d9U,     0xb149ae16U,     0xc408f920U,     0xb3d2e5edU, \
    0x3aeabcb2U,     0x7a8ffa9bU,     0x3cd1b834U,     0xca4745a1U, \
    0xed279c12U,     0xfd17efd6U,     0x13337097U,     0xdc07e612U, \
    0x69109f1cU,     0x63f3d212U,     0xea75b2cfU,     0x7b3db489U, \
    0x7d77761dU,     0x9d8a55acU,     0xe77c247fU,     0x1401bb6fU, \
    0xe3c87fe9U,     0x8334221aU,     0x490083a6U,     0x7bc8de09U, \
    0xc07396b6U,     0x651dc0d8U,     0x2182be41U,     0xfa4a9406U, \
    0x461aee18U,     0x16a17fd0U,     0xc65413d9U,     0x0d3ab33fU, \
    0xd116aa74U,     0x39155482U,     0x4ad41d0fU,     0xbdd948a8U, \
    0xea343624U,     0x10efc0fcU,     0xf9abeb33U,     0xf1a1e1fdU, \
    0xc6eea900U,     0x3ad06cdaU,     0x0e7e7327U,     0x06a6a94bU, \
    0xfdb515e5U,     0x8b2ea59aU,     0xf3aa1d96U,     0xc7b864a0U, \
    0x7406d661U,     0x8b150a9bU,     0x1bbb84cdU,     0x9a8b4a6eU, \
    0x96bd3b2aU,     0xf58d06a4U,     0xa1f41c36U,     0x9c2755d1U, \
    0x15af7dc0U,     0x8d4bf0dbU,     0x09863cd7U,     0x64cbf6a9U, \
    0x3a06cc8dU,     0x232c9359U,     0x5dca74f6U,     0xd732db01U, \
    0x0adf2e6cU,     0x86035b58U,     0x736d24f7U,     0x9f5e4cb4U, \
    0xb7ec6393U,     0x6f049ff6U,     0x07d458c1U,     0x42e08550U, \
    0xc8d5d2d9U,     0xe3bc7f36U,     0x07bd341eU,     0x3e3ab34dU, \
    0xcba7858eU,     0x334adf69U,     0x85666cf9U,     0xf6b637c8U, \
    0x4a0037e1U,     0x9ae59990U,     0xc250b43fU,     0xbf384c31U, \
    0x977bf9bfU,     0x5b40b422U,     0x36179d61U,     0x326710f6U, \
    0x7dd9cf79U,     0xc3860608U,     0x529e2009U,     0x77902f57U, \
    0xcced65eeU,     0x7abcab71U,     0xa91ca5edU,     0x245291b7U, \
    0x5acf79e6U,     0x46ef0214U,     0x6cb51408U,     0x4087b805U, \
    0x3c230156U,     0xb40fa0daU,     0xaed3098cU,     0xdcf405c9U, \
    0xc7b0bd0cU,     0x3e103de1U,     0x5789a4e5U,     0xd8c54c2cU, \
    0x1919d9bcU,     0x7792d3a6U,     0xc88707e5U,     0xf8b20249U, \
    0x8b2c1503U,     0x513f4210U,     0xf8446740U,     0xb7b11a38U, \
    0xc63068e0U,     0x00c67fbcU,     0x85bd45ffU,     0x6cf64f34U, \
    0x9def01fbU,     0x585cdbe7U,     0x4863ebe4U,     0xdab5ad84U, \
    0x91301dc7U,     0xbd1b671eU,     0x46cebf1cU,     0xdb683e8cU, \
    0x5c77a09eU,     0xb4712212U,     0xa04488edU,     0x95431712U, \
    0x906584b7U,     0x4c104155U,     0xa0ee28a8U,     0x496b8552U, \
    0x9a23102cU,     0x5e8d66d7U,     0x67de22f3U,     0x4a2bac27U, \
    0xea22333bU,     0x43933741U,     0x13bc2abfU,     0x7ba83dd1U, \
    0x88cad5c2U,     0x5e73ef2eU,     0xb8a9d864U,     0x251f13a4U, \
    0xfb809ea2U,     0xe399433eU,     0x537c02adU,     0x9376de1cU, \
    0x9933284aU,     0x47565e86U,     0xbff5f38cU,     0x67ca9f5aU, \
    0x02b4c8d7U,     0xa63c4cafU,     0x5a09bd01U,     0xb2a31618U, \
    0xec6d3eafU,     0x93e7bc89U,     0x2435be84U,     0x8bc93f7aU, \
    0x81bfbb0dU,     0x8ac00e9fU,     0x9e916ab9U,     0x4ed9134dU, \
    0x82083b9dU,     0xc6c79003U,     0x50270444U,     0xe6d3af19U, \
    0xc005a7c5U,     0x27482e7eU,     0xae515a3aU,     0x9ac42166U, \
    0x02d29612U,     0xdee265bdU,     0xd7795912U,     0x500af2c1U, \
    0xe0ff45edU,     0x6086f0eaU,     0xd20a3724U,     0xd56e8eacU, \
    0x34f97d46U,     0x9a6058e3U,     0xf84fdb37U,     0x2bbd7f83U, \
    0x988205aeU,     0xe091846eU,     0xb0136c7aU,     0x4074f760U, \
    0xf52db29bU,     0x28ad80ecU,     0xf1f821afU,     0x3ca200a9U, \
    0x3a1bbd84U,     0xb2cb877bU,     0x050e719dU,     0xdfcc08c8U, \
    0xf3219299U,     0x00921651U,     0x26f6712dU,     0x072feebeU, \
    0x322ed349U,     0xa7408c5bU,     0xf1c894b2U,     0x57589232U, \
    0xbb4eec60U,     0x09bcd0a3U,     0x6faea6acU,     0x30c91c8fU, \
    0xa3977d14U,     0x7d39c08dU,     0xfd53b1f5U,     0xf1a141b9U, \
    0xfdffdae5U,     0x00201a1bU,     0xb8491ea5U,     0xc7639565U, \
    0xd80f9f66U,     0x0e3181cfU,     0x4c4d4892U,     0x166aa149U, \
    0xe5b3f0e0U,     0x881f4a9eU,     0xc1d871b7U,     0xfb53c407U, \
    0x734b863dU,     0xa198eabaU,     0xa1d66b93U,     0x7fda88c3U, \
    0xfae1ac96U,     0x77a6d81cU,     0x407c4ce2U,     0x1d3f987eU, \
    0xf5955621U,     0x11141093U,     0xadc73b75U,     0x19be09c7U, \
    0x510c3ca2U,     0x463768d5U,     0x7f36682aU,     0x16d34bf6U, \
    0x1c1d7a5dU,     0xa79aef3dU,     0x565ad6f2U,     0x155fdcbfU, \
    0xf6fffe83U,     0x7f64743eU,     0xad0ccd5eU,     0xc695e91dU, \
    0xece05795U,     0x2eabf9b2U,     0x317341bdU,     0x0e38b1feU, \
    0x1d4ec80eU,     0x94454867U,     0xf6f81318U,     0xbff9af4aU, \
    0x6eadeb13U,     0x0fe5ba59U,     0x6d838383U,     0x4a4e4876U, \
    0x255a6e33U,     0x0449b439U,     0x123f7fd6U,     0x368facd4U, \
    0x84978150U,     0xe3fa933dU,     0x9cb42d6bU,     0x28003d30U, \
    0x4c22b9a6U,     0x978c80dfU,     0xdc1432d2U,     0x03d90715U, \
    0xef660372U,     0xd91c678aU,     0x496c87acU,     0xa4cf7911U, \
    0xa1a4f670U,     0xb0e940c9U,     0x41abe86cU,     0x24415bfeU, \
    0x8a720604U,     0xce34c6dfU,     0xdb1342d4U,     0x81601411U, \
    0xcbb23e73U,     0x743731e7U,     0x946ef4f3U,     0xedba524dU, \
    0x9af32dadU,     0x7fbdf377U,     0x7ab057e0U,     0x7ebab72aU, \
    0x595b9459U,     0xd856f696U,     0x86f1998eU,     0xb96e430fU, \
    0x76a41de7U,     0xe1688e00U,     0x8005c32cU,     0xe59d85ffU, \
    0x793d91d6U,     0x805953e6U,     0xb10c660eU,     0x0fb86f5fU, \
    0xb925c2a8U,     0x6dd86695U,     0xdc34496cU,     0xd36a3e96U, \
    0x76ae55e7U,     0x3887de3aU,     0xa2e554acU,     0xc78bcb84U, \
    0xd3a0b91aU,     0xd2a4aefcU,     0x21dde5adU,     0xdb470423U, \
    0x122cbbe6U,     0x939bb641U,     0x95ea7a13U,     0xe277da24U, \
    0xb9501032U,     0xd5995cb3U,     0xada11401U,     0x13d816beU, \
    0x17cc40f2U,     0xd0addf0cU,     0x6816d6c6U,     0x42f09942U, \
    0x8a5a8828U,     0x3d5e2594U,     0xb58c12b7U,     0xd4440ed5U, \
    0xabae6e77U,     0x1ad09062U,     0x382dd274U,     0xc2bff854U, \
    0x87bcb6b5U,     0x24184a1aU,     0x45f9f714U,     0x5e67f9a4U, \
    0x82e8bdfdU,     0x39782607U,     0xbb5b0b3dU,     0x7b811246U, \
    0x6fa5168fU,     0xa879259aU,     0x255adb5aU,     0xb7f710e0U, \
    0xd84b4556U,     0xffc84d9cU,     0x603f87caU,     0x12d6364dU, \
    0x231a5af7U,     0x7c5a5b39U,     0x9a26dd60U,     0xf2d3a577U, \
    0xe64c0fccU,     0x302e680bU,     0xdb7a3057U,     0x6f543b1cU, \
    0x8a617ecfU,     0xed04167aU,     0x9700efe4U,     0x17644633U, \
    0xc5a6c870U,     0x5b4eef56U,     0x8c2824a8U,     0xebf1fab9U, \
    0xbcfc645bU,     0x54e0caeaU,     0x3b0fc25aU,     0xba3b47b2U, \
    0xbd9eea70U,     0x56c97ea5U,     0x5dcb34e5U,     0xe220f530U, \
    0xf13c08c5U,     0xd3499f2bU,     0xae7c67f8U,     0xf5ef214bU, \
    0x52b2526fU,     0x5b2bb1b5U,     0x1fde7335U,     0x38f950a4U, \
    0x46b4192cU,     0x537067faU,     0x5ee88c36U,     0xdeb58215U, \
    0x59c7005aU,     0xb50adb38U,     0x621dc7b5U,     0x377a1c04U, \
    0xc5b310c3U,     0x02088cbbU,     0x484644daU,     0x0aa1d7e2U, \
    0x4248c15fU,     0xe46b633bU,     0xc80eaa8cU,     0x893e7a1dU, \
    0xfa907fecU,     0x4d9a3050U,     0xa4f2e231U,     0x40258defU, \
    0xa642a4cfU,     0xfed92fb0U,     0x67fe4a0bU,     0x87fcfe96U, \
    0xc49fa074U,     0x49634c10U,     0x67026a8aU,     0x3c3b33cfU, \
    0x7cd357d8U,     0x62b28541U,     0x9ced4166U,     0x18cb635dU, \
    0x82569c4eU,     0xe93ca268U,     0xf831526eU,     0x540aecfcU, \
    0x095407e4U,     0xb78f31e2U,     0x3e146099U,     0x243b79fdU, \
    0x737fc206U,     0x1d81eae8U,     0xa3d077e9U,     0xe410b1e3U, \
    0xf1b966a6U,     0xb41fb4a3U,     0xc6c6178aU,     0x2f0d2de3U, \
    0x3aab3455U,     0x5dc8a573U,     0x831b8682U,     0x8f51696cU, \
    0xfc231320U,     0xfc3f4c12U,     0xf734a1ddU,     0x76a64f4dU, \
    0x701dded7U,     0x557eac5eU,     0xb32f3692U,     0x55e15682U, \
    0x7ee05348U,     0x0a326d4aU,     0xb8737fbcU,     0xa420711bU, \
    0xc997552aU,     0x1260b737U,     0x22fb77aaU,     0x75eaaaa1U, \
    0x7b7bd419U,     0x7b471311U,     0x2da58dc0U,     0x999c1e3eU, \
    0x2d3f673cU,     0xb1a74ab2U,     0x8db6cb06U,     0x483bfa02U, \
    0x8f39ffb4U,     0x053b98c5U,     0x55db7a4eU,     0x2302e124U, \
    0xab024472U,     0x9307cd41U,     0x94bf186fU,     0xf18d325eU, \
    0xb3ae9ff7U,     0xc8b147b9U,     0x58622eeeU,     0x1413a124U, \
    0x7a1f16a4U,     0x7a6d156eU,     0x2e73bb7fU,     0x42ed1f3eU, \
    0xb742d586U,     0xdd8af84fU,     0x2a639728U,     0x5dea5ca2U, \
    0x4a7b19abU,     0x54a1fe9eU,     0xcd1aca0eU,     0x19d5d4e2U, \
    0x81ae4ee1U,     0xf549e7e8U,     0x0e8c1a1eU,     0xaf788807U, \
    0xcff68ba3U,     0x5c45c5ddU,     0x5e0981b1U,     0x625b213aU, \
    0x08f70fdfU,     0xd9fcd92eU,     0x094f582cU,     0xf7e5daf1U, \
    0x7b422348U,     0x78e27f2bU,     0xa43274f0U,     0x4b21972bU, \
    0x58b1a919U,     0xb2bcbb0dU,     0xfb5b7e9bU,     0x29103df1U, \
    0x626e70b1U,     0xce5b75aeU,     0xe9b83837U,     0x8675cbabU, \
    0x3e229172U,     0xd71ff4c7U,     0xc5404abeU,     0xe78cdaf0U, \
    0x9dce0fc8U,     0x737babfeU,     0xf30c772bU,     0x49b155a3U, \
    0x9ccfc124U,     0xf6110581U,     0x20202a58U,     0x5122de07U, \
    0xc9bf9caaU,     0x159eb54fU,     0x842224dcU,     0x03047a83U, \
    0x78443cc7U,     0x20dc599bU,     0x553bf7f5U,     0xb5166b9fU, \
    0x597d2183U,     0x0d7deedcU,     0xecad9899U,     0xb863cef0U, \
    0x676491d8U,     0xec716323U,     0x74e54136U,     0x88acc227U, \
    0x1bedfe9dU,     0xaf5f40d6U,     0xb99831d9U,     0xfd5821fbU, \
    0x1501b9bfU,     0xfc638fccU,     0xe885dac0U,     0x116db0f8U, \
    0x83f69136U,     0x600ebc07U,     0x700e67a1U,     0xdf85ae76U, \
    0xe213a13bU,     0xd589b4e1U,     0x60d1178eU,     0x1c0efc52U, \
    0x02f2f74aU,     0x7cc026ecU,     0xe7074bc2U,     0x1e233263U, \
    0x950e7c28U,     0x1e55cf97U,     0xc14231c6U,     0x459925d2U, \
    0x17798826U,     0x1271a33bU,     0x988568abU,     0xc8bbd37bU, \
    0x112c3926U,     0x60c1aad5U,     0x74b3339dU,     0xe135fe1bU, \
    0xa794cecaU,     0xe660bd02U,     0x8389af2dU,     0x7b50a720U, \
    0x833bd2e9U,     0x8d498575U,     0x41775329U,     0x493c37b4U, \
    0x463e0807U,     0x08b34038U,     0x0df22bc3U,     0x4d211f50U, \
    0xe932b086U,     0xb5c55b81U,     0xf8cc2cc3U,     0xdeffcdd8U, \
    0x10b81ce5U,     0xca996e69U,     0xc8b8c380U,     0x3f53103aU, \
    0x5d67536dU,     0xb2328dddU,     0xee0a947aU,     0x098a15ceU, \
    0xd77f1baaU,     0x4b845a0bU,     0xda593986U,     0xc3ee42eaU, \
    0xdcc57e62U,     0xb8fa2a2eU,     0x6504af16U,     0x60ab0e50U, \
    0x99236272U,     0x44e717efU,     0x5f69166aU,     0x5420742eU, \
    0x5c12fea5U,     0x9b09cd2fU,     0xcc032cf5U,     0xcfc1e5f4U, \
    0x657ed19fU,     0x294f3801U,     0xedf42791U,     0x08840bd3U, \
    0xb7f76e58U,     0xb218e93cU,     0x45853f3cU,     0x983dc6e2U, \
    0xdfd85057U,     0x2efd2230U,     0x5c886979U,     0x0bfdb4e8U, \
    0xd74d18dfU,     0x3733a16aU,     0x7898bb0cU,     0xcd307729U, \
    0x88e28a8bU,     0x8a10abd5U,     0xc0898209U,     0x16ad9ca3U, \
    0x90ef714cU,     0x618f5385U,     0x2b0592d5U,     0x3456107dU, \
    0xf01b33d0U,     0x99179c59U,     0x3112a57fU,     0xc9d21c0aU, \
    0x77b65e2aU,     0x1a9797c5U,     0xc236126aU,     0x954a79e6U, \
    0x248cd2deU,     0xd0b57871U,     0xe00daa46U,     0xbf479cd0U, \
    0xfb7a87b6U,     0x90898fa2U,     0x6ce69a07U,     0x84fa1114U, \
    0x63f81e61U,     0xe59798aaU,     0xac656423U,     0x5ca92cbbU, \
    0x4cc0c637U,     0x9daf190eU,     0x2f8ac955U,     0xc2efe3f0U, \
    0x69e4e10dU,     0xb9d5e87bU,     0x4380e02fU,     0xaf9eb8b6U, \
    0x9f4c08d2U,     0xac1892ccU,     0x047fba7eU,     0xdd13c712U, \
    0xe05ef4eeU,     0x0803340aU,     0xf6a475edU,     0x9306e6c8U, \
    0xf0f09fbaU,     0x0bb15009U,     0x71880d43U,     0xbe86d993U, \
    0xcb7b8b88U,     0xd3564ce4U,     0xec067089U,     0x86bdf9baU, \
    0x6a68a230U,     0xc4bb8eebU,     0xe6b0836aU,     0x5b9b16adU, \
    0x030e7647U,     0xbd5ef8e2U,     0x4a9f5dffU,     0x1aa9b1b8U, \
    0x4cf6001fU,     0xf1be0618U,     0xcc1f0a5cU,     0xac25b9d5U, \
    0x3a9bb4f4U,     0xaf9f9500U,     0x59766120U,     0x4bbbdfb0U, \
    0xb8a2b2c9U,     0x7d3199d8U,     0x2101a3caU,     0x695a1b77U, \
    0xca409cb3U,     0x02ccf96dU,     0x678afdf8U,     0x0bf4ae3aU, \
    0x7615e4e0U,     0x7f1b14edU,     0xc42f3ec8U,     0xf8fc06c8U, \
    0x1bdf616dU,     0x7fb709b5U,     0x99a2ec7dU,     0x5cf947bdU, \
    0xb334a057U,     0x198757a1U,     0xc51b4dbfU,     0x31783c36U, \
    0xe2717183U,     0x361f1691U,     0xd5f2afb0U,     0xcc91db6aU, \
    0x57724d86U,     0xe445b0f5U,     0xf647d29dU,     0xfd65ea83U, \
    0x1d1a8cb6U,     0xac429196U,     0x36b58fb9U,     0x18c6a3cbU, \
    0xaa3a8f05U,     0x66990d9aU,     0x1d499d04U,     0x5886d716U, \
    0xb2fd0c1aU,     0x1e391147U,     0xf3a9086cU,     0x29641901U, \
    0x1dd09c4dU,     0xdc1cf021U,     0x300d697fU,     0x3519850aU, \
    0x4702b815U,     0x473b34fbU,     0xeff9fc1cU,     0xc05a70c5U, \
    0x2d4a4466U,     0xad245e9fU,     0xa99ae425U,     0x11709d60U, \
    0x54a0aca3U,     0x5dc34104U,     0x3581cd9cU,     0xa5c65c3aU, \
    0xf59aaf8aU,     0x86a13fcfU,     0xf61136bfU,     0x2d748d10U, \
    0xa49da108U,     0x6397420fU,     0x0871d82aU,     0x7e8fccdfU, \
    0x72010cbeU,     0x713e4196U,     0x0121d4e6U,     0xc891c424U, \
    0xb8512cf3U,     0x2c79a91aU,     0x1789a227U,     0x3c796d61U, \
    0xf932d9a3U,     0x5d7452e5U,     0x21407a8cU,     0xfcf28d3cU, \
    0x358e1bcaU,     0x061cab8fU,     0xfd2ea3f9U,     0x873837bbU, \
    0x0932cbf6U,     0x3c5ee290U,     0xbe8e121dU,     0x3593c2c9U, \
    0xdec45841U,     0x3731ae3aU,     0xd8cebbd5U,     0x841bb786U, \
    0x566d1292U,     0xb757689dU,     0x8c97052cU,     0x0d714a2aU, \
    0x06d6e1acU,     0xf528931eU,     0xbaae9933U,     0x262d818aU, \
    0x09c35600U,     0xbde12047U,     0x238f8b43U,     0xf710b176U, \
    0x0d6f9ffdU,     0x64904271U,     0x99c6062fU,     0x439edcdcU, \
    0x3897e315U,     0x942d1376U,     0x70ce11e1U,     0x80b2076bU, \
    0x3566402eU,     0x1aad69e3U,     0xfdabc72cU,     0x689dc09aU, \
    0xd1ea4b96U,     0x79bb4289U,     0x6c2b4e67U,     0xdbde58a1U, \
    0xab449ea3U,     0xa294eaa3U,     0xf1e989adU,     0xabfed454U, \
    0x599c8bbdU,     0xbf2a9661U,     0x5f1518ecU,     0xb5d8eaddU, \
    0x57f25811U,     0xc7d831b2U,     0xfa1291aeU,     0xd7b1a1d5U, \
    0x08ab263bU,     0x694d2a08U,     0xce1c5d3fU,     0x021b6c83U, \
    0xff165e6eU,     0x2f35a0b1U,     0x0da8285fU,     0x30f9c195U, \
    0xd022eb01U,     0x4ba1382aU,     0xe9d1b7d0U,     0x96b514edU, \
    0x4e0ff999U,     0xd72bd0a1U,     0xec16474dU,     0x7846dcdaU, \
    0xd0b63624U,     0x974e588bU,     0x76a6b09eU,     0x499ef0deU, \
    0xe6024cfeU,     0x960e9af6U,     0xba4feff2U,     0xe0457e4eU, \
    0x317c3e83U,     0x83d5f68cU,     0x1a5435cbU,     0x6d8bea65U, \
    0xbd802628U,     0xf9c8f2aeU,     0x8953ff90U,     0xa48ebb5bU, \
    0x5491b836U,     0x7201d083U,     0xb22fc05dU,     0xb190e301U, \
    0xfb2f68d8U,     0x085da733U,     0x3501dfe6U,     0x15fe8c16U, \
    0x29a14d76U,     0xa7f88b06U,     0xa92b7b39U,     0x16e2c22cU, \
    0xb76b59d8U,     0xba2b9d33U,     0x0842e75eU,     0x0fb591b5U, \
    0x8a73ff7dU,     0xde7bb3f4U,     0xdcf02b42U,     0x8ef981acU, \
    0x2862248dU,     0xf4be8a14U,     0x5bd1c38aU,     0x94f966daU, \
    0xd1262dc6U,     0x2ebf7243U,     0x138adb81U,     0x2741bd46U, \
    0x992d8463U,     0x81bf3097U,     0x5a2dac03U,     0x1c922639U, \
    0x7df5b625U,     0x404e287eU,     0x393da8dfU,     0x2ca17596U, \
    0xc28faa2fU,     0x7e69f532U,     0x34e12e46U,     0xc10fc29fU, \
    0x6c4873a2U,     0xdc81b574U,     0x6bef203aU,     0x41d34e6fU, \
    0xdcad4887U,     0x187741adU,     0x8ad8d369U,     0x2df23ad8U, \
    0xdb4f1c63U,     0x6d4618f4U,     0xf7fc60cdU,     0xcc7c13abU, \
    0x05ba21feU,     0x58dc0cf9U,     0x8a780c49U,     0x4f4c8c8dU, \
    0xfb5f8583U,     0x8c41cc49U,     0xf24e9723U,     0x88dbdc64U, \
    0x0c2aedf2U,     0x27933ddbU,     0xb55326f3U,     0xba99bdc8U, \
    0x598ebf0bU,     0x55683dceU,     0x37b1515cU,     0x67be2d42U, \
    0x1842a894U,     0x1c8a8fc6U,     0x38cfd1eeU,     0x5d5d840dU, \
    0xae584e43U,     0x0536f078U,     0xdb22b373U,     0x5292bad6U, \
    0xe5644defU,     0xf5e968aeU,     0x6eb78a35U,     0xd366e037U, \
    0xb0b7ecc8U,     0x975a5ab9U,     0xe3bad45cU,     0xacc97e15U, \
    0x31deeacdU,     0xdec020b7U,     0x8a214d31U,     0x60d6975cU, \
    0xb79cbd2bU,     0x0a626201U,     0x88f2aff3U,     0xf6ad9521U, \
    0xfe3cce6bU,     0xac13c564U,     0x6a6046b8U,     0xcd0aa4e2U, \
    0x03b14a06U,     0x3527f454U,     0x449a2a18U,     0x0e6b7956U, \
    0xe483aa87U,     0x57dcdc3eU,     0x9ff116a4U,     0xf8ff0922U, \
    0x13afa06fU,     0x5fe71248U,     0xee8ed67dU,     0x8fea90aaU, \
    0x06da2fffU,     0x2e979bbcU,     0x99389484U,     0x9a02c906U, \
    0xcf2b73e2U,     0x03de2565U,     0xa4b6fe40U,     0x31bf8e4fU, \
    0xbfc4b7c1U,     0x37690c86U,     0x60c8774eU,     0xd3678071U, \
    0xe812c22eU,     0xeee2dbf8U,     0x99a92bbdU,     0x63c48101U, \
    0x1365a3c4U,     0xbde26375U,     0x7792a418U,     0x85ff9686U, \
    0x4167f7f5U,     0x6bb0f969U,     0xbd84f8d6U,     0x8162fdb0U, \
    0xfe8327adU,     0x391c5415U,     0xae933d84U,     0x0bc14fdbU, \
    0x081c71d1U,     0xa3ce8d66U,     0x77a79144U,     0xe1965afaU, \
    0xb6e9c2e1U,     0x83378dd6U,     0x4cd10f28U,     0x4773a2e8U, \
    0xe9b51b09U,     0x2cf24e1dU,     0x5ae79d37U,     0x2fd85076U, \
    0x715841e6U,     0x5d417ec8U,     0xc0dd4cacU,     0xc4992917U, \
    0x99653897U,     0xeab212e2U,     0x7fcd12e0U,     0x0998782fU, \
    0xd22ca743U,     0x1a2178e4U,     0x3a104277U,     0x4f3a7b3bU, \
    0x2a1ee78eU,     0xc8c21418U,     0xe65262acU,     0x678dfe76U, \
    0x18b6fd2fU,     0x9f28f725U,     0x020a465bU,     0x1bb72fc9U, \
    0xcfaefecdU,     0x6ad4c585U,     0x13845cd1U,     0x5edb5838U, \
    0xee34380eU,     0xf53f1805U,     0xeb42aa89U,     0x7cf7f4ccU, \
    0x7b2f7844U,     0x2f949cb9U,     0xdaa0bab1U,     0xab596475U, \
    0x938e75e2U,     0xed65837fU,     0x410a5844U,     0xe3adc0f3U, \
    0x71dcb11eU,     0x74120be3U,     0x9f63070eU,     0x1e453ec0U, \
    0x85508994U,     0x4b297341U,     0x1e31c9edU,     0x0c6c4285U, \
    0xb113aaefU,     0x887a07ffU,     0xd2fdec35U,     0xe0351245U, \
    0xfeaf5dddU,     0x668896b5U,     0x94bf978cU,     0x94bd382cU, \
    0x1d6830adU,     0x5b5b6005U,     0x83ee7958U,     0x39962e05U, \
    0x0f578b80U,     0x7a8db5a2U,     0xe19eb021U,     0xf6b60980U, \
    0x88a4875cU,     0xe26c2038U,     0xf18f80bdU,     0x5a8f52a6U, \
    0x65746474U,     0x7acaaa5cU,     0xd0e3ac3dU,     0xe5cc3574U, \
    0x76375b8cU,     0x8a8be8eeU,     0x496fd81dU,     0x1b7875a0U, \
    0x928ff0caU,     0x877b074bU,     0x328864feU,     0xff3a8762U, \
    0x8b42d79dU,     0xe0162525U,     0x711b56deU,     0xf110335aU, \
    0x75e35252U,     0x250aa05eU,     0x182115beU,     0x633d2f1fU, \
    0x60c8249cU,     0x2d790d31U,     0x15440877U,     0xdff6255eU, \
    0x179480b7U,     0x3e0d1343U,     0x35ed901aU,     0x54b96470U, \
    0xb1453a67U,     0x069ed8b9U,     0xdb548ba2U,     0x4acaa4ebU, \
    0x0af186f9U,     0x68fa2863U,     0xea52e207U,     0xc8df8b0bU, \
    0x0ab4382aU,     0x393aecd2U,     0x1ba44467U,     0x6155455aU, \
    0x556b83a1U,     0x1aa9884dU,     0xceab3814U,     0xa15d80f3U, \
    0x14e8d7cbU,     0xc95b2a8eU,     0x505a2e12U,     0x5053992eU, \
    0x102f21c2U,     0xf9030078U,     0xa8f6cb35U,     0x8e81a84aU, \
    0x997b0db8U,     0xf6cf588eU,     0x3e5db27aU,     0x542586c2U, \
    0x3f038351U,     0x517238c6U,     0x4fd79c58U,     0xe7204868U, \
    0x43b6fc81U,     0xcb7dcab9U,     0x196c1401U,     0x61da469eU, \
    0x876de4f9U,     0x6e1a715dU,     0x0f5e7484U,     0x0d110baaU, \
    0x3aa43ffbU,     0x9ca44d93U,     0x5c0a8f3fU,     0x980f7700U, \
    0x0ae73d1cU,     0x4f584978U,     0x7c01ea08U,     0xd9c707a6U, \
    0x3a76801aU,     0x6b8d6281U,     0xd1893792U,     0x94f97598U, \
    0xcd764350U,     0x25dce073U,     0x02dba947U,     0xdc09abcbU, \
    0xa2b1de96U,     0x3062c9b4U,     0x3c075e91U,     0xfc4e171fU, \
    0xfe661005U,     0x6a6002bfU,     0xfeba815dU,     0x6bc514d0U, \
    0xc6397d87U,     0x19f59087U,     0x9645fdd7U,     0x52625056U, \
    0xc9a981caU,     0x7569147bU,     0xeb610cd4U,     0x081840b6U, \
    0x7a3ca1deU,     0x4230bd66U,     0x31cd2a00U,     0x3b279988U, \
    0xfce13341U,     0x446f1655U,     0xfa72e792U,     0xe1414003U, \
    0xa4d46609U,     0xc592c143U,     0xc91bf7d2U,     0xe58af58aU, \
    0xbcb50599U,     0xb9aa2d81U,     0xcc8f8fd4U,     0x59024f28U, \
    0x2d9ecc4cU,     0xb1926503U,     0xe2297432U,     0xd023e653U, \
    0x76821b55U,     0x0f601e61U,     0x9494bad7U,     0x0280eec7U, \
    0x667e984bU,     0x0e28ae83U,     0x96a4e537U,     0xed461cefU, \
    0xf811100aU,     0x5f3ff7d4U,     0x59d9d117U,     0x7985e06dU, \
    0x5141e02cU,     0xd2776a1cU,     0xb61e6eabU,     0xbc1050c9U, \
    0xad25e4e7U,     0xe270139eU,     0xdabc6ee3U,     0xd23bf284U, \
    0x10448738U,     0x0a8f24c8U,     0x93cb93a5U,     0xa57615afU, \
    0x64feeb46U,     0x7ea5aa5eU,     0x4242c220U,     0x744cde41U, \
    0x2b25d2e6U,     0xba14d70aU,     0x5afb656bU,     0x84358a68U, \
    0x17ded249U,     0x2d9d325eU,     0xd97cf2ebU,     0x43c9b37aU, \
    0xf969450fU,     0x63b010aaU,     0x002e8bfdU,     0xa3e5b2d4U, \
    0x7cb8f8c2U,     0x0d958272U,     0xd6167ef6U,     0xe9e150ecU, \
    0xa884f376U,     0xaf7bcec3U,     0x36b4855dU,     0x0064de52U, \
    0x090a6689U,     0xad7c9649U,     0xd0d53ca5U,     0x511140f5U, \
    0xa4fa005cU,     0x4e41d570U,     0xd274dc21U,     0x9f4e81c2U, \
    0xfde1347aU,     0xe7499462U,     0x136eada2U,     0x1a07e9e0U, \
    0xbf4def43U,     0x8f2c725cU,     0x7513a177U,     0x77993290U, \
    0x09fc802aU,     0xb2ce4445U,     0x0fff9185U,     0x20e89dd7U, \
    0x51706f04U,     0xf810bf06U,     0xd6e503f7U,     0xf5c148a0U, \
    0x616fc829U,     0x173d512eU,     0x0dee8e96U,     0xbed60e8dU, \
    0x07fd3a3dU,     0xdbd2a4b4U,     0xf73fc702U,     0x4eda0884U, \
    0xfb43ad57U,     0x48e04031U,     0x299da93fU,     0xab2bec9eU, \
    0x5e8efc1cU,     0xace6dfcaU,     0x229c6d3fU,     0x250b2d0aU, \
    0x93f38e54U,     0x4a8c16feU,     0x51954f1cU,     0x10ca7e19U, \
    0xd3277b05U,     0xfcee00b5U,     0xa1c8e6e6U,     0xb57f8796U, \
    0x5342d356U,     0xe5020126U,     0x614629c2U,     0x404bb36dU, \
    0x244d6431U,     0x1ced17a8U,     0x12429353U,     0x929fe285U, \
    0x154618d5U,     0x02d57c60U,     0x593502efU,     0x35024748U, \
    0x752d4303U,     0xa5c2bb55U,     0x92f1fac4U,     0x755b9ad8U, \
    0x98a88ae9U,     0x81698ff0U,     0xec1485e2U,     0xccda72b6U, \
    0x9f3550a8U,     0xa48579e0U,     0x8d26e4daU,     0x007010a9U, \
    0x5095a93aU,     0x92d4fe52U,     0xf7a83481U,     0x1999415dU, \
    0x609c9358U,     0xce54e68cU,     0xabae2e70U,     0x73cf3112U, \
    0x60e988fbU,     0x3e85fcb5U,     0x6f05a174U,     0x5e8f00ffU, \
    0x5a72b584U,     0x2a218b0fU,     0x4e5b0d6bU,     0xce277366U, \
    0xd74b25c9U,     0x86ca83b5U,     0xeb29b702U,     0x82a0e161U, \
    0xf37af0a7U,     0xf3808250U,     0x8491e875U,     0x15417a59U, \
    0x9a991753U,     0x7b8ccffaU,     0xff451cecU,     0x6bd40375U, \
    0xdf5ece7eU,     0xedf000f2U,     0x559a76deU,     0x45aee024U, \
    0x2fd98149U,     0x31f8d8beU,     0xe723a12dU,     0xe61a287dU, \
    0x8773f2c8U,     0xe7f2e0adU,     0x511d8497U,     0x5c6f3f35U, \
    0x284cd976U,     0x90e6d849U,     0x54575e18U,     0x2313e06eU, \
    0x602dd2adU,     0x9ff9c1ebU,     0x4771d763U,     0x8b07ef57U, \
    0x6704b596U,     0xa79d8251U,     0x321504feU,     0xafb7d1f8U, \
    0x8c8621abU,     0xeb9e8fb6U,     0x6f21c3caU,     0x7134d6f9U, \
    0x23fe9b1eU,     0x4b93eb6aU,     0xc75fe418U,     0x89c674f9U, \
    0x5526f79cU,     0xdfbc6248U,     0x4e2c8ea3U,     0x368700ceU, \
    0x6a23cd8aU,     0x71dfcc5aU,     0xbc320db7U,     0x096cd6b5U, \
    0x54574694U,     0xfb2a224eU,     0x03de2937U,     0xe24201c0U, \
    0x75d24553U,     0xed1fbaf7U,     0x7bd94d10U,     0xed571750U, \
    0x2c619140U,     0x39c41a39U,     0xd7252befU,     0xbcf317faU, \
    0xb94c650bU,     0x3df502faU,     0x1d37ac06U,     0x91c7583cU, \
    0x3b713185U,     0x629f367bU,     0xf5b5e3b5U,     0x560550edU, \
    0x2b4a4275U,     0xbe774bc1U,     0xbc67faccU,     0xcae7361bU, \
    0x20e6cad8U,     0xb9a2008fU,     0x66760841U,     0x4c82e844U, \
    0x52ff985fU,     0x750afe82U,     0xf388cc0dU,     0x476c29abU, \
    0x0d2125cbU,     0xa9bd5d76U,     0x94742c41U,     0xb2dd7256U, \
    0x92062d56U,     0x55f9391bU,     0xeb53bbf0U,     0xd0a29295U, \
    0x81de565fU,     0xad0e05c6U,     0x1eb1e1daU,     0x2b9aec61U, \
    0x56fa13b1U,     0x80509fe6U,     0x9e4274abU,     0x26fa9affU, \
    0xcdebeb62U,     0xac6e88c4U,     0x80eaa869U,     0x78c4b409U, \
    0x0b2f524aU,     0xcf80560cU,     0xe21fd96aU,     0x519549baU, \
    0x75280780U,     0x0091e51dU,     0xf77fc4d3U,     0xc9792c62U, \
    0x2044e223U,     0xf1b56f45U,     0xb5ca7e3fU,     0x80936a66U, \
    0xd2f35cd0U,     0xf6614edeU,     0xb4ef06edU,     0x18657901U, \
    0x94cd40f4U,     0x12db5ffeU,     0xb03f5d4cU,     0x31a82911U, \
    0x19a9a6c4U,     0x78586506U,     0x5dede55bU,     0xf8e868e1U, \
    0x5505f5fdU,     0xf50ed127U,     0xd7e64c27U,     0xaac71eb6U, \
    0xab80f827U,     0x4058d35eU,     0xff015bccU,     0x98e846dcU, \
    0x9c80ec50U,     0x159390aeU,     0x4c673d55U,     0xfce060acU, \
    0xf4d14473U,     0x09500197U,     0x072fae71U,     0xce4dd067U, \
    0xdc46dd72U,     0x38929769U,     0x8433b6e7U,     0x1dce287cU, \
    0x451309f9U,     0xd90eebfeU,     0xb08581d0U,     0xf10d9609U, \
    0x00e7ce4dU,     0x5e82bb95U,     0x9f36145dU,     0xf92e33eaU, \
    0x78bb5f8dU,     0x7fdabd05U,     0x2368ef81U,     0x58491a30U, \
    0x3b298758U,     0x2554252eU,     0xecff8673U,     0x039eae56U, \
    0x4ba1afafU,     0xb5eaf829U,     0x4f672102U,     0x4d510dffU, \
    0xb2ec4a26U,     0xff6cb5c1U,     0x011a9db1U,     0x6e164410U, \
    0xec7091eeU,     0xbf4c2809U,     0x5d7bd336U,     0xfc6c7bd3U, \
    0x09aa1513U,     0x408c90bdU,     0x35fb899fU,     0xdf4796fcU, \
    0x9d165028U,     0x0242302aU,     0xcf670f7dU,     0xfead2711U, \
    0x4166aa2aU,     0x2622c5deU,     0xa5cf3e0fU,     0x4e75e55fU, \
    0xe794c44bU,     0x8dc2ac4aU,     0x70d84c07U,     0x3877d4e3U, \
    0xff448182U,     0x0f8d51ecU,     0xd829e5c9U,     0xf79ff64cU, \
    0x256aa30eU,     0xb2eccba6U,     0xb8108e3fU,     0x02c66236U, \
    0xa944f77fU,     0x8fa10b22U,     0x09661beaU,     0x622f1aa1U, \
    0x59e56702U,     0x973112feU,     0x133dafedU,     0x10aaf720U, \
    0xf17ceda7U,     0xa91ef271U,     0x90aedf33U,     0x8a7933d0U, \
    0x670365cfU,     0xc022c6b7U,     0xd7dae01dU,     0xde5fb40cU, \
    0x798d678dU,     0x9b3a10f8U,     0x0275d559U,     0x174d20b1U, \
    0xe504e7d0U,     0x22426066U,     0xab4d83a2U,     0x58ffe2b8U, \
    0xa5a05471U,     0xf2f3a2c3U,     0x74ebe654U,     0x3c37f17bU, \
    0x9dcf936cU,     0xa792be49U,     0x17a57f58U,     0xe3b24c38U, \
    0x806023fdU,     0x9d660819U,     0xdc64ed48U,     0x0accb785U, \
    0xaf5f9f4dU,     0x977f33c2U,     0xc41aa91aU,     0x00cdffc9U, \
    0xe11a2668U,     0x8e769fb2U,     0x95da1879U,     0x120eafabU, \
    0x7aae0efcU,     0xc322b0dfU,     0xc47edae8U,     0xdc402106U, \
    0x7753e6cbU,     0x4bf90393U,     0xdc7efb21U,     0xf3ca9ebbU, \
    0xd78a84b9U,     0xe4fe6549U,     0xf03e15c6U,     0xe6c3e86fU, \
    0xf080bddeU,     0xcffb65a2U,     0x424a2d67U,     0x4fe544c0U, \
    0x07734400U,     0x15fc149aU,     0x09b36209U,     0x40857b4dU, \
    0x416ba71eU,     0x85605361U,     0x176173c7U,     0xa0932a3eU, \
    0x3c6cbe46U,     0x36d5b2a8U,     0x71633d40U,     0x8ec1e1a9U, \
    0x2afeac67U,     0x466fdc68U,     0x0fe4860bU,     0x5f634e84U, \
    0x4377dd17U,     0xf79dc38cU,     0x4603fbe7U,     0xed346eb8U, \
    0xf108d560U,     0x811d6871U,     0xd27485acU,     0xdbc8df5aU, \
    0xe1841012U,     0x1c97b40eU,     0xd14f3d85U,     0xe67494c6U, \
    0xd83e76c8U,     0x55e3dac1U,     0x73dc7851U,     0x69126185U, \
    0xf7bf5dbaU,     0x2aac5accU,     0x216978beU,     0xea2bdf45U, \
    0x9e8e33faU,     0x32738405U,     0x6c6b2f13U,     0xeca5e389U, \
    0x65563f56U,     0x65936574U,     0x83c71da7U,     0x42257bd5U, \
    0xf99b263eU,     0x60488158U,     0x873aeae9U,     0x8af16deaU, \
    0x27ed4a58U,     0x15a39cffU,     0xe710cda5U,     0xdcff31d2U, \
    0x65a23b58U,     0x4ff5349bU,     0x7e2051f0U,     0x69112e63U, \
    0x2ed2c967U,     0x59c2be01U,     0x86c283ebU,     0xba4e8f9fU, \
    0x244f3d16U,     0x0f53b92dU,     0x0c7642b9U,     0xab52dd6dU, \
    0x7106a357U,     0x546584abU,     0x67fc380dU,     0xdea9f9efU, \
    0x11ee71b3U,     0x333a5118U,     0xce03f9c4U,     0xea450d99U, \
    0x6f26c00fU,     0x07e8aa76U,     0x860d7a6eU,     0xbdd3805cU, \
    0x7a05b29fU,     0xc3731598U,     0xad0ff4acU,     0x11db6fd7U, \
    0x5d84a62cU,     0x2ec8d1d1U,     0x738b2a1bU,     0x197894a7U, \
    0x2f28b980U,     0xe92af246U,     0xe2cdd219U,     0x9c60520cU, \
    0xef1712e3U,     0xd69f37f3U,     0x6ceb4826U,     0x90852c5bU, \
    0x70063203U,     0xa8f341f5U,     0x29093707U,     0x76891dabU, \
    0x4f1a873eU,     0x879f6b3cU,     0xf3a73947U,     0x4efac7f6U, \
    0xb756aa7fU,     0x6cf9f7f6U,     0xd90457a7U,     0x946bd6c0U, \
    0x1d8e1117U,     0x02ce9559U,     0xea0177f0U,     0x96176e6cU, \
    0x9f2f9d67U,     0x68a9828dU,     0xaf65804fU,     0xd6751986U, \
    0x65132f23U,     0x9d7cdc03U,     0xeb2d7aacU,     0x146372afU, \
    0xca36afbdU,     0xb73abed3U,     0xb9dd60baU,     0x073cbdd3U, \
    0x8f0c3300U,     0x5ccb3771U,     0x75cc864bU,     0x35826caaU, \
    0x169df53aU,     0xc64ff030U,     0x43098539U,     0x5faa3d80U, \
    0xa824331cU,     0x2d7723a8U,     0x719f957eU,     0x9ecdc660U, \
    0x99bfe848U,     0x8aaa73aaU,     0x1612c44fU,     0x9e9e165eU, \
    0x061b6b4bU,     0x9e211a26U,     0x10f66e91U,     0x0949b8b0U, \
    0x772c8793U,     0x5110df0aU,     0x132a5860U,     0x85871bedU, \
    0x64bbff83U,     0xb07e7774U,     0x8bc7daaeU,     0x6ef53623U, \
    0x5f3e21f5U,     0xf15c0014U,     0x8d04f099U,     0x8c576a2bU, \
    0x7c0b3dcdU,     0x03f501c3U,     0x84a448a0U,     0x09b23499U, \
    0xc69ddaeeU,     0x44f9f983U,     0x45b3ffcaU,     0x93f82084U, \
    0x2f8cd75bU,     0xb615f0fbU,     0x9835564dU,     0xe8dcf230U, \
    0x2bfc6bf2U,     0x1af04d91U,     0x2f0251a0U,     0xc20305aeU, \
    0xb2925181U,     0x8b77dcf1U,     0x0e4b28a5U,     0xfa346923U, \
    0xfdebb7b5U,     0x4d7a64a1U,     0xaaa91919U,     0x508d7f16U, \
    0xd46efc13U,     0x8a13e42bU,     0x57394c34U,     0x5d676506U, \
    0x215a4e8cU,     0xbb17cb33U,     0xdba3d1c1U,     0x031bbb32U, \
    0x8d14661dU,     0x31e2ffd6U,     0xb052d22cU,     0x84e27f44U, \
    0xdc27a11cU,     0xe3da078eU,     0xe3a48502U,     0x97aa18c2U, \
    0xf5ea0296U,     0x53caf7c1U,     0x51c707d8U,     0xcf846412U, \
    0xb531e3f8U,     0x2ac3cb36U,     0x44469691U,     0x878c50ddU, \
    0xeb070daaU,     0x86228ee0U,     0x6da37f51U,     0x81a88db5U, \
    0xce7ea7bdU,     0x1ca1ee36U,     0xcee93d8dU,     0x5b5770b2U, \
    0x952c7867U,     0x17a93f60U,     0x7a17a4bfU,     0x19f1bfffU, \
    0x22d88309U,     0x69f4b943U,     0x0e7b4b18U,     0xf1741aaaU, \
    0xa5098d88U,     0x69e940efU,     0x83368434U,     0x70d77c00U, \
    0x645d64a4U,     0xeaddb41cU,     0xcf20be28U,     0xfbd63396U, \
    0xd3b5b05fU,     0x5d7da44dU,     0xb3c1ac58U,     0x34c5419cU, \
    0x411cb3b4U,     0x54decba7U,     0x4b63dbd7U,     0x1e0a2b55U, \
    0x145cf1c5U,     0xd993721aU,     0x08892ed0U,     0x1484beb1U, \
    0x7c9bf164U,     0x9591bca0U,     0x96fbc0c5U,     0x8d117a5fU, \
    0xe578e381U,     0xab8079c4U,     0xb361ba83U,     0x58ad2848U, \
    0xa8c9253dU,     0x122e1ed0U,     0x72db199dU,     0x712656c2U, \
    0x6e4d3f3aU,     0xfce18d3cU,     0xd048c372U,     0x098f4d07U, \
    0xbf7cce77U,     0xf9561d26U,     0x0394bcd2U,     0xf72bffe5U, \
    0x9a9503a6U,     0x55e9bbe7U,     0x909aa4caU,     0x8fc69cbbU, \
    0x72a89ad7U,     0x63893bddU,     0x09b51853U,     0x703840bdU, \
    0xd3d82c56U,     0x8218a8c2U,     0xad5a6afeU,     0xe3f6bbe2U, \
    0x601cc66dU,     0xddde81feU,     0x8d49bc67U,     0x02275ccaU, \
    0xb83f4dc3U,     0x2bb180d3U,     0x181f8a6eU,     0x54a37fe5U, \
    0xde581fe6U,     0xf1d40f06U,     0x3fcaf7a6U,     0xd432b9c3U, \
    0x420941e8U,     0x1f619f70U,     0xfab9f9a6U,     0x95ed7aceU, \
    0xeb0d2f43U,     0x8f2d666bU,     0x82a5c98eU,     0x9fd5c8f2U, \
    0xba4e40b4U,     0x86a18062U,     0x87ff941fU,     0x1b2e87c0U, \
    0xc0362604U,     0x81397031U,     0x8203786bU,     0x897a5742U, \
    0xbabd41deU,     0x76f9a662U,     0x984baa00U,     0xf4c87841U, \
    0x35d7d4d2U,     0x240e4db8U,     0x0bd17e0aU,     0xf9106803U, \
    0x1c65adabU,     0x466cb1f8U,     0xe4e96c2aU,     0x38a2046fU, \
    0xce599797U,     0x67a36573U,     0xb297cc68U,     0x7f94b722U, \
    0x42bb7d15U,     0x859d77f0U,     0xfc699a79U,     0x888e7be7U, \
    0x88a3d2e9U,     0x7ebb643dU,     0x86f5ecc8U,     0x368d0e7cU, \
    0x2a1b41f8U,     0x742301f4U,     0xc3d655edU,     0x5a8c2e56U, \
    0xd45e7a34U,     0xaf795c2cU,     0x94919f7cU,     0x475e82daU, \
    0xc78f038bU,     0xeea4552aU,     0xcfd410d3U,     0x85613dfaU, \
    0xb6869512U,     0xd990b5f8U,     0x80de461bU,     0xbdc2011eU, \
    0x59e299ebU,     0x0e8a5734U,     0x32a949c6U,     0x4b5d960dU, \
    0x46fc269dU,     0x9e5ae7ffU,     0x60f83675U,     0xf6fbfc77U, \
    0xc17dbdd4U,     0xda321699U,     0xbb29a61dU,     0xbe634753U, \
    0x0506e2d5U,     0xba16d672U,     0x1e4b1b19U,     0x5dd3ea15U, \
    0x72f7bd75U,     0x90188a37U,     0x31c6fa7cU,     0x1dbb2a38U, \
    0x1d2ef3f9U,     0xb3d658bfU,     0x43fd610cU,     0xa68d9941U, \
    0x8473faf2U,     0x21fc9291U,     0xf6e82d58U,     0x84b17bfbU, \
    0x9cab7bbcU,     0x57e7c32eU,     0x5f9eff10U,     0x667bb97bU, \
    0xb2e05f68U,     0xf7dca1c3U,     0x58a41c5dU,     0x55cdf363U, \
    0x45def1fcU,     0x04a2546aU,     0x71d92c8aU,     0x0b5f6cc6U, \
    0xd858d191U,     0x69d558edU,     0xd6dd7f41U,     0x125a6ecfU, \
    0x86d1dc59U,     0x312ddb9bU,     0xbd42d6ecU,     0x37ffce09U, \
    0x7262601fU,     0x3a73601dU,     0x364243b1U,     0xb86b2137U, \
    0xc61eca50U,     0x4f076292U,     0x56ecae4eU,     0x92081887U, \
    0x60a1b20dU,     0x656dff4dU,     0xe7ac372dU,     0x65bba6b3U, \
    0xb7a00cdeU,     0x96da6762U,     0xcf2ae72eU,     0x3dd9b931U, \
    0xdf45dfceU,     0xad97bd59U,     0x93d07d86U,     0xf1d720efU, \
    0x748660b7U,     0x6b190778U,     0x9ea822d8U,     0xb7e88533U, \
    0xd6e900d2U,     0x4c4f00cbU,     0x6c40651aU,     0xde26ee73U, \
    0x391e5ff1U,     0x6ccae277U,     0x0715584eU,     0x3b820e0cU, \
    0x72bed3caU,     0xd1c1631cU,     0xb84bd48dU,     0x0574be7cU, \
    0x45eed86aU,     0x6ec88088U,     0x56626c4eU,     0x2f7a87cbU, \
    0x7f60c148U,     0xa0d0ac49U,     0xdd7fc81dU,     0xf79862e5U, \
    0xae1fa911U,     0x6c552038U,     0xdb0c7f96U,     0x39f05b71U, \
    0x4790f160U,     0x910de3e0U,     0x421022aaU,     0x63763ddeU, \
    0x13bd411bU,     0x1814ad33U,     0xb3126f63U,     0x3454da5dU, \
    0x9470af3bU,     0x628f5fd0U,     0x5638d1acU,     0x9782678aU, \
    0xa3a67d56U,     0xc34851c1U,     0x7e767bb3U,     0xff82e8acU, \
    0x70561720U,     0x8b983be6U,     0x6f736ecbU,     0x0804b717U, \
    0x17bce9ceU,     0xb9d37da2U,     0xcbb4a677U,     0xcd5a8a9bU, \
    0xbc27cb48U,     0xf4e091d7U,     0x5bbfd013U,     0x3563e203U, \
    0x4912802eU,     0xefc14ec7U,     0x2bb6612aU,     0x34b4b2afU, \
    0x59cd019cU,     0x5fe35038U,     0x7af3f090U,     0x7c409d70U, \
    0xd17a3125U,     0x1abc17bdU,     0x6281b4e5U,     0x58407786U, \
    0xc7c3442eU,     0xd929e98bU,     0xed320770U,     0xcfc29183U, \
    0xe8f2abacU,     0xe3ce34e4U,     0xfd3d9282U,     0xf0c63e89U, \
    0xb382000aU,     0x89585165U,     0x6cc9d7bcU,     0xd8211114U, \
    0xa18782fcU,     0x18976050U,     0xe9f70f92U,     0xe9a7a978U, \
    0xb7cb4166U,     0xf790b6f0U,     0xd6aef83bU,     0x93c8325bU, \
    0x76883a91U,     0x9bfbcf1dU,     0x61553240U,     0x429fffbfU, \
    0xfdc54577U,     0x95fa53aaU,     0x0a6f1668U,     0x45151675U, \
    0xc0d06e72U,     0xc8850b1fU,     0x0caa94a7U,     0xc2160cdfU, \
    0x38f5785aU,     0x3da39ea8U,     0xd40f1e29U,     0xd68b59c1U, \
    0xeec4c157U,     0xfaa75bcfU,     0xba3076d0U,     0xa5c635e8U, \
    0xcd375aabU,     0xea15f5ccU,     0x89f33bd3U,     0x5ea94c23U, \
    0x8727c0aeU,     0x83db7b5bU,     0x9702344cU,     0x79fb0ea5U, \
    0x5269a218U,     0x91d5a679U,     0x7e1b284cU,     0xde09c2c9U, \
    0xd4e7536aU,     0xd14e5861U,     0x7b2ff5c5U,     0x282a7454U, \
    0x150393f7U,     0x7ae35966U,     0x17bf4c95U,     0x4f4ad666U, \
    0x76f8cd6dU,     0x39139fceU,     0x6a21e0dfU,     0x689a3e19U, \
    0x257db811U,     0x7c0b0edaU,     0xc6fee6b6U,     0x080e0098U, \
    0x14a69e66U,     0x1587396eU,     0xdb2c24ffU,     0x46939a83U, \
    0x6c5d6cdcU,     0x66231c4fU,     0x314a92eaU,     0x555084deU, \
    0x6ef438d5U,     0xb649deadU,     0x1a8020cfU,     0x848c9a2fU, \
    0xc19044e2U,     0x718a9003U,     0xc798f26dU,     0x71d70730U, \
    0xdc9090bbU,     0x910601c6U,     0xbfc968efU,     0x66a99835U, \
    0x08516ca6U,     0x1d19efa7U,     0xd7ec3e20U,     0x492b1f66U, \
    0x6b7ee9a7U,     0x0b30a0e5U,     0xe6150279U,     0x4bdebbd3U, \
    0xb418d970U,     0xe8da22aeU,     0xc0e13967U,     0xb0476c9aU, \
    0x83cd0385U,     0x217f7c3aU,     0x0e8717edU,     0x549e0b51U, \
    0xd08e3ca8U,     0xf316adf9U,     0xa4575e3cU,     0xc42da72aU, \
    0xd04e8933U,     0x7223f6fcU,     0xb986da3dU,     0xe470bf5fU, \
    0x39c64341U,     0x54c82f0cU,     0x91e74fffU,     0x5ae385deU, \
    0x9897d37cU,     0x1b3ba621U,     0x7feaa151U,     0x973fd015U, \
    0x265e9069U,     0xe2f2db76U,     0x568a7745U,     0x2f570924U, \
    0x4872a70eU,     0xd4f37fbcU,     0xffd13f20U,     0xd6667870U, \
    0x9f210e53U,     0xb90a10a5U,     0x8cc789daU,     0x7a6414e2U, \
    0x327d33d8U,     0xb70cc4dfU,     0x09a7f6c4U,     0x513b2687U, \
    0x9208d468U,     0xb488be42U,     0x2c813c90U,     0x4d30bee1U, \
    0x8b9080ecU,     0x1ae346dcU,     0xa8df110aU,     0x8196742cU, \
    0xce7c0c47U,     0xebd1edc7U,     0x23f8ad67U,     0xf8ce34e0U, \
    0x961c7c03U,     0xdc83fa23U,     0xa008503fU,     0x042340ebU, \
    0x07a20654U,     0xca139a0aU,     0x570aedddU,     0x77a3bdd3U, \
    0xe0fdf752U,     0x43b3e62eU,     0x9638bedeU,     0x0ba12dc0U, \
    0x19611187U,     0xd8aa6001U,     0xf65ad26aU,     0xdf330f48U, \
    0x1608836cU,     0x41176d13U,     0x7513af38U,     0x42b8631eU, \
    0x2e8deb1aU,     0x841170d9U,     0x66b35c6fU,     0xdd3d997bU, \
    0x108c0800U,     0x4f7fe86fU,     0x45309543U,     0x9ca66426U, \
    0x75477f53U,     0xb1d4e217U,     0xae96b694U,     0x2f4980fbU, \
    0x1bd1c0b8U,     0x3f03b458U,     0xc839c205U,     0x0713af80U, \
    0x1cf11b2bU,     0x45dece6fU,     0x4a20353bU,     0x440ae372U, \
    0x0919d832U,     0x23b51757U,     0x96cb5052U,     0xfe26c30eU, \
    0x874bc478U,     0x8ac2e69aU,     0x5b29157cU,     0x19f52703U, \
    0xb159381cU,     0x8483cf45U,     0xb943537dU,     0xc258710fU, \
    0x0d6f286bU,     0xcd091d57U,     0xf0dffbadU,     0x60988c6dU, \
    0x6d2f4682U,     0x9c0f1c29U,     0x8b1e783eU,     0xd47390eeU, \
    0xf25ca07eU,     0x4a9a8018U,     0xfd274d58U,     0xa9c5bcf3U, \
    0xdfb668b3U,     0xe3aa4c07U,     0x8502f352U,     0xd261e17aU, \
    0x8196632fU,     0x2a485b9eU,     0xe9da01ecU,     0xe7c1f892U, \
    0x7c7e9e85U,     0x8b50389cU,     0xaa87c688U,     0xfebc9018U, \
    0x72458babU,     0xc03c730eU,     0x1f4a7da9U,     0x7880ca97U, \
    0xe4f6f4dcU,     0x0245ce71U,     0x814b529fU,     0x017494e8U, \
    0xd546aad6U,     0xbea01faeU,     0x1fab6018U,     0xdddb98c0U, \
    0xb6d4eb2aU,     0x3087f2fcU,     0xa0275c31U,     0xb2b43ef6U, \
    0x937e1b1eU,     0xc43e4349U,     0x9ae9646dU,     0x01104f7eU, \
    0xbe7466bcU,     0x53e55116U,     0x518a95c0U,     0xe977ec5bU, \
    0xb5a38ce4U,     0xd01f3b02U,     0x364b0225U,     0x0d926696U, \
    0xb53cec97U,     0x050f8e70U,     0x77d4167cU,     0x40b92b4fU, \
    0xc9ee9695U,     0x5bbee787U,     0x04aa6299U,     0xa9c4a148U, \
    0xa50b842dU,     0xe06846f6U,     0xeec92825U,     0x775fbae1U, \
    0x451e0b4aU,     0x13e89e1cU,     0x37f9e869U,     0xf701d64cU, \
    0x741b3d53U,     0x0d9298ecU,     0xe8f79d6cU,     0xf4fad89dU, \
    0x4a32a50fU,     0x8dc4cdfcU,     0xbd0b1f85U,     0x18c64b58U, \
    0xb491420bU,     0x09db6645U,     0xf877512eU,     0x1693cbeaU, \
    0x0527f064U,     0xfff55cebU,     0x5141a8a2U,     0xa33349d5U, \
    0x160dad02U,     0x7f7ba3beU,     0xc0822eb6U,     0xb7810e96U, \
    0xd32107c5U,     0x8b18ec94U,     0xe18f9051U,     0x35548997U, \
    0x96f7995bU,     0x23e979d8U,     0x218ca18bU,     0xae696b5cU, \
    0x74dbcc20U,     0xa3b8d905U,     0x25b7a41dU,     0x75e5731dU, \
    0x131143b0U,     0xbe6ba181U,     0x47dafe2eU,     0x8e4b317aU, \
    0x3806126dU,     0xd01f52b0U,     0x4845ceb2U,     0x20505edbU, \
    0x6fc87daeU,     0x6b5aeb80U,     0x18a712c7U,     0x7f9b8cf6U, \
    0xfcab5305U,     0xf7d4dabeU,     0x7c452dd4U,     0x9e153195U, \
    0xdf0026a2U,     0xb1bed45dU,     0x15902a85U,     0xaf89694cU, \
    0xd4b9be6cU,     0xd87f94a8U,     0x076e3ed5U,     0xfa001686U, \
    0x66c49e44U,     0xeb0012b8U,     0xa465e2dfU,     0x1c2310ffU, \
    0xc0282a4aU,     0xdeec8f33U,     0xa97e6d5eU,     0x24813040U, \
    0x786c105aU,     0x9b444e20U,     0x93217b32U,     0x6124ecedU, \
    0x65ab9ab2U,     0xcb1db294U,     0x0da87dfeU,     0xd4ba019cU, \
    0x03f3ba0aU,     0x0b3747f6U,     0x413f4306U,     0x7206bb40U, \
    0x252e5422U,     0xfe584328U,     0xae9141cdU,     0xb691231bU, \
    0xfdaf8f28U,     0x51bb172fU,     0xb8b1282aU,     0x648dcb9cU, \
    0x1833875eU,     0xaa610c96U,     0x5b843c85U,     0x5999496fU, \
    0x28801c0cU,     0x4a45525dU,     0x90f28287U,     0x1141be88U, \
    0xbfa9e62bU,     0x3d1f50d9U,     0x6784a7eaU,     0xccf89806U, \
    0x29cd1887U,     0x3f3ad16aU,     0x8f1c11e7U,     0xc99c34d0U, \
    0xdb381625U,     0xd20ae415U,     0xbbf5b9ffU,     0x593467d2U, \
    0x60fdb4aaU,     0xbcb4eb8aU,     0x37c55d75U,     0x30d1d5a3U, \
    0xdad568d2U,     0x19de6260U,     0xef5829f9U,     0x8c833211U, \
    0xf1e61bb7U,     0x7525fc73U,     0x1501829dU,     0xc7987453U, \
    0x04c02780U,     0x27b98ac8U,     0x8269c7f6U,     0xc7562769U, \
    0xbe1a6ad8U,     0x06ebdb6eU,     0xe44202d8U,     0x7f3ed13bU, \
    0x9725b754U,     0x19a1ac8aU,     0xb0c2b68bU,     0x534b015fU, \
    0xccc75eb7U,     0xe0c6b2b7U,     0x0442ce04U,     0x469edadcU, \
    0xc0e7315dU,     0x717c6637U,     0x31fb6a3cU,     0x962a0271U, \
    0x816c6bb6U,     0x56904120U,     0xdbf85313U,     0xd8514a4fU, \
    0x28d147ddU,     0xb379856bU,     0xc001873dU,     0xc8fab7f2U, \
    0x3ed02a36U,     0x157b952cU,     0xd51918e2U,     0xc1d0dfacU, \
    0x2ce75247U,     0x1bc25877U,     0xff83ecebU,     0xd9732ba7U, \
    0xacdd492fU,     0x07b4d245U,     0xed8a9b34U,     0xb709dcf3U, \
    0xf6bfea2bU,     0x9ee54e5aU,     0x1b2b55c8U,     0x66e1da7cU, \
    0x9fe2beedU,     0xc7445be0U,     0xc491cb39U,     0x9ad82549U, \
    0xef18cd3dU,     0xef2a77ffU,     0xa70aa8afU,     0xa9fdd168U, \
    0x47100a41U,     0x2dbe42caU,     0x1a8b0b1dU,     0x11356a84U, \
    0x1727d413U,     0x097cc3c2U,     0x7abd7915U,     0x4b17d754U, \
    0x5ebedc51U,     0xbc0904f1U,     0xf7b5fbd7U,     0xeee854b2U, \
    0xaa82d70eU,     0xead045aeU,     0x38d71e4fU,     0x46aab972U, \
    0x897d237cU,     0x127171dcU,     0xe512eef0U,     0x123758f4U, \
    0x07a60e90U,     0x889b0cf9U,     0x1151fd32U,     0x27c0d7e7U, \
    0xc328419eU,     0x30671c74U,     0x2dccbec5U,     0xcaa8f9a1U, \
    0xc17c42e4U,     0x32a4dfe2U,     0x0a3c1ae1U,     0x2b7078e5U, \
    0x6758b6aeU,     0x51c1d4a3U,     0x171ecac4U,     0x9eccfd82U, \
    0xc88fd432U,     0xd14b16b7U,     0xa2cdbb9cU,     0x785d02e4U, \
    0x48804801U,     0x7a1ef6b6U,     0xaf854c66U,     0x82a6ee14U, \
    0x46acc2e5U,     0xd8c235c2U,     0xaaaa13e3U,     0x1e253e45U, \
    0x8f7248bbU,     0x51f8d691U,     0x2dad016eU,     0x5f46591eU, \
    0x0c536033U,     0x299d4a0aU,     0xbbfbcd5aU,     0x5a7dbe34U, \
    0xd0f2bf96U,     0x74ee47f4U,     0x485a9ff6U,     0xf003e039U, \
    0xdc1b6c83U,     0xa0a6b183U,     0x179c364aU,     0x591c5a96U, \
    0x40c03321U,     0x56971340U,     0x3939b79aU,     0xdd89353bU, \
    0x8589c982U,     0x8ea4fd69U,     0x75ee8275U,     0x24e079c0U, \
    0xaa890625U,     0x96a6c468U,     0x70bbb4dcU,     0x5e9789f7U, \
    0x6a27bc1eU,     0xf568b256U,     0x5a08b466U,     0xd1835646U, \
    0x611cc1fbU,     0x0eee78b8U,     0x93e36f77U,     0x5d9982deU, \
    0xa92426a8U,     0x5ac85586U,     0xa19b66c5U,     0x1a57cde8U, \
    0xb1511406U,     0xc95f2394U,     0xd79620acU,     0xaa0a1c54U, \
    0xe09ca422U,     0x2681c7f6U,     0x03998ea6U,     0xdbd0d7d3U, \
    0xfbe4aea5U,     0xc05f03a0U,     0x5645a078U,     0x76d77510U, \
    0x747ea494U,     0xc82a28ceU,     0x92344ec4U,     0xeaa3a96fU, \
    0x0e90b849U,     0xc5739425U,     0xde5ad690U,     0x3787ea88U, \
    0x5969ffefU,     0xcb30b7c4U,     0x58d0697eU,     0xa65c1459U, \
    0xcf3e3987U,     0x0115b4ddU,     0x20996d34U,     0x1f9e3368U, \
    0x56769fc5U,     0x4c382133U,     0xe71b9459U,     0xe5c3cd18U, \
    0x2686a6d7U,     0x1e063de7U,     0x209b1a72U,     0xc2f52135U, \
    0xf8704224U,     0x55cc8512U,     0xad7de727U,     0x074f9311U, \
    0x9f932333U,     0xa3f495c7U,     0x4469719dU,     0x8a1a03f3U, \
    0xf6b20c36U,     0xe393d9c6U,     0xc2f73798U,     0xef1f1141U, \
    0xfdb4551bU,     0xeeb3655dU,     0x2c6c61d7U,     0xb171d5baU, \
    0xb006ee27U,     0x8a27b1eeU,     0x4aedc25aU,     0x914959b1U, \
    0x180b9c87U,     0xf11caa6fU,     0xd77a047fU,     0xf89e7975U, \
    0x5dccb214U,     0x945a5603U,     0xc0d057bdU,     0xf7337cdbU, \
    0x7ccde281U,     0x05203835U,     0x5df68f0aU,     0xd7bf8d1cU, \
    0x107f3fc4U,     0xe8788b7aU,     0xb7934424U,     0xc8e3fa30U, \
    0x5f6d5c3dU,     0x9dab7564U,     0x7321a490U,     0x1d8f430eU, \
    0xe38b4a80U,     0xcd00aa9fU,     0x989ac4b0U,     0x939ea434U, \
    0x17100b43U,     0xcee049a3U,     0x14d7a395U,     0xdb2f3f9bU, \
    0x27975819U,     0x0c5a3317U,     0xd9fe830aU,     0xf94ae728U, \
    0x90f569ffU,     0x71631563U,     0xd8b09360U,     0x90180855U, \
    0xa8796579U,     0x6af5d1a2U,     0x7e7de110U,     0x57a2a0afU, \
    0xa46f43adU,     0x0b44d654U,     0x73e208e6U,     0xb6cc5006U, \
    0xed377f7eU,     0xca560a93U,     0xa8e6ba71U,     0x12c87845U, \
    0x6542d9cfU,     0xb5565659U,     0xc821597aU,     0xee3c7354U, \
    0x86116938U,     0x4b3db1d2U,     0xce4dcb93U,     0x6bce407dU, \
    0x8bd025a7U,     0xcf048f12U,     0x1f334c77U,     0x2a53d6ddU, \
    0x208ecab3U,     0x98554d40U,     0xb1dea7ccU,     0xc24ab848U, \
    0xb7e4faf2U,     0x7fae715fU,     0xec9f1b3aU,     0x50f0b334U, \
    0x08bcbe93U,     0xceed2ff0U,     0xd729865fU,     0x8212dc7eU, \
    0xe21ddb1fU,     0x09486846U,     0x5de139beU,     0x6810e8f6U, \
    0x6943feefU,     0x9067333aU,     0x8263ae3fU,     0xa9cad85dU, \
    0xa93dc1c7U,     0x17745fb8U,     0xb5eb0be8U,     0x5c0ad65cU, \
    0xf565d046U,     0xfa9fabe4U,     0xf535e4b3U,     0x849dfca6U, \
    0x13a9972eU,     0x6342da4fU,     0x2e61fbcdU,     0x318f0658U, \
    0x9244ff04U,     0xd7481d9eU,     0x474c7d4fU,     0x72eb2702U, \
    0xa6fcb62fU,     0x41acaaffU,     0xa69da570U,     0x4f27b37aU, \
    0x7c8a948bU,     0xf1336604U,     0x5c49bfa1U,     0x2ef99836U, \
    0x8ed89126U,     0x7d29583bU,     0xb9457b9bU,     0xb3074d49U, \
    0xbd1c5129U,     0xe5d06e35U,     0x1173898cU,     0x9ade3599U, \
    0x8af47aaaU,     0x8c66f46aU,     0x4c3de56eU,     0x160c1d4cU, \
    0xd4231480U,     0x1c9312ecU,     0x2f18eb68U,     0xce9700d6U, \
    0xdbbf3264U,     0x6ce6e0aaU,     0x905d3222U,     0x2de13de9U, \
    0x7ef5fc10U,     0xa0d777c5U,     0xd81a3fcdU,     0x67956caaU, \
    0xab17770fU,     0xa799f99dU,     0xacee3d40U,     0x291e41f5U, \
    0xd1ce4b8fU,     0x83ccb9ebU,     0xfd79e410U,     0x02aaf73eU, \
    0xb59bf864U,     0xaef8c3bfU,     0x2ca11fe9U,     0x3a61a3b9U, \
    0x0759dd82U,     0xa613dffaU,     0x8badc482U,     0xb3f64a82U, \
    0x1e1bfe3eU,     0x47ef8e53U,     0xc502e5d0U,     0xf2ac11d5U, \
    0xeb007758U,     0xc5716216U,     0x555f00ebU,     0x8cbe4ddcU, \
    0xf84b0dbfU,     0x66a95b68U,     0x81b6378aU,     0x9f64674fU, \
    0x4278b5e0U,     0xedf6b9c8U,     0xb5e892abU,     0xebe99568U, \
    0xdd8c1777U,     0x837a0672U,     0xe59ea2b2U,     0x894dd6d7U, \
    0x6a26006eU,     0xab37bed3U,     0xe003dbf0U,     0x6bdaccf8U, \
    0x66bbf544U,     0xd308a0f6U,     0x599b6768U,     0x1ad81d93U, \
    0x5da9a866U,     0xb14465c2U,     0xf8c6de97U,     0x4bc572b0U, \
    0x30f2cfddU,     0x4938f77bU,     0xbc1c8611U,     0xbb7cba2fU, \
    0x02b867c8U,     0x8a1c6834U,     0xf81ebeb9U,     0x0e007485U, \
    0xe0dc103bU,     0xab762f7fU,     0xe9012e62U,     0x2d0fdfafU, \
    0xa46bf483U,     0xfe4f72d2U,     0x071191f7U,     0x55449454U, \
    0xb09e6cfdU,     0x884fc550U,     0x6cddb7c2U,     0xd528aa19U, \
    0xd681ad40U,     0xc512ba57U,     0xd60f39a4U,     0x1fd74c15U, \
    0x50a11560U,     0xb5ebddffU,     0x3085a299U,     0xcdf78239U, \
    0x293e526cU,     0x54f5e708U,     0x57ecdefdU,     0x573a7198U, \
    0x397288fbU,     0x808e77baU,     0x9f771606U,     0x977bbacaU, \
    0xf434637fU,     0x42843503U,     0xd3ddf6b7U,     0x1ecd6f23U, \
    0x8f021dc6U,     0xba7daa28U,     0x0f0d641eU,     0x970fdbccU, \
    0xd77512bbU,     0xe8e43f10U,     0xffde1091U,     0x13a64759U, \
    0x9965f85eU,     0xec6e65aeU,     0xaeb7b8e0U,     0x8d2970beU, \
    0x3df24abcU,     0x24c7c35eU,     0x0b5526daU,     0x7707d137U, \
    0x34b5442cU,     0xce974be9U,     0xa462ad32U,     0x6eaa8a4bU, \
    0x8fb01e99U,     0x8b02ea67U,     0x23b667aeU,     0x1757e0f4U, \
    0xa90b6289U,     0xd495a767U,     0x434dd3a0U,     0x330a70daU, \
    0x651d2c66U,     0x58ad0357U,     0x433c9ca1U,     0x4dea2d14U, \
    0x1aaf8e02U,     0xc7195eeeU,     0x31c12a10U,     0x11f8e850U, \
    0xb2aea08fU,     0x6c723243U,     0x2cd9da09U,     0xa98d0909U, \
    0xab52ab5dU,     0x27b66e20U,     0x19799bf1U,     0xafb444ffU, \
    0xaa0712a0U,     0x37853e77U,     0x384e6ed8U,     0x7f495c08U, \
    0xb25a764cU,     0xc8f8a586U,     0xf43b4a3dU,     0x2a7661b1U, \
    0x84775975U,     0x19298a66U,     0x3d6deaa9U,     0xc803fc1bU, \
    0x6be0eebfU,     0x17e97000U,     0x939c090fU,     0xc14352f2U, \
    0x98a7a834U,     0x66504ba1U,     0x13115e1fU,     0x34b6cbb4U, \
    0xf9c582d4U,     0xf17767e2U,     0xc272e13cU,     0x862654c7U, \
    0xfa1a6c9eU,     0x87212b88U,     0xafdc068dU,     0xa790f5a5U, \
    0x25edd97bU,     0xa32a46e1U,     0x9cf5a2a2U,     0xa8c3c61dU, \
    0x7021bc92U,     0x2a4186b0U,     0x7266f005U,     0xf51350b1U, \
    0x5a94ff26U,     0x55e62305U,     0x37a4ae85U,     0x0b13d6d9U, \
    0x964be791U,     0x93e0dea5U,     0x480a816aU,     0xe2498300U, \
    0x1864936eU,     0x24c4f516U,     0xafa883c6U,     0x8013e57bU, \
    0xb3e564aaU,     0x4101c35dU,     0xb3929161U,     0xfec133daU, \
    0xc38135a9U,     0x9c5fc4e8U,     0xe22fdf4dU,     0x4cea6ce3U, \
    0xdfb3f6f7U,     0xed10dd78U,     0xf3322b40U,     0x7d0cef44U, \
    0x8e5c008fU,     0xba777b18U,     0x81af4060U,     0x303d3030U, \
    0x7fc9243eU,     0x35424709U,     0x7cc6248bU,     0x2da91c36U, \
    0x89e28063U,     0xa0c832aeU,     0xf55bb68fU,     0xc37c3825U, \
    0x8d2d34b8U,     0x5ba7f8e7U,     0x44a48fbaU,     0x1a933d01U, \
    0x8f08505fU,     0xa0551438U,     0xbd77d756U,     0xb2895446U, \
    0xcc455202U,     0x10d75fcbU,     0xe1202c95U,     0xdc97c43fU, \
    0x1887e863U,     0x4197122dU,     0xc81373a7U,     0x91853416U, \
    0xaef9af66U,     0xf7fbd8aeU,     0xff690d6dU,     0x424a2a27U, \
    0x70f27138U,     0x88ce6049U,     0xd2696350U,     0xe0f651d1U, \
    0x5b5d3be6U,     0xb6c86e66U,     0x6fb4f448U,     0x6c5e4db1U, \
    0x302a28bdU,     0xf962ec3fU,     0xc725fe13U,     0xd92e5dcaU, \
    0x4f370b16U,     0x8f7eff27U,     0x3c908cc7U,     0x526506e5U, \
    0x5586f4a5U,     0x24e888c7U,     0xd8a4618bU,     0xeff10ea4U, \
    0x6429b168U,     0x244f769aU,     0x6cfc2e71U,     0x9206e132U, \
    0x70c4a5aeU,     0x4604d265U,     0xcaae47cfU,     0x5baa0ceeU, \
    0x5eea2039U,     0xcbfc16cfU,     0xa3107817U,     0x4f88f737U, \
    0x44d21a52U,     0xd53fc805U,     0xc537aaccU,     0xca0054f5U, \
    0xeda93cd7U,     0x549e7e29U,     0x0e8d5d8bU,     0x4d8d658dU, \
    0x18828667U,     0xfd5e148bU,     0x5bcb42d8U,     0x16b897f0U, \
    0x22a53aafU,     0x7f44bf35U,     0x21907b69U,     0xdf7ca914U, \
    0x9ab10d4aU,     0x242ab213U,     0x1ab148cdU,     0x8be2e2b6U, \
    0xfcac3b42U,     0x2f8f4758U,     0xf05636cdU,     0xc8128f3fU, \
    0x53974d3fU,     0x71c0d356U,     0xd49d60bdU,     0xa20fa2aaU, \
    0x0d761cc3U,     0x9d3d2440U,     0xb2fa2165U,     0xb8aa65fbU, \
    0xddde4180U,     0x22eb069eU,     0xbf268068U,     0x43d7ba91U, \
    0xfe4183f4U,     0xad2fe568U,     0x00bf764eU,     0xe1c645d2U, \
    0x805235d6U,     0x7ccb8159U,     0xafd511d4U,     0x6b8e73a9U, \
    0x05b845bdU,     0xa2baf82eU,     0xcf4c0342U,     0x98678540U, \
    0x93cbbb11U,     0xac6cd132U,     0xdf4f8d99U,     0x14e37de1U, \
    0x115a0f10U,     0x355d424eU,     0x88fbb317U,     0xcbcc1e0cU, \
    0xf50dc814U,     0x345ffcfbU,     0x0ef60b9cU,     0x704ac0f2U, \
    0x4c630075U,     0xc03508d6U,     0x88df775eU,     0x862ffd72U, \
    0xcf8b4ea5U,     0xa2df3d81U,     0xdaf6493dU,     0x9d264cd7U, \
    0xdc0df944U,     0x7ba77962U,     0xf683806aU,     0x504413c2U, \
    0xcbab7d13U,     0x67a5efa1U,     0xda4f996cU,     0x334f2abaU, \
    0xf40b4205U,     0x2286ec22U,     0xf6c1c89cU,     0xb45f3ee3U, \
    0x4a292894U,     0x5973decbU,     0x9f4bca08U,     0x5b98712eU, \
    0x4cf739d4U,     0xdcc63000U,     0xcf503a85U,     0xba782432U, \
    0x8473a085U,     0xd2399172U,     0x0f473947U,     0xd4049678U, \
    0xc0813944U,     0x6ddd0771U,     0x3f3a1f2bU,     0xf86e82a3U, \
    0xf21e9153U,     0x28f4f939U,     0xf0500667U,     0xca926cedU, \
    0x1bcc643aU,     0x4ab1e6d9U,     0x878375ffU,     0x59c043aaU, \
    0x705b2d45U,     0x613e207aU,     0x4d0c9e69U,     0xd0e2c259U, \
    0xb69779d5U,     0xa709aa6bU,     0x06c5dcc5U,     0x07cbaccfU, \
    0x322625baU,     0x91416645U,     0x8afe366cU,     0x85f5532aU, \
    0x33bdcea4U,     0x71d5f475U,     0x3e3b6560U,     0xc45ab128U, \
    0xbb69ae01U,     0x3c900ffaU,     0xf2c19e91U,     0x7b15514eU, \
    0x72410139U,     0x07c9dff0U,     0x904abcb4U,     0xb1ac96fbU, \
    0xdfe5a728U,     0x5f579308U,     0xab78775dU,     0x5e75487cU, \
    0x410fa255U,     0xb407a714U,     0x55458785U,     0x0f872f43U, \
    0xb9c3c598U,     0xb1035a76U,     0x9cd601e5U,     0x63b808fdU, \
    0xc1ab86a5U,     0x293bc6c2U,     0x6e04d5afU,     0x49aa4c7fU, \
    0x540fd7d2U,     0xdcb5f714U,     0xe225e4b3U,     0xebc9e370U, \
    0xd5d0ef84U,     0xaccaebf0U,     0xf7d81506U,     0x00658c31U, \
    0xfb63c6d2U,     0x799437c8U,     0xb5379865U,     0xcd812672U, \
    0xf8fc04aaU,     0xa2077683U,     0x03494cc7U,     0xfeea63eaU, \
    0x3ca6012eU,     0xdba972e7U,     0x26bedf4bU,     0x0ce66bbeU, \
    0x4bd61bc6U,     0x8b4c9f56U,     0xf92e8e61U,     0x63850707U, \
    0x313950b1U,     0x18fa41d0U,     0x6c825f9fU,     0x150f5ff9U, \
    0xdbfb28a8U,     0x8e0f2f37U,     0x83c81729U,     0x61858f1fU, \
    0x3555fb79U,     0x8bce15b6U,     0x617bc62aU,     0x61a3561bU, \
    0x775350bdU,     0xafe3b165U,     0xe451da1cU,     0x716f24b9U, \
    0xce6b4005U,     0x4621cdcaU,     0xd3df3635U,     0xa94d0e0bU, \
    0x6a5ca968U,     0xb969ee8dU,     0xa5297f2fU,     0x16d52bd6U, \
    0xa0cec6a7U,     0x3548abb5U,     0x0d242990U,     0xc0c3986fU, \
    0xc12e1494U,     0x45d06781U,     0x8a8724fcU,     0x59679e95U, \
    0xb51807baU,     0x2303f67eU,     0xb189cde9U,     0x244c32a2U, \
    0x1e6d5d06U,     0x5582c240U,     0x91f8e02cU,     0x1e02264aU, \
    0x4028da89U,     0x64488dc3U,     0xb8a318a1U,     0x9648acc8U, \
    0x90068e74U,     0x01049c20U,     0x344efb7dU,     0x6ddcf247U, \
    0x658df4fcU,     0xd3f87e0bU,     0x7fe77b9aU,     0x89b40298U, \
    0xc7caa528U,     0x698b9735U,     0x6033bab1U,     0x6058a966U, \
    0x9d9246b7U,     0x1c281935U,     0x2769f055U,     0x1d36347aU, \
    0x546c2815U,     0xd218bb79U,     0x0f440834U,     0x9bd29c7aU, \
    0x161edbbaU,     0x3c1080a2U,     0x0e8bb481U,     0xa2c7ecdaU, \
    0xb665529cU,     0xc3efcd3dU,     0xe72f5adcU,     0x2c36763eU, \
    0xc5161e8fU,     0x93939ba1U,     0x939202d2U,     0xadfde269U, \
    0x2573e28aU,     0xdc19cd29U,     0xfea70e7dU,     0xe78b8899U, \
    0x73cdcb24U,     0x14049438U,     0x562530b9U,     0x939f1f29U, \
    0x1acb96edU,     0x5f6e4f26U,     0x04a579e3U,     0x8dd50598U, \
    0x6b23c8c3U,     0x8ea07748U,     0x44bdf822U,     0x316eb43eU, \
    0x78fb467bU,     0x13a4d117U,     0x6c19226eU,     0xc53918eaU, \
    0x1ec41b97U,     0xe4400c19U,     0xa7eed3bcU,     0x52c92409U, \
    0x535af427U,     0xde3c3eaeU,     0xde24e861U,     0x081ba194U, \
    0x2af6f96fU,     0xc3da9d06U,     0xbd36b74cU,     0x7af870f3U, \
    0xb733c547U,     0xa7eed75eU,     0xc54eebeeU,     0xe5b42799U, \
    0x338b021eU,     0x6b5e34b5U,     0x0b614b98U,     0xa1848f9eU, \
    0xeb488b07U,     0x811347ccU,     0x5c32007cU,     0x65682f70U, \
    0x37caeae7U,     0x1813c686U,     0xa2d1ac55U,     0xe031329cU, \
    0x0799e8f3U,     0x0057452fU,     0xec764281U,     0xe5a1d4cbU, \
    0x5e5b7a16U,     0x200b773bU,     0xf763f3d8U,     0xac348312U, \
    0x16ecc5baU,     0x4a218642U,     0x4a1e23deU,     0xcc43a30cU, \
    0xdecca455U,     0x6c3bc97aU,     0xde321579U,     0x221e94abU, \
    0x2a051427U,     0x7a7c40adU,     0x84248e7cU,     0x091c5131U, \
    0x1b6f87ccU,     0x77b88c05U,     0x5fd21f21U,     0x78e09d07U, \
    0x89258cdcU,     0xe28247a4U,     0x621a2addU,     0x056efd52U, \
    0xca559c19U,     0x3aa2d6cbU,     0xbf431975U,     0xab305a92U, \
    0xf756adc9U,     0xf9f1318aU,     0x79da52dbU,     0x1d0dfc37U, \
    0x41a8d0a4U,     0x9a39ebb8U,     0xe0570e87U,     0x57aea554U, \
    0x29ec5c88U,     0x3850a298U,     0x117e9100U,     0x3269a94bU, \
    0x0ba80459U,     0xc24f28b5U,     0x29366d93U,     0xefd0eab4U, \
    0xfff2e7c8U,     0xbb0aea6eU,     0xdc684b0cU,     0xa6d55a29U, \
    0xb7f4659eU,     0xc710af68U,     0xf6d5dc4cU,     0xaccf0321U, \
    0xeeb4e18aU,     0xbeba1b98U,     0x81979e74U,     0x79f698a4U, \
    0x4a6a4679U,     0x0438f193U,     0x2ee361ffU,     0x174492edU, \
    0xbd290461U,     0x4429c761U,     0xbfab08bdU,     0x31cb6dc6U, \
    0x082a37a4U,     0x41fc6586U,     0x8bb37ea4U,     0x26f7dddcU, \
    0x0b9602aeU,     0x6e965cf0U,     0x9568a56aU,     0x2cbecdedU, \
    0x543754d4U,     0x1afd7acaU,     0x7a0f3cc2U,     0x94e52171U, \
    0xe2aeadacU,     0x78b48cf9U,     0x017eebcfU,     0x013b2202U, \
    0x77ed3c9bU,     0x4ef22d84U,     0x225434fdU,     0xd7a663aeU, \
    0xd036b1a1U,     0xf7cabdcdU,     0x116a59a7U,     0x36d6a6a9U, \
    0x49167e41U,     0xbc7eae91U,     0x71611cbbU,     0xc13f7bc8U, \
    0xc138e5dcU,     0xbf2e405bU,     0x1ecffa12U,     0x14448771U, \
    0x6236ad3bU,     0xad159d8eU,     0x1d149975U,     0x09d65123U, \
    0xc4126a78U,     0x8e810bcaU,     0xefedc10aU,     0xe69b7a5fU, \
    0x9254bed5U,     0x1b8a3063U,     0xdd128a78U,     0xfe8a2b9eU, \
    0x597effbfU,     0x47f3ce04U,     0x1bee43b9U,     0xb5cdfdf9U, \
    0x2bf0722dU,     0x7b0a4046U,     0x968e7e41U,     0x8e566bf5U, \
    0x7438fc5bU,     0x8284cb87U,     0xf7ec8468U,     0xb0733bbfU, \
    0xcdf35f42U,     0x57cc4bd1U,     0x48a092fcU,     0x182b5b9fU, \
    0xacdb2e1bU,     0x26a48b65U,     0xd7709a31U,     0x719499adU, \
    0x4acab6d6U,     0xcd71c242U,     0xa7c2139eU,     0x604a3505U, \
    0x29682db1U,     0xab1c2dc1U,     0xe6590d41U,     0x927f6487U, \
    0x98311b18U,     0x623aebbbU,     0xc3cc9d33U,     0x6fac1456U, \
    0xb3df2ddeU,     0xa9885fc9U,     0x16c37ba0U,     0x5f4d4d6fU, \
    0xb27afa43U,     0x5ffc2691U,     0xc9486ac6U,     0xffb2af03U, \
    0x59e4227eU,     0x0fd99e5dU,     0x30db75e7U,     0xcfd0177eU, \
    0x3a973bc7U,     0x5f9db62aU,     0x823760e4U,     0xdd2f613aU, \
    0x9ecda2c0U,     0xb30cfb0cU,     0x755e4e3dU,     0x70c2f8feU, \
    0x2243b19cU,     0xaf7ef922U,     0x4e5a0fc6U,     0x6c293602U, \
    0x82361055U,     0x329e4f68U,     0xc66b471dU,     0x4117fea2U, \
    0xa3674478U,     0x13b69549U,     0x10851f75U,     0x37e0c82fU, \
    0xe04ffa52U,     0xa20542b9U,     0xc16a00faU,     0x48c0d773U, \
    0x64b5a4a2U,     0xe6c25b2eU,     0xdf357e5cU,     0xfd076e9aU, \
    0xea042febU,     0x4e03aac1U,     0xfbf01aa5U,     0xfa81f45eU, \
    0x8909bc41U,     0x36a2cddbU,     0x2c1ca105U,     0x123c85dfU, \
    0x481023afU,     0xb57ee149U,     0x847b939dU,     0x253afe52U, \
    0xc332606bU,     0xb61a73b5U,     0x48ebc9a2U,     0x2c93498bU, \
    0x4b853079U,     0x134f279eU,     0x8be4c6b8U,     0xc554e758U, \
    0x14990aadU,     0x4a993477U,     0x1f6c4b5bU,     0x85362486U, \
    0xdbb8dcb7U,     0x25d8d80cU,     0xff99c7e8U,     0xca796d80U, \
    0x41551b2cU,     0x7689fc7aU,     0x950902d3U,     0xf570d571U, \
    0xeace75efU,     0x785b214aU,     0x49a3ef5dU,     0xf5bfdb51U, \
    0x90a13337U,     0xcb086ddfU,     0x58bfc683U,     0x0b383763U, \
    0x2e89429fU,     0x28a8620cU,     0xf2091070U,     0x36b74afcU, \
    0xf840125bU,     0x62803ba7U,     0x026cc2a6U,     0xa2ff78d9U, \
    0xf4c8f1f6U,     0xc2f48de1U,     0x6e4d98feU,     0xe1dc781fU, \
    0xce54b486U,     0x74d854e2U,     0x440465f1U,     0x0b280450U, \
    0x35ebc0e1U,     0x068c18c0U,     0xcf5688c3U,     0xd4f3df81U, \
    0xa96ca0cfU,     0x221fd677U,     0xd23db821U,     0x3e3d3664U, \
    0x0b950928U,     0x4e54fb9eU,     0xe0ea2cc0U,     0x08521270U, \
    0x5bfbcce2U,     0x5ca80b94U,     0xf9728cf6U,     0xe024fcf8U, \
    0xb0a8e35bU,     0x93653962U,     0x65e77f4dU,     0x3306934bU, \
    0x8a0786e5U,     0x837d8132U,     0x4ac95398U,     0x8fff7d87U, \
    0x1c017d9dU,     0xb03eb8c4U,     0x8a8815e6U,     0x89e572ecU, \
    0xce784d73U,     0x1701c432U,     0x78190388U,     0x7e9295caU, \
    0x824fee9cU,     0xfef55bb3U,     0xcb81273aU,     0x8da1a8d6U, \
    0x9f98f156U,     0x1833eb7fU,     0xba3b448dU,     0x12a4d827U, \
    0x3956f819U,     0xe9b40f79U,     0x87dff9cfU,     0x665daaa9U, \
    0xcf19da92U,     0xdd2e7d21U,     0x1fe85a95U,     0xd3878558U, \
    0x80ad4706U,     0x4b8ed691U,     0xeb633c3cU,     0x27c26da6U, \
    0xba726346U,     0x7d2381b8U,     0x222e8787U,     0x88755bc5U, \
    0x43f65fbaU,     0x0fb67682U,     0x0bff3687U,     0x0e4abc0bU, \
    0xab72e39dU,     0x244f3a0fU,     0x1c775f95U,     0xed67dd1eU, \
    0x1503321dU,     0x3a486abdU,     0x26cb16f0U,     0x95080616U, \
    0xa821d5feU,     0x14b4bd28U,     0x0d30354aU,     0x49dc2a6cU, \
    0xe6e1af21U,     0x39ca35d9U,     0x676c6c6fU,     0x67b823dfU, \
    0x6a18e19cU,     0xf84e6e1aU,     0x8d53d350U,     0x00055fb4U, \
    0x4ffe518bU,     0x79832e37U,     0x201fbd16U,     0x1e8c7903U, \
    0xeadbc35bU,     0xb7304471U,     0x5f3705b3U,     0x0f2a7953U, \
    0x3867e098U,     0x18341ad5U,     0xc7f55354U,     0x27787e47U, \
    0x837e640aU,     0xb3dcf902U,     0x4d18eb3aU,     0xe9157582U, \
    0x28d3b31fU,     0x5ac4bb59U,     0xceb556fcU,     0xe1b9747cU, \
    0x71025c7fU,     0x9e355797U,     0x5d979271U,     0x7f10fd79U, \
    0xb2571780U,     0x0440d8d9U,     0x4d9d03feU,     0x6a2e3493U, \
    0x891f4a6aU,     0x22ff098eU,     0x86761095U,     0x16f291a0U, \
    0x8f5b7e72U,     0x7f0716dbU,     0x366b3c9fU,     0xcf9bd6e2U, \
    0x693dd102U,     0x3c89b2ecU,     0xcb6c60eeU,     0x3eec3bb1U, \
    0xe93512d4U,     0x10a810ecU,     0x9ec033ceU,     0x0e14b139U, \
    0x3f916d23U,     0xc6c02e35U,     0x71a1e250U,     0x50f63f84U, \
    0x690cf354U,     0xc2d09defU,     0x4126a272U,     0x92a03e74U, \
    0xd60ed17bU,     0xb067dab0U,     0x960e4cb2U,     0xa63a4bf5U, \
    0x9a0fc1abU,     0x9236033fU,     0x877fb70aU,     0xcf4b0274U, \
    0x60d8ff1bU,     0x98f882a5U,     0x9f28c4b7U,     0xf38960f7U, \
    0xe3faa515U,     0x2d3d457dU,     0x578e8121U,     0x4cd35d1cU, \
    0x50114c5fU,     0x172acd61U,     0xd44469f2U,     0x3d4e4644U, \
    0x1824f233U,     0xe590f5f0U,     0x901f348bU,     0xa68f81c2U, \
    0xa8199817U,     0x513fe307U,     0x92877cefU,     0xfcf1829aU, \
    0xd5f26b92U,     0xc45fbf3cU,     0x98c9aefeU,     0xe64bb607U, \
    0x458c40baU,     0xa4e55a6bU,     0x59b53c3cU,     0xebe7d551U, \
    0x19c98c8fU,     0x17255f1dU,     0xc760e59bU,     0xbeb393adU, \
    0xb2b9195cU,     0x18e92bdfU,     0x5c46f8caU,     0x4e78a72cU, \
    0xe5b8f5a6U,     0x79d06034U,     0x08e1570bU,     0x50541070U, \
    0xc7a2ff12U,     0xaa0803b1U,     0x75bd48a3U,     0x0cb600d9U, \
    0xd988a60fU,     0x476ec9e6U,     0x88387d78U,     0x5a350efdU, \
    0x80bb23fcU,     0xd53af4ceU,     0xc50a7a54U,     0x372ab1a7U, \
    0x9fe19ed6U,     0xf22c06d2U,     0xb8d16836U,     0xc76d1f9fU, \
    0x2c0524eaU,     0x930be316U,     0x8d30e909U,     0xedee1fa5U, \
    0x24c41991U,     0x61364c33U,     0x02609da9U,     0x448e8831U, \
    0x666a764fU,     0xa3f2f098U,     0x5cba8166U,     0x50a9cabaU, \
    0x8a3201dcU,     0xf1f5b5e0U,     0xf3641705U,     0x60bc44f6U, \
    0x0d5a35d1U,     0xba629ce8U,     0xeea65eabU,     0xabb474e5U, \
    0x34581de0U,     0x40fed061U,     0xc311ab8dU,     0x0f8ebcd9U, \
    0x18d37d49U,     0x8f2f747aU,     0xc28e51fdU,     0x9c7adb8aU, \
    0x7c004080U,     0xd9d0dad1U,     0xeb1516c0U,     0xb40af43dU, \
    0x2083f7aeU,     0x3294865aU,     0xdd265d81U,     0xafab435eU, \
    0x72f9f8abU,     0xb5a5fc9aU,     0x5e281cddU,     0x110585aaU, \
    0x699f0217U,     0xd061b9f0U,     0xbf150503U,     0x630eb3d6U, \
    0x1e19a6d2U,     0x408b297bU,     0x8286fef4U,     0x3ba68946U, \
    0xecf488a3U,     0x5ab3519cU,     0xfb4e2f65U,     0x6c5b2bc1U, \
    0xaae69a81U,     0x4aca41daU,     0x3e93021bU,     0x04ceb694U, \
    0xa41d9d75U,     0xccbe9756U,     0xc84ab994U,     0xd7831c5aU, \
    0x5ff13f28U,     0xb2892319U,     0xa703b625U,     0xc95203baU, \
    0x880be0e1U,     0x76648367U,     0xcf521af0U,     0xf293bb1eU, \
    0x296a5410U,     0xc1b4cb57U,     0xd437a1e1U,     0x8b1cfa55U, \
    0x68d4647aU,     0xcb751150U,     0x45a30eacU,     0xbc6b439dU, \
    0xdd2ee5b5U,     0x650c7d21U,     0x878b8a1fU,     0x737be6b1U, \
    0x5ceb3a29U,     0xc1cbd6d3U,     0x0533cd04U,     0xede986aeU, \
    0x26f289bdU,     0xe6ef3e0eU,     0xbd470313U,     0xfd74df04U, \
    0xa64c3130U,     0xfdf174f8U,     0x1028167eU,     0xfa1f0bf3U, \
    0xb2d1cd19U,     0x1a717127U,     0x5cf39ce2U,     0x6af194a3U, \
    0x6bcd0c53U,     0x4dec7080U,     0x24fb3f00U,     0xa8345dceU, \
    0x6f3643c7U,     0xf5f29350U,     0x52d8f5a6U,     0x9c5c0357U, \
    0xbe0c72cdU,     0x96aa5e9eU,     0x45e147f2U,     0x819f9220U, \
    0x496d751bU,     0xba4ed614U,     0x069ee212U,     0x2eba88a4U, \
    0xc6d4760cU,     0x6fb52f67U,     0x7d62ef6dU,     0xfe21fb5fU, \
    0x86f66371U,     0xa857c6d3U,     0x0465f226U,     0xda267c52U, \
    0x3884949eU,     0xf81754cfU,     0xabbfde5dU,     0xa8c104ddU, \
    0x10f4e6d9U,     0x19c83af9U,     0xa28adc4bU,     0x10db5b6fU, \
    0x35587678U,     0x9ab18d17U,     0x8a200305U,     0xeb1cff5fU, \
    0xc220804bU,     0x36b7f23aU,     0xdbea269bU,     0x2dc2c576U, \
    0x325f7539U,     0x5dfa8c9fU,     0x5e1ef46bU,     0xda5a0685U, \
    0xd0695e63U,     0x455095b4U,     0xcc906d80U,     0xadd62746U, \
    0xea8cff71U,     0x492cf4d9U,     0x6feb7f87U,     0x775b368fU, \
    0x73d43603U,     0xadcb346fU,     0xbcca84b8U,     0x984a547dU, \
    0x851e0d8bU,     0x9e21238bU,     0x811ab4bbU,     0xfe5b37bbU, \
    0x92b5bffbU,     0x6e820b82U,     0x7245435dU,     0xe90e7753U, \
    0xf1971671U,     0x4f657e5dU,     0x527f0e97U,     0xa30f36ffU, \
    0x70e3ea83U,     0xf8eeea38U,     0x47015219U,     0xc0b103f5U, \
    0x816d610dU,     0xa5c6498aU,     0x76299473U,     0x736d0d89U, \
    0x32fe3309U,     0x04cb4863U,     0x97bc739eU,     0xe07e375aU, \
    0x36eefd16U,     0x847773edU,     0x80d76d42U,     0x80304d0dU, \
    0x460012fcU,     0xfa80a31eU,     0xe65695f5U,     0xaa5484a7U, \
    0xf4d08ec7U,     0x7644f682U,     0x6bbd78ecU,     0x916156c7U, \
    0x50212649U,     0x913cd042U,     0x0eda0375U,     0x6a712f3fU, \
    0x58066eb9U,     0xdb7c3ac8U,     0x058a47f1U,     0x0808b8ccU, \
    0x3ca8022eU,     0x66a7bff8U,     0x4763f8a7U,     0x84570b51U, \
    0x3fa1387aU,     0xf1ddc8cbU,     0xb8e4b526U,     0xde02e293U, \
    0x8a1124beU,     0xb45b2e3fU,     0x3234dc15U,     0xa113af16U, \
    0x3a0509ebU,     0x7565e386U,     0x264a3d55U,     0xf1803d37U, \
    0x1b022aabU,     0x56530ef5U,     0x0a140c7fU,     0xb40b263bU, \
    0xfcaa996eU,     0x056e52e3U,     0x1d4c26b3U,     0x61f8d2ccU, \
    0xd02b2660U,     0x33df5d19U,     0x45b394e1U,     0xe269b88cU, \
    0x399964c8U,     0x9fe21183U,     0xdbf5f634U,     0x6c2672f6U, \
    0x4b843e61U,     0xcda13a7aU,     0xdca0416eU,     0x1b7b0b2fU, \
    0x64849757U,     0x7dffa2eaU,     0xfa0b432dU,     0x4259cb26U, \
    0xebb5169bU,     0xff2dcc06U,     0x9e7cca2bU,     0x939e2c12U, \
    0x5816e8e7U,     0x673d7410U,     0x5b706914U,     0xb8e55ba4U, \
    0x96f1b0c1U,     0x2fe9a975U,     0x8d94ad62U,     0x13a64d9bU, \
    0x430c48d0U,     0x8b198f96U,     0xa4d6a5bbU,     0x1d814a4eU, \
    0x0706eb65U,     0x4f7338b0U,     0xbd1231ccU,     0xc89e67e3U, \
    0x4f3c790dU,     0x16e0c1c5U,     0xac33177dU,     0x2b923566U, \
    0x62b54c2aU,     0x916bc2ffU,     0x0d5174dcU,     0xd4fb367dU, \
    0x8fa7ae45U,     0xc972d973U,     0x77bb5fdeU,     0xf6666b05U, \
    0x440aafe6U,     0x22a141d7U,     0x3144efecU,     0xf8c246acU, \
    0x4c589f03U,     0x8ad28417U,     0x116589b9U,     0x874f747cU, \
    0xc3201a5cU,     0x17d3fa4fU,     0x30359a3eU,     0x2cdb9736U, \
    0x53b321b7U,     0xb067b764U,     0xc6c91531U,     0x19df6404U, \
    0x899f1836U,     0xfaa9eae9U,     0x24ed1ff7U,     0x61842cccU, \
    0xe222219dU,     0x59f7b3c8U,     0x9819731eU,     0xbd301f05U, \
    0x5dd888a9U,     0xfa931a12U,     0x7513fcb7U,     0x2161767eU, \
    0x60f8e64bU,     0xc57c4a8cU,     0xf3844263U,     0xc215d9ecU, \
    0x3f7ab7e2U,     0xbecf727dU,     0x77f50f39U,     0x57dff5b0U, \
    0x7e75de56U,     0x4ead83fdU,     0xa4ea361aU,     0x61bf88d4U, \
    0xea542d76U,     0x7a9ae77eU,     0x325fbdddU,     0xba6d7f35U, \
    0x1984862dU,     0xc57b753fU,     0x29aae785U,     0x3a9667deU, \
    0xed09c80aU,     0x1db35894U,     0x88b063fbU,     0xdaba5c2cU, \
    0x8987f19bU,     0x7e9890cbU,     0x3e43445fU,     0xcba30130U, \
    0xc53e662bU,     0x6a776ad4U,     0x2ce6d11eU,     0xb16b34d8U, \
    0x730ec84aU,     0x4955e90bU,     0x5d7c5036U,     0x724b1305U, \
    0x3a4a34bcU,     0xef3cca3eU,     0x1dbc15f9U,     0x286ea908U, \
    0x30834ff1U,     0xc20d9d68U,     0x34b4f444U,     0xaa66e118U, \
    0x0031e01bU,     0xcf014a6dU,     0x206c27ecU,     0x73dfac34U, \
    0x7d92bac4U,     0xb2c8c655U,     0xf629a3b9U,     0xf9aa856aU, \
    0x840cf1e9U,     0x5c98eb52U,     0x0410ba54U,     0x177f9156U, \
    0x756d4c90U,     0x3d09f2cfU,     0x20b83360U,     0x698037adU, \
    0x50b950c7U,     0xe6a8b66bU,     0x898ca87eU,     0x0039b6beU, \
    0x73281a3eU,     0xfeaf1c37U,     0xbd9232a3U,     0xfbb3a8f5U, \
    0x464a2733U,     0x64079ca6U,     0x15353948U,     0x5eefdd47U, \
    0xa021a041U,     0xe39e27caU,     0xe01257bdU,     0x86633eb1U, \
    0x3d628af1U,     0xd9f76302U,     0xd315c46dU,     0xb480083cU, \
    0x348d958fU,     0xd0d8d149U,     0xdd1c3c63U,     0x7d5babb0U, \
    0x8ae151fcU,     0x9f1e5a5dU,     0x2b727468U,     0xe97d34e1U, \
    0x2c3d6c6eU,     0xac7505b5U,     0xaa7e3c36U,     0x2fe77443U, \
    0xda110f4dU,     0xfa408ba6U,     0x873c8311U,     0xdf92ae08U, \
    0x6f83ba70U,     0xe5152281U,     0x52ac9a74U,     0x96453907U, \
    0xbd4767b4U,     0x72847570U,     0x4b168cdbU,     0x5513fdf4U, \
    0xc1e4f75aU,     0xaf1604cfU,     0xd2fcbcdbU,     0xfa6f9c68U, \
    0x14f08c47U,     0xfedaae98U,     0x916abd76U,     0x4c0345d3U, \
    0xeceadb4fU,     0x75d79725U,     0xc39d924fU,     0x55db0e23U, \
    0x025cdc64U,     0xa52d287aU,     0xe29940f0U,     0x6551b37dU, \
    0xd27ff2b5U,     0xd8dd41afU,     0x9390c4b2U,     0x9ebc713cU, \
    0x153cffecU,     0xd36ceaeaU,     0xe114b6beU,     0x24d0b730U, \
    0x5befe106U,     0x5302d6c7U,     0x715ec070U,     0x249f74acU, \
    0x30476a58U,     0xcfa50612U,     0xcf88b40cU,     0xc40b6414U, \
    0x36170ff2U,     0x2e39038aU,     0xa0147300U,     0x2f53856bU, \
    0x6270c154U,     0x8206b113U,     0x2d31ffe5U,     0x7479a3d2U, \
    0x80a27f35U,     0x3b34efc3U,     0x028ca500U,     0xe94b0961U, \
    0x3299f799U,     0xf5780b48U,     0x5008f59eU,     0x66dd20e3U, \
    0x2b3fae73U,     0x9143f495U,     0xc4332b87U,     0x53ec8294U, \
    0x5225385fU,     0x4a8157ffU,     0xe77a2955U,     0x739f59a6U, \
    0x6da9d787U,     0x4147205bU,     0x4486513bU,     0x932b5471U, \
    0x382296b3U,     0x76f848f6U,     0x7ac8aaefU,     0x97b1f952U, \
    0x11fabe70U,     0x16e50320U,     0x03f5fe8eU,     0xf6cffcb8U, \
    0xbdd164d8U,     0x10292e69U,     0x0e792adeU,     0x3620b4efU, \
    0xba1e254bU,     0x72b27cb9U,     0xfb700892U,     0x767ea64eU, \
    0x34a89421U,     0x6e7c6a3aU,     0x17de1892U,     0x3e2c6801U, \
    0xe13cdfadU,     0x5b175397U,     0x0f777a59U,     0x8343eeb9U, \
    0xadea6f74U,     0xabc558a0U,     0xed17131eU,     0xe423643aU, \
    0x00166a25U,     0x9cd90e0fU,     0x97c89d8bU,     0x1e6d6c1dU, \
    0xb71709acU,     0x44847105U,     0x07409941U,     0x25a6d3e1U, \
    0x3f3e4feeU,     0x1d90c05aU,     0x6c10f2acU,     0x56b0c343U, \
    0xacc4ce4fU,     0x92023edaU,     0x1c17217eU,     0x2e572118U, \
    0x04307c66U,     0x198a8211U,     0xd42f9c78U,     0xf527507bU, \
    0x4353711fU,     0xd10e7d7cU,     0x2002044fU,     0xc4e2d64cU, \
    0x0cdba43eU,     0xae685ab5U,     0xf0bc4dd4U,     0x0cfd85aeU, \
    0x4bd35e0cU,     0xb8b1f044U,     0xbc7f000dU,     0x276f3da2U, \
    0x383897e2U,     0x5e6272a6U,     0x0ef55706U,     0x69bcfba8U, \
    0xb09f9044U,     0x6bff749dU,     0xb3ff0cd7U,     0x39a584efU, \
    0x0b2184c4U,     0xf1802545U,     0xe0654013U,     0xc2751ad8U, \
    0xca0c6dd0U,     0x0edc4ca4U,     0xdc96df40U,     0xd6ca6429U, \
    0x07e41b7eU,     0x4282d271U,     0xf35d78cfU,     0x85da7663U, \
    0x31a3b434U,     0xc14ffc82U,     0x054db6bdU,     0x313d0b6fU, \
    0xdd7daf31U,     0x255b1bdaU,     0x3290b697U,     0x2c8e10ecU, \
    0x085d8016U,     0x2d0752a0U,     0x29ec8742U,     0xffad143fU, \
    0x29e4331cU,     0x7e8105f5U,     0x413dc8d3U,     0xecf1d347U, \
    0x41a52a70U,     0xcd12d8b9U,     0xd2ec75f5U,     0x5afdf522U, \
    0xceb41072U,     0x2989616dU,     0xd0fc8885U,     0x77362badU, \
    0xee67c9e1U,     0xa8f2f1d1U,     0x62fa56f8U,     0x3505a80aU, \
    0x534d3a77U,     0x8c876a8aU,     0x26f20e33U,     0x102becf9U, \
    0x035955e5U,     0x267c0ebeU,     0xcf3e42efU,     0xf2e7c8f8U, \
    0xe930320aU,     0xfe24e0eaU,     0xe6a84948U,     0xc2591ba1U, \
    0x207f84efU,     0xf743513bU,     0x36e2edc1U,     0x374ce69aU, \
    0xb8b5a59aU,     0xa70314edU,     0x0592f149U,     0xe85496c2U, \
    0x2befc3e5U,     0xdb9bac2fU,     0xdd08eb86U,     0x31db23cdU, \
    0x87787045U,     0xc4d79018U,     0x26cb4c07U,     0x542c76cbU, \
    0x4f0c3f4cU,     0x9804315bU,     0x519a4be6U,     0xbb897a50U, \
    0xaf26675dU,     0xe2772ed8U,     0x85a0637cU,     0x0b8e2d2dU, \
    0x62f0f125U,     0x54bd9b75U,     0x770ea9a0U,     0xa303ed61U, \
    0xa33e8fc1U,     0x6b71b929U,     0x928484feU,     0x11149965U, \
    0x8768d068U,     0xde455e44U,     0x75f8bab3U,     0x89768f58U, \
    0xeac2a404U,     0x683a9f23U,     0x895d6aedU,     0x373120bcU, \
    0x2c0d4970U,     0x2442e501U,     0x208b5953U,     0x2269b717U, \
    0x7636d369U,     0x67575fc5U,     0x407ac1dbU,     0xd4d41952U, \
    0xefefef8eU,     0x27c00e56U,     0x986fec89U,     0x7289eaf6U, \
    0x0c5681f2U,     0xbb2152eeU,     0xefdc6166U,     0x1ce64df8U, \
    0x8130be92U,     0xf3bb420eU,     0x3bb469b8U,     0x71976ba6U, \
    0xaa40a536U,     0xccf4d079U,     0xdf76af10U,     0xa3700cb2U, \
    0x1aba4191U,     0x67a9ce75U,     0x3752011bU,     0xa1514ec1U, \
    0x6265f098U,     0x767a386dU,     0x453a6816U,     0x1e48e905U, \
    0x3535838eU,     0x4eea1710U,     0x6d1f6f25U,     0x6ebc1018U, \
    0xd904f936U,     0x7c5c924eU,     0x7d8c7653U,     0xa24073e0U, \
    0x43e0825dU,     0xe7fc0172U,     0xfcef3a35U,     0x98c9fdb7U, \
    0x9716b20dU,     0xe462b699U,     0x939bb0e4U,     0x2d2536ebU, \
    0x0fe19e61U,     0xc78a51ccU,     0x452ffcbdU,     0xf1fb84b1U, \
    0x0d650fb1U,     0xb214bacdU,     0x625c8c7fU,     0xf4851643U, \
    0xcbec6c62U,     0x112882cbU,     0x3089fba9U,     0x1d9a4a73U, \
    0x644922edU,     0x9fd5d6afU,     0x1ea5068fU,     0x30c1a97eU, \
    0xf6bc8961U,     0xdae523deU,     0xe9fa16f9U,     0x4c24eb76U, \
    0xaea19886U,     0x58492c39U,     0x62f2fdfeU,     0xa7f8b67dU, \
    0xf196fc6eU,     0xd73d9f5bU,     0x5870166cU,     0x95aeaad9U, \
    0x24c03b70U,     0xd4bef497U,     0x1bd55d3eU,     0x9fb24316U, \
    0xf9912090U,     0xbe1e45dcU,     0x252027e0U,     0x89252386U, \
    0x5260c379U,     0xb24086deU,     0x36618176U,     0xac294bf7U, \
    0x0cf48499U,     0x20efd71eU,     0x80efc212U,     0xda239304U, \
    0xb8cb8f29U,     0x71b7d87fU,     0xbdb1e461U,     0xc87b15ecU, \
    0x04e6f3caU,     0x6d0bf5f5U,     0x9d64d5afU,     0x91cb8a35U, \
    0x947d5748U,     0x41071cd0U,     0x5b800743U,     0x03a8b4c0U, \
    0xd4102207U,     0xc7087c5fU,     0x3bdf88afU,     0x2362dba5U, \
    0xd3d982e1U,     0x7845bfbeU,     0x82c3ba38U,     0xd5775c24U, \
    0x31c5e5beU,     0xa01b53bcU,     0x20a0f97bU,     0x861402d5U, \
    0x4a347429U,     0x040741bbU,     0x7e63fee2U,     0x222e338eU, \
    0x9c194e70U,     0xdd026657U,     0x00af0f36U,     0xba701470U, \
    0x6b135be9U,     0x5e035d5cU,     0x80c858a0U,     0x39ec066dU, \
    0xc3f7d611U,     0x42f1062aU,     0xd7de3a4bU,     0xf4ac8731U, \
    0xc60bc690U,     0x03b3c677U,     0x9e9a276dU,     0x70d729ffU, \
    0x734c66cbU,     0x006f8410U,     0xf3d481e0U,     0xee47a3f6U, \
    0x82020c78U,     0xcf8fed4cU,     0xfc2604ecU,     0x527d8e83U, \
    0x664813c6U,     0x12ae1b63U,     0x94dc342dU,     0x56486866U, \
    0xdd87243cU,     0x7cbf66f9U,     0x09e005faU,     0x52865bafU, \
    0xa469e7baU,     0xfd582678U,     0xeb3fc5adU,     0xc491ad42U, \
    0x176633f4U,     0x214000c8U,     0xca8402bbU,     0xcefc4e74U, \
    0xe9de23f0U,     0x1b593a8aU,     0x0e8467ddU,     0x807e5758U, \
    0x4269aa1dU,     0xc796d51fU,     0xd42d58f2U,     0x454a1cdbU, \
    0x15ef6c30U,     0x30708dc2U,     0x21e8f7f2U,     0x54823c6bU, \
    0xab1ebdb2U,     0x33bda7a4U,     0x25361efaU,     0x400eeac4U, \
    0x8da1271fU,     0x6c3e2accU,     0x9899437aU,     0x8b47070aU, \
    0x0c86b5c6U,     0x4ead076fU,     0xc206dab9U,     0xee0a4438U, \
    0xd3800e7dU,     0x1d12e29fU,     0x5567f14bU,     0x29513381U, \
    0x894453c8U,     0xe33edf8aU,     0x9474bb8dU,     0x6852a784U, \
    0xfe02c4d0U,     0x55377fb8U,     0xb5f58abcU,     0x28b5ba02U, \
    0x83bd3c23U,     0xf1a0225fU,     0x2097dbffU,     0xd6a40d78U, \
    0xd2745034U,     0xa00b2dc9U,     0xf5821ef4U,     0x37a6a1cbU, \
    0x173f1999U,     0x7364f369U,     0x122a4290U,     0xc9424536U, \
    0x1db56bc6U,     0x57f2ebe8U,     0xe0a9fa50U,     0x8447e394U, \
    0xee4959e9U,     0x51794311U,     0xc6e88b35U,     0xbbd5ac26U, \
    0x75b0472eU,     0x15ebedf9U,     0xed12a334U,     0x69b1ff91U, \
    0xa658ef6bU,     0x6f97a72aU,     0xbdb58867U,     0xd9ad7bfeU, \
    0xfe1ca833U,     0x6ad526beU,     0x7e90c37cU,     0x7efa74d2U, \
    0x3872f917U,     0xce57aed0U,     0xf01de679U,     0x1d417c7dU, \
    0x12d3f4c4U,     0x99014affU,     0xad95e2e7U,     0x1ad81140U, \
    0x3f19db85U,     0x32e3cb7fU,     0xf57dbb29U,     0x72795891U, \
    0x7e05c2daU,     0x186951b8U,     0x4b4e091dU,     0xfc043c95U, \
    0x54da826dU,     0x79731ca5U,     0x0d6b7aa4U,     0x9f9de3e9U, \
    0x35d1e749U,     0xfe32aaa2U,     0xbd4b0c39U,     0x3e44465dU, \
    0x78e4ee9dU,     0xc13292a8U,     0x98410fa7U,     0xe50c6f13U, \
    0xf6b2cdbbU,     0x0fd91377U,     0xc6efd587U,     0x971fb6fcU, \
    0x5a44c6ffU,     0x96900e4cU,     0x8a3dfcd9U,     0xe5f65f85U, \
    0x41c169ccU,     0x5f287e81U,     0x1a94203eU,     0x687fe088U, \
    0x32fc1cb2U,     0xc6b217e0U,     0xc466782dU,     0xffb3b060U, \
    0x8de71e2fU,     0x5f5e036bU,     0xbfbc9adcU,     0xe226665aU, \
    0x18f81120U,     0x5ba7fcbfU,     0xd4172b70U,     0xea475ee7U, \
    0x01ef2d81U,     0x76475f82U,     0x7d766bceU,     0xbd690ac8U, \
    0x55f838d1U,     0x1fef28a7U,     0x5f5b1f51U,     0x4590a84bU, \
    0x94034717U,     0x8f2b6216U,     0x74429468U,     0x43b23ac0U, \
    0xf7d5cbffU,     0x15741582U,     0x7f3d5d5dU,     0x839ccdadU, \
    0x7f9da7d7U,     0xda20ba1fU,     0x8199190dU,     0xe74db014U, \
    0x434f0ed1U,     0xab383494U,     0x773e0d42U,     0x90301bd9U, \
    0x8e0733e6U,     0x6bae1628U,     0xe3d05cf6U,     0xdaa3003aU, \
    0xea4b3307U,     0x1ee1c624U,     0xcbfbad50U,     0x7d0e252fU, \
    0x64e36247U,     0xfa458043U,     0x9dcca44fU,     0xf20bb3bbU, \
    0x1fc3acc5U,     0x8605ba8eU,     0x4bb8ce4aU,     0xe63e6f98U, \
    0x67a683e6U,     0x4efa2d45U,     0x7a267ab6U,     0xd98da56eU, \
    0xe5ce622fU,     0x1a2a03aaU,     0x3422be14U,     0xad748ddeU, \
    0xfcc657b9U,     0x1bc08115U,     0x65cb7ea4U,     0xa3373440U, \
    0x77042da2U,     0x0b0e4f25U,     0xe3789297U,     0x95c2f2f9U, \
    0xe63690bcU,     0xe9cf5811U,     0x805014d7U,     0x6458ffb9U, \
    0x73ff40b5U,     0xbdb769e2U,     0xc4fbf4f1U,     0xfb74e0deU, \
    0xd2c8f97aU,     0x7a865cbbU,     0xcd5f0e6aU,     0xb3ebfc6cU, \
    0xe62c18b7U,     0xf9b7dc5cU,     0xd18e8608U,     0x9d5c6692U, \
    0x31c0a409U,     0x4acc3695U,     0xa2cb14d1U,     0x96b25256U, \
    0xd8aa26feU,     0xea495da5U,     0xfed4adb1U,     0x789c361cU, \
    0x10f5a737U,     0x758a57d5U,     0x912af6eeU,     0xf215b300U, \
    0xf60222d3U,     0xff3f8c3bU,     0x807911ebU,     0x8a9f4a44U, \
    0x7739b01aU,     0x94582da5U,     0x6b413570U,     0x8de7aa3eU, \
    0x940ffe60U,     0x3aea14d2U,     0xad1e3570U,     0x2216bccaU, \
    0xb5e76542U,     0x5e650f4fU,     0xa6fedd12U,     0xb76a6eccU, \
    0x15939afeU,     0xe31b3906U,     0xe5a5b0baU,     0x7818e096U, \
    0x876c8ddaU,     0x01b146efU,     0x6aa73d33U,     0x8dc359e9U, \
    0xe8c05eb0U,     0xd38b9d4aU,     0x592d6ddaU,     0xc2e3e59aU, \
    0x211e2b08U,     0x5b3c4ac1U,     0x0c66dd8eU,     0x7dc9ab66U, \
    0xadc55f81U,     0x94c71c32U,     0xcc3ffd30U,     0x8130e481U, \
    0x7b4eb9f6U,     0xcf598a8dU,     0x31e2c3e2U,     0xedb1fd81U, \
    0xf7d0a0dcU,     0x19b84ed6U,     0x8460c11bU,     0x854028eaU, \
    0x57cc1189U,     0xc1935f33U,     0xa0148c7dU,     0x3ee41d14U, \
    0xf0ac9008U,     0x868d8f64U,     0x1d0db55dU,     0x88681a72U, \
    0x2792ae5dU,     0xc1913172U,     0x700c55c5U,     0xd15e5e36U, \
    0xde6be0b2U,     0xfc000f16U,     0xabb6295bU,     0x1459b80aU, \
    0x6b48096aU,     0x8a5ca345U,     0x21c37ddeU,     0xd4b58375U, \
    0x4195806fU,     0x3bd32c94U,     0x3ff5eaeeU,     0x660294fdU, \
    0x5703dd2bU,     0x3b4b5142U,     0xb6aba501U,     0xee0fcb97U, \
    0xfe0238d5U,     0xf526078eU,     0x195acad3U,     0x83a99178U, \
    0xaafb84f3U,     0x20f2e2baU,     0x7fb36b59U,     0x7d6542c1U, \
    0x282ebfe5U,     0x5da63c4cU,     0xda45ec1dU,     0x81d51440U, \
    0x40baca26U,     0xef8cdcb0U,     0xcb305dc1U,     0x80f11c8cU, \
    0xd98089a0U,     0xc2341019U,     0xdad14284U,     0xdebac1c2U, \
    0xb2553284U,     0xfdd96ca4U,     0xbe539b37U,     0x068d3f0dU, \
    0x9bd14509U,     0xc7c1559fU,     0xa2f3e88cU,     0x4b21cbd7U, \
    0x4b5d1b51U,     0xf70c80e4U,     0xe67f3dffU,     0x26ef25e7U, \
    0xa8ecafe6U,     0xe06e1cf3U,     0x12725285U,     0xf7238d35U, \
    0x20e7b14bU,     0x4749fc42U,     0xa396cc4fU,     0x84581f1dU, \
    0xe9f83014U,     0x96bfc9bcU,     0x4695d182U,     0x3fe84788U, \
    0x6ccfaf06U,     0x13e0511aU,     0xfc195440U,     0xbc0140a0U, \
    0x745956bdU,     0xc8da0c8bU,     0x14c88613U,     0xa7f2e0feU, \
    0x77008318U,     0xda492647U,     0xc10bbfa8U,     0x10491f98U, \
    0x9f6a495cU,     0x80578353U,     0xbd3556f0U,     0xce8a9f46U, \
    0x3c704c6eU,     0x24023c6bU,     0x33ad174cU,     0xe3f4db2fU, \
    0x0db94ccfU,     0x8997b038U,     0xeb6e9966U,     0x178bdb70U, \
    0xa296daa7U,     0xa159d92fU,     0x040604fbU,     0x07f02547U, \
    0xecff5824U,     0x871aaddeU,     0x74bd407dU,     0x37146068U, \
    0xd23aec5aU,     0x95fece7bU,     0x99ec050bU,     0xbb448e17U, \
    0xeb43cb33U,     0xc26430c5U,     0x063a512bU,     0xd5b1540dU, \
    0xbf966311U,     0x7c66f479U,     0x9d33e291U,     0xfbb0e771U, \
    0xb5a8c274U,     0x4649460bU,     0x96019d7bU,     0x355130f4U, \
    0x0baffe32U,     0x8bff7a1cU,     0xf66596b5U,     0x07c82bffU, \
    0x2a4f99deU,     0xe85382e2U,     0xcc01bae5U,     0x201f8d6eU, \
    0x0727eacbU,     0x49e5578aU,     0x1de63672U,     0xec719b59U, \
    0x83c2d668U,     0x0988b05dU,     0x7d5a27feU,     0x322442e9U, \
    0x11117dddU,     0x5b9dd67bU,     0x807ee05eU,     0xb39c8370U, \
    0x402da684U,     0xbdde1c6bU,     0x1fa4a50bU,     0x21a72aacU, \
    0xd6983171U,     0xd1cabcbdU,     0x23aefbabU,     0x4094a1cbU, \
    0xac3115b1U,     0xf8e03e59U,     0x4f529046U,     0x5f6291f6U, \
    0xc1bd837aU,     0x1f759073U,     0xd8749612U,     0x6c68fd19U, \
    0x7b4ae615U,     0x09f1a02bU,     0xaf486921U,     0xbb964043U, \
    0xf3e592ecU,     0x296cb1bbU,     0xbe03f432U,     0x75880223U, \
    0x3f313c56U,     0xbbc9598bU,     0xd60b8c3bU,     0xecb9458aU, \
    0x861b421cU,     0x34f389ceU,     0x505fdb5fU,     0x8f19b39eU, \
    0x3b96e6f0U,     0x445fdf4bU,     0xd7ef0740U,     0xcfcdaa93U, \
    0x780c5326U,     0x771fa5aaU,     0x8f857a1bU,     0xe683c6c3U, \
    0x308cf2bdU,     0x9952187fU,     0x6802ee7aU,     0x7d456c59U, \
    0xa62ec01dU,     0x484aced4U,     0x6108f7d9U,     0xfe09ad65U, \
    0xee62f0fcU,     0x1aa41ad2U,     0x89637257U,     0x10f2fcecU, \
    0x5a1a3c9bU,     0x76b0c870U,     0x012ba792U,     0xba24e136U, \
    0x05f4f752U,     0x5ea8470aU,     0x54d8b402U,     0x10aeeebfU, \
    0x5c0dcbc6U,     0x0334600aU,     0x6bb5bcc6U,     0xc38189b2U, \
    0x6055e93bU,     0x4edbccf4U,     0x63725345U,     0x7a2e6958U, \
    0x49c3707aU,     0x06182e8dU,     0x9756f3b5U,     0xf09ffe64U, \
    0x8d6d0a57U,     0x29d489efU,     0x3a266a4fU,     0x79c5224fU, \
    0x58fb7159U,     0xe142f088U,     0xfdf23f32U,     0x676b2fb2U, \
    0x28ba07d6U,     0x102c8ad6U,     0x8f6489c8U,     0xffac4090U, \
    0xa9988016U,     0x156943b6U,     0x6480ad00U,     0x5d19e540U, \
    0x964dc2f8U,     0x100fb32eU,     0x1279f480U,     0x557f7f7eU, \
    0xa2e9ef57U,     0x5fe44f0bU,     0x5f8bd58bU,     0xda78465dU, \
    0x3fb256ddU,     0xfc87c3b2U,     0x510d32f6U,     0x09442837U, \
    0x84fcf3dcU,     0x4ce584e5U,     0x6eeab478U,     0xe33da095U, \
    0x205924b0U,     0x90a182f5U,     0xa2d298d6U,     0x5c9322c4U, \
    0x8a1f4443U,     0x1a6a23b4U,     0x11f4d2c0U,     0x34c2c4b4U, \
    0x834a979aU,     0x25bc9e97U,     0x2734c7dfU,     0x560bf02eU, \
    0xe138185fU,     0xdcaff27cU,     0x1886cc81U,     0xdd41e803U, \
    0x21d65f98U,     0xee23b69fU,     0xaad642e0U,     0x49c2f183U, \
    0x8f1b50b4U,     0xeb725f77U,     0xc0c95d3cU,     0xca312b8eU, \
    0x6660c49fU,     0x309be452U,     0x0cf2b9a2U,     0x979b2fb8U, \
    0x0f73ef42U,     0x4afe6df8U,     0x33eea717U,     0xac94bad6U, \
    0x8ad160d6U,     0x52ff9929U,     0x1edf1076U,     0x26e7107fU, \
    0x172c82f5U,     0x13a2018bU,     0x75e1ca6bU,     0xa4b02ce7U, \
    0x1f7d933dU,     0x7e281b9fU,     0xc64728d3U,     0xb0d1335fU, \
    0x5f6c5560U,     0x0bcdc826U,     0x9417f653U,     0x7d085d95U, \
    0x6f41b40cU,     0x1e2d4174U,     0x6e51c687U,     0x418727e2U, \
    0xa2f20c51U,     0x3bc9c68fU,     0x14f87eb9U,     0x728a37cfU, \
    0xc3d817c0U,     0x57040be2U,     0x5c85ea86U,     0x5a64339eU, \
    0xf75ad8cfU,     0xbc17873aU,     0x64f37a55U,     0xd3fd5638U, \
    0x5d5650c5U,     0x76d33e0bU,     0x6f38cbc8U,     0x38a59af1U, \
    0x861f3cb2U,     0x44011709U,     0x05be12adU,     0x01bfdc63U, \
    0x1d8756e5U,     0x11c08dc3U,     0x0988fc88U,     0x805a51c2U, \
    0x3f753502U,     0x3b8ac03bU,     0x7f014859U,     0x9b2a7466U, \
    0xfa0af515U,     0x0dabd7d6U,     0x25bbb0c3U,     0x054ae219U, \
    0xb946bd71U,     0x5962fd5eU,     0xd6e68745U,     0x493c86baU, \
    0x8af23354U,     0x04594ef9U,     0xd9cbd8d7U,     0xae806665U, \
    0xf47cae1dU,     0x3faf8208U,     0x4cdd72fcU,     0xe8bf76bbU, \
    0x05401b39U,     0x4b20e3cbU,     0x6b10844dU,     0x252d35eaU, \
    0x0a6103a9U,     0x19a43db6U,     0x69a5e36dU,     0x4442689eU, \
    0x9ee906adU,     0xfb41bb21U,     0xfb6d491fU,     0xee708b1fU, \
    0x7e8153afU,     0xd9b713fdU,     0xbf2a759aU,     0xfb739d4dU, \
    0x2530640eU,     0xc39627eaU,     0x8dba9973U,     0xe232ba0eU, \
    0x262d7ad8U,     0x53e457efU,     0x5f7cbaeeU,     0x4967115dU, \
    0xcb49e724U,     0xb23b6082U,     0x267f531cU,     0x49a76cd0U, \
    0xc2c37b24U,     0xe43d7a3cU,     0x5b2ca97bU,     0x5e49e572U, \
    0xcab4a4fdU,     0xae8c9ad3U,     0xd2a175cbU,     0xc686af94U, \
    0x20a23b9cU,     0xd6865752U,     0xb6bc86deU,     0x31796a77U, \
    0xd351c207U,     0x6c5dfa59U,     0xe3a08e99U,     0x55fa86aaU, \
    0x0f304855U,     0x0842d2c8U,     0x20899131U,     0x5a13bad6U, \
    0x9711d916U,     0x19dc6e98U,     0x7bdc60b8U,     0x74989761U, \
    0x95722a00U,     0x0d05904dU,     0x48bd43dcU,     0x468c923aU, \
    0x9be0b91bU,     0xa21ad910U,     0x7084ac4dU,     0x7ef416c0U, \
    0x3bc46aebU,     0x0b2c5f6aU,     0x679343fdU,     0x6a0cd12fU, \
    0x99c707fbU,     0x55749f18U,     0xae2280f4U,     0x826b532cU, \
    0x707c7946U,     0x1a7ede82U,     0xa4cb73fbU,     0x87a5879cU, \
    0x0910aa91U,     0x37b3ab07U,     0x47257c92U,     0x58be7096U, \
    0x5bd36059U,     0x9f2525e5U,     0xd999429cU,     0x0a732ffcU, \
    0x8897f4c4U,     0x254a5a12U,     0x8092c270U,     0xbce1d7f6U, \
    0xfc950153U,     0xa1c48071U,     0xbc79889dU,     0x6480cd58U, \
    0x95cb2949U,     0x09642ae6U,     0xaa074026U,     0x5d52027bU, \
    0x7c495aecU,     0xc9202f6aU,     0x9039eaa7U,     0x97c891afU, \
    0x2b898159U,     0xaf07431aU,     0xf9a4abdbU,     0x13305fa2U, \
    0x48f64e4bU,     0xf680df50U,     0x92dc8506U,     0xce8dab4fU, \
    0x9dc00838U,     0x5e9704edU,     0x66850ac1U,     0x468155a4U, \
    0x919d2147U,     0x0522a5abU,     0xcbb4e439U,     0x99ca0c3fU, \
    0x0e725388U,     0xc1810691U,     0x877cf08aU,     0x2c295e4bU, \
    0x65e9b966U,     0xce8ffa47U,     0x8b3ca6e6U,     0x77b04624U, \
    0x55027c1cU,     0x4c27bee5U,     0x6c82f4f8U,     0xe60a5e2eU, \
    0x9dd3d430U,     0x33977e92U,     0x59e5c347U,     0x7c520162U, \
    0xc337f70dU,     0xd90fa3b8U,     0x4e9b20cdU,     0x0d21c36cU, \
    0xfaf2c7c9U,     0x67445f33U,     0xd82bd7fcU,     0x1ebdc760U, \
    0x5805b214U,     0xc70719b7U,     0x55e79e6bU,     0xc4bc8d06U, \
    0x2d082d19U,     0x729d8f44U,     0x904c542dU,     0xb3784e00U, \
    0x0d295409U,     0x1107540aU,     0x4395ebabU,     0x3b5ed8a9U, \
    0x0e21b4eaU,     0x0fecde67U,     0x0c8b14c9U,     0x205718f5U, \
    0xa06781feU,     0x6a40b0d9U,     0x77da74f7U,     0x1f1ea891U, \
    0x0e5d466eU,     0x13f8f737U,     0x3c6848d6U,     0xd4436637U, \
    0xa01bf722U,     0x7a54c273U,     0x6babec86U,     0x10f2dea7U, \
    0xbabd702bU,     0xcde390b9U,     0x09d99cdbU,     0xbc1061b4U, \
    0x75c6404dU,     0xb71f0bf6U,     0x6805f215U,     0x3105728eU, \
    0x657677cdU,     0x8d2dba89U,     0x46934329U,     0x96683d6cU, \
    0xd2e06059U,     0x9fd7266dU,     0xc9016f24U,     0xf3170ea4U, \
    0x7d3659abU,     0x29f5c826U,     0x89c4b4feU,     0xc2ebd751U, \
    0xaa27f136U,     0xcd856314U,     0x24dc5350U,     0x41e7162fU, \
    0x70974a3fU,     0x26f8be0dU,     0x4ddbcd7bU,     0xd3c267daU, \
    0x56d917c5U,     0x90a7ca13U,     0x71459cdfU,     0x48860d59U, \
    0x72d9eed8U,     0xcb2e3f0fU,     0x11d77ac4U,     0xd01472aaU, \
    0x5ff40b9aU,     0x2d8edc6bU,     0x145de816U,     0xb90cea2dU, \
    0x3929b5e5U,     0x83ccb946U,     0x344f6dfeU,     0xa4942368U, \
    0x99b2eab8U,     0xdd259de1U,     0x57d4545dU,     0xf407f730U, \
    0xf53624c6U,     0x32ce4837U,     0x44f612d5U,     0x5510f829U, \
    0x0877e374U,     0x83a6967dU,     0x5ff9e9d8U,     0x87be0fdbU, \
    0xbe8efa8cU,     0x7b96a72cU,     0x43eb5c52U,     0x1b3ac3c0U, \
    0x192175c9U,     0x84a8d107U,     0xe9cbeae6U,     0xe6d6b120U, \
    0x54c5213eU,     0xd3586ba1U,     0x41993a3eU,     0x34ee3e00U, \
    0x1d091689U,     0x9f1e07ceU,     0x0abe5e0cU,     0x7eea907cU, \
    0x6acaf25bU,     0xadf36d51U,     0xaedfe9fdU,     0x634240f7U, \
    0xf7d91bfaU,     0xaa11b6dcU,     0x4c4c9bd5U,     0xb3ead8f2U, \
    0x96d5b7b9U,     0x853f68b9U,     0x6226c635U,     0xbb114dd8U, \
    0x61dd24a9U,     0xd22a76e6U,     0xbd893ac2U,     0x3903972fU, \
    0xedcd761cU,     0x3e11476eU,     0xae57fdd9U,     0x4e25ffb1U, \
    0x9499c279U,     0x97bc0476U,     0x466be309U,     0xfca5daedU, \
    0x51a2e070U,     0xf1536218U,     0x6242dc79U,     0x83deaf4cU, \
    0x0747eabfU,     0xcb985c3cU,     0xbd978d42U,     0x05ab9fc1U, \
    0xeab3b54aU,     0x1ca1b1eaU,     0xab91072cU,     0x91d4b331U, \
    0x33162175U,     0x4b51eea0U,     0x892f4c8cU,     0x9a8e0dceU, \
    0x6b72a1f0U,     0xe422b65fU,     0xc5d8bd1dU,     0xfc138ab1U, \
    0xa9184c55U,     0x790921b8U,     0x677be606U,     0x15d49bcbU, \
    0xda547ce2U,     0x51c1a3baU,     0xf96b0590U,     0xdb0e84d7U, \
    0x6935f895U,     0x0de75900U,     0x7a96e914U,     0xbdd864ecU, \
    0x69574201U,     0x6118ffc9U,     0x0a89aa3dU,     0x2e9d40e8U, \
    0x36725785U,     0xc4cd62e7U,     0x86d12d7aU,     0xb323614fU, \
    0x3a0b15baU,     0x7d0789afU,     0xd6108e0cU,     0x3e4d213dU, \
    0xb78a9addU,     0x50a5f176U,     0x1a198355U,     0x3a5f1c15U, \
    0xed68b939U,     0xf00593d4U,     0xa313ee67U,     0x715283aeU, \
    0x24eebdc8U,     0x178e221fU,     0xde5887dbU,     0x17a6142cU, \
    0xe77469e5U,     0x089daca5U,     0xef3bf1ceU,     0x7e420f68U, \
    0x7e19f5b6U,     0x6ba61bbeU,     0x97545ba1U,     0x97d008d7U, \
    0x111b718dU,     0x6874e788U,     0xe7a781beU,     0x507cd7b8U, \
    0x53bb70c7U,     0x2bb32928U,     0xe0465269U,     0xda78ad5eU, \
    0xb2d2543fU,     0x0b89d17dU,     0x31560bfaU,     0x72451691U, \
    0xe7e21e35U,     0x13001e43U,     0x29c9aee7U,     0xdfa8873fU, \
    0x9175505dU,     0x82f1e84bU,     0xaad2d0fcU,     0xa7bce7c8U, \
    0x2280e53aU,     0xa5d346e1U,     0x4db2d7e9U,     0xfa0656f8U, \
    0x56cc2cb5U,     0x22422bb2U,     0x03ecc756U,     0x30686d94U, \
    0x6191d74aU,     0x382f1fc3U,     0x441634b4U,     0x6208d796U, \
    0xcef1b571U,     0x07d76b2bU,     0x7e1e682bU,     0xf9695575U, \
    0xc20c9d59U,     0x36ebe6f5U,     0x525891a5U,     0x8b157278U, \
    0x41ce06beU,     0x96dd2620U,     0xdb2995aeU,     0x15484b46U, \
    0x0f90ca92U,     0x201cfa2fU,     0x5a74e63cU,     0x91c2c581U, \
    0xec196558U,     0x8536ee8cU,     0x99389202U,     0x887de8afU, \
    0xd30b3be0U,     0x404d5edeU,     0x084f7561U,     0x7f45ffb1U, \
    0x1586cad8U,     0x91f9398aU,     0xf48c33e5U,     0xd41c891eU, \
    0x0ad2ec69U,     0xba485345U,     0x8f6b7a1bU,     0xb28a20d5U, \
    0xeb1fded0U,     0x3a8f145fU,     0x70261ee3U,     0x5b4ce0c5U, \
    0xf2b8921bU,     0x085f7ecaU,     0xc1333221U,     0xd0220d11U, \
    0xc0453c71U,     0x2ba6c650U,     0x67f59a32U,     0x2412fb1dU, \
    0xb21bf9f7U,     0x91df207aU,     0x4e37cc34U,     0xa5a74b4bU, \
    0x23cdac71U,     0x0965e306U,     0x7a2c4448U,     0x62809ecfU, \
    0x0c1cf2bfU,     0xae5bc2b2U,     0x049770f8U,     0xcc269798U, \
    0xb7d87637U,     0xe62c32baU,     0x5ef0df9bU,     0xcfbe2603U, \
    0xb91c15faU,     0xec8f82fdU,     0x712628e2U,     0x1ae0bc7eU, \
    0x2c8015eeU,     0x48df7c09U,     0xdf082f5bU,     0xc51d6319U, \
    0x2a60723cU,     0x7a127720U,     0x27951a65U,     0xfa8247fdU, \
    0x9675b02fU,     0x0ff0e9c5U,     0x5a3f254fU,     0xe04c8fb7U, \
    0x88060a2bU,     0xf459a1b5U,     0xdc291b71U,     0x30097387U, \
    0x4ad13f26U,     0x81426444U,     0xfa49d87dU,     0x8242d37fU, \
    0xe9032d45U,     0xe524f28bU,     0xe92ed6ceU,     0x275b4c73U, \
    0x9c0f7032U,     0x14b6fe33U,     0x5e98a5a0U,     0xb8cc5665U, \
    0x76f281aaU,     0xf929d026U,     0xcff5fb88U,     0x8cf9ecafU, \
    0x1de0220eU,     0x327916acU,     0x376f25b2U,     0xee4ed9aaU, \
    0xd4715375U,     0x58be69bfU,     0x2982ca5cU,     0x6e87333eU, \
    0xc2166895U,     0xd423caa8U,     0x7fcfa923U,     0xa903be64U, \
    0xc25afffaU,     0xef69e745U,     0x46cee9f5U,     0xc261f90eU, \
    0xb1c25e92U,     0x03381347U,     0x3b241bd8U,     0x25b42dc5U, \
    0x179ae9c6U,     0x98ad9ccaU,     0x2ca25511U,     0xaa1af548U, \
    0x36103f81U,     0x257e1569U,     0xdbc14355U,     0x8bed7ddeU, \
    0x3b9e7e1eU,     0x94bc42edU,     0xad3afa53U,     0x5709a22dU, \
    0x3ced64c9U,     0xae947460U,     0xde5086cfU,     0x111441c1U, \
    0x1cc3c0daU,     0xde42813fU,     0xdaf1d8aaU,     0xf2e9935fU, \
    0x6cd70c0dU,     0x085643ccU,     0x7627db11U,     0xd7ea3c38U, \
    0x7e0d0e86U,     0x17baf1dfU,     0x21e9e801U,     0xd341b530U, \
    0x3696d548U,     0x97f67fe3U,     0x7cf90341U,     0x56e77dd4U, \
    0xcd3eb1c6U,     0x623add54U,     0x071c6ffeU,     0x4dbe214bU, \
    0xfc0c9583U,     0x90e11eaaU,     0x73b7785eU,     0x5e39b66bU, \
    0xc8974152U,     0x930e4968U,     0x5dbc1b1fU,     0x852d521fU, \
    0xbeff1b82U,     0xc17d2f0eU,     0x53950312U,     0x4e7f00c9U, \
    0x67cd389eU,     0x47eaaec5U,     0x088c897dU,     0x20bb8858U, \
    0xed551fa4U,     0xb002a3b3U,     0xa4c03c6aU,     0xb76ab887U, \
    0xaf87fbd7U,     0xab66ec2fU,     0x6aa482ebU,     0x095cb72bU, \
    0xeeb386b6U,     0x933c0fb2U,     0x7e6f8552U,     0xbfa3f527U, \
    0x81cf1e14U,     0x99b165c1U,     0x257193fbU,     0x9276d7b7U, \
    0x141a80eeU,     0xeb9a69bcU,     0x84664dedU,     0x9207c7cdU, \
    0x2afcf21cU,     0x81a2bee0U,     0xd935fc77U,     0x8b22d322U, \
    0x7a8afa5aU,     0x1dcb436fU,     0x6d625de2U,     0xfef9eccaU, \
    0xd5981736U,     0xe9e99aa3U,     0x9da8bd6fU,     0xec17b8deU, \
    0xea245297U,     0x8e24a92aU,     0x1f44070dU,     0x033e1912U, \
    0x62515cfaU,     0x9efb77b7U,     0xec9275ceU,     0xd6b46ee3U, \
    0xd6017606U,     0xcd1b588bU,     0x9cf64bf0U,     0x16ccb75bU, \
    0x35ffd839U,     0x4cf15317U,     0x5d2d3287U,     0x0507f7a8U, \
    0x5e9457b1U,     0xc5d7c95bU,     0xbef1061aU,     0xfee919c2U, \
    0x07bd7cacU,     0x349400dbU,     0xfe9f2669U,     0xe1784143U, \
    0x4d1320b2U,     0xe0100e87U,     0x823dd3c8U,     0x7aa91a6aU, \
    0x680ebd7fU,     0xa5d26467U,     0xf1918b56U,     0x14924500U, \
    0x45f28b31U,     0x71fba0c5U,     0xa4546a86U,     0x26c7ebfeU, \
    0x770c82c4U,     0x2cbbea91U,     0xbf63f3afU,     0x78efbce7U, \
    0x2c077963U,     0xdf6cee5eU,     0x11ce4fecU,     0x21837ff3U, \
    0x2988f4f9U,     0x0f4d5091U,     0xc8e58c80U,     0x4b7b7cf7U, \
    0x969de75dU,     0x323e6e0fU,     0xb09e77ccU,     0xf201c595U, \
    0x3185d940U,     0x1c1ebf7bU,     0xf46b7d1aU,     0xf85a70c8U, \
    0x9bd9a77fU,     0xe21e1fecU,     0x43014b80U,     0x854c8d9cU, \
    0x36564bafU,     0xadbbb405U,     0x25f627f0U,     0x7bd6226dU, \
    0xd2e2a25aU,     0x4d07d851U,     0x50ea741eU,     0x3f1be62eU, \
    0x981687b6U,     0xfef673bbU,     0x2f153cb1U,     0xe11cecd5U, \
    0xf1391d5fU,     0xb870bab2U,     0x32d98298U,     0x1cd82937U, \
    0x20ed4ba0U,     0xd437234cU,     0x1ff0fe4aU,     0x563ee491U, \
    0xd9d1c982U,     0xfa3bea33U,     0x0d210317U,     0xd462c312U, \
    0xe6c14f49U,     0x009f5d11U,     0xf78dec49U,     0x434b0003U, \
    0x595066b3U,     0xeff4eb8cU,     0xbd6a633dU,     0x93a9a968U, \
    0xf5a4f6a7U,     0x983329d0U,     0x27f78821U,     0x2a93a57aU, \
    0x515f5154U,     0xd78cb853U,     0x725e1f8bU,     0xbaf45550U, \
    0x43ec3d0eU,     0x655464c5U,     0xc5a32769U,     0x2b6dba8fU, \
    0x222dd63dU,     0x50b560e1U,     0x50a4777dU,     0xee2aa0bbU, \
    0x0a5c11baU,     0x7d9e64ccU,     0x914e580bU,     0x0ce1a446U, \
    0x587350adU,     0x89f3a872U,     0x166eb46bU,     0xe54effa8U, \
    0xed012fc3U,     0x7c786bb2U,     0xb145fc84U,     0xb05e37e9U, \
    0x4b068df9U,     0x5421d5f2U,     0x2c04e479U,     0x71d3e3e5U, \
    0x3774bb53U,     0xd92960a4U,     0x31baee54U,     0x4d99ed8eU, \
    0x393e85d4U,     0x3ce4fc4dU,     0xbf6ab93eU,     0xf09cf2b2U, \
    0xb5084b67U,     0x40efd679U,     0xab34d519U,     0x8f2c5dacU, \
    0xd0a48f91U,     0x0d0b4082U,     0x8950a8b7U,     0xa27d0982U, \
    0x83972be9U,     0x20f2716eU,     0x19981ce0U,     0x3e294a99U, \
    0x45ea35e7U,     0x5cee0e79U,     0xa3a1571aU,     0x674d29cfU, \
    0x33f66f1eU,     0xa76ccf90U,     0x1285bfb9U,     0x92f79e6aU, \
    0xbd128415U,     0x16f9e896U,     0x1f09c8a2U,     0xb24ea97aU, \
    0x85a53571U,     0xb9fb7e33U,     0xe7cd1be0U,     0x831272d6U, \
    0x578405ecU,     0x425a7f17U,     0x2bf1af40U,     0x59e482f0U, \
    0xb6c22f02U,     0x4309b9e9U,     0xc36bcda4U,     0xb5a8f688U, \
    0xc234f248U,     0x66cbbb8cU,     0xb2814b6aU,     0x8684d6faU, \
    0x16bd1ac1U,     0x167d71b3U,     0x65c09412U,     0x08df436fU, \
    0x787ab30dU,     0x163195a6U,     0x1760a864U,     0x9d925efaU, \
    0xca819d74U,     0x5af3622bU,     0x203a8778U,     0xd8c6acfeU, \
    0x1e67f323U,     0xe9fc1533U,     0xd15c019aU,     0x9ccc871fU, \
    0xbf6ac29aU,     0x0bb9dffaU,     0x2a450977U,     0x84a31200U, \
    0x1649f57dU,     0xc87b2746U,     0xe5e87d93U,     0x031fcf7cU, \
    0xd39018a6U,     0x4e20ba8fU,     0x2f43e572U,     0x9d809c2fU, \
    0x556ce2f2U,     0x9a6e833dU,     0x097f0219U,     0xe37e6f64U, \
    0x6df88742U,     0x98c3a22bU,     0x33a7fd02U,     0x2ec37e70U, \
    0x62e22ae1U,     0xb350fa3cU,     0x8e9ba2e9U,     0x420625d3U, \
    0x3711f3b7U,     0xa08f1d66U,     0x7ef95f18U,     0xcc1c140eU, \
    0x3bda2f08U,     0xcc9ffe9fU,     0x46a11a7fU,     0x9a54c976U, \
    0xa38a710aU,     0x7220e200U,     0xf7df3c24U,     0xbf9234c1U, \
    0x0023d426U,     0xce254355U,     0x0ac668e9U,     0x2f8e1932U, \
    0xc3a3ea87U,     0x386994d8U,     0xeaf79443U,     0xb47d184eU, \
    0xcfebd57aU,     0x703af1efU,     0x939d13dfU,     0xe344e29dU, \
    0xea97d778U,     0x3d79a77aU,     0x39df0540U,     0x6af17a3eU, \
    0x482b88f2U,     0x24fc2a61U,     0x8bbde97cU,     0x40473397U, \
    0x35b4a236U,     0xb8d57405U,     0x34c45235U,     0xa1037f67U, \
    0x5bc9c6feU,     0x1c9bbc1aU,     0xa5dc95f1U,     0x581b4074U, \
    0x11d7168aU,     0xb3f42093U,     0xb30df41eU,     0xf0be556dU, \
    0x8cd8236cU,     0x36856d62U,     0xb947acf8U,     0x2d07454aU, \
    0xb94c89fcU,     0x99beab5fU,     0x1997fb42U,     0xa845fb35U, \
    0xea911126U,     0xf405443aU,     0x0a965627U,     0xda6ada83U, \
    0xb1985703U,     0xdb5cf9e9U,     0x5b6bfab0U,     0xd60ea98fU, \
    0x86e7ea92U,     0x30d597cfU,     0x71f5739dU,     0x7fa6796aU, \
    0x5b67a1ccU,     0x58591815U,     0x483e5d89U,     0x80df759bU, \
    0xac8aca82U,     0x47661315U,     0xf41fbb50U,     0xf3808538U, \
    0xeab8b7d1U,     0xc979745bU,     0x83a23e62U,     0xf52e9272U, \
    0xa9b7ad06U,     0xebf85981U,     0xb6e599dcU,     0x0bbffbdeU, \
    0x0ba0eeedU,     0x4fa9ac10U,     0xbf60578fU,     0x99b8aaabU, \
    0xf127f620U,     0x6cd35c93U,     0x79c2db78U,     0xb359b66eU, \
    0x9a38f4d7U,     0x73b5a624U,     0x88ff0e45U,     0x1e2526d9U, \
    0x3dc1a8f4U,     0x146fb9f0U,     0x8379c116U,     0x7fc71822U, \
    0x2025a764U,     0x38b245efU,     0xc6e03153U,     0xe65fea42U, \
    0x503afb33U,     0x9d4f791cU,     0xe41747c4U,     0x418803bbU, \
    0xe40b4260U,     0x16181264U,     0x9e71cddeU,     0x10b9de4eU, \
    0x47a362f2U,     0x656cc1e5U,     0x6061b7fdU,     0xc70681afU, \
    0xa8ac2d6cU,     0xf6f205f4U,     0x47b8a060U,     0x65b4c9ecU, \
    0x5a7214c4U,     0x3ef6635cU,     0x5056f6ffU,     0xd50270ddU, \
    0x85b58e63U,     0x99ceaee1U,     0x71e9936dU,     0x32365afaU, \
    0x62df1944U,     0x788cb858U,     0x5c7247bcU,     0xbb6e2590U, \
    0xac9458edU,     0x2852f4deU,     0x922706c9U,     0xfa3a3a27U, \
    0x5ddda20dU,     0x26e6f11dU,     0x406e33bdU,     0x6deefb17U, \
    0x010616e5U,     0x9cb3bb2cU,     0x98e3a862U,     0xd0bda079U, \
    0xc8c731c7U,     0x559304efU,     0x22a2c1ddU,     0x47c3d8efU, \
    0xda87a58fU,     0xb758c7fcU,     0x666d5a98U,     0x88251be9U, \
    0x348d0128U,     0xfd2d7b13U,     0x04e8bbfaU,     0xe6faac11U, \
    0xdbfbbfc0U,     0x6fc24927U,     0x88aeccb9U,     0xccd0fef3U, \
    0xad136a5fU,     0xf2cfeb33U,     0x40360690U,     0xfa31881cU, \
    0x9fbac562U,     0x8b0fa59eU,     0x8a0ec62bU,     0xf0715784U, \
    0x74a6b29cU,     0xb89ee089U,     0x958f4ce5U,     0x5e8d0179U, \
    0x7df4b65dU,     0x6a0f4106U,     0xf3bd6283U,     0x892ebeb6U, \
    0x5c3cf264U,     0x54c87858U,     0x669631e8U,     0xc55989ffU, \
    0xf62311e8U,     0x89346571U,     0xf3dadfe8U,     0x5e4a72d2U, \
    0x56788cbdU,     0x5299d839U,     0xb376adffU,     0xb281b371U, \
    0x05bdff41U,     0x3a9dd815U,     0x8dc5c934U,     0x7d1748f8U, \
    0x8d67c670U,     0xd02d3260U,     0x64f93784U,     0xbd9c52f6U, \
    0x6f929202U,     0xdf104dabU,     0x37bd2d2eU,     0x3434be8dU, \
    0x1bb39ec5U,     0x55386dc3U,     0x8952889dU,     0x19bd9fa5U, \
    0xd8747ed8U,     0x4f54e9c4U,     0x8dba048eU,     0xa1ffc371U, \
    0x21828720U,     0xfb3dc647U,     0x48e35615U,     0x2fafb4f0U, \
    0x6dedadfcU,     0x28950c34U,     0x9b959351U,     0xb31e2704U, \
    0xb01df97aU,     0x87e162a9U,     0x41dafeaaU,     0xfdf9c40bU, \
    0x0dc6680eU,     0xc89dc149U,     0xf6c5324aU,     0xaa7313fdU, \
    0x56f8af69U,     0xa01cf6f1U,     0x5a1aa532U,     0xcd2e7391U, \
    0x80a1ac7bU,     0x57db32feU,     0xf1504c04U,     0xe74f2b7aU, \
    0xecc2dd38U,     0xed6ffa46U,     0x5228afd5U,     0x4ec223bfU, \
    0x3f5e2592U,     0x6e33e59fU,     0x81566b34U,     0xbb8b5ec5U, \
    0x45510e44U,     0x6501106eU,     0x92badd8dU,     0x77ead8e8U, \
    0xc70bfdd7U,     0xe106c24fU,     0xea43e197U,     0x5fdd0d5fU, \
    0xd3f7ebc2U,     0x8740a72eU,     0x0ce2d827U,     0xb15dada1U, \
    0xba956780U,     0x3cea2eb9U,     0xc3b04054U,     0xe0424243U, \
    0xf28c242cU,     0xf3ee7b6eU,     0x5caebe5bU,     0x0d5397abU, \
    0x8a1d085aU,     0x26824903U,     0xb70261cdU,     0xcbe5960fU, \
    0xecdf5192U,     0x7549b96eU,     0xe9e57dd6U,     0x72e73ba5U, \
    0xbec852cfU,     0x0bf9bd1aU,     0x579d3df4U,     0x6576098eU, \
    0x5d43181bU,     0x74dcb50fU,     0x80cefb7aU,     0xbb98407cU, \
    0x9e85ca39U,     0xd96ff01fU,     0xc66fc4eeU,     0x9b06ff46U, \
    0x596edc61U,     0x3d73d6dcU,     0x55ad7f7fU,     0xfdef1a6bU, \
    0x34260476U,     0xc8f69e4dU,     0x9823a630U,     0x7cc85a2bU, \
    0x62a16ebbU,     0xa1d77931U,     0xe023ff79U,     0xb23df2d5U, \
    0xb19d60a0U,     0x0d3ea739U,     0x2fd4d257U,     0xa02a6f62U, \
    0xbfd1f68fU,     0xaefd6835U,     0x03a285c2U,     0x8573f887U, \
    0x39207a44U,     0xc2f81edbU,     0xac8c7b7aU,     0xd3618047U, \
    0xee0d18e9U,     0x6235a414U,     0x20fbfe66U,     0x7ef69639U, \
    0x05e142a3U,     0x83a94647U,     0xbb089f51U,     0xa0072410U, \
    0x6178a14aU,     0xf1749f5aU,     0x049d917cU,     0xcea5eb8eU, \
    0x3a4870bbU,     0x1bdfaba6U,     0x74784460U,     0x483101feU, \
    0x67335b37U,     0xb6971bceU,     0xecf3a563U,     0x0eee3f7dU, \
    0x399a3314U,     0x7120a0d9U,     0xbc75170cU,     0xfcfba2e3U, \
    0x6cebeb7aU,     0xd25fe806U,     0xe196b0dcU,     0xca989913U, \
    0x2ef05b78U,     0xf5db563fU,     0xee04b7fcU,     0x5707e30bU, \
    0xd69736fbU,     0x80640dd8U,     0x7cea48d3U,     0xb8e6dbabU, \
    0x28ddf38cU,     0xf62a9c50U,     0xe74f0f84U,     0x0b82e43dU, \
    0x71b4143bU,     0x07f70b4bU,     0xb3f5a620U,     0x66977f9eU, \
    0x50d1da6bU,     0x0eafd9b3U,     0xf868ebc6U,     0x9b914d02U, \
    0x00a19012U,     0x8ac18750U,     0x9099dd52U,     0x58ddfb9bU, \
    0x7b799d6dU,     0x988eef0eU,     0x6491eee6U,     0xd27e6e00U, \
    0xdde5356dU,     0x7e969526U,     0x32ece52eU,     0xd651d6f1U, \
    0x29c2f206U,     0x67847065U,     0xf0c25842U,     0x8e4426dcU, \
    0xaf31befdU,     0x6a6b2f0fU,     0xe5f81f0aU,     0x0dd47bd6U, \
    0x909479ccU,     0xa4fac123U,     0xeef42223U,     0xaf28df26U, \
    0x3cd887fdU,     0x5a877faeU,     0x68a287beU,     0x21ebcf09U, \
    0xe761a6c7U,     0x1c37e42fU,     0xbd4631e6U,     0x87cf4a6aU, \
    0x549af30bU,     0xa363f904U,     0x290ab251U,     0xc3c693eaU, \
    0xb56b8905U,     0xf3f7e952U,     0x68f3864eU,     0x86e88361U, \
    0xbccd0635U,     0x1e52fd6bU,     0xabd82a03U,     0x60e14623U, \
    0x2656e8ecU,     0xf63ad925U,     0xb93c5693U,     0xc729005dU, \
    0xc4dcbe25U,     0xdfdaf8daU,     0x396fc286U,     0x0d8e204dU, \
    0xcfd6835eU,     0xf80fad21U,     0xbbab4411U,     0xc93af2e1U, \
    0x0ce3e44aU,     0xb34a3165U,     0x3cbad598U,     0x608c41b7U, \
    0x7c18d713U,     0x4916e131U,     0x494cfa1cU,     0x23452bf9U, \
    0x2e0b966aU,     0xe93d7e8fU,     0x10aa95deU,     0x879e90fbU, \
    0xd274f51eU,     0x533292b3U,     0x343a3300U,     0x91041569U, \
    0x40a8eafcU,     0x55846d6bU,     0xcfb99757U,     0x6ccaa06eU, \
    0x873b51c3U,     0x62e54060U,     0x9543fc83U,     0xbc52e495U, \
    0x2f1de718U,     0xd4a676a8U,     0x4a7b6f12U,     0x5efd2e0cU, \
    0x983f452fU,     0x82900708U,     0x6d3b2cf6U,     0xa94930bfU, \
    0x26e431c7U,     0x5a3806a1U,     0xd771fad7U,     0xf1bcc9d9U, \
    0xdc1afc8fU,     0xa6858731U,     0xd34c3a1dU,     0xdf8761ecU, \
    0xc54c641cU,     0xf40ed88aU,     0x95667f64U,     0x703f7b5fU, \
    0x1b97b786U,     0x9d28c36fU,     0xe825a2e2U,     0x33d64a81U, \
    0x66e4c962U,     0xb40572fbU,     0x14f445f3U,     0xe0113edcU, \
    0x628e622aU,     0x902843a0U,     0x6dab1fa8U,     0xa3cb851cU, \
    0x0364ec10U,     0x2520de24U,     0x49fda350U,     0xf686911cU, \
    0x7b45273fU,     0xdcd5de18U,     0xd5e01fd2U,     0xa1e862ecU, \
    0x88587db7U,     0x4ec6b86aU,     0xd780a170U,     0x771318a7U, \
    0x878aaedfU,     0x9c564d01U,     0x92b4f49dU,     0xc1221583U, \
    0x3c2ea33eU,     0x519d7190U,     0x5000946cU,     0xf939d535U, \
    0x220c7eeaU,     0xc5ef4f4bU,     0x486bf729U,     0x9f879ff2U, \
    0xf5ed5e69U,     0xf6189a82U,     0xccabd300U,     0xf3e4c5e8U, \
    0xdad817ecU,     0x2b449af0U,     0x04b6e503U,     0xbffb0241U, \
    0xf0014b15U,     0xb00050e4U,     0xa5d4927fU,     0x0bc8ccbbU, \
    0x159abe16U,     0x01956fabU,     0xe46d829bU,     0xb2ee0896U, \
    0xd5df51b4U,     0x22d36281U,     0x7dbb8d27U,     0xa3d5b622U, \
    0xb108c30fU,     0x02b5ca1cU,     0xe3481653U,     0xd76c8938U, \
    0xf6ff1dcdU,     0xee4210c9U,     0x7b0a219cU,     0xa20d42f8U, \
    0xb4cdf132U,     0x850df9f0U,     0x4a1102e9U,     0xfef36762U, \
    0x99cf7337U,     0x187b80b1U,     0x820a5d5eU,     0x8745b6e6U, \
    0xd9a8dddaU,     0xe391a3c6U,     0x807eb2f3U,     0x1ac5302bU, \
    0xd0783557U,     0x8af67609U,     0x587b1e51U,     0x0dd68091U, \
    0x282cfaafU,     0x6d5d330bU,     0x42c109e8U,     0x3475b9a7U, \
    0x975b6781U,     0x7e706b66U,     0x9e5ee179U,     0xd7d15070U, \
    0xbe5522acU,     0x4221f334U,     0x75578937U,     0x6a573be6U, \
    0xb06f48c2U,     0x4c1a0b7aU,     0x9f960aa1U,     0x58e7f9e6U, \
    0x59229c20U,     0xd4edeedcU,     0x9dc561cfU,     0xf639a90eU, \
    0xd5679498U,     0x79b5b1a3U,     0x54c1eb4dU,     0xd073fb15U, \
    0xb3f8307bU,     0x8ea47f8dU,     0x027fbcfaU,     0x96a0617cU, \
    0x21fe11bfU,     0x76b650cbU,     0x19151582U,     0xc90860aeU, \
    0xc154cf40U,     0x1a52d9d8U,     0x7329243dU,     0x88706578U, \
    0x54e648c7U,     0x6d2a2a96U,     0xbf378fb0U,     0x7cb24883U, \
    0xe4d7ae39U,     0xf96eea8aU,     0xf7aecbf7U,     0x468f1116U, \
    0x490eeb47U,     0xec849284U,     0x46b5ebbbU,     0xf21bfd0fU, \
    0xd0352d34U,     0xfe9766aaU,     0xa3a5e98aU,     0x9898a132U, \
    0xaa527c48U,     0x527dbd87U,     0x531e1e34U,     0x08d148ebU, \
    0x11856dfaU,     0x7e34c44dU,     0x6e242600U,     0x04d03491U, \
    0x611c2fdfU,     0x5bb59adeU,     0xca8a543fU,     0xfc8fb9e6U, \
    0xa3820eefU,     0x083db480U,     0x3276adeaU,     0xadbb962bU, \
    0x727d47c8U,     0xd32769d6U,     0xc19cd780U,     0x50bac410U, \
    0x6ac3d592U,     0x15eaf2f2U,     0xb93d0b78U,     0x29857abcU, \
    0x6dd87fe9U,     0x63d362a7U,     0x80dae02eU,     0x63613ea3U, \
    0xe8fa5f27U,     0x1e620e31U,     0x767c703aU,     0x6b2332b9U, \
    0xbd3ffb59U,     0x226dd1ddU,     0x99a9438fU,     0xacca9eecU, \
    0x32793d61U,     0xee899f0aU,     0x5778dc3bU,     0xf5b32a46U, \
    0x8c49e84bU,     0x3a9b6ba1U,     0x14938f14U,     0x66ab219aU, \
    0xa4536db4U,     0xc528d2d4U,     0x4be2c42aU,     0x88a63333U, \
    0x34377dfcU,     0xbb82f5b9U,     0xd2aca0bfU,     0x2c5917d1U, \
    0x9838432cU,     0xf22455ceU,     0x843eaca0U,     0x0851ffc4U, \
    0xffbd5b2aU,     0xfdf96fccU,     0x901f3e64U,     0x1a1ec038U, \
    0xddc65367U,     0x72e5dff1U,     0xa56d4d3eU,     0x49227b7cU, \
    0xd3197c9fU,     0x38447ef6U,     0x53cf0eacU,     0x2c096f5eU, \
    0x7e7c4894U,     0x30fa373fU,     0x61475c64U,     0x40c37bf4U, \
    0xf593140cU,     0x4a5c2435U,     0x2b07a3e7U,     0xfc446d6fU, \
    0xdc950ef4U,     0x3ca95ddfU,     0xa92e7a2aU,     0xdaab903dU, \
    0x2f1e6f39U,     0xf61cbfbcU,     0x4c5be197U,     0x230f62c5U, \
    0xb1947973U,     0x17dde405U,     0x3a151050U,     0x6414971cU, \
    0x6f994a44U,     0xc49f97a3U,     0xa58c6ebaU,     0x73550bedU, \
    0x6f62c6a3U,     0x8ef289eaU,     0xf52e4f63U,     0x84f57a33U, \
    0x21c11247U,     0x9758cec6U,     0xdf86159eU,     0xc52de287U, \
    0x0b02725eU,     0x7bc74e80U,     0x1e0c46c7U,     0x925ea115U, \
    0x4b95b575U,     0x59e26db6U,     0x9a519307U,     0xf62f0537U, \
    0xac3f682fU,     0x82fc7dc8U,     0x1c91a45bU,     0xbe34b668U, \
    0x8b679ea9U,     0x4ae51881U,     0x7f60b09eU,     0x08449d18U, \
    0x1e0bbc1aU,     0xfdbd1ea5U,     0xea3eb09aU,     0x5c39b046U, \
    0xda3b24a3U,     0x7c26118eU,     0x51024312U,     0xfbdea68eU, \
    0xd6d917e5U,     0xb3609761U,     0xe433a1a7U,     0xa0cecfaaU, \
    0xf77f857cU,     0x46445225U,     0x501ef53aU,     0x2cd8a359U, \
    0x817a1753U,     0x2e0491d7U,     0x2cf88726U,     0x3d0edd9bU, \
    0x648614f4U,     0x15c48952U,     0x4977643aU,     0xa4935984U, \
    0x24c8aaadU,     0x308faf0dU,     0xe10597e7U,     0xa1b5855eU, \
    0xba8912ceU,     0xeb411492U,     0x94b4c3dfU,     0xf0b595a4U, \
    0x43aa76a3U,     0x483f455fU,     0x278888afU,     0x266ff029U, \
    0xc009fed4U,     0x6a058741U,     0xdbe53fccU,     0x6e0924fdU, \
    0x07610957U,     0x84e3fbc9U,     0x608bb446U,     0x1e4e85f9U, \
    0x75a1d8c4U,     0xe27e5cafU,     0xdc60d2cfU,     0x29c5b4c9U, \
    0x7376d699U,     0xd851b7d9U,     0x44b47dc1U,     0x591fd17bU, \
    0xfa215183U,     0x30b8ac45U,     0x2d5096cdU,     0xa6f32f43U, \
    0x70e96c4aU,     0x512212a1U,     0xb968e269U,     0x38937243U, \
    0x32582f47U,     0x4832aaf9U,     0xc4cf496eU,     0x95ab9dc9U, \
    0x0c37c6feU,     0x03013e29U,     0xb0094da0U,     0x80d6cb6aU, \
    0x291c7a98U,     0xd3ede92bU,     0x1eee7990U,     0xa167db17U, \
    0x91817658U,     0x347171e5U,     0x7a697b19U,     0x86294575U, \
    0xf6a9938eU,     0x2c3c9ef3U,     0xe219d63fU,     0xd02aa988U, \
    0x9c3a3916U,     0x99ab1d07U,     0x48816e19U,     0x9aafc728U, \
    0x11229967U,     0x78fc8248U,     0x1a7b68aeU,     0xed9b0148U, \
    0xd1d28d68U,     0x9e44dddcU,     0x93661f0eU,     0xdaae757bU, \
    0x0b921798U,     0xee00bfc5U,     0xd65869a6U,     0xad95b34bU, \
    0xd5eb5c41U,     0x28ed67dbU,     0xd2c61675U,     0x3f4eb65bU, \
    0x2b4c5726U,     0x243a6b21U,     0xa3c098e0U,     0xbc61cc8eU, \
    0x91f66f5bU,     0xa4004879U,     0xfa8026ffU,     0xefad1adbU, \
    0xc4ec283bU,     0x4e77797aU,     0x5388c35fU,     0x723a4931U, \
    0xbdc50264U,     0x8af0d913U,     0xd8e1f652U,     0x610cdcadU, \
    0x0cae6e44U,     0x588ea794U,     0x35706318U,     0xae83071bU, \
    0xf163a274U,     0x516cf3c9U,     0x4e7d48e7U,     0x6437fa6fU, \
    0xf65ccb8fU,     0x62fbf65fU,     0xbd38b930U,     0x4c3da2b2U, \
    0xdfe81aa3U,     0xb255eb7aU,     0xa8ff28d4U,     0xe5ae84c7U, \
    0x89cf1458U,     0x9b7891c6U,     0xee7f1abfU,     0x2ac1de02U, \
    0x55f4234aU,     0x7e8e96e3U,     0xa410d613U,     0xb6f00946U, \
    0x9585f7c9U,     0xb6d5f962U,     0xc9b491d8U,     0x00b2e836U, \
    0xb7e9ad02U,     0xc6749174U,     0x5ed5c833U,     0xc107a94dU, \
    0xec622560U,     0xbc5bba30U,     0xf7cabebcU,     0x7a613c6cU, \
    0x6724a5e1U,     0x4c1a4aebU,     0x1261f474U,     0xf404609fU, \
    0x6323d417U,     0x5d6c4539U,     0xf8fac2f0U,     0x4efbd98dU, \
    0x92f6c2c4U,     0x1f2e4f7cU,     0x7e86f6bbU,     0x66b0c6f6U, \
    0x74894fa8U,     0x4c239d27U,     0xe4ca52ccU,     0x5868c852U, \
    0x96cbc2efU,     0xb4d28a12U,     0x12f841faU,     0xced941a9U, \
    0x6b57fc7eU,     0xf85064adU,     0xfeeec53fU,     0x65087c15U, \
    0xb1b7e726U,     0xaddd150cU,     0xd86e0c2aU,     0xcc953f1fU, \
    0xdc71b8cbU,     0x9ea03ab8U,     0xae178a62U,     0x09110455U, \
    0x17415248U,     0xab1cb286U,     0xaf3429feU,     0x1872b81cU, \
    0x37ef20a5U,     0xb356882dU,     0x2ed93484U,     0xeb0966a5U, \
    0x2ca5fb6dU,     0x66245852U,     0xd37ab4f9U,     0xb565094dU, \
    0x207f45edU,     0x727c8fe8U,     0xc134c6dcU,     0x3860cc05U, \
    0x0ca2897bU,     0x05a0eaebU,     0xc9497dc5U,     0x418387eaU, \
    0x579ab8b2U,     0x35093cf7U,     0x05d9816bU,     0x86cf5a8cU, \
    0x5bcaa337U,     0xb53fd113U,     0x54eadb1cU,     0x3769d02eU, \
    0x0ed3b579U,     0x0af5bc8dU,     0x893e6377U,     0xa7ebfc91U, \
    0xbd0861c5U,     0xd0e8e34cU,     0xa7c6c2bdU,     0x1b14a2c6U, \
    0xede26ddbU,     0xa7964283U,     0xb2cf00c6U,     0x5f214471U, \
    0x2178fc7cU,     0x7a80b37bU,     0x0869f43bU,     0x760e2adfU, \
    0xb2b7a4f1U,     0xb5317a04U,     0xfc3ba2eeU,     0x90f668ebU, \
    0x5d38df49U,     0x76baff2fU,     0xc1ab57eaU,     0x5ed43713U, \
    0x8d51607dU,     0x418a9bcfU,     0xa8e3ef6fU,     0xf52ae235U, \
    0x548d3ae5U,     0x172142a3U,     0x536113caU,     0xff9f525cU, \
    0xcefe681aU,     0x894a413aU,     0x60dc7478U,     0x34ac984aU, \
    0xc2ddcccfU,     0xc9089ddfU,     0x9fe007baU,     0xd9130146U, \
    0x55eb3af8U,     0xda6777baU,     0xa97e69c3U,     0xb6450c20U, \
    0x1ac94dfeU,     0x18430f26U,     0x05f40b20U,     0x79224e00U, \
    0xe1bb507fU,     0x63e91b90U,     0x5aa3f182U,     0x9d7d709cU, \
    0xfdad0615U,     0xb125488aU,     0x411d3a70U,     0xe437f2acU, \
    0xb296f6fbU,     0x61b3b52eU,     0xf228ab55U,     0xe3f8c178U, \
    0x4b885e94U,     0x657f11afU,     0x2e11bdb5U,     0x7f7cd704U, \
    0x339719c7U,     0x546f7024U,     0xd0a8175aU,     0x73165583U, \
    0x6704ecdbU,     0xe4d171c5U,     0x35957691U,     0x9c2f1fa1U, \
    0x12ae74c8U,     0x91dcf1beU,     0x98e3790cU,     0xfa17150eU, \
    0x78ed32caU,     0x7aadff74U,     0x01f7c180U,     0xda3d99b1U, \
    0x885a3469U,     0x3e7a9ac8U,     0x398cefc2U,     0xfae414a4U, \
    0x14977791U,     0x5f370d72U,     0xf4d5968aU,     0x9f959e9cU, \
    0x1243715cU,     0x3e0bd5f4U,     0x60193d4aU,     0xcb2d0152U, \
    0x39ab182eU,     0xb4986b89U,     0xfcf9dbd6U,     0x1e4bd63dU, \
    0x2a548e68U,     0xdfeb5bcaU,     0xa8e8069eU,     0x57b00b15U, \
    0x744c4e63U,     0xfcf3180eU,     0x06e6b8f1U,     0x3eb45ba6U, \
    0x706c66a8U,     0x2e75c233U,     0xcbdaa19bU,     0xf589a723U, \
    0x0065e980U,     0x7a62eadaU,     0xbfb40df5U,     0x505bf0e4U, \
    0x322ca96bU,     0x12505255U,     0x7bdb4825U,     0x4562a208U, \
    0xc65ffe3dU,     0x24fca7daU,     0x1997cf80U,     0xefaff57eU, \
    0x265b1f25U,     0x463c03fdU,     0x9036df44U,     0xe033eecaU, \
    0x89ceb0c2U,     0x04638131U,     0x14a9db46U,     0x2de5dce3U, \
    0xa6847fc8U,     0x96f118b8U,     0x6f361625U,     0xdb2c3a4aU, \
    0x25bc79d8U,     0x6df16350U,     0x43021299U,     0x38ac6018U, \
    0x35ef2954U,     0x49737822U,     0x1608981cU,     0x7c6015d6U, \
    0x691953d3U,     0x154f7298U,     0x0da1acb0U,     0xaa6cd1c0U, \
    0x41b7e227U,     0xc4d2e51bU,     0x699e8f31U,     0x2d429d22U, \
    0xf533871bU,     0x0d0740ecU,     0x9c58cab3U,     0x1fb0ec43U, \
    0x9693e60aU,     0x2dfc75cbU,     0x63b69c75U,     0x5303ddc4U, \
    0x47f48fe4U,     0xab3c60baU,     0x3f447a38U,     0xa6aa0b73U, \
    0x51875e28U,     0xbc3865f7U,     0x4739ce62U,     0x63f5e4b8U, \
    0x11253cf0U,     0xafb8468bU,     0x81f453bbU,     0x12592b9fU, \
    0xb86be9c8U,     0x6edcb869U,     0xeedbc023U,     0x3fb35e11U, \
    0x9a5a06c3U,     0x4d92071dU,     0x9369bbfcU,     0x8afd31d4U, \
    0xfe5707e6U,     0x301354c5U,     0xd50a0936U,     0xb7f1c146U, \
    0xe9efcd38U,     0x17db9044U,     0xd5a0ef4bU,     0xf17d2e62U, \
    0xaf8497abU,     0x7418b35eU,     0x12db8a71U,     0xb5b17bebU, \
    0xaa5cf2f3U,     0x7ba0fd34U,     0xa41a51aaU,     0xb3c445f2U, \
    0xd165745fU,     0x8a068d76U,     0x0826cf33U,     0x29be8b81U, \
    0xccd43c18U,     0x82dc00cfU,     0x6274e6cdU,     0x7f5a4532U, \
    0x48091e23U,     0x1f65847aU,     0x879a26a6U,     0xc76b553bU, \
    0x5fcc91f4U,     0x4da21169U,     0xcedebe06U,     0x6e1866a7U, \
    0x55c6c44dU,     0xf590c86dU,     0x391811a0U,     0x2e8f18deU, \
    0x88fb686dU,     0x3d4e7b86U,     0x1800a0d7U,     0x20df9f10U, \
    0xbb656d35U,     0x9f50104dU,     0x7278b1dbU,     0x8e2677c5U, \
    0x8595371bU,     0xb7c6a2f9U,     0x43d0361cU,     0xb13de2eaU, \
    0xfc265dbdU,     0x28bc8310U,     0x463202cdU,     0xb6e75532U, \
    0x628ae47fU,     0xdb691654U,     0xb6ea1908U,     0x5c80154fU, \
    0x4e830707U,     0x178a8ec8U,     0xbea65395U,     0xd2d939aeU, \
    0x86ec0ae4U,     0xe740377fU,     0x89caaee2U,     0xd5f22140U, \
    0xaa0ce4c6U,     0x72739e79U,     0xe3a40f05U,     0x4d29cb6dU, \
    0xdf295b52U,     0xf7782e02U,     0x2614468eU,     0x014e0b12U, \
    0xe26e2068U,     0xff25f42bU,     0x03bf56a5U,     0xa016fd33U, \
    0xf22d4d3aU,     0x94efd7f2U,     0xff209726U,     0xac07b256U, \
    0xfa9ec7c9U,     0x500c4ac1U,     0x358a7182U,     0x76b0648bU, \
    0x7201a77bU,     0xfb6505fdU,     0x4387eb32U,     0x719f0989U, \
    0x2b0b95afU,     0xcc3c939aU,     0xb1f54b72U,     0xfd621333U, \
    0x9a3203a2U,     0x8dd2e657U,     0x49846302U,     0x232a8050U, \
    0x214c82e1U,     0x0766cbf9U,     0xf227eb29U,     0x4f0e154cU, \
    0xab91fd33U,     0x6ed22852U,     0x6ab32df5U,     0xfa7690f0U, \
    0x22db87deU,     0x55297638U,     0xbc006d81U,     0xf9b0bb24U, \
    0xbe3cd186U,     0xdfccb497U,     0xab7f685dU,     0x10031f91U, \
    0xaa47ad94U,     0x3b54b88eU,     0x19f50fc8U,     0x8ec165abU, \
    0x49af8811U,     0xcbdf73c3U,     0x3d91a472U,     0xd2568670U, \
    0xd5338d3cU,     0xd6aab77cU,     0xd9c240f3U,     0xf802847fU, \
    0xaca0f62dU,     0x560610faU,     0xaef2c2b3U,     0xb7fb4bf7U, \
    0x95e67ad6U,     0x7f4c523aU,     0x88992d37U,     0xb57838dbU, \
    0x9fc59a44U,     0x228f7718U,     0xb0aa1d54U,     0xa2ad8618U, \
    0x9dca9900U,     0xb3ad14dfU,     0x9bba3d88U,     0x7adb2500U, \
    0x9323d712U,     0x7cb05724U,     0xd9ccbbc8U,     0x1cd1642fU, \
    0x4caff2cdU,     0xbf1a3e9cU,     0x2b758374U,     0xea442ea1U, \
    0xc7818621U,     0xc54ea985U,     0x98bd73dbU,     0x8623c4deU, \
    0x1324eaccU,     0x170df765U,     0xf5ff6ea5U,     0x251f80d7U, \
    0x5f90e891U,     0x3e3eaa14U,     0x38a9e6f7U,     0xcd8f9070U, \
    0x99071261U,     0x875264f2U,     0x740747fcU,     0xe1fb9ff4U, \
    0xbe56308fU,     0x9d9842beU,     0xeeb74109U,     0x12915e33U, \
    0xbcd88192U,     0x32c9227eU,     0x2ed1bcacU,     0xa1376c64U, \
    0xdd2d8ee9U,     0x2ae5810aU,     0x40d50ea6U,     0xa2a744b9U, \
    0xf3ff5092U,     0x15e0fc0dU,     0xa324fe7eU,     0x6672fd1aU, \
    0x54ba4341U,     0x97b8dcfaU,     0xdcb659f4U,     0xfe5bf4b2U, \
    0x24a9961fU,     0x95deb0f3U,     0x22770a61U,     0xfce57cf3U, \
    0x30403bd9U,     0x5b422258U,     0x7c2fb1ebU,     0x9276ce81U, \
    0xafa52d98U,     0x226b5b63U,     0xef157271U,     0x652b2a6aU, \
    0xfae1f630U,     0x53836678U,     0xdc4d6a49U,     0xf8a95056U, \
    0xaff74398U,     0xf6200362U,     0x16b88e85U,     0xa5e9a3deU, \
    0xce10a513U,     0xce295924U,     0xa3dcacb0U,     0x7022e6d5U, \
    0x90b55945U,     0xf6f21bacU,     0x71655217U,     0xbaea5636U, \
    0xa5fcb62aU,     0x01f2e071U,     0xfe2f1079U,     0x80ec6227U, \
    0x50ced61bU,     0x625667efU,     0x45e8f52cU,     0x350eb03bU, \
    0x2d85e2d4U,     0x1ff40b24U,     0x31646411U,     0xa9a5cd17U, \
    0xf9666a72U,     0x773bfc45U,     0x545681faU,     0x1efeee9aU, \
    0x49ae2a4fU,     0xa685e7ffU,     0xed93ee0aU,     0x6d34c44bU, \
    0x35b8647aU,     0x62ad3a83U,     0xc01be51eU,     0x732e327aU, \
    0x71761ae0U,     0xedb68559U,     0x8dfb326cU,     0x33b8a8c0U, \
    0xa7c0d4efU,     0xab492a7bU,     0xf748e0acU,     0x129a33bdU, \
    0x19819adbU,     0xc7e8782dU,     0x29d3687eU,     0x8ff9336dU, \
    0x7a733225U,     0x652a17e6U,     0xfcbdcf5dU,     0x180e012cU, \
    0xb72ee816U,     0x921416d9U,     0x192bda5bU,     0xe3e1f685U, \
    0x58f76048U,     0x590d0845U,     0x3671cce8U,     0x9c7b70c3U, \
    0x7deb411eU,     0x48baba72U,     0xbad3a8afU,     0xaf5ffeb6U, \
    0x41bf0488U,     0xc7678f5eU,     0xf2036a03U,     0x984105a7U, \
    0xe28d9890U,     0xae56cf82U,     0x6a55b5b8U,     0x90f89b49U, \
    0x7dfab515U,     0x85edc5c1U,     0x82e457d4U,     0x29a7aa09U, \
    0x2f1b03f6U,     0x38d62f76U,     0x883a0d1eU,     0x86c2efeeU, \
    0x1c74fe3bU,     0x11f5c264U,     0x268715b1U,     0x5a461c80U, \
    0xb7330da7U,     0x48c0083aU,     0x89112ebeU,     0x32b0a507U, \
    0xf3d481eeU,     0xd4bdafd2U,     0x5722c298U,     0x31f4de7cU, \
    0xfdb0ac15U,     0x5284ca17U,     0x6bd72042U,     0x42f680bfU, \
    0x09f1637fU,     0xc39aa74fU,     0x3dde5606U,     0x7e2cee8bU, \
    0x3a0f45bcU,     0x57f338e0U,     0x2272542eU,     0x90f16593U, \
    0x74acb08fU,     0x5253cfcdU,     0x26e09debU,     0x282a080fU, \
    0x745ab425U,     0x54dc77c0U,     0x5d3084b1U,     0x5c7bce09U, \
    0x97fdad97U,     0x77a2496aU,     0x3cf3078bU,     0x788af555U, \
    0x6a7746e2U,     0xb36e0727U,     0x3d3def90U,     0x1229b3b4U, \
    0x946870fcU,     0xfa16b60dU,     0x6dfa6b5aU,     0x6663100fU, \
    0x77b484e5U,     0x61c30f0fU,     0xfe32ef87U,     0xf105ba02U, \
    0x45936996U,     0xab8e0bd6U,     0x95449f4dU,     0x86ce986cU, \
    0xbf8122d3U,     0x96b0d25cU,     0xee359e2eU,     0x6c6195b5U, \
    0xa841e661U,     0xa2487affU,     0x91c463ecU,     0x78ea9b46U, \
    0x2dd52224U,     0x8e3990a5U,     0xf53eed47U,     0x3c069f70U, \
    0x24c6f182U,     0xdcb5604dU,     0xfafa5386U,     0xc0db6404U, \
    0x14752657U,     0x197843a7U,     0xe4a6deabU,     0x9fd3c962U, \
    0xec8a02e1U,     0xf8dc81ebU,     0xe7397880U,     0x6dbbfd87U, \
    0x0ceb864aU,     0xaad2badfU,     0x26ed7fe6U,     0xa3a3270dU, \
    0xf5f4e054U,     0xacec56baU,     0x201297d2U,     0x23f882cfU, \
    0x3e9edcc9U,     0x6c604afaU,     0x93ff6b3fU,     0x69902eccU, \
    0xa948e2f0U,     0xed2f0659U,     0x6a40692aU,     0x856f013bU, \
    0x4bd4a0ffU,     0xf1a63e30U,     0x2d44f37fU,     0xdf911b57U, \
    0xfb2c4ffbU,     0x44fab06aU,     0x7a764dd6U,     0x15f6b61cU, \
    0xc5077e63U,     0x7f9e7059U,     0x7963a2cfU,     0x08f97388U, \
    0x57a1750eU,     0x8a3ac28cU,     0x0225861eU,     0xb580ddffU, \
    0x38b3aa66U,     0x188a629aU,     0x5d7c2fc0U,     0x06d8c8d1U, \
    0x24e6d759U,     0xfa6493fdU,     0x117679bdU,     0x5d2b80e4U, \
    0xb1ef0e32U,     0x5d7a105cU,     0xa48e5dabU,     0x9bcc9863U, \
    0x44f7d900U,     0x5a6113b1U,     0xa1327ad8U,     0x540a4c4cU, \
    0xaad7f560U,     0x3dc293ddU,     0x60f10601U,     0x7bbadb03U, \
    0x6d4af9a5U,     0x187aea67U,     0x76fdf642U,     0x4698dbacU, \
    0xec5f000dU,     0x8350161cU,     0x0a79a4a4U,     0xa24f6287U, \
    0x4f7fa7e8U,     0xcab156b0U,     0xc35cd0beU,     0x1488d73cU, \
    0x7a2a812dU,     0x17520715U,     0x14af5cebU,     0x6529a452U, \
    0x0adf5362U,     0x7b35feccU,     0xa0c4f41fU,     0xe307ffdeU, \
    0x20a64111U,     0xbeecdd5cU,     0xdddb1a3aU,     0x1dd0ab45U, \
    0x0f7c4193U,     0xa8f52af5U,     0x2c0ffd93U,     0x42362218U, \
    0x906b931aU,     0x4dee1fd0U,     0x25ed7db6U,     0x3f182c44U, \
    0x0a9895deU,     0x254ed5eeU,     0x169b3d49U,     0x4ac4760cU, \
    0xf9d33c3fU,     0x1b69f22bU,     0x7e7288b7U,     0xc34a6d2fU, \
    0x54502593U,     0xe111fd47U,     0x644d2d52U,     0x47f96570U, \
    0x1c2bfb19U,     0x5ddf1d2dU,     0x15eb912aU,     0xdd0d1d5eU, \
    0x8411c838U,     0x6b01a312U,     0x3f51fb10U,     0x70f2b862U, \
    0x1fd6b479U,     0xb2dfc19aU,     0xbb110cb7U,     0x91c1d1f9U, \
    0x1e948acdU,     0x278d0f75U,     0xc8d26b55U,     0x1f1f871bU, \
    0xd473e642U,     0xf2cd6d83U,     0x3872e733U,     0xddbb011bU, \
    0x1f682843U,     0xdad9b4c6U,     0x8cd85bdbU,     0x72f7e2dcU, \
    0x5d8af5a7U,     0x7b65b692U,     0xf8435907U,     0xe0c5d42fU, \
    0x8c107614U,     0x7f9c1b0fU,     0x7f0ed88cU,     0xf9b838f7U, \
    0xb68b9219U,     0x15601cadU,     0xb10609b3U,     0xb9d2be8dU, \
    0x180e92efU,     0x4b768982U,     0x7934cca8U,     0x9958a1d1U, \
    0x7895b89dU,     0x075d4e56U,     0x08f5b60bU,     0x1626ede6U, \
    0x315e419dU,     0x6f390ce2U,     0xd9588f30U,     0x4604f246U, \
    0x8beb4dd4U,     0x69ebf0ecU,     0xc97adf56U,     0x8be396daU, \
    0x9d5f8603U,     0x8ab7b2e9U,     0x043db730U,     0xa2f7d758U, \
    0x36c4dfdaU,     0x1973bc07U,     0x1c51dcafU,     0xe0b896f5U, \
    0x31be88f0U,     0xddd3e8eaU,     0x321b2bdcU,     0x46df6800U, \
    0xb72af5b5U,     0xa2530503U,     0x6368c8acU,     0x92b04252U, \
    0x82d4f610U,     0xd44c7b76U,     0xa434eb28U,     0xfd722a9dU, \
    0x2932a0e9U,     0x41ff3270U,     0x2b19c662U,     0x39bc9ebeU, \
    0xe7377327U,     0xc3597c5dU,     0x6ae20f46U,     0x34f17004U, \
    0x41998ba6U,     0x40775dc3U,     0xcec4e695U,     0x38150686U, \
    0x82217adbU,     0xec657fb1U,     0x900c7913U,     0x8ecf2d8cU, \
    0x803ddbe5U,     0x7a984179U,     0x8daf7381U,     0xae9540abU, \
    0xfe58e51bU,     0x812efdceU,     0xea0e6e6bU,     0x5aeae8beU, \
    0xc6d6e075U,     0xdbb6a938U,     0x478640d4U,     0xd8979283U, \
    0xf9d63355U,     0x81ae62d2U,     0x6323118cU,     0x130191c8U, \
    0xfddafdefU,     0xb67f73a8U,     0x9ea77ac1U,     0x51626ea0U, \
    0x94d02cb4U,     0x4314bf07U,     0xf75e3d0eU,     0x94fdfd13U, \
    0x0c72b958U,     0x56f17588U,     0x8586603bU,     0xdf627744U, \
    0x9f0511faU,     0x8368bceaU,     0xe57ddfc3U,     0xd997f225U, \
    0xdf2b6a10U,     0x22214706U,     0x29ee7ec8U,     0xd41adf87U, \
    0xc9ff5554U,     0x0d2d58cdU,     0x91f3810fU,     0xa4720a34U, \
    0x324e083fU,     0x212fefecU,     0x03289c9cU,     0xcc0bce1fU, \
    0x6e7345baU,     0x16aa91faU,     0x7571af86U,     0x505ce940U, \
    0x318b5805U,     0x2f9c75e6U,     0xaf49c5a0U,     0xc1cceee1U, \
    0x75f6b662U,     0xef42f984U,     0xc340720eU,     0x9ea8a68aU, \
    0x4bae2682U,     0xfa8469f7U,     0x47abbee3U,     0xcf899e2bU, \
    0x88cf8a83U,     0xb30bf0b9U,     0xccd82f7aU,     0x0cc05d80U, \
    0x37acf79cU,     0xdb2965bbU,     0xc4a0bfdaU,     0x37f14578U, \
    0x6835f123U,     0x642b7e94U,     0x5b783235U,     0x427acf00U, \
    0xe6273190U,     0xb7816abfU,     0x5a34f265U,     0xcec0f4b4U, \
    0x635f8a47U,     0x9716347aU,     0x7cb808d3U,     0x0bb075dfU, \
    0xadffe3edU,     0xcd759e72U,     0x6c7cbbc9U,     0xf758d67dU, \
    0xf6ab4548U,     0xa3d0b056U,     0xbfbdf691U,     0xd8c25a07U, \
    0x2f235080U,     0x879c9e37U,     0x1d438210U,     0x3f0b98a2U, \
    0x6c107c9fU,     0x90d45ed7U,     0xda635111U,     0xdf4d774aU, \
    0xba5a51c3U,     0x79af5ef7U,     0xe4ccd7bdU,     0x0ac520c1U, \
    0xc858acb2U,     0x924e2123U,     0xdb4613dcU,     0x06ffbdbcU, \
    0xffe3d4edU,     0x68c20e0aU,     0x5d94135eU,     0x0a3c265aU, \
    0x1e2675bdU,     0xdefd5737U,     0x6fbef1bbU,     0x0ea927fcU, \
    0xc8d629afU,     0x6b879f56U,     0xbf6d6a4aU,     0xe629f6f2U, \
    0x1dedf6b7U,     0x836be4f2U,     0x5ce3b77fU,     0xa50f4ea8U, \
    0x15f24b7eU,     0x549267a8U,     0x6b936136U,     0x51cdd09eU, \
    0x36a8e141U,     0xf705663dU,     0x1076927aU,     0x92004686U, \
    0xddf5bb84U,     0xa629e091U,     0xcaa8327bU,     0x09b1b56bU, \
    0x9f514ec1U,     0x3b4d0552U,     0x56fd8fd3U,     0xa81068d1U, \
    0xfc89eb16U,     0x015e97f1U,     0xeacc9d57U,     0x99de6f98U, \
    0x72823caaU,     0x9c57a949U,     0x62e334a8U,     0x1cb5279bU, \
    0xb0f0f946U,     0xcc26f4a0U,     0x028987a9U,     0x546d97e7U, \
    0x361cc8f6U,     0x3b718eb6U,     0x51662f86U,     0x8a69345dU, \
    0x670c7c2dU,     0x9d5f2538U,     0x5f50aa92U,     0xac272393U, \
    0xead0f0a8U,     0x09898650U,     0x4fca77b7U,     0xa52e9579U, \
    0x17d39213U,     0x760ca632U,     0x4d8e4624U,     0x168d6cddU, \
    0xa93f2b90U,     0x0e73de6dU,     0x1688b16aU,     0x99cf5a4dU, \
    0xd9963976U,     0x3d1df3d2U,     0x4c8aaba7U,     0xbf40b4dbU, \
    0x428c7c94U,     0xdb592a30U,     0xf511dc2eU,     0x7e997de1U, \
    0xdcf306c3U,     0x1f3cca78U,     0x77727516U,     0x16677fc8U, \
    0x4c2f47e3U,     0xb09007d0U,     0xb9e518feU,     0xd18e1a74U, \
    0x3cb46340U,     0xa4339ce2U,     0xd86b641eU,     0x3b94bdabU, \
    0x5b312cf6U,     0x610de273U,     0x4d52e7beU,     0x4114af12U, \
    0xb2b8681eU,     0x7ea30f43U,     0xc34b6bb0U,     0x0855715eU, \
    0x5888857cU,     0xde5b2e66U,     0x4a49ea13U,     0x7787297cU, \
    0x346457e2U,     0x54acf68eU,     0x377c721aU,     0xd7781a6bU, \
    0xb8eaa781U,     0x293df833U,     0x5788f79fU,     0xf142dcfcU, \
    0xd0e5d70aU,     0x9b3bfbc3U,     0x64559f3dU,     0x2ecf1c31U, \
    0x8c8c2e5dU,     0x3effdacaU,     0xff1ce736U,     0x0021cbfeU, \
    0xe2255beeU,     0xe63e670cU,     0x8c9b1a65U,     0x5e3328e2U, \
    0xe7d46727U,     0x7cbf38ffU,     0x51845b6cU,     0x484d3a89U, \
    0xa1f40bd1U,     0xc4cca7cdU,     0xc6cf86aaU,     0x8624facaU, \
    0x3f6801ccU,     0x211d5078U,     0x48b67f0bU,     0x94b158eeU, \
    0x0d912478U,     0x00dd6242U,     0x00b8b85fU,     0x8934bb46U, \
    0x1cc0dea0U,     0x0edc0b9aU,     0xaa0a1134U,     0x94183607U, \
    0xfb36ab72U,     0x208757e2U,     0x2a1d215bU,     0xea599927U, \
    0x133c89f7U,     0x29a868a4U,     0xbb186303U,     0xed7bd0dbU, \
    0x11cb91d8U,     0x3284be41U,     0x77abfacaU,     0x8b1d032aU, \
    0x9fe2034aU,     0x2351a59bU,     0x3f3c0b7dU,     0xaa53bcedU, \
    0x61f32bb4U,     0x929fda14U,     0xe8d91187U,     0x7277bb29U, \
    0xadce2b88U,     0x49b31fd4U,     0xe12aab08U,     0x8ce17c6fU, \
    0x4a6eae25U,     0xd0cc4c2eU,     0x29859763U,     0x39ff4128U, \
    0x87565ab2U,     0x79f48705U,     0x68b45963U,     0x9f122865U, \
    0x6c9ce3c3U,     0x7a592550U,     0xb7f5e2dbU,     0x458560b9U, \
    0x96a24bfaU,     0x3991cf33U,     0x1d372b7bU,     0x752c55c0U, \
    0x8036305dU,     0xf9bae5bfU,     0x16475487U,     0x4a05cbc1U, \
    0x5ba1f53cU,     0x19c717fbU,     0xcd20d42cU,     0x2a63a5caU, \
    0x7472abcfU,     0x2734e5f8U,     0x8f31644eU,     0x0ff7dd6aU, \
    0xbb46cb74U,     0x6523d17aU,     0x7c0bd22dU,     0x0a8fa2afU, \
    0x3c056b91U,     0x01fd486cU,     0x3d19956cU,     0x8c59978dU, \
    0xe7dbdc91U,     0xf6dba553U,     0x876b2699U,     0xa02112faU, \
    0xb0798a3aU,     0x17d16a12U,     0x2c606f25U,     0xb13a0e87U, \
    0xdaa02bddU,     0x27b9ecf0U,     0xb606d3b5U,     0x3ba9f68aU, \
    0xef7a939bU,     0x47d94358U,     0x72853f40U,     0x3b448a16U, \
    0x0b882132U,     0xbdfe3ab9U,     0xee251430U,     0x2d57e404U, \
    0xfeeea69cU,     0x05495a3cU,     0xebea2f68U,     0xb6580fa8U, \
    0xba869a2eU,     0xaeedf736U,     0x3c639f9dU,     0x2084f64eU, \
    0x4d77813fU,     0x99241c39U,     0x63b92c29U,     0xf949cb59U, \
    0x47926361U,     0xb207142aU,     0xa8cf265fU,     0x9df8bf9eU, \
    0x6faab69eU,     0xf918de4eU,     0x68b2a33cU,     0x0eb30543U, \
    0x63f75e2eU,     0x8ff3838fU,     0xf632445dU,     0x89e15a32U, \
    0xf40fe09aU,     0xac36bcddU,     0x98051ce5U,     0x97d71331U, \
    0xb1fadfa4U,     0x4ff1ba2dU,     0x92cc99deU,     0xc8e0f570U, \
    0x44b3ec59U,     0x92defa2fU,     0x39cd461fU,     0x60b2ac00U, \
    0xceef50d3U,     0x2185785bU,     0xc5888f30U,     0xba7a8694U, \
    0xb76077b6U,     0x8219fe6fU,     0xd9ec22faU,     0x4fb70a40U, \
    0x1f009c77U,     0xa454df8bU,     0xeb606c04U,     0x1301f367U, \
    0xb2812b93U,     0xcadbb65bU,     0x0c872982U,     0x7290a8b5U, \
    0xecb3b765U,     0xb221ea9cU,     0x70ffc967U,     0x35f7d362U, \
    0xbb8fad40U,     0xa4ab062aU,     0xc228d5cfU,     0xd9e9fe5fU, \
    0xf69f8a62U,     0x0730d2f3U,     0x064918b7U,     0x19042144U, \
    0xe38b0820U,     0x19737df4U,     0x1aa033c3U,     0x5dc36d7eU, \
    0xa2bd29b1U,     0x2a9e42d0U,     0xd44b82a3U,     0x389c747cU, \
    0xd46f9ab2U,     0x96db173fU,     0xb6394380U,     0x219bd4adU, \
    0xb03c237bU,     0x0f9be64bU,     0x988c4df1U,     0x4300664aU, \
    0xcc6b85b7U,     0x6e8e2750U,     0xb2a4e4daU,     0x83f1e6dfU, \
    0x07b919feU,     0xcd04f0fcU,     0xa615c33fU,     0xb924f83aU, \
    0x740300cdU,     0xa5957924U,     0x3acc2e0fU,     0x850adfb8U, \
    0xb8731d96U,     0x47fd6850U,     0x980858e4U,     0x95675a43U, \
    0xcdedb84dU,     0x6dd25fd5U,     0xf8af601aU,     0x8233fa0fU, \
    0x8e9250e6U,     0x3e4cfedeU,     0xa8efb3f7U,     0xea9c9130U, \
    0xa0b68fa5U,     0x7aa443acU,     0x84b67a68U,     0x98a58256U, \
    0x4709e006U,     0xaec77670U,     0x259fd1f3U,     0xe4c771a6U, \
    0x0c382747U,     0x983ee6b0U,     0xaebde931U,     0x6f01d028U, \
    0x1c205d36U,     0xfc45dd6fU,     0xbbc73aa3U,     0xa9082935U, \
    0xe58df458U,     0xc9cab656U,     0x43073accU,     0x5a0dc2cdU, \
    0xabd25abcU,     0x09c15a86U,     0x481344d7U,     0xb28b411aU, \
    0x00062701U,     0x558c54abU,     0xe33578ceU,     0x41abdb29U, \
    0xf5e78641U,     0x48dce9a4U,     0xf5583d29U,     0xbf077e62U, \
    0xf785e9e2U,     0x1173b480U,     0xcac9017dU,     0x6832bdb3U, \
    0xca56f8f9U,     0xbd7a8d96U,     0x0da0ec12U,     0x48399730U, \
    0xd1335bcbU,     0xd501fffaU,     0xe5bf57e3U,     0x811d33b5U, \
    0x70a8115dU,     0x19f2b2ddU,     0x4adb7959U,     0x51560eacU, \
    0xc468c743U,     0x3787c915U,     0x1861cba9U,     0x59d5459bU, \
    0x1e2bc0b9U,     0xff27bb46U,     0xa4b00e33U,     0x3b75ffcaU, \
    0xc37ee55cU,     0xe275bcdaU,     0xbd869dafU,     0x0aae1bccU, \
    0xb375ccdfU,     0xa5f4bbe2U,     0xbee1d1d0U,     0x9016f093U, \
    0x94f211c6U,     0xa91bec33U,     0x15e5f88fU,     0x900cafd2U, \
    0xdf6a1855U,     0x8ad0db83U,     0xb4fbc68dU,     0xc90c58acU, \
    0x67992834U,     0x7c4096daU,     0x04ca20d8U,     0x13c8a4f9U, \
    0x1c7c51abU,     0xd27dd4b3U,     0xb228fe05U,     0xf417e250U, \
    0x88ede3a1U,     0x4827ee9bU,     0x66327007U,     0xd6743752U, \
    0xdf17c9dcU,     0x2e4d98d5U,     0xea488d4aU,     0x465adf1bU, \
    0x3e58ea71U,     0xb6f473d1U,     0xe8f9f70bU,     0x109dc71eU, \
    0x9c8706caU,     0x8f3e39b4U,     0x4b6a0ed6U,     0x7139d7f2U, \
    0x5b6849caU,     0x82348c82U,     0x4ab75dfeU,     0x9a6ae68eU, \
    0x8c73f846U,     0xf1753db0U,     0x93b9b174U,     0xdc84bc8cU, \
    0x54cb5bbbU,     0xb172692eU,     0xab0c334fU,     0xfba92d82U, \
    0xc6ca9c9fU,     0xb500ed51U,     0xf478a2f4U,     0x8efedca7U, \
    0x974168f4U,     0x525eabd3U,     0x9f00a073U,     0x520fe384U, \
    0xe72bd8d1U,     0xba1368d6U,     0xfcb7ff2bU,     0x4b2270c4U, \
    0x8f7b1ba7U,     0x33b1af9aU,     0x68d4c985U,     0x57875f07U, \
    0x70a5ec70U,     0x045fda80U,     0x408491e8U,     0xd9cefd2cU, \
    0x79bc6734U,     0x16c11ff7U,     0x9d680127U,     0x433349d1U, \
    0x26fe5bb4U,     0xe5dc170aU,     0xa68e0820U,     0x2f09e958U, \
    0xaaabfcbeU,     0xaaf63f0dU,     0xb5fde5c5U,     0x5e0be76aU, \
    0x25119bfbU,     0x64535ca5U,     0x8502c5bcU,     0xade7621dU, \
    0x4e67fa56U,     0x8d6415b3U,     0x6a9533eeU,     0xb501fe22U, \
    0x519e9077U,     0x76b3208bU,     0x8a0f54aeU,     0xe87513edU, \
    0xedab6dcfU,     0xa3d4a182U,     0x9f83819cU,     0x1e8bcc55U, \
    0x5ec07fe3U,     0xdf1a6aecU,     0xbd1ab92bU,     0xaab04cebU, \
    0xf313707dU,     0x8e45b759U,     0xfad96980U,     0x32ed4d74U, \
    0x40aed565U,     0x66c587f9U,     0x513d5322U,     0x21519172U, \
    0x20b1110eU,     0xa2694efcU,     0x5060fe35U,     0xacff3364U, \
    0xcf632904U,     0xb11be484U,     0xc7b00668U,     0x15af5851U, \
    0x4e76edebU,     0x9c1a9613U,     0x882ab307U,     0xe6b91c72U, \
    0xa4cb3489U,     0xdb46607dU,     0x95c310c6U,     0xfb020bbaU, \
    0x851d00daU,     0xa7ecb75dU,     0x4e535893U,     0x72af8c1cU, \
    0x3c206ed6U,     0xc99d111bU,     0x3d07995eU,     0x8ed10887U, \
    0x0fc70182U,     0x31f7d2cbU,     0x799ab6b1U,     0x3aa74e77U, \
    0xd0847e73U,     0x199e0d0dU,     0x6a39cff0U,     0x7460cd3bU, \
    0x69e06d09U,     0x2d6a6e69U,     0xa4352af5U,     0xd5410861U, \
    0xe654666dU,     0x7eecbe03U,     0x133f36cbU,     0x5cdea899U, \
    0x11a39d30U,     0x30620b79U,     0xd4b1e905U,     0x897638ffU, \
    0x7f403052U,     0x67a0a065U,     0xbc7a466cU,     0x7a8cefecU, \
    0x3da36da4U,     0x78388614U,     0x45393819U,     0xe88f462aU, \
    0x2c818705U,     0x352dcee2U,     0xaa1d1456U,     0x1bac3f0dU, \
    0xabf0b2e5U,     0xd9c5a6f7U,     0x06e1c3bbU,     0xfd6e2493U, \
    0x6cf0c88aU,     0x37d2da64U,     0x2fdb903fU,     0x392cb759U, \
    0x02426a56U,     0xa0fba8a0U,     0x395d8348U,     0x95199581U, \
    0x5d64c340U,     0x24f2d597U,     0xdffb854dU,     0xe014361dU, \
    0xedacd1c0U,     0x09bbf7f0U,     0x812e30b7U,     0xadb99d65U, \
    0x17f7a942U,     0xed420709U,     0xb5c908c4U,     0x4b7848bcU, \
    0xea47e3e8U,     0x698a35daU,     0x34b4b501U,     0x206c62b2U, \
    0x336b31f6U,     0x1a5d680aU,     0xda3ea748U,     0xc841aa6fU, \
    0x3eed04b4U,     0x5cdcf50fU,     0x1c8557e0U,     0x3b50fab4U, \
    0x1393c6c4U,     0x0f379692U,     0xf584f4e3U,     0x5a41e20dU, \
    0x32a5d05dU,     0x8dc11203U,     0x1b4d8b8bU,     0x57fcedc2U, \
    0x3d4050d8U,     0xd5bba8bfU,     0xd97e057eU,     0x4e53c4a6U, \
    0xca0c945dU,     0xb93b8ad2U,     0x425879b6U,     0x1fd5bf7fU, \
    0x86904d67U,     0x11de4b3bU,     0xe0876e9aU,     0x90dbafc9U, \
    0x4ae0d08fU,     0xc875a3bcU,     0x84ed41c4U,     0x976c3a80U, \
    0x2f0a4963U,     0xc3db6085U,     0x031070ccU,     0xea29e328U, \
    0xd2a6cb9bU,     0xfab65aa5U,     0x3b7aa65aU,     0x03ad0590U, \
    0xbcbf91d4U,     0x915d1463U,     0xd5b71b0fU,     0x66ccdd74U, \
    0xdc2b365cU,     0x3fc2b7c9U,     0x5674f85fU,     0x0aaf11c2U, \
    0x0ef20eceU,     0xc4603b28U,     0xb8b84c40U,     0xf92e76d8U, \
    0x3d50ec8fU,     0x8d1cd081U,     0x57101812U,     0xa0253404U, \
    0x5ac9d6c5U,     0x304fd7beU,     0x9ebf1686U,     0x38cd6e10U, \
    0xcd79ff39U,     0x709cc69dU,     0xf3e33c81U,     0x6161fc26U, \
    0x7df49236U,     0x400e5d26U,     0x2312edf1U,     0x4796d240U, \
    0xbc160a95U,     0x39ee74fcU,     0xc05df050U,     0x095c8131U, \
    0x9a7c6207U,     0x7e48a5caU,     0x1cc719faU,     0x892a6682U, \
    0x2c677273U,     0x179ed71fU,     0xa8dccc87U,     0x5f106465U, \
    0x58748302U,     0xf08d7df4U,     0x179317d6U,     0xe1d76691U, \
    0x186e41edU,     0x7e665a21U,     0xc070bf11U,     0x6b641e36U, \
    0xb2aeda25U,     0x1ec3e54fU,     0x47f30bffU,     0xe0829e7fU, \
    0x16bdce38U,     0xbfcd6461U,     0x66fcddc7U,     0x37d63ed2U, \
    0x5165a48aU,     0x502f3489U,     0xf5a7b231U,     0xc33bfac8U, \
    0x77862e8dU,     0xf884b954U,     0xd34de65cU,     0x2187f61aU, \
    0xa314839dU,     0x89fbe5c8U,     0xea8875e6U,     0x506c7373U, \
    0x5a082d32U,     0xba2ac088U,     0xb716803dU,     0x8381e048U, \
    0xbbb68ea5U,     0x33d11bddU,     0x1c24f8ceU,     0xec9f693eU, \
    0xc51a077bU,     0x66d72879U,     0xb9bbe2c4U,     0x6ee3e00eU, \
    0xa944a865U,     0x21c1d8d9U,     0x8a285f56U,     0x777b8c6eU, \
    0x902aed1cU,     0xcd891a99U,     0x8977b30dU,     0x9cfbe79dU, \
    0x8e3f8a7fU,     0xef8d864aU,     0x5c856a80U,     0x24f5354dU, \
    0xd982419dU,     0x05bb6953U,     0x60cb3201U,     0x82cafd74U, \
    0xaa3c3e17U,     0xbd4c3b05U,     0x16fe354cU,     0xd6fad2a4U, \
    0xf7f6aa10U,     0x9f0df68bU,     0xe945fe84U,     0x9de83d38U, \
    0xe52eb367U,     0x84b8a266U,     0xe25086cdU,     0xf3418d99U, \
    0x2fb0c603U,     0x7cc8e216U,     0x42b04422U,     0x24a0ed94U, \
    0x7d38ad64U,     0x29a18d40U,     0x422eab37U,     0x6c62236eU, \
    0xaf0df9dfU,     0x911ab3deU,     0xb97e8e7cU,     0xe16fdc3aU, \
    0x9d54c542U,     0xd1d6f06dU,     0xcd321e9eU,     0x6d6da768U, \
    0x0a622d4cU,     0xa34cf260U,     0x9cfe4bcbU,     0x01378dc6U, \
    0xbcab31d6U,     0xcc360e1bU,     0xa5ccb369U,     0x7f88296fU, \
    0x044a4eefU,     0x1c56cd4cU,     0x881ffbb1U,     0xa0efd3fdU, \
    0x7e224548U,     0x77ef24dbU,     0x0f5429afU,     0x1a157d01U, \
    0x34063055U,     0x267bf9abU,     0x489734bfU,     0x4b256e0dU, \
    0xfe7c13b9U,     0x39100ba0U,     0xbb9a9657U,     0x1f96f37dU, \
    0x7b0a7e4bU,     0x34e5eeefU,     0x4f9a7c48U,     0xcc167dbbU, \
    0x8ce7df8bU,     0x59c2a0c0U,     0x4a3cfbeaU,     0x08f06a17U, \
    0x3df58fa5U,     0xea98bbb1U,     0xf8264977U,     0xf8be6ba3U, \
    0x1a615cfdU,     0xd7a5c779U,     0x77f5158bU,     0x837f5cb4U, \
    0xbfac4d6eU,     0xaff5e2feU,     0xe279dc72U,     0x9e1c4423U, \
    0x08cf9733U,     0x1faa50bcU,     0x999b1ed5U,     0x3ea9e874U, \
    0x0acc45afU,     0x33d69dc5U,     0xf57167acU,     0x02e484d9U, \
    0xf8690fedU,     0xa1d2686dU,     0xb7e7db8cU,     0x5ece1eb3U, \
    0xbbeb0c24U,     0x560880bcU,     0x1ebe8294U,     0x4066da98U, \
    0xfbedc95bU,     0x72d7ab0dU,     0xfe833c7fU,     0xe6ac4aa9U, \
    0xc3fd95e3U,     0xcd8f7464U,     0x62b718e4U,     0x86e020bbU, \
    0x38d44e0bU,     0x724b854dU,     0x1a51f002U,     0xbbeb69daU, \
    0x6c04ceffU,     0x865c71a5U,     0xd9aa2974U,     0xf06a51e7U, \
    0xa4bcfa61U,     0x25aa757fU,     0x588bca6dU,     0x7e51c25cU, \
    0x4bf582aeU,     0xb4fc14ffU,     0x06ddb3e2U,     0x0e230a6dU, \
    0x67c6632cU,     0x235cd4aeU,     0x3167c6c1U,     0x2080708dU, \
    0x6c5b23bfU,     0x01b20710U,     0xbd028499U,     0xf0e73f0bU, \
    0x4845a825U,     0x628d80ceU,     0x6f63eda5U,     0x110a1311U, \
    0x1aa4feefU,     0x4a92d90eU,     0xee6b2bf8U,     0xba808348U, \
    0xa0698d8aU,     0xa2250657U,     0x7e3b5761U,     0xf29d2bb2U, \
    0x5f4fecf1U,     0x616f2a1fU,     0xedf42905U,     0xeb6d2a33U, \
    0x857fbfe4U,     0x4cfa5724U,     0xf7712138U,     0xc648439eU, \
    0x3d6c4459U,     0x2b1a3d8bU,     0x2a1afa5eU,     0xae1cbd05U, \
    0x8ca42f4bU,     0xb916d9b1U,     0xec2a80caU,     0x9334ca31U, \
    0x0c81e170U,     0xfc561294U,     0x9c380ee6U,     0x7c3e2decU, \
    0x48a54363U,     0x68bb4ce4U,     0x8c7878e9U,     0x88891eb4U, \
    0xc8a5c449U,     0xba841145U,     0xfc59d60cU,     0x1af38d65U, \
    0x7186b59eU,     0x644f23e0U,     0xac1480a4U,     0xabf3d88bU, \
    0x852dcd28U,     0x61d58c6eU,     0x8c166b38U,     0xc94484ebU, \
    0xed1a76eaU,     0x2c75b619U,     0x982807f5U,     0x8abe2b20U, \
    0xdb18dc5eU,     0x5cb43082U,     0x4a04ca23U,     0xa3a8e4dbU, \
    0x6e19abccU,     0x8524440aU,     0xbb5ab63dU,     0xa2d3e55bU, \
    0x5fc82fafU,     0x78488ef4U,     0xd065f720U,     0x014e0dbfU, \
    0xf16c77bcU,     0xd45d16d1U,     0x6d1031d2U,     0xa47ef9ccU, \
    0xb75f3691U,     0xfed3c3f1U,     0x9cf3cec3U,     0x8f11af9cU, \
    0x3b1319e9U,     0xc7b8b353U,     0x3d142653U,     0x0a64f66cU, \
    0x5a5faf99U,     0x08000c3bU,     0xfe4dc95dU,     0x2a35f9a3U, \
    0xa21ff1f6U,     0xec238a79U,     0xc2177bcbU,     0x0fee2019U, \
    0xb93026f5U,     0x3349e6bbU,     0x7701a87dU,     0x519cd986U, \
    0x37010508U,     0x36f70d10U,     0x88f4593eU,     0xdf1096cdU, \
    0x5c7c4d1eU,     0x3f664752U,     0xca015dbdU,     0x6a32865bU, \
    0x5caff007U,     0x821a0780U,     0xa4c99376U,     0x925ff0d3U, \
    0x5d3fbf30U,     0x839c39b4U,     0xb50fa85bU,     0x86f8396fU, \
    0x02ce91b6U,     0xc6e17b04U,     0xfca9521aU,     0x488ad3b3U, \
    0x310d57a6U,     0x17d507dbU,     0x5c9cdcc0U,     0x38115f18U, \
    0xe3b2d535U,     0x69730c89U,     0xe392caebU,     0xe1db49b2U, \
    0xaa6836b6U,     0xf02a1006U,     0xafe818f5U,     0x8cf0efa1U, \
    0xf3bf6cfdU,     0xb541b1f9U,     0x9b3fb75fU,     0xe51418f2U, \
    0xc0e6c525U,     0xd5399aa7U,     0x2d8024a9U,     0x9fcbccbbU, \
    0x94b4148aU,     0xeff217fbU,     0x32a7b280U,     0x5f9b955eU, \
    0x49290b26U,     0xdd725535U,     0x23e3a066U,     0xd9d4ead2U, \
    0x3c74edcaU,     0x5768faf7U,     0x460674a5U,     0xb573baf5U, \
    0xbcfbcc98U,     0xe56cdc72U,     0x653452b3U,     0x09437bdbU, \
    0x126a17cfU,     0xbabe7ac7U,     0x882f0137U,     0xaf8d8599U, \
    0x700a7609U,     0xb011bb82U,     0x8d8efa66U,     0xf2dcc753U, \
    0x980c65dbU,     0x28f5e655U,     0x68e4e21aU,     0x864c403cU, \
    0xfb066f17U,     0x593406abU,     0xb90b7513U,     0xcc94349eU, \
    0x67c74614U,     0xde8f1e9aU,     0x5124c1dcU,     0x78d4641aU, \
    0xc5d49a59U,     0x036d4f0aU,     0x77ed11d3U,     0x9b7dc71aU, \
    0xdf5e6973U,     0xcbdabfbdU,     0x652aab25U,     0x25117b4dU, \
    0xdb7452b4U,     0x856b1edeU,     0x41724d74U,     0xe7d195ecU, \
    0xb3af7d02U,     0x2f87fd06U,     0xa36a36daU,     0xc648c027U, \
    0x3c1bc305U,     0xc2300e66U,     0x4c37be4aU,     0xf2d0c997U, \
    0x14f68eabU,     0xee381ee3U,     0x5f180092U,     0x96b06497U, \
    0x80468397U,     0x6fa6bfacU,     0xc9758561U,     0x620b2fa8U, \
    0x25252c89U,     0x6ac59a83U,     0xcf54b5b4U,     0x8c6942e8U, \
    0xd20a5e31U,     0xc801f67bU,     0x6fd8cf6dU,     0x63fc6637U, \
    0xdf310910U,     0xe024621aU,     0xaab51490U,     0xa8c29b80U, \
    0x52e90bcbU,     0x84af86a0U,     0x7a51edeeU,     0x19ae84e7U, \
    0x39b5cb4eU,     0x1f9470c1U,     0xd57c43b7U,     0xc0cd30a9U, \
    0x1941369fU,     0xb037e661U,     0x8727d586U,     0xcc982ed2U, \
    0x2461596dU,     0x1e748014U,     0x4ed65f18U,     0x1d6a0ae0U, \
    0xea03150cU,     0x74bf1288U,     0x3781e137U,     0xf0cca41fU, \
    0xdd2c625eU,     0xede3a692U,     0xef5d1d64U,     0xc58d145dU, \
    0x478b92b2U,     0xf303b589U,     0x56b67b1aU,     0x27493da7U, \
    0xf295b240U,     0xd24bcf62U,     0xcb879750U,     0x10bed9a7U, \
    0x65b94cc1U,     0x061e618bU,     0xc7eb0917U,     0x1f7d1cb7U, \
    0x681e3aa4U,     0xb2c6dbe3U,     0xa792d0d9U,     0xfc4dcd5cU, \
    0xa904337eU,     0x52412d96U,     0xc4ce6f32U,     0xb94bddf5U, \
    0x8128eb59U,     0xd4972c26U,     0x7af4155fU,     0x0bbcad09U, \
    0xf2051cffU,     0xc46d9723U,     0xc2ddfbf5U,     0x24883462U, \
    0x671fbde7U,     0x96ffe933U,     0x1475c562U,     0x3a07e38cU, \
    0x60655cd3U,     0x82db11d0U,     0xe5be97bcU,     0xf87d6b1fU, \
    0x0c87d420U,     0x16768651U,     0x66855d08U,     0x3f88fd00U, \
    0x9f4bf9a5U,     0xa90b60ffU,     0x8a0a66b9U,     0x88a16da3U, \
    0xde2f6d6eU,     0x99280b5bU,     0xfabd84e1U,     0x778cfe5aU, \
    0x613ba83aU,     0xfc0b793aU,     0x617e1471U,     0xa039eba6U, \
    0x780013b5U,     0xb4a01b26U,     0x2993170cU,     0x4341b54fU, \
    0xd859b1f3U,     0x43ca94d8U,     0xadba9f70U,     0x74c8db65U, \
    0x01fdae7eU,     0x2e0dd919U,     0x104c1cfaU,     0x157749ceU, \
    0x4d65ebc3U,     0xb1cad0f5U,     0xa48da481U,     0x8392657bU, \
    0xf68f1380U,     0x47658c5bU,     0xc74cdbf0U,     0xec5be40cU, \
    0x411eab03U,     0xb91a0ad1U,     0xd3907a09U,     0xf266b55fU, \
    0x17130293U,     0x02057212U,     0xc2361743U,     0x0a5d2d75U, \
    0xb6ce5759U,     0xb2581b47U,     0x345ea65bU,     0xe523456aU, \
    0xbccef4c0U,     0x2ed5f874U,     0xb65edb40U,     0x7ad19c99U, \
    0xfe601671U,     0x9e02e465U,     0x8de496c7U,     0x897d7211U, \
    0x4c3e5f3eU,     0x5d5c5401U,     0x2fc267aaU,     0x00fee7dfU, \
    0xf98a5744U,     0xc46b715dU,     0x9ba7afb8U,     0xd3c9b6ecU, \
    0x53439ed4U,     0xb4b7d015U,     0x5b552db4U,     0xf8ae55ccU, \
    0x573bf4beU,     0xe963d224U,     0xb26885f1U,     0x8b650e0bU, \
    0x496d325dU,     0xddb59ecdU,     0xb75f5a13U,     0x3ae5767fU, \
    0xf1961bc4U,     0xcf6999e0U,     0xc6b786bfU,     0x7152af4bU, \
    0xff3143eeU,     0x24b8226bU,     0x88808f48U,     0x61e04b73U, \
    0x81360c9cU,     0xb5e1eefdU,     0xc764ac46U,     0x65f5fe65U, \
    0xbb7758e6U,     0xd41ef6bcU,     0x5b42faa5U,     0xa3d5e2b1U, \
    0x3091520aU,     0xa0432a05U,     0xa1a748eeU,     0x47edd9f0U, \
    0x6cb24291U,     0x04d18a29U,     0xbf2633c7U,     0x5e1b0a36U, \
    0xca05c4a9U,     0xecc9eacbU,     0x236b95eaU,     0x2de68adeU, \
    0xf036dce3U,     0x7b6b0822U,     0xb9fbb228U,     0xff45d8d3U, \
    0x75582b66U,     0x70484a81U,     0xdf78f648U,     0x3282acfbU, \
    0x63fe63a4U,     0xdf33baccU,     0x125c968fU,     0xff499366U, \
    0x0b8df946U,     0x6a7305c0U,     0xf32f5939U,     0xe28a7f56U, \
    0xb858cea8U,     0x4b4d5f89U,     0x0bd29a40U,     0x5fc0e540U, \
    0x5bdf13baU,     0x5e0e0e98U,     0x1b8d559bU,     0x0a7c08dfU, \
    0xd128e78eU,     0xf62ed85eU,     0x4e8a111dU,     0x8e648b2bU, \
    0xbe182f20U,     0xc0456c68U,     0xfd909a8dU,     0xb7828bb5U, \
    0xc4a25f03U,     0x85491290U,     0x18f2c987U,     0x2ab6b5c4U, \
    0xc6e89f9dU,     0x7fb2a012U,     0x7b8a8635U,     0xcb498d95U, \
    0x59e9ae0aU,     0xdad376d5U,     0x97d6daceU,     0x74ce61c5U, \
    0xee6c7189U,     0x8b445fa6U,     0x9e0cbd26U,     0x37440588U, \
    0x7d3ba719U,     0xa5cb9b1cU,     0x84174e6dU,     0x62a44d74U, \
    0xd2a62605U,     0xb2b22e3aU,     0xeb848051U,     0x6c9d3655U, \
    0x923ff746U,     0x091b87a9U,     0xc3500825U,     0xb0f55fe8U, \
    0xbbbd8d00U,     0xafdb18caU,     0x5aad8dbcU,     0x29e0f4f3U, \
    0xae5bd98eU,     0x49a08435U,     0xec9a8e4dU,     0xfe0b4d28U, \
    0x917c2d2dU,     0x0b169a92U,     0x7f24fa51U,     0x190fd571U, \
    0x5d8446a5U,     0xadcec89eU,     0xbd7dc4feU,     0x3f3419acU, \
    0x319a8eadU,     0xa6faf413U,     0x6d28cd2fU,     0xb64a1863U, \
    0x7fdba0e8U,     0x759b490dU,     0x3bd9857fU,     0xa84e8c9cU, \
    0xac11aa0eU,     0x45f1274fU,     0x958fe77eU,     0x8727a5aeU, \
    0x9edc895fU,     0x3180c667U,     0xebc858b4U,     0x0482a614U, \
    0x2d42d56dU,     0xf6ae53c9U,     0xdefa6aa7U,     0xa53ea269U, \
    0x59a7597aU,     0xb735ee57U,     0x27e230d9U,     0x51c1510eU, \
    0x17df5fc5U,     0x3c97cea2U,     0x8ccb254aU,     0x787ab32aU, \
    0xc70dbe39U,     0x7ced8013U,     0xd2d68e05U,     0x449cb373U, \
    0x62b41616U,     0xfecaed9fU,     0x59e090f2U,     0xe78e21d3U, \
    0xcd63a263U,     0x0ac64798U,     0xcc1555e4U,     0xfbc681d9U, \
    0x63895978U,     0x268684a4U,     0xe1de9ea6U,     0x31fcd8e8U, \
    0x1ad64434U,     0x1177a00bU,     0x9fa20be3U,     0xad9c88ceU, \
    0x03fc177dU,     0x4bf5190bU,     0x2979b673U,     0xe937f324U, \
    0x866dff61U,     0xe1321e63U,     0xd104b66cU,     0x3ebd8860U, \
    0x76961752U,     0xb6b62575U,     0xe6bee5bbU,     0xfdea9f52U, \
    0x4fed51e0U,     0x348e2fe7U,     0xb09a412eU,     0x27191deeU, \
    0x100d86c7U,     0xe36814a3U,     0xf4f75626U,     0xa3a4986fU, \
    0x096c33e9U,     0xa7444e16U,     0xbe3037ebU,     0x04226b17U, \
    0x0956d9e8U,     0xe2fe3580U,     0x83aa01e6U,     0x78e0901bU, \
    0x07dbecebU,     0x561d32e1U,     0x8c7766d0U,     0x14bda90cU, \
    0xd1c01a88U,     0x11148b10U,     0xff1c6e0dU,     0x4437a1a8U, \
    0x4bc86b9dU,     0x2d965350U,     0x8c117199U,     0x324b29ebU, \
    0xd94d76d3U,     0xe213f0cdU,     0x5bed5619U,     0x0738da0eU, \
    0x61a43986U,     0xe6d0370cU,     0xc98afeb5U,     0x8be26fdfU, \
    0xa2e326b0U,     0x34791218U,     0x86e6ede2U,     0x009a2135U, \
    0xe89ea2b2U,     0x6998718eU,     0x6d563440U,     0xe81d2016U, \
    0xc24a257fU,     0x193e7f7cU,     0x77784adaU,     0x0ad98210U, \
    0xeda07245U,     0xcf1bb5e1U,     0x6b8ef36dU,     0x1fbc5aa1U, \
    0x95bef88eU,     0xbdfd453aU,     0x5a0daa07U,     0x28f0990eU, \
    0x146cf46aU,     0xfdd6951bU,     0xbf73859dU,     0xcfcb074bU, \
    0xded66f56U,     0x4da8a4c3U,     0x1f5c3d84U,     0x728f1180U, \
    0x9281147fU,     0xb387360cU,     0xa154640cU,     0x9b35e356U, \
    0x0cf5915dU,     0x5844bc3dU,     0xd4007a2aU,     0x6a70ed8bU, \
    0xadfa5575U,     0x2eae74b7U,     0x7eb960dbU,     0x45216f5dU, \
    0x3d885615U,     0x2fc72993U,     0x139809aeU,     0x311d53d2U, \
    0x0fe4c19dU,     0xede3a473U,     0x290e0a7aU,     0x8abd65b3U, \
    0xb43d9a90U,     0x0601c67bU,     0xa017ddb0U,     0x6e7d5f7aU, \
    0xdc26f32dU,     0x49109e16U,     0xb889a7a9U,     0x8c93543aU, \
    0x3c7ea229U,     0x7b7af079U,     0x633ee5b7U,     0x33afab86U, \
    0x45260381U,     0xe54f4dbcU,     0x5ccc7b4fU,     0x0a4f0746U, \
    0xbdab18b4U,     0x698c7e3cU,     0x9ebae93bU,     0xe797688dU, \
    0xb2812790U,     0x1bc41672U,     0x55998b11U,     0xbd5014e1U, \
    0x24309228U,     0xdfd475a4U,     0xfb842c04U,     0x21759ef9U, \
    0x7cc43619U,     0xf4a78a0eU,     0x5c49f881U,     0xd454d471U, \
    0x441c4d4eU,     0x3f4b04ccU,     0xcf2e82e7U,     0x4b38b772U, \
    0x904741ceU,     0xa5b9229aU,     0x599f6cd4U,     0xae236543U, \
    0x5e43f875U,     0xa4ac4f16U,     0x01474b05U,     0x28eb1652U, \
    0x57055a2eU,     0x5422fe9bU,     0xb9de2413U,     0xc3970bf7U, \
    0x3725c691U,     0x2cfb6696U,     0xcfbd2c5eU,     0x802d2726U, \
    0x2c6847cdU,     0x292582f9U,     0xccb39cd7U,     0xbecf20aaU, \
    0x2a2f6567U,     0xf95e9326U,     0x66780c05U,     0x2dbd51fbU, \
    0xa158a7faU,     0x18b84ca2U,     0x3eb06533U,     0xfdb23a38U, \
    0x7936a240U,     0x84d57a03U,     0x76491737U,     0xbddbd72cU, \
    0x8b693297U,     0xdb4fd4daU,     0x00e48bffU,     0x90c98335U, \
    0x8a919e6fU,     0x6e104c86U,     0x49e6aa01U,     0xf082dd3cU, \
    0xa490f7f9U,     0x61d2abe7U,     0x179e9742U,     0x7d10f265U, \
    0xf0dee651U,     0x2fed9039U,     0x784f9c84U,     0xd079e273U, \
    0x65e3f9e0U,     0x9443ac0eU,     0x44a08e11U,     0xfdf54f66U, \
    0x48245c6bU,     0x8a7573a1U,     0xd30c93c8U,     0x2c33fbc7U, \
    0x2bd87132U,     0x3bf2dc47U,     0xb30f01d7U,     0x4c118826U, \
    0xeb5ff992U,     0x5a4cbad6U,     0x78a6c6adU,     0x608932b5U, \
    0x69af8a59U,     0xac21055fU,     0x3969121cU,     0x5b3e0d65U, \
    0xb7e64099U,     0xba8c81edU,     0xb65eeec6U,     0x8700dee7U, \
    0x1f422e5cU,     0x9ea7a3cdU,     0xe54572b2U,     0xb368e19aU, \
    0x88cb7a66U,     0x2eddae17U,     0xa166256aU,     0x6143ac25U, \
    0x1a1046b1U,     0x253c6878U,     0xe4ea8cd4U,     0xc7c38950U, \
    0x255e617cU,     0xc6092d21U,     0x7f945d92U,     0x33b7b382U, \
    0x5bfaf58bU,     0x9bc09fb3U,     0x10bbd40dU,     0x6da341a6U, \
    0x34eeecd0U,     0xfad65481U,     0x368bf32cU,     0xbe0d8268U, \
    0x0f17c149U,     0x2d458bcfU,     0x110354feU,     0xa58a0fb8U, \
    0x03c43e84U,     0x2d07d403U,     0xecd973a2U,     0x15775949U, \
    0x2121440bU,     0xd5aceb74U,     0x7afee303U,     0xc8fac29eU, \
    0xafc469ceU,     0x1dd3ef62U,     0x9d8c030aU,     0x5f32f26aU, \
    0x1f68fe6fU,     0x3cdcfecaU,     0xf8c03b34U,     0xae439385U, \
    0xf7d3f96bU,     0x46ef1e49U,     0x0d09303cU,     0x75291102U, \
    0xfc0ac7c8U,     0x9517f1a5U,     0xfd379f8cU,     0x69305150U, \
    0x839fb413U,     0x5e6eff21U,     0xc7223f1bU,     0xcce67811U, \
    0x84334093U,     0x76627be0U,     0xae1363c9U,     0xff808459U, \
    0x48b7bd82U,     0xb3f2d475U,     0x9249ffeaU,     0xa6ef5c58U, \
    0x539d338cU,     0xaa080e3eU,     0x93908ae9U,     0x6350ae98U, \
    0x6573c1deU,     0xa1076ef4U,     0x4ad007c1U,     0x8315789aU, \
    0x2f8735d1U,     0x33425f32U,     0x8b1f653aU,     0x958a435eU, \
    0xc7784715U,     0xebdae3ffU,     0x400f46c4U,     0xb7186433U, \
    0xc74e4ec4U,     0x2dfc1774U,     0x5ab88de5U,     0x6895d7d6U, \
    0x96a46517U,     0x7eabbeb5U,     0x147d714aU,     0x755f22beU, \
    0x6274c447U,     0x037d9cecU,     0x2966d2a2U,     0xccd8ba8dU, \
    0xc4882482U,     0x5ab24d8cU,     0x7e185892U,     0x8a5d824bU, \
    0x9ba59715U,     0xbab5d476U,     0xe7a8df02U,     0xb228fcfeU, \
    0x97330194U,     0x332ad0c7U,     0x9ad24883U,     0x005db0b8U, \
    0x00fa9546U,     0x55595756U,     0x62a33518U,     0x282f96beU, \
    0xcb706492U,     0x4cf914bcU,     0xef93ed98U,     0x5a8d7294U, \
    0x1129d9c6U,     0x1c4f1e94U,     0x046410b3U,     0x17e50dc5U, \
    0x023e3b86U,     0x5c29685fU,     0x35e48033U,     0x04436e1aU, \
    0xff89ab3bU,     0x2a2a80a9U,     0x5bcfd99fU,     0x69f0056eU, \
    0x7080e216U,     0xb5a6ef84U,     0x4271cf71U,     0x3d4a3d59U, \
    0x4cc62832U,     0xb46a03c9U,     0xebcd8f44U,     0xdfa90a2aU, \
    0x58257b13U,     0x292609a4U,     0xd7a3180dU,     0xf6389c27U, \
    0x26631d2bU,     0x39640ff3U,     0xece5f2f4U,     0xcd169d66U, \
    0xb4345235U,     0x3996c96dU,     0x5bc07d7cU,     0x070456f5U, \
    0xbd7eb252U,     0x6c1905d0U,     0x06d12e0dU,     0x68c77e72U, \
    0xdb674566U,     0x69d92e61U,     0xe45d0735U,     0x510306f5U, \
    0x23d840f9U,     0x0f4ec0f0U,     0xfc36c1d3U,     0xd02d593dU, \
    0x3ae4477eU,     0x463fcc91U,     0x7afe27e2U,     0x6fe61091U, \
    0x0163fa23U,     0x672fb9e0U,     0x4e026965U,     0xfc90018cU, \
    0x32663af0U,     0x97bd0a1bU,     0xc5c2d4a2U,     0xdebe8cb3U, \
    0x839d9747U,     0x4b508947U,     0xcb120271U,     0x56fe093cU, \
    0xd3c92bdbU,     0xae4a9f89U,     0x67206306U,     0xe93f0662U, \
    0x97e831eaU,     0xe22985edU,     0x581af821U,     0x7e9c607fU, \
    0x139c70aaU,     0x41fa5ba9U,     0x2f9feeefU,     0x065c6a42U, \
    0xc2b14d72U,     0xaa7ce8d3U,     0x95944273U,     0x9703a6fdU, \
    0x58137c05U,     0x9bfe1182U,     0x2395409eU,     0x09480967U, \
    0x36aaff54U,     0x0e4ccb93U,     0xd8ddc56cU,     0xb1d83e50U, \
    0xf9128646U,     0x973e1d31U,     0x9c8ba630U,     0x5721fffeU, \
    0x57add102U,     0xc94aa53cU,     0xddb70a5dU,     0xa57f98a8U, \
    0xf204d6c1U,     0x6ee4c695U,     0xc4235065U,     0xad5158f0U, \
    0x19bcdc08U,     0x4e871331U,     0xa8002105U,     0xfe5abd99U, \
    0xd0c8d457U,     0x429d8a8aU,     0xcf084b14U,     0x2a3dc120U, \
    0xab9293eeU,     0x8ebb6d16U,     0x9cd45db7U,     0x9d952e45U, \
    0xe5436b32U,     0x03e261f0U,     0x645be50aU,     0x253e3e5cU, \
    0xfe9c48c1U,     0x2d238784U,     0x8075a940U,     0x82a216deU, \
    0x1f6d580bU,     0x0520b4b6U,     0x5c907c83U,     0xe5fe1b1cU, \
    0xe59f9382U,     0xb27b5456U,     0xbbb46930U,     0x42195633U, \
    0xc15a3ac2U,     0x33b7bebcU,     0xab6eb25bU,     0x51882f0aU, \
    0x2a05da6dU,     0xbc65f006U,     0x896154d1U,     0xbcf9de05U, \
    0xb1532c61U,     0x79cd5782U,     0xa507f5d0U,     0x23a261f3U, \
    0x683b3398U,     0xed86d98aU,     0x9c09bf66U,     0x77b2800bU, \
    0xcd6a4689U,     0x6d7d8dfdU,     0x49faae8fU,     0x5fdb7730U, \
    0x819600b3U,     0xcc4eebb9U,     0x8b50c6fdU,     0x73ae63d7U, \
    0x137442d0U,     0x0f07d572U,     0x6131daccU,     0x8dce8a48U, \
    0xb925870dU,     0x2f980bdbU,     0x6a976824U,     0x1c270507U, \
    0x04b8014bU,     0x25c8da25U,     0xb4514333U,     0x03534683U, \
    0xe9d6d67aU,     0x5803c8a0U,     0xe42f18e4U,     0x3d4a288fU, \
    0x482b25d8U,     0xc4ce0224U,     0x47fe60c0U,     0xa8b462d6U, \
    0xffcf0e0dU,     0x9dc8dac1U,     0x15c314e7U,     0x571f4ebfU, \
    0x8678ab44U,     0x46e878b2U,     0x789d2a6bU,     0xf79be19aU, \
    0x4d877615U,     0xf534148aU,     0x1e6c6f5fU,     0x87193d09U, \
    0x274afafaU,     0xb27c6f0eU,     0x512a5e8cU,     0xb823df34U, \
    0xc3d18b8aU,     0x471a4e3aU,     0x05487beeU,     0xf82ab49eU, \
    0x3a3d2f84U,     0xcb271276U,     0x0f8c670dU,     0xa2895615U, \
    0xc9cc5e98U,     0x189b2ecfU,     0xd91adb5aU,     0xe6a0984dU, \
    0x469c22edU,     0xfcfe799cU,     0xd2b9fa7dU,     0x5233339aU, \
    0x9ecede1cU,     0x14f72d95U,     0x300d029cU,     0x0ab97c1dU, \
    0xc3670edfU,     0x3db5f9deU,     0xadeca0caU,     0x35384cf0U, \
    0x433fd425U,     0xa6522626U,     0x6a00ee64U,     0xcc3e1d04U, \
    0x72a4f637U,     0x6c550058U,     0x0e6d7eb2U,     0xa1b7a923U, \
    0xd2b0ec13U,     0x11470163U,     0xa0545603U,     0x3a69d80eU, \
    0x4ce3f628U,     0x43ea7136U,     0x46ab4001U,     0x367f6d23U, \
    0x6d6e7b2aU,     0x9cf1265cU,     0x100eda2aU,     0x5c15ebf4U, \
    0x51fb9209U,     0x9e845468U,     0x685b2d14U,     0x19cc1a5aU, \
    0x950ff343U,     0x71c4f894U,     0x6b403e9bU,     0xb774c843U, \
    0x44b18619U,     0x60b8c7ebU,     0xa13c738cU,     0xc91a1adaU, \
    0x375ec901U,     0x8f6dbdadU,     0x450d484bU,     0x7054f9daU, \
    0x3c7e612fU,     0x58a4d46bU,     0xe76f2022U,     0xc1498483U, \
    0x97281383U,     0xfd4c458bU,     0x384aa635U,     0x4dd41a40U, \
    0x737d2b71U,     0xd442a691U,     0x303baf28U,     0xe483e8e9U, \
    0x001e381fU,     0xbd15c10dU,     0x01d0a91eU,     0xee31211eU, \
    0x425bb93dU,     0x5c7d617aU,     0x076bd2f8U,     0xd1b328c9U, \
    0x4130c3efU,     0xe1b851e9U,     0x5e462137U,     0x4b22f99bU, \
    0x75c7c921U,     0x42984979U,     0x0f42be4cU,     0xfaf4fd26U, \
    0xfc33720aU,     0x6aabb382U,     0x4c4c0e14U,     0x2f4bbbb3U, \
    0x3721c01eU,     0x4853d2a8U,     0x4a29ee53U,     0x465c7ce2U, \
    0x347e2c81U,     0xd9f744acU,     0x67e5c421U,     0x2e6b1dbfU, \
    0x776343a8U,     0x44c26362U,     0xafd2d91fU,     0x4bf57299U, \
    0x834b8525U,     0x1a07140fU,     0xca467fbfU,     0x1b20484dU, \
    0x2819aacfU,     0xfa6d0d1dU,     0x389c8053U,     0xa48346c9U, \
    0xcb6ec30aU,     0x07a3bc0cU,     0x94d42c98U,     0xac59bd6fU, \
    0x14f8cdd1U,     0x16c20ae7U,     0x559504f1U,     0x5bafcabeU, \
    0x3acd8adbU,     0xf9a4abe5U,     0xb309486cU,     0x38517171U, \
    0xef6a6815U,     0x03d1e726U,     0x0871c34bU,     0xe9118f6aU, \
    0x4a218ec4U,     0xac0e5cbcU,     0x3d8c8dd1U,     0x27e270caU, \
    0x2409123bU,     0xf0efe1beU,     0xcb1acfe4U,     0x26cbb8deU, \
    0xbf010018U,     0x8eab86cfU,     0xd3021a5eU,     0xdaa8b46aU, \
    0x07612fcbU,     0x551573ebU,     0xab7ef638U,     0xe55e039cU, \
    0x73196a54U,     0xf7e0c9f7U,     0x7eab8e6fU,     0xc0a5baf1U, \
    0x672578a9U,     0x720efd61U,     0x46c0e650U,     0xf22d2edbU, \
    0xecca967aU,     0xb2fce3a4U,     0x4eff97aaU,     0x93290aacU, \
    0x986b0ec0U,     0x149c36f8U,     0x01c08c3aU,     0x93ae8745U, \
    0x03823eceU,     0x5427fdd5U,     0x65c947f8U,     0x1b0009c9U, \
    0xa20f1c5eU,     0xa9d0c1e6U,     0x113c6cb2U,     0xc3421402U, \
    0xa7469ba5U,     0x463fb73fU,     0xeffc68fbU,     0x2704b9feU, \
    0x5fb01e73U,     0x5096a007U,     0x01ce4a13U,     0x138cc93bU, \
    0xee65b813U,     0x1895d916U,     0x88c9e4c0U,     0xc7216b0eU, \
    0x7691087fU,     0x81ff1121U,     0xe77fd7d9U,     0x94007617U, \
    0x6b1dd5ccU,     0x61b40ca1U,     0x5dcfd973U,     0x93aa6e33U, \
    0x653e6402U,     0x0507a538U,     0xf6611a2bU,     0x9af1b6a3U, \
    0xa854ed86U,     0xa7f9fab8U,     0xbccc35f0U,     0xd390d05cU, \
    0xf853cac2U,     0x0ccc8873U,     0x668cdbbdU,     0x3f7a67a4U, \
    0xe5f594a6U,     0x611a74d7U,     0x5ef24742U,     0xb6d93ed6U, \
    0xb4cdfbbaU,     0x69de25c8U,     0x4f664d81U,     0x1389ddb6U, \
    0x8030f0ceU,     0xf58c1788U,     0x9ff34513U,     0x66e3d330U, \
    0x27ffeab9U,     0x3ffe919eU,     0x7a5793e3U,     0x30ab58c0U, \
    0x301571b2U,     0x54004616U,     0xb9a3aec6U,     0x2692b7edU, \
    0x6b4d51ddU,     0xa34b23abU,     0xca64d484U,     0x8b17750bU, \
    0xa1d63a47U,     0x4cb60b39U,     0x841934cfU,     0xbff5b03eU, \
    0x21db9b35U,     0xf57d6a3dU,     0xab25ee38U,     0x36996b6aU, \
    0x47eba628U,     0xff256dbdU,     0x443e8956U,     0xbee119a2U, \
    0x9accf064U,     0xf8d99989U,     0xfc5b30d6U,     0x832ae74dU, \
    0xa4e7aea0U,     0xe5a3e933U,     0x519340faU,     0xedcff5b7U, \
    0x18a4a57dU,     0xce48d599U,     0xf7d46528U,     0xf14be027U, \
    0x945350dbU,     0x4158908aU,     0x2cc2b88cU,     0x9f846f16U, \
    0x0d2474fcU,     0xabc5ec82U,     0xe555554eU,     0x16602c02U, \
    0x2a8e72f3U,     0x4db23b56U,     0xaef52172U,     0x041b4852U, \
    0x6763e5a6U,     0x7842ac35U,     0x158398baU,     0xb643e544U, \
    0x01866809U,     0xa374856eU,     0x056d21b5U,     0x3283a762U, \
    0x817f246aU,     0x88de1601U,     0xbb0cf013U,     0x1b8c18fcU, \
    0xe4415924U,     0x1db357feU,     0xa04e16ceU,     0x074d0a7fU, \
    0xa7fe412dU,     0x5bcaecd9U,     0xfcf8e35eU,     0xf08419a4U, \
    0x958a6588U,     0xa5398c69U,     0x632c8b34U,     0x5852cc56U, \
    0x9d9d8ae5U,     0x31307b62U,     0x01dc080fU,     0x809f3c71U, \
    0x1b771d83U,     0xd5698388U,     0xbcba3971U,     0x2d419fe2U, \
    0x0e79da03U,     0xf89964eeU,     0x347ea4efU,     0xa0e32f3bU, \
    0xe267e8c9U,     0x62d8db5fU,     0xeefe7b46U,     0xc52df94cU, \
    0x6068e3d7U,     0x24d114a2U,     0xf28e6eb9U,     0xd71bf01aU, \
    0x418fcbf1U,     0x0e57e773U,     0xbe5fc8edU,     0x964254d9U, \
    0x14040616U,     0x5e63cb6bU,     0xcb4f96c3U,     0x7ac630a3U, \
    0x1443e7a7U,     0xbd2a11a4U,     0xd92b69faU,     0x56929edfU, \
    0x6e9f4e7cU,     0xbada871eU,     0xf5b4469aU,     0x9b5b0577U, \
    0x62d0b2e8U,     0x96f718b2U,     0x5e9fbe9eU,     0xa758ac54U, \
    0x9eae72c9U,     0x9600e7bcU,     0xd7ed46beU,     0x68828ef2U, \
    0x1bef383cU,     0x279c5936U,     0xc4a61f19U,     0x4ca5e794U, \
    0xf4341ac2U,     0xd0a8313cU,     0x20ff3f31U,     0x0cfc130fU, \
    0xa06d4e2fU,     0x90a91ca3U,     0x68249c09U,     0x51e00034U, \
    0xb9163e8fU,     0x275e2ddaU,     0xee36e8ceU,     0x249bcff7U, \
    0x9f84a000U,     0x53af55deU,     0x861f066bU,     0x556619a9U, \
    0x4acbd7c2U,     0x04ac5a61U,     0xc0d56396U,     0x47e6352bU, \
    0x4073e772U,     0x39b52386U,     0x335e1b3fU,     0x8e27fc16U, \
    0x5bf83cffU,     0xfbe0ba72U,     0x5c84a5e6U,     0xe2081a83U, \
    0x0c2b1432U,     0x17421334U,     0x1f456138U,     0x0bbadf6eU, \
    0x19a4d415U,     0x13900de9U,     0x09582955U,     0x4f0c6c7dU, \
    0xc4ddb4f3U,     0xcedb28c4U,     0xcd28d26cU,     0xce5e3135U, \
    0xacca3699U,     0x16f24450U,     0x545377d6U,     0x70c386feU, \
    0x8eb8332aU,     0xfe58718aU,     0xed9beb27U,     0x4384586bU, \
    0xf37a3f2dU,     0xe8bbdfd9U,     0x491673f9U,     0x708c7512U, \
    0x5db536d5U,     0xa3f901efU,     0xd033b0eaU,     0x166c6c8aU, \
    0x3f73497dU,     0x6a0ea5eeU,     0x5eea6713U,     0x9b76bc0fU, \
    0xd974e027U,     0xe595b8faU,     0xce897961U,     0xea2116b9U, \
    0x439e496aU,     0x5ffb2ed3U,     0xfed20909U,     0xcab1c287U, \
    0x3323565dU,     0xdb962aaaU,     0x50349ebdU,     0x4ad37576U, \
    0xd900bb5bU,     0x2841d860U,     0xd6a8a2abU,     0x8929433aU, \
    0xcff5ac10U,     0xe77dee59U,     0x00c6839aU,     0xc35e3855U, \
    0x4fd10c61U,     0xa1c5b77aU,     0xa69ed432U,     0x77cdc752U, \
    0xb0d74101U,     0x92be8eb0U,     0x2ebd8feeU,     0x0dc5284eU, \
    0x6220fe2cU,     0xd42e5cc9U,     0xa37a85f7U,     0xa14ad880U, \
    0x9138f7a7U,     0xddcbf350U,     0x03cc8fa9U,     0x84713e07U, \
    0xc6a99e61U,     0x939185d3U,     0xbd83eb14U,     0x57f1d81cU, \
    0xd4604bb5U,     0xa3095d4cU,     0x3ed975beU,     0x230a932eU, \
    0xe947c593U,     0xd45747e6U,     0x5499522eU,     0xf1e4d3f6U, \
    0xeac80003U,     0xad5cbeeeU,     0x2d4c7b26U,     0xc5e5df80U, \
    0x519ba658U,     0xefc66355U,     0x920d92b0U,     0xec9823c7U, \
    0x797c5102U,     0xa883e63cU,     0x3ea6dfaaU,     0xd8724c68U, \
    0xac9b4d83U,     0x1bc16a66U,     0x966f44feU,     0x8d54e0feU, \
    0xd476cbadU,     0x5ae48ad7U,     0x9753fbeaU,     0xab7df7d3U, \
    0x1548007dU,     0x6ff8d31bU,     0xc101b6aaU,     0x36991140U, \
    0x2b2785f9U,     0x1fa9e6e9U,     0x62c35404U,     0x2b5dd5c2U, \
    0xe971aa99U,     0xa05df285U,     0x0f5b3c5fU,     0xaecdd601U, \
    0x0eb5f68bU,     0x2ce1ee2aU,     0x13b243b3U,     0x0d2e20ebU, \
    0x51391d03U,     0x76e5a287U,     0x186be2d8U,     0xb4ac86edU, \
    0x0231a60fU,     0x4ef6e26cU,     0x51a047afU,     0x65253883U, \
    0x12344006U,     0x4d3122d7U,     0x05058d37U,     0xd23d0a06U, \
    0x907abae6U,     0xd2cf1d3eU,     0xcee01ad8U,     0xb316e3afU, \
    0x414ca731U,     0x8c224bfeU,     0xc7446cbaU,     0xdff54db6U, \
    0x9004cbaaU,     0x7d075bc4U,     0x27c1378fU,     0x464ba087U, \
    0x651b59f9U,     0xee28690eU,     0x71842d2eU,     0x655c2a60U, \
    0xf1894af1U,     0x3c972d6dU,     0x2fc6724fU,     0xae0d8e83U, \
    0xfc376f79U,     0xac46284fU,     0x9316c4a3U,     0x27c688d1U, \
    0xea4dfac4U,     0x1542e61cU,     0x4cafdeecU,     0x0470cfe3U, \
    0x76380642U,     0xaee945a3U,     0x8ec5322cU,     0x489b2789U, \
    0xa0687b46U,     0xb97e0f92U,     0x138d3415U,     0x83dc6092U, \
    0x1c7f4c02U,     0xcc1d9145U,     0xdcf48cfaU,     0x5c1449b6U, \
    0xf39e43afU,     0x45925d37U,     0x6a9932c4U,     0xc362df7dU, \
    0xa297ce95U,     0x0910629cU,     0x2660a294U,     0x1f1da448U, \
    0xa916b291U,     0xc8b3053bU,     0x515e4653U,     0x3023f62aU, \
    0xe7171541U,     0xc9b64b57U,     0xa1cd8fd4U,     0xd61e8188U, \
    0x9e0d6580U,     0x8d9abd8fU,     0x9a6a7063U,     0x370a796cU, \
    0xae3205e2U,     0x83d6e7a0U,     0x7f858259U,     0x4a5f7d2cU, \
    0x20c5fe16U,     0x0185b669U,     0x1a238863U,     0x6c4f1e8fU, \
    0x74125703U,     0x9bd85273U,     0x8003d950U,     0x3e376d3aU, \
    0x7860ae39U,     0x31ac4103U,     0x4bc85dabU,     0x774b6a39U, \
    0xf71fb904U,     0xec50d3dbU,     0x77fffc95U,     0xa6eb60d8U, \
    0x095a6bb3U,     0x2e6e65e9U,     0x62100b48U,     0xecfac2b4U, \
    0x7a77cec4U,     0x6832bec3U,     0xe25dde34U,     0xbf842228U, \
    0xcf719591U,     0x264b9906U,     0xe2c5c652U,     0x238121c9U, \
    0x86f28c54U,     0xb710d649U,     0xcc361327U,     0x07349fd2U, \
    0xf3356df3U,     0x188af1b3U,     0x648d620bU,     0x898589b7U, \
    0xba77d812U,     0x665f095fU,     0x25b780e1U,     0x2f61bdc4U, \
    0xfd949c3bU,     0xdf127230U,     0x54cf4a27U,     0xa4a1d586U, \
    0x1b3f193fU,     0xbc0d8dccU,     0x9a06046bU,     0x92cba8b3U, \
    0xc9a40728U,     0x3c2cbc1aU,     0x92abd16fU,     0xab76a939U, \
    0x3dce4398U,     0x99a2f2f2U,     0x01039ea6U,     0x6c5cd80bU, \
    0xd232246fU,     0x27a91fc9U,     0x501a8664U,     0x9da7f237U, \
    0xd2f842c8U,     0x384464c6U,     0x209853f4U,     0x77889386U, \
    0x55cef3d1U,     0x2e6c6347U,     0x5b385a35U,     0xe31f4d03U, \
    0xfb5477cbU,     0xac29bd70U,     0x1897aa7bU,     0x536e600bU, \
    0x06932f88U,     0xad2d97d5U,     0xccad1e8eU,     0xfddf0690U, \
    0x407ca8e4U,     0x0fc7dfa1U,     0xe7dcdfd0U,     0xdcca5b61U, \
    0xc6b6eb5dU,     0x4bfc409bU,     0xc37a3fcfU,     0x86159dc4U, \
    0xeaffcc8fU,     0x91364ffbU,     0x173a558eU,     0x5ce6ebd1U, \
    0xba405a79U,     0xeef90403U,     0x97f775c2U,     0xa8a541e7U, \
    0xd5ac17e1U,     0x8adcdf96U,     0x292b49d7U,     0x327d645cU, \
    0xbf11bc9fU,     0xe01002c8U,     0x20e6053eU,     0xdcf9f009U, \
    0x3a7de884U,     0xce43a1e0U,     0x67cb2eccU,     0x093a4812U, \
    0xc966a0acU,     0x42b8deafU,     0xc26aa713U,     0x56650af6U, \
    0xac0a5489U,     0x6399d51bU,     0x635aec45U,     0x5b78f7b8U, \
    0xf4e335e8U,     0x0854b3cdU,     0x7236b70eU,     0x8e7cb003U, \
    0xa5d35a7eU,     0xaa9c0faeU,     0xfb98d6e4U,     0x7ffb2753U, \
    0x8c5e8e47U,     0xb7c37090U,     0x535db090U,     0xdad1b4a5U, \
    0xe31a1d9cU,     0x9906143eU,     0x69e1c43aU,     0xb917f307U, \
    0x1c5e194fU,     0x10fb52c3U,     0x16e361c3U,     0xe8ba0fdeU, \
    0x7ff5cd64U,     0x71991515U,     0xe7665778U,     0x3f2311c2U, \
    0x2cdf176eU,     0x878e137cU,     0xc68ef50eU,     0x7f01b3faU, \
    0x9a4b7ec7U,     0xa5865cebU,     0x703ee7efU,     0xb318e69aU, \
    0xb1c42200U,     0xa48e48bfU,     0xf739d88dU,     0x4d6e1701U, \
    0xacfcbe33U,     0xf5493795U,     0x5a122368U,     0x662e363fU, \
    0x73fc53c8U,     0xf5436c29U,     0x00aa242cU,     0xe310fd99U, \
    0x255e537aU,     0x0012ebacU,     0x8d00f43cU,     0x2d2ba2f3U, \
    0x03dc55c7U,     0x3613ab81U,     0x89ce84edU,     0x03e7b0a0U, \
    0xfd89f313U,     0xdcf0c6c6U,     0x494ebafeU,     0x646b619bU, \
    0x13cc40caU,     0xe55d662fU,     0xa148afeeU,     0x17435d77U, \
    0x607915bfU,     0x54d7cdf5U,     0x1649bff8U,     0x0dc0ae2aU, \
    0xab92612dU,     0x4bdc75acU,     0xe77bc29eU,     0x29f04898U, \
    0x5395d7c4U,     0x6391f9d1U,     0x30c7916fU,     0xa2b33ed7U, \
    0xb8bbd3a0U,     0xf3660372U,     0xc77f2d79U,     0x62597927U, \
    0xf1ffadbeU,     0x34fc9d90U,     0x65eca8f6U,     0xd901a3fdU, \
    0x2107d674U,     0x68b3f650U,     0xeaeee74fU,     0xa0a7f184U, \
    0x925f549eU,     0x3db6827bU,     0x290f24cdU,     0xdaf6aedaU, \
    0xc798e4e7U,     0x52a93db6U,     0xb04eb6a1U,     0x8c676543U, \
    0x04e53563U,     0x1214955eU,     0x5072910fU,     0x8ea8ce9bU, \
    0x82d844a6U,     0xb09861c4U,     0x0f2edf35U,     0xa00502d1U, \
    0x5beb0708U,     0xc7ca3ed6U,     0x1bd2f7a0U,     0xf61a3079U, \
    0x34845835U,     0xb237d38dU,     0x41605ad1U,     0x9dfbb3f4U, \
    0x899fd355U,     0xec148e71U,     0x9de7b689U,     0x86fed868U, \
    0x03a47092U,     0x9367ed2aU,     0xa97a2712U,     0x193c78aaU, \
    0xbb72492fU,     0x0ea40f9eU,     0x14098373U,     0x68cbfaeaU, \
    0x163e6208U,     0xc1d70257U,     0x93c8b193U,     0x2ae54ab3U, \
    0x17579da4U,     0x6412632aU,     0xcb35cef0U,     0xcf4ebedbU, \
    0x5deaa063U,     0x34447af7U,     0x6857de33U,     0x16670173U, \
    0x8d9bf15aU,     0x94631ec6U,     0x8b83883dU,     0xc86e1facU, \
    0x8b98969bU,     0x163daecdU,     0xe2e4d7beU,     0x2d36ac96U, \
    0xa82e60ebU,     0x86ba2a44U,     0xa9cf08e5U,     0xedc441f4U, \
    0x714f4eb4U,     0x8c31d6d1U,     0x62283991U,     0x5e421f8aU, \
    0x143f62f8U,     0xa3472566U,     0x548f4f35U,     0x00b758d3U, \
    0x55415572U,     0x0436f837U,     0x8c4b2b5fU,     0x6bfd9c0cU, \
    0x7b96ebfbU,     0xdf8dc65aU,     0x3c51f7baU,     0x2bc0b13eU, \
    0xf11eb090U,     0x718a921dU,     0x4b189507U,     0x1b0bab7bU, \
    0xa11b74f5U,     0x64bb13a1U,     0xe0df6b72U,     0x234e18cbU, \
    0x8e2430a8U,     0x7601b64dU,     0x764657e0U,     0xc28e14ccU, \
    0xb1aae188U,     0x167183d5U,     0x5532cd4aU,     0x01a4c7e0U, \
    0x3cfee510U,     0x505566ddU,     0xc70c4757U,     0xa41eb67cU, \
    0x713f9da2U,     0x15715ff0U,     0xce47b4ebU,     0xb0ba3b15U, \
    0xde0a711eU,     0x3da31fe9U,     0xe8905c61U,     0xd9ef4a76U, \
    0x6163648fU,     0x0d9b88caU,     0x7126a202U,     0xf5b43ea3U, \
    0xf4d9d0eeU,     0xc8a20452U,     0x4b5eedbbU,     0x53daa469U, \
    0xec64d6beU,     0x334a4c85U,     0x8f95e35dU,     0x3081108fU, \
    0x190c3393U,     0x87de2a0cU,     0xbfd8c5cfU,     0x780ab1ddU, \
    0xd400990eU,     0x0a01d04eU,     0x4f84d87cU,     0x09fea9cdU, \
    0x3753b11fU,     0xf708175dU,     0x92adf7a3U,     0xe98bf72dU, \
    0x6d1e8bd4U,     0xd2b1a3c7U,     0xa93ce50aU,     0x9c397db8U, \
    0xbcb0705fU,     0x60312ef8U,     0xf9c68487U,     0x6572d8d4U, \
    0x77ccd1eaU,     0xbd31146dU,     0xa45700baU,     0xe85f282bU, \
    0x56cc5edfU,     0xa78447bcU,     0x88c8cb0aU,     0x09cf1ad8U, \
    0xc94e5a78U,     0x1d2fb619U,     0x37a53988U,     0xb287240aU, \
    0x9a712a63U,     0xfd79840eU,     0x3b3ec8ecU,     0x71f1b455U, \
    0xd365afd7U,     0x857e0929U,     0xe8dd0bf2U,     0x4c2dbae9U, \
    0x8f4380aeU,     0x47a56c50U,     0xa28e42d0U,     0xccef48d3U, \
    0xb5c77cc8U,     0x1abd0725U,     0x4fe56166U,     0x6152e33eU, \
    0x30c02608U,     0x93c035c3U,     0x07ef195cU,     0x9dcbe0efU, \
    0x2f13e0f3U,     0x3461edafU,     0xfcfa36d2U,     0x56828449U, \
    0xda8afc9cU,     0x9b2e5413U,     0x92bf23ceU,     0x0bfedcd6U, \
    0xd2a1347eU,     0x0900d7f0U,     0xc36940fdU,     0xc65f231bU, \
    0x8b99ed4dU,     0xade8f537U,     0x22651f4dU,     0x17ff3f2eU, \
    0x5ac881e4U,     0xe66d852cU,     0x5c9a325eU,     0x46fb66b8U, \
    0xf6796c4cU,     0xa528cb2dU,     0xdd92db3dU,     0x53862480U, \
    0x0e6e4f20U,     0x09ae6745U,     0x4bfcb736U,     0x7a7a1a49U, \
    0xaf472d3eU,     0x5846ad7aU,     0xcd2af21eU,     0x688ddb5eU, \
    0xc5fee62cU,     0xe889d4acU,     0x1debe813U,     0x4b462541U, \
    0x4daa4116U,     0xbf202b89U,     0xe90f4ca4U,     0x7c958a74U, \
    0x4a97dea7U,     0xd5b6aa50U,     0x9c0059adU,     0xabdbbe9cU, \
    0x57fb9563U,     0x28311a07U,     0x02698ab9U,     0x94aca4cbU, \
    0xf802e4e4U,     0xa7b6cda2U,     0x84b66478U,     0x066ccca1U, \
    0x916b6c1eU,     0xf81e724bU,     0x64c02ca0U,     0x013605a0U, \
    0xc3a703b6U,     0x2b2e50bfU,     0x0d96e36cU,     0x1e28becaU, \
    0x2b402572U,     0x757f2b96U,     0x4304e255U,     0x402904b9U, \
    0xff48511aU,     0x41107a45U,     0x2e3035a6U,     0xa6ae0207U, \
    0x82a955f5U,     0x47bb56e3U,     0x68bcdc8dU,     0x42b56bd5U, \
    0x7d3b73c2U,     0xe10a70a5U,     0x9f31c6c4U,     0x666017f1U, \
    0x6762dcb7U,     0x5426d6a1U,     0x49073d88U,     0x4d63bba4U, \
    0x5d01c8d0U,     0xd384b73bU,     0xb4736f2aU,     0x8dded06eU, \
    0xccfca010U,     0xa7f0f532U,     0x0192731eU,     0xef2234ebU, \
    0x3ac5cec5U,     0x30ea385dU,     0x5dfe0702U,     0x26f66a92U, \
    0x1c2de42eU,     0xfb27a340U,     0x8c6b4aa9U,     0x27ac4b7bU, \
    0x33d6b525U,     0x5e661874U,     0x56078636U,     0x4e6f2321U, \
    0x74ed7a57U,     0xf96c225fU,     0x55db387fU,     0x4202b154U, \
    0x5737ad10U,     0xc3a14046U,     0x5d3584b4U,     0xa882b5b1U, \
    0x87d39a38U,     0x03004f08U,     0xaef7c7a7U,     0xc2b59af9U, \
    0x6ca01a87U,     0x1b2d4a37U,     0x912cdaebU,     0x7cb4e3e9U, \
    0x526b890eU,     0xa523c769U,     0xaa402296U,     0x06b0daa5U, \
    0xd13d871eU,     0xbcebada5U,     0xf61d5861U,     0xdf7767d6U, \
    0xc69e24e3U,     0x246a8709U,     0x937f2b5cU,     0x2c061ecdU, \
    0xf15ea943U,     0x35fdcd0cU,     0x2ff9cedfU,     0xb5375ac8U, \
    0x0a5a9067U,     0x232c0687U,     0xeb36d5afU,     0xcd49a00fU, \
    0x7c9f1e59U,     0x58161b45U,     0xc4c29119U,     0x554daeb5U, \
    0xd610b691U,     0xac56ac20U,     0xda0d260fU,     0x5010b740U, \
    0x4104bdd7U,     0x25b4922fU,     0x06803a7fU,     0xe7a8845aU, \
    0x0b41fb07U,     0x4a581d32U,     0xd7d8496eU,     0x5e2efde8U, \
    0xd61cd183U,     0x1330fe18U,     0xce03ed75U,     0xd98756eeU, \
    0x242ea8a5U,     0x8571860eU,     0xcc05adf4U,     0x2800d7f0U, \
    0xcfea3ed4U,     0x53713c89U,     0xe71200a5U,     0x92adb026U, \
    0xc03b7712U,     0xbcff6b5bU,     0x149b9687U,     0x85c019f7U, \
    0x6cc03982U,     0x850a7123U,     0x4b2eaf07U,     0x253ed18aU, \
    0xeef5819fU,     0x246a2de8U,     0xa69b2c0cU,     0x603ffa40U, \
    0xe63aec55U,     0x6fd39b53U,     0x48d28764U,     0xfe0e0b29U, \
    0x99389b96U,     0x003e184bU,     0x800d81d5U,     0x3cfacc8aU, \
    0x4ad0a3cbU,     0xe96bc53dU,     0xded36d43U,     0x523d4f14U, \
    0x196241a9U,     0xe27d3d69U,     0x40569f51U,     0xece0aee3U, \
    0xd592599eU,     0xc944e445U,     0x1caeabbaU,     0x9c0e9dfbU, \
    0x411fe884U,     0x016e4fdcU,     0x0b1831a9U,     0xf0b72b64U, \
    0x3f762a0fU,     0x5e8e40f5U,     0x0c5e0835U,     0x79b072d2U, \
    0xa2915d8cU,     0x443ac9b4U,     0xdcdfee09U,     0x7f1c667aU, \
    0x7c7fe34aU,     0x503a1a3eU,     0x9bc05577U,     0x9349d864U, \
    0x36ffe984U,     0xc16bae76U,     0x3d444e62U,     0x57c8be10U, \
    0x2411fe0fU,     0x604c3542U,     0x259c4460U,     0x87a39e06U, \
    0xc1743600U,     0xdefa0cb8U,     0x9eb7a8c0U,     0xd9896c10U, \
    0x9d889dd9U,     0xcc7c8dacU,     0x627da01dU,     0x524a9225U, \
    0xef34fdf6U,     0xc0714eeaU,     0x49af1834U,     0xed08a745U, \
    0x4ae11000U,     0x5bc6c0a0U,     0x6775a98cU,     0xfb83b05fU, \
    0xc8014833U,     0x0960a799U,     0x8fae0f37U,     0x11c1f2feU, \
    0xff031575U,     0xc877d5bcU,     0x7d11306eU,     0x88a8663bU, \
    0x5a20c92eU,     0x0f4b0501U,     0x1f32b507U,     0x07ee56eeU, \
    0xe568657aU,     0xd8b9d36dU,     0xf17b8af1U,     0xd9e8aee4U, \
    0x23fc9efaU,     0xa3b6844eU,     0x56645c8aU,     0x326c1a31U, \
    0x936f039dU,     0x307b637dU,     0x111d3fffU,     0xd44e6814U, \
    0xa666efdbU,     0xa215b346U,     0x40a3293eU,     0x1d32d699U, \
    0xe8f690d8U,     0x7247c31aU,     0x6a5a87deU,     0x20e965c7U, \
    0x0a518136U,     0xefdc01b4U,     0x24366e1fU,     0xabf8d466U, \
    0xc2aa2c9cU,     0xbf9e8774U,     0x2370c944U,     0x4b75f677U, \
    0x3b348c2eU,     0xcec92db8U,     0x1126b8aaU,     0x1cd5feb9U, \
    0xcd4ae41bU,     0x9802d3a4U,     0xb4e2eea5U,     0x06ed41afU, \
    0x5a4cb96aU,     0xa057c8b8U,     0x443bed65U,     0x942dbfd1U, \
    0x72fce2ffU,     0x3db28486U,     0x8d4f7c88U,     0x180a6266U, \
    0x4c478d38U,     0x01db8292U,     0xdee955b9U,     0x7bc43870U, \
    0x63ab933dU,     0xaf8d5d44U,     0x0af83da2U,     0xc0a9ae19U, \
    0x8c454988U,     0xd9900b7cU,     0x88479ae4U,     0x948fcf80U, \
    0xd5a19a06U,     0x121c3976U,     0x1d7d78f5U,     0xde8f344cU, \
    0xe79a7081U,     0x495186d9U,     0xe31504ddU,     0x34b7e665U, \
    0x72cbee37U,     0x2a440278U,     0x0ac4e5d9U,     0x5ca5d0d7U, \
    0x8558170dU,     0x14965986U,     0x251f65bfU,     0x47400d13U, \
    0x059c4dd3U,     0xb1ec3d73U,     0xed45cc6aU,     0x0184e372U, \
    0x314c3a3eU,     0xab47532eU,     0x0c989867U,     0x59f4531bU, \
    0x33428b07U,     0x91b45e87U,     0xe5d018f1U,     0xb7acf6afU, \
    0xfb6c4954U,     0xd0cf0fe8U,     0x319d9a46U,     0x06c25641U, \
    0x08ea6e02U,     0x856bfef0U,     0x967336ffU,     0x69c06243U, \
    0x5d317821U,     0x46d8df62U,     0x2f71fd66U,     0x2835c274U, \
    0x10d1c645U,     0x8a19ce5cU,     0x26542d51U,     0xba983ec2U, \
    0xf5995064U,     0x70c7fe5bU,     0xc072db45U,     0x51a8d39bU, \
    0x76e46ebdU,     0xc3330898U,     0x36c05968U,     0xe3e6ef1aU, \
    0x5773c701U,     0x9920371cU,     0xec43e774U,     0x9bf3a914U, \
    0x92e9ff82U,     0x8c455433U,     0x704307c8U,     0x471027caU, \
    0x5d4aa0a0U,     0x24e0ddd9U,     0x8d55cae3U,     0xdcac3adfU, \
    0xb49f1647U,     0xa72bd763U,     0x1ce733e5U,     0x85d7525fU, \
    0x66bbe4cdU,     0x07f9ed23U,     0xe3448d6aU,     0x0148b048U, \
    0x41c246ceU,     0xa82d9c20U,     0xeae2463cU,     0x95604bb4U, \
    0x511a39f3U,     0xfd38edb1U,     0x8c329710U,     0x0d8ed9b5U, \
    0xc04260c0U,     0xc35888fcU,     0x44b65de4U,     0xcdcbf1bdU, \
    0x4f9f4307U,     0x67f6855aU,     0x64f54cf8U,     0xeae5e651U, \
    0xc0672189U,     0x4106a52dU,     0x99913a67U,     0xe1447692U, \
    0x4c1fea62U,     0x82347c74U,     0x8f71b2d4U,     0x88683d13U, \
    0x05722bfaU,     0x85f5c5f9U,     0x3df3444dU,     0x40635793U, \
    0x2efec6f2U,     0x14e68758U,     0x76dbf9ebU,     0x2119b225U, \
    0x9d71b009U,     0x8cd2f597U,     0x32ba9645U,     0xb6be33edU, \
    0x2e763c36U,     0xf6ca4f4cU,     0x18f37aceU,     0x9b0cac66U, \
    0x9a33e498U,     0xf9efe9e3U,     0x5bd7c2a4U,     0x2014180dU, \
    0x26e2811aU,     0x6f8202f9U,     0xf3a901aaU,     0x30aecc2bU, \
    0x108f11d0U,     0xcd2963d7U,     0x07b698aeU,     0x82b902e6U, \
    0x1f56d4acU,     0x049584bcU,     0xac9fdd33U,     0x2d577c2eU, \
    0xfdca193eU,     0x7228ba09U,     0xb6038f73U,     0x455ca7e2U, \
    0x530dfa71U,     0xe56929cdU,     0x5563abc8U,     0x9b2912b8U, \
    0x4d1cda9bU,     0x7452fa26U,     0xaa6f1dceU,     0x96c40490U, \
    0x74bfb062U,     0x5953e1f5U,     0x70969ae1U,     0xae936459U, \
    0x428615cdU,     0x3efd864eU,     0xc052219fU,     0x7b3edcb4U, \
    0xcd68bddbU,     0x58aa2580U,     0x87af1249U,     0xa5231b8bU, \
    0x6de85e96U,     0xb6dc5f44U,     0x68de5b0aU,     0xbcfa19f6U, \
    0x623b83b6U,     0x5b8f9d3dU,     0xf70f1f1cU,     0x9f955c2eU, \
    0xc73e5341U,     0x66fe8e85U,     0x92443cd8U,     0x5608eb0cU, \
    0x07a8bbf6U,     0xd6f1c1e1U,     0xa8dc5f69U,     0xece7bdaaU, \
    0xe4b08684U,     0xb73a0252U,     0xbb5808eaU,     0x288da136U, \
    0x4a21075cU,     0x9c54b99cU,     0xcec25626U,     0x705e78b4U, \
    0x1de5b1bbU,     0x048fdbecU,     0x6f00e65bU,     0xf5feec90U, \
    0x6d4d00a4U,     0x1bff32f1U,     0x37c8aff6U,     0x4b71c265U, \
    0xacafb602U,     0xa697595eU,     0x4570036bU,     0x640ec901U, \
    0x9b1628a9U,     0x14611497U,     0x9b5dc3d0U,     0x8448dc4eU, \
    0x8fa7ef0cU,     0x14d4110fU,     0xd65f7a98U,     0x2d2ef430U, \
    0x86d127feU,     0x465bde56U,     0x0f86f1ecU,     0xbdb96ba4U, \
    0x2127023fU,     0xd82d7374U,     0x8775d580U,     0xbc589674U, \
    0x99fc3d71U,     0x8b891722U,     0x4d65b10dU,     0xbc9bd40fU, \
    0x415637efU,     0x956827d4U,     0xe69930baU,     0x31464f1cU, \
    0xb4a7cb06U,     0x2a60b527U,     0x8702a5baU,     0xdab6e231U, \
    0x401be9e6U,     0xd05cd40aU,     0x86f0a63cU,     0xd2ac2665U, \
    0x06e21c79U,     0x7befcc57U,     0x3f7798b4U,     0x9538ca55U, \
    0xb29d33f6U,     0xbfdfdc5fU,     0xd378ca35U,     0xbbcca98eU, \
    0x7921d4e0U,     0xee601512U,     0xea539df0U,     0xd44dbdf2U, \
    0x47930310U,     0x58ececd0U,     0x120812bdU,     0x619c99b6U, \
    0xb79de2fbU,     0xa55abae1U,     0x5a04c3c9U,     0xac96199dU, \
    0xf2da2164U,     0x32b9b552U,     0xefe85296U,     0x868af1e6U, \
    0xdd9f943cU,     0x827026a3U,     0xa44affe6U,     0xcf276387U, \
    0x82e5e30cU,     0xd0aa28bdU,     0x57fa4fadU,     0x1d8c8bd2U, \
    0x0b38757bU,     0xd7119f60U,     0x45f9403dU,     0xd47d1676U, \
    0xab8b8b70U,     0x12031f8dU,     0x1814f12fU,     0xda376080U, \
    0xe1747052U,     0x8c400299U,     0xce723926U,     0xd5099fb8U, \
    0x91113de7U,     0x5920626fU,     0xf84ea21dU,     0xdd1d7a09U, \
    0x7a93683bU,     0xd1833b6eU,     0x216c7177U,     0x5649b870U, \
    0xae9c8d95U,     0x6ebb7371U,     0x16730190U,     0x9d255506U, \
    0xd8c7f011U,     0x5c12f352U,     0xcb040f3aU,     0x8a3a9053U, \
    0xc7c196e1U,     0xf6d4b70fU,     0x0edafe85U,     0xfc8d1ac6U, \
    0xfaa499d1U,     0xe285e737U,     0x27a5e40cU,     0x4edc06aaU, \
    0xcaf965bdU,     0x7d8f7a7aU,     0xcc253f3dU,     0x73610297U, \
    0x087c2a99U,     0x1278421aU,     0xbb79958dU,     0x768d57e7U, \
    0xf1ecfd99U,     0x46f7a177U,     0x58170d59U,     0x388025deU, \
    0x95165de4U,     0x84a0c736U,     0x26f4024eU,     0x65478cc6U, \
    0x944431b1U,     0x6b32bdddU,     0xf8d5f728U,     0x5c36ce54U, \
    0xa7044b37U,     0x0cd57136U,     0x024eca49U,     0xfcac2116U, \
    0x16ae40e5U,     0x2cfab894U,     0x98a2e1cdU,     0x30f3df11U, \
    0x79c4d442U,     0xe4a389a4U,     0x96aded46U,     0x852301a6U, \
    0xb756040dU,     0x7fba3fceU,     0xeaa94f4eU,     0xdcf1de24U, \
    0x22499037U,     0x0708cbb1U,     0xb7974857U,     0x5b3d98c7U, \
    0xd4214db7U,     0x0f789036U,     0x04e6fa08U,     0x460c7409U, \
    0x4dd75978U,     0xf29abe9aU,     0x3d40dca7U,     0x491e6b08U, \
    0x9d7be3ecU,     0x8adc420cU,     0x97ffdf37U,     0xf7b6e594U, \
    0xf712d788U,     0x84dba6f6U,     0x335010deU,     0xc19b5bdaU, \
    0xc258060dU,     0xe6ab6ba4U,     0xb4026bbeU,     0x12ba1526U, \
    0x8422edcbU,     0xa1a14a56U,     0xf3a1a091U,     0x56ce4e33U, \
    0x297bea51U,     0x9235cf70U,     0x879a5241U,     0xc3f1f334U, \
    0xd5e29a6cU,     0x567fc9b8U,     0x8ab25078U,     0x5df3a99cU, \
    0x2bfa47cdU,     0x7116fde6U,     0x7a5a1764U,     0x82fa4861U, \
    0x1f82fceeU,     0x56a63e9fU,     0x118d4dc2U,     0xebfeb64cU, \
    0x45571e32U,     0xfdd2d2fbU,     0x590b5061U,     0xd2ee1bafU, \
    0xb0a7f799U,     0x977361aeU,     0x084532caU,     0x91ce4060U, \
    0x41a1f312U,     0x7d321ae9U,     0x7af30aeeU,     0xfe67c0edU, \
    0x453a6ee8U,     0x3e4010f0U,     0xaf96c814U,     0xffff856bU, \
    0x1306cf4bU,     0x6a2dacbfU,     0x83ba4b65U,     0xe5402a4cU, \
    0xcb961199U,     0x8811e85dU,     0x24133af9U,     0xa0bb3b38U, \
    0x315d0e60U,     0x6517a46fU,     0x03f6e810U,     0x856fcc5bU, \
    0x67c50c33U,     0x5f21aa5fU,     0x35c88053U,     0xeb26855bU, \
    0xfe0f77bcU,     0x90953b93U,     0x92889180U,     0xdffebebfU, \
    0x52761b7fU,     0xcb111d0bU,     0x344f9d89U,     0x4f76d731U, \
    0x5139b56dU,     0x507dd778U,     0x80778e2fU,     0xc1dcb912U, \
    0xcd572d81U,     0x29ce2bf4U,     0x1652dc45U,     0x2a53d011U, \
    0x319a5610U,     0x199ee3e6U,     0xa0a47cf4U,     0x584c712dU, \
    0x3040a74fU,     0x0c678929U,     0x618d87c1U,     0xde30a723U, \
    0xb25bde16U,     0x99e2d955U,     0x882dc0f4U,     0xd602c9dcU, \
    0x1def8845U,     0x0386335fU,     0xe9833557U,     0x30c3f379U, \
    0xfe6f049aU,     0x7b60432eU,     0xa755c289U,     0xe48d4676U, \
    0x0b29f85eU,     0x3094fbdcU,     0x43ac1e0eU,     0x43eb5648U, \
    0x3d610eb0U,     0x649face8U,     0x32d832beU,     0x73b74ca7U, \
    0x531a2bcbU,     0x999dabf7U,     0xf8a30f20U,     0x2c76de76U, \
    0xed672fccU,     0x14bfcc87U,     0x1f8d9e73U,     0xab7a63c3U, \
    0xce19ff78U,     0x946a8392U,     0xe2d5faf6U,     0x4659756dU, \
    0x7670da63U,     0x147b9177U,     0xcd33ed38U,     0xf7f028d8U, \
    0x9026388fU,     0x7ce89468U,     0xf4778f00U,     0x178a1e06U, \
    0xba623367U,     0xe352ffedU,     0x911fd225U,     0x5780b593U, \
    0xa3b4c538U,     0x0903f370U,     0xf2068e2dU,     0x007159b1U, \
    0x1f809625U,     0x3735ac29U,     0xe5c72324U,     0xcefdcccbU, \
    0xcf9c1e56U,     0xf4969741U,     0xe96192d2U,     0xbdd16ed5U, \
    0x430ae39fU,     0x49cb4ddeU,     0x7a8bcd4eU,     0x843c60fbU, \
    0x9c40a4b9U,     0x5a1afe8cU,     0xcd29f167U,     0x173347eeU, \
    0x21cf49c3U,     0x0a4f5737U,     0x13ba5ec0U,     0x11500c02U, \
    0x583fb0d3U,     0x3904bdc6U,     0x82646892U,     0xa7450bd4U, \
    0x0c082e74U,     0xf6c793faU,     0x8bf1fdc3U,     0x309d10f9U, \
    0xb5c4d407U,     0x216ce60fU,     0x5d170491U,     0x1b41f3c1U, \
    0x7d3f7787U,     0x1191723bU,     0x5eed786bU,     0x01cdd9feU, \
    0x5a571e93U,     0x1bef10b5U,     0xa8d2e609U,     0xf37da29cU, \
    0x65a52b87U,     0x1ac8fb4eU,     0x63eb6130U,     0xf7ada44cU, \
    0xcc44a23cU,     0xe78b6ba5U,     0xc7cf77bcU,     0xdd7c7486U, \
    0x1c415316U,     0x81614314U,     0x530fa8b6U,     0x2c5d8d34U, \
    0x66d695bdU,     0x9bbcdbefU,     0x2e999addU,     0x62b1d956U, \
    0x6b3c268aU,     0xb128ad68U,     0x37519d87U,     0x933d3595U, \
    0xa4ceb3f8U,     0xd8f15c75U,     0xa327e29aU,     0x9470f634U, \
    0xea719389U,     0x2c5265e0U,     0xf9aa7432U,     0xe35d2389U, \
    0x087f842cU,     0x8e1db54fU,     0xb72b99c0U,     0x81298a00U, \
    0x287ee584U,     0x5a31bec9U,     0xc2ea32dfU,     0x591fe198U, \
    0x40ef3e25U,     0x38badf3aU,     0x312c7498U,     0x29ab5497U, \
    0x9d1b760fU,     0x40deed57U,     0x3b5dcf12U,     0x8a6c634cU, \
    0x0d96be3fU,     0xaabadda6U,     0xbce20cb3U,     0xb906b4d6U, \
    0x981d330aU,     0x4d91f812U,     0x8b6b2e18U,     0xbe43e486U, \
    0xb89f2dc2U,     0xc9708c76U,     0xcb4a8b1dU,     0x1e06ea5bU, \
    0x08aafab9U,     0xd1945fcfU,     0x8ba4a990U,     0xa748acdfU, \
    0x19d93ac2U,     0x546c9c64U,     0xa10d67d7U,     0x6fb9b3f7U, \
    0xa42ba5c7U,     0xc5788b9bU,     0x2eafda68U,     0x438f12f8U, \
    0x862ec44aU,     0xfac5a4faU,     0x9b765beeU,     0xc565f7dcU, \
    0x9537e20dU,     0x27e30eccU,     0x13bd8b69U,     0x2ffce6d8U, \
    0x354ad9f9U,     0x7b238b49U,     0xa74ee332U,     0x3a1ea721U, \
    0x31765ceaU,     0x05e8b6c6U,     0x93b34445U,     0xb82511acU, \
    0x461b2fdeU,     0xf0faefadU,     0x317d158eU,     0x08ffc740U, \
    0x9e6e197dU,     0xfc783d62U,     0x04cf11f2U,     0x12bd7c40U, \
    0x8a2d83d2U,     0xdbef23d3U,     0x6f079fb8U,     0x779c3e96U, \
    0x65900aacU,     0x930e4cc6U,     0xa164c325U,     0x1484d8c7U, \
    0x24e6cd35U,     0xda9136c0U,     0xf6fd0e8bU,     0x245eb0aaU, \
    0xe46863fbU,     0xdf98261eU,     0x900776cfU,     0x1142886bU, \
    0x06c3e47cU,     0xf2598a43U,     0x97139c4fU,     0xfb3dc9f7U, \
    0xf046cae3U,     0x71f88de6U,     0x2e244b7dU,     0x6d920235U, \
    0x3cc9fdc9U,     0x25892fc4U,     0xcfbf9cc0U,     0x2c78f9cfU, \
    0x374c87c8U,     0xb52ec373U,     0xec792799U,     0x051f98f0U, \
    0xff7d3778U,     0x9455fea6U,     0x43430305U,     0x7341625eU, \
    0xfe80a2adU,     0xb32122edU,     0xcfec0196U,     0x6a5dbedaU, \
    0xdbc4ba67U,     0x2835e17cU,     0x7b8cbd45U,     0xa6bb3f5bU, \
    0x21555e12U,     0x6009a6deU,     0x454708f3U,     0x12e3e1c0U, \
    0xa85a5210U,     0xff83d2c2U,     0x698ed9e0U,     0x5cae07d1U, \
    0x883269e6U,     0x9c99f31eU,     0xec66a102U,     0xae3b2df1U, \
    0xb73ce2f8U,     0x291b0b7aU,     0x165be211U,     0xf01a641eU, \
    0x10ac53f0U,     0xafeecc2bU,     0x0ebdb259U,     0x9d2bf0e1U, \
    0x25832baaU,     0xa5791ccbU,     0x1a20c4f3U,     0x5050e88cU, \
    0x10bd4c02U,     0xd60a0affU,     0x7ed4b184U,     0x9b141b9aU, \
    0x033e61f5U,     0x613d7d54U,     0x29268c92U,     0x43074c5dU, \
    0xc7f9c703U,     0x6849507fU,     0x25e18a1bU,     0xb4e9b767U, \
    0x592c8095U,     0x4bd495d4U,     0x0f4b919cU,     0x9b98cbceU, \
    0x51d2ebb0U,     0x0faef5a5U,     0x7227424aU,     0x771c2482U, \
    0x3611c68fU,     0x214d78c8U,     0x10be8a85U,     0x73cf1851U, \
    0xe16b1017U,     0x633ad8d5U,     0x9be9902aU,     0x222c01a2U, \
    0x979a13f4U,     0xd4b23e9bU,     0x05acc546U,     0x6ddc239fU, \
    0xac43e9bdU,     0xeecfc50fU,     0xd8951b4aU,     0x74a01f41U, \
    0xc6eb8f9eU,     0x97bc329dU,     0x8812c1deU,     0x9e91cc93U, \
    0x5ec6bfefU,     0x1548d3ceU,     0x1dd98cb9U,     0x62c9b4bbU, \
    0x9b78812cU,     0xde11d0d5U,     0xa6fdf00eU,     0x7f9b6e27U, \
    0x9da2333dU,     0x0095eecaU,     0x69f0b5bfU,     0x9c093e06U, \
    0xf1767bd2U,     0x9b586546U,     0xe1e85455U,     0xfdf247b8U, \
    0x6d611876U,     0x1bca62c6U,     0x3a122aedU,     0xe0b3675fU, \
    0x1516fd11U,     0x697a96a8U,     0x22a339f3U,     0xebefebddU, \
    0x1b01ed0fU,     0x6bd67e4eU,     0xb0107a87U,     0x324356beU, \
    0x1ca2d8cbU,     0xd05c2a55U,     0x9894f208U,     0x4129f8d8U, \
    0x9e15e7b0U,     0x54305f27U,     0xc78ef23aU,     0x88213765U, \
    0xb96ef26bU,     0xbcc5d3ecU,     0x3a1dc7ccU,     0xc8166637U, \
    0x372ce77eU,     0xb61cba40U,     0x8908eb12U,     0x9d67ba66U, \
    0x8267512bU,     0xec4993c7U,     0x71da181fU,     0x119c4d3dU, \
    0xce458889U,     0x3cf0285bU,     0xac6bf4b3U,     0xc7f22163U, \
    0xbabcf03aU,     0xb7825da8U,     0xe7e6b530U,     0x8584a18eU, \
    0xb3c78a50U,     0x670a4dd0U,     0xf4ea94f6U,     0x59255b09U, \
    0x3e817b1dU,     0x6daccaf3U,     0x95a2610bU,     0x996bf29cU, \
    0xb9436914U,     0xb16345b5U,     0xb290a9bfU,     0x61d0d4c4U, \
    0xa52eae80U,     0x7afc0ed6U,     0xf1e3f873U,     0x5e17e9efU, \
    0xf3410835U,     0x8a2e2415U,     0x12558a5aU,     0x29215e3fU, \
    0x8fe6e783U,     0x970ecb57U,     0x33e3a659U,     0x1f746391U, \
    0xbec222dcU,     0xa0cd7856U,     0xe3ab3e9aU,     0x78f451abU, \
    0xbd2fd7d4U,     0x34ca2ac4U,     0xd606fc38U,     0x43eef49fU, \
    0x520372cdU,     0xba24dac9U,     0x2d89022bU,     0xfe71720dU, \
    0x8dfdc66eU,     0xcf99fdd6U,     0xdba84050U,     0x02824879U, \
    0x56ebb3efU,     0xa82f46a3U,     0x685850d5U,     0xf5d2ea75U, \
    0x22062e24U,     0xc6949ceaU,     0xac7e99eeU,     0xccfe39d6U, \
    0x173c847cU,     0x1508e508U,     0xac5844d4U,     0x89cd0c00U, \
    0x1d941ed5U,     0xa2e4abb8U,     0x99e02016U,     0x896fc57dU, \
    0xa04539a7U,     0xd26c4879U,     0x0eb739b0U,     0x72be7680U, \
    0x531ec239U,     0x11edbaa6U,     0x88806ef6U,     0x0534210eU, \
    0xa85092eaU,     0x14c741d3U,     0x5e42683fU,     0x501b164bU, \
    0xecad19c9U,     0x12d1f508U,     0xde3869a1U,     0x93f0eaa2U, \
    0xc392b129U,     0x451a3e9dU,     0xa4fd676aU,     0xa937b13dU, \
    0x767e828dU,     0x058f6cc2U,     0x07b063ddU,     0x330d90b4U, \
    0x79e04971U,     0x6c186928U,     0x2b3d0207U,     0xa14d3c29U, \
    0x90cb3e78U,     0x64786afdU,     0x83eac55fU,     0xee44c9dcU, \
    0x2c1d0054U,     0x7c4a2731U,     0xd887738fU,     0x695f3ce1U, \
    0x421f5d6eU,     0x9ff9069cU,     0x4b2a28cbU,     0x8d58ceadU, \
    0xce09492fU,     0x458fabb6U,     0x6331cf94U,     0xd14643c5U, \
    0x4ece9d50U,     0x61378d71U,     0x1b325949U,     0x765bfcbfU, \
    0xeebd9e42U,     0xe5e6de67U,     0x4c08e6faU,     0x3fe8ae45U, \
    0x236bbe2fU,     0xab2e763cU,     0xf2d1c9abU,     0xc47a5722U, \
    0xf8b1477aU,     0x446f19f6U,     0xbbac516bU,     0x57f3318cU, \
    0x86470229U,     0x46108733U,     0x47b66adbU,     0x8150ceffU, \
    0x492a0cabU,     0xd605d21cU,     0xdf0fd2c1U,     0x9f60de3cU, \
    0x7fa1f185U,     0x1b1e7486U,     0xb709526cU,     0x2024007fU, \
    0xa353a3d8U,     0x06d6d812U,     0x1e692035U,     0x72dff303U, \
    0x00cdc736U,     0xa630b8bcU,     0x57f543caU,     0x186271d0U, \
    0x2b9c355fU,     0x249466e0U,     0x194bae00U,     0x81a7a4c5U, \
    0xf43c573bU,     0x4e467b0eU,     0x482f5d36U,     0x71f69344U, \
    0x5b9b2559U,     0xce7d9ec4U,     0xf577ebabU,     0xb2531082U, \
    0x963671fcU,     0xc46d2e49U,     0x49a4b522U,     0xc247aa05U, \
    0x3530c34eU,     0xd4a06150U,     0xc987d87cU,     0x929e2c42U, \
    0x072b0481U,     0x033fdd3cU,     0xecfdb860U,     0xead47e46U, \
    0x86ef0804U,     0x0881e10dU,     0x408eea72U,     0x0614ca0dU, \
    0x326acc0eU,     0x738a5280U,     0xf9e442dcU,     0xacac582eU, \
    0x440f61e0U,     0xa24787d5U,     0xc53e277fU,     0x84c7adb6U, \
    0x97b7c352U,     0x8ecd5d19U,     0x28b98a5dU,     0x1c98b0d3U, \
    0xc7d115e0U,     0x625029e2U,     0xb189e770U,     0x2659eda7U, \
    0x3cd76034U,     0x6823cf6dU,     0x5fbe65f6U,     0x62fce76bU, \
    0xbe7b0987U,     0x0910188aU,     0x3eeb6e2fU,     0x05dfd647U, \
    0xabf6925fU,     0x5a07eef8U,     0x21c32a64U,     0x05f73c38U, \
    0x8d792a09U,     0x109d7176U,     0x3b688cbaU,     0x4d710c7cU, \
    0xa403801eU,     0x8ff80b59U,     0x036f9334U,     0x5eb22136U, \
    0x63913ba6U,     0xf1c9dc5dU,     0x9e0f9ffaU,     0x9d581238U, \
    0x62c985b2U,     0xe22c7c60U,     0x16301333U,     0x24e71b2dU, \
    0xf56489caU,     0xc6cecbceU,     0x9e929806U,     0x287cca11U, \
    0x3d639ec3U,     0x140af6a2U,     0x1b3acfb0U,     0x5393c2f7U, \
    0xff8e6863U,     0x35bc17f5U,     0x209cc94aU,     0xd4d6df52U, \
    0x4313a96fU,     0x6cc015d9U,     0x20f9d948U,     0x05cfb954U, \
    0x18f38f88U,     0xa3971d67U,     0xa7e54f26U,     0x70adc570U, \
    0xbebdc305U,     0x8a4f9eeeU,     0x884da0e3U,     0x3e3bc6aeU, \
    0xca1492f9U,     0x803882b2U,     0x00ff5b64U,     0x03542264U, \
    0xd57c39c2U,     0x5b6fd8abU,     0x8496bb28U,     0xfa4b7be3U, \
    0x3da880f1U,     0x194e918bU,     0x1e759071U,     0x79f6c2beU, \
    0x494abdebU,     0xaaf59641U,     0xeff68c09U,     0x0a60fec2U, \
    0xc6762fe8U,     0x331c59f4U,     0x14578678U,     0xfe90f4e0U, \
    0xcc4253d9U,     0x564085bbU,     0x5113ad65U,     0x1d085aadU, \
    0x1ff5dea9U,     0xf33c57e7U,     0xeb9d4652U,     0x08bd1981U, \
    0xec30f7b7U,     0xad78a19fU,     0xc107de8fU,     0x42258825U, \
    0x4cc194ffU,     0x2ff89566U,     0xce0cd512U,     0xb9b300b7U, \
    0x00e4a3a7U,     0xf5d23775U,     0x33685f07U,     0x30fbede0U, \
    0x02d869b9U,     0x252ece4dU,     0x2c45c455U,     0x2c01b456U, \
    0xed51e574U,     0xe348bbc7U,     0x2d6ae744U,     0x5ede8d5eU, \
    0x2e8a33baU,     0xf0b17ae6U,     0x5d31292dU,     0xa8bc7a41U, \
    0xfd2552e8U,     0xe8fe48e2U,     0xfd057e6fU,     0xf8c6038aU, \
    0x049b9989U,     0x4412289aU,     0xc2f4e5f9U,     0x53888f83U, \
    0x585ec9d9U,     0xc0fa6d22U,     0xeaa5e5b2U,     0x87b4ea59U, \
    0x3dd23350U,     0x820a659cU,     0xe79ba382U,     0xd3589c9eU, \
    0xab86e975U,     0x6bf841e3U,     0x49f39a81U,     0x164aab5aU, \
    0xa9f1c084U,     0xf1d5821fU,     0xf166a795U,     0xa2b6f39eU, \
    0x69cf89f2U,     0x871acbf0U,     0x7c3f8878U,     0xd78411d2U, \
    0x2de7b3d3U,     0x23bf2cf7U,     0x44228340U,     0x5dae102eU, \
    0x448cca97U,     0x2062f439U,     0x68a43f59U,     0x67be5073U, \
    0xdb968e1cU,     0xb8970f82U,     0x24f4570dU,     0xeac9317bU, \
    0x93a07444U,     0x2c07b755U,     0x45ebce76U,     0x27c03280U, \
    0xc4596b11U,     0x3d904837U,     0x49afc2b8U,     0x07df8049U, \
    0x736ef78dU,     0x6fa1cb5fU,     0xbb44c464U,     0xa88ab5fcU, \
    0x76274e72U,     0x8cc1bf18U,     0xfa06aeb1U,     0xdef62698U, \
    0x50df3beaU,     0x123a4f9cU,     0xef28a7e3U,     0x17ba6c7bU, \
    0x240323ccU,     0xb5910984U,     0x35adf313U,     0xcd0dc8d9U, \
    0x51ff5a9eU,     0xe0d72ca8U,     0x29efdff0U,     0xb20ca7e1U, \
    0x06eabe10U,     0xe2d1cdf4U,     0x175a8f3cU,     0xa04af3faU, \
    0xcda0ee6fU,     0x67a7b1c9U,     0x7debe9c1U,     0xfa7e6b0cU, \
    0x874f19c1U,     0xff970413U,     0x3e438e53U,     0x522e4d15U, \
    0xac7d20c5U,     0x9f0e379dU,     0x034c7aa9U,     0xdbda1817U, \
    0x8bcb61cbU,     0xfa297a5fU,     0x342ff5deU,     0x220ae8b2U, \
    0xe7634250U,     0xe0f66451U,     0x992ac2f4U,     0xd0b7de7bU, \
    0x7579d480U,     0x06d90616U,     0xf27ec95fU,     0xf7efd566U, \
    0xfc77d4e9U,     0xe6a84a7aU,     0x90fed19bU,     0x2e622650U, \
    0xd1eb8469U,     0x4b48420dU,     0xd16fb9b1U,     0x93ac3fe7U, \
    0x36d046f5U,     0x871ad259U,     0xa1c234ebU,     0x70654de6U, \
    0x8d09b084U,     0xfd3bc098U,     0x72ea98e6U,     0xf49a2830U, \
    0x1896a540U,     0x9d8d5c78U,     0x5a6f1b1bU,     0xc4d9a55cU, \
    0xe7d0fc49U,     0xd3819ea6U,     0xeba60f9cU,     0xab42c976U, \
    0x07b79eacU,     0x59f553b5U,     0x225ef8bdU,     0xa5cbcef6U, \
    0x71c1a13eU,     0x5ce8d5ebU,     0x2f26b247U,     0x55ea47ecU, \
    0x538b81f9U,     0x6e81177eU,     0xf4bcdc88U,     0x84122287U, \
    0x71874e94U,     0xaa13f611U,     0xe0c62a4eU,     0x15be8e85U, \
    0x58f76d08U,     0x491b3e88U,     0xb3f0c7bdU,     0xf4fbe3cdU, \
    0xcbe1bf12U,     0x46f40b40U,     0xf923265eU,     0x07c02d58U, \
    0x74317cceU,     0x9ee35560U,     0xffd55325U,     0xb3d9baf1U, \
    0x9c1e5eabU,     0x0556dd52U,     0xd827f888U,     0x79d4f243U, \
    0xb0c5e130U,     0x16cf2548U,     0x9efeb89bU,     0x44d73ddaU, \
    0x53b50aa8U,     0x7bcd1242U,     0x693c575cU,     0x7c126788U, \
    0xdbd94d77U,     0x43d7e5e5U,     0xd39256ffU,     0xebbea077U, \
    0x4b62656aU,     0x923b41ebU,     0xa0f1fb8cU,     0x3d9893e5U, \
    0xa691eeb8U,     0xb5041b7cU,     0x0fb4e6bfU,     0x0eb3f959U, \
    0xb22e9ae8U,     0x6c6457bdU,     0xcf00f1e2U,     0x2936d583U, \
    0xfdf1f402U,     0x8f656067U,     0xf59c6b8aU,     0x3d8301c9U, \
    0xdf4eeed9U,     0x14c0a447U,     0xfeabe35bU,     0x27bfbd32U, \
    0x06673c6fU,     0xbdb2d25aU,     0xb004c63dU,     0xce62fd7fU, \
    0xc15715b5U,     0xaca1fb09U,     0x869d8f8bU,     0x2f3be7ceU, \
    0xd989e521U,     0x2061655cU,     0xd8ec7a8aU,     0x9df55d9eU, \
    0xd97c2a72U,     0x4ced676aU,     0xac14c54eU,     0xcd564ad1U, \
    0x99c71185U,     0xa7708c0cU,     0xf95cb11eU,     0x781aa619U, \
    0xb4ef9cc7U,     0x23b58886U,     0x1e3a045fU,     0xaa27b587U, \
    0x089383dbU,     0x787f46d6U,     0x9e318b75U,     0x01bfb669U, \
    0x4c67505aU,     0xd580e679U,     0xad86c954U,     0xaba30168U, \
    0x848ac507U,     0x90107758U,     0x0690a89eU,     0xe5682a38U, \
    0x13b08715U,     0xa094f7cbU,     0x12ff90c4U,     0xaf09ac3dU, \
    0x2ce881e0U,     0x67e87187U,     0x984051daU,     0x9eaa92f1U, \
    0xb62257c3U,     0xcdbb6708U,     0x8b7e717aU,     0xd7bc7392U, \
    0x5d9a5878U,     0x4b8d210eU,     0x396a7aeaU,     0x06764ab5U, \
    0x4f2b6b29U,     0x26b8c68cU,     0x30af9ba6U,     0x0e0f436aU, \
    0x7442c7e1U,     0xccd54446U,     0x245e5f3fU,     0xe0f830a4U, \
    0x40788468U,     0x16a79986U,     0x37bcbcc9U,     0x9fcf7f61U, \
    0x5ba0b5e6U,     0xfe41e4e6U,     0x6c96ac43U,     0xa7b89825U, \
    0xaa73304eU,     0x1e7397adU,     0x3ee572adU,     0x03dacd3cU, \
    0x0fb81f4bU,     0x04605541U,     0x76702027U,     0xa51cde5aU, \
    0x475a57c6U,     0x600800bbU,     0x371676e0U,     0x6b595706U, \
    0xb6f483c9U,     0x9f6bee2aU,     0xfef3d80bU,     0xab54d607U, \
    0x3a7192fcU,     0xb5877e9dU,     0x352e4862U,     0xbd4e0707U, \
    0xb2e0e09dU,     0x39d36d05U,     0x0d7b0fdcU,     0xd1eaad74U, \
    0x26c5a51fU,     0xfa75723bU,     0x475c1ecdU,     0x204dcc4dU, \
    0xbbff83acU,     0xfcdb2414U,     0xd6a64339U,     0x1f601aa3U, \
    0x3efa96c3U,     0x273b5487U,     0x48576da3U,     0xda86c60cU, \
    0xb1c5b63dU,     0x0808e104U,     0xc18f5e4fU,     0x5b6410f9U, \
    0xa43224f3U,     0x6f60b834U,     0x21f3ab89U,     0x9afb7622U, \
    0x6b845154U,     0x0c5da153U,     0x3817923eU,     0x89519fd0U, \
    0x93910403U,     0x4ed062a4U,     0xf7e45509U,     0x530480efU, \
    0x8d32a69fU,     0x0528387cU,     0x2fd907ecU,     0x7bf83346U, \
    0x2ed7288dU,     0xf017f6d2U,     0xa668f350U,     0x2a491a69U, \
    0x31d6f815U,     0xdb87c6a9U,     0x7d6b2be2U,     0xa4c37fe6U, \
    0x1aaa6613U,     0x37340008U,     0x341f9a59U,     0xd6a0acd5U, \
    0xfeb2529bU,     0x14557baaU,     0xef1b37edU,     0x05793ecfU, \
    0x117c867bU,     0x593b78edU,     0x8d5ea2d4U,     0x92d391aaU, \
    0x5de83245U,     0x520d68d3U,     0x39f141e6U,     0x6f5dbb57U, \
    0x8b2fb081U,     0xb7fef5e3U,     0xd8f39c44U,     0x5c71e2d0U, \
    0xcbecf116U,     0x9476e8b6U,     0xb3350c62U,     0x882d2faeU, \
    0xc011d452U,     0x527a43caU,     0x9aaaa192U,     0x3bb85ab6U, \
    0x99ee5363U,     0x4203acc0U,     0x9133b414U,     0x60634a09U, \
    0x7e50e706U,     0x3d25f851U,     0xf951b825U,     0xc5d774faU, \
    0xcc92b887U,     0x20fdbbf5U,     0x0e957f9eU,     0xf605f533U, \
    0x5cca79e6U,     0xd678e428U,     0xf71c8564U,     0x652257bfU, \
    0x0026d221U,     0x40ec22b4U,     0x1ed2c3c5U,     0x415fed60U, \
    0x47119912U,     0x31690d38U,     0x3baa6775U,     0x3a59a961U, \
    0x88ebb5c0U,     0xd78bb99aU,     0x4bb2427dU,     0x7466ab51U, \
    0xfc310c7bU,     0x74ecf1c9U,     0x5ddd8d87U,     0x90bbf9d9U, \
    0x96f9830bU,     0xc2148cd5U,     0xfce473e2U,     0x88c61357U, \
    0x82e1fcffU,     0x922c74beU,     0xeaf90c75U,     0x553bf211U, \
    0xb08592b4U,     0x6f898ff4U,     0xd33c78ddU,     0x8229792bU, \
    0xdeafdd01U,     0x6f706397U,     0x456039c0U,     0x6ed95e97U, \
    0xd75ae6c6U,     0xca675a97U,     0x50cd2265U,     0xf35173cdU, \
    0xbb91a33fU,     0x831186bbU,     0x0ec57e6fU,     0x9f7bfbafU, \
    0x90d16decU,     0xd0ae75a1U,     0x759d2d0bU,     0x435c3a1fU, \
    0xf10d86f4U,     0x841be507U,     0x5017890cU,     0x91396a2dU, \
    0x1565e52eU,     0xddc16f86U,     0x0d10a444U,     0x5b7a18bbU, \
    0xcefbed4eU,     0x5bfe4381U,     0xb6086267U,     0x1ffe8ce2U, \
    0xb7d66537U,     0x46137d16U,     0x27fdd7c2U,     0x09f2959bU, \
    0x09d1fab4U,     0x64bf25d7U,     0x7a5c041eU,     0xc491e74cU, \
    0xf95d8eeeU,     0x10ba3556U,     0x537fcce2U,     0xaa4965daU, \
    0x354b3c61U,     0x8ad687c3U,     0xa1ebfc9fU,     0x2cb6e969U, \
    0xf238d27eU,     0x9bfb7b1dU,     0x6c07a0a5U,     0x2421aa6cU, \
    0xa685f666U,     0x3e4dfcbaU,     0x31f5e634U,     0xc1794de5U, \
    0xc59ad0b0U,     0x72bbda53U,     0xda5e7118U,     0x7efb2f61U, \
    0x06f2b6b9U,     0xc1c00c64U,     0x68a7056bU,     0x69c3e830U, \
    0xf1d6fa1aU,     0x984a170aU,     0xa22f420bU,     0x46130cd1U, \
    0x32661476U,     0x0e8c04a4U,     0x5367d0e9U,     0x50218598U, \
    0xb1d381b9U,     0x560d8b5aU,     0x1bdd9d57U,     0x327fb9bfU, \
    0xe3abd817U,     0xe188693bU,     0xd6eb088bU,     0x32f551e4U, \
    0xec6acd07U,     0xf33b9386U,     0x5dcb7b7dU,     0x4de03f6bU, \
    0x91afbab3U,     0xf88dcb01U,     0xdf304b6aU,     0x430c7f70U, \
    0xd6024b3cU,     0x3e569ffdU,     0xa8348a4aU,     0x49cda094U, \
    0x75ec652cU,     0x02d946f4U,     0x0614edc7U,     0x8b9f307aU, \
    0x425a02d1U,     0xba4b641eU,     0xbbbd5b20U,     0x094ab2d6U, \
    0xe3454501U,     0x81b19ba9U,     0x024a0456U,     0xf36d355dU, \
    0x4b8a668fU,     0x6a49475aU,     0xd6f36620U,     0x04eba351U, \
    0x6e4a6bd9U,     0xe25d4356U,     0x80c25d86U,     0xe684b69cU, \
    0xf0bda3b7U,     0x558f7610U,     0x753b17e4U,     0x871f695aU, \
    0xa1037826U,     0x5f5a428cU,     0x5913aebeU,     0x75cf01ddU, \
    0x5430783dU,     0x94b4a93cU,     0x6a0632deU,     0xf98a4fe2U, \
    0xf48d2795U,     0xdefb4e79U,     0x15607540U,     0x6ca065b7U, \
    0xb1b86f74U,     0xd3b86d58U,     0x59ddf8a0U,     0xde9f052cU, \
    0xded2446dU,     0x9cad4310U,     0x7afeecccU,     0xf9e56f08U, \
    0xbfd5530fU,     0x69683af1U,     0x9e137c41U,     0xcc3c936aU, \
    0x2e741dd5U,     0x078729caU,     0xd4a7b215U,     0x527e3023U, \
    0xcf9a9ea2U,     0x7cd0a0bfU,     0xd6f284f5U,     0x36182fa2U, \
    0x2b7f88d0U,     0x8fa9210bU,     0xca35b664U,     0x3c037b8dU, \
    0xfea4fc5aU,     0x5b6e6f97U,     0x622ea7f5U,     0xace3c286U, \
    0x937c6b1cU,     0x6c978759U,     0x504cb9c5U,     0x4709d6daU, \
    0xe9898284U,     0xe964319cU,     0xe8f4e5c5U,     0x0f10a7f0U, \
    0xeb3d148fU,     0xac2ddee4U,     0xc69e6a7dU,     0x3525e6f3U, \
    0x8b227030U,     0x63c0f2eaU,     0xf0cb188cU,     0xf08f2ca5U, \
    0x19dd2504U,     0x05854dfeU,     0x8c636d40U,     0x75bfaa56U, \
    0x5ac7d904U,     0xcb59a215U,     0x2ea2768eU,     0xa9c0131fU, \
    0xfe5bcd47U,     0x4dbed075U,     0x0d39410cU,     0xd5690585U, \
    0x31730df1U,     0xdeba7d16U,     0x3f4d1947U,     0x2a336ec7U, \
    0x4999e152U,     0xa6466d7dU,     0x355a812bU,     0xaf6f0a97U, \
    0x99613e73U,     0x82dcdebdU,     0x7eba46b0U,     0xe2051c16U, \
    0x2bd6df1dU,     0x8d2f3b3fU,     0x63715bb6U,     0xabcbdbb4U, \
    0xa75135eaU,     0x0d757a35U,     0x133e0eaaU,     0x279dcfeeU, \
    0x9c1fa6d3U,     0x044c8d71U,     0x9eabc404U,     0x891eaa25U, \
    0x048da91cU,     0x701c14f2U,     0x8dc103b8U,     0x9dfcbc8bU, \
    0xb29152fdU,     0xcca4876dU,     0xd67d724eU,     0x753af30cU, \
    0x14dedb2bU,     0x4118ceadU,     0xa51df254U,     0xc5ffdfb8U, \
    0xdc023ca0U,     0x899f2d19U,     0xdc6712b3U,     0x5df5f109U, \
    0xa118f463U,     0xb6724f48U,     0x341a252dU,     0x11ac4831U, \
    0x489ee59aU,     0x88f9eba6U,     0x4874bef0U,     0xe40d0ed9U, \
    0xe5b90008U,     0xbaa82c97U,     0x614e8d50U,     0xaf782108U, \
    0x556ec8d9U,     0xea0b40e9U,     0x456a0c51U,     0xd242f150U, \
    0xe7de012eU,     0x6a2ac54bU,     0x6b09506bU,     0x53a0174bU, \
    0x83ae751bU,     0x0029f16dU,     0xeebd6a7dU,     0x773b4ae7U, \
    0xcca6f169U,     0x2068ac34U,     0xd380dc15U,     0x71c4cd69U, \
    0xec4971f9U,     0x10c9b8d9U,     0xcd6c8b35U,     0x4c105ac8U, \
    0x14c1d5c2U,     0x886020a5U,     0xb523dd35U,     0x5f76fa50U, \
    0x42fe7b19U,     0xc5c8261cU,     0xcbf9622fU,     0xee1961c5U, \
    0xb34e83dfU,     0xbfeb7981U,     0x37b0db5cU,     0xc1c10153U, \
    0xe83fb334U,     0x6ae750beU,     0xf5ed14a5U,     0x491d7bc2U, \
    0x61077712U,     0x17daa842U,     0xd5e3360fU,     0x3c113ef7U, \
    0xca3233ecU,     0xc94ea740U,     0xf60ee318U,     0x36341e3eU, \
    0x4ddf632aU,     0x46bbd0eaU,     0x831e7f9dU,     0x322c94beU, \
    0x8e4791c9U,     0x21935236U,     0x5e3de4ecU,     0xaf4a090aU, \
    0x65a0d94aU,     0x1c13f600U,     0x0144e5d8U,     0x4a79c2a1U, \
    0x9da0f261U,     0x348da413U,     0xe16f812dU,     0xb77d5affU, \
    0xbb1832d1U,     0xd103feeeU,     0x14167c93U,     0xa10f8c3eU, \
    0x27ab56c7U,     0xe22682c0U,     0xeae23ac4U,     0x4a0f10d4U, \
    0x4ef0e266U,     0xa4786675U,     0x64cdd4ccU,     0xe5c98cb5U, \
    0x0722f4f8U,     0x558958dfU,     0x2be91914U,     0x2bd040d4U, \
    0xf4f34943U,     0x4449b72fU,     0x7543b4cfU,     0xf474a8ecU, \
    0xe00849a7U,     0x4496a766U,     0xf2f6fa21U,     0x3ad9b74eU, \
    0xb962f65cU,     0x2aa016bbU,     0x69b3cd40U,     0xf628ac87U, \
    0x7838017eU,     0x7ce8a987U,     0xc16467bfU,     0x13831db8U, \
    0xedcdbdefU,     0x86c3f84dU,     0xdb717833U,     0x1b51b848U, \
    0x3a5ac54fU,     0x08046ca0U,     0xa71a384bU,     0xb2446909U, \
    0x76be1c0dU,     0x485febe3U,     0x320573e8U,     0xdd2e6f40U, \
    0x12b1947cU,     0x57f5154eU,     0x0de05bd3U,     0xb9457f05U, \
    0xf0a0e325U,     0x69513f00U,     0xc348bfbcU,     0xc45fef93U, \
    0x958cc90aU,     0x11b0fac3U,     0x658b7abdU,     0x3ceabb9bU, \
    0x1633d2fcU,     0xbbe70323U,     0x34d47a5dU,     0x2972f3aaU, \
    0xccd87e2bU,     0xe837f37bU,     0x304389e3U,     0x1b3d70c6U, \
    0x72418ddcU,     0x80b57638U,     0x7e0cef0fU,     0x2d0f7070U, \
    0xf9c3b05dU,     0xc0111655U,     0x52190679U,     0x9b3de265U, \
    0x133c1908U,     0x20c69d9fU,     0x06e62685U,     0x7fba8af6U, \
    0x6af4d706U,     0xc7be61c7U,     0xd330d005U,     0x9c96b187U, \
    0xce42dd59U,     0xfbb863fdU,     0x772a14a6U,     0x6ff26793U, \
    0xf944b7c0U,     0xfd66bb04U,     0x9923fe2bU,     0x6651b152U, \
    0x65822505U,     0x99085ab3U,     0x0c73983eU,     0x76cb1dabU, \
    0xddc1d2d9U,     0xf995e1c8U,     0x7d26353aU,     0x8020d821U, \
    0x68502dfdU,     0x56917f94U,     0xd2bcd521U,     0x5964b8bdU, \
    0xf79fd90cU,     0xb62484b0U,     0xe16c158cU,     0xdc65cf04U, \
    0x1560bb83U,     0x7891cc39U,     0xa774fd0aU,     0x4623f94fU, \
    0xc37dd1efU,     0x4b0936f2U,     0xaadae373U,     0xa83a55d1U, \
    0x49e3774fU,     0x0e77256fU,     0xedac4e2cU,     0x0c92eb13U, \
    0x828e7c7cU,     0x8d759266U,     0x4d5a7b0eU,     0x11dab5adU, \
    0xc56147feU,     0x8ac872d8U,     0x2560f5a4U,     0x3f4ffd85U, \
    0x21c271bcU,     0xc651c681U,     0xe589ae6bU,     0x2330edc7U, \
    0xe6d00d79U,     0xf57c6f14U,     0xc8559913U,     0x8e489a48U, \
    0x8e3d3082U,     0xb66fd236U,     0x603cc9d8U,     0x95f47f55U, \
    0x3203e217U,     0xc179f9d2U,     0x4ce34706U,     0x3a1c2bbcU, \
    0x89e87a01U,     0xd9681412U,     0xec23a189U,     0xb789f148U, \
    0xb44512e3U,     0x84b58415U,     0xd6f695eaU,     0x9777f984U, \
    0x943d1b72U,     0x8bdd3250U,     0x1866a5cbU,     0x16be446fU, \
    0x438edc52U,     0x2619eb4eU,     0x47703806U,     0x38024e94U, \
    0x6159a17aU,     0x72231183U,     0x52200708U,     0x855727e3U, \
    0x3bbbdf6eU,     0x34ed8b8eU,     0xb626d7a2U,     0x36290ea8U, \
    0xd4194b60U,     0x1b663019U,     0xfdfd2c99U,     0xd5908aa1U, \
    0x9246bac3U,     0xb6d53ae5U,     0x732c25ffU,     0x3d2a3716U, \
    0x07df65abU,     0x227da3d9U,     0x8d05a917U,     0x683b3e15U, \
    0x516719abU,     0xa4727925U,     0x5880ec20U,     0xbdf32374U, \
    0xfdcc994bU,     0x4b74c229U,     0xb34b4937U,     0xa89faa1aU, \
    0x0aee9378U,     0xd1a021bfU,     0xc8b382ecU,     0xc4d08772U, \
    0xdd36689eU,     0xab569b26U,     0x1038d3c6U,     0x32e2e9e4U, \
    0xbfe47a89U,     0x77e3a572U,     0x24bc38a0U,     0x6c6c8317U, \
    0xa4f02bd1U,     0x3de470a5U,     0xd601e4d1U,     0xd5f6c74fU, \
    0xe18c1aa6U,     0xd43ccb06U,     0xfb02cb4aU,     0x346f9760U, \
    0x992f39a2U,     0xbdb5fee8U,     0xeeba49b4U,     0x08a402e9U, \
    0x87120817U,     0x589dcb2fU,     0xc4392912U,     0xd2137b0aU, \
    0x9ee521a4U,     0x23da6c51U,     0x54491d6eU,     0xbc79fd37U, \
    0x6a98a38fU,     0x4048d909U,     0x61fe1494U,     0x320a3d2aU, \
    0x02b80410U,     0x4327389cU,     0xdd7470f7U,     0x4fbb64e8U, \
    0xc6b497e1U,     0x7f88f191U,     0x89439cf4U,     0x6b8206daU, \
    0xd1fd3042U,     0x6b054fcbU,     0xab7ee15aU,     0x79097921U, \
    0xf8ada265U,     0xdbf7b117U,     0x5373c205U,     0xf7ccea33U, \
    0x60b5de57U,     0x4e56f351U,     0xfc909ee0U,     0xa3cf0796U, \
    0xf71de10eU,     0x798c15b3U,     0x07ba496aU,     0xe51d5584U, \
    0x0dae21b5U,     0xf11d02fbU,     0xe00bd839U,     0x1e981fa2U, \
    0xa2cbf00aU,     0xf82e6788U,     0x90e67d17U,     0x088cb228U, \
    0xaadc803dU,     0x36e50c77U,     0xb347b644U,     0x322c47bdU, \
    0x9054a186U,     0x900d7d52U,     0xaf3703e1U,     0xb3f949c6U, \
    0xee700f0eU,     0xb19ca869U,     0xe0c9c5ecU,     0xf19ceaf1U, \
    0x7bf38039U,     0x7b11778cU,     0x0d00974dU,     0x5ef8ff65U, \
    0xec6af846U,     0x3791393cU,     0x68ab54a5U,     0x642ab14dU, \
    0x4e66bfb5U,     0x447cd325U,     0xf13b37d7U,     0xde785fa9U, \
    0x5dfebe35U,     0x0e71a061U,     0xd91e6f1bU,     0x764d22a5U, \
    0xd883ea1bU,     0x5b0d837aU,     0xaed60d95U,     0xb47521e6U, \
    0xf31481eeU,     0xf6a45053U,     0x6dab1710U,     0x23884c93U, \
    0xc8e401feU,     0x4ce90954U,     0x6bd3e3e3U,     0xa351b358U, \
    0x9eb0ee90U,     0xea892ef0U,     0xa5a8b5d6U,     0x343c8e3fU, \
    0x8d37bb5aU,     0x91195575U,     0xf7236cbfU,     0xd44cb825U, \
    0x4d101193U,     0x1b9bbe3aU,     0x5ba80c76U,     0x40ddc72dU, \
    0xb72d4984U,     0x0cb142c7U,     0x3f957574U,     0x212cce0dU, \
    0x154cfdffU,     0x36cec6e2U,     0x4261f69aU,     0x30a76488U, \
    0x3f9452a9U,     0xbf303d49U,     0x991c78f1U,     0xf5ef81aaU, \
    0x84185361U,     0xdce978faU,     0xf48c12f2U,     0x27c7d894U, \
    0x540f300aU,     0x3789c2b5U,     0x02238f4aU,     0x5282bf8cU, \
    0xce15adc5U,     0xe28c67d8U,     0x3c273199U,     0x79091d1bU, \
    0xdd08b9f1U,     0xefebef86U,     0x31658b0cU,     0x7193bf28U, \
    0x4e743805U,     0xc610f6b3U,     0x0d714384U,     0x2bc93217U, \
    0x1905aa4dU,     0x68e7447cU,     0xb8f932e8U,     0xad2d3b8fU, \
    0x04cf6a7cU,     0x85599f3aU,     0xaeb25baeU,     0x20aeb613U, \
    0x0daee6f0U,     0xe2cc1e0dU,     0xac7eaa60U,     0x8289c6d7U, \
    0x34fa3608U,     0xbbbd745cU,     0x58270983U,     0xb9b91eb5U, \
    0xcb23e947U,     0xd130c18aU,     0x8446f7cbU,     0x7780ad63U, \
    0xeaa9d133U,     0x4fbb82a9U,     0xbe4cc662U,     0x8f52f1dcU, \
    0xa6e8b996U,     0x99910548U,     0x7704ba81U,     0xea41549cU, \
    0x69334363U,     0x796d9329U,     0xa1a511b1U,     0xccde5feaU, \
    0xf0f27b84U,     0xf594b6cfU,     0xaf574c56U,     0x87e72530U, \
    0xfb81c20cU,     0x3f95ca7eU,     0xb759dd63U,     0xfa44cac1U, \
    0x552b96abU,     0xdc3cb6b7U,     0x65717febU,     0x3d1108a1U, \
    0x18887c85U,     0x3757559cU,     0x597bdd58U,     0x813d48bbU, \
    0x306e024eU,     0x14b581baU,     0xf896f0a1U,     0x4150e0b0U, \
    0xae6b4db4U,     0x7452a7fbU,     0x41e4a6cbU,     0xc0120156U, \
    0x695e3d2aU,     0x92df9498U,     0x8c47cf4fU,     0x5a5c299dU, \
    0x11223eecU,     0x8abed836U,     0x6a592f83U,     0xd5ce9fa9U, \
    0xda405339U,     0xbc4745f7U,     0xb74e8cecU,     0x669b765aU, \
    0x43a2f49dU,     0x47832fafU,     0x9c490d9dU,     0x0106898eU, \
    0xa5f6df0cU,     0x6d47269eU,     0xb6e6e8edU,     0x6a7ad2cdU, \
    0x0e62e7ceU,     0x63829e04U,     0x49033c7eU,     0x9ba1c2fdU, \
    0x66b0b0a7U,     0xcb36436cU,     0x92077b73U,     0xc5403ba4U, \
    0x4d5c74e8U,     0xfcca3156U,     0x0bc6e648U,     0x266e77a4U, \
    0x53d0901dU,     0xe9693644U,     0xaaab710dU,     0x405b3f9aU, \
    0x313afd16U,     0x4c9fde4fU,     0x57ed8540U,     0xa9a45e23U, \
    0x84ce234fU,     0x5cf148fcU,     0xa0d11837U,     0xf1276499U, \
    0x99e5e7e9U,     0x3f7c038eU,     0x29f6cd22U,     0xa2450befU, \
    0x5f8dc7adU,     0x78d74443U,     0x7ce32533U,     0x6311ef1eU, \
    0x3978053cU,     0xf53e8479U,     0xcebbd819U,     0x47f493ffU, \
    0x8d6a88edU,     0x760c0755U,     0x9b98466fU,     0x23dcddccU, \
    0xdb340f06U,     0x9917146cU,     0xb673f079U,     0x60d984b5U, \
    0x427772f4U,     0x283dad3fU,     0x41892ed0U,     0x851bce90U, \
    0xb0989a06U,     0x556302d5U,     0xe30445d3U,     0x7b3dfb4dU, \
    0x463307e8U,     0x12790500U,     0xc3606d62U,     0xf1497fc0U, \
    0x40609e01U,     0xdab4cd36U,     0xa312788dU,     0xdf29d5c6U, \
    0xbcc5e40eU,     0x820581a2U,     0x736b323aU,     0xde92dbf4U, \
    0xf0f78059U,     0x253ef835U,     0xbe74a0c7U,     0xb77eb8c2U, \
    0x0dd1ce53U,     0x1fdcaeadU,     0x284cd5ffU,     0x1614fef1U, \
    0xd5aff4f7U,     0x466b705bU,     0x2aa0dd4aU,     0x31d0df32U, \
    0xdc18526eU,     0x7c3c2e16U,     0xf1704c50U,     0xed318f8bU, \
    0xb39a7da0U,     0xdff48807U,     0x08334a69U,     0x1e8d3664U, \
    0xc86138d3U,     0x3abad4efU,     0x29b6e25aU,     0x835a2954U, \
    0xa26f8508U,     0x555090cbU,     0xb4f0fc9aU,     0x9d9fd0acU, \
    0x2e106226U,     0x02c14dbdU,     0xf477e1d8U,     0x5b16c7f7U, \
    0x5216528fU,     0x66a5ae1aU,     0xb441ed3eU,     0xf6aff1a3U, \
    0xecc8a08cU,     0xd8d7f72dU,     0x00b43f27U,     0xc375a564U, \
    0x08c9251aU,     0x8c97c256U,     0x091c7e0fU,     0xb8f9a7aaU, \
    0xf20953efU,     0xea55966dU,     0x2d0c9f49U,     0xcb1dacebU, \
    0xfa912e1fU,     0x57afb99dU,     0x6e386c79U,     0x3e2a87f9U, \
    0xfcbf6b66U,     0x6d84c48eU,     0x7f97af9bU,     0x025e45f9U, \
    0x8db6c242U,     0x550513e1U,     0x0e6a99b8U,     0xe53b8ec5U, \
    0x4210d821U,     0x70da1f4eU,     0x0503e8dfU,     0x1dc161f5U, \
    0x6f09362eU,     0x89c02d19U,     0xd75f4b60U,     0xffd7abd1U, \
    0x2d219020U,     0xcaf594c7U,     0x4720176bU,     0xd321823cU, \
    0xaa14a0f8U,     0x4b618b57U,     0xadfeb432U,     0x7ce35dd3U, \
    0x2eff7f5cU,     0xcc941849U,     0xc5ecab5cU,     0x799ee189U, \
    0x80b94897U,     0xac6c1b05U,     0x116b78e2U,     0x374d26c9U, \
    0xec3726baU,     0x74ef45d6U,     0xf4097cc6U,     0xc6e1a6f0U, \
    0x979f4299U,     0x65463b31U,     0x4651003dU,     0x47b23d05U, \
    0x58cc1768U,     0x3518d6d0U,     0xec601878U,     0xc56eb4c3U, \
    0xbc59f268U,     0x34e5b1e3U,     0xea005d55U,     0xa3af8948U, \
    0xd7cafedaU,     0x5b450e74U,     0x154c6a7eU,     0x3a22858bU, \
    0x5dad50d0U,     0x9f46dd13U,     0x72988744U,     0x94d9d5dcU, \
    0xfab96324U,     0xc9d19433U,     0x0c6d3835U,     0xb9306871U, \
    0x3f653ed2U,     0x826c127fU,     0x75cd6084U,     0xbbb33494U, \
    0x7a2dcf32U,     0xa3e8c2cdU,     0xd9250d7eU,     0x58851cf8U, \
    0xb7ccbb01U,     0xe3d11febU,     0xd1228749U,     0x29441e74U, \
    0x948458a4U,     0xab8a25d8U,     0x9a54f575U,     0xda8331afU, \
    0x127b600eU,     0x97aee098U,     0xaa2b0de1U,     0x72396698U, \
    0x213010f5U,     0x9ed7f692U,     0x9d07324fU,     0xcf32a5deU, \
    0x0d630252U,     0xffee9b19U,     0x696d9769U,     0x48612ab6U, \
    0x95335decU,     0x2f0354ecU,     0x9ab31c2cU,     0x003e841fU, \
    0x72bdca68U,     0x79f0158cU,     0x434c0dcfU,     0xf74aa1d8U, \
    0x343fda5eU,     0xa1738067U,     0x71d7e560U,     0x110aec35U, \
    0xcf4ae82fU,     0x562bafe8U,     0x4f27c82eU,     0xc86b971eU, \
    0x03e1455aU,     0x7084c0dfU,     0xe5087bb7U,     0xc940c2b9U, \
    0x9ff92e91U,     0xd660fff7U,     0x3072603bU,     0x9d9adc3eU, \
    0xd72b83d0U,     0x0e869575U,     0x2c18cf97U,     0x580e4c85U, \
    0xb431e743U,     0x369019efU,     0x1a4402bbU,     0x3c25f46fU, \
    0x75431350U,     0x4a024ea0U,     0x8d7d6d7bU,     0x56c72538U, \
    0xd93dae92U,     0x01fbd4dcU,     0x2c80fb9fU,     0xc69b7eadU, \
    0x214bf5a4U,     0x7fb032bbU,     0xed378475U,     0xafc6e164U, \
    0x04853505U,     0x9cf06425U,     0x2c33aeddU,     0x72e367b7U, \
    0xb0cee83bU,     0x8788381aU,     0xe3901888U,     0x4b641d8cU, \
    0x0c7c8647U,     0xa44dc01bU,     0xfd230da2U,     0x2ea4d5daU, \
    0x5749db88U,     0xa53ec682U,     0x89a09c05U,     0x8d7e3a34U, \
    0xc7902d83U,     0xa880610fU,     0x90e52e55U,     0x264c9cfcU, \
    0xc73d8499U,     0x9290dce2U,     0x87a00c3fU,     0xae9f8e25U, \
    0x83858b33U,     0x7863e806U,     0xf152e28dU,     0x4e585e3aU, \
    0xacb7381fU,     0x352a50abU,     0x9ff9f407U,     0xcb63abf6U, \
    0x94ea7479U,     0x77ace4acU,     0xbbc45d8fU,     0xb0ff5ae7U, \
    0x062adbecU,     0x9b22cfa4U,     0xe4eff6d2U,     0xd978d2caU, \
    0xe6db8a65U,     0x86c96b7fU,     0x9e501bc6U,     0xcad3569cU, \
    0xf79c98d6U,     0x4167e970U,     0x3037590bU,     0xb66c4654U, \
    0x85633cacU,     0x5d2f57abU,     0x7c998e38U,     0xba9f3173U, \
    0xb203e234U,     0xbf7b5d88U,     0x08f6d7f6U,     0x185372fbU, \
    0xb353c3d9U,     0x2fb6ca12U,     0xe1e2cdc2U,     0x77ac5ef1U, \
    0x25926d05U,     0xf7494adfU,     0x1edc5879U,     0xfc30c5e6U, \
    0x4a5169cfU,     0xba84a6a6U,     0x3fa15086U,     0x2e7d5cf2U, \
    0x2758dc4aU,     0x310c7fb7U,     0x2d4f9fd7U,     0x804f6952U, \
    0x6b79b871U,     0x2dd0cffbU,     0xfa0d04efU,     0x800ad744U, \
    0x13cedc26U,     0xe52fc6e9U,     0xba74c5daU,     0x4ce91d79U, \
    0x41bb8482U,     0x4dc13687U,     0xee4fa7e4U,     0xdeb59dccU, \
    0x5b892101U,     0xbf6745ccU,     0x8117c831U,     0x184d44d4U, \
    0xb1d10ec5U,     0x1d879640U,     0x7842a5eaU,     0x510575e7U, \
    0x9410b62aU,     0x0924b1fdU,     0x3a435dd4U,     0xb54f3b7fU, \
    0x58af6b5aU,     0x446859f9U,     0x98dad3b8U,     0xef29a0dfU, \
    0x5a10c203U,     0x653e8094U,     0x16e38f5cU,     0xe8e9d6faU, \
    0x0e6ec593U,     0x8b3e1e0aU,     0x7b8fdd9dU,     0x7a79a612U, \
    0x1818cd0eU,     0xb968f812U,     0xbe8a7d5dU,     0x62291ffeU, \
    0xbe0faf21U,     0xd8ca41e0U,     0x607fea08U,     0xa85ba1f8U, \
    0x89fa1f98U,     0x7075d0feU,     0x7af0b1d5U,     0xa68a14b2U, \
    0xb1d6f02eU,     0x96631f49U,     0x460f5553U,     0x82d98645U, \
    0xda4c3d33U,     0x7afcb450U,     0x5595f2d4U,     0x64de7856U, \
    0x49ebb05cU,     0x8ff89824U,     0x13bc6831U,     0xcee0181eU, \
    0xe81f4e02U,     0x120fea67U,     0xe9dd63efU,     0x54b6bfb0U, \
    0xa5490bebU,     0xed195281U,     0x654ff9e3U,     0x086217afU, \
    0x5f04fa1aU,     0x9c450225U,     0xc56f85c4U,     0xaf1f0623U, \
    0x288d6fd7U,     0x571f6109U,     0x37cd6ae9U,     0xe07e8cc3U, \
    0xfaeacc03U,     0x3cf77158U,     0xa9bfb658U,     0x317976ceU, \
    0x2bf427b0U,     0xc7f4fb92U,     0xd637793aU,     0xa79c59adU, \
    0x8b412d91U,     0xef39afb2U,     0xa5cc47c4U,     0xe02e58b7U, \
    0x602bb656U,     0x690ca531U,     0x12f72b19U,     0x186fc043U, \
    0xd4aeb2c6U,     0xc1891147U,     0x86b90935U,     0x904049bdU, \
    0x3fef3d5dU,     0x97ef0a6dU,     0x6acb81e1U,     0xf7613234U, \
    0x8ecfb051U,     0x6f69e26aU,     0x85d9aa21U,     0x4d53e1d9U, \
    0xb1c7a1e3U,     0x1fa0769bU,     0xa1504526U,     0x9f334958U, \
    0x54b01ba5U,     0xa2d02aa9U,     0x72c9fbabU,     0x47c20c00U, \
    0x03a461c0U,     0x279530dfU,     0x0ea210c5U,     0x791bb037U, \
    0x1f5d8982U,     0xc61f684cU,     0x4e264dd7U,     0xa30840e8U, \
    0x76fec5efU,     0xfdea8ef7U,     0xfa823c5eU,     0xb9bd1796U, \
    0xe6a9e3f9U,     0x7de599d9U,     0x4a04f2c0U,     0x162371d6U, \
    0x52df80adU,     0xee606219U,     0x426b1695U,     0x9bf91deeU, \
    0xfd1bd9a1U,     0xed5571ddU,     0x3380a4ecU,     0x1e48147aU, \
    0x7aefa936U,     0x24027407U,     0x8d64a111U,     0x59a95348U, \
    0x0c6ec0fcU,     0x9f9071dcU,     0xfc85aa48U,     0x17b04755U, \
    0x9239c28aU,     0xd5dc407cU,     0x4077133cU,     0x57f3ce42U, \
    0xcc630d75U,     0xfb19ab68U,     0x8a1864e6U,     0xae789211U, \
    0x90d3180eU,     0x72731561U,     0xd6899b72U,     0xf7d784a3U, \
    0xd1f398a5U,     0x3d4981daU,     0x106788b1U,     0xed7251a9U, \
    0x4e3236adU,     0xc7e5535fU,     0x2b72b222U,     0xbeb08cecU, \
    0x723418bdU,     0x7a3bad27U,     0xf51c0037U,     0x6a150b1dU, \
    0x37810491U,     0xdd56035dU,     0x740bdcffU,     0x958e3bdeU, \
    0xc4266ee0U,     0x6fd829b4U,     0xcb7d83b6U,     0x94806f78U, \
    0xfa43fb3fU,     0x4ab0daf2U,     0x9165847dU,     0x1f65ef40U, \
    0x89861cfbU,     0xfdfb170bU,     0xef8a3f40U,     0x942e5167U, \
    0x56a682d0U,     0xc2c9680dU,     0xe72cf943U,     0xcf60ec65U, \
    0x163cc702U,     0x903e8bcdU,     0xd0b61606U,     0x560324a7U, \
    0x1e87be29U,     0x16e3057cU,     0xcc7360b1U,     0x4f35397eU, \
    0x75b492a7U,     0x9ce62669U,     0xe94df898U,     0x2b752841U, \
    0xb3d8d5a7U,     0x3d4ef8caU,     0x4c48c2a7U,     0xc14a1850U, \
    0x22e7a5aeU,     0x13f52bd2U,     0x22e9421dU,     0x105b3066U, \
    0x1d20bad5U,     0x6f0cc525U,     0x7c3d3cb1U,     0x1251dbbdU, \
    0x80ad22dbU,     0x4848f65bU,     0x18ae750eU,     0xec19e71aU, \
    0x98092d22U,     0xc1144bf9U,     0x4a46688eU,     0xef5fc319U, \
    0x2c096aacU,     0xe7a77778U,     0xdf24515cU,     0x4ab5d6c5U, \
    0x4d9f6041U,     0xbf9de2ebU,     0xf6f49a07U,     0xf077b1cbU, \
    0x7d78fc86U,     0x49c288e8U,     0x77a2fff6U,     0x482368cbU, \
    0x33a8f83eU,     0x47369646U,     0x12241184U,     0x6efb164eU, \
    0x8d6747d9U,     0x1b1e091dU,     0x084a430aU,     0x1db410b3U, \
    0x43e19d51U,     0x3ff6e227U,     0xb2e26748U,     0x4e1af20dU, \
    0x5be9e1e6U,     0xb55f99d6U,     0x292e432fU,     0x6a2f89e4U, \
    0xa3783fcfU,     0xb946e3eeU,     0xc8941865U,     0xc741845bU, \
    0xd00ac45cU,     0x1de3a1e1U,     0x97efa01cU,     0x9405409aU, \
    0x9c4d4b66U,     0xd670cce9U,     0xb7125495U,     0x3fbb9fa3U, \
    0xa8c07accU,     0xc63d4e00U,     0x55e366cdU,     0x9170273eU, \
    0xb8b83cffU,     0xd7965db2U,     0x6589bb57U,     0xa96234d1U, \
    0xa2057f8eU,     0xd29799b5U,     0x285bced0U,     0x6923f8efU, \
    0xd659cb5bU,     0x9ab78c7fU,     0xbdd31f5cU,     0x31564c99U, \
    0x4e2e7c1fU,     0xf49add54U,     0xe5f06e06U,     0xc03e456aU, \
    0xd688a370U,     0x2da138d1U,     0x5356f44aU,     0x015a979bU, \
    0x5d93ecb2U,     0x9faf55d9U,     0xab6e78a3U,     0x9ba44714U, \
    0x4263f14aU,     0xe8417054U,     0xa63a81e8U,     0x4f0ee72cU, \
    0x156b863fU,     0xa53440a4U,     0x721c1aa2U,     0xa9441124U, \
    0x42e89421U,     0x131195f5U,     0x2cbd6637U,     0xffc13f5bU, \
    0x872fe949U,     0xb8322ef0U,     0xab2725ceU,     0x54abc0ebU, \
    0xb85e955eU,     0x3cd7d398U,     0xdb9d0ac1U,     0x08599782U, \
    0x15fb4122U,     0x7f397fc5U,     0x4b509879U,     0xbce746e5U, \
    0xa367dcc3U,     0x2a1a1490U,     0x66a37742U,     0xdc90fc6aU, \
    0xb6682d78U,     0x86a497eaU,     0x110c8d59U,     0xef963a43U, \
    0x22b62df7U,     0xdb834a73U,     0x042e4134U,     0x922dff64U, \
    0xd9be7ef0U,     0x872901d0U,     0x33a90576U,     0xe13c0eeaU, \
    0x86e350ddU,     0x413269e5U,     0xbbfffc64U,     0xea1c1de6U, \
    0x6349c040U,     0x23a11622U,     0xc084e006U,     0x692e83a8U, \
    0x07f8ae5dU,     0xbc6f01beU,     0x0bde59baU,     0x223442ebU, \
    0x93ffac89U,     0x0594a615U,     0xd3cd543cU,     0xc06d035aU, \
    0xb922cc88U,     0x8ead38adU,     0x79e48463U,     0x2461cf0cU, \
    0xc1ab888bU,     0x0c9e2fefU,     0x724330b3U,     0xf21a8e48U, \
    0xae1b759fU,     0x9f1a5600U,     0x118040cdU,     0x38b5d928U, \
    0xaf87a390U,     0x83ab9eb4U,     0x1c2fe0caU,     0x98fd2d11U, \
    0x733acf74U,     0x33d46d13U,     0x060b0b27U,     0x61d62476U, \
    0x324a14c2U,     0x5bda38f0U,     0x6f9359feU,     0xf015bebeU, \
    0x7f598fd3U,     0xab32fbf8U,     0xd09b3434U,     0xf83104a8U, \
    0x1d627d8aU,     0x965564f5U,     0x0a2f2900U,     0x358275a3U, \
    0x25b68810U,     0xec0c501bU,     0x202ba457U,     0x7825a0a6U, \
    0xd33fa921U,     0xc9162358U,     0xf2fd3287U,     0xaefae902U, \
    0x01ce33c2U,     0xba89cb47U,     0xd9d6fff4U,     0x79db86e9U, \
    0x2dfb8f77U,     0x64ab23a7U,     0x52e44517U,     0xdde536e7U, \
    0x7fe0b306U,     0x015e285eU,     0x1e5d128fU,     0x08d3513bU, \
    0x4ae84387U,     0x5531a88aU,     0x1cc08a09U,     0x4ad4968eU, \
    0xf98ea901U,     0x99487726U,     0x3680919aU,     0xc049010aU, \
    0x5e632d29U,     0xe34d2f67U,     0xd976b51eU,     0x2dbb64f4U, \
    0x6f5c4ff7U,     0xa1798f16U,     0x57d241c4U,     0x0da73683U, \
    0x41f5f4f8U,     0xbe2d0227U,     0xbd7c6bceU,     0xc7f358a7U, \
    0xe5317dd8U,     0x15830361U,     0xdf946680U,     0x7f458163U, \
    0xb7a86b3dU,     0x1b57c8b9U,     0x2b9365fdU,     0x29431d54U, \
    0xd7900929U,     0x9278c0e1U,     0xdeb75d58U,     0x1884cc32U, \
    0x21d34edfU,     0x4f69c8c6U,     0xe62d8472U,     0x28cd497eU, \
    0x7f892d47U,     0x94bfe6bbU,     0xffe4a6d6U,     0x90f06982U, \
    0x9c3790fdU,     0xf9225842U,     0xb0c44e21U,     0xaf2db353U, \
    0x846ab241U,     0x675c5f4bU,     0x498e1fd7U,     0xe5dcdad2U, \
    0xe72310aaU,     0x5c3b17ecU,     0xbaa25aadU,     0x31a82b37U, \
    0x8528a4b1U,     0x1080e72aU,     0xa914ae7bU,     0x814d4ec2U, \
    0x9b2da90eU,     0xf7db9c0eU,     0x2dbf3970U,     0x76e9ff3fU, \
    0xd33d25aeU,     0x844b33e3U,     0x3f5cba8aU,     0xa64abf45U, \
    0xbc4d636eU,     0x0c076211U,     0x3ed79ed5U,     0x6e04c50bU, \
    0xdbb92db6U,     0xbf732dddU,     0x8d219117U,     0x2d812e44U, \
    0x1710ed93U,     0xcf4ab1beU,     0x8a798700U,     0x9d39628dU, \
    0x40fd8235U,     0x4887359cU,     0xa5079c7cU,     0xff86e02fU, \
    0x0d7a51c7U,     0xb9ae506fU,     0x3f3aa189U,     0x7fca6fb9U, \
    0x9b5f0fabU,     0x7163d556U,     0x7ca3e5a6U,     0x4e38e6f4U, \
    0xffeffbc1U,     0x670501c4U,     0x88e68676U,     0xa9e956ecU, \
    0xb8b9db9aU,     0xe9085ad4U,     0x3f514d19U,     0x8ed09507U, \
    0xbc45fdcbU,     0xa7cb1ab2U,     0x6f0bfb4aU,     0x63bf610dU, \
    0x8b99c605U,     0xd7410e1eU,     0xf9ddb538U,     0xcad390d7U, \
    0x6f3ef905U,     0xd1dc3696U,     0x891ef06aU,     0xf0720162U, \
    0x2d1064ddU,     0x8bf56e06U,     0x365ceddeU,     0x02d071bfU, \
    0x7d591557U,     0x24bf97d6U,     0x604e8c2bU,     0xde70abc4U, \
    0xe24bd0a2U,     0x8b95f21cU,     0x0f0e8c87U,     0x24c79fdfU, \
    0x51e61937U,     0xf3f1d647U,     0x5a7e4ca7U,     0x72485f29U, \
    0xd16c78e4U,     0x81d328ecU,     0x877848caU,     0x6546dd57U, \
    0xa8813d8aU,     0x967d2ccbU,     0xf6e04bffU,     0xe50cffd2U, \
    0x8c7038d1U,     0x8ff32383U,     0x0e938838U,     0x439b3c63U, \
    0xdac232e3U,     0x3fbf4a8aU,     0xbca97465U,     0xa796f283U, \
    0x2d218aa4U,     0x25383d96U,     0x05d08957U,     0x639aaa6fU, \
    0x338c3924U,     0xfd6861baU,     0x1332f2bbU,     0x9b123071U, \
    0x67568010U,     0x1b76c47aU,     0x49d79158U,     0x212217a1U, \
    0x3e27d68eU,     0xd9374758U,     0x7e6aaf56U,     0x3e68f6d3U, \
    0x45522fa2U,     0x1dc1840bU,     0x4fdc5047U,     0xbab21ed7U, \
    0xc1d8be38U,     0xd303dcfbU,     0xc896a146U,     0xc517d245U, \
    0x34b9a26bU,     0xffcb6317U,     0x3913af8cU,     0x8f9ddf91U, \
    0x51f76942U,     0x7ed11341U,     0xea9a17deU,     0xc9f14cb5U, \
    0xf7607d94U,     0x1ce21e2aU,     0x89d29727U,     0x5182b8d6U, \
    0x032047f9U,     0x2d867c99U,     0xdd32790eU,     0x9ef97989U, \
    0xf231ef40U,     0x18adc466U,     0x83efdc1aU,     0xbea7f18fU, \
    0xb800d90fU,     0x272ad3caU,     0x2963f959U,     0xe2418534U, \
    0xe87dc4a9U,     0x7565797eU,     0x5cddb47fU,     0x3ce67106U, \
    0x4b627045U,     0x2bbadd06U,     0xa0f08c57U,     0xfa60cd09U, \
    0x7a571862U,     0x4fa04c56U,     0xa1aca403U,     0xab265540U, \
    0x001300b2U,     0xc35fbc06U,     0x5138fa26U,     0x4468741cU, \
    0xaedddcfdU,     0x3827416cU,     0x41d0649dU,     0xd3f0a1a0U, \
    0x582e4483U,     0x7cd56c30U,     0x6b80020eU,     0x53856f41U, \
    0xe7f22874U,     0x7fa804acU,     0x70049b2bU,     0xd9d92306U, \
    0xf9e5f2a6U,     0xe311ee2cU,     0x82d40465U,     0x883dfc2aU, \
    0xea8fc9e4U,     0xb5fdd8c3U,     0x86a4ba67U,     0x03886386U, \
    0x6d3380e4U,     0x26b95f67U,     0x5fac886fU,     0x4b16b02fU, \
    0x8089b229U,     0x080c0277U,     0x67d761c8U,     0x0835058fU, \
    0xf11159dbU,     0x3d48333cU,     0x031a89c1U,     0x38daed1dU, \
    0x67381279U,     0x327fe0e0U,     0x2ca651b3U,     0xd0bde857U, \
    0x8614d6dcU,     0x6ab412acU,     0xc2f95c81U,     0xf80bf35aU, \
    0x13b83c97U,     0x2bce6b74U,     0xa0822d24U,     0x3befc5dfU, \
    0x0bf37fc7U,     0x832f45d7U,     0x04aafb2dU,     0x468d04ffU, \
    0xdaa75c56U,     0x8bece6e8U,     0x4918be30U,     0x39335b48U, \
    0x43bbca1bU,     0x8806c42bU,     0x4a406377U,     0x056b9738U, \
    0xfa14d2c7U,     0x6263fc50U,     0x181cd2abU,     0x150704b6U, \
    0x9ac2084fU,     0x5172e396U,     0xfafe90afU,     0x79b25f7fU, \
    0x744ee378U,     0x9933d429U,     0x0fc06c0bU,     0xd6fa65fcU, \
    0x372fdd49U,     0xc6a44b77U,     0x4f52cb52U,     0x722f4dcdU, \
    0x546482e6U,     0x7e31bf51U,     0xaf929abbU,     0x99b21f07U, \
    0x9d1928dcU,     0xa3857010U,     0xfa5f5b49U,     0x975583b9U, \
    0x00dd0a28U,     0x1b921bc3U,     0xba98dca0U,     0xd6cf7f74U, \
    0x0ad00d8fU,     0x4be91fc7U,     0x0cc5bb90U,     0x8832e684U, \
    0x21f58839U,     0x16011d7dU,     0xbb590dc7U,     0xf4c8ed37U, \
    0xfb5a1900U,     0xbc372779U,     0xd9c4a2caU,     0x41c1b9adU, \
    0x42668a94U,     0x4417ef5aU,     0xf2f43fbfU,     0x94ca6abbU, \
    0xd28531ffU,     0xc0718bdfU,     0xc01e817dU,     0x0dbc948bU, \
    0x50bbcfceU,     0x6037e590U,     0xc0d9a2faU,     0x8a9a21b6U, \
    0x60a343a0U,     0x39d7dd44U,     0x9d19d573U,     0xf23d70e4U, \
    0x61bc2e90U,     0x47c8cad6U,     0x3d810e93U,     0x20ab1469U, \
    0x8779c797U,     0xa1fe1763U,     0xeaacde38U,     0x9467e410U, \
    0x7c631219U,     0x4e875a9eU,     0x4d5f5fa3U,     0x960c465aU, \
    0x9f45f822U,     0x4cb2a75bU,     0x2dea3824U,     0xf68818d0U, \
    0x22dd1ae4U,     0x594eb80eU,     0x353685c6U,     0x0296fcc4U, \
    0xcb1ef9e4U,     0x48d27491U,     0xf250705dU,     0x6721efd4U, \
    0x73b487ddU,     0xd9b1f35cU,     0xce698093U,     0x6509a064U, \
    0x8a3b4cf6U,     0x76a77047U,     0x1e0fc75bU,     0x14add425U, \
    0xaf821a51U,     0x8d75b341U,     0xa7b66dd9U,     0x315523b5U, \
    0x2010d313U,     0x3a0d7e79U,     0xf81321a7U,     0x4ef64ec7U, \
    0xc69453baU,     0xd6d9b054U,     0xa5e4e39bU,     0xa9a7fc66U, \
    0x5f622079U,     0xbaa3ff84U,     0x1dd9c779U,     0x9f75030eU, \
    0x7c65339cU,     0xc22111e4U,     0x0266d7f5U,     0x74f9267eU, \
    0xdc4f95c7U,     0x34f72147U,     0x0ff6a25aU,     0xeeccca23U, \
    0xa4e4d8edU,     0xf99a242bU,     0x13fb7b8eU,     0x87b345f4U, \
    0x9e2222e7U,     0xe0385d55U,     0x0d3082beU,     0x2c5da627U, \
    0x4374645dU,     0xd251e7faU,     0x14b2c648U,     0x9e51f9a0U, \
    0xac655612U,     0x3fc4352fU,     0x22e15ce6U,     0xbaefd8a5U, \
    0x18cdfb46U,     0x6f88092fU,     0x0cfbd395U,     0x6df71ccaU, \
    0x43cc1d17U,     0xf09669b6U,     0x7f919337U,     0x4c5ad414U, \
    0x6a1b87b2U,     0x08fef5feU,     0x6e28a0a9U,     0x46fd100cU, \
    0x6c20707fU,     0x0f8afc74U,     0xf73c37bfU,     0xfabe5dc1U, \
    0xb1dccd30U,     0x68bb5739U,     0xdf9e760cU,     0xdd10f82fU, \
    0x3fb42283U,     0x856fe315U,     0x79c3c00dU,     0xb4b5cd98U, \
    0x0e7893d0U,     0xfff6a66bU,     0x2ba993bcU,     0x11993b9aU, \
    0x48595fafU,     0xbe2a0248U,     0x8b511919U,     0x32ce7f16U, \
    0x41ab093aU,     0x2638d36aU,     0xbf3befefU,     0xf6c36c76U, \
    0x69896fdcU,     0x111d5333U,     0x57ec3eabU,     0x19d30f54U, \
    0xc8ae341fU,     0xdd5e3bc1U,     0xde780c7fU,     0x7eaadbacU, \
    0xcecabe9cU,     0x9e8c96bdU,     0xe215e066U,     0x39cba56dU, \
    0xb28d5150U,     0x38de9118U,     0xd320e870U,     0x8a565bbcU, \
    0x2ca7c051U,     0xffce6374U,     0x06f4ed46U,     0x058e510fU, \
    0x92247127U,     0x08e88ef3U,     0xa5c2f5a5U,     0x1675a213U, \
    0x4338bdbbU,     0xd2539d1eU,     0x162cb6cdU,     0x243f2139U, \
    0x21ee1fcfU,     0xf5b00761U,     0xab1b3992U,     0xde68117aU, \
    0xa1962597U,     0xa189f6faU,     0x8647aa15U,     0x20c21187U, \
    0xc718222eU,     0x2c17f5d9U,     0xd695551aU,     0x4404ed07U, \
    0x3e39d9ceU,     0x9a21dbeaU,     0x1fbfbac9U,     0x35183f0bU, \
    0xfd15b68eU,     0x9ea4d297U,     0xc07e3b34U,     0x246e5b9cU, \
    0x041d41faU,     0x40ae13a7U,     0xe8acfbbeU,     0xdf7b4b36U, \
    0x24a6e368U,     0x03f08412U,     0x004c426dU,     0xde504045U, \
    0x5a4d8b2aU,     0xe7746cdeU,     0x201743e2U,     0xa20b3baeU, \
    0x7caa6f58U,     0x8e8ae8a4U,     0x06f6309bU,     0xf8dd03d7U, \
    0x35290d65U,     0x46e4bce1U,     0x117fcf30U,     0xb1f91cb4U, \
    0xc802c2a8U,     0x3005a789U,     0x3896f1f2U,     0xffdd3f63U, \
    0xd266e42cU,     0x1ae66b77U,     0xcf779a59U,     0x22a6b00fU, \
    0x5accadbeU,     0x7b7559f5U,     0x81abba91U,     0x668a5e81U, \
    0x9b23d1a3U,     0xb6d07a20U,     0xf8b4720dU,     0xf181b1d9U, \
    0x1bf80b85U,     0x768ee5a4U,     0xac1ce948U,     0x960d3bc8U, \
    0x9c9ffaccU,     0x23359986U,     0x8e2dcd9bU,     0x4c2e384fU, \
    0xddb37134U,     0x29c09860U,     0x4f0de0deU,     0x0edae3c6U, \
    0x9e355998U,     0x2b0b60baU,     0xeb65999eU,     0x13d09419U, \
    0xd669ff5dU,     0xf9e1a642U,     0x38137e8fU,     0x31eb036fU, \
    0x38a9bd5bU,     0x26b0afe3U,     0x9aff5efbU,     0xfcbd5bbaU, \
    0xce719b2dU,     0x419c03edU,     0x161895f1U,     0x45c2ca2fU, \
    0x4d47382bU,     0x898a6d31U,     0x190591a1U,     0xb60431a6U, \
    0x3704fd2cU,     0x5dfff052U,     0xf8a59b38U,     0xebbdf460U, \
    0x73a9cd86U,     0x4608fd6cU,     0xef1fdb5eU,     0x5a39976cU, \
    0x1180e584U,     0xf7f8e6f0U,     0x6e7edbbfU,     0xfab6ce96U, \
    0x5a1a44f0U,     0xf9958bb3U,     0x52edb160U,     0xf63b9b85U, \
    0x583346d1U,     0x1fe6d067U,     0xb5ef6ad1U,     0x63f3b6f0U, \
    0x2a14e5fdU,     0xf61679bfU,     0xc1f78afcU,     0xab26e675U, \
    0x090b1a49U,     0x7a8fe90dU,     0x0814bc19U,     0x823ada75U, \
    0x898a42f3U,     0x4a80a101U,     0xca37c267U,     0xf8a61447U, \
    0x016e17eaU,     0x62d958d4U,     0x3c4e091dU,     0xa8de95e1U, \
    0xb31b580dU,     0xd6581968U,     0xd6a67df4U,     0xae3f83fcU, \
    0x476563d9U,     0x34a4d405U,     0xec64f374U,     0x158599a3U, \
    0x8c32010aU,     0xbc9bfb42U,     0xc0f032f9U,     0xa947b065U, \
    0xf74b88ddU,     0xa7344473U,     0x4846a9fbU,     0x3340ca22U, \
    0x020605ddU,     0x8ca1a0dfU,     0x1f9d6bffU,     0x6ad18886U, \
    0xe9e87280U,     0xaf9fbdc1U,     0x3515b480U,     0xc7c79bf7U, \
    0x86a9d3b3U,     0x83908708U,     0xd4609352U,     0x1d79cedbU, \
    0x3275cfb4U,     0x2771cf0eU,     0x7f6152f5U,     0xf9b15e17U, \
    0xc3c9a58cU,     0x2df7b27aU,     0x1b5d8a05U,     0x586cdde5U, \
    0xeaf75051U,     0x29c7c16dU,     0x025a8d64U,     0x37744d75U, \
    0x78419434U,     0xd4428031U,     0x166e5ce3U,     0x630134e3U, \
    0x2c0e5e4eU,     0x1cfd1e4eU,     0x7c305483U,     0xba6f25d4U, \
    0x6d31a0c4U,     0x2e6edcb1U,     0x7e55c58fU,     0x85115cd0U, \
    0xcd178c9bU,     0x7f84e406U,     0xb05ae19dU,     0xe56b0c19U, \
    0x015c9598U,     0x666ed25dU,     0x4ff60fbcU,     0xecdd8150U, \
    0x08270832U,     0x74a4d5e7U,     0x92549d67U,     0x0a46dcccU, \
    0x2ed9cbedU,     0xe1f7ae41U,     0xc6c5076cU,     0x1862fd01U, \
    0x8d2399c6U,     0xa019b025U,     0xd44e9800U,     0xb2236bbcU, \
    0x992e384cU,     0x1e702b56U,     0xd972b2baU,     0xe1ad3c5aU, \
    0x885eecb5U,     0x41a7aaf5U,     0x0f526c69U,     0xe9bae60cU, \
    0xc16b65a9U,     0xa9272291U,     0x258c7ebeU,     0xd65cf29aU, \
    0x9374b622U,     0xf5875de4U,     0x30c4b249U,     0x78848babU, \
    0xc4e73d07U,     0x48fc4502U,     0xbaaf2858U,     0xe8790b89U, \
    0x94fb5f01U,     0xdc119884U,     0x42d8947aU,     0x0923bbb4U, \
    0x4fc2685fU,     0x59a65716U,     0x59a893b1U,     0x6e339c76U, \
    0x69005e80U,     0x203763f4U,     0x86dadf55U,     0x9f98842aU, \
    0xb1a12539U,     0x49a5f9b8U,     0xd4e126bbU,     0x9374617eU, \
    0x57d8ee45U,     0x80c1484dU,     0x5b164774U,     0x1ef99958U, \
    0xca8a1eacU,     0x771895aeU,     0x298a4cc0U,     0xb9a31350U, \
    0x27dbeaccU,     0x9567b936U,     0x96346ff3U,     0x554c2502U, \
    0x5968c46dU,     0x3e45be7eU,     0xa104fa69U,     0x926cd76cU, \
    0x56acd050U,     0x28ca9269U,     0x2a888e2aU,     0xde777a6eU, \
    0xa6680b38U,     0xd57c63faU,     0x74dcdb79U,     0x2b34d206U, \
    0x050867e4U,     0xb2072a83U,     0x377617deU,     0x74f6a9beU, \
    0x36ea7a09U,     0x02f9646bU,     0xd1cc09a0U,     0xfa6fd711U, \
    0x5a275abfU,     0x1da301c8U,     0x984e6d59U,     0xdfdd0b52U, \
    0x0c044521U,     0x1cdd64f2U,     0x4e45754aU,     0x00a29aa9U, \
    0x75184c6fU,     0x91161433U,     0x4b5bb242U,     0x9bed7ec2U, \
    0x69a87363U,     0x9339348fU,     0x6f187bb5U,     0xa93f2399U, \
    0xfa393f06U,     0xdf4b7e44U,     0xbec0726dU,     0xe09a0714U, \
    0xa339b5f5U,     0x354e8347U,     0x4a4c9288U,     0x96f83377U, \
    0x65f4aefaU,     0xbf6db424U,     0x0ea216d6U,     0xefdf9bc6U, \
    0x29170894U,     0x482f6847U,     0xb7867d7cU,     0xddc70c74U, \
    0xd0044c13U,     0x546f7190U,     0xc8ab4083U,     0xf8d386fcU, \
    0x9a26fcefU,     0xdae64ceaU,     0xd12ff221U,     0xba4c1834U, \
    0x58745eddU,     0xf21904b3U,     0xd33114faU,     0x0f1c20e8U, \
    0xfd89154cU,     0x44e149f1U,     0xa7ae0893U,     0x72e6712bU, \
    0x7be41989U,     0x1f7388beU,     0x35acc6b0U,     0x00ad6c1eU, \
    0x5d5690f8U,     0xc8eff1afU,     0x40d75ff8U,     0x1e00449eU, \
    0x9d984677U,     0xa0caeb05U,     0x5af0797dU,     0x97d463ccU, \
    0x666bd33bU,     0xf78bc159U,     0x842ba47bU,     0x609ebcc0U, \
    0xb6196093U,     0x0dc6edf6U,     0x78adb57fU,     0x3280e760U, \
    0xbc894535U,     0xb686919fU,     0xcceb515fU,     0x4f7a48b2U, \
    0xeb0219a7U,     0xa138ec59U,     0x30e94b96U,     0x81646644U, \
    0x18adf301U,     0xe5be382dU,     0x40a410fcU,     0xd0664581U, \
    0x772c9b5eU,     0xb99ae00cU,     0xeb37a2fbU,     0x149a49efU, \
    0xb666ef45U,     0x06fa8ceeU,     0xe20d5fa5U,     0x1c116c3fU, \
    0x587fe5b6U,     0x96b8e7f4U,     0x8e487e33U,     0x494ef75dU, \
    0x1f7fa2f1U,     0x3ac17b89U,     0xb365fbd1U,     0x643eddebU, \
    0xbdb88c73U,     0xec7dcdc0U,     0xf07bdf38U,     0xf9a0c5d1U, \
    0x879c17e2U,     0x7b063835U,     0xeaef11a6U,     0x5d6c6dd8U, \
    0x9042b4ebU,     0x9e872864U,     0xfd5d19a1U,     0x8fdb718cU, \
    0x311b1d9fU,     0xd3b13ab0U,     0xd146ff3dU,     0x344e4208U, \
    0x35e82235U,     0xc4a38c97U,     0x6b1cc73aU,     0x584721d5U, \
    0x4ace22d2U,     0xc7a147e4U,     0x30f9d7fdU,     0xd4d10fd7U, \
    0x6dbf9586U,     0xd8c9b1f6U,     0x4441b3b9U,     0xc16a9e27U, \
    0xcb979b9eU,     0x4a85168aU,     0x3a1d53cdU,     0x9b3f77bcU, \
    0x97554cfdU,     0x66bdebe1U,     0xd0623ec9U,     0x911952d6U, \
    0x08d551a2U,     0x86d93f8bU,     0xeef70351U,     0xdc0fcc9aU, \
    0xce2e7af7U,     0x2f1f14aaU,     0x4e8829d4U,     0xb02787aeU, \
    0x98b58bb0U,     0x2fe08b04U,     0xcad5cb54U,     0x2d9ef606U, \
    0xbb8b8a54U,     0xce0e2eefU,     0x2ef7f8d7U,     0x00f15ef5U, \
    0x8a5d9f3cU,     0xdf29e568U,     0x6fec0898U,     0x1191e960U, \
    0x12cb8295U,     0x4e4eebbaU,     0xd096650fU,     0xa8f2e31bU, \
    0xee4da7a8U,     0x3bc65e6eU,     0xacc0eb51U,     0x45c1f0c6U, \
    0xb0389debU,     0x6a8e4573U,     0xb968b038U,     0x69c5f3f3U, \
    0x86a2ee02U,     0x2727754bU,     0xc6461f87U,     0xeee04b0fU, \
    0xb20658ebU,     0xd751c729U,     0xab047ed0U,     0xb1da64c1U, \
    0x5556dc66U,     0xf6ca7163U,     0x5de1e44eU,     0x42b3fa50U, \
    0xfd6b03c3U,     0x5a51788eU,     0x0eda5cb4U,     0xebae0763U, \
    0x52bbc204U,     0x8219c993U,     0xbe991bf0U,     0xb2477ecbU, \
    0xef6bdb56U,     0x22ea4abaU,     0xfc635487U,     0x140e1ab0U, \
    0x74ecc702U,     0x64ac5802U,     0x8449b2c1U,     0xa41dbc81U, \
    0x5ad6ff79U,     0x08377d57U,     0x12c3403aU,     0xa1ab9035U, \
    0x07db28b6U,     0x180df92fU,     0x71b13824U,     0xe489f9eeU, \
    0xb1892b86U,     0x121faa80U,     0x5e3bd60bU,     0xbf121aa0U, \
    0xe1edcd79U,     0x05ecca39U,     0x7d52c39cU,     0xeba4ab5eU, \
    0xfc871d1cU,     0xb9743212U,     0xdf26e97cU,     0x42b75ea7U, \
    0xf206e10dU,     0xfb933c49U,     0x198a4526U,     0xe07630f6U, \
    0x01d3f72fU,     0xcd1ee721U,     0x54190ea4U,     0xb6afe3d8U, \
    0xcc96fde0U,     0xebdde81bU,     0x14798c9cU,     0x2f724483U, \
    0x5527e679U,     0xdaf96898U,     0xdcdd65f5U,     0x2720c9beU, \
    0xff3a5e76U,     0xc9db41abU,     0x1927037eU,     0xa825540fU, \
    0xdd5dc649U,     0xddaad9e6U,     0xc2ac1b2aU,     0x26e004dbU, \
    0xe4e86bd0U,     0x064a17e6U,     0xb02045cdU,     0xce4d63ffU, \
    0x81773a7cU,     0xc4d116f3U,     0x050fc5e3U,     0x799a2aa6U, \
    0x6713053eU,     0x811790b6U,     0xd7a7c3c1U,     0x768ac030U, \
    0xf9260639U,     0x71143bffU,     0xa03a57c8U,     0x93ffeffbU, \
    0xefbc5bfdU,     0xe8f14fa8U,     0x56645985U,     0x2d91b794U, \
    0x8d78494dU,     0xfe73fa23U,     0xec9788f2U,     0x24336115U, \
    0x3b15f67aU,     0xdff994bfU,     0xb8271e45U,     0x94bde124U, \
    0x7e829911U,     0xd5927e83U,     0x9ca037e4U,     0x0d97d1b8U, \
    0xa2baa942U,     0x3fcdff46U,     0xbbb8c367U,     0x5b4c9be7U, \
    0x21fc9e13U,     0xb667d300U,     0x87222a77U,     0xbff4dbddU, \
    0x7201d0ddU,     0x08916a5cU,     0x723e0173U,     0x069cf028U, \
    0xf86fe101U,     0x01e0f818U,     0x6bdb244aU,     0xe3d7cc4dU, \
    0x6a532f19U,     0x0e76dd87U,     0xdd61d9eaU,     0x13ae3adcU, \
    0x90c04038U,     0xc46aac1bU,     0x07b78613U,     0x38d8f8beU, \
    0xbb5f88caU,     0xabad80ceU,     0x9f2563f7U,     0x1d2b27deU, \
    0x26991f71U,     0xa63be389U,     0x2fa2aa01U,     0x25592347U, \
    0xfb5955f5U,     0x795c2a9bU,     0xdb2a0c7bU,     0x341d686eU, \
    0x200e0c19U,     0xb6f763c8U,     0x1e1a13e8U,     0xe6344767U, \
    0xc7ec9197U,     0x54399f40U,     0x4a50c299U,     0x77a5aa2eU, \
    0x3fa2eee4U,     0x43d92784U,     0x81f8a121U,     0x4cf45127U, \
    0x4dd25429U,     0xb499d7d0U,     0x22c3391fU,     0x5fcddf05U, \
    0xc985d38fU,     0x1b253be1U,     0xa7fbec25U,     0x751d8793U, \
    0x25b131d5U,     0xf8b8a36fU,     0xc807feacU,     0xd54985e3U, \
    0x7f9c0bd2U,     0x8e4e3b6fU,     0x9328cffaU,     0x8ed55742U, \
    0xd3e6b33bU,     0xf73d9ffbU,     0xf2084196U,     0xe1287deeU, \
    0xd2087f86U,     0x6db1835bU,     0x9e7f2739U,     0x2f9eabcdU, \
    0xb8569d3aU,     0x5c44bc4cU,     0x65683c5cU,     0x46b72eabU, \
    0xfeb73203U,     0xfa72e71cU,     0xbf9b686bU,     0x5abe6f68U, \
    0xcd3bff11U,     0xc69e45aeU,     0x6b241638U,     0x2996ec2dU, \
    0x37cf1a14U,     0x182cbb75U,     0x904d4621U,     0x00c3cac9U, \
    0xa5ca5837U,     0x4576b2f8U,     0xf4a5c319U,     0x6bc64901U, \
    0x9277f6e9U,     0x74f1b12eU,     0xa2270bcbU,     0xa5a5fbb6U, \
    0x16b27904U,     0x1875807dU,     0x25e0015bU,     0x8eadf899U, \
    0xd511c501U,     0x6d743437U,     0xd82b42dcU,     0xbe3c06abU, \
    0x75a50be4U,     0xb3227d85U,     0x92849f69U,     0x8ad175adU, \
    0x48b12028U,     0xb097b06eU,     0x0bf0a4deU,     0x6c8b93aeU, \
    0xf641636aU,     0x8fb4cbaaU,     0x8eaef6daU,     0xb9a6b67eU, \
    0x1bd1b1d1U,     0xae106818U,     0x5b445fe7U,     0x5bc547eeU, \
    0x0f39042fU,     0x6b35f6a0U,     0xc2b83b85U,     0xeb521cd9U, \
    0xe795ded4U,     0xba030246U,     0x2fda473cU,     0xfc983844U, \
    0x327b56f3U,     0x0faf0660U,     0xc2a8ac3fU,     0x236bd296U, \
    0x130a0ff7U,     0x5dbc92a5U,     0xd3c3d8beU,     0x8f90dfefU, \
    0xb3d122a8U,     0x1b8a7c4fU,     0xb146c29fU,     0x33231ce4U, \
    0x8816a0c8U,     0x910f4c75U,     0xad718a2dU,     0x121122c3U, \
    0x05bd692cU,     0x666a9321U,     0x2386e04aU,     0xfd44b70eU, \
    0xdaf76320U,     0xa539bac8U,     0xd9b97fbbU,     0x422ce669U, \
    0x87f745f6U,     0x32d8ccfaU,     0x1d65f731U,     0x62fa0d14U, \
    0x759a13a1U,     0x3f11e214U,     0xa04c8104U,     0x5c3a9fa9U, \
    0x7b61ac6dU,     0x2182b338U,     0x11bc06c8U,     0xd1884677U, \
    0x63e28d4aU,     0x0b9fa901U,     0xfa86fc95U,     0x031869c8U, \
    0x5a04e9cfU,     0x28762bf2U,     0xb9a1e273U,     0xf1c3f087U, \
    0x86f791a0U,     0xc7ec48d4U,     0x5d7115bbU,     0xb4fbd996U, \
    0xd13c817eU,     0xc40ec5a1U,     0x7a91fd5cU,     0xfc13083eU, \
    0x18471653U,     0x3ae80d0cU,     0x816ce0c7U,     0x6c0a7b40U, \
    0x3dcc478aU,     0x4fcb39f0U,     0x24afd0a6U,     0x37aa6b7dU, \
    0xc0e55698U,     0x9784d031U,     0x7449c153U,     0xecafc4c5U, \
    0x662b6797U,     0x0ba627baU,     0xcf9db954U,     0x1d64e4a7U, \
    0x4bd63081U,     0xf4da7733U,     0x5333ceebU,     0xd98acfdfU, \
    0xbffe5f1aU,     0x5aafa7b8U,     0x7e9f7ee0U,     0xe1228136U, \
    0x914e0960U,     0x33341c5fU,     0x8249723cU,     0xa7abdf46U, \
    0x7c113333U,     0x32d211d2U,     0xe2fcb008U,     0xc41e2904U, \
    0x927b4b79U,     0x130bbff3U,     0xb4139108U,     0xe00883d3U, \
    0xa07fd812U,     0x3bed3367U,     0xa5f9fa5fU,     0x3d325d33U, \
    0x29f1918fU,     0x28ea47cdU,     0x83a44a0aU,     0x1b46cc48U, \
    0x2e291f2dU,     0xb610f2ccU,     0x20614b25U,     0xde086b73U, \
    0x523ed0aeU,     0x521077a1U,     0xf34e2bd9U,     0xc9cc7d25U, \
    0x6cf26a58U,     0x004f442cU,     0xb2e079bfU,     0xfa900c85U, \
    0x98679cd5U,     0xf08f4eceU,     0xed72451aU,     0xf9558ac1U, \
    0x0c43098aU,     0x738fd068U,     0x797cfb8cU,     0xa0d1f79eU, \
    0xa5a0a06cU,     0x22879cebU,     0xa16ee59aU,     0x81a9241dU, \
    0xa14f7ddcU,     0x8c0e3836U,     0x394b4f8fU,     0xe829947bU, \
    0xc0562071U,     0x4d5d809bU,     0x8ceba450U,     0x2b15f3c0U, \
    0xf55ba998U,     0x3ce0e3ebU,     0x050b2aaaU,     0x86446ba3U, \
    0xbcd8f955U,     0x5691f31dU,     0xce1e3192U,     0xbf4bb20aU, \
    0xfec9aca9U,     0xc66b6071U,     0xc1b4d4daU,     0x4d9890adU, \
    0xb9970b18U,     0xe39e108aU,     0xa3b4c93cU,     0xdbe9634bU, \
    0x46f55ea3U,     0x1c0902e4U,     0xab7b77b7U,     0x2164226dU, \
    0x0e08c25eU,     0x079be495U,     0x94f64885U,     0x9c7a5fe9U, \
    0x1e0804baU,     0x76811d33U,     0xa86a8ffdU,     0xb95e813bU, \
    0xe0c27613U,     0xb3517392U,     0xc1a310deU,     0xedf0332bU, \
    0xafae3487U,     0x60224ec2U,     0xafe2429aU,     0x20e15e18U, \
    0x14e0c2a3U,     0xdcb43194U,     0x196b672fU,     0x70bff6a6U, \
    0x9c5ec926U,     0x3a451286U,     0xf8990347U,     0x7d37128fU, \
    0x94a0bb62U,     0xf1ccb35bU,     0x96a8089fU,     0xd0b35820U, \
    0xc768ba68U,     0x8507045eU,     0x5818e629U,     0x2df4052bU, \
    0xe1a7d726U,     0xa4472557U,     0x0c4a4beaU,     0xa58f0d14U, \
    0xfe3b74c7U,     0x4f0d2a57U,     0x67ea5e30U,     0x97580657U, \
    0x50baef2fU,     0x3c2f0811U,     0xc61daceaU,     0xd0ff8ad2U, \
    0x789aa035U,     0xd70a1e4fU,     0x2500c9c0U,     0xa6ddd63cU, \
    0x5bf30ee5U,     0xad9b499fU,     0x34806621U,     0xc0ed936eU, \
    0x1513d289U,     0x5c6891e8U,     0x23114933U,     0x37860e31U, \
    0x668f83d7U,     0xa9f7ebe9U,     0x315934ebU,     0x46a3d3a9U, \
    0x8c3035c0U,     0xf83bbdbaU,     0x9370953dU,     0x656f5693U, \
    0xfaa216ccU,     0x099f1eb7U,     0x93ed2ce1U,     0x6480e8c7U, \
    0x23abdd3aU,     0x7935b16cU,     0x0ebb00ffU,     0xd1218df8U, \
    0x2dd5ec9aU,     0x389ef8b0U,     0xf4819110U,     0x17dbc758U, \
    0xf6a095caU,     0xe1f07004U,     0xabaed1f1U,     0xc5855573U, \
    0xe87e110aU,     0x8d3de19fU,     0xd8da525dU,     0xe3fded29U, \
    0x349824d9U,     0xae5b024dU,     0xa06f0f41U,     0x417ee645U, \
    0x9f46cda5U,     0x35ed39cdU,     0x929e827eU,     0xe09919d0U, \
    0x97f97ffcU,     0xfef7f4feU,     0x641cdc39U,     0x44c2a7b0U, \
    0x03a50cb0U,     0x45db95d7U,     0xe339f0a3U,     0xe02697d7U, \
    0x77003490U,     0x1ec254d4U,     0x83ecf72fU,     0x800c0062U, \
    0x1465392aU,     0x9e8c54a5U,     0x246c9740U,     0x7806b508U, \
    0x70088907U,     0x658a7cdbU,     0x411a6a4cU,     0xe2a0f807U, \
    0x510bafd3U,     0xfbaadcafU,     0x0efcbe14U,     0x72ba3513U, \
    0x0d32b536U,     0x6c9b174bU,     0x24170d4bU,     0x9190f693U, \
    0xfd208016U,     0x57c96418U,     0x46175f0bU,     0x262d1fe8U, \
    0xcf215dfcU,     0xe06a662aU,     0xc5ce0d1bU,     0xcd1c6a75U, \
    0xfc57e123U,     0x31bcb04aU,     0x7f1a4a43U,     0xff5e40f3U, \
    0x90603c99U,     0x04ec14c5U,     0x30e2aec6U,     0x29de7e48U, \
    0xbe229593U,     0xc75f7b70U,     0xba130312U,     0xab01c7faU, \
    0xb8e64ca6U,     0x86a49c17U,     0x7ff9b8cfU,     0x832b87dfU, \
    0x48ca399eU,     0x291bee62U,     0x594dc51eU,     0x33270e6aU, \
    0x6a01835eU,     0x07d94a5eU,     0x29c902e8U,     0xceb4f7baU, \
    0xf3b09297U,     0x4ad2da92U,     0x311d7851U,     0x8ce242c0U, \
    0x4c57d1cbU,     0xc1d2e4fbU,     0x99f35db9U,     0x4f6dce32U, \
    0x7b2562e0U,     0xf18f39b0U,     0x70cbdfafU,     0x1e74b8beU, \
    0x9a0f9562U,     0x04d9fc72U,     0x07db1cebU,     0xd8568812U, \
    0x6cc5c069U,     0x6f24604fU,     0x62fe5b6aU,     0x56d53c33U, \
    0x5bf080faU,     0x79591899U,     0xd03c1382U,     0xd7e00673U, \
    0xdfea093dU,     0x0b459125U,     0xcdaa7a3dU,     0x3fbd47b7U, \
    0xc19c724eU,     0x3f20996cU,     0xca37f5f7U,     0x5f285ae9U, \
    0xf7c2aed6U,     0xad3d759fU,     0x240de9ccU,     0xf3e3c3b4U, \
    0x39819b0fU,     0x8e33081aU,     0x131cd40bU,     0xd0f6202cU, \
    0x8b755680U,     0xdcdfe2e9U,     0x0795bfd3U,     0x28f61b0dU, \
    0xda3e591fU,     0xf4ea6561U,     0xbca888aaU,     0xbb3163dbU, \
    0x523517dfU,     0x2f7b1e64U,     0x9a2290afU,     0x0a197208U, \
    0xe4955514U,     0x12081cc7U,     0xdacc632aU,     0x4e31abb7U, \
    0xc6a13e51U,     0xe02a14deU,     0x9db7274cU,     0x437b050eU, \
    0x80a05204U,     0x09096601U,     0xa394db5cU,     0x1d24e018U, \
    0x67cb5475U,     0xde39aa4eU,     0x1d2dd359U,     0xd2cf29daU, \
    0x6970ac43U,     0x68fa2044U,     0x1590a142U,     0xfc6c0038U, \
    0xd1662896U,     0xc2709e53U,     0xdbb3457cU,     0x7dbdabd6U, \
    0x38233cfaU,     0x24d47cc2U,     0xf867724fU,     0x5f135d5bU, \
    0xe3c36a64U,     0xdba5d346U,     0x064b273fU,     0x139cb7f5U, \
    0x8f11a1aeU,     0x57792a24U,     0x9ef4d07bU,     0xad7225d2U, \
    0x989f4875U,     0xedcb232fU,     0x47184b1cU,     0xba1db416U, \
    0xbb445b6eU,     0xc7efa632U,     0x0ccd0d23U,     0x9c9e58b2U, \
    0x47a02192U,     0xb5086704U,     0xe37127fbU,     0xdbee85f1U, \
    0xc0cb9ec8U,     0xbb872411U,     0x9db6f42eU,     0xbae249d5U, \
    0xe2187246U,     0x3027d40dU,     0xaa341423U,     0x0a951443U, \
    0x1ade2edbU,     0xf7aa889dU,     0x6056f913U,     0x2de2f41cU, \
    0x3762caf6U,     0xe0862cfdU,     0x4e75b4a9U,     0xd23450d9U, \
    0x3183f5afU,     0x0b925e27U,     0x1534e4adU,     0x1d4ea617U, \
    0xfc5928bbU,     0x3c683f2cU,     0xcaef3425U,     0x9b20f81eU, \
    0xab3b63a1U,     0x47909543U,     0x679fe940U,     0x9bce267bU, \
    0xb14cee32U,     0x0c914f44U,     0x59067d2aU,     0x369018d4U, \
    0x8a1ec602U,     0xaf369619U,     0xdd438037U,     0xff506aa7U, \
    0xd1513a8cU,     0xf54c2fdeU,     0xc3d656c0U,     0x74bcf380U, \
    0x9aa488c9U,     0x73fb7d6dU,     0x7e93cb23U,     0xb77ed45cU, \
    0xc12f12caU,     0x1312c387U,     0x028e9a2bU,     0xa6e90c1bU, \
    0x3175963eU,     0xf7d1abe2U,     0xc595bdd6U,     0xcc6860dfU, \
    0x6dfdd864U,     0x03eda4a4U,     0x26ee3ee9U,     0x392507a1U, \
    0x03a3e5bdU,     0x7430293aU,     0x09b704b2U,     0x55dafda6U, \
    0xb34d35acU,     0xe0f1e568U,     0x34a297a0U,     0x3a8c406bU, \
    0x0d9bd498U,     0x0e18fe09U,     0x9c6afcb7U,     0xd4e96eeeU, \
    0x46b385d9U,     0xeace61d4U,     0xbe128ac5U,     0x1016ab91U, \
    0xaad3eac2U,     0xd1949975U,     0x1e03e1fdU,     0xd3977158U, \
    0xefa24c73U,     0x07356b79U,     0x4fffac91U,     0xfeef3a61U, \
    0xe0946b38U,     0xca181541U,     0x9a21474bU,     0xd26bd7b4U, \
    0x505d1034U,     0xb3655a86U,     0x7ca581f3U,     0xff393407U, \
    0xd33734b4U,     0x0fb58dd0U,     0xbd9c47c4U,     0x25dfc07cU, \
    0x4b9a1a68U,     0x876080c5U,     0xb1ee7f4aU,     0x184a6447U, \
    0xf0a1441bU,     0x8585483aU,     0x98f75b4cU,     0x1879335aU, \
    0xa581ebb2U,     0xc4898221U,     0x94378fe7U,     0x3777380cU, \
    0x4f378324U,     0x4b271523U,     0x3b506499U,     0x38aaefa0U, \
    0x00058b12U,     0xe6db6771U,     0x4ebeacbbU,     0x17236652U, \
    0x35e09fcaU,     0x3e67da54U,     0x8a0c3dbeU,     0xa325e09dU, \
    0xc33b6d55U,     0x2b9f365bU,     0x7aedf9dfU,     0x41c833ddU, \
    0x07c00f85U,     0x75ce1d75U,     0xf14ec7a9U,     0x99ee193dU, \
    0x5be323beU,     0xf71c3926U,     0xd6677075U,     0x7f7da087U, \
    0x40534d63U,     0xdb87cc99U,     0x6f4ac5cdU,     0x54f0e355U, \
    0x68a7e3b8U,     0x2ab3d55eU,     0xb3673da5U,     0x49486b83U, \
    0xf9d78902U,     0x94907159U,     0xd017da29U,     0x311e2120U, \
    0x6dfdf94aU,     0x95a54d1eU,     0x751699ecU,     0x942531d0U, \
    0x3513ef24U,     0xfcf9f241U,     0xf3fdde43U,     0x30de46bfU, \
    0x0f499e3bU,     0x4d724937U,     0x94f7ffd7U,     0xc0138a3cU, \
    0x78abac80U,     0xa66136e1U,     0xa7240f6bU,     0xacbdf2ffU, \
    0x2ea4ecdcU,     0x3fae39c5U,     0x9d77ade9U,     0xeeefdb26U, \
    0x1b443c5fU,     0xd8f97f4fU,     0x11ebda46U,     0xbdcd62e4U, \
    0xb5008297U,     0x311005b2U,     0x4d36e187U,     0xa59ac4eeU, \
    0x058424aeU,     0x505e1cacU,     0xce6019ddU,     0x843c6596U, \
    0xddb8d640U,     0x7af54e4eU,     0x697a4556U,     0xae205dd2U, \
    0xe7295fefU,     0x2fd9847fU,     0x4a924189U,     0x06e0aa5fU, \
    0xd447e086U,     0xfe0c327dU,     0x4076dd6eU,     0x317c3c41U, \
    0x08bbf86eU,     0xbef52623U,     0x6fdcdfbfU,     0xe8eab746U, \
    0xb346be7fU,     0xe2827cdcU,     0x4b3789f2U,     0x9bca6240U, \
    0x707b29a2U,     0xa4f446f4U,     0x2cffb334U,     0x5ca3099bU, \
    0x2d0bdd43U,     0x1b24d659U,     0x9c0512efU,     0x2b947639U, \
    0x50f43c87U,     0x8290c181U,     0x37409c27U,     0xd7e6f2bfU, \
    0xca9c1757U,     0x73d967e7U,     0xd8efdda2U,     0x68c05963U, \
    0x320a9cfaU,     0x41477de1U,     0x206f3017U,     0x6671bfcfU, \
    0xeb05c7ffU,     0xcda42daaU,     0x69322022U,     0xcc579bedU, \
    0xcfa3d599U,     0xbb08a5afU,     0x34be2621U,     0xd25880caU, \
    0xa0e36c7eU,     0xc0c6828dU,     0xbbca0031U,     0x66198da2U, \
    0x3fa412ecU,     0xcb472b38U,     0x9246ad93U,     0x3834ca5aU, \
    0x53e0f849U,     0x141ae901U,     0xa18cefdfU,     0xd61898b6U, \
    0xc5b06b33U,     0x7660cf36U,     0xc6996d2eU,     0x6af169c7U, \
    0x55c10f8eU,     0x69c9e872U,     0x0d63a8adU,     0xa682f7b1U, \
    0x51326e91U,     0x2099abe3U,     0x1d42e071U,     0x2d575e1bU, \
    0xeb2918beU,     0xae4bcdddU,     0x20464945U,     0x71edb495U, \
    0x19c45032U,     0xdab69b29U,     0xa2705c52U,     0x4319c486U, \
    0x88569546U,     0x0b1a2b05U,     0xcc636fbaU,     0x4e0202c4U, \
    0xe5ebe323U,     0x3f9a04d1U,     0x0f2004cdU,     0x9e41b4a6U, \
    0x6865cea7U,     0x9089e742U,     0xbaf55fd7U,     0x12e06afdU, \
    0xf5f266ecU,     0x5956ecb7U,     0xe5d90295U,     0x00d2bbd8U, \
    0xaa9bb319U,     0x3f8a562eU,     0xba8b1436U,     0xadef2c14U, \
    0xfb3905eaU,     0x409c68f2U,     0x7129301dU,     0x82c603f9U, \
    0x488eac73U,     0xab9c02f7U,     0xe11316ffU,     0xc5cb2002U, \
    0x9cc18997U,     0x2f68282cU,     0xdbffa0f9U,     0x18e2f059U, \
    0x97012eddU,     0x3561d571U,     0xf6b5368bU,     0xcd5e5ad6U, \
    0x7aa93756U,     0x59823861U,     0x6de0988cU,     0xcbdd6bc1U, \
    0x040e0a07U,     0x218171d5U,     0x53872972U,     0x886d2ad9U, \
    0x7184e30cU,     0x6e0baa7eU,     0x9e4b3b06U,     0x98f47479U, \
    0x6ce459bdU,     0x58ebfa3cU,     0x500eeffeU,     0x02359309U, \
    0xaf2acdb7U,     0x4c60a112U,     0x8f05d35bU,     0x93ab80c4U, \
    0xc677df3dU,     0xfdeca559U,     0xc51f1f96U,     0x42de859cU, \
    0xcc8f609cU,     0xcde7b5e6U,     0xd8c0b154U,     0xe4ea4095U, \
    0xfd206014U,     0xe526fff1U,     0xa151c17dU,     0x9fe00a0aU, \
    0x43893688U,     0xad7663a1U,     0x43ce56c1U,     0x693d067bU, \
    0x6bee576fU,     0x7f21c849U,     0x62240bb6U,     0xd95633faU, \
    0x4c806c27U,     0x9b09e4f7U,     0xe09d1231U,     0x18c93d65U, \
    0x1cec799dU,     0x25a7e481U,     0x223075b2U,     0xfacc9c2aU, \
    0x926a70e7U,     0x96554542U,     0xc60a17a2U,     0x5aabf9acU, \
    0x9542c9a0U,     0x333f8921U,     0x6aefb90eU,     0x41c794d8U, \
    0x3e2da949U,     0x7a2af866U,     0x97df2b46U,     0xd538777cU, \
    0x3342dcd0U,     0x44b983ccU,     0x04600a17U,     0xde763692U, \
    0x9301b242U,     0xdebffaaaU,     0x5bc8df5aU,     0x1943f7adU, \
    0xcb172eefU,     0x4829d771U,     0x331c2550U,     0x4b6d49bdU, \
    0x3b9086ebU,     0x74f16291U,     0x172e47dfU,     0xc653ba91U, \
    0x7bb8164fU,     0x3f76f36cU,     0x738a4358U,     0xf3d5a86bU, \
    0x067fdb35U,     0x2bcc26b9U,     0x29a59695U,     0x70645b41U, \
    0xce7664c5U,     0xcfc4fc95U,     0xd1fa2b52U,     0xb6c7f634U, \
    0xf456b067U,     0x11ce5d9eU,     0x15a8250aU,     0xc5d4614cU, \
    0xb76d7c08U,     0xa0cf3461U,     0x43f2cf4dU,     0xa124cf0bU, \
    0x2254ed5cU,     0xe26bd46cU,     0xcc668534U,     0xc0e325c5U, \
    0x2e2ba587U,     0xd416e1b9U,     0xe8e7d710U,     0x2837d524U, \
    0x17e11a93U,     0x64b52abcU,     0x20a95f30U,     0x8ad63d47U, \
    0x5b2bba49U,     0x44927d9fU,     0x885cbde6U,     0x8f6d0106U, \
    0xea15feebU,     0x137dbcd9U,     0x489ce9a0U,     0xba309d3eU, \
    0x2584a503U,     0x39d6aba6U,     0xf2808bb7U,     0x25391c38U, \
    0x2945b43bU,     0x66c03455U,     0x510d054dU,     0xe9be9dc9U, \
    0x72c4c8dcU,     0x572879d3U,     0xbbcb42deU,     0xb8217dbdU, \
    0xb26d9000U,     0xd7f3f37fU,     0x7b3ac37fU,     0x807ef459U, \
    0x1c0f270aU,     0xd61b2140U,     0x6cf1a1bbU,     0xcad42712U, \
    0x82cfc274U,     0x8cad8c93U,     0xf77c022eU,     0xc96d6808U, \
    0xc10f8c0eU,     0x4384bd27U,     0xe5f68e71U,     0xa8891e7dU, \
    0x6673388dU,     0xfb41b1ceU,     0x81a15aa7U,     0xe9f65717U, \
    0x22b2cf45U,     0xa358a421U,     0x68fbc8e6U,     0xfda72ceeU, \
    0x6fe39a0fU,     0x8422cf3dU,     0xd7ac9ff7U,     0x5c972204U, \
    0x6d99116aU,     0x7bf3177fU,     0xe75bad66U,     0x1717fa5bU, \
    0x58b8865eU,     0x28f9a58dU,     0xd23bbc84U,     0x204a78e9U, \
    0x2f176488U,     0xcd9f7affU,     0xf4548311U,     0x9d4e1681U, \
    0x17ef96e1U,     0x06ad5015U,     0x64d3584cU,     0x459a4c04U, \
    0x7ae9efa5U,     0x0300e993U,     0x52d6abd1U,     0x45ede4f4U, \
    0xe332e3c6U,     0x530f642fU,     0x1699f8ebU,     0x1a3b984cU, \
    0x3361d573U,     0x406b08fbU,     0x18fb9ad5U,     0xe7005555U, \
    0x473e8789U,     0x254dcc4cU,     0x5ca762f1U,     0x4581fa06U, \
    0x5a9647feU,     0xf4ec6941U,     0x6965601eU,     0x2befb088U, \
    0xa468a229U,     0x26559265U,     0xe7280b5eU,     0xd3423611U, \
    0xebfca82cU,     0x8f126099U,     0x2553bf0dU,     0x5fa80063U, \
    0xe7ab252bU,     0x654f7977U,     0x0b259233U,     0xf3dd2f83U, \
    0x09e2abe0U,     0x5f065038U,     0x5250f7a7U,     0xeee21a97U, \
    0x116c8327U,     0x3ce09112U,     0xf13894c3U,     0x4a9ff4e2U, \
    0x8ee3ebfaU,     0xdb472625U,     0xb36c4a67U,     0x9372033dU, \
    0xdfbf6efbU,     0xc4686d55U,     0x93410815U,     0x049837dcU, \
    0x3978711fU,     0x2025579aU,     0xd4e5769bU,     0xf83802bbU, \
    0x5171b178U,     0x9e200b27U,     0xb9f2ffadU,     0x13b1d39cU, \
    0x6facc1bfU,     0x33d62041U,     0x9588b4beU,     0x8b253ad8U, \
    0x507d9f49U,     0x01961ef5U,     0x51a916a0U,     0xac511db6U, \
    0xc1ecdc60U,     0x54daadbdU,     0xdf05cfa5U,     0x3693cddcU, \
    0xc5f1813bU,     0x05e2e89cU,     0x46e14528U,     0x20ec08c5U, \
    0x772db502U,     0xe15c733cU,     0x196a91e0U,     0xaf969ba6U, \
    0x074ea3bcU,     0x9b42a52cU,     0xbcc3ab39U,     0x9e33f2a5U, \
    0x41fe493fU,     0x74608476U,     0x5225e2beU,     0x5eaa050cU, \
    0x5f28dc59U,     0x06f57078U,     0xa0de1cacU,     0x732f9e69U, \
    0xe073fb66U,     0xa3aec71fU,     0xa1092558U,     0xd17c5456U, \
    0x23b2ce2fU,     0xabcff28bU,     0xf065896fU,     0x14338f2eU, \
    0xe98175d6U,     0xa9292c57U,     0x69d5183aU,     0x05931ad9U, \
    0xa2aa9ff8U,     0xf75518e7U,     0x884fb12bU,     0x2260a79dU, \
    0xc2960d30U,     0x62eaca67U,     0xb35b912dU,     0x70e4fad1U, \
    0x9b52483dU,     0x506cea8dU,     0xfce09658U,     0x3477fe78U, \
    0xda61ebdfU,     0xb38119c5U,     0xd69d37bdU,     0xd9356c99U, \
    0x1ad6d3e4U,     0x4bbe78beU,     0x46632d1cU,     0x8b6af06bU, \
    0xbced3541U,     0x2496fcebU,     0x93db7254U,     0xcf6a460aU, \
    0xa84e51f6U,     0xf2e415c2U,     0xb277b023U,     0x8cb3e3c8U, \
    0xcb3f3683U,     0xbab35c60U,     0x4186d3e9U,     0xc6a5eda1U, \
    0xbf10001aU,     0xc984f2d0U,     0xd126949aU,     0x7ee8e588U, \
    0xb9117700U,     0x8faddb13U,     0xe7f9ed2bU,     0x6698c624U, \
    0x4897e420U,     0xe83a6f9eU,     0x38a8d52aU,     0x26d4845dU, \
    0x352c5d41U,     0xf9d03462U,     0xcde106a1U,     0x61cea346U, \
    0x7a20cd23U,     0x9f66121aU,     0x309df806U,     0xf77371a3U, \
    0xac2b9c45U,     0x7068b824U,     0x94cd9b05U,     0x816ad4ebU, \
    0x4ccbec6fU,     0xd7637d7dU,     0xf9435afbU,     0xac83a5bcU, \
    0x708360c9U,     0x4c7bdeedU,     0xc80edf0dU,     0x3f773169U, \
    0x883207b3U,     0x8220aac3U,     0xa56709bdU,     0x1acd3529U, \
    0x6af96274U,     0x3880d05cU,     0xa93eecd4U,     0x9fc727b3U, \
    0xfebfaac6U,     0x31f5b2b9U,     0x0866ce7dU,     0x67a50bd6U, \
    0x37732257U,     0xf58b1d17U,     0xd7872834U,     0x3a92d17cU, \
    0xb63e413cU,     0x5e82e908U,     0xb6c0e2c2U,     0xbe39caa0U, \
    0x326ce722U,     0xde94e1ddU,     0x97795ea1U,     0xd6dd6d40U, \
    0xf300be5bU,     0x07c8c475U,     0x5c00b94eU,     0xd89492c7U, \
    0xc6e35aecU,     0x771bece5U,     0x892b44cfU,     0xe3d00a42U, \
    0x2d7e16afU,     0x0df2a12aU,     0x351e9fc9U,     0xc37cde70U, \
    0x937359cfU,     0x6ab1d23aU,     0xed1b0966U,     0xd1b0461aU, \
    0x768ba49bU,     0xde4ffca1U,     0xbb62fff9U,     0x88fdef5cU, \
    0xc58db5c2U,     0xb619ca39U,     0x357f9424U,     0x321fd487U, \
    0x3ed1c061U,     0x0130e1e7U,     0x08772e76U,     0x29fc8101U, \
    0xdfff3026U,     0x672f5dddU,     0x897d1a5cU,     0xd0c2996eU, \
    0x699664bfU,     0xb9bd2ae8U,     0x08f25d10U,     0x3b539e04U, \
    0xc4e89970U,     0x43347a36U,     0xae18146aU,     0xb10f3302U, \
    0x9040a348U,     0xe6a2936bU,     0x75cdd2b9U,     0x33bc1f42U, \
    0x8e6473f6U,     0xc30675d7U,     0x74c50904U,     0xb0538bbaU, \
    0xa8e9020cU,     0x23ccc996U,     0xa2e97486U,     0x436ffdfbU, \
    0x9d99e13eU,     0x6e22152eU,     0x7b9810ecU,     0xcd9bd0b7U, \
    0xdea08657U,     0x35851abfU,     0x5a2f6679U,     0x2ffa9913U, \
    0xd6a4cc85U,     0xb7f5ae3aU,     0x4f533963U,     0xa0c574beU, \
    0x5c8a45e0U,     0xc602d2acU,     0x4af7c056U,     0xd82e8d03U, \
    0xdbde3db8U,     0x467d3288U,     0x9a874f49U,     0x470e618fU, \
    0xb6a4aee1U,     0xf2ad4b96U,     0x59059836U,     0x894f9216U, \
    0x96ebc502U,     0x7c9ff254U,     0xa00266d6U,     0xf22f9c82U, \
    0x08f8f717U,     0xbcfd46eeU,     0xfdb51703U,     0x61897fc5U, \
    0xde43b89eU,     0xe39ebb67U,     0xd5b49300U,     0x8380271eU, \
    0x7c00e4fcU,     0x2bf3fb50U,     0xc51ef26bU,     0x9370e3f7U, \
    0x7033ff5aU,     0x8b74ec47U,     0x782080d5U,     0x84a67fd1U, \
    0x7887648dU,     0xd1a692beU,     0x776b579fU,     0xef9a7146U, \
    0xfaffc4f2U,     0x4ca6f8f9U,     0xbe1d7ebfU,     0x48726819U, \
    0x1eeca25cU,     0x3cce5d51U,     0x55f7f2c7U,     0x5d2fb1deU, \
    0x3447c34fU,     0x29260b52U,     0x22891b3fU,     0x329df7c3U, \
    0x78b2a8e9U,     0x8a129105U,     0xb6790877U,     0x3b1e7578U, \
    0x0331adf5U,     0xdffabe28U,     0x067b5d8dU,     0x4287df5fU, \
    0x08f3422eU,     0x095d6dc0U,     0xac586d8bU,     0x0e066fe4U, \
    0x5b74dc6aU,     0x13ba9b26U,     0x25a868cbU,     0x60478c2bU, \
    0x140caeaeU,     0xd31d42c9U,     0x6d84934dU,     0x24cdae67U, \
    0x360fecddU,     0xbadd8929U,     0xef2734e6U,     0xba05d4ceU, \
    0xbe656c91U,     0x0194bec0U,     0xb87b2ff5U,     0xedadd556U, \
    0xd0326751U,     0x94848263U,     0xb65866caU,     0xcdf4f20fU, \
    0xdbf68bc9U,     0xf0244d98U,     0xca7564a5U,     0x2d91ea85U, \
    0xc8e1be75U,     0x1f9440bfU,     0x96f4abdfU,     0x87ca7c02U, \
    0x6bf938acU,     0x0722ee55U,     0x68e7ec03U,     0xae9dba70U, \
    0x2b20c416U,     0xe741daecU,     0xe5b300baU,     0x5ab09720U, \
    0xd9968c8eU,     0x5329f6caU,     0xd7192c22U,     0xa076b552U, \
    0x8c6b9d03U,     0xfee40b43U,     0xbe3cdeeaU,     0xd7da08adU, \
    0xae9e19e3U,     0x4808f9c2U,     0xf6cb6fe3U,     0x7f4b5987U, \
    0xd6795556U,     0x1609d5c0U,     0x2b9264a7U,     0x8408e811U, \
    0x9d9a79cdU,     0x18421833U,     0xe366f0b2U,     0x8daa4fdbU, \
    0x825738e9U,     0xc1980c2aU,     0xd1c13278U,     0xf68727a9U, \
    0x9ca2cd69U,     0x42f966d1U,     0xb5691fb5U,     0x9e777921U, \
    0x276ebaedU,     0x6ef1b81dU,     0xdeb61320U,     0x6cda2273U, \
    0x98b36087U,     0x0019433aU,     0x922c699bU,     0x1cb8861fU, \
    0x635820ecU,     0xe490cb53U,     0x2f1ac8f4U,     0xde512cacU, \
    0xbcec05feU,     0xa840632eU,     0x3dd41a4dU,     0xd4a9237dU, \
    0x214dec75U,     0x83fb7aadU,     0xc0a2f834U,     0x3cc4fd94U, \
    0xf420c9e0U,     0x9799fa36U,     0x8092c059U,     0xadc00627U, \
    0x912c53fdU,     0x293d1f39U,     0x852f0704U,     0xaee2efb9U, \
    0x96dd6044U,     0x6ee10ed7U,     0x651756b3U,     0x4d843d38U, \
    0x745cc3e4U,     0x2804f60bU,     0xc4eea701U,     0xe9f1c421U, \
    0x2c0e1563U,     0x8a8913e6U,     0xccf20726U,     0x85fa0a4eU, \
    0xa4b2e105U,     0x35e2bbcbU,     0x758fe609U,     0x1d0d2b1eU, \
    0x036227beU,     0x5b3ecbbeU,     0x57a90c04U,     0xd1474febU, \
    0x207f4e4cU,     0xfabbe393U,     0xcce83b05U,     0x8f28e0bbU, \
    0x2fc96674U,     0x0735ad7bU,     0xde8f046bU,     0x5703b16aU, \
    0x863a7eb3U,     0xb34ba2b3U,     0xb77dba2aU,     0x205d75c8U, \
    0xc233d65dU,     0xe79ec25bU,     0xad5f9197U,     0xc3dbf1a9U, \
    0x4334613bU,     0xdc85dae0U,     0x0b34ae12U,     0x7a538749U, \
    0xfac4d6fcU,     0x5e446b25U,     0x62c0f09fU,     0x2e3b08ecU, \
    0xa908dc7fU,     0x85a25158U,     0xb2ed3350U,     0xb8ed8830U, \
    0xf056fcbcU,     0x4747aca6U,     0xb263ded4U,     0x6928a49dU, \
    0x803acc71U,     0x3cc7c822U,     0x3e0f2829U,     0xe3527312U, \
    0x6699d936U,     0x02fd5895U,     0x111378edU,     0x4eabba57U, \
    0xefc1ee2fU,     0xaaf0eeb1U,     0xd36caa24U,     0xedf6c25dU, \
    0xdd62263bU,     0x3df6bc04U,     0x3609ba45U,     0xf872765fU, \
    0x225d0cf9U,     0x8ca6f605U,     0xd3274e5bU,     0x1c285103U, \
    0x84b9c163U,     0xf26b59e7U,     0x1fa4629dU,     0x5de47e08U, \
    0xdec6051aU,     0xd3c8ff5cU,     0x2561305bU,     0xca37709dU, \
    0x2efe5c74U,     0x5be2dbe6U,     0x6f0a6404U,     0x63a4d628U, \
    0x7eac6cc6U,     0x51c60a7fU,     0xa91d24f0U,     0xef4cae0aU, \
    0x8522492eU,     0x508eee93U,     0xa7cb62fdU,     0x5ed9ac81U, \
    0x8a2b3dbeU,     0xae5221baU,     0x05d8801dU,     0x5fc0c641U, \
    0xe3a7fd22U,     0xb2b5c502U,     0xb196f26eU,     0xb2523433U, \
    0x0baba272U,     0x4fc08869U,     0x77a692eeU,     0x43f13a4cU, \
    0x8a1335ddU,     0x496d4c89U,     0xab3a440fU,     0x67687a4aU, \
    0x4b069707U,     0xb0e9397aU,     0x49192fcbU,     0xed1d2d02U, \
    0x4b251300U,     0xe89e7795U,     0x89a31bfaU,     0xc6c3c91dU, \
    0xbda5b5c8U,     0x899d5bedU,     0xdda17e14U,     0x95365c23U, \
    0xd75519c4U,     0xf2bb8bbeU,     0x22202c3eU,     0x85cc4e05U, \
    0x96ce4e67U,     0x94090b37U,     0x8bf69282U,     0x35d70b62U, \
    0x8c997916U,     0xc826d706U,     0x6ad91e38U,     0x799d59e7U, \
    0x825d3ad7U,     0x87a876ceU,     0x79f5c820U,     0x95074befU, \
    0xe7af2a80U,     0xef333f87U,     0x3b56be40U,     0xc56ce675U, \
    0x80492356U,     0x81da1a5cU,     0xe29082e7U,     0x857e12d7U, \
    0xadcc8fb9U,     0x99d8c475U,     0x59d7ae0fU,     0x9f080324U, \
    0x10d44d4cU,     0x5a91b538U,     0x1a839853U,     0xa517d306U, \
    0x355d737dU,     0x772b9879U,     0x979c77feU,     0x10e32371U, \
    0x79e183b8U,     0x4d82ca9fU,     0x3d671c5eU,     0x5c7d25a9U, \
    0x12b1718fU,     0x35d0c4e1U,     0xc13c7fc7U,     0x10ab1073U, \
    0xd22acb37U,     0xf5de6761U,     0xd9ee3d5cU,     0x5af2a315U, \
    0x46abda28U,     0x0f7a18dcU,     0x123453e1U,     0x06fbd36fU, \
    0x1b6f489fU,     0x115f9021U,     0xb081ddf6U,     0x0d5bef5dU, \
    0x9d708e6aU,     0xc88dd463U,     0xa679da7dU,     0xc19ddbceU, \
    0xf654c76cU,     0x93484c09U,     0x568775c8U,     0x2fad5a91U, \
    0xf72e7ca9U,     0x8d986601U,     0x629b1fe1U,     0xd2808751U, \
    0xf7700581U,     0xbd49477cU,     0x8803c6f7U,     0xcc38c89cU, \
    0x065e8cb5U,     0xaa015921U,     0x55f5c348U,     0x13d3a0bfU, \
    0x6bfe2c2fU,     0x944dd69aU,     0x5caf9bb9U,     0x880b9daaU, \
    0xd00ecca1U,     0x31ae9d23U,     0xc13654e7U,     0xc669e7baU, \
    0x10cb58baU,     0xff07f1bbU,     0x14bb0d6aU,     0xa25511dcU, \
    0xb6f81fbfU,     0x5c639311U,     0xf40543d3U,     0xa032a088U, \
    0xf97d05e0U,     0xdd9e0d0eU,     0x8211af55U,     0x19766204U, \
    0x3dfaa8dbU,     0xc91d507eU,     0xdda678f9U,     0x2f323e91U, \
    0x88923675U,     0xdead32c6U,     0xf660df2aU,     0x2de7735eU, \
    0x4fe316bbU,     0xa9d0fc4fU,     0xf623c59cU,     0x203898d1U, \
    0x593667f3U,     0x598d2c9bU,     0xf5f94c6cU,     0x69f6e49cU, \
    0xa5b0eb01U,     0x577f91b0U,     0x5265e8bbU,     0xe94d7c90U, \
    0xf817e6a6U,     0x4d98a880U,     0x861d8529U,     0x276242efU, \
    0x07b9db88U,     0xe74dc5a0U,     0x736abeb7U,     0x30b4051bU, \
    0x6b27f412U,     0xaa861512U,     0x938a093aU,     0xfa8fcd52U, \
    0xa9935c97U,     0xba8a7378U,     0x0eafbc46U,     0x78f81cb5U, \
    0x06cf8e2cU,     0x6b45b8a7U,     0x7218bd8fU,     0xff6bc1e5U, \
    0x8b730f14U,     0x2aeeadd1U,     0x4f4fba40U,     0xf7575f4fU, \
    0x1852443aU,     0x6bc14109U,     0x2293fb11U,     0x0eb114dbU, \
    0xc4717e3dU,     0x44de0639U,     0x2314917fU,     0xaa43d1c6U, \
    0x159f99bbU,     0x35bd57edU,     0x50d4c361U,     0xf01b1e6eU, \
    0x3701db55U,     0x41503a8eU,     0x4e425214U,     0xb83e648bU, \
    0xed4bf98fU,     0x8c534cc4U,     0x5c90aa66U,     0xf6db372eU, \
    0xed9c3acdU,     0x3311220eU,     0xe7756890U,     0xda736cc7U, \
    0x46216b9dU,     0x5bd46039U,     0x2a444fc8U,     0x7e039ae3U, \
    0xba5fc03fU,     0xf3621fc2U,     0x02c51116U,     0x73ff6e77U, \
    0x9eea8a8aU,     0xf935029aU,     0xa5d1a9dfU,     0x7061abcbU, \
    0xf0de7ad6U,     0x82db8ad6U,     0xbc9fc886U,     0x165f9197U, \
    0x22bd0d90U,     0x8d83286aU,     0x9172e7b9U,     0x4dd40491U, \
    0x97d7d706U,     0xbadde5a7U,     0x12b42192U,     0x7c0dc0e9U, \
    0x26f10a50U,     0xdb5e2e45U,     0xb7e5c9d7U,     0x8116c0dcU, \
    0xc5328a60U,     0x39b2f25cU,     0x37c587d2U,     0x1691062aU, \
    0x92f3342eU,     0xb820c5efU,     0x501d77d9U,     0xd68fa4f2U, \
    0xa530a32bU,     0x3648c74bU,     0x4b8446faU,     0xe46e7067U, \
    0x8bf7db4eU,     0x58d80518U,     0x30ee1d38U,     0x6dcd7cdeU, \
    0x5a083b7cU,     0xe93680dbU,     0xaed3982dU,     0xe4cabc7fU, \
    0x03dd354aU,     0x38988b68U,     0x8daeaaafU,     0x7f418289U, \
    0x20a970a5U,     0x178ad5a5U,     0x99433574U,     0x865b9a5eU, \
    0xd0c01658U,     0x9e6ad338U,     0x7cdf5b12U,     0x9990cec2U, \
    0xc545b514U,     0xad006154U,     0x18e4b4f4U,     0x7334121cU, \
    0x7bade4bcU,     0xb5304ef0U,     0x0c968f40U,     0xf37b05c1U, \
    0x00841f97U,     0x866b054dU,     0x8b926414U,     0xf273317cU, \
    0x4b58ba2eU,     0x932a800cU,     0x334ab3caU,     0x9265fd6dU, \
    0x65b708d3U,     0x47d7842eU,     0x9db356bbU,     0xa332c30aU, \
    0x26d79389U,     0xd9ccece8U,     0xff6806aeU,     0x59e58716U, \
    0x155ff3feU,     0xded492edU,     0xb6bf8c87U,     0x2bc8ca9cU, \
    0x31286c00U,     0x446af190U,     0x440c18fbU,     0x8dd65938U, \
    0x4dcc7d6fU,     0xc58e9796U,     0x6cd4b70eU,     0x56ddf765U, \
    0x8d087764U,     0x8645994cU,     0xc85e01a3U,     0xfb06b608U, \
    0xb5ae3626U,     0x574fcf1dU,     0xde296626U,     0x9b0281bcU, \
    0x7406a7ddU,     0x6e6f558fU,     0x4ba5c35cU,     0xdd2693d3U, \
    0xc2161547U,     0xf69a0b72U,     0x7ca0bc56U,     0x6a93223eU, \
    0xe1115c92U,     0xbde49c9eU,     0x477f3bcbU,     0x90696984U, \
    0x6ee63c9cU,     0x97809629U,     0xf43a791aU,     0x0b043b70U, \
    0x662dee8aU,     0x3978a18cU,     0x59dbfcd1U,     0xa520e3bbU, \
    0x0e76f344U,     0xacc26746U,     0x4bab6b53U,     0x56ab9ce5U, \
    0x67e19a8eU,     0x4e2d5b4fU,     0x9d7ffdbbU,     0xa5572e81U, \
    0x292643e7U,     0x82cccf4cU,     0x445beaabU,     0xfcc448e7U, \
    0x6f3faceeU,     0x1a4b6a2bU,     0xba7ab2fdU,     0xe6c35227U, \
    0x51057180U,     0x22cd1e23U,     0x29a4463aU,     0x2a6cabccU, \
    0x6522c6c4U,     0x27025b55U,     0x55183078U,     0x8ce6eda7U, \
    0x154b0d8cU,     0x6ab202d2U,     0x889b7445U,     0x978b64f8U, \
    0xee7b4e99U,     0x8a4167c8U,     0x09bf461dU,     0x30684020U, \
    0xf2cb59deU,     0xbb0b679fU,     0x5418c4c7U,     0xda5cf46fU, \
    0xaa4d92c7U,     0x68d8440eU,     0x906d4402U,     0x1296e3d6U, \
    0x9ed32c88U,     0xd16bbd8eU,     0xba28e7d1U,     0xb9520151U, \
    0xd73623c5U,     0x337f0e18U,     0x254e699bU,     0x9c5a1b94U, \
    0x6539403dU,     0x04058df1U,     0xa19c60eeU,     0x3d6772a8U, \
    0xb9067d15U,     0x123c621fU,     0x3a8910ecU,     0x927d22a4U, \
    0x389da6fbU,     0x2c4cafa8U,     0x5bd75c61U,     0x86cb0eacU, \
    0xddb1cf61U,     0x9dde8f80U,     0x043a0b3dU,     0x638fb301U, \
    0x54f64d0aU,     0x4979d22eU,     0x564b31e4U,     0x8c2c5fddU, \
    0x0f094c0dU,     0x355d69adU,     0x3a8450d4U,     0x97e13795U, \
    0xc6dacfb4U,     0xe13dc13eU,     0x2b864f58U,     0x73584f08U, \
    0x9dbaaa50U,     0xb24ca23fU,     0x3789e974U,     0xffc25d02U, \
    0xd1627fd8U,     0x68603482U,     0x8cd59e67U,     0x82e1256eU, \
    0xf0ea932dU,     0x912e443fU,     0xaca2f340U,     0x320e0a78U, \
    0x94b1fabaU,     0xfaf47f65U,     0xcf5ce361U,     0xfd3c3a38U, \
    0x395d7fdeU,     0x80aa1446U,     0x51f21eddU,     0xbd167baaU, \
    0xca307ed7U,     0x23327ad2U,     0x8b39a1aaU,     0xac807c79U, \
    0xaa52e855U,     0xbde9c2feU,     0x664659a2U,     0x32b05e93U, \
    0x846d5231U,     0x67c1b0efU,     0x9da534abU,     0xae02d381U, \
    0x96af93c0U,     0x5886f5a2U,     0x96e34759U,     0x90ea587fU, \
    0x794b7228U,     0x0789b340U,     0xd4524d41U,     0xc6b42bc0U, \
    0x1619dfb5U,     0x365734e6U,     0x3d446366U,     0xc8c526dfU, \
    0xb594895dU,     0xfead4292U,     0x14e5c98fU,     0x88616f36U, \
    0x9837db7fU,     0x78748b4aU,     0x325060e0U,     0xbb0a60e4U, \
    0x12ec1c28U,     0xeb2be861U,     0x211e2c8dU,     0x13563d10U, \
    0xf277258eU,     0xef4a078aU,     0x7f957b16U,     0x8a28ba15U, \
    0x15aaa25aU,     0x18be4faaU,     0xfa12fdc7U,     0x15b8a644U, \
    0x3873b986U,     0x4a5d5543U,     0x2cb90113U,     0x72edfb43U, \
    0x20bd0071U,     0x4ce195b2U,     0x841eb20cU,     0xd7c27002U, \
    0x7a19587fU,     0xd800f69aU,     0x2812ed5cU,     0xfbd3dd33U, \
    0x1347207cU,     0x8a8f8801U,     0x31a065cdU,     0x0fb88ebbU, \
    0x033be70eU,     0xd2a5e605U,     0xdfa9e5a7U,     0x912c7847U, \
    0x53caea33U,     0xd7f77fa2U,     0x7b61831dU,     0x9a5a1939U, \
    0xb6820857U,     0xe287bdb3U,     0x000c9325U,     0x47cdbbd9U, \
    0x7d2aeb29U,     0xb2e24466U,     0xaa068c25U,     0x310a5cc6U, \
    0x5e652da5U,     0x3ea82485U,     0x8943b33aU,     0x782fd2bbU, \
    0xecce0af4U,     0x2528144bU,     0xa4b63d77U,     0x87ad3efdU, \
    0x6f9ee87aU,     0xadc11b84U,     0x098ffa82U,     0xfb4c7386U, \
    0x8d85d43aU,     0xa8fe7604U,     0xf5936350U,     0xd3c5be40U, \
    0x9dae52a3U,     0x6a07f556U,     0xbb770327U,     0x6326591eU, \
    0x4513a75cU,     0xaae19cf9U,     0x85891f58U,     0xc100b360U, \
    0x4c4e0cfbU,     0xcb4ba3f4U,     0x2d9e2deaU,     0x08d1ce70U, \
    0x9191930bU,     0x8f13db3eU,     0x23c159d1U,     0x88715d8cU, \
    0xc976a2c9U,     0x6dbf08d0U,     0x1900bcdaU,     0x79b66b60U, \
    0xd5b7e089U,     0x6612fccfU,     0x4252d866U,     0x9209dc80U, \
    0x722e84b5U,     0xfbed650dU,     0xa74480bbU,     0x56bd8eacU, \
    0x058c11bcU,     0x8a55d9d7U,     0xc5fddd0bU,     0xd95bad2bU, \
    0x408f2a2dU,     0xeb04e05fU,     0xfb45a17cU,     0x0daefeadU, \
    0xd7bfe3e1U,     0x1a4307caU,     0xdbe86a74U,     0x55fd4578U, \
    0xfb537090U,     0xe05677e3U,     0x6db2b671U,     0xc6ba9673U, \
    0x33ff7b90U,     0xe81d622dU,     0xc8b91f1fU,     0xe753630aU, \
    0x78f4ca58U,     0x14797bc2U,     0x9ee09715U,     0x46439b82U, \
    0x91f60925U,     0x924f8173U,     0x6e38931dU,     0xd32b0abcU, \
    0x62be627cU,     0xcb88ee92U,     0x59711a90U,     0x28e31a15U, \
    0x408c26a5U,     0xa1b202eaU,     0x8d5a724bU,     0x0761cd7eU, \
    0xd38a787bU,     0xa548e3b5U,     0xed0724b5U,     0xaacb23baU, \
    0x4ad9cd4cU,     0xa8df986aU,     0x0da2addbU,     0x4764c3e9U, \
    0x36b53bfbU,     0x75b4c7a3U,     0x103b0d41U,     0x76d4852bU, \
    0x22b143edU,     0xbda38ec2U,     0x3e13261cU,     0x271911bdU, \
    0x6d577b04U,     0x0972b5e9U,     0x67537f0fU,     0x11125ac7U, \
    0x51486968U,     0x126f907cU,     0x51fb83ddU,     0xfa111f35U, \
    0xb743f4acU,     0xd6d56ff7U,     0x0bc131f3U,     0xd35bfcf1U, \
    0x9662e38cU,     0x54dcb20fU,     0xc9089241U,     0xd18f3d5aU, \
    0xe9d4c7b4U,     0xdf7d2489U,     0x438aa162U,     0xa7e79926U, \
    0x9bc366c1U,     0xf688c72fU,     0x09cfd192U,     0xeca12ebaU, \
    0xe7702bcaU,     0x6e275c5fU,     0x87ad0068U,     0x2e2fa46fU, \
    0xe9a9f2acU,     0x59bef0ccU,     0x459e1cb4U,     0xd6741ff6U, \
    0xc012969fU,     0x95c942b5U,     0x844e7afaU,     0x7d643399U, \
    0x8d1b281bU,     0x6cab1218U,     0x0ba0cb0aU,     0x7f532ac5U, \
    0x48b9cdaaU,     0xd41b3b1bU,     0x47980326U,     0x76f34f56U, \
    0xda54b3c5U,     0x85d2352bU,     0x0d79740eU,     0xec0d5bedU, \
    0xc5ad0d4eU,     0x5d03f1f9U,     0xf2ac71bcU,     0xa54d41a6U, \
    0x08cb8f53U,     0xc982f3d2U,     0xbf0864d3U,     0xdc12251eU, \
    0x522272aeU,     0x4f87cbfaU,     0x6ad21758U,     0x672cc731U, \
    0xc5d53988U,     0x1afef2a9U,     0x900f663cU,     0x47163d2bU, \
    0xaee7150fU,     0x76829100U,     0xb65af1b1U,     0x7dad2138U, \
    0x54fbe0b9U,     0xc9e32b5dU,     0xf5878909U,     0x61774db0U, \
    0x59f46e1cU,     0x95e02be7U,     0xb546f448U,     0x8cd2afa8U, \
    0x0394e61bU,     0x2b042b44U,     0xc5ccd7eaU,     0x72eab052U, \
    0x2c18a3e6U,     0x4d098251U,     0xa2214193U,     0x22601a3aU, \
    0xee2e4e3eU,     0x76da582eU,     0x45b5d8a8U,     0xe125c242U, \
    0x4981e9a3U,     0xcffda709U,     0x63726094U,     0x62a3df08U, \
    0x0664af74U,     0xdde450daU,     0x5a1ca171U,     0x6ea8b5a7U, \
    0x132baf68U,     0x35cd0b43U,     0x0aa13412U,     0x6b843c2cU, \
    0x34634b55U,     0x1825261dU,     0x2a600b30U,     0xdbcb8e29U, \
    0x86a3544dU,     0x0730bbeeU,     0xa6f4cce6U,     0xf781dfb3U, \
    0xdc627808U,     0x5408e1a6U,     0xf3659b55U,     0x0bae734bU, \
    0x29942d11U,     0xb25ca48cU,     0xc4f5ddf8U,     0x3919d2c3U, \
    0x493d2d17U,     0xafa69523U,     0x7c27e3feU,     0x3d4f409bU, \
    0xb48176c9U,     0xd50e12e3U,     0x5fd24280U,     0x26341663U, \
    0xedc98767U,     0xc1e6570bU,     0xb72cf0a6U,     0x37a592a7U, \
    0x9594add4U,     0xa1170f98U,     0xa1a5d146U,     0xb3dbe5cdU, \
    0x5e8fb67aU,     0xcb3d07acU,     0xd57b3b78U,     0x97e885baU, \
    0x91937e4dU,     0xf3a96d05U,     0x3567e72aU,     0x8c6dcf8fU, \
    0x5a994412U,     0xaf1865d0U,     0x5530af1dU,     0x78e154c8U, \
    0x4406b64eU,     0xebf29c1dU,     0x22bfdb6dU,     0x0ec16f4aU, \
    0x6c783538U,     0x62e23f4eU,     0x783d0715U,     0x196ca40dU, \
    0xc8255348U,     0x24c5bfd6U,     0x816ef1c3U,     0x047a15a5U, \
    0x12ce0b06U,     0xb8081f6aU,     0x9facfd58U,     0xb07ad6fbU, \
    0xbdb72d6fU,     0xfeb4dd31U,     0x407de5aeU,     0x9c57db54U, \
    0x37c3b011U,     0x3080a195U,     0x97851921U,     0x00dd1c52U, \
    0xcdc8abcdU,     0x211d7051U,     0xba3a0b12U,     0x0f12a187U, \
    0x7fb5cadeU,     0x14b6799cU,     0x96cb4e05U,     0x88df683eU, \
    0xe10c5b97U,     0xd000317dU,     0x1f9e0e7dU,     0x7458fbd8U, \
    0x5cbb494eU,     0xbbdab9d2U,     0x3ed2b77cU,     0x6e4ea9a5U, \
    0x22b31596U,     0x9c435878U,     0x0b7adfd1U,     0x1d7ffc5dU, \
    0x6290a5adU,     0x50cfe6fbU,     0xeab6eb4dU,     0xdc48248bU, \
    0x90f8e7fcU,     0x3e65d6d9U,     0xce436873U,     0xa569a4e0U, \
    0x18be463dU,     0xa7933926U,     0x7f870427U,     0x916f0643U, \
    0x1426f3b4U,     0x67c45695U,     0x097cc11fU,     0x837e5f93U, \
    0xa20361b5U,     0x3026f1d9U,     0x0365e510U,     0x316616edU, \
    0xf03dfc0dU,     0xec5b6fb2U,     0xae1116ffU,     0x045c4d86U, \
    0xe3d998c5U,     0x6fa661c8U,     0xe29e113eU,     0x8510fa4eU, \
    0xc002b2f2U,     0x91d4f18aU,     0xd4aaab31U,     0x7702a742U, \
    0x8c35d2b0U,     0x72e6eee0U,     0x3fed74b4U,     0x3fe84aedU, \
    0xb1fd4537U,     0xf1913bb3U,     0xab34afcdU,     0xeb8ef37dU, \
    0xed97eeb8U,     0x9972e3e2U,     0xcc0b214cU,     0x13382bfdU, \
    0x1cfce59eU,     0xb15bcb1cU,     0xd466c4b9U,     0x36b254b5U, \
    0x23c27501U,     0xf7a0a2c4U,     0x3d416747U,     0x4d743532U, \
    0xa4e46dbfU,     0xdd0386c6U,     0x260c609bU,     0x9a12fa9eU, \
    0x82701580U,     0xfa46aceaU,     0x6c92ae3fU,     0xddf385b6U, \
    0xfbfb9ab4U,     0x4e058361U,     0x292c8c1dU,     0x1a21558aU, \
    0x3492b6b5U,     0xbcde78efU,     0x9bbb2dc9U,     0x3dd47cf7U, \
    0xed5e332aU,     0xfb273395U,     0xed01f1f3U,     0x23d9d70eU, \
    0x511c660eU,     0x5d56b96aU,     0xd9ad9073U,     0xfe808214U, \
    0x527e52feU,     0xe57e926dU,     0xe6421293U,     0x6715a53fU, \
    0x2e2931cfU,     0xcade3fb0U,     0x8788775bU,     0x33583b47U, \
    0x6a44d09aU,     0xfa00a78eU,     0x2bd5e64fU,     0xa14e389aU, \
    0x5a447581U,     0xfca49d58U,     0x08fcb55cU,     0x8b10af77U, \
    0xd3133b7bU,     0x39ddf290U,     0x54de49d7U,     0x081d4021U, \
    0x869cc47aU,     0xc266725cU,     0x39b93268U,     0x14cc393cU, \
    0x5c8a351aU,     0x3dca2db4U,     0x1f9a3f99U,     0x63b44d61U, \
    0x9a32b27cU,     0x95503b07U,     0x72059063U,     0xa6242a55U, \
    0x88686bcbU,     0xbc80ffa7U,     0x2668a9deU,     0xdb8ee962U, \
    0x51db2a21U,     0x2ccc05beU,     0xd58ac10bU,     0xd802d0ccU, \
    0x77d61a79U,     0x8fc4145dU,     0xa043baddU,     0x0cbeacfbU, \
    0x8eac8af1U,     0xf1a8c612U,     0x60dd53a8U,     0x9e3e3252U, \
    0x3456d137U,     0x14bc44fdU,     0xf07252b3U,     0x932b600eU, \
    0xa3310d6eU,     0xebd15bf1U,     0xdccb4025U,     0x35793ebeU, \
    0xbf8c721aU,     0x61ea7ef1U,     0xaebe7d4fU,     0x615f6545U, \
    0x0c7b3df3U,     0x59091b2eU,     0x81405ceeU,     0xc1097527U, \
    0x57e769b8U,     0xad18126bU,     0x39a18f07U,     0xd5473869U, \
    0x94970663U,     0x5c5b8d64U,     0x8b0eaf9dU,     0x0ba00082U, \
    0x38a6df49U,     0x00ca3641U,     0x75e8eafcU,     0x014079afU, \
    0x159126e6U,     0xc587d19cU,     0x57923001U,     0xa6156b17U, \
    0x0cfde011U,     0xd1fe0f5aU,     0x41a86097U,     0x15729618U, \
    0xd995cb66U,     0x8f2a5b46U,     0x5f420951U,     0x1a98841aU, \
    0xde3c8dbaU,     0xae2d7cf6U,     0xf86431afU,     0x213238f6U, \
    0x89982c1eU,     0x96aea6a4U,     0xc618878bU,     0x1f68b4a9U, \
    0xf9b9906aU,     0xfaabf9e4U,     0xf8bb4543U,     0x7441d52bU, \
    0xc29398e0U,     0x0e406c57U,     0xd936c434U,     0x757becb1U, \
    0xbd2cdd86U,     0x8503d548U,     0x714ccdb4U,     0xc2d5d43aU, \
    0xeed8171eU,     0xeab8b2e3U,     0xf2582a93U,     0x996fea34U, \
    0xe8f5f2c8U,     0xe1ae855bU,     0x570e6a6dU,     0x36afc7d8U, \
    0xcdd9224eU,     0x89035f9aU,     0xc7e7b2efU,     0x38105f3fU, \
    0x656f4a0eU,     0xbc3e60c4U,     0x915438dcU,     0xc4d8cfd6U, \
    0x1a06eacbU,     0x10d57dbbU,     0x39399ebaU,     0x4c840638U, \
    0xf7095fa2U,     0x8baaac7cU,     0xf01b6cb8U,     0xec0c5987U, \
    0x42c7aad2U,     0xf2181431U,     0x8a156374U,     0x4b206794U, \
    0x6977bdd7U,     0x6d25dc24U,     0x15e6a4b5U,     0x9add6751U, \
    0x15a838f6U,     0x42c75ea3U,     0xf83daa09U,     0x1f322e97U, \
    0xff0cefacU,     0x9217f44eU,     0x2e770194U,     0xc1bd4c5eU, \
    0xb2a3cb6dU,     0x8497d9b3U,     0x15270657U,     0xbc4c2cefU, \
    0x83e3cf48U,     0x97871fcdU,     0xce519a1aU,     0x1ee049bbU, \
    0x06381731U,     0xf79f0c31U,     0x0c87e5bbU,     0x71414118U, \
    0x211a8eeaU,     0x954a471eU,     0x5a263d0eU,     0xde75e31aU, \
    0x9525ae77U,     0x9776de93U,     0xd8552e5fU,     0x5dc963beU, \
    0x27e126aaU,     0xa18027a7U,     0x357f0a13U,     0x8e6a4556U, \
    0x32f4de3bU,     0x71f6c962U,     0xb6b0cbdfU,     0x3bd975e2U, \
    0xd102970aU,     0xea89f3cdU,     0x48475388U,     0x4f767475U, \
    0x9a530f4fU,     0x6825c7a6U,     0x4c758bdaU,     0xb1d2198cU, \
    0xbbd2cbe4U,     0xa341ea36U,     0x80ffd80cU,     0x5d01ed08U, \
    0xedaade78U,     0x0c9e33cdU,     0xbb9d9938U,     0x22c76c1eU, \
    0x1b56a951U,     0x0b8cbcedU,     0xeaac45e1U,     0x62d89ff4U, \
    0x7b47e2edU,     0x5edbe4cfU,     0x84296582U,     0xb3818d05U, \
    0xe13c5194U,     0x612a5eb0U,     0x0afa4b0aU,     0xf182f7eaU, \
    0xff5ad170U,     0xce708f8bU,     0x50897bd4U,     0x55090c44U, \
    0xccdfd543U,     0xa4b7ad8fU,     0x99859046U,     0xf85cd46aU, \
    0xe572e15fU,     0xa087f3e5U,     0x5b2f682cU,     0x697f80afU, \
    0xb0a0f9ccU,     0x68d3e45aU,     0x582cd323U,     0x66817e6fU, \
    0x66656d86U,     0xafd3386fU,     0x31d10f53U,     0xb621ffd0U, \
    0xd2ff5b34U,     0x5e7ef584U,     0xd699a83bU,     0xa36de929U, \
    0xe54b5c6fU,     0x0a901e4fU,     0xcf82eebfU,     0x0ec7f191U, \
    0xefcddd31U,     0xb7bc9f70U,     0x4b3776c2U,     0xb264601aU, \
    0xe9db0bddU,     0xd0678e2eU,     0xf2f73c4eU,     0xa76076f6U, \
    0x2ecd3d9aU,     0xca8fc82eU,     0x7062b47eU,     0x039ee562U, \
    0x26d5354aU,     0x0dab0a40U,     0x00ca58c4U,     0x09fa65afU, \
    0x7a93d0dbU,     0xb1c6cdf7U,     0xeef476d9U,     0xe0c44d88U, \
    0xb9e4d4d9U,     0x622e7db7U,     0x7dd73a93U,     0x6d108f30U, \
    0x1d54e955U,     0x6d397097U,     0xe789d30cU,     0xcabe173cU, \
    0x6f6658d2U,     0xee4f404aU,     0x8dbca604U,     0x1dfa274fU, \
    0x0f7e88cdU,     0xaedca1deU,     0x89ed2fe9U,     0x038fb5a2U, \
    0xdbb7cf5dU,     0x46f05594U,     0x0930fb80U,     0xa14862e8U, \
    0x9e31ceb6U,     0xfc73927bU,     0xd67f37f7U,     0xb9b2237bU, \
    0xfe3c52a1U,     0x49226b0bU,     0x6f7e347bU,     0x617dfc35U, \
    0xc97aff84U,     0x783cf597U,     0x172d6983U,     0xad53882cU, \
    0x0762ce7aU,     0x6e67e888U,     0xd3e5dad8U,     0x7c4b22b5U, \
    0xc20d39bcU,     0x7af79a94U,     0x8f599aabU,     0x3a0b42edU, \
    0x363e9826U,     0xfb18f429U,     0x09594a2bU,     0x5ce53f4eU, \
    0x814b9f67U,     0x982667a9U,     0xaba6608dU,     0x95d4b0e3U, \
    0x9220d4b2U,     0xf4196397U,     0xffc35f19U,     0xbffe1c6eU, \
    0xb5817681U,     0x29aa06e0U,     0x5246cef1U,     0x5201ec71U, \
    0xf68c69bcU,     0x7b5d3d79U,     0x499afd94U,     0xabfc0d15U, \
    0x1ccfb078U,     0x2be76785U,     0x13bc9ac0U,     0xaae3bcd2U, \
    0xed42aaf9U,     0xf719c50eU,     0x342bbd2cU,     0xbd4a29f6U, \
    0x624cb157U,     0xf6f0d24eU,     0x8af6cabfU,     0xe220da82U, \
    0x310a31a6U,     0xfbf52613U,     0xa1329cd2U,     0x9f652438U, \
    0x9c9285e2U,     0x91c2d63aU,     0x4037208bU,     0x97f2df00U, \
    0xcdf20e5eU,     0x1eb2c860U,     0xbb59a5b1U,     0x1280be41U, \
    0x4aed7cbaU,     0x6ee77514U,     0x6753356cU,     0xddd4ac44U, \
    0xfb78b1aeU,     0x43f433a0U,     0x894d4a27U,     0x9edfec0aU, \
    0x5be02867U,     0x3e938245U,     0xf5892397U,     0x0b3eb8d3U, \
    0x8d287b34U,     0xbd8cbb2bU,     0x8179060cU,     0xc40cbf28U, \
    0xfe0cd86eU,     0xc3ec3c01U,     0x501f6292U,     0x00d93643U, \
    0x6017a15aU,     0x9a949802U,     0xd8988af6U,     0xcfd36e8cU, \
    0x95d446e6U,     0x9c7f487dU,     0xb9a0d0bbU,     0xaeb94944U, \
    0x635873e1U,     0x491e9069U,     0xa8d0c707U,     0xb8d3538eU, \
    0x2cf77a02U,     0x4f64f08bU,     0x3a23c6caU,     0xc1808d0fU, \
    0x5d5bd854U,     0x5cc57773U,     0xe214f363U,     0x613fce59U, \
    0x601cdc7bU,     0x67d58c2fU,     0x8c94b028U,     0x83254eafU, \
    0x998ac31fU,     0xf9c3327fU,     0xcffa8719U,     0xa018e06eU, \
    0xdac3681dU,     0xb8ba581cU,     0x1b0cdf9dU,     0xc7442be7U, \
    0x76a58937U,     0x5fdb2f1aU,     0xdec42654U,     0xd87c618dU, \
    0xb124707cU,     0x0256bdeaU,     0xf1bf57b5U,     0x9b9020ffU, \
    0x3aa768cbU,     0xf54dbe93U,     0x51b07564U,     0xbb01b54cU, \
    0xe0d5d51bU,     0xc2959970U,     0x7b1d1681U,     0xd947736aU, \
    0x37c928aeU,     0x1ccc245cU,     0x62b721cbU,     0xdc62cfe5U, \
    0x420d7c36U,     0x80575d35U,     0xcbd61294U,     0x9b3938aeU, \
    0xfecad120U,     0x4e014a81U,     0x96c20b80U,     0x31574d6cU, \
    0x19632d0dU,     0x31ada93dU,     0xfd7ff31eU,     0xe8af1d5cU, \
    0x1d0a5491U,     0x46de3bafU,     0xb3e22845U,     0xb540cfb7U, \
    0x86693a0cU,     0x550111e4U,     0xbbfbecd9U,     0x3cbb9fecU, \
    0x66936a3fU,     0xaff11446U,     0x91a51557U,     0x4b919e56U, \
    0xd11c5a19U,     0xb659a19bU,     0x1dd647feU,     0x866eaacaU, \
    0xce011a58U,     0x9bd4dd88U,     0xb475fdecU,     0xc8434e83U, \
    0x72f5d377U,     0xee3b60e0U,     0x0e104131U,     0x9f1458f1U, \
    0xfeb3dbefU,     0xe4c04ce5U,     0x002600d7U,     0x3a3dd5b6U, \
    0x89c5574eU,     0x8d0f2716U,     0x59faed12U,     0x3311f886U, \
    0x2c5421d6U,     0x0fcec02fU,     0xd375390eU,     0x3dd696f1U, \
    0x09b83b6bU,     0xf2047d29U,     0x97be2456U,     0xb1101f26U, \
    0x26e50b40U,     0x99dcf849U,     0x86ff9baaU,     0xf2cfda1fU, \
    0xa7d551c0U,     0xd20ed35eU,     0x816ce557U,     0x38abfe25U, \
    0x7129ed64U,     0xe67454e4U,     0xa70790f6U,     0xd38b9f61U, \
    0xa4833878U,     0x960b0657U,     0x32dd9f8dU,     0xe29b3d76U, \
    0xe0138827U,     0x0a9817ceU,     0x91ea6bd3U,     0x3c1de1deU, \
    0x3daff265U,     0xe9c52f72U,     0xdedb2a44U,     0x048a0b98U, \
    0x190d38d7U,     0xf89ad617U,     0x8aa0b706U,     0x8fd986a7U, \
    0x0f5e44aaU,     0xf20428b9U,     0x1cf40a96U,     0x7074c7aeU, \
    0x33310928U,     0x067f333dU,     0x7a74133eU,     0xf1288148U, \
    0xf3576c1aU,     0x5941055aU,     0xe619e029U,     0x734cb37cU, \
    0x6927e0d3U,     0x204250c0U,     0x4fe70d52U,     0x07db66a7U, \
    0xe26fe39cU,     0xf11446aeU,     0x0671ff43U,     0x9fbad46eU, \
    0xa30354cdU,     0xb1ec5b44U,     0xb1727aa6U,     0x5d4847e4U, \
    0x0b8bd169U,     0x33456b9cU,     0xa6965915U,     0x7b34f7f1U, \
    0x3a346097U,     0xf45ed2b7U,     0x2640c248U,     0x0db67834U, \
    0x3997f7c5U,     0x8c7e70e6U,     0xe482839eU,     0x52b10cc3U, \
    0x3c43267aU,     0xc024bab1U,     0x8f4ff8e8U,     0x49d119acU, \
    0x19783a1aU,     0xc987eacfU,     0x9bc4c006U,     0xd095c6a5U, \
    0xfd8b043cU,     0x0f8da4ffU,     0x0445f6f3U,     0x9abe0e34U, \
    0x8ba59910U,     0xcb05f96cU,     0x7099278cU,     0x037dc3f7U, \
    0xa56408eaU,     0x02ef8a15U,     0x26b4fe36U,     0xb0476232U, \
    0xac11bd9dU,     0x811653b5U,     0x60034d22U,     0xb17c9acdU, \
    0xc934987bU,     0xc05f68b3U,     0xa46350fdU,     0x0f55cab0U, \
    0x9fd36c1cU,     0x6c735af2U,     0x840f702bU,     0x1e5861fbU, \
    0x622eefaaU,     0xc0a9aea8U,     0x61770abdU,     0x8c2bd11fU, \
    0x39e86c2dU,     0x8f30458dU,     0xf96cdf29U,     0xe797497dU, \
    0xae4f7592U,     0xcdfcafeaU,     0xbe31d0daU,     0xddf9d8d7U, \
    0xdf7a39e5U,     0xd7356e56U,     0xb6328952U,     0x79470ee6U, \
    0x6d31078cU,     0xac43d217U,     0x8373eb2aU,     0x932e7cbeU, \
    0x3b588213U,     0x762ca6a0U,     0xfce5c145U,     0xdc961ad3U, \
    0xbeeda9f0U,     0xec0885b5U,     0xd155e326U,     0x362b0090U, \
    0x418b8394U,     0x15502532U,     0x01b29c1eU,     0x50366eacU, \
    0xf3cc9f89U,     0x822fc97aU,     0xead6107dU,     0x1896c857U, \
    0x4a9c3f6bU,     0xf9eb8505U,     0x97fad704U,     0x1adf33ceU, \
    0xb504055cU,     0xfba121c5U,     0xd49ba232U,     0x2b29408aU, \
    0x301c4942U,     0x31e91dccU,     0xaaa41fbeU,     0x11831c1cU, \
    0x3eb16d20U,     0x5a697d71U,     0x6a054b81U,     0x7d0864e9U, \
    0x6df6d045U,     0x107d7292U,     0xf28fa7e3U,     0xd851200eU, \
    0x7e5c95eaU,     0x5273a96bU,     0xe87e9264U,     0x8a22356fU, \
    0x17a309ccU,     0x39d5d937U,     0xff1a6bbbU,     0x83e3261bU, \
    0xf9595761U,     0x4893ed9eU,     0x2d8a3e81U,     0x1c4adc76U, \
    0x48ca30bfU,     0xffb973ccU,     0x09c3cb19U,     0xce7091bcU, \
    0xfa1c43f0U,     0x50f741caU,     0x286f0740U,     0xb77eb4e7U, \
    0xf265ae80U,     0x9ac56f87U,     0xdab962b5U,     0xfbb4ae13U, \
    0x1f736c33U,     0xbfa72b96U,     0xa5839686U,     0xaf75ca43U, \
    0x18c88e3eU,     0x69f281d2U,     0x34de6a41U,     0x3ef0c019U, \
    0x9a883744U,     0xdc460d64U,     0x483e094fU,     0x62ad3adeU, \
    0x01ebe3e8U,     0x073b0a36U,     0x94197814U,     0x413a5b79U, \
    0x83807e4eU,     0x139cc111U,     0x14664b92U,     0xcf901b20U, \
    0x83b820bdU,     0x2a064895U,     0x98f1ba32U,     0x99ae6c75U, \
    0xf45e0d30U,     0x674e0819U,     0x86c63feeU,     0xcd762a9eU, \
    0xad46fffbU,     0x6b699d97U,     0x229d6139U,     0xf1362b7eU, \
    0xa37a4abeU,     0xfab7511cU,     0xb35e4718U,     0x2b9e6885U, \
    0x136963dbU,     0x231c22dcU,     0x099627ffU,     0x04f30092U, \
    0x7bcc2d77U,     0x96833185U,     0x95730247U,     0x1c578ad3U, \
    0xf6e384b3U,     0x52759aaaU,     0xd7bca4d4U,     0x01ab56baU, \
    0xf0988951U,     0x351b3137U,     0x017b2232U,     0xa4167363U, \
    0x342568c4U,     0x5fda7ae6U,     0x54f09d11U,     0xdd897390U, \
    0x5e67ef0eU,     0x86e0661eU,     0x5481b9c4U,     0xefd332a8U, \
    0x3c02d7b1U,     0x13eef842U,     0x270a6c36U,     0x8dafbabfU, \
    0xd1131db8U,     0xa3b5f68eU,     0xe772ec39U,     0xe434d92fU, \
    0xdbd4f6a4U,     0xa0ffc798U,     0xd4f03ed2U,     0x94688ad3U, \
    0x1b7fd821U,     0xae7a9f2eU,     0x3a4de17eU,     0x9942adb2U, \
    0xe7172fbbU,     0x6798d62eU,     0x529551c4U,     0xb808399cU, \
    0x9531b302U,     0xe3302e69U,     0x3c6b4132U,     0xe58c0132U, \
    0x88670790U,     0xc9ecd661U,     0xd4f80b19U,     0xd7f1bc15U, \
    0x9d87bacaU,     0x808af9ceU,     0xf8c0965aU,     0xebf99a02U, \
    0x566a48fbU,     0x9983e12bU,     0x3fd0f08aU,     0xb4b2122cU, \
    0x865da22dU,     0xde1714c7U,     0x8963c0aeU,     0x06fe4654U, \
    0xf8fc6915U,     0x101b22daU,     0x0cbc51d1U,     0x8cbf62b0U, \
    0x418bafc0U,     0x63801325U,     0x94856db1U,     0x454b3b91U, \
    0x933d938dU,     0x337abe0fU,     0xbd86020bU,     0x6a1bbb8eU, \
    0xa09b612eU,     0x504fdd9dU,     0xe8189d51U,     0xe6cce8ffU, \
    0x8a234f43U,     0x94863024U,     0xf2817ff2U,     0x1dd0cc53U, \
    0xb617394bU,     0x1cab7eb9U,     0x1042a7adU,     0xde8658ecU, \
    0x0d2ff9b3U,     0x48754997U,     0x3e6cdc01U,     0x7d3c993eU, \
    0x30b74c79U,     0x286e3f0fU,     0xf2bce106U,     0x686756a4U, \
    0xeabacaeaU,     0xea207191U,     0xdad3c85cU,     0xdc4a673eU, \
    0x4d2d7035U,     0xd3306b2aU,     0xfcbab174U,     0x08a37639U, \
    0x8bef9fdcU,     0x07b8b4acU,     0xd6d0c608U,     0xb4aecf8eU, \
    0xa4d6c554U,     0xfcbabc7dU,     0x0fb7e99aU,     0xcbaea4d5U, \
    0x1e344217U,     0xffc6480dU,     0x52a9b10aU,     0x47585d11U, \
    0xc8819639U,     0x7d9cc71eU,     0xf28c631bU,     0xae2adfe4U, \
    0xeecbcbe5U,     0xbd57cfa8U,     0xf8b99280U,     0x23777e08U, \
    0xde283cd2U,     0x365b69edU,     0xb5aac645U,     0x90a71760U, \
    0x580a7190U,     0x892bf062U,     0xc04a1ff0U,     0x85887985U, \
    0xee2bed77U,     0xfbdc7498U,     0xd9737c93U,     0x06ef077bU, \
    0x64045ab7U,     0x6c38f4cfU,     0xb864a107U,     0xfed09f10U, \
    0x5770150eU,     0x3507ceabU,     0x9db7aec7U,     0xef42f915U, \
    0x422aec58U,     0x03b6e5a2U,     0x5ead58caU,     0xac85b485U, \
    0xbb305010U,     0x459bf1e6U,     0xb8163d2eU,     0xc6907c73U, \
    0xad2d358cU,     0xe5cdcc33U,     0xd0b8a946U,     0xb77c0616U, \
    0x58eba215U,     0x72ed3e92U,     0xb75acf6cU,     0x35933f07U, \
    0x231ff92cU,     0x9fa15400U,     0x4061ab52U,     0x595c644bU, \
    0x8de25d79U,     0xec1c40dfU,     0xdbcf54abU,     0xddd2e2dcU, \
    0x55ca5849U,     0x50420893U,     0xc85dce53U,     0x5988e73eU, \
    0x4366eeafU,     0x982272c9U,     0x77b4db3cU,     0xb35ceea7U, \
    0x42169bd6U,     0x007f78bcU,     0x5d1152d9U,     0x3a812a5aU, \
    0x69c047ddU,     0x823b82a8U,     0xd82ca6c1U,     0x5b771acfU, \
    0xd685bb4cU,     0xf2cf1a43U,     0x89587dd1U,     0x623fa8ebU, \
    0x2c9afea5U,     0x5b9f6d52U,     0xe1ec7cd6U,     0xdd030af4U, \
    0x759a5098U,     0xe8eccb4fU,     0x43d3f1f4U,     0x92dd011aU, \
    0x6cb3fe06U,     0x193c790eU,     0xaaa7ce52U,     0x7f81b300U, \
    0x89f09a00U,     0x5c6684bdU,     0x12ca67e8U,     0x90f8743eU, \
    0x5d2e86c8U,     0x273fd14eU,     0x3b44b41eU,     0xbdd1d7afU, \
    0x5e60554dU,     0x6f0ab4adU,     0x64b058efU,     0xa30ed563U, \
    0x3caca827U,     0x6eae13cdU,     0xbcfa41daU,     0x00034b3cU, \
    0x76b4a6d9U,     0x802b96adU,     0x155e9befU,     0xea2567f4U, \
    0x18d2a265U,     0x3de1e90fU,     0x72427bcaU,     0x3842b35dU, \
    0x49b2eddcU,     0x51b41168U,     0xa03847daU,     0xf8cc9290U, \
    0xc6162ba5U,     0x461f365eU,     0x1c63ce51U,     0x7e29ed72U, \
    0x402cbd4cU,     0x7259312eU,     0x73016d9eU,     0xdd70e569U, \
    0x2133133aU,     0x8c869ca4U,     0xb2613877U,     0x8ddcb2f9U, \
    0xd69df68aU,     0x831a188eU,     0x4aa052e1U,     0x06b42c4aU, \
    0x9adf9184U,     0x05ebb51bU,     0x7a22f6e6U,     0x5d4fc193U, \
    0xd5d80d77U,     0xe2b91b6fU,     0x949ad100U,     0xa26485efU, \
    0x972f0d82U,     0xb7f7690bU,     0xf32550faU,     0x8205db73U, \
    0x6c5bceb8U,     0xfa01f69cU,     0xda088439U,     0x208d738cU, \
    0x46fd9e4eU,     0x6e7d4262U,     0xd1723dc9U,     0x4e8e89efU, \
    0x766d4e7bU,     0x248268dbU,     0x8a1d897bU,     0x4fd7f6dcU, \
    0x335f38c1U,     0x5e9db376U,     0x1a605a16U,     0xb22a8fc8U, \
    0x7b44b780U,     0x7f2c86dcU,     0xd7fc86bfU,     0x363c6494U, \
    0x44d4ba12U,     0x4b145738U,     0x29d8e3f4U,     0x5416b227U, \
    0x3140b669U,     0xddf743b0U,     0x34800295U,     0x297961afU, \
    0x2299d642U,     0xe8abe6caU,     0x8757c2dfU,     0xa0039728U, \
    0xa133b456U,     0x19d1604dU,     0x7fcdd35aU,     0xba4ecbc5U, \
    0xb2a5b31eU,     0xcb0b4de3U,     0x4138cd82U,     0x0614abf2U, \
    0x08bd986aU,     0x8f4ee707U,     0x6d2bda32U,     0x9cd72069U, \
    0x57ba3d72U,     0x9e9c88d0U,     0x63da2430U,     0x36ea01cdU, \
    0x932279f7U,     0x59e36b95U,     0xa13f0520U,     0x6330db40U, \
    0xef6c48c7U,     0x686a533eU,     0xe0b7eb03U,     0x754b8d67U, \
    0x0ae0c5d0U,     0x854b8a9eU,     0x7c3991e4U,     0xa3a25721U, \
    0x6c18fce6U,     0x7a9d618cU,     0x6be3f20aU,     0x3c148039U, \
    0x002c4fceU,     0x1240525cU,     0xdbee57b9U,     0x2f886e9aU, \
    0xefeccb94U,     0x7a332f84U,     0x90ab2ef8U,     0x005347dfU, \
    0x8fae654aU,     0xce8d93bbU,     0x4961c289U,     0x7a6adf48U, \
    0x71baa286U,     0xa3849ca0U,     0xf75a1c4fU,     0x9913f476U, \
    0xa420f1f6U,     0xcf21f84aU,     0xb658d914U,     0x310b87e9U, \
    0xbe8ac49bU,     0x8c7316a7U,     0xaa6c244aU,     0xba5b6e23U, \
    0xdec162b7U,     0x066f99b9U,     0xc36ed45eU,     0x96394d4cU, \
    0x3682576eU,     0x3b35010aU,     0xdd9efd6aU,     0xeb47c58bU, \
    0x97cf16b6U,     0xdbe8df90U,     0xca5c2317U,     0x473488c6U, \
    0x0a3547b5U,     0x123edee9U,     0xdb7518a3U,     0xef9edeeaU, \
    0xbf43fe19U,     0x552c9fecU,     0x2fdfef4dU,     0x94330cecU, \
    0x9f42558cU,     0xbd747108U,     0xf0cac158U,     0x629f24dfU, \
    0x93b743a6U,     0x8ffb3316U,     0xe3dd6929U,     0x3b256296U, \
    0xbe72bff8U,     0x4df7e5d4U,     0x634e5098U,     0x7f2d566eU, \
    0x97295163U,     0xd0cdbf79U,     0x326fdc1eU,     0x02757a87U, \
    0x6aa88a94U,     0xc10383f1U,     0x41d8a488U,     0xd1baaff2U, \
    0xf400cd69U,     0x24b86305U,     0x80e1621aU,     0x7c81af97U, \
    0xd8b08ae7U,     0xbf37e986U,     0x06471b31U,     0x5a4bc20dU, \
    0x7cf33a66U,     0xb42b8b5cU,     0x16746cbdU,     0x4ea3260cU, \
    0xd15510f7U,     0xd913cc58U,     0x33948e90U,     0x64de02faU, \
    0xf082ad7fU,     0x43ab2839U,     0xadb089b2U,     0x23e4a114U, \
    0x25f3e182U,     0x4914b2f9U,     0x27726074U,     0x259adae0U, \
    0x83d92b5fU,     0x3521958cU,     0xf5561d68U,     0xaba115b9U, \
    0x55b42213U,     0xd10d2abaU,     0x4d079f5cU,     0xec99a8c2U, \
    0x1bacfe6eU,     0x98dfc3a2U,     0x7866bd86U,     0xbd28a50fU, \
    0xc5174fcbU,     0x7f1d5140U,     0x17c7f529U,     0xcac34507U, \
    0x9450018aU,     0xdef05296U,     0x7be55dacU,     0x70cfd2c4U, \
    0x18c059f3U,     0xf1905c95U,     0x7072c9e6U,     0x433932e3U, \
    0xc34815fbU,     0xc303b94dU,     0x0d910c13U,     0x3b0b5019U, \
    0xa0933e7bU,     0x296da82dU,     0xfbbf95dfU,     0xef578e73U, \
    0xb5e26d5eU,     0x967c80abU,     0x81dc9985U,     0xe8e227edU, \
    0x64ebada2U,     0xccf1d317U,     0x4e1b9aefU,     0x72796d0bU, \
    0x3f63e96eU,     0x10dbe102U,     0x2d2b8e94U,     0x5c176837U, \
    0xba6a9be7U,     0x8d5828f6U,     0xc4ad7ad8U,     0xb7a5bd2dU, \
    0x04e65efeU,     0xe6e04508U,     0x4a0c6994U,     0xaee37809U, \
    0xa7cfe1dbU,     0xfe165de5U,     0xad838369U,     0xd64c5bd7U, \
    0x53f00771U,     0x6d4f87efU,     0xfd72ea9cU,     0x5cdd1d28U, \
    0x5fc3e72eU,     0x53d4ce06U,     0x39e6b9b6U,     0xb697811bU, \
    0xf9dbe733U,     0x6d70315eU,     0xb630b4e9U,     0xa3240321U, \
    0x2ebe1fa4U,     0x07b76e8fU,     0xbcc18e5eU,     0x2f75f73eU, \
    0x9092e972U,     0x8b4d3247U,     0x70b5ac3eU,     0x344713c2U, \
    0x5a89093cU,     0xa2dc5385U,     0x49bb6078U,     0x3bd87324U, \
    0x7aab6603U,     0x757f61a4U,     0x417bb600U,     0x665e018dU, \
    0x461a9901U,     0x0320ea68U,     0x14557e43U,     0x39b64216U, \
    0x9de45e0cU,     0xcdc08208U,     0xe2cfa2d4U,     0xef1bfb6eU, \
    0x0dacb6aeU,     0xcc47648eU,     0x15527325U,     0xa134bc03U, \
    0x89338227U,     0xf49f252bU,     0x0c0ed955U,     0x317ef012U, \
    0x50be024dU,     0x3d2ed5efU,     0x458c7687U,     0xfe1286dbU, \
    0xa2b68adaU,     0x3255ae4cU,     0xcfda8bd5U,     0xf79aaba4U, \
    0x1cc6f045U,     0xb25bbf44U,     0x8ef96ee0U,     0xec65634dU, \
    0x057ba057U,     0xced24fa7U,     0x7a9372e4U,     0x05587522U, \
    0xcde52151U,     0xc7746af0U,     0x7b6dae2dU,     0x8826e085U, \
    0x8c89adeeU,     0xd1aeca80U,     0x5a45434fU,     0x74faca42U, \
    0x3d928a39U,     0x7b139443U,     0xc164869aU,     0x89dd2bf3U, \
    0xc7ab0b35U,     0x878b2d76U,     0x716c8733U,     0xd8937bfbU, \
    0xeb7f607dU,     0x613ec50aU,     0x34159447U,     0x17c55179U, \
    0x1b9583f8U,     0xa854c51eU,     0xf57d0e34U,     0xad58a0f5U, \
    0x5e3fb49aU,     0x45aed480U,     0xfec7c611U,     0xe6af5a49U, \
    0xa6bd48c2U,     0x45688b55U,     0x42c1f228U,     0xd5627814U, \
    0xa4a002f5U,     0xfda4719cU,     0x9cb00c01U,     0x216dce5eU, \
    0x6259037dU,     0xb175be0cU,     0xc4873423U,     0x62504fe9U, \
    0x3a6a1775U,     0xd7a22780U,     0x97a039feU,     0x1e2b7af2U, \
    0x4c5fbb52U,     0xa8458d17U,     0x40f71c10U,     0x70448ebcU, \
    0x4c60d82aU,     0x198fd2acU,     0xb461d2b0U,     0xff637c44U, \
    0x49cc173cU,     0x83a1a91aU,     0xd72281c8U,     0x7aa975a1U, \
    0x5c68d391U,     0x469367efU,     0x53ee0749U,     0xd144ba7eU, \
    0x18a5db0fU,     0x28538396U,     0x7d73d2e2U,     0x4406aea4U, \
    0xe8ee6a93U,     0x36701f9aU,     0xb1be0f4eU,     0xb55392c9U, \
    0x8868be0cU,     0x2f8e9b2fU,     0xd440760fU,     0x87643988U, \
    0xc3638e37U,     0x7cd6d59eU,     0xf29aa0edU,     0xa5fc4473U, \
    0xd653c692U,     0x8fbd22fbU,     0xeb211cf6U,     0x96d3151dU, \
    0x7c198156U,     0xdd947fbcU,     0xccbe1562U,     0x4953be2bU, \
    0x84fcb8f8U,     0x4ce0ce49U,     0x07545635U,     0xfa5186c1U, \
    0x85d27f4eU,     0x7b4c3b97U,     0xa037fb87U,     0x59071053U, \
    0xfc1931feU,     0x54e387bdU,     0x8ee5072dU,     0x3b820bcaU, \
    0xf6103217U,     0xc18415a4U,     0x8195e7e2U,     0x3002ec56U, \
    0x1896a236U,     0x59a2cadcU,     0xd5f3c02dU,     0xf3f22ab0U, \
    0xc172e52fU,     0x88b31f2aU,     0xfdbda765U,     0x6496a757U, \
    0xa4f1a8abU,     0x1aca4671U,     0x0f28cfe5U,     0x0adcb23bU, \
    0xe6a2a38fU,     0xb26aae35U,     0xec38bbaeU,     0xe030dde7U, \
    0x24e31c8fU,     0x39456b12U,     0x2607acc7U,     0xa1360a33U, \
    0x0694747eU,     0xfe064ddeU,     0x66a26693U,     0x57c2a708U, \
    0x4711f4caU,     0xf90982d4U,     0xae7b1148U,     0x9dd41116U, \
    0x3c522ed8U,     0x9e40ca1bU,     0x4d57741cU,     0x7c4e502fU, \
    0x59d2a114U,     0x76043430U,     0x434808a9U,     0x4e4517e5U, \
    0xcd2eaa89U,     0xb66dcc7cU,     0xd9db52cbU,     0x7b4abfeeU, \
    0xce3ecf38U,     0xdaa0c459U,     0xa653c0d3U,     0xdff9b7faU, \
    0xb1477d58U,     0x23ea1e50U,     0x9ec79e03U,     0xcd39a3a3U, \
    0x6df3a4d8U,     0xf940a593U,     0x06eb501bU,     0xd7311c09U, \
    0xb12e254eU,     0xc592a6a5U,     0xe838c06cU,     0xd60608ccU, \
    0xbe6cdc06U,     0x4915c8f4U,     0x643d0801U,     0xac928271U, \
    0xc50c1dd1U,     0x0d726190U,     0xef00db7cU,     0x630472edU, \
    0xcfe34bb2U,     0x85243e4dU,     0xccbb63d5U,     0x885e784aU, \
    0x10b88d67U,     0x6c67d60dU,     0x564825eaU,     0x81fcacf9U, \
    0x38983b40U,     0xc2d26590U,     0x294d686bU,     0x9b440fa6U, \
    0xa8eff07eU,     0x3b33595fU,     0x71ef3758U,     0xecffc162U, \
    0x5d8204d6U,     0xa63d2bceU,     0x36011686U,     0xcefd4954U, \
    0x5136b8b4U,     0xecbcd9bbU,     0x49cb67f7U,     0x5969c32fU, \
    0xcd9a5de2U,     0xba69f70cU,     0x58be1d83U,     0x8165acc1U, \
    0x94a55318U,     0x49d72de5U,     0x9142ded7U,     0xa4582ba1U, \
    0x12d262beU,     0x676fad49U,     0x22e75c04U,     0xedf7b710U, \
    0x07982374U,     0x247bd599U,     0x61738c37U,     0xcf9356daU, \
    0x22d0b158U,     0xa9e2d821U,     0x334ac836U,     0x6a3cbedeU, \
    0xda395b81U,     0x6604d0c4U,     0x8833d4bdU,     0x41e8ebdbU, \
    0x9e9194f1U,     0xe6dc1ed6U,     0x1b15ca2fU,     0x3e2b5b70U, \
    0x6ba1e65cU,     0xf13e489cU,     0x49a1fa25U,     0xc696d121U, \
    0x820dcf9bU,     0x44b0e4fdU,     0x0871708dU,     0xee0cd0c3U, \
    0x4b1deca7U,     0x9d174098U,     0x1535688bU,     0x8babbfa1U, \
    0xd989cc55U,     0xbd09e0b3U,     0xaad15cc3U,     0x7ce5fc82U, \
    0x4a0bfed6U,     0xa3748697U,     0x240e7d97U,     0x75cc5cb2U, \
    0x8cecfd67U,     0x41563131U,     0x3f0a1696U,     0xeb414d4eU, \
    0x7c8e497cU,     0x7a53f566U,     0xe6c3e28bU,     0xec67937eU, \
    0xc53a1840U,     0xa043399cU,     0xcb4f61d0U,     0xe0414f85U, \
    0x183d5f40U,     0x332f4d14U,     0x031478a4U,     0x1642d13dU, \
    0x136e5882U,     0x9f0e5a69U,     0x4ce4c8a6U,     0xa4d19a02U, \
    0x39da90caU,     0xc7f60d92U,     0xb2fb89acU,     0x3acc2ed0U, \
    0x02f63ee3U,     0x5a88a4feU,     0x2b26b444U,     0xa2f179deU, \
    0x1530d293U,     0x160a2336U,     0xf8517405U,     0x5eecd612U, \
    0x0952cadeU,     0xe7428e76U,     0x900707cfU,     0x6f90ed6dU, \
    0x4b8b6d23U,     0x12c60ad1U,     0xd2886146U,     0xcf116ab3U, \
    0x3558f0beU,     0xbbc24888U,     0x141a96d8U,     0xa429d42eU, \
    0x029f632cU,     0x53327745U,     0xaf54baa6U,     0x34349ce7U, \
    0xfdd8b9c5U,     0x271d3117U,     0xbb262fedU,     0x8c5668b6U, \
    0xbb2eede3U,     0x9ec3a53dU,     0x3770f7cbU,     0xbb15715aU, \
    0x29da6877U,     0xc63fa5d9U,     0xb319a1b6U,     0x13f1d18dU, \
    0x8b26a9bcU,     0x95f54918U,     0x28f1a0f8U,     0x0c3b3761U, \
    0x632bb278U,     0x48ce92b4U,     0x004c3be5U,     0x9a090899U, \
    0xa7be32cbU,     0x69209c84U,     0x0fd579beU,     0xca368c26U, \
    0xbb9d8c97U,     0x7147efbfU,     0x4d5b5fd1U,     0x7e11fe35U, \
    0x2a35721fU,     0x36bfa7ecU,     0x6eedf125U,     0x625b2f91U, \
    0xfea789c0U,     0xf8f1a264U,     0xd2802d26U,     0x71589201U, \
    0x1dce54d4U,     0x0fe48ef8U,     0x537829adU,     0xfa1154f0U, \
    0xfa42a6eaU,     0x477f6c68U,     0xa5980865U,     0x8075a9a5U, \
    0xae333359U,     0x9b4e9884U,     0x871030f5U,     0x141bae80U, \
    0xc8bd8146U,     0x21c302d3U,     0xa125d8d6U,     0xd9b5b2ebU, \
    0x43e1c374U,     0xe7d0b2c1U,     0x295d13e3U,     0x355afa8fU, \
    0xb5333c43U,     0x3045fa1eU,     0xba8a0b9cU,     0x01f8591bU, \
    0xd143506fU,     0x43c5798bU,     0x63705f33U,     0x7b2fe4ffU, \
    0xbd585de7U,     0xc149988eU,     0x45b5e244U,     0xee78a494U, \
    0xd9bcb62eU,     0xd8b33fedU,     0x1562dd94U,     0xb2c99abfU, \
    0x349493c5U,     0xf32d79d7U,     0x0855eb53U,     0x4a8a0ba4U, \
    0xaa8f7660U,     0xf5ae9071U,     0xa62ea2b2U,     0xbb992726U, \
    0x6f33751dU,     0x37854f7aU,     0x7ba5346bU,     0x66f5acb8U, \
    0xa0e5323cU,     0x6e60653aU,     0xfd6cddfdU,     0x3ca7650aU, \
    0x995fc178U,     0xa1501e3bU,     0x70331b76U,     0xef75cc66U, \
    0xb7c762f3U,     0x7ac763a1U,     0x45ff3773U,     0x899cdd26U, \
    0x5a927fd0U,     0xa0be275cU,     0xb311dd1aU,     0x3caf0d2aU, \
    0x609df180U,     0x2cb540c5U,     0x978f7dc2U,     0x5642d0d7U, \
    0xf239ee99U,     0xee1b8902U,     0x41c206ecU,     0x1efcb7f8U, \
    0x6cfa9b4cU,     0xc01015beU,     0x1eb560d0U,     0x58bd1b12U, \
    0xc8ad1f4eU,     0xd7cec71bU,     0x796e018bU,     0x67f66d47U, \
    0x8f36a416U,     0xcd51b82bU,     0xbcbed0deU,     0x0b1dd7feU, \
    0x493558fbU,     0x3d6cdb21U,     0x87821c6cU,     0x60272148U, \
    0x9fcc7ebaU,     0xb5c90c39U,     0x89c55adbU,     0x2031a0abU, \
    0x7bfffc9dU,     0xbad1be39U,     0x524069d2U,     0xe8d8bac8U, \
    0xe0cd2d03U,     0x4daf127fU,     0x498496f0U,     0x01041f09U, \
    0x9d237a32U,     0x4af50bf8U,     0x915616a8U,     0xbb80fadcU, \
    0x67a6a96dU,     0x334b4e95U,     0x2f5512b9U,     0xdd0d34c1U, \
    0x1328ab31U,     0x6ca0a6e4U,     0xa74201daU,     0x4f1e5308U, \
    0xeda0a8a6U,     0xb4cea711U,     0xb83f1fb9U,     0x4cf2de8bU, \
    0xfe6dbf70U,     0x31d5e502U,     0xc0d4c341U,     0xcba18df3U, \
    0x6492b0dbU,     0x9b384c02U,     0x4e4dabc0U,     0x41ac5565U, \
    0x6a69e929U,     0x4982b513U,     0x14d6420cU,     0x53ff864bU, \
    0xf75dccd2U,     0x64bebebeU,     0xc5a57b5fU,     0x2d882a9dU, \
    0xcd6e8d39U,     0xb1bde2c5U,     0xda7d27f0U,     0x03bc028cU, \
    0x2e200d37U,     0xa6e13e29U,     0xdaca1c6bU,     0x1af31d3fU, \
    0xb0b1101aU,     0x56116420U,     0x6cdf861cU,     0x287ed0e3U, \
    0x15b64843U,     0xc929f5afU,     0x6130be3cU,     0xa5c160f0U, \
    0x7d943827U,     0x0459bfe7U,     0xf752b134U,     0x2cca057eU, \
    0x8a5919d2U,     0xe666fce2U,     0xe4696ff5U,     0x5519c695U, \
    0x9cd314faU,     0x67fa9fd8U,     0x33c110cfU,     0x63397959U, \
    0xe1c6f7a0U,     0xd9666cc4U,     0xc83454ceU,     0xf220676cU, \
    0x07348315U,     0xf9b62022U,     0x78dfaf6dU,     0xbc074ec9U, \
    0x7cf9f574U,     0xef7c3127U,     0x4516cd97U,     0xf14f60dbU, \
    0x2f9b32aaU,     0xf35b22a6U,     0xfe5b7af0U,     0x19a05ce7U, \
    0x05251ff5U,     0xb4ace5a8U,     0xf5fb67d8U,     0x4da332e1U, \
    0xb3dc0247U,     0xdd3bb752U,     0x48c19988U,     0x7b2b1757U, \
    0x09aea720U,     0xaeacb44eU,     0x9eb85735U,     0x9412efacU, \
    0x386fbac7U,     0xbacdd62cU,     0xebd27db7U,     0x0648dc7aU, \
    0x94c0b022U,     0x9a111ef0U,     0xc3dfc3b8U,     0x8fda4050U, \
    0x3f6040d6U,     0x3510647bU,     0x69f14581U,     0xb448389eU, \
    0x87f2bf60U,     0x372ebe76U,     0x995d3eb3U,     0x68a125afU, \
    0x80be9f4dU,     0x95bd4424U,     0xdfe57975U,     0x7d54a238U, \
    0x89aa328eU,     0x37da282dU,     0x7522afd4U,     0x931977d3U, \
    0x63e35840U,     0x05c24df7U,     0x872cf43eU,     0xb33377dfU, \
    0xe0b9a11bU,     0xbff7c769U,     0xe13afcd7U,     0x33d3764fU, \
    0xa5585c21U,     0xdc48ea04U,     0xfe92b757U,     0xa1a01c65U, \
    0xc43e096eU,     0x21b55582U,     0x7fee308dU,     0xabfbd6c2U, \
    0x0e8d2c92U,     0x3ad3a05fU,     0xd596aec1U,     0xa27e7e56U, \
    0x7dab8788U,     0xe53d6a1eU,     0x9b6fd174U,     0x2876f0d9U, \
    0xdb07c0d9U,     0x410afcaaU,     0x71ae9b40U,     0xe44ccdffU, \
    0xfee836c2U,     0x89ee5633U,     0x936948d9U,     0xb779fbfbU, \
    0x4b72c5e5U,     0xe16e2615U,     0x40b69e88U,     0xf8f60f0bU, \
    0xece4e459U,     0x040424feU,     0x5b2d3901U,     0x354bcee8U, \
    0xb2184d33U,     0x24c65d89U,     0x4299744cU,     0x70443e56U, \
    0x7dc06bc3U,     0x78ce1484U,     0x7b14e24fU,     0xd0a743d3U, \
    0x513aecf9U,     0xf2cee9e3U,     0x5e4dbf6dU,     0x20e4e92cU, \
    0x2197603cU,     0x570e8fb2U,     0x6360ac58U,     0xb12bddedU, \
    0x2428d058U,     0x3e2da84cU,     0x14eb2538U,     0x20e9a11fU, \
    0x0d5c9d70U,     0xb56eeebeU,     0xd8f3c322U,     0x1887aa0dU, \
    0xe4e10469U,     0x6eba2e6dU,     0x5a325a54U,     0x2037e58aU, \
    0x3e931e61U,     0x2ce4f986U,     0x8303902cU,     0x5b2f8d51U, \
    0x20888e94U,     0x64bd0340U,     0x69d1f84fU,     0x6b6efef7U, \
    0x6744cec9U,     0xc42c12deU,     0x99a25cbeU,     0x3df3a253U, \
    0x0af801b7U,     0xd822737eU,     0xe0d7e9a2U,     0x3c091372U, \
    0xfa5dd552U,     0xbcf078ffU,     0xc90e15d1U,     0xf441f5dcU, \
    0x3b3cea30U,     0x491cee8fU,     0x8513b1ddU,     0xcd3d240dU, \
    0x9b3e9fdbU,     0x9ac8962eU,     0xd704d4b1U,     0x4e240bbeU, \
    0x0769851dU,     0xa2fbfbc6U,     0x759ce6deU,     0x19cef60dU, \
    0xf2b15658U,     0x50419bc6U,     0xf7358caeU,     0xf53ecf10U, \
    0x1826ba3eU,     0xae22df5cU,     0xd5375696U,     0x08e37904U, \
    0x3c2440aeU,     0x661ccf12U,     0x9e068db4U,     0x242e936bU, \
    0x76ca7b9eU,     0x8fd56d01U,     0x9614b73bU,     0x8733aa02U, \
    0x819e3477U,     0xe1fd26caU,     0x65b8780eU,     0xf6c77302U, \
    0xc06c664bU,     0x0df7ac87U,     0xc837733bU,     0xa87e265cU, \
    0x331b185fU,     0xb58f0207U,     0xbb39e206U,     0x4250dbf9U, \
    0xefbf8ed7U,     0xa633f28bU,     0x07116369U,     0x28acb209U, \
    0xaba407a5U,     0x33d809d5U,     0xf9fd33a6U,     0x2af00540U, \
    0xc320b936U,     0x3c7abf78U,     0xd5b3eaa3U,     0x7890e770U, \
    0x1d9bd634U,     0xca926870U,     0x47dd9e76U,     0x357f8d45U, \
    0x8bc8f769U,     0x52ee3c00U,     0xe3474a92U,     0xc631e449U, \
    0x5d17462fU,     0x613ddd11U,     0xe04b50bfU,     0xd94f8421U, \
    0x929f2b74U,     0xec8becf9U,     0x54349a77U,     0x39c8636eU, \
    0xca588bbbU,     0xe7f6ac4cU,     0xbec63306U,     0xad0c6734U, \
    0x0167cf24U,     0x847fc021U,     0xbb0549d5U,     0x09005b88U, \
    0xfd205b5aU,     0x9955f3acU,     0xa2563084U,     0x103fe31dU, \
    0xf507861dU,     0x32eea842U,     0x2c9f7cccU,     0x6ed33316U, \
    0xe3f7a00dU,     0x19afdf12U,     0x59e8e3beU,     0xa90f2fbbU, \
    0xe1c48f38U,     0x5fd0f736U,     0x2f62e27dU,     0x455fbff0U, \
    0x10edc6acU,     0x61137951U,     0xa08bd5efU,     0xc5db4952U, \
    0xb53ef86aU,     0x54506ed5U,     0x2c8821b8U,     0x30511e70U, \
    0xa392e913U,     0x38e5cbceU,     0xe711d45cU,     0x9133aa49U, \
    0xaec05c62U,     0xd425d111U,     0xcb74b3c1U,     0x044d119bU, \
    0xf035ba38U,     0xc4f2c294U,     0x6fadb551U,     0x3a6282adU, \
    0xc32f166eU,     0xbad729faU,     0xcd095c4dU,     0x54f631d7U, \
    0x94e3201cU,     0xba1660e5U,     0x8bee72a1U,     0x35d09b5eU, \
    0xce01ffa4U,     0x4a436a52U,     0x7158311aU,     0xf7447758U, \
    0xa166ca89U,     0x18fbb09eU,     0x6544f8eaU,     0x965a3320U, \
    0xe70f3591U,     0x28fc67e9U,     0x4cd5b661U,     0x113c3b66U, \
    0x4f5a2f07U,     0xb375a7c2U,     0x9e0719b1U,     0x39501292U, \
    0xe67f87f9U,     0x4a57c4ccU,     0xf447894aU,     0x541d86cbU, \
    0x953656b0U,     0x9fc28ceaU,     0x61dc3095U,     0x0bd7f0ceU, \
    0x38a2f597U,     0xa7041ce8U,     0x99d2f017U,     0x59214759U, \
    0x11ce42e1U,     0xcb97eaa7U,     0x07d1a18bU,     0xcb581a1bU, \
    0x11f716b6U,     0x1bd3f70dU,     0x50f49682U,     0xa97af3efU, \
    0x11833e55U,     0xfadf839dU,     0x0092081bU,     0x62049619U, \
    0xa34debc1U,     0x8898aadaU,     0x0c9f34d7U,     0x4e8c605dU, \
    0x9fd83432U,     0xf183adf5U,     0xe7829d8eU,     0x9d1bc130U, \
    0x50867ce2U,     0x18963284U,     0x34008a81U,     0x414f3a13U, \
    0xd74472ddU,     0x50efe38fU,     0x4618eb35U,     0xa20b0331U, \
    0x5bcb18a1U,     0x6b57a1a6U,     0x799f52e4U,     0x0c787847U, \
    0xbb4f716fU,     0xf1b5bec6U,     0x7eccb59dU,     0x5cb2d151U, \
    0xb8e1baa0U,     0xac76d640U,     0x9e5467eaU,     0xeba36d46U, \
    0x21386e6fU,     0xe098d1acU,     0x36ea47f7U,     0x714d711aU, \
    0x7fe05f19U,     0x15593a29U,     0x3a1e8ff7U,     0x03a3a040U, \
    0x067aa7a5U,     0xb6756166U,     0x60199732U,     0x49d68e49U, \
    0xd69f364dU,     0x2c949ea2U,     0x49960b0bU,     0x2111936fU, \
    0x5225e9c6U,     0x0d5b906cU,     0xb41a4b64U,     0x8db23d54U, \
    0xf8507730U,     0x31dabb7aU,     0x396a82e1U,     0x7f692f59U, \
    0x4527dab8U,     0x55abba26U,     0x375af8e0U,     0x9b18d83aU, \
    0xdd7a8033U,     0xeaea48abU,     0x18770549U,     0xa4e64928U, \
    0x2dbe9147U,     0xce05dfa6U,     0x6f0aa5f4U,     0x7c9abdf3U, \
    0x523b5062U,     0x529707f3U,     0x26a7db80U,     0x5007d89dU, \
    0x6de364e2U,     0x29bccde0U,     0x727a77adU,     0x271e6df8U, \
    0x15de0301U,     0x25bf3aecU,     0x8980dceaU,     0xebd57061U, \
    0x11f582c6U,     0xb0ecfa00U,     0x44c9cbd2U,     0xd3ceb52bU, \
    0x18deb77dU,     0x0fda4d19U,     0xc1ae50a6U,     0x327eafc4U, \
    0x02cbaa9cU,     0x54636167U,     0xfe061b6aU,     0xe4fbc87cU, \
    0x8561da86U,     0x2aff124bU,     0x2db518efU,     0xab857001U, \
    0xecd669aaU,     0xd0ad105aU,     0x6ed476bfU,     0xefe77b28U, \
    0xd6ba2f13U,     0x35fe26a3U,     0x9602115bU,     0x5e20c09aU, \
    0xaa6d3759U,     0x4fd139c6U,     0x6c58905fU,     0xf41cd71aU, \
    0x3d152a80U,     0x2c21931bU,     0x1cbcc4afU,     0x811ea07aU, \
    0x46d21390U,     0xce0a27fcU,     0x778167a7U,     0x4634cb2eU, \
    0x47395347U,     0xe3cd56b4U,     0xf7f895c3U,     0x7928098cU, \
    0x9908237aU,     0xf6393bc1U,     0x54e77c3bU,     0xe198f607U, \
    0x8482efc1U,     0xdcea3371U,     0x6489220dU,     0x9ea6a2cbU, \
    0x00aee51cU,     0xb38634fcU,     0x589e288dU,     0x5692cb54U, \
    0xba11f0dfU,     0x53454a2aU,     0x5b17568cU,     0x135a3845U, \
    0x2b2a686fU,     0x62e17499U,     0x3f5c6b49U,     0xd4516d2fU, \
    0x1a67ca64U,     0x6e15d7dfU,     0x689a20f7U,     0x9075a922U, \
    0x31fc5405U,     0x770d8ff1U,     0x0e018ce1U,     0xd85857a4U, \
    0x9ad4aad3U,     0x0e7756c0U,     0x449c2770U,     0x59b50da8U, \
    0x570c5a6fU,     0x18b882c3U,     0xe321e7acU,     0x185e715bU, \
    0x1aeaa24bU,     0x12aa6067U,     0x69f5cbcaU,     0xcd2404a3U, \
    0x1e1c9155U,     0xcb33fbb5U,     0xfb58dc04U,     0x7d78bb4dU, \
    0x92e80b2cU,     0x898e4ba2U,     0xc85b7a5bU,     0x764b84e4U, \
    0xed71ecf3U,     0x3132e71aU,     0xd832e19fU,     0x45537fdaU, \
    0xe0e9be0fU,     0x6b33f1acU,     0x69a5a721U,     0xd3e03b29U, \
    0x734c4458U,     0xe5ecc59fU,     0xa5e251deU,     0xe601e51aU, \
    0xe538f3a0U,     0x38c57794U,     0x1f6f3a64U,     0x0ff6392aU, \
    0x04f1d9d9U,     0xf09b85d2U,     0x8bca441aU,     0xd4624f5dU, \
    0xddd0e85fU,     0xf86a956bU,     0x77fe7894U,     0x815b96c7U, \
    0xa8b604baU,     0x599c9ad0U,     0x2305446cU,     0xe0964dcaU, \
    0x4726f619U,     0x2e2ec033U,     0xf382ca1cU,     0x66fe6990U, \
    0x2315829bU,     0x092b38acU,     0xab8f00acU,     0x1fa12369U, \
    0x1340eb77U,     0x56ccaa3dU,     0x5d15abc8U,     0x1e17fbdbU, \
    0x0b803012U,     0xc260837eU,     0x330e94dcU,     0xde916623U, \
    0xa0c833c4U,     0xda5e16b6U,     0x9920ca7fU,     0x0f490469U, \
    0x92188e14U,     0x1343b115U,     0x862771d7U,     0x6a754b42U, \
    0x612fed7eU,     0x1bf745bbU,     0x5c6a5657U,     0x9a2fd947U, \
    0x6e3acb5eU,     0x8ce8d360U,     0x54b34c99U,     0x499ae729U, \
    0xde61a131U,     0x9949956bU,     0x1980ad9bU,     0x9db72f65U, \
    0xb5719b4cU,     0x3e899f53U,     0x97beadd6U,     0x9928275cU, \
    0x40bef9e6U,     0x9d9164a6U,     0xd881a315U,     0x7f8879fcU, \
    0x14d74fc6U,     0xb66cb54aU,     0xcfd32bdcU,     0x03ef102eU, \
    0xa9380ca5U,     0xa3ead0f2U,     0x6d46e79bU,     0xe24f7f82U, \
    0xa0a3a048U,     0x9dcf87f3U,     0x7825742dU,     0xd827e1baU, \
    0x197f820eU,     0x632db318U,     0xad34f752U,     0x326d40adU, \
    0x55a1cb35U,     0x60affc98U,     0x74aed59bU,     0x5052ab46U, \
    0x58cefb26U,     0x217d0c70U,     0xcc982634U,     0x3d4dc11aU, \
    0x23865be6U,     0x9c16b2e0U,     0x4068589eU,     0xa99a092dU, \
    0xd4a2a8aeU,     0x6427564cU,     0xa199b665U,     0xa43483bdU, \
    0xdd5ed0c4U,     0xeb2af774U,     0x9cc30891U,     0x20177288U, \
    0xcb088b3dU,     0xf0945b24U,     0x3b3e0818U,     0xd535e4d3U, \
    0x51b767ccU,     0x236e3c5dU,     0xcbff7ec6U,     0xb27356aaU, \
    0x81607affU,     0x94225a2fU,     0x9df9f5fcU,     0x5fc8af67U, \
    0xe937860fU,     0x74aa89f7U,     0x3268fe60U,     0xf973ba8cU, \
    0x06ada24cU,     0x54ebf424U,     0x18e6449cU,     0x03215da5U, \
    0xe8c07267U,     0xf434ca2aU,     0xdcf1e3a8U,     0x97fbb1bbU, \
    0x25c10681U,     0x87e11218U,     0xa8169af8U,     0xa56f3419U, \
    0x317423a9U,     0x2b7f1763U,     0x526e8239U,     0x3c09a4f6U, \
    0x60fea529U,     0x727d87deU,     0x0082ef7aU,     0x811e2c78U, \
    0xbad2d100U,     0x611c0d39U,     0x45e8f432U,     0x67de054fU, \
    0x9ae72e14U,     0x325a4981U,     0x50758d92U,     0x652389ccU, \
    0xd65cd257U,     0xb0213ac5U,     0xcc684164U,     0x2141d466U, \
    0xecc52479U,     0xdfa37e04U,     0x3ec4e6b0U,     0x2f99ef43U, \
    0x145b479bU,     0xcfc434c1U,     0x8b83e266U,     0xe184bc74U, \
    0x454eb7e4U,     0xeb3232ecU,     0x56da3ae3U,     0xa15fab25U, \
    0x47202094U,     0x143f7757U,     0xcce2510fU,     0x049afd4dU, \
    0x278e91bcU,     0x4b4cd81dU,     0x2fcbdfd1U,     0x69441979U, \
    0x84a6e4bcU,     0xbe532a72U,     0x485d6720U,     0x74c08f89U, \
    0x7359e542U,     0x8d69fb3cU,     0xa1dd07d3U,     0xef5aeb84U, \
    0x9977c8e7U,     0xb38d4b6dU,     0x8a4ce9c9U,     0x69a0327dU, \
    0x05fe372dU,     0xe84137d3U,     0xa470c6d3U,     0xfa6d0549U, \
    0xb58b6942U,     0xbf9e8251U,     0xcca1e6c7U,     0x38f28569U, \
    0x51f265ffU,     0xacac8678U,     0x191aa956U,     0xd379ce65U, \
    0x4800f348U,     0x4be3ff45U,     0xcfe5465cU,     0x206129e7U, \
    0x31e5e72dU,     0xc00d2cacU,     0x0b619c39U,     0xba0fb273U, \
    0xe1fb7877U,     0x841e5ed8U,     0x3373e544U,     0x1e6cd814U, \
    0x203076afU,     0x86ad7ef0U,     0xebd57baaU,     0x97d4380aU, \
    0x30d2ba38U,     0x101475d6U,     0x13c2606aU,     0x896b2a7bU, \
    0xf7d39cb3U,     0x609f37bbU,     0x8b4c0581U,     0x107225edU, \
    0x82ebf0c1U,     0x39d19399U,     0xefb5e117U,     0x1791504aU, \
    0x2daa7195U,     0xf5308d2aU,     0xf37d9a31U,     0x395f3d02U, \
    0x92ae1046U,     0xc0f2a987U,     0xf8fb5085U,     0xe20e42edU, \
    0xf61849a8U,     0xf9328781U,     0x3397941fU,     0xdd0007bbU, \
    0x7457a30eU,     0x0567e936U,     0x86b13006U,     0x96cf085cU, \
    0x05fdf70bU,     0x4030766cU,     0x6680b8f2U,     0x99a93153U, \
    0x8c571be3U,     0x71cc48adU,     0x4a3968cbU,     0x9f78a29aU, \
    0xf46e9714U,     0x8b047e7eU,     0xf9b090baU,     0xac72584cU, \
    0xda5c38a6U,     0x62ebb24cU,     0x9985a91cU,     0xe98b5596U, \
    0x5c593070U,     0x9155e271U,     0xade395cfU,     0x99adbe73U, \
    0x955941e8U,     0x7ce6e1f3U,     0xb8450773U,     0x33863a24U, \
    0x3273ec89U,     0x5471f245U,     0x5f72a9d8U,     0x13800c36U, \
    0xf692d507U,     0x3e4bfb03U,     0x42b04da7U,     0xf7e20846U, \
    0xea6418c4U,     0x5f30e09cU,     0x4e4245a6U,     0xd553af7bU, \
    0xf1edee67U,     0x3ba4b0bcU,     0xefdf7d15U,     0x8ffa6ddeU, \
    0xc81a10e5U,     0xc6d832b4U,     0xa1bb648bU,     0x86434af4U, \
    0x637b097eU,     0xc4feb0c3U,     0xb8d3b7b7U,     0x83002355U, \
    0x1ad45970U,     0xad74757aU,     0x9c7a5bc8U,     0x72b8f0c3U, \
    0x7d830731U,     0x2aa567d9U,     0x1bec7771U,     0x72909339U, \
    0xd88dc286U,     0x3cbc29e3U,     0xd2b8af49U,     0x72917335U, \
    0xd5904dd3U,     0x21d90bbaU,     0x2de6b70fU,     0xdfbdb9f2U, \
    0x107960b5U,     0xd850b3f9U,     0xd4989eb5U,     0xee558d6aU, \
    0xed9b6952U,     0x4161f6d0U,     0x00875661U,     0x21b88a0bU, \
    0x1492a0d4U,     0x28232345U,     0xa5e292b3U,     0x8391b524U, \
    0x988f2195U,     0x1e5245f4U,     0xf6f8342cU,     0xeb0da1b2U, \
    0x33f4ccefU,     0x42311fefU,     0x603b531dU,     0xf41aeae9U, \
    0x1e503416U,     0x951933e8U,     0x00006db3U,     0x5c2dc310U, \
    0xf6f0abb4U,     0x726109a0U,     0xb815d5d1U,     0x4970aaa1U, \
    0xcb8ff3d5U,     0xeba2d341U,     0x0e897b57U,     0x2f3f28a4U, \
    0x8d5c8064U,     0x342d580eU,     0x6327f479U,     0x15b11b13U, \
    0xd03b1315U,     0xe7daf64bU,     0x01278a62U,     0x4584320fU, \
    0x057e8126U,     0x495a5d9fU,     0x8cc4e181U,     0xf8d6a368U, \
    0xf1aa3a85U,     0x61bb7461U,     0x197efd8cU,     0x76c796e2U, \
    0x50dd1ba4U,     0xadb3d803U,     0xf08474e2U,     0xc87fa7d1U, \
    0x78051660U,     0x2d8a662aU,     0x97a02178U,     0xa0cbf581U, \
    0xeaaecbddU,     0x126244beU,     0x3e5217f8U,     0xc7900314U, \
    0x6dae3807U,     0x072b0119U,     0x8871b69eU,     0xa2e544c6U, \
    0xfd86aed2U,     0xc8a4c894U,     0x08fbd3b8U,     0xd0a6da59U, \
    0x8f9fb803U,     0x48466092U,     0x16cfcb88U,     0x6068d832U, \
    0x62c8fed3U,     0x1933bf77U,     0x27f6ce5bU,     0x66a5f0b6U, \
    0x76def953U,     0x729414b9U,     0x98763df8U,     0x9f8c8807U, \
    0xafa5ca69U,     0xac9c33dcU,     0x150ca2cdU,     0xbbab899bU, \
    0x172d446cU,     0xdfddc185U,     0x0e895b8bU,     0x7bc12f90U, \
    0x98a78859U,     0xacd3a95bU,     0xb15b8123U,     0x3811cc3fU, \
    0x6ebceafeU,     0x5816b602U,     0x38182d0fU,     0xa3308d10U, \
    0x6c1431eeU,     0x8eca8408U,     0x13c1f3f1U,     0x62d7e660U, \
    0x93543c7fU,     0xdb980e55U,     0x3f9b0384U,     0x6b1f3492U, \
    0x7e43c361U,     0x7c287807U,     0x7763ddc6U,     0x4046f12fU, \
    0x5204f809U,     0x14f7446bU,     0x05085eebU,     0x39c291deU, \
    0x3bca4728U,     0xa85ee849U,     0x819ab703U,     0xb74d6247U, \
    0xacdfe2d9U,     0x77dac3a3U,     0x3a30d86bU,     0xe8ab82f1U, \
    0xc82a5a65U,     0xc317ef6dU,     0x48d267b5U,     0xeb860557U, \
    0xbfdc1dadU,     0xa5906df8U,     0x4ffb9c07U,     0x6f9be71bU, \
    0xc10dfb46U,     0x727659ddU,     0x8e484e5aU,     0x07630badU, \
    0xa37dd6c4U,     0xc1e9d2d6U,     0x69c4b0e6U,     0xdc89e981U, \
    0x5bedb0aeU,     0x114efe34U,     0xbb550fe4U,     0x041c440bU, \
    0x66b923ceU,     0x28002962U,     0x53a0290aU,     0x5c43fe21U, \
    0x86b556ceU,     0x011c3defU,     0x3ebf17ffU,     0x22e0c5ecU, \
    0xaa5e61b0U,     0x26e67033U,     0x98a982f1U,     0x736acb33U, \
    0xe0f1621dU,     0x3359d8f8U,     0x0718bfc4U,     0x5a4d7ed5U, \
    0x9b659066U,     0x28cb5e62U,     0x3b95ecf8U,     0x96428167U, \
    0xd2b770c0U,     0xd78fcdd8U,     0xdd1a08acU,     0xd60230baU, \
    0xd4d81611U,     0x0c0f17afU,     0xdb7857e6U,     0x42241800U, \
    0xa37f481fU,     0x2dd020acU,     0x05eac631U,     0xb3e4ca91U, \
    0xbfbfef1dU,     0xcb08b18eU,     0xd7b3b8c3U,     0xaa08bc48U, \
    0x8338d338U,     0xf66ab29cU,     0xb7d4e0e6U,     0x294a63e7U, \
    0x2070d919U,     0x1504c6abU,     0x58e0d132U,     0x393f9631U, \
    0x4f333c60U,     0x1afe3994U,     0x625cedbeU,     0xd24690adU, \
    0x0e6cba57U,     0x73d5185aU,     0x8af2e1ecU,     0xb225d78eU, \
    0xcdac91c4U,     0x36258475U,     0xf33d0adbU,     0x2cd92af5U, \
    0x30c154c3U,     0x69bc8ad1U,     0x88cb990aU,     0x0f63eb20U, \
    0xe16122a9U,     0xe1e74cc2U,     0x9e0f23d9U,     0x99b83826U, \
    0xe32d0348U,     0x78758461U,     0xd59fbcb9U,     0x12b88b5aU, \
    0x8f33689cU,     0x739a804dU,     0x16a8bb8cU,     0xca61e8a2U, \
    0x6ff605b4U,     0x9495f7c4U,     0x57644211U,     0xb8c09d96U, \
    0x4deb2503U,     0xc8499857U,     0xdde9f9d9U,     0xaa3024f6U, \
    0x0ce6eeeeU,     0x9b145ed4U,     0x43bee71dU,     0xe80a2fccU, \
    0x9c752e8cU,     0x6c7689b2U,     0xdd607933U,     0x1ae312e9U, \
    0x250e86c8U,     0x5a4e1f51U,     0x7e05eebcU,     0xfcc79d07U, \
    0xa34bd036U,     0x5d00e470U,     0xa9c978e5U,     0x084c2cefU, \
    0xa53edb78U,     0x3af9e2c1U,     0x3ff6030cU,     0x98e5c213U, \
    0x9e37fbe8U,     0x59212a7bU,     0xab0f7388U,     0x64214f36U, \
    0xad16ef1cU,     0xb70948ccU,     0xab3c149bU,     0xe97432a4U, \
    0x3380d9b4U,     0xa4725295U,     0x9f69685cU,     0x66440b37U, \
    0x7dff64faU,     0xdc75e714U,     0x5a5652b6U,     0x28a74408U, \
    0x33099fb7U,     0x5fdc2f03U,     0x9e49454dU,     0xa280da68U, \
    0xa914571cU,     0xcf7b525aU,     0x08b00ca5U,     0x6bf8b19dU, \
    0xb852c777U,     0x9f7e38e0U,     0x867a437cU,     0x9a44d780U, \
    0xc0db0387U,     0x2655f777U,     0x53eace31U,     0x84010637U, \
    0xf45982f2U,     0x9db3cadcU,     0x12c5e0daU,     0x5655f4c6U, \
    0xe8f15d9dU,     0xa730c47aU,     0x25375566U,     0xa952fb0fU, \
    0xb105ff06U,     0x658fa6a0U,     0xbcd77606U,     0xc14de4d2U, \
    0xa2f572e4U,     0x73a20575U,     0x308921d9U,     0x0a6a2cbfU, \
    0xdc8e131eU,     0xda9babd1U,     0x01beeb7bU,     0x3f789cf1U, \
    0xb56da377U,     0x0d108f0bU,     0xaa91751bU,     0x3b98e6b7U, \
    0x9492cb41U,     0x9a6c86beU,     0x850bdd25U,     0x9252d006U, \
    0x2281ed0fU,     0xb5b1dc23U,     0x0d5193c6U,     0x76329641U, \
    0xf9801b18U,     0x4699b07aU,     0x8164af68U,     0x99063b3bU, \
    0x960599e7U,     0x888b1601U,     0xac2496a8U,     0xd9ae5806U, \
    0xd392b837U,     0x8fb638d6U,     0x52e463beU,     0xbd309b46U, \
    0xba0c9dedU,     0x5ae2e2d4U,     0xfa294ce7U,     0xdb1fc1e5U, \
    0x32307243U,     0xa897ca88U,     0x25015ffcU,     0xfd1c294bU, \
    0x4083783bU,     0x1e6ba71dU,     0x4a1d831aU,     0x42a45dceU, \
    0xceb175d8U,     0x6be1d9e7U,     0xd44d9707U,     0x4dd2bc3bU, \
    0x73ac1487U,     0x4e0b434aU,     0xf6bdaf36U,     0xb0dde30fU, \
    0x107e4e62U,     0x4b4f3ad4U,     0xb2dfe0afU,     0x4adb6154U, \
    0xb031e8a9U,     0xf65d7f11U,     0xe36d1f60U,     0x417221b0U, \
    0x73d6f96fU,     0xed99c398U,     0x58af4006U,     0xfd63407fU, \
    0x45f92e7fU,     0x7b3c7c3dU,     0x31028bb5U,     0x34d0e6daU, \
    0xdbc5a18dU,     0x759fa105U,     0xbc09a4d5U,     0xa486adedU, \
    0xaecce9adU,     0xaf9beeafU,     0xf1c4d010U,     0x9789b858U, \
    0xe39706b8U,     0xd52c6b57U,     0x203af0feU,     0x66f1fa11U, \
    0xb815ccacU,     0x4c9b2e8bU,     0xa8930c5fU,     0x9521dc34U, \
    0x0dc50ce7U,     0x55098497U,     0xba434f2fU,     0x71995a20U, \
    0xa80d65dbU,     0xf4aba2efU,     0x281da4e1U,     0xde82ff4cU, \
    0x41b5f757U,     0x22da9ae3U,     0x7f5dab51U,     0xa7efc9f1U, \
    0x67ca6bdfU,     0x9fdd4721U,     0x04478046U,     0x930b63a4U, \
    0xcad0bd7cU,     0xdefde43bU,     0x5a5b8113U,     0xc948b4c0U, \
    0xc0dd6a8aU,     0x47caea51U,     0x4abf8f93U,     0x25b192b8U, \
    0x85e2aeb2U,     0x2bee7d9cU,     0xb57a76e5U,     0x605cab24U, \
    0xc297d155U,     0x2782e543U,     0xc3bc8463U,     0x4b540191U, \
    0x495aa394U,     0x1af05a09U,     0x2094b273U,     0xfa938883U, \
    0xe3dff8a2U,     0xb6190d4eU,     0xa42755b2U,     0xc7e41574U, \
    0xaa918f6dU,     0x701d283cU,     0x4ae98b69U,     0xb0528bffU, \
    0xa8fe072dU,     0x36f03d62U,     0xda6a45a8U,     0x54a5ef2bU, \
    0x5f064b60U,     0x135b3890U,     0xd0db1d37U,     0x4a1174aaU, \
    0xb2f8707dU,     0xe46c9c0cU,     0xe7e8f9ccU,     0x01d4401dU, \
    0xd37eda98U,     0xa289e099U,     0x4f35ca78U,     0x3830be14U, \
    0xf81484faU,     0x7738a295U,     0x965bd1b3U,     0xc8b6070cU, \
    0x98e5ca0eU,     0xbb571494U,     0x180da586U,     0x18629459U, \
    0x3dfed37dU,     0x99d97670U,     0xa43e302dU,     0x41ed840bU, \
    0x1a1097cdU,     0x264f0cc6U,     0x2ea9839bU,     0x3f16b559U, \
    0xa6b1b0f6U,     0xa5227252U,     0x9726fb30U,     0x1d5a1e4aU, \
    0xbd8aba9eU,     0x2e1a84b4U,     0x40dadeb3U,     0x0b0c177cU, \
    0x61472df5U,     0xf1324040U,     0xf8acda06U,     0x1e5568e3U, \
    0x66f85ec2U,     0x03fc71b7U,     0x41e2d93eU,     0x063b65bcU, \
    0x25b78ce6U,     0x36fc338bU,     0xe05ade98U,     0x1088b5a9U, \
    0x459423adU,     0x08f7d54eU,     0x4df435c9U,     0xb7746cbdU, \
    0xf05c496dU,     0xdd349714U,     0xebf20141U,     0x50937cd8U, \
    0xe14a4f70U,     0x8c1f1a06U,     0x92a5501aU,     0xf296ca9bU, \
    0x573f0cafU,     0x0379b4a0U,     0x4214055dU,     0x673d884eU, \
    0xe0f08038U,     0x32b11318U,     0xbfd6c18fU,     0xb314bb8eU, \
    0x144dccb9U,     0x4f124e42U,     0xf061df9eU,     0xf4e2f63aU, \
    0xb4b06d64U,     0x915ed351U,     0x1a37474dU,     0x0c9e4465U, \
    0x3a1a2841U,     0xf2db2ce7U,     0xe7ac5877U,     0xbb740473U, \
    0xfe53b4caU,     0x6d036295U,     0x846d4c67U,     0x8ece681dU, \
    0x7e2cbe92U,     0xb041b912U,     0x9e56eb9fU,     0x6a474901U, \
    0xd1a98a51U,     0x358cd826U,     0x9da4fbd6U,     0xd79b4be1U, \
    0xefd26401U,     0x83a1ab34U,     0x274e43c1U,     0xe48cc620U, \
    0x2d80c55bU,     0xe73b54e0U,     0xb4b21372U,     0x6dc85496U, \
    0x58875f4dU,     0x18534a18U,     0x85edeb9cU,     0xcca00aaeU, \
    0xe0f6a8fcU,     0xca3f83ccU,     0x6c3aa483U,     0x2b7e9c9eU, \
    0x73faea3fU,     0x5690256cU,     0x161ac2e4U,     0x65bfe96aU, \
    0x3d264d61U,     0xc56cca89U,     0x9f4375e1U,     0x7bb61cfaU, \
    0x62b09f61U,     0x052479eaU,     0x12b44e73U,     0xbd42b579U, \
    0x842176acU,     0x08c36752U,     0x9a53c013U,     0x99a34eb1U, \
    0x6d69046aU,     0x2f9e304dU,     0x5d237f93U,     0x7e2825f2U, \
    0x84b4d653U,     0xe3638081U,     0xecddee2eU,     0xe16abf3fU, \
    0xd8c6b857U,     0x10495978U,     0x0a49fdcaU,     0x0a1e334aU, \
    0x276e2557U,     0x96f1fe08U,     0x060f9666U,     0x78c93bf7U, \
    0x1c5aaa61U,     0xe847c9e6U,     0x08d18e3cU,     0x04635b26U, \
    0x2b22ebc5U,     0xe44b513eU,     0x29d4ce16U,     0x385a6462U, \
    0x6ae6a5e7U,     0x922786d7U,     0x6f4104dcU,     0xfacb4ee3U, \
    0xefd62585U,     0x0f307390U,     0x3c7b7edaU,     0x73567fc8U, \
    0x0ce3d190U,     0x95a59993U,     0x0a23f2b8U,     0x36b8e2a3U, \
    0x598c820eU,     0xdf47e0b7U,     0xda5a269fU,     0x30e2b270U, \
    0xd13a3b7bU,     0xdd6fd2d9U,     0x8c53f48fU,     0x17bd4eb1U, \
    0x70a85358U,     0xf697b37aU,     0x484763c8U,     0x0c890d07U, \
    0xf3a1b555U,     0xf5502095U,     0x0c5234ddU,     0x364d378bU, \
    0x1c0a7355U,     0x81a52036U,     0x9026f69cU,     0x9fe0c62eU, \
    0x5d8f3e4fU,     0x7967eabaU,     0x3635d560U,     0x7c74d57eU, \
    0x8105c4dbU,     0x52543020U,     0x14c660acU,     0x2daa21c8U, \
    0x366e1bfcU,     0x6a129894U,     0x9c0342a5U,     0x133b4a3bU, \
    0x4cc409cbU,     0x90806b98U,     0xdb3a29ceU,     0x0e0fc438U, \
    0x447a5fc0U,     0x34a0c92dU,     0xc1f90d33U,     0x9ca28b68U, \
    0xd47a3dbfU,     0xe1c2023eU,     0x5511f865U,     0xd30fcb7cU, \
    0x2e06d68bU,     0x17c817ccU,     0xc56b3553U,     0x6ec84604U, \
    0xf4e92a36U,     0xac5da56bU,     0x485bbcf2U,     0xd489bc65U, \
    0x8963828fU,     0x2ac35f22U,     0xeaeb702fU,     0x2b2124f3U, \
    0xd99b4682U,     0x569fd3fdU,     0xc820c545U,     0x3c8c4534U, \
    0x8edd95dfU,     0x37ff5dd7U,     0xafec01f1U,     0x88695175U, \
    0x0a20fd3fU,     0xebfc57a4U,     0xa438f2cdU,     0x5bdf7371U, \
    0x1ff13ec7U,     0xeeb33cfaU,     0x73e852c0U,     0xf1dc5547U, \
    0x8b420792U,     0xd0a696ceU,     0x0b695d84U,     0xe79af0adU, \
    0x5b743679U,     0x3b470ff3U,     0x4a96d5c0U,     0xa73062baU, \
    0x615f74fbU,     0x4fdc3117U,     0x293c719aU,     0x738f0ebdU, \
    0x9106edd3U,     0xda214b90U,     0xc86f85a3U,     0x3f0d6dc6U, \
    0x16b3788aU,     0x7e8455eaU,     0x3c7c1df2U,     0xc07a28f3U, \
    0xa93fc6b9U,     0x63c79233U,     0xf22dfe25U,     0xb204fc51U, \
    0x6c81101aU,     0x86c85ae1U,     0x746b4a3aU,     0x775a1f25U, \
    0xbb7c252dU,     0x51e206bbU,     0xb4c75fe0U,     0xc1928116U, \
    0x68d65725U,     0xe54b8522U,     0x5d7bce78U,     0x438a9cabU, \
    0x1742cf9aU,     0x6121c61dU,     0x13d70fcbU,     0x0664591fU, \
    0xc35bf251U,     0x3dc26d2cU,     0x77a9cd75U,     0xde44d2a3U, \
    0x364007b7U,     0x394c0d7cU,     0x46fdd614U,     0x2e97b66eU, \
    0x0c6cd9baU,     0x75a6b2c4U,     0xa606ad0cU,     0x2ee2c01aU, \
    0x4aaadaaaU,     0x9fed087fU,     0x9a46335fU,     0x29f74189U, \
    0x8b01ed2eU,     0xbc96eefeU,     0x88e23fdfU,     0x1c67f35eU, \
    0x3b549c59U,     0x980c5bbbU,     0x669087d0U,     0x2101576eU, \
    0xdb885247U,     0x5f11fc95U,     0x16d8a8c6U,     0x343923c0U, \
    0x4b9f3b6fU,     0x2861539bU,     0x8a242565U,     0x8e773e69U, \
    0x3373526fU,     0x2895acbdU,     0x819b45a2U,     0x329f7461U, \
    0xe8084613U,     0xca9b301cU,     0xdc11bfadU,     0x741a38f5U, \
    0xe9c23679U,     0x55236e47U,     0xa5d1a304U,     0xd3c7984bU, \
    0x7407796fU,     0xb4869829U,     0x9e3e5217U,     0xe1dbcdc4U, \
    0x89811b47U,     0x04f25eb4U,     0x0f7de6e8U,     0xdf9d059dU, \
    0x0feb9225U,     0x8024b227U,     0xa2b2434bU,     0x93b661f0U, \
    0xe5771fb7U,     0xaf086f49U,     0x9a9913bbU,     0xb803a5d7U, \
    0xedc3ac11U,     0x9b9ce3b6U,     0x15bfd27bU,     0xbdf58e6aU, \
    0x544848ccU,     0xa7d82f57U,     0xd7cdf7b4U,     0x95ec8b12U, \
    0x5e345186U,     0xb13a0241U,     0xced9d09dU,     0xa6999d44U, \
    0xabe68a16U,     0x455c5da2U,     0x9ba42d69U,     0x92327af1U, \
    0x242bdd97U,     0xbfaa47beU,     0x11479654U,     0xf81eb876U, \
    0x2814f2e7U,     0xfbb194ffU,     0xd3516df7U,     0x815cc594U, \
    0xbc621066U,     0xa1223280U,     0x55733b1bU,     0x0946f1cdU, \
    0x71b3ce7cU,     0x8dcfa54eU,     0xd30a9e9dU,     0x1e06cd5cU, \
    0xcbf03293U,     0x25186873U,     0xe0251636U,     0xa1a9b0faU, \
    0x1561f4b0U,     0xedc09e48U,     0xdd6cfc2dU,     0x9e4f1754U, \
    0x52e91a4fU,     0x47d2577eU,     0x1f60830fU,     0x518743dfU, \
    0xb69f509bU,     0x52e898ffU,     0x8d5eef53U,     0x32284946U, \
    0x1c8290feU,     0x25203ec2U,     0x2592d0feU,     0x09825f79U, \
    0x0830672dU,     0x9a6d7dcaU,     0xea94fa75U,     0x64e6f902U, \
    0x501468dcU,     0x850fef16U,     0x888c1a86U,     0x4677c4b2U, \
    0x5959049cU,     0x8d80d4bdU,     0x5c7064d0U,     0x32e62770U, \
    0xb17a835cU,     0x423afc2bU,     0x35273262U,     0xa24f96f5U, \
    0xb150cc72U,     0x51342c87U,     0xefefebd9U,     0x081b88bbU, \
    0x89683087U,     0x5cb81df3U,     0x01e390b7U,     0x44fa751cU, \
    0xf5f27ee5U,     0xd6dab046U,     0x31129651U,     0x0cf60b41U, \
    0xb684d05fU,     0x0b772593U,     0x321f7410U,     0x70ead9e7U, \
    0x6c8f1937U,     0xe4192f4bU,     0x7e013d54U,     0x537577e9U, \
    0xa511c5e3U,     0x55bea7a7U,     0xe93aa29cU,     0x17771dc4U, \
    0x0e72d088U,     0xe42d2060U,     0x73048b83U,     0x2130814cU, \
    0x67d20b96U,     0x98879cfdU,     0xbb8d1e67U,     0xfe2cc38aU, \
    0x38eb1972U,     0x809da747U,     0xb277cfe3U,     0xa842a8e1U, \
    0x47dcc001U,     0xf6c7f851U,     0x7a71b908U,     0xe1a0d870U, \
    0x75b0ea45U,     0x36cee0b2U,     0x8130ecf8U,     0xc1e6f40fU, \
    0x4b842427U,     0x82d001d8U,     0xed6eac5cU,     0x646c476bU, \
    0xd993dee2U,     0x292e7b7eU,     0x64f287d7U,     0x636f503dU, \
    0x7be96bf7U,     0x3821cc5eU,     0x89549ca7U,     0x839df4a5U, \
    0xd5b87dc1U,     0x6e4e3762U,     0xc9db50e0U,     0x094477a8U, \
    0x88d2c2d3U,     0x4b6a581eU,     0x4483f28cU,     0x677c9fe7U, \
    0x42bc2cceU,     0xf9fe04fcU,     0xf0fee14fU,     0x4142fafaU, \
    0x49d02c45U,     0xe9426ac2U,     0xed88e0abU,     0x60e77751U, \
    0x6cb60f6fU,     0x11be4a26U,     0xacd88c4aU,     0x21eb9f48U, \
    0xceff34e6U,     0xf7aeb54dU,     0xf5dd6b1eU,     0x695302f4U, \
    0xffc922c2U,     0x4405c975U,     0xa7a91149U,     0xc98dca3eU, \
    0xa9cb4becU,     0x3f0443a6U,     0x0d23e117U,     0xafd23f58U, \
    0x22961689U,     0x7f59176aU,     0x5afd103dU,     0xc5cbc0e9U, \
    0xa9214d4dU,     0x4ef3e8e2U,     0x0d736291U,     0x2157d63eU, \
    0x93cc6cf2U,     0x24c85936U,     0x71a6efc8U,     0xef4753e7U, \
    0x647aaac9U,     0x2ab2eee7U,     0xca4f9a99U,     0x0631fc1cU, \
    0x5be8d5c4U,     0x2cd260e3U,     0x11a8b93aU,     0x55c526c9U, \
    0x99f2c38dU,     0x04508d3bU,     0xc514b9cfU,     0x954ba20bU, \
    0x3968a4daU,     0x1c0809a8U,     0x2fdce0c8U,     0xd014eae6U, \
    0xe43f4a08U,     0x8f57f992U,     0x53626396U,     0xe2fb93dcU, \
    0x12a10217U,     0xfa320629U,     0xc8f4b880U,     0x4fc80b9aU, \
    0x83f66863U,     0xa4da8f9fU,     0x4c7fe099U,     0x10b14955U, \
    0xd9003160U,     0xeb6709e2U,     0x29d80748U,     0x4f8902cfU, \
    0x42a2fe1fU,     0x2ae305bdU,     0xc30b571cU,     0x89cee532U, \
    0x60215c4fU,     0x5f6e083cU,     0x841c01c0U,     0x825204daU, \
    0x4479b112U,     0xb92e7f45U,     0x4ad9ec37U,     0x6426ea3eU, \
    0x71591972U,     0xedec30a3U,     0x7373adc5U,     0xa49b02f3U, \
    0x55aea956U,     0xcf8fc389U,     0xebc4454eU,     0x0c62ccd7U, \
    0x3ee7faccU,     0x4ad9e7dfU,     0x7897655aU,     0x8eb88124U, \
    0x36fad35aU,     0x53826dd8U,     0x1f8b1413U,     0x174c97d2U, \
    0x6346f638U,     0x0c08ed12U,     0xbb63377eU,     0x87ecef1fU, \
    0xc3edf9b6U,     0xfe7069ceU,     0xd1b3f77bU,     0xf5628705U, \
    0x8555d83cU,     0x580b3533U,     0x08d17b8eU,     0xa173e05eU, \
    0x44741115U,     0x0fb1c6ccU,     0xf16c60aaU,     0x511d463cU, \
    0x9c8839e3U,     0xf21a49f1U,     0xde9214c5U,     0x6ec5f6e6U, \
    0x89152583U,     0x4936a44dU,     0xe7b03117U,     0xc926a132U, \
    0xe8cb9188U,     0x6fecc390U,     0x0c900b93U,     0xb9fb7af3U, \
    0x7c632e10U,     0xb3ed2f06U,     0xbd004c6fU,     0xd868f390U, \
    0x4610da48U,     0x5c6ff769U,     0x18655a43U,     0xcaed3288U, \
    0xc50e6246U,     0xcba35040U,     0xe29b88c6U,     0x5a3cda16U, \
    0xc73c97ecU,     0x8856adebU,     0xf7224fd2U,     0xf8ad0bc9U, \
    0x84209158U,     0xbbd363b7U,     0xaa075e29U,     0xf2b5e4aeU, \
    0xc08dd0feU,     0xe4b1e409U,     0xd42c7351U,     0x0ffeb20cU, \
    0xf49263c8U,     0x3c1c6188U,     0xdbc01717U,     0x9dbac741U, \
    0x0ab63e41U,     0x88ddcc0eU,     0xa8d344f0U,     0xb597ffdcU, \
    0x1ce83c94U,     0x2c542c5bU,     0xed9bb189U,     0xae520cb7U, \
    0xb4a72febU,     0x14e019aaU,     0x4a51c434U,     0x07913ac2U, \
    0x3386f1e0U,     0x87d99c32U,     0x999c798dU,     0x356aed84U, \
    0x1bb087bcU,     0x8d8af663U,     0x69ea6f89U,     0x4afa05f6U, \
    0x85d9275dU,     0xb125b473U,     0x28f8a9f4U,     0xd2d1f7caU, \
    0xebcbd145U,     0xde334d75U,     0xee692698U,     0x5653c5cdU, \
    0x78c65fc9U,     0x4314d34bU,     0x989bbd25U,     0x617ec1eaU, \
    0x5c4042a0U,     0xd1a73f28U,     0x64059dbeU,     0x83b8368aU, \
    0x840395d7U,     0xf639cbe6U,     0xd90abfd5U,     0xe3250746U, \
    0x7ed085fbU,     0x88e355f0U,     0x947154dcU,     0xffbdb45eU, \
    0xc2b4f9e0U,     0xf58d401aU,     0xcf0ab5faU,     0x64dbc4beU, \
    0x8884d91eU,     0x4094e10cU,     0x9d7f1bc7U,     0x8d3dce32U, \
    0x3d657c40U,     0xeab16636U,     0xe8b0bbf6U,     0xdcb5bccfU, \
    0x702583d5U,     0xbf77ed1fU,     0xa61d6647U,     0xf2ab316bU, \
    0x536f080cU,     0x86b3e623U,     0x14c30745U,     0xa37338aeU, \
    0xa27aa2afU,     0xe34bd0f3U,     0xa7c98fc3U,     0x2fd9b341U, \
    0xf8ef3b4bU,     0xa939763eU,     0x0b3efe83U,     0xf921ae97U, \
    0x6b0865a6U,     0x00716123U,     0xeb5ca830U,     0xa89b0376U, \
    0xc80d87f9U,     0x8d9bb9b0U,     0xafec9857U,     0xff37b791U, \
    0xaf68c3ceU,     0x0aa35c7aU,     0x65056d82U,     0x80232478U, \
    0x6d325085U,     0x3fb3257bU,     0xee80ed96U,     0x39944472U, \
    0x687a0952U,     0xcd86913eU,     0x585ba19bU,     0xdb1cd8bdU, \
    0xd5c10903U,     0xf081adecU,     0x16ae2ac0U,     0x96baff4bU, \
    0xff924fdcU,     0x21c06b31U,     0x5866e0ebU,     0x2b34425eU, \
    0x5c8154efU,     0x949c19edU,     0x26eca101U,     0xe47f8b18U, \
    0xb3a49290U,     0xd75d10eaU,     0xab87986eU,     0xd3107a29U, \
    0x50971624U,     0x8e3ebbdbU,     0x71187b46U,     0x89a269fbU, \
    0x42ba863cU,     0x838bc97aU,     0xff724a0eU,     0xb813381aU, \
    0xc2d9087bU,     0x11c3d027U,     0x3c3f6360U,     0xcfa61e21U, \
    0x5055ee37U,     0xf0068f28U,     0xebcbde72U,     0x165a41c5U, \
    0x3515db61U,     0x696df699U,     0x63e12816U,     0xba6ccc2cU, \
    0xb2593795U,     0x28306a53U,     0x319394e2U,     0x2f1fbddbU, \
    0xdec478dbU,     0xe67909b3U,     0xb8e24d53U,     0x9155edafU, \
    0xace79236U,     0x6e4647b3U,     0xba722b6bU,     0xb3e3f576U, \
    0x0d0a9bbbU,     0xae085086U,     0xcbc7a2bcU,     0x0c1bf755U, \
    0x9cadd0ccU,     0xa7d4885aU,     0x14ecbc4cU,     0x29d422efU, \
    0x2ba9cc49U,     0x3e22f05fU,     0x9b3cc420U,     0x02f19350U, \
    0x53742bdeU,     0x73d3d3e9U,     0x93e3fd97U,     0x45274642U, \
    0xf4c22aa5U,     0xc25816d3U,     0x0ca05d47U,     0xf9461b8dU, \
    0x0c5ba270U,     0xaf2688e3U,     0x0ea0b9e3U,     0x440a4b80U, \
    0x4b6ee6c2U,     0x67d3d355U,     0x254a8262U,     0x7402a931U, \
    0xddfb3e93U,     0x8b9204f7U,     0x10002192U,     0xcbd25879U, \
    0x396762e7U,     0x82d837b8U,     0x531515f9U,     0x59e55e77U, \
    0x9d59f87eU,     0x53687be0U,     0x0b901fd7U,     0xb361fbb1U, \
    0x6e39c8ecU,     0x33cf8d1bU,     0xe8f7d2d8U,     0x2706c8daU, \
    0x026c8bf5U,     0xdf925667U,     0xcb08dd82U,     0x778d746aU, \
    0x9f33a55aU,     0x2cd3b5b0U,     0x59100523U,     0x51119076U, \
    0xfb1f281aU,     0xa638f13fU,     0x8890c21aU,     0xfde5bfccU, \
    0xd65fb36cU,     0x252ba8daU,     0x68139366U,     0x6204bd36U, \
    0x9e6b56efU,     0x1c7c5281U,     0xf6210fccU,     0x4f8503adU, \
    0x9a73bde2U,     0x2e5b987aU,     0x2429a9baU,     0xaef345cdU, \
    0x42a19618U,     0xb980b7b0U,     0x2c39111aU,     0xa5731d4fU, \
    0xf5d37f32U,     0xd17729d7U,     0xec0f3617U,     0x6a1626a9U, \
    0xae5bd428U,     0x8a4913baU,     0x0106d641U,     0x10482738U, \
    0x87cc5cefU,     0x94b162a8U,     0x2f4392f8U,     0x24bcec85U, \
    0x4036ea7bU,     0x46fec815U,     0x559ba62aU,     0x043c5fa0U, \
    0x2b8d7de7U,     0x8c3e56ccU,     0xbab88b77U,     0xfdbe86a9U, \
    0x82460368U,     0xe346e305U,     0x8789d79bU,     0x3ff32958U, \
    0x0b0ec2a7U,     0x060f2d9aU,     0x7e49b5b6U,     0xa739b2c0U, \
    0x9026956eU,     0xe4f0ec26U,     0x49feb1b8U,     0x5819630dU, \
    0x6c4a6402U,     0x0f7701e4U,     0x82f0ec5cU,     0x166ce69cU, \
    0x3daded06U,     0x6b018c74U,     0x12a90000U,     0xeb8bd151U, \
    0x28f61b10U,     0xc686cbd2U,     0x7f10b1aeU,     0x220159eeU, \
    0x066a8d9bU,     0x87e81770U,     0xa175c8b2U,     0x5e909f3cU, \
    0x3a2f9cc0U,     0x91cde19fU,     0x63237318U,     0x1d8854fcU, \
    0x2e3c7501U,     0xe3f106d4U,     0x0d1fb2ddU,     0xebda8db4U, \
    0xfda71a88U,     0xb506ee83U,     0x3f91f16fU,     0x060c0959U, \
    0xc9906955U,     0x52a3d013U,     0x16d1811aU,     0x47cd8a92U, \
    0x5318dda1U,     0xa10b0edbU,     0x42aa3058U,     0xe261e257U, \
    0xca0ed2bbU,     0x6538d4f4U,     0x652f9f41U,     0x52d26f37U, \
    0x86a61709U,     0x34cffec9U,     0xe5091186U,     0xf3c1016aU, \
    0x7706c1b8U,     0xd2bc27aeU,     0xbb903a93U,     0x59d69cc5U, \
    0xc59368b9U,     0x51b300bdU,     0xc796ba61U,     0xe9f686e1U, \
    0xbcd3497fU,     0x7bdf2d7fU,     0xe087d581U,     0x0c3a6403U, \
    0xcb8c0b9dU,     0xf6e4164fU,     0x055d3f43U,     0x28de3cc6U, \
    0x418a7d93U,     0xc7e78f5fU,     0x2bd8ea37U,     0x43a685beU, \
    0xfb93b9cfU,     0xf4899af3U,     0xb7a30a0dU,     0x894fbecfU, \
    0x3ba0fdddU,     0x78114820U,     0xbf1db5b2U,     0x4b66a906U, \
    0xa4c68e5aU,     0xa02f52acU,     0x69bd93a1U,     0x942340adU, \
    0xfbdd369dU,     0x1719a856U,     0xd4950c10U,     0xc60004c5U, \
    0x9dd56e50U,     0xe2a54a01U,     0x9fa3e57fU,     0x78ba25b6U, \
    0xa40d27d0U,     0x6ae2806eU,     0x73a0c2eeU,     0x91dd9a18U, \
    0x247c7994U,     0x6122df99U,     0x64caf6d3U,     0x12ada2e4U, \
    0x254a7f5aU,     0xadb85050U,     0x004d6ed3U,     0xaa7b9419U, \
    0x832ef508U,     0x1ba953b4U,     0x5f886c87U,     0xdd27795bU, \
    0x9cce1dc9U,     0xb48d4b36U,     0x4471fb64U,     0x46752d5bU, \
    0xdba98a69U,     0xbbc0952eU,     0x8f3da284U,     0x8b2793a7U, \
    0x1bdd9340U,     0x4125bf9eU,     0xc2e996acU,     0x7ab4497eU, \
    0x3cd42f30U,     0xf346e946U,     0x3dd80716U,     0x6411f0c5U, \
    0x3c74d53aU,     0x4645bcc4U,     0xd9f68062U,     0x52c8b8b7U, \
    0xc77d18dbU,     0xfea76ea4U,     0xaa6ed588U,     0x919bfcf1U, \
    0x6a9126bcU,     0x42253afbU,     0x76078407U,     0x7f6b1f69U, \
    0xa3952f08U,     0xa9428ae8U,     0xaddceb33U,     0x0cd95fa4U, \
    0xf22430c2U,     0x0b6eaaefU,     0x2370127eU,     0xbb2d3061U, \
    0x103e503fU,     0x84ec27efU,     0xbe199ba5U,     0x24cf8e08U, \
    0xb9c073e3U,     0xcdbc0b15U,     0xf4a7f3b2U,     0xcd258e31U, \
    0x94acacdeU,     0x4aa7b39dU,     0x2dcf7a85U,     0xc3d35068U, \
    0x2803ba00U,     0xf5b1e619U,     0x9f3af9c1U,     0xe5b6f374U, \
    0x9b1e8902U,     0x8e98a4c5U,     0x10222d4fU,     0xeb80216aU, \
    0x8c10d0bfU,     0x81162b9dU,     0x4adf2954U,     0xa2655aacU, \
    0xb2636ee4U,     0xdc8c086fU,     0xdde61ad1U,     0xe0c7ff51U, \
    0x6b26b6faU,     0x7fb1dfdcU,     0x64ea8751U,     0x53af58d4U, \
    0xccd2d23bU,     0xae6fe8b7U,     0x7fee0486U,     0xc3bebeb8U, \
    0x3fa96eedU,     0x9e5b8b48U,     0x7baac287U,     0x1299e9e2U, \
    0x35365276U,     0xfbd7ed0bU,     0x6fdd1a5eU,     0xd26b6555U, \
    0xa8a06095U,     0xd4be2dd4U,     0x68473e1fU,     0xb70abb3cU, \
    0x3cf0edeaU,     0x98209a2eU,     0x7e151426U,     0xee49ea83U, \
    0x14418f1aU,     0x0a1dc227U,     0x28473559U,     0xe201b832U, \
    0x3880921bU,     0x063a0057U,     0x6f4b62e9U,     0xe92324a6U, \
    0x115674cfU,     0x5ad1c600U,     0x555009e7U,     0x010ddb7fU, \
    0xb614fe2bU,     0x299f7fadU,     0xb4d6362dU,     0xfab5abd3U, \
    0xe9b9dba4U,     0x81699945U,     0x7d9b1df8U,     0x17415a77U, \
    0x83726ab0U,     0xd4d7c9ceU,     0xe10c46e0U,     0x9a9456f0U, \
    0x7d1006b9U,     0xac94d5f4U,     0x9cdbbc56U,     0x914ab778U, \
    0x1786d223U,     0xff6fb7deU,     0xb59b6dceU,     0xca6c17dbU, \
    0xfdd46ee6U,     0x0c5a6462U,     0xcb1943cfU,     0x44f7ca79U, \
    0x229fcc44U,     0x13ad0fd7U,     0x2c8c87e2U,     0x3c1ab2d3U, \
    0x10b50f60U,     0x602d2186U,     0x30c76ffbU,     0x7359e167U, \
    0x2ca5dc4aU,     0xb6875797U,     0x88b76894U,     0x670684c0U, \
    0xf4a8874aU,     0x701a0ef3U,     0x68dc8779U,     0xc2eec8e9U, \
    0x8ccc08e2U,     0x4e6c1789U,     0x4ae2b3efU,     0xc5763454U, \
    0x8cae2f88U,     0x14c9543eU,     0x413afac5U,     0x375763afU, \
    0x4e88e1e1U,     0xc5613b12U,     0x36a52792U,     0x21328946U, \
    0x406d5b60U,     0x25095a13U,     0x61a969d6U,     0x8ec9709bU, \
    0xa4cb2093U,     0xec2e8294U,     0xabeeefa9U,     0x7777f621U, \
    0x00592ab0U,     0x79519e37U,     0xb0f01b16U,     0x0ef89a3dU, \
    0x1293f831U,     0x4ea2f5ecU,     0xd91e74b3U,     0x11868b19U, \
    0xe445be0bU,     0xb9f6fa3aU,     0xa0dd7e75U,     0x4ac594bdU, \
    0xdf779d5eU,     0xdadb6e15U,     0x16e202a2U,     0x421cbb26U, \
    0x0eaccfb1U,     0x72a9ac3cU,     0x13d049f2U,     0x53a74b3fU, \
    0xbd05c4cdU,     0xdf1336adU,     0x8ae12524U,     0x0fae25f4U, \
    0x419ae4eaU,     0x1c2ab51dU,     0x31e9965cU,     0xfc560aa8U, \
    0x3b011e1fU,     0x54e5e54bU,     0x62935fa7U,     0x3e24fbe6U, \
    0x2976c115U,     0xc431ff9fU,     0xdce0673eU,     0x2e0584d0U, \
    0x6f94be82U,     0xf4dfe64eU,     0xe160c3ffU,     0x83ad496cU, \
    0x57611b6eU,     0xb9cd692bU,     0x9885fe95U,     0x02c54a8dU, \
    0xbf6e5e39U,     0x8ce2dc12U,     0xee0c5d02U,     0xd12b39a7U, \
    0x1b272871U,     0x2ec8468fU,     0x071166fcU,     0x6bc998a3U, \
    0xcbcdefa8U,     0x532d7fccU,     0x3db9e974U,     0x3136c30fU, \
    0xac22d43dU,     0x10a17abdU,     0xd7fb76dbU,     0xb1c70728U, \
    0x583b8351U,     0x61f4f129U,     0x6ea5670cU,     0x6be01453U, \
    0xe8b2f994U,     0x8f2318d2U,     0x39280fe8U,     0x0201fd62U, \
    0xebd9e1e0U,     0xe06d8010U,     0x1e83bfa7U,     0x097c2f76U, \
    0xa0a678eaU,     0xf8841854U,     0x329d26beU,     0x444cadb7U, \
    0x4150500eU,     0xfb7622b7U,     0x9cf6998cU,     0x64f162a6U, \
    0x7fbcc713U,     0xd5353153U,     0x7a01b7d7U,     0xa4c80369U, \
    0x3567263eU,     0x0b74cf16U,     0x75bda3d2U,     0x73433fc0U, \
    0xd7cdb493U,     0x36c281ddU,     0x4bff8fa5U,     0x8a42409eU, \
    0x872b0f37U,     0xbef02c0bU,     0x6a4a007fU,     0x69e474e5U, \
    0xb5eaa971U,     0x44e38101U,     0xaeee9faaU,     0x6a66a309U, \
    0x6c09dfbdU,     0x56758f79U,     0x24375da4U,     0x2a8726a4U, \
    0x78663af4U,     0xbaab6e66U,     0x2ae3eaaeU,     0xa323edd7U, \
    0xebf4a8b3U,     0x5494d23eU,     0x80c2dba4U,     0x5006e251U, \
    0x79efd785U,     0x244936a6U,     0xf3885546U,     0x832a065aU, \
    0xd969d9a0U,     0x272e40a6U,     0x1be48a3fU,     0xadd6d5c3U, \
    0xcc53d214U,     0x1c419795U,     0xd4da1c35U,     0x064a0fb4U, \
    0xf1d77fb0U,     0x345146e6U,     0x53eadb89U,     0xdd8250a9U, \
    0x6d3d22c4U,     0xe56bbe61U,     0xb3ae50f8U,     0xd0dd8748U, \
    0xc549cfa9U,     0x541e1b2eU,     0xaa27aba3U,     0x8500bb5fU, \
    0x4ddd2829U,     0xa7f7b657U,     0x31f3b4a4U,     0x59045586U, \
    0xe0fc9ab5U,     0x91efb240U,     0x326324c3U,     0x34c4be9bU, \
    0xf0d0278aU,     0x294a1d11U,     0xecf845c6U,     0x20924ccdU, \
    0xe7d7846eU,     0xfe2c3752U,     0x2d25a4d2U,     0xefb99dd3U, \
    0x96677163U,     0x43a95d80U,     0x73b64710U,     0x20141689U, \
    0x9bf59ac0U,     0xb8438c4aU,     0x81c28244U,     0x9ea8042cU, \
    0x45a95a7bU,     0x7e9e2f06U,     0xa665a73dU,     0xbce598cdU, \
    0x677e07a6U,     0x3c0d3f1bU,     0x92383fd2U,     0x5232e2c3U, \
    0xf088df37U,     0xf8d29a14U,     0xb3109899U,     0x790ec8c5U, \
    0xa4614f63U,     0x831a187eU,     0xc7439d0eU,     0x0af720dcU, \
    0x7724381aU,     0xa40d34acU,     0xac35b634U,     0xa11b3e22U, \
    0x8f8a7bb9U,     0x8c7f1283U,     0x9f5e30efU,     0xf3519b79U, \
    0x7cd7c2f5U,     0x96a5f9d5U,     0x9408db76U,     0x0b54a924U, \
    0x853cfa64U,     0xf46fcbc8U,     0xfd92803bU,     0xfea2c81fU, \
    0x92ae0a41U,     0x08f598d6U,     0xe9d93245U,     0xbcff79e4U, \
    0x7ae3f220U,     0xb3b24247U,     0x51217c08U,     0x1ccb5e11U, \
    0x6d261f25U,     0x18565072U,     0x78b2c89dU,     0xd7a98184U, \
    0x7e5ace22U,     0x9c6447a6U,     0x105faf96U,     0x862fb0c1U, \
    0xc2d35fd0U,     0x187dbe17U,     0x2c20228fU,     0xd092f846U, \
    0xb459a38cU,     0x2eafe31aU,     0x2e754f03U,     0xb63bae9bU, \
    0x4324548cU,     0x4607090cU,     0xf424a4d1U,     0x1162176cU, \
    0xb619937eU,     0xd5ce2563U,     0x25e605b4U,     0x908ae856U, \
    0x010fc666U,     0xba3711c0U,     0xe283a4fdU,     0x5cc388e2U, \
    0xc7fa971dU,     0xb2553713U,     0x5e807bddU,     0xcc7a58a3U, \
    0x73bfb567U,     0x04fdba7bU,     0xfd8abf6bU,     0xb72b1c9bU, \
    0x1e77d578U,     0x4299c861U,     0x660a3cccU,     0x23b131d5U, \
    0x6cae2945U,     0x3cce66d0U,     0x15416a96U,     0x35d58a8bU, \
    0xebb4e440U,     0x159db21bU,     0x5ecd405dU,     0x730f2c76U, \
    0x47add160U,     0x8ef2c6a4U,     0x5ab4a29dU,     0xa611a3d0U, \
    0xd763f19cU,     0x60564a76U,     0x2bbc098bU,     0xda7a78bbU, \
    0xb4d4f77dU,     0x3631b0c3U,     0x0b96b359U,     0x8be3ec8dU, \
    0x4130011bU,     0x97c143bbU,     0xe3aad1dfU,     0x30d61e8dU, \
    0x01a43f6fU,     0x7e061a9fU,     0xfbe8182bU,     0x264b474aU, \
    0x1124b2f5U,     0x2ed9c191U,     0xa5497cdbU,     0xd7eaef3eU, \
    0x7830834cU,     0xa18f0735U,     0x6df948d0U,     0xcb666d07U, \
    0xc4f4d42cU,     0x7fbcb760U,     0x337ee83fU,     0xff320b4bU, \
    0x6aa3ba3dU,     0x4f249df1U,     0x66e0cf7dU,     0x378938d5U, \
    0x022b1bd2U,     0xa68d8a9eU,     0x9adec1e8U,     0x5b19f759U, \
    0x49190785U,     0xaa0bd41dU,     0x98d89bb9U,     0x2b54b107U, \
    0x3dbf4bddU,     0x85e1f8d2U,     0x4b38c56aU,     0xd4ed2865U, \
    0xac0f65daU,     0xf7a25023U,     0xd5e29359U,     0xdd8629dfU, \
    0x7d6a99f6U,     0x267a1750U,     0xeeebc019U,     0x204d33e8U, \
    0x03d481d3U,     0x881a5163U,     0x6389bf0eU,     0xda0ed3dfU, \
    0x8c5d40a7U,     0xd3b0c70eU,     0xb3a7c423U,     0x152decfbU, \
    0x9846813fU,     0xa01e69e6U,     0xd442d3abU,     0x49c186bdU, \
    0xda2433f2U,     0x110f4cb8U,     0xdc51e9c3U,     0x6b9fc197U, \
    0x4e9db5a4U,     0x07646e24U,     0xf865860cU,     0xbfd9647bU, \
    0x6e08fb6bU,     0xc0eebd96U,     0xba5cd028U,     0xe9ef5c75U, \
    0xd3ac9a86U,     0x1e480463U,     0xe684098aU,     0xbef9a36fU, \
    0x48b79cf2U,     0xcc9fbafeU,     0xd1e944a7U,     0xe5b07ef5U, \
    0xe66b6a34U,     0x64f34a53U,     0xbee9f60eU,     0xa8179ca4U, \
    0xc25c9511U,     0x72ba548eU,     0x858915e4U,     0xa413e920U, \
    0xe23a712bU,     0x08b9608dU,     0x50dbc7faU,     0xed19f955U, \
    0x9e6dcdfaU,     0x7e7eb7d8U,     0x693fd920U,     0x9be2d09bU, \
    0x3aaf1b96U,     0xd98f2a10U,     0x94397964U,     0x5b2dc223U, \
    0x793205afU,     0x6e3f3ecdU,     0x37a42ff8U,     0x4210ca72U, \
    0x5878e986U,     0x2ae0fa56U,     0xa64490c0U,     0xd53dce8bU, \
    0xd274b114U,     0x4c70c186U,     0xedb7011cU,     0xfecee478U, \
    0xce280bceU,     0x66ae7aaaU,     0x80e0c6f3U,     0x88f7b9faU, \
    0xcecdf2f3U,     0x9353b545U,     0xeb5440c3U,     0x865e0a7bU, \
    0x69d22b07U,     0x2af10675U,     0xd6ce5408U,     0x3fac0945U, \
    0x17714627U,     0xc08ca8dfU,     0x7b7bca36U,     0xe2f00e86U, \
    0x0ddc395eU,     0x8adb0ac8U,     0x9c49decaU,     0xda181b6eU, \
    0x910ec802U,     0xdbd9fec0U,     0xc1cd1237U,     0x202a7c61U, \
    0xa2f48953U,     0xc9cbea80U,     0xd238f5feU,     0x3dd5bb8aU, \
    0x037924a7U,     0xc0376c73U,     0x891e1fd2U,     0x2cda8b49U, \
    0xe1d62b91U,     0x7f08e812U,     0xf14096deU,     0x4ff857ecU, \
    0x1e9acfb0U,     0xde658bd4U,     0xe43072f3U,     0xd9c64924U, \
    0x84f3471bU,     0x0a4a5460U,     0xc0ec146cU,     0xde32cbcaU, \
    0xcfa2892fU,     0x3d86c62aU,     0x689be1e3U,     0x97b1d679U, \
    0x68f89bd2U,     0xbd5d28deU,     0xfd32cf54U,     0x25f95216U, \
    0x2c0aa0eaU,     0xf6368308U,     0x451777cbU,     0x5851d42fU, \
    0x345c7916U,     0x121866a4U,     0x07db3053U,     0xfd075973U, \
    0xc4ff192aU,     0x2534c650U,     0x11dfa220U,     0x881fa750U, \
    0x147c89b9U,     0xec12b254U,     0x7e95d1bcU,     0x083ef69dU, \
    0x872ec109U,     0xedece235U,     0xa8dfe317U,     0xfbd17440U, \
    0x2058b1c4U,     0x86e3557cU,     0x7ab03af7U,     0x7905b33fU, \
    0xd37d723cU,     0xe2be89ffU,     0x66b54dadU,     0x652c4e4fU, \
    0x5f454dc4U,     0x497ffba1U,     0x96ff06bfU,     0x28b785cdU, \
    0x23ac4edeU,     0xfca6067aU,     0x4a8e294bU,     0xb0f146c1U, \
    0x19a37a85U,     0x713a9ad1U,     0x1a57dd6cU,     0xde4e05daU, \
    0x51b05860U,     0x18da8afaU,     0x7e1c1e7bU,     0x7b929a8eU, \
    0xc603d8b2U,     0x5f2eb186U,     0x8aab91f7U,     0x03ec8fbfU, \
    0xade60c57U,     0xb54f72eeU,     0x00dafceeU,     0x4fc20064U, \
    0x35fabc11U,     0x1ba48a51U,     0x3acd5e92U,     0x845d2e88U, \
    0x82ac3160U,     0xd5817ec3U,     0x86426876U,     0xedf2b747U, \
    0xfc49bbb1U,     0xefa924b2U,     0x23edef22U,     0x4da6f8d3U, \
    0x14499348U,     0xe2f1a06cU,     0xd396b495U,     0xe9ae59feU, \
    0x8eb54effU,     0x2eb4107cU,     0x6a6c570bU,     0x54dd4e77U, \
    0x489811f5U,     0xb7a500dcU,     0x36369b49U,     0x6912d106U, \
    0x2cd96692U,     0xb20d83f3U,     0x9d3090a8U,     0xcfffbc97U, \
    0xf4bfaf00U,     0x18f62054U,     0x4f2be5c8U,     0x5d9f01afU, \
    0x8201cb05U,     0xd3da0b1aU,     0xfd71a146U,     0xb4d1d736U, \
    0x92665148U,     0xb10ffef9U,     0x61167817U,     0xb4cd772fU, \
    0x65eeed2dU,     0x57c03fadU,     0xaccc286bU,     0xb62871e0U, \
    0xf2f4871fU,     0x8cf578f1U,     0x6b89b419U,     0x2a6988f3U, \
    0x0106c4a9U,     0xa97a6c76U,     0x9dade98cU,     0x68c7c5b0U, \
    0xece372a4U,     0x62412472U,     0x69667853U,     0x3f60bab0U, \
    0xbb8434cfU,     0x06cedb55U,     0xcfc42e71U,     0x2f8cd1b1U, \
    0x81c80db9U,     0x61996931U,     0x0ece4268U,     0xf2703572U, \
    0x5a920708U,     0xb53daad9U,     0x9fd2fe01U,     0xe1cb34b0U, \
    0x8b10b3a4U,     0x0335be58U,     0xa88d0db4U,     0x744d6f1dU, \
    0x1f0e22afU,     0x266ee706U,     0x89aa4acbU,     0x9346832eU, \
    0x92b7a25aU,     0x187e97a9U,     0xfded2b8fU,     0x7d41cac1U, \
    0xd15fe519U,     0xbf9c3ae9U,     0x0b5e518bU,     0xa49a912eU, \
    0xd9cd8f09U,     0x687d28adU,     0x15fd321cU,     0xc0de2f88U, \
    0xb566e366U,     0x9ed3b261U,     0x9662a7b5U,     0xba171d65U, \
    0xe047cb09U,     0x6c66ef48U,     0x1001c75aU,     0xcd2e7f53U, \
    0xe8dba783U,     0xb6172447U,     0xab5ffdbfU,     0x674ebe90U, \
    0x89ae8ff6U,     0xfdcbd16dU,     0x8acbba44U,     0x9a21f279U, \
    0x5d1a4583U,     0xeae57673U,     0xe568d1bfU,     0x499031f3U, \
    0xde163a7bU,     0xf7c3bc36U,     0xef86fff1U,     0x067031adU, \
    0xb17f327bU,     0x9967a86cU,     0xcdbe4a76U,     0xfb5ddc94U, \
    0x05111f5bU,     0xd81b7919U,     0xdb24dcd1U,     0x468b377aU, \
    0xaedb9a32U,     0x8595b5afU,     0xcd52b5e2U,     0xe74ca254U, \
    0x85fbde78U,     0x98c3b024U,     0xd04e2fccU,     0x545098e4U, \
    0x640052f1U,     0x35d18740U,     0x9f441b48U,     0x6dff3266U, \
    0xf4a129f9U,     0xd727f816U,     0x3c1d6ab8U,     0x07abfd87U, \
    0x72b51800U,     0xdb9429d5U,     0x6e5c0ed0U,     0x3177f8e0U, \
    0x0f67945fU,     0x000028dbU,     0x8dc9e65bU,     0x2a9fdf0cU, \
    0xef8fdf34U,     0x04de6d59U,     0x428c6a36U,     0xfddc8f55U, \
    0xd0b11e9aU,     0xf6c71bdfU,     0x740fe9eaU,     0xcb05714fU, \
    0x90adfb19U,     0x307989b1U,     0x4b5239f6U,     0xde5eff6cU, \
    0x0d478429U,     0x2aa57c7bU,     0xc18aaa52U,     0xd2e693e9U, \
    0x64f80584U,     0xa37ff2a9U,     0xc1096d1fU,     0xff9e2678U, \
    0x4c6f87e9U,     0x2b6d210bU,     0xf1863510U,     0xa175ce13U, \
    0x3a1a7987U,     0x805dea0eU,     0x7fd16af2U,     0x55f773bdU, \
    0x4c100cc0U,     0x511a1c3bU,     0x28f0b0c2U,     0x025a9b8aU, \
    0xb1418aa5U,     0x24b7eb20U,     0x93c57821U,     0x246cb419U, \
    0x876d4f58U,     0x04d7b86eU,     0x978da6c6U,     0xeffd98a1U, \
    0xab99a3c2U,     0x378fac27U,     0xc414ac7eU,     0xbc9d3ad9U, \
    0x55b383faU,     0x7d25016aU,     0xd1b7282fU,     0x95ed0c3aU, \
    0x7dfa101fU,     0x72f66e6fU,     0x5edec7ffU,     0x2d943887U, \
    0x1d4db328U,     0x287a5ed8U,     0x9e7deb38U,     0xe3677133U, \
    0xbd5bdcd1U,     0xc5eb526bU,     0xe15735cbU,     0x78c85ce0U, \
    0x14539358U,     0xac91c3b9U,     0x6a2b5130U,     0xaf3c3bc8U, \
    0x9e6f8577U,     0x8308e21eU,     0x277eca0fU,     0x34faff35U, \
    0x671f8cb6U,     0x790d893dU,     0x400e1951U,     0x83b9d2ceU, \
    0x77d3ac70U,     0x571a2140U,     0xb3e60d72U,     0x50d55f2bU, \
    0x1c1501e8U,     0x18ebbeefU,     0xc4194c41U,     0xe90177faU, \
    0x0cb04489U,     0x3d7ded72U,     0x34b3935eU,     0x0a2dae48U, \
    0xf86c85d3U,     0x80648f3eU,     0xb76c41feU,     0xe600b324U, \
    0x5d494978U,     0x36857da0U,     0x48075cbaU,     0x5be2cce4U, \
    0xf5c42199U,     0x94cffcfdU,     0x3cb97b5aU,     0x655cf1d7U, \
    0xbf15a215U,     0xf741bbceU,     0x394cd2acU,     0x1b6f4dfaU, \
    0x17f75853U,     0x85ea8fb2U,     0xad02b644U,     0x9a2d49cfU, \
    0x3e225605U,     0xe405c892U,     0xc297039aU,     0xd875469eU, \
    0x49346cfdU,     0x334ce2dfU,     0xbb6d27faU,     0x01579cdfU, \
    0x1fa7e577U,     0xb12486e3U,     0xb38017e7U,     0x7dd02e8cU, \
    0x3bb81eb1U,     0x2cb03363U,     0xb6e13d6aU,     0xed47cc7fU, \
    0x513ea702U,     0x032355d1U,     0xef286307U,     0xe36705d1U, \
    0x1eb45b60U,     0x7de2492dU,     0x188873eeU,     0x52dcc4c7U, \
    0x09079e88U,     0xfd8cd614U,     0x93aea8c8U,     0xc96024daU, \
    0xebd46487U,     0xb5c7548eU,     0xdfeee1efU,     0xcfa6ace0U, \
    0xc7f06a62U,     0x06a28cd8U,     0xe4aeaa2dU,     0x82401b38U, \
    0x60e6317aU,     0x3ca369b4U,     0x4d4bed9fU,     0x8974c59aU, \
    0x290972ddU,     0x52dbc615U,     0x2022a086U,     0xff0e9f55U, \
    0x129e1c78U,     0x269caef3U,     0x702fb529U,     0xd1f9ee99U, \
    0x47c64af5U,     0x9612aa64U,     0x113a918bU,     0xc919d072U, \
    0x2bbd9272U,     0x0ce6ed33U,     0xbc249b49U,     0xffbd9f12U, \
    0xb1f18ae9U,     0x6ddf6408U,     0xd08bb56cU,     0x2c53ea55U, \
    0xaa7dd5dfU,     0x83b9d389U,     0xd88b35b6U,     0xba809c26U, \
    0x28428c65U,     0xdd21ec98U,     0x8e4d9d49U,     0xada6d278U, \
    0x98298757U,     0x50810577U,     0xda30e6ddU,     0x66225513U, \
    0x180fc840U,     0x923807e9U,     0xae9813bdU,     0x33ceda62U, \
    0x6439d2d1U,     0xbbf3c558U,     0x6606f392U,     0xb7d08288U, \
    0xd71762adU,     0x1102ec4dU,     0xc024326dU,     0x7fc00a16U, \
    0x26f0d390U,     0xd85a8304U,     0xe4dece20U,     0xb82962b0U, \
    0x214e3692U,     0x4a76cdffU,     0x98cea9c2U,     0x3bf6dde3U, \
    0xa8754badU,     0x68389723U,     0x4f1bbcf5U,     0x9abb647cU, \
    0xb764adf9U,     0xda51b3b5U,     0x04291985U,     0x1cb8a3e9U, \
    0xcb3d276cU,     0xcd032876U,     0xe8f56519U,     0x0bbd4855U, \
    0xbc5f17f7U,     0x82266a5eU,     0x306b793fU,     0x86ee54b2U, \
    0xf4841501U,     0xd0a0d039U,     0x1cefd68fU,     0xaae07e7dU, \
    0xf80eb130U,     0x49b7e0e1U,     0xbba7e2adU,     0x0d43b789U, \
    0x944410d8U,     0x2c8dfc94U,     0xd49da487U,     0xa73c22beU, \
    0x7a38c683U,     0xf8478b79U,     0x11aba583U,     0x816aed9eU, \
    0xee24abc8U,     0xf725bd29U,     0x6da5a6c7U,     0xce7ab3f8U, \
    0x60404793U,     0xfab491fbU,     0xb8501d1eU,     0x68bca8c5U, \
    0x6291bb2aU,     0x302c3833U,     0xb738adb1U,     0xba90f20dU, \
    0x6f0da744U,     0x96998b77U,     0xa8276a01U,     0x93396324U, \
    0x3fac996bU,     0xd597ed44U,     0xadabd784U,     0xc0099831U, \
    0xc7f32e59U,     0xd98c8ab6U,     0xfd4609abU,     0xefd82e27U, \
    0xd0b43174U,     0x3b32fc02U,     0xa01085c7U,     0xe325fbddU, \
    0x3cc8a149U,     0x615dddcaU,     0x52e93901U,     0x6102ab7eU, \
    0xc863bebdU,     0x33fce799U,     0xd0cc6892U,     0x2fc1cf43U, \
    0xbcc3d47bU,     0xe4561b62U,     0x1e5c05e3U,     0x5b48c1caU, \
    0x67b7b584U,     0x96b174d2U,     0xe174118cU,     0xed402b1eU, \
    0x0655ee33U,     0xbc0575d4U,     0x90b5591eU,     0x94bac91aU, \
    0x20024abfU,     0x5587e679U,     0xf4130777U,     0x44aa847bU, \
    0x4f6ad907U,     0x441c5f87U,     0x2e845cfeU,     0xeeac62aeU, \
    0x38cecd5eU,     0x24571664U,     0xc4d9c3edU,     0xf50c2d38U, \
    0xc4e39302U,     0x219a8c2bU,     0xc9ebf1e3U,     0xff15677cU, \
    0xf3ee9e8bU,     0x14b36df4U,     0x3b58c85aU,     0xd5938b07U, \
    0xcd09d3abU,     0x31a93aefU,     0x3467d62fU,     0xc7d69514U, \
    0x6f23208cU,     0xef2f96c9U,     0x900d963bU,     0xb58a16b0U, \
    0xc7aed4faU,     0x2291201eU,     0x1594ff2cU,     0x1d22202dU, \
    0x466ad045U,     0x8f6ab839U,     0x3a7c6e35U,     0x64658610U, \
    0xe22fde7eU,     0x979d8484U,     0x03e7906bU,     0x63dfd9e8U, \
    0x44def1c4U,     0xcc40701cU,     0x2821c435U,     0x6e706ef0U, \
    0xe6e44462U,     0x8f852a9eU,     0xbeffaeeaU,     0xc9dac756U, \
    0x1626e2aaU,     0x34e3da9aU,     0xe2937b47U,     0x79fca0c9U, \
    0x6d5b3aa6U,     0xf791fe4fU,     0x3ea67751U,     0xd3708a45U, \
    0x7f3d73ceU,     0x4ecb522aU,     0xad7a24d9U,     0x63d15616U, \
    0xf2de7026U,     0xb3726a10U,     0xe3ed19b6U,     0x389a39abU, \
    0xd6665bb0U,     0x298b251cU,     0xbc2a7ea3U,     0x617cd517U, \
    0x969d6ea5U,     0x6625a81eU,     0x51c2e1e2U,     0x1513fba7U, \
    0xa79d950bU,     0xbc540adfU,     0xbc9909e3U,     0x0766cfd6U, \
    0x88f34352U,     0xe6ee2dddU,     0xa1f183c1U,     0x7ed60ba5U, \
    0x826e8d53U,     0x713b759fU,     0x2ca2770eU,     0x3d3f040dU, \
    0xbf9c9d6fU,     0x36efe8c7U,     0x65276d7eU,     0xd954c489U, \
    0xd690b48dU,     0xf6925539U,     0xfbc823a1U,     0x69eb67fbU, \
    0x27c5b763U,     0xbc6c7603U,     0x1caf54bdU,     0x14ece0cdU, \
    0xdeb503b5U,     0xa04fe90aU,     0x455bbd34U,     0x81c2573bU, \
    0x7c909faaU,     0x2be176fdU,     0x1285357fU,     0xd2bb2eb7U, \
    0x62b8d450U,     0x3e7f4cf1U,     0x5fa86e9eU,     0x96fdc9cbU, \
    0x7b56d377U,     0x4218a791U,     0xcad66237U,     0x9f9422d7U, \
    0x34466de2U,     0xadc7f709U,     0xf0cd4144U,     0x187f0597U, \
    0x025f8f47U,     0x61d12bdfU,     0x89de2f4fU,     0xa80646ffU, \
    0xe1b5fc04U,     0x3bc3c147U,     0x2fd6151aU,     0x79c49cbbU, \
    0x0bce4011U,     0x2b31f262U,     0x8a39c2baU,     0x65895992U, \
    0x093e31a5U,     0x6208167eU,     0xee1d8ba6U,     0x54811420U, \
    0x4658037dU,     0xbc3797c6U,     0xf04ca40bU,     0x73947680U, \
    0x16dca556U,     0x64da9fd4U,     0xd3b82f4fU,     0x7e0e862fU, \
    0x78e0e097U,     0xfad9d235U,     0x612a38e9U,     0xe7b26f9bU, \
    0x4504df35U,     0x5ec9beb0U,     0xdeaff82bU,     0xa70413eeU, \
    0x3e5e7176U,     0x6a9dcd6eU,     0xcb60acfdU,     0x5aa5245dU, \
    0x7c850118U,     0x669aea71U,     0x38e36b8eU,     0x1c539f7dU, \
    0xdc0bcad6U,     0xa3a2f183U,     0x350524beU,     0x14943bf7U, \
    0x20d8e525U,     0xe3511572U,     0x2e995ee3U,     0xa72d686eU, \
    0x89890c37U,     0xb6671cffU,     0xb343bf91U,     0xe5a93844U, \
    0x6cc9f947U,     0xc4353f42U,     0x34f98311U,     0x8fa53eddU, \
    0xfc650dd5U,     0x8607960aU,     0x3750ad4dU,     0x04981308U, \
    0xe1cc1d5aU,     0x1e0fa99dU,     0x2344b0b1U,     0xe96918b8U, \
    0xe3650defU,     0x4f63ad76U,     0x0860e244U,     0x27de832cU, \
    0x90e9c99eU,     0x95307cf5U,     0x166f1013U,     0x0ebb397eU, \
    0x5d4c3a36U,     0x09ddfaacU,     0x2764564cU,     0x22fbcae9U, \
    0xbc2e7b86U,     0x4c8047bfU,     0x836a99ddU,     0xc773c805U, \
    0x8636bbc4U,     0x93af8111U,     0xaca231f6U,     0x2957854cU, \
    0x01ff1234U,     0x4b3f5bcdU,     0x3061c689U,     0xf4e2f22dU, \
    0xb64d5106U,     0xbd3d201dU,     0xed66fe16U,     0x61aa705dU, \
    0x187c606cU,     0x1dd59bedU,     0x10b03fe5U,     0xdf07f027U, \
    0x20ebf2c9U,     0x76881331U,     0xa185e7f6U,     0x36fd623fU, \
    0x901ca4deU,     0x23fb3e7cU,     0x22a49315U,     0xd704bfaaU, \
    0x449d6902U,     0x93cf6696U,     0x315637edU,     0xe6a4b8f1U, \
    0x3971af05U,     0x0e4ea06cU,     0x2c1d5623U,     0xc4b81edcU, \
    0x2b1b250eU,     0x1240fa09U,     0x097101c9U,     0x300417a4U, \
    0x04507528U,     0xafeb9a25U,     0x532cdb5bU,     0xbde59f67U, \
    0xcc6ac434U,     0x6025e384U,     0x58aa7397U,     0x7c7e8f3fU, \
    0x1b0f5914U,     0x965fabc3U,     0xc99a541cU,     0x5a935402U, \
    0x4c39afdaU,     0xfb551fc4U,     0x175b0b83U,     0x2d1e040dU, \
    0x95d3ca52U,     0x457d12b6U,     0xa924c84cU,     0x1522fba5U, \
    0xec6ff3a1U,     0x3909a0b3U,     0x43aecf8fU,     0x7202c52eU, \
    0x24866009U,     0x838eeca9U,     0x7860c7dbU,     0x568fce92U, \
    0xfda0a82eU,     0x41829135U,     0xb976ad29U,     0xe37fed43U, \
    0x868c7100U,     0x48e84ec4U,     0xeb75f489U,     0x0d4e6056U, \
    0x6f6752b1U,     0xb057f188U,     0x54e6cd5dU,     0x7b641035U, \
    0xde500d86U,     0x11c36062U,     0x0bf3c117U,     0x360181dbU, \
    0xe0dcc19fU,     0x989fca50U,     0xaff71b4aU,     0xad8ed6e5U, \
    0x27611d91U,     0x6393c31dU,     0xa66682c4U,     0x7e7b7c57U, \
    0x6f865bb5U,     0xd9fe22d0U,     0xa66df4c6U,     0x82f06037U, \
    0xd8b846ddU,     0x818298f2U,     0x0dd63792U,     0x7dc6b3fbU, \
    0xb9bd2575U,     0x3b4ff200U,     0x1c1bd300U,     0x346ecb57U, \
    0x5aaa3458U,     0x9ee68b5cU,     0xa8d9c8dfU,     0x0fb906b9U, \
    0x46fde317U,     0x48c74ee8U,     0xaf61eb7cU,     0x1ccd2241U, \
    0xee62fb39U,     0x9c7a118dU,     0x2306b358U,     0x736d3610U, \
    0xb4f63590U,     0x78ab697eU,     0xaee80547U,     0x551f7f30U, \
    0xef32611bU,     0x21fe7247U,     0x621fc562U,     0xa4ea137eU, \
    0x9f6146afU,     0x50be4b63U,     0xe6450ff7U,     0xf1381239U, \
    0x2ffbf3c1U,     0x2c69cfeeU,     0x8f96847fU,     0xd680edd5U, \
    0x6a61ab69U,     0x10c7b147U,     0x1be3467eU,     0xedbb8842U, \
    0x3e7f8fe2U,     0x5dd782ffU,     0x6b8f24e5U,     0x91a615b9U, \
    0xd2575deeU,     0x6f974d5fU,     0xe5e3f71bU,     0x59864604U, \
    0x2a82b027U,     0x3fe1bd2cU,     0xc551fdb0U,     0x38acd313U, \
    0x4767510eU,     0xcfd4955cU,     0xd397bd78U,     0x4bf6b68bU, \
    0x03d2a421U,     0xa414caf6U,     0x1fc130b8U,     0x92f678e2U, \
    0xf4209281U,     0x65383d33U,     0x8c2541feU,     0x84c0d44fU, \
    0x56612083U,     0x78fcc726U,     0x1b081c9eU,     0xc465236cU, \
    0x52bbb88dU,     0x1c5cca83U,     0x6738214fU,     0x511d2174U, \
    0xb39538f6U,     0x74dae171U,     0x415b0803U,     0xbad63dcbU, \
    0x4e17b9e8U,     0x51642d6bU,     0xb480c993U,     0x19dab5aeU, \
    0x9e729bf8U,     0xc3a94becU,     0x000595efU,     0x1a31930dU, \
    0x44163722U,     0x39131a89U,     0xcc052a35U,     0x914cbcecU, \
    0x4821b0abU,     0x872c6807U,     0xf1eedcbaU,     0xf3d6e853U, \
    0x262be424U,     0x8392a3c2U,     0x55bc1113U,     0xc3aef49fU, \
    0x805fc3edU,     0xa1c6a1d2U,     0xc9dea01bU,     0x94f0e04fU, \
    0x2504a3feU,     0x37202cbfU,     0x972042eeU,     0x0f7b8752U, \
    0x54902f45U,     0x0dfe857cU,     0xb94b04d3U,     0x94be8756U, \
    0xb7968663U,     0x0d68fb72U,     0xd843756bU,     0xb2978906U, \
    0x7c6bcabbU,     0xc83e622eU,     0x2337eaa2U,     0xf22e5d95U, \
    0xb30460b7U,     0xe916b8c1U,     0x9e11e13bU,     0xad85b37cU, \
    0xa9b82a32U,     0xbf4c42e0U,     0x8f9acb09U,     0x55fdf023U, \
    0x455c1eccU,     0x5885e88eU,     0x173c48a2U,     0x721baec2U, \
    0x3bd2f855U,     0x27c02e8eU,     0x0cf9aba0U,     0x9c5e8b42U, \
    0x2a71c1f3U,     0xa4c290b4U,     0xbd7abe41U,     0x068664c4U, \
    0x9bf773c8U,     0x21779c17U,     0x9554bd8eU,     0x72fb4716U, \
    0xb3eec210U,     0x5a1218c4U,     0x26e9b669U,     0xb21f61ebU, \
    0x2dcfe860U,     0xc3f17d58U,     0xe4d266d6U,     0x048e68aaU, \
    0xce09b392U,     0x6862348fU,     0x14f3b162U,     0xf28651b9U, \
    0xcf369203U,     0xccf1fb8fU,     0x8d310b60U,     0x42e6bba2U, \
    0x68a6a0a9U,     0xea5c7b54U,     0x52bcbdadU,     0xa2da1e06U, \
    0x38c3c4b2U,     0xfc377cc3U,     0xd1bf3d1cU,     0x674fa868U, \
    0x4133dd48U,     0x4ee160eaU,     0xb1b530bcU,     0x7f6693bbU, \
    0x6681261bU,     0x17904393U,     0x380e913aU,     0x782299b0U, \
    0xd645d048U,     0x230e689fU,     0x43f34e06U,     0x4d0e36e9U, \
    0xf5ae01a5U,     0x5338946eU,     0x4f05f409U,     0xd7e816e7U, \
    0xbf84bffeU,     0x2345691dU,     0xd7c74559U,     0x519f6a30U, \
    0x95a33fdeU,     0x2f3f1618U,     0xec16ee36U,     0xc520e5f4U, \
    0x575216c2U,     0xdf581393U,     0x25227d3aU,     0x4b94c037U, \
    0x4d8e13d2U,     0x21e46494U,     0x969c185cU,     0x27a483feU, \
    0x62aa4c81U,     0x91d605f0U,     0xe2568d4bU,     0x6c62ece9U, \
    0x32666e8dU,     0x66b8cc41U,     0x517b28bcU,     0xb2055095U, \
    0x30af9b56U,     0x4ec73da7U,     0x467e0996U,     0x80be9221U, \
    0x9f25a495U,     0x451bcc7bU,     0x5096d97cU,     0xee4d95f4U, \
    0xe33ff3afU,     0x244b7e22U,     0x8fb3b61aU,     0xe2f0ca26U, \
    0x1d503f39U,     0xf04dee6bU,     0x3411b66aU,     0x44e51163U, \
    0x36312006U,     0xe81b60b3U,     0x66cf6debU,     0x1aa75f1cU, \
    0x63232c91U,     0x17fdf42dU,     0xee75b6b4U,     0xb2e87f8fU, \
    0x08a14beaU,     0xbde32ed0U,     0x56e582e4U,     0x8ec71231U, \
    0x53e1ee7dU,     0x854f6701U,     0x93281500U,     0x29746875U, \
    0x654d7d16U,     0x811c13c8U,     0x0ddf63abU,     0xbdf0adf5U, \
    0x3294b3b5U,     0x7aa5ac18U,     0xfbe55e45U,     0xdf35c231U, \
    0x6a66e178U,     0x628c3815U,     0x6382e433U,     0x04407e52U, \
    0xfc67483aU,     0xe2077625U,     0x2b08c444U,     0xcf0920d3U, \
    0xa20bc3afU,     0x413f5ddfU,     0x080785c1U,     0x15f458bfU, \
    0x637a289cU,     0x4c3bfa14U,     0xaab6863aU,     0xfc4d36aeU, \
    0x8d63b841U,     0x6b02b365U,     0xeb442836U,     0xcef4e98eU, \
    0x2bd686d8U,     0x1383b310U,     0x60d9a78aU,     0x707fc23eU, \
    0x3fd2c759U,     0xf214c7caU,     0xb95d6828U,     0xe8e0a95dU, \
    0xccbed53fU,     0xfbdcab63U,     0x3db3b547U,     0x258599c7U, \
    0x706430acU,     0xc647eb77U,     0xd0c1cd67U,     0x47a374b9U, \
    0xc60d3868U,     0x1c04ddc4U,     0xfd003aa3U,     0x6fe998b4U, \
    0x3bb26ed1U,     0xbad89811U,     0x51d2b97fU,     0x84a6321cU, \
    0x7f4f1f35U,     0x84c86aa0U,     0xb785c8f9U,     0xf677ad82U, \
    0xf0e99a45U,     0xef02ede6U,     0x500008c7U,     0xa9cde122U, \
    0x2548af7eU,     0x733d9268U,     0x898692beU,     0x004c2235U, \
    0xf7c50a82U,     0xe8b69b96U,     0x6ee2d60aU,     0x871484f9U, \
    0x815a252cU,     0xaac48cfdU,     0x793fbef5U,     0xd2571b5bU, \
    0x9b59710eU,     0x931cef5bU,     0x66c3d779U,     0x3621ef01U, \
    0x85359d43U,     0x75a5b2dcU,     0x2f64de37U,     0x9b7419f8U, \
    0xd39f4e78U,     0xede4a801U,     0x234359a3U,     0xe039eb4fU, \
    0x85eb7e3eU,     0x3257154bU,     0xb4b43735U,     0xfe8d499cU, \
    0x636b1467U,     0xe491e1bbU,     0x1e4fa3abU,     0x829d3c20U, \
    0x74db1fc8U,     0xa5d2f0b7U,     0x82a23c3cU,     0xca7f9b66U, \
    0xb8c24765U,     0xf2a74e11U,     0x04e0ea05U,     0x31bb1a6fU, \
    0xbc9f00bbU,     0x5f86a337U,     0x5745fad0U,     0x658fd584U, \
    0x9c41ff29U,     0x7e868afdU,     0x6793018fU,     0x4b43108bU, \
    0xc2e1d9e1U,     0x192a97bdU,     0xc6f3ca55U,     0xefc80978U, \
    0x937f998dU,     0xac4713abU,     0x1a72b0fcU,     0xfb298267U, \
    0x5f36c355U,     0x29e0c9e9U,     0x5daa05d8U,     0x65f6d1b8U, \
    0x4e84f2c1U,     0xb27478e6U,     0xef867ff7U,     0x25de5723U, \
    0xad3b5a1cU,     0xf3b4354cU,     0x3dfaf77cU,     0xb7704ac0U, \
    0xc0932982U,     0x256d302aU,     0x86d8bd1fU,     0x5ccb3cf2U, \
    0xbc5065d8U,     0xa5195f71U,     0xd00ad81eU,     0xb5ae8a35U, \
    0x1f963f67U,     0x32790515U,     0x4e9ece98U,     0xeea89337U, \
    0x1065a44aU,     0x19929416U,     0xcb23e3cdU,     0xcb1e81d1U, \
    0x33f707d0U,     0x5c63761dU,     0x65832971U,     0x936811e6U, \
    0xfa4faa9cU,     0xbba1ce38U,     0x203d7760U,     0xad11213dU, \
    0xed4a7e44U,     0x633d0f2eU,     0x8bbf3d1fU,     0x93bad10bU, \
    0xff9276a1U,     0x335ba668U,     0x46b50ae8U,     0xe27a3752U, \
    0x4a2b63bdU,     0x28b1894dU,     0x29098ca7U,     0x1bd883bfU, \
    0x352c4cd6U,     0xa87b6673U,     0x2d189f69U,     0x593bd86bU, \
    0xba7f4631U,     0xbabc0421U,     0x050bd4dfU,     0x50009f40U, \
    0xa028f0fdU,     0x61b48b8bU,     0x53f346f7U,     0xe892d084U, \
    0x0cac41b4U,     0x40bf8108U,     0xb0679355U,     0xe517a36bU, \
    0xd0c10c4dU,     0xfc9b2558U,     0x70ec2403U,     0x907c2520U, \
    0xa6371e4cU,     0x7d3d4c53U,     0x12860da9U,     0x4ff1faefU, \
    0x3d689800U,     0x86436668U,     0xd94eb5c1U,     0xbab76719U, \
    0xfa2b0e27U,     0x96848ecaU,     0x1eae3ea9U,     0x41b6cb51U, \
    0x4b86ce2cU,     0x1b352246U,     0xd2294ff2U,     0x6419b23dU, \
    0x79df994eU,     0x8631fa13U,     0xc8009caeU,     0x6807d4f8U, \
    0x5c5c6671U,     0x5e81cc85U,     0x47889edcU,     0xb25a802bU, \
    0x2898bb26U,     0xf45336f4U,     0x0c4d9ac5U,     0xafaa060bU, \
    0xe99dac18U,     0x80122bbdU,     0xaace47f9U,     0x9624a444U, \
    0xed11f157U,     0x1cc57b64U,     0x854dc4f1U,     0x4b4fec53U, \
    0x3a075adfU,     0xb5a6636fU,     0x7c022cd7U,     0xf1d106d3U, \
    0xee83113bU,     0x78502f21U,     0x5c393d69U,     0xde307d1eU, \
    0x88f2e733U,     0x12435ea7U,     0xe8c35ff3U,     0xe3a8e8c6U, \
    0x1add94f2U,     0x7273f6d8U,     0x316f1048U,     0x6ebee3bbU, \
    0x46940071U,     0xe38f2c98U,     0xb69eedffU,     0xdb94b6fcU, \
    0x94e2a9a7U,     0x24c1f144U,     0xcab6d543U,     0x056f1488U, \
    0x795c3c4eU,     0xcd73f771U,     0xecb9c74cU,     0xae30af7fU, \
    0x8605aff6U,     0x40b1fe5bU,     0xbb517d41U,     0x482f0ddfU, \
    0x054bce93U,     0xc21f8b54U,     0x0f342897U,     0x67d67b75U, \
    0x259a0ed6U,     0x28127e46U,     0x103c67f1U,     0xc14e6e07U, \
    0x35bfa252U,     0x2fd81c46U,     0xd654929dU,     0x7ca6debaU, \
    0xd10b01f7U,     0x95a4b084U,     0xdb82b24dU,     0xa631cd6dU, \
    0x58c27973U,     0x8438a849U,     0xab2017aeU,     0xb94de139U, \
    0x4e5bf50aU,     0xab08708cU,     0x5b0fd2fbU,     0xf3c8cb9cU, \
    0x2c5a968aU,     0xf8567a81U,     0x6f916800U,     0x9bd6a818U, \
    0x2f4f0bb3U,     0x29e001ecU,     0xba559a03U,     0xd2f454bfU, \
    0x9053cec7U,     0x0f6bd99eU,     0xae62485bU,     0xb9aaebdaU, \
    0xec21c155U,     0x003fa529U,     0x23faef5dU,     0xd439836bU, \
    0x17ca45a3U,     0x18435a5fU,     0x41a7a9cbU,     0x84d59624U, \
    0x06082977U,     0x15272bc2U,     0xa1c89474U,     0xdf0e0f74U, \
    0xc88b5035U,     0x50fd0e84U,     0x9d2e09ddU,     0x47aea91eU, \
    0x2618791bU,     0x43fc8222U,     0xf5deb27eU,     0x111f5ad0U, \
    0xb80c4543U,     0xa2ff4324U,     0xd78e8219U,     0x9986ca75U, \
    0x2ab87576U,     0x46078bdcU,     0x520001daU,     0x46b1d9c7U, \
    0x6850f69aU,     0x0706a25fU,     0xcaaa66e2U,     0xb89db06eU, \
    0x8e2c522cU,     0x4d46695fU,     0xb98f2eccU,     0x77e0e868U, \
    0x1493fa9dU,     0xd7a2f8e7U,     0x534bfd5fU,     0xb164dd22U, \
    0x70555d54U,     0xc12028a3U,     0x1b576468U,     0xc5c15bebU, \
    0x460c3377U,     0x5f407051U,     0x33481183U,     0xed1dba50U, \
    0x3a3f99e7U,     0x65ddac04U,     0x013f2669U,     0x96d92785U, \
    0x6dccfe2bU,     0x87d6b281U,     0x588c4a25U,     0x5d636721U, \
    0x829aaa32U,     0xa2793b8aU,     0x90a3348cU,     0x8c1afe55U, \
    0xc91290dbU,     0xd0ed2667U,     0xfdac1f7cU,     0xfdc5033bU, \
    0x3572db7eU,     0xca6be5d3U,     0xbfe5fc43U,     0x0aae6b9dU, \
    0x02463a74U,     0x98c6b58dU,     0x7934619cU,     0x8ca65283U, \
    0x28e317a5U,     0x480b96beU,     0x54682650U,     0xb4a1cfa4U, \
    0xd553bfe1U,     0x17b1b37eU,     0x8bb85055U,     0x7428d259U, \
    0x87c77016U,     0x01f8b016U,     0xd9cc7069U,     0xfb01974fU, \
    0xacedf845U,     0x3e5a7a4fU,     0x7fb7f56fU,     0x58a657f2U, \
    0x4215a0b7U,     0x406162caU,     0xbdadfb96U,     0x78a3871dU, \
    0x7ef47931U,     0x6595f597U,     0x27fc53a3U,     0x09c06f18U, \
    0x630d452bU,     0xf683d3c5U,     0x7392ec05U,     0x037e409eU, \
    0x37ec522eU,     0x870154feU,     0x869c0487U,     0x7082ce9cU, \
    0x7285fd76U,     0x5dce9336U,     0x3a06b6a0U,     0xb021dbc0U, \
    0xe12bfff2U,     0x722f7a85U,     0xcc36144dU,     0x1bdaa921U, \
    0x2c381c1aU,     0x675e23c5U,     0x55619c46U,     0x883f99adU, \
    0xf3d9275eU,     0x2fe77ce8U,     0x1d158301U,     0x3d053bd8U, \
    0x93148b87U,     0x23b665ccU,     0xd9a8e6b6U,     0x4aac4d85U, \
    0xca401aefU,     0xebc6cdfdU,     0xb413a0ccU,     0x95ffed25U, \
    0xb60c1995U,     0xf1bc76d2U,     0x4d2d5bc0U,     0xe1b6afd4U, \
    0xb2d4b9c2U,     0xcc8990ffU,     0xf2072b83U,     0xd20beaaeU, \
    0xeae3f1acU,     0x96511aa9U,     0x9f1b7e44U,     0x186b79eeU, \
    0x1dddd13fU,     0xa9e8ea1aU,     0xd59f8d3aU,     0x26396103U, \
    0xae93834dU,     0xf77fd800U,     0x93beb89aU,     0x75c2c14fU, \
    0x0d2cad0dU,     0x80d9f1e1U,     0xc6c539f9U,     0x078575ccU, \
    0x73e02078U,     0x78f169c2U,     0x53fb5cfaU,     0xa4287a25U, \
    0x1945fc09U,     0xd4160822U,     0x81840c27U,     0xfb36dbc9U, \
    0xbe0250c4U,     0x1929b538U,     0x1246904aU,     0xf13030ebU, \
    0xe60a6296U,     0x9963638cU,     0x39460a35U,     0xd1e40aaeU, \
    0xec20fd6cU,     0x89c95390U,     0x946e4218U,     0xda95dc2bU, \
    0xda7327c5U,     0xc94eec2eU,     0x8dccd560U,     0x193f0603U, \
    0x71b4b9dcU,     0xc774bdc3U,     0x9d8ac131U,     0x20ec314fU, \
    0xf0dec2d0U,     0x46e9b548U,     0x76c5eb81U,     0xba3d1629U, \
    0x9583e3edU,     0xa8b18f49U,     0xdd3a5f4aU,     0xd54a1a52U, \
    0xc6ffe8c5U,     0xd1bef1f0U,     0x0ca0c17aU,     0xe32a8feaU, \
    0x4550d6baU,     0xa3e1f49cU,     0x0d476e3fU,     0x3131c9beU, \
    0x47de2f10U,     0xa3c420a4U,     0x537cda8eU,     0xfeda98feU, \
    0x60067da9U,     0x871e5c96U,     0x0d751666U,     0xce8a9992U, \
    0xdd7cd689U,     0x5e669b14U,     0xed88985aU,     0x4e7de4c7U, \
    0x2f38fc49U,     0x794d4b90U,     0x739970c0U,     0x05575676U, \
    0x5f734afcU,     0x6e00c995U,     0xa155ffe1U,     0x0eaa8268U, \
    0x2e005368U,     0xf1987ea0U,     0x72355827U,     0xb5bc6e41U, \
    0xeb32e180U,     0x52c910f3U,     0x317b641aU,     0x4be2780fU, \
    0x5d4ad5cdU,     0x6de057e3U,     0x8ca80c9eU,     0x76e88752U, \
    0x62b82d86U,     0x5d799059U,     0xd3d10e42U,     0x67359894U, \
    0x9236c1dfU,     0xaf082ff9U,     0x49d6cbafU,     0xf4d6c60eU, \
    0xdbcf524cU,     0xadd9bce6U,     0x188b019bU,     0x5d552367U, \
    0x0f436bb1U,     0xad7d00fcU,     0x03946399U,     0x07103cabU, \
    0x22faa9b8U,     0x6a81ddc8U,     0xe688d629U,     0x37b0b626U, \
    0x13e80875U,     0x2ef4816cU,     0x5df3273fU,     0xdd87d20cU, \
    0x211473c2U,     0xe2acc40cU,     0xba5f6cdbU,     0x319a7278U, \
    0x3d6c1e87U,     0xef9df023U,     0x4ad6f16eU,     0x549d1d42U, \
    0xe0486124U,     0x15265875U,     0x2458bc8cU,     0xc8fb2c59U, \
    0x3c008d8dU,     0x865a94b6U,     0x0127a055U,     0x0117649aU, \
    0x6a93efc0U,     0x18736a18U,     0x2b120786U,     0x600bdad6U, \
    0x738f9e3dU,     0xe8352a3bU,     0xbe42688bU,     0x93bb60a4U, \
    0xb09622e1U,     0x352efaa3U,     0x97b5f5c2U,     0xb9bf7d5dU, \
    0x38d348a5U,     0x38809db6U,     0x5bb59e45U,     0x31d110cbU, \
    0xe91474baU,     0x6b55f50fU,     0xb672da1fU,     0x44ad69dcU, \
    0xe8942e95U,     0x128acca2U,     0xea7b979aU,     0xae0cd6ebU, \
    0xa4668c09U,     0x8023a2feU,     0x64aa9a46U,     0x4f7338e1U, \
    0x26be5d04U,     0x68311a5aU,     0xfcacf3d8U,     0xde467fb6U, \
    0xd718fd99U,     0xd59f5f7cU,     0x5aa28ef6U,     0xd8ff4f2eU, \
    0x878ce2cfU,     0x394fa46bU,     0x2cc9adddU,     0xb6807f6eU, \
    0x33d3ef93U,     0x660139daU,     0xf70b84aaU,     0x1672e3ecU, \
    0xdb735918U,     0xaa0510b7U,     0x5fb95f87U,     0x6f449765U, \
    0x0473a21dU,     0x31435bd4U,     0xd8f22898U,     0x3f001349U, \
    0x4113e878U,     0x828a0f09U,     0xabc9ad0eU,     0xb7aef9e9U, \
    0xed9fc8b6U,     0xc79f8ec1U,     0xd86fd0f6U,     0xcf8790c7U, \
    0xd24b55dfU,     0xeaa8e83fU,     0x8303c599U,     0xb6a26eceU, \
    0x2774658fU,     0xa940458eU,     0xf40f8c5bU,     0xd92292e2U, \
    0x3068675bU,     0x8afab375U,     0xfcc4d4bfU,     0x06dbc9d5U, \
    0x0264e864U,     0x4c57b0aeU,     0xb8409280U,     0x2ffa3a34U, \
    0x920738ebU,     0x7b6c81f6U,     0xd6e44be9U,     0xbc39ff81U, \
    0xaff440e5U,     0x8457b5c4U,     0xb85a36f6U,     0x0f96435cU, \
    0x79df7e3fU,     0x594ec707U,     0xfd2a3a1bU,     0x07c0372cU, \
    0x38f27f49U,     0xad72e977U,     0x33775e09U,     0xc59fc146U, \
    0x15ede614U,     0x8b0c776aU,     0x07e79b02U,     0x281f666cU, \
    0x82e4f881U,     0x59b6b94cU,     0x7690c6f0U,     0x9dc23e19U, \
    0x08c31935U,     0xf87e3e9aU,     0xf723366eU,     0x78c946aaU, \
    0xd3c74971U,     0xaab33a72U,     0xcf9d257aU,     0x18414f55U, \
    0x69c75d77U,     0x3c46e7b9U,     0xd51657f5U,     0x61deb9a1U, \
    0xfe1a7b02U,     0x0dd15841U,     0x23b13bcaU,     0x35f4b33fU, \
    0xd0c1432cU,     0x3aeaad6aU,     0x3d01ad56U,     0x2a128c3dU, \
    0xbf4d5b05U,     0x8f2eba11U,     0x7d4dac93U,     0x81b9abbfU, \
    0x0c92332cU,     0xe2b76d90U,     0x62980878U,     0x43bcc2c8U, \
    0x73c16123U,     0x8b08eab5U,     0xd59cb7f1U,     0x2ad3991fU, \
    0x8cc3fe61U,     0x989e8ba7U,     0x8e98822cU,     0x81d7d6b8U, \
    0x76d59c74U,     0x1a2995e4U,     0xc78ff80cU,     0x31d3333fU, \
    0x0fff402aU,     0xa460b8cdU,     0xeb1730b7U,     0x4d33a8daU, \
    0xa9701149U,     0x261afca0U,     0xb7320906U,     0xbca2c70bU, \
    0x18bb8e22U,     0x5e35d7f2U,     0x2f99258bU,     0x0d212d20U, \
    0x1ac1725fU,     0x757f382aU,     0x6db7d1b1U,     0x05152682U, \
    0x4a5184bbU,     0x7b2c1c60U,     0x67c01f61U,     0x68175046U, \
    0x67635abfU,     0xbc953310U,     0x5831c5afU,     0xa8730fe9U, \
    0x93a11caeU,     0x90eab998U,     0xe9e4bf43U,     0x4ac761e8U, \
    0x3685bbe5U,     0x212331e0U,     0xd5220078U,     0x9384d6fbU, \
    0xd5634607U,     0xe1383c74U,     0x341d0c38U,     0xe653ad59U, \
    0xb67e084cU,     0x9fa642f9U,     0xde651108U,     0x306c9e03U, \
    0x55c2a292U,     0x03664509U,     0x69fa0ae1U,     0x28ca7d5aU, \
    0x7c1091b0U,     0x442bb469U,     0xa57cca21U,     0xcc7938f2U, \
    0xcb1c1f56U,     0xb67b553dU,     0x1aac1971U,     0x12c31ce3U, \
    0xb426339bU,     0xd34b60a8U,     0x7c50d8ffU,     0x8ccff16bU, \
    0x65eea048U,     0x288d114cU,     0x66ac52f0U,     0x42b5b131U, \
    0x5d4101bdU,     0x9624cce4U,     0x16d361f3U,     0xbb383071U, \
    0xc0958d36U,     0xca10538aU,     0xe922e611U,     0xefd9e3afU, \
    0x1c6d05adU,     0xaf2c8922U,     0x4b8a8a4cU,     0x3929111bU, \
    0xd5b6f35dU,     0xa1634f58U,     0xa7ac7e7aU,     0x5576f44cU, \
    0x1a893b52U,     0xc1b898ffU,     0xb6a51aabU,     0xe12ddfabU, \
    0x0bbff0c3U,     0x6e316bf5U,     0xb3671ed2U,     0xc6f6da62U, \
    0xf633690dU,     0xc88bd2f8U,     0xca728d7cU,     0xa84782a7U, \
    0x63a3ca52U,     0x2a050cd4U,     0xbab34a1fU,     0xf8e3e568U, \
    0x858d9874U,     0x26138327U,     0xf2bcb730U,     0xdebc09ebU, \
    0x85245b48U,     0xbfa6236aU,     0x735721b5U,     0x5d268eb2U, \
    0xb1cb4f1eU,     0xa7cc7229U,     0x4ff26936U,     0xeb775c2bU, \
    0xa075c2c3U,     0x7e043cf9U,     0x71f83ce0U,     0x350caf29U, \
    0x8cb1e24fU,     0x030565d1U,     0x85edaeb1U,     0xbf1a46dfU, \
    0x264e7456U,     0x11ac31daU,     0xde1591d6U,     0x5d1398b3U, \
    0xd36ed69bU,     0x3d5271a1U,     0xa3a23594U,     0xc7d443d2U, \
    0xc9187415U,     0x5a629ab5U,     0x9cc346aaU,     0xd1ffb7b6U, \
    0xffb20891U,     0xb94de372U,     0x53b3ccaaU,     0x158ac202U, \
    0x4ff42f5aU,     0x66d4ec96U,     0x8c38c664U,     0x8c80f983U, \
    0xdb61fd87U,     0xc065872bU,     0xf18911dcU,     0x110a1baeU, \
    0xa6ac0dd8U,     0xc56c5f57U,     0xb6488c46U,     0xb859a2feU, \
    0xd9570770U,     0xe52f076bU,     0x032d74a8U,     0x7d89d3b4U, \
    0xc1a56949U,     0xdad65c8cU,     0x767f5487U,     0x88b4722aU, \
    0xdbeb01c1U,     0x0b5ed888U,     0x1353bec4U,     0x0272ebc0U, \
    0x9bb61adaU,     0x1b06ebc5U,     0xcc88b7d5U,     0x27484b96U, \
    0xbde17b92U,     0x65943abbU,     0xcbd41158U,     0xf9ccfa27U, \
    0xa28f006eU,     0x4e51bb27U,     0x8047db08U,     0x5b3512ebU, \
    0xc34e236bU,     0xbf7a29d0U,     0x74bcb587U,     0x433b2b67U, \
    0x5898078cU,     0x30842c40U,     0x50b5a75eU,     0xe5813e70U, \
    0x1b2dc97eU,     0x123087f8U,     0x178f940cU,     0x46fc67c9U, \
    0x3dfd1276U,     0x36ebe277U,     0x5401327aU,     0xf0d636eaU, \
    0xbae83453U,     0x6a3782dfU,     0x66bd3a5eU,     0x972544eeU, \
    0x6f92763bU,     0x2b41f6f5U,     0x406c6bb0U,     0x12111b71U, \
    0xe36a5d3dU,     0xa32454b7U,     0x94655f18U,     0x8a6a1812U, \
    0xda860f67U,     0x181a0f9dU,     0x358b1f19U,     0xdc76b60aU, \
    0x1fd56c82U,     0x108106a8U,     0x340832d8U,     0xe29f6f5dU, \
    0xba016259U,     0xafb58fdbU,     0xcd9e313fU,     0xc57ba99eU, \
    0xbaffedd7U,     0xf96d7d2aU,     0xbeb49939U,     0x99285a18U, \
    0xfcedaa1eU,     0xadb6ca5dU,     0x124b854fU,     0xb35846cfU, \
    0xab109758U,     0xf13ef4dfU,     0xe09ea6b5U,     0x833f28afU, \
    0x24a65bd9U,     0xc4567438U,     0x9cfd03f4U,     0x8605ab4dU, \
    0x3d46e7e9U,     0x77c9fb99U,     0x224ad280U,     0x01f4038bU, \
    0x4ada8cadU,     0xccb2fd5cU,     0xed651bd3U,     0x61f547b6U, \
    0x51e2378bU,     0x2c7f033dU,     0x29120834U,     0xbc622475U, \
    0x7fa0f46fU,     0x1b282121U,     0x1d63d318U,     0xcc8812f5U, \
    0xe94cdcc3U,     0xe194951cU,     0x1a9176dcU,     0xd7a3b8a8U, \
    0xdd3d199dU,     0xebe173e4U,     0x690578e9U,     0x28566612U, \
    0xaf57f1c6U,     0xa052a539U,     0x61af17a9U,     0xd1c8af9fU, \
    0xe40cdcf6U,     0xa9edc40aU,     0x605c5f1bU,     0x2e3baed6U, \
    0xd733701eU,     0x929655dfU,     0x055b74d7U,     0x92ac317aU, \
    0x9261268bU,     0xe0e63a45U,     0x58a768f3U,     0x134dcc67U, \
    0x89da142dU,     0x0e626e40U,     0x66d51ae7U,     0xced4522aU, \
    0x8d143ef9U,     0xc734ba0bU,     0x8a7068caU,     0xcdb621d1U, \
    0xcc36ea36U,     0x65995df7U,     0xb776a331U,     0x7917e3c4U, \
    0x63edf9a6U,     0xb2c7a4caU,     0x169f24a7U,     0xe602eae2U, \
    0xb9527a9bU,     0x6b7e0c3fU,     0xdc5abd1fU,     0x873fa54bU, \
    0xa147c058U,     0x3a20799dU,     0x400a7f7bU,     0x02918e31U, \
    0xbce3ce51U,     0x60d6f491U,     0x3cb96443U,     0x3c70ffa5U, \
    0x1581042dU,     0xea9ee216U,     0x103be243U,     0x6343eb06U, \
    0xd10cffcdU,     0x86ac919bU,     0xff469f67U,     0xd3088b57U, \
    0x75c92ae6U,     0xf5ba61f1U,     0xf7f3300aU,     0x3cd05465U, \
    0x95121fb0U,     0xb003a250U,     0xc7e21324U,     0x4e49a221U, \
    0xf6acd1e0U,     0x6e6f8684U,     0x564022d4U,     0xa03fcf2aU, \
    0x68e9ef12U,     0x9efa06bbU,     0x0a7521c6U,     0x19901c84U, \
    0x01e051c6U,     0x9b01ce18U,     0x2edd96c2U,     0xd4a1c70fU, \
    0x8205e6f8U,     0x46eba910U,     0x6c45d1f8U,     0x11dd540fU, \
    0x7050c8eaU,     0xb0490f07U,     0x6b36c77bU,     0xd5a9caccU, \
    0x1186f40aU,     0x16fb49d2U,     0xc20bfc83U,     0xa0dbb0deU, \
    0xe3d6cb3cU,     0x053a8eccU,     0x9209194dU,     0x5a17225bU, \
    0x4dafe6d5U,     0x4c22c4e3U,     0x59ddcd72U,     0xb1f9f811U, \
    0x1ab793b8U,     0x69158df0U,     0x33f7377aU,     0x49233b6cU, \
    0xc40ec0ebU,     0xcd68854fU,     0xf690db73U,     0xfe46c5a1U, \
    0x9dd93aa4U,     0x34a60a52U,     0x16aa268aU,     0xab2ce99dU, \
    0x877c5c16U,     0x80045abcU,     0xc6986233U,     0xee34e400U, \
    0xdfffc247U,     0x78495d94U,     0x0aa20c7dU,     0x0c57d43bU, \
    0xdfa052b5U,     0x981381d6U,     0x0d860a4eU,     0x91f2202aU, \
    0x5f3e0e98U,     0xf34c8e70U,     0x75ff51fdU,     0xa3c31053U, \
    0x28f2266dU,     0x9d2cfbdaU,     0x5151e358U,     0x688ff68bU, \
    0xce27899cU,     0x2a7ed1f4U,     0x75773dc9U,     0x38e0f1f9U, \
    0xb87f80a0U,     0xa5306807U,     0x7a90b363U,     0x607f74d9U, \
    0xe46af7c2U,     0xbe755767U,     0xbed05bbaU,     0xbe497f15U, \
    0xf7f529dfU,     0x4eb8ff00U,     0x046a2a0cU,     0x438b6057U, \
    0x6a472285U,     0x944d9e7eU,     0x4502754fU,     0x5ba685cdU, \
    0x30e69b59U,     0xbafde5b6U,     0xadc818b2U,     0x4e592003U, \
    0x8926157cU,     0x9a992810U,     0xc3a070f2U,     0xb3bd8bf5U, \
    0x084dca5bU,     0x11cdc4a5U,     0xe79943deU,     0xb46d7021U, \
    0x2bf9b2d7U,     0xc9e7ffd7U,     0x6f35e233U,     0x3130b10cU, \
    0xa24f954aU,     0xef7bc035U,     0x6fa7aa1cU,     0xbad33635U, \
    0x51ea3b02U,     0x61bbb827U,     0xd6136dc8U,     0xad019b65U, \
    0x58180932U,     0x7c7ade76U,     0xf312483eU,     0xba4b7e07U, \
    0x1fa4d7ddU,     0x176d5b9aU,     0x41d144ddU,     0x209d9ec1U, \
    0xb7985f6cU,     0x548bd8fcU,     0x7bf0199fU,     0x10505826U, \
    0xd1dbedc3U,     0x9034c896U,     0x4a6d7aeaU,     0x85af8e4dU, \
    0x4c2f4904U,     0x4be70fbaU,     0xc63a35d3U,     0x83216762U, \
    0x3001b7ddU,     0x233c9b0cU,     0x03b71318U,     0x72873760U, \
    0xf609dc44U,     0xc9f1b0b1U,     0x67a44dcfU,     0x20923643U, \
    0x0b0693a4U,     0xc17bbad8U,     0x16e8513aU,     0xd0c703bdU, \
    0xcb67b37dU,     0x07700d65U,     0x05f7c0b8U,     0xd61ce14dU, \
    0x20132858U,     0xa82b9bf3U,     0x73d2f64fU,     0x699db000U, \
    0xe35aba37U,     0x90b4bfdcU,     0x435037d6U,     0x5223741aU, \
    0x1da6d401U,     0x3d540d26U,     0x82ce0272U,     0x59a6aea6U, \
    0x85ff5c7bU,     0x9bfe7834U,     0x58095464U,     0x0d17cb56U, \
    0xa7d3d084U,     0xa879f596U,     0x869b4976U,     0xbe7a0133U, \
    0x6e06b640U,     0x0a897512U,     0x4fe2e354U,     0xdc477550U, \
    0x69d2599dU,     0x9fa3e3c0U,     0x239db962U,     0xde591789U, \
    0x39d9aa29U,     0x5c0ac26bU,     0x2649bd1dU,     0xfd3d3088U, \
    0xdef40728U,     0xb7b34a32U,     0x60609cc8U,     0x8ffab773U, \
    0xd249ce30U,     0x727e54b7U,     0x4593878aU,     0xc360801aU, \
    0x09a23c65U,     0x596d4d50U,     0x49327a7bU,     0xf98b6f3dU, \
    0xa4cf8db0U,     0x99f9bf1dU,     0x3878fb5bU,     0x3d253cbcU, \
    0x159da97bU,     0x264a4e11U,     0xcadfefe1U,     0x7fe8f1adU, \
    0xeed401edU,     0x6fc84c2cU,     0x245a6967U,     0xa13b5ddeU, \
    0xf7ecc954U,     0xcd8c9887U,     0xde220334U,     0x416817b3U, \
    0xb14b8876U,     0x87fd4db6U,     0x0672017fU,     0x81ed7cecU, \
    0x49ecbe52U,     0xd2e8fb23U,     0xef423d2fU,     0x6f2613f9U, \
    0x1b1eafdfU,     0x67b81a14U,     0x82b9ab88U,     0xaca73d40U, \
    0xfb0688afU,     0x180792ccU,     0x5aff351dU,     0x533c88a7U, \
    0x01618b67U,     0xeb0c7f30U,     0xa5de67b1U,     0x71db6b27U, \
    0x0d82c25dU,     0xd572261aU,     0xb47c48a9U,     0x6fd0b75eU, \
    0x164645fdU,     0x10069316U,     0x6179b1d5U,     0x3f31cb43U, \
    0xe31d7d8aU,     0xd6b69c36U,     0x0a5fc287U,     0x0095976dU, \
    0x9d039151U,     0x5e6b117aU,     0x9771e270U,     0xf25e965dU, \
    0x3609ca4cU,     0xdd2961b3U,     0xe75fc19eU,     0xecd63d9cU, \
    0xc4c1feb5U,     0x6b35bd79U,     0xddc4ed45U,     0xf12861c6U, \
    0xb5207b80U,     0xabb4d373U,     0xf4fd1c6cU,     0x27b715a5U, \
    0x48ba189dU,     0xda1cf194U,     0xc0d1218dU,     0x7dc0bfadU, \
    0x6b87aab4U,     0x3c41806eU,     0x1a0eaf0aU,     0x266a53aeU, \
    0x3b37e777U,     0x1cc79966U,     0xbf0ab67aU,     0xfa8ae5c5U, \
    0xef0200d5U,     0x5347dd1fU,     0xb1c6d604U,     0xaa339ab6U, \
    0x73f11d15U,     0x59c9f013U,     0x8fecd34dU,     0x703ac8d7U, \
    0xa1262be6U,     0x6c39431dU,     0x250e944aU,     0xf8e5a3afU, \
    0x9bf1c2deU,     0x5d7eb03dU,     0x004531ceU,     0xff622e06U, \
    0x02c4abccU,     0x432e2296U,     0xe1b550abU,     0x9189f7d5U, \
    0x3b67af61U,     0x21dfe5b3U,     0xbb72ca68U,     0xd1f3e42aU, \
    0x3a54ff9dU,     0xc2eeab9cU,     0x9bc56f2eU,     0xec2c6d7eU, \
    0x6e22b591U,     0x86e76d33U,     0x6b9de5e9U,     0x97e69e13U, \
    0x7d307644U,     0xd7dda887U,     0x6ff0e8baU,     0xc1ba06e7U, \
    0x83396309U,     0x2ae3ad59U,     0x62527e4eU,     0x0d9c5d54U, \
    0x292a18e1U,     0xb5aceaf6U,     0x921f047fU,     0x6395767dU, \
    0x96bafc13U,     0x557066e8U,     0xf4354544U,     0xdc26ddefU, \
    0xb4d48c4fU,     0x571f3392U,     0xb3021cb7U,     0x64e4d505U, \
    0x72d4040bU,     0x8e8b7cf9U,     0x3068b8faU,     0x5e6653c0U, \
    0xe1be7635U,     0x683986a3U,     0x959186edU,     0x4c868620U, \
    0xb9a3e4abU,     0xe1e21778U,     0xb75ec1ffU,     0x2d4653f9U, \
    0x079555fcU,     0xf9c216b4U,     0x1e214d2bU,     0x8cc77459U, \
    0xe69dada4U,     0xea25dc6fU,     0xec0a350bU,     0x7cc9feefU, \
    0x95aaf5eeU,     0xaf097f7eU,     0x0f9683cbU,     0x524470a5U, \
    0x8dc4d6edU,     0xadfabe28U,     0xe3f26811U,     0x6143b7f6U, \
    0x15e5732bU,     0xb2451103U,     0xa5f04547U,     0x40c56533U, \
    0xbcd3518cU,     0x25fb42acU,     0x2e1875faU,     0x9783a290U, \
    0x6f957537U,     0xc8ca9a62U,     0x1d4da94aU,     0x1a0a83d9U, \
    0xb014428eU,     0xddeac410U,     0x53b3a0adU,     0x7ff6cbedU, \
    0xc9823a51U,     0xc7875c8eU,     0x1ce9b42eU,     0x2c94de16U, \
    0x4a3e30b5U,     0xc63394a3U,     0x07cf081bU,     0x4746f7f7U, \
    0x54ef14bcU,     0x883614b3U,     0xf297a025U,     0x126df7cbU, \
    0x1ad4b9a2U,     0xad9bd0b0U,     0x4f3d63a0U,     0x9631cebcU, \
    0xd810cafeU,     0xbb8a66adU,     0xe37faa11U,     0x47f81a64U, \
    0x71f28014U,     0xc941750cU,     0x8481aceaU,     0xe139e1eaU, \
    0x12a04cb7U,     0xf26c72b4U,     0xbb97b2e2U,     0xf63dacfbU, \
    0x2bbed2e5U,     0x73c09d9cU,     0x2b30e06cU,     0x607059adU, \
    0x880a0c67U,     0xe343a604U,     0xec031c9eU,     0x5eb9ae85U, \
    0xa771a815U,     0x69cdb12dU,     0x4df638f7U,     0x10fd895dU, \
    0x5129de67U,     0x018dd2efU,     0x06cc0bb5U,     0xfccce83bU, \
    0x67a08ca8U,     0x121cf309U,     0x6f58339cU,     0x8e4a8bdfU, \
    0xc32a9cfbU,     0x3e15ff8aU,     0xd4043651U,     0x31e7ff80U, \
    0x2621b553U,     0x1e1bda1eU,     0xe9a71f3aU,     0xc50fe7e3U, \
    0xcd694d5fU,     0x8244d614U,     0x657ae2bcU,     0x6dd4fabaU, \
    0x81860ebcU,     0xaedf1f86U,     0x16dd139bU,     0xb88b48f0U, \
    0xf620cd44U,     0x193c25c2U,     0x4037a90fU,     0x47d891b8U, \
    0x070fb723U,     0xedb0c342U,     0x09599139U,     0x634c00d8U, \
    0xc35a5b3eU,     0x5cace606U,     0x2a4b1c5fU,     0x871f672dU, \
    0x1762eb6bU,     0x58b81470U,     0x425d8b49U,     0xb5701071U, \
    0x3774de8eU,     0x7052f1f2U,     0x919c341cU,     0x33d083fdU, \
    0x49620008U,     0xe95c4432U,     0x08e3b0a0U,     0x92ae1712U, \
    0x65483b1eU,     0x2e361dd7U,     0xfc598879U,     0x1917d86bU, \
    0x62c5b61fU,     0xc5aeb70aU,     0x2b565d55U,     0x421cd5cdU, \
    0x6f915fbbU,     0x3c9109eeU,     0xf543bf67U,     0x8d1c8f56U, \
    0x2f1115b3U,     0x94983d2fU,     0xd3c6f0cbU,     0x429e089cU, \
    0xa0321c3eU,     0x7b67dd2dU,     0x40eae7baU,     0x895df63fU, \
    0xa7ea4ae8U,     0x81889942U,     0x9b5d398dU,     0x901662fcU, \
    0x7c42ce06U,     0xbccc0752U,     0x60aa42ffU,     0x21b36d8fU, \
    0x8360e1cfU,     0x22a1b490U,     0x42bf4a2dU,     0x0e151751U, \
    0xc655fe86U,     0x7ad7e4f5U,     0x0e97a224U,     0xf71b6cdcU, \
    0x72fee3e0U,     0xeb1dc485U,     0x8be32749U,     0x95e53391U, \
    0x746303edU,     0x52c0fb1aU,     0xa072d785U,     0x399c62d4U, \
    0x12ce2cc0U,     0xf82d235cU,     0xba77f3b2U,     0x7f34007bU, \
    0x9a05481fU,     0xdf4410ecU,     0xcdb86439U,     0x23b18707U, \
    0x782908ffU,     0x1e5f2a22U,     0xa3864d19U,     0x3d7b93b4U, \
    0xf8b78e25U,     0xc1a7e381U,     0xb8ce0d59U,     0xbb1061deU, \
    0x8861352bU,     0x37234dd6U,     0xd649bd67U,     0xcfdb9a18U, \
    0x52b80454U,     0xb641bebeU,     0xc398ce07U,     0x9360ba0bU, \
    0xe489b43dU,     0xd3c01bcbU,     0x199666dfU,     0x30c77d04U, \
    0xe13101e9U,     0x9f07b432U,     0x1fc9245dU,     0x50d3c308U, \
    0xb1068efcU,     0x6ad22abfU,     0x3edcb855U,     0xd1a9e0f8U, \
    0xbb8bc879U,     0xb14fee51U,     0x7e033c2aU,     0xb0c4cc5dU, \
    0xb71bb4a3U,     0x92d18f9cU,     0x727e7f80U,     0x85cd6d4cU, \
    0xb32c5ab5U,     0xd8248036U,     0x36a5ffeeU,     0xdd5ff908U, \
    0xd22d1e5aU,     0xee092a99U,     0x89375c5eU,     0x77621c29U, \
    0x40d22e41U,     0x3f8c022cU,     0xd6209c60U,     0xe7db0749U, \
    0xfffa28a5U,     0x67c5e7c9U,     0x65076fc1U,     0xeaf0f535U, \
    0xf34334e1U,     0xb18639ebU,     0xccdb5bc2U,     0xc4f445fcU, \
    0xfb6e64f7U,     0x93f9ceb8U,     0x001f98ecU,     0xad0f29cdU, \
    0xc759a1dcU,     0x730fb329U,     0xe415bbebU,     0x76824b05U, \
    0x6687dfa1U,     0x98b7618cU,     0x54aee241U,     0xb0a5e204U, \
    0xb77537ceU,     0x1175e9aeU,     0x3e10fed4U,     0x20bc9d99U, \
    0xbbddc59eU,     0xdc304112U,     0xfaf721d1U,     0xd4a535c9U, \
    0x093a9892U,     0x12ea7133U,     0x1cc76789U,     0xc28937fbU, \
    0x879d1845U,     0xae2e2e5fU,     0xdb87b474U,     0xf84d72f7U, \
    0x972b0eceU,     0x3b9924a9U,     0x6fc4594dU,     0x72534a0aU, \
    0x895c0e6eU,     0x286b85beU,     0x6d6bb265U,     0x780c7111U, \
    0x1f64227aU,     0xeb97afa2U,     0x13c5ccc1U,     0xf6a43450U, \
    0x97e60ef7U,     0x59d476d6U,     0x3331ada4U,     0x3f24b65fU, \
    0x24b0001bU,     0xae900ec9U,     0xe3886847U,     0x48a13150U, \
    0xf8300be8U,     0xb5eb7145U,     0x6a5d576bU,     0x424105a6U, \
    0x8c95da4dU,     0x80f64958U,     0x884fdc91U,     0x843ba69aU, \
    0x33ae445cU,     0x49cc9108U,     0x24a70376U,     0x571c07e6U, \
    0x08979481U,     0x3b9dcb40U,     0xdeff6dd9U,     0xab4cbc5aU, \
    0x20c97df8U,     0xa93d5146U,     0xc37c6349U,     0x03c5a2eeU, \
    0xd76b2272U,     0xb610db6dU,     0x5eca8a1bU,     0xd9cf6efcU, \
    0xe2e6a2bcU,     0x7fc0ebbdU,     0xcd7e2b5fU,     0xee8e9ad9U, \
    0xa30dd9d1U,     0x30bc6781U,     0xdce107c3U,     0xbc5be398U, \
    0xf0c7d2a3U,     0xae846fd2U,     0x65bb13beU,     0xa019d8a8U, \
    0x3af11418U,     0x8756cdb2U,     0xc3845cb2U,     0xffe04380U, \
    0x1315904dU,     0xa5eaf804U,     0x68332d17U,     0xbfcc0089U, \
    0xc342db17U,     0x96617ec1U,     0x808ecf4fU,     0xf1846d3fU, \
    0x108d7617U,     0x373aef0fU,     0x162f18feU,     0x205585daU, \
    0x6570eeefU,     0xf01c848aU,     0xd15a85bdU,     0xb3500785U, \
    0x989c2884U,     0x5042835bU,     0xd4d50f20U,     0xb988f69dU, \
    0xb00a0b05U,     0x4560a4e0U,     0xf911e416U,     0xc509c17cU, \
    0xd0edc707U,     0xb3d6666eU,     0xce608691U,     0x02328c65U, \
    0xb1a35a08U,     0x37362bcbU,     0x7627f4ddU,     0x44ce4848U, \
    0x3265c8d7U,     0xd0c05609U,     0x70725500U,     0xe63617aaU, \
    0x1d11099dU,     0xe5bb27e3U,     0xd3113e4cU,     0xdb9d30d1U, \
    0x7d66eb39U,     0x75df2552U,     0x5ed4112eU,     0xd0c74336U, \
    0xbad29eebU,     0x8716b56aU,     0xa1b11034U,     0xe6df2f00U, \
    0x5e3ae429U,     0xb1543d78U,     0xff479169U,     0xd6190c7fU, \
    0x27baa347U,     0x2454676eU,     0x2a9f77c8U,     0x7f2c0d86U, \
    0x5706aa4fU,     0x4677571dU,     0xd3af921dU,     0xd08e1e27U, \
    0x16960244U,     0x67b6b62cU,     0x293bf547U,     0x07fe548dU, \
    0x49bb7fcfU,     0xf93a3d23U,     0x5c8bd327U,     0x36c3ac1eU, \
    0x075c7e8aU,     0xcaf4a2e7U,     0x26aa3918U,     0xcb938843U, \
    0x88aea3dcU,     0x8e7abf2dU,     0xf1172612U,     0xb7788155U, \
    0x4a117ee2U,     0x73f708b6U,     0x8bfc4eb7U,     0x8520296dU, \
    0x6fe31f63U,     0xaeaa311fU,     0xcf15288dU,     0xcb98fce3U, \
    0xd68eb79dU,     0x5e5408e4U,     0x79c345f2U,     0x73f30494U, \
    0x9f52b3fbU,     0x5e5f3827U,     0xd6336950U,     0x70183e59U, \
    0xebc61c94U,     0x962023aeU,     0xc531d960U,     0x040197e8U, \
    0x0f79ebd4U,     0x0be8725bU,     0x384f6a55U,     0x9ea87259U, \
    0x4b133550U,     0x7c6a2d0cU,     0x6f8e6b72U,     0x11b6ba35U, \
    0x3860067bU,     0x7f99ad46U,     0xc81ba44cU,     0x34d5084cU, \
    0x682d266aU,     0x3b4f34f9U,     0x1449d915U,     0x91abbda8U, \
    0x80315c91U,     0x638ae879U,     0xdd135b38U,     0x7fa7d339U, \
    0x717a2ea2U,     0xaf765239U,     0x63b09706U,     0x0d1eb8f0U, \
    0x8ac374c1U,     0x2f3daa2dU,     0x92fccb68U,     0xda360cb3U, \
    0xfd705528U,     0x149f6e55U,     0x0ba53a7cU,     0xd787ef83U, \
    0x4de17f64U,     0x27ea9832U,     0xb4f802fbU,     0x5277f1f0U, \
    0xad31f58bU,     0xd5c14f3dU,     0x0b69faadU,     0x8d8f130bU, \
    0xe829d9ccU,     0xdba00ef6U,     0x7a987a46U,     0xaf9c0cb6U, \
    0x108c5ec3U,     0xe374f7fdU,     0xf0730fa1U,     0x75221c21U, \
    0x087365dfU,     0xf1a37967U,     0x5a3a2d7fU,     0x059a0314U, \
    0xeb0a07b1U,     0xe3dbcc78U,     0xd980cd10U,     0x2b32cd5eU, \
    0x3568b26eU,     0x778bef29U,     0xe2d524b6U,     0x9ea6d506U, \
    0xaeeed9faU,     0x712fca31U,     0x91db67a8U,     0x16c6e24cU, \
    0xc14534b8U,     0xe5fbb48dU,     0x0bb6577dU,     0xa68e0807U, \
    0xfac57429U,     0xcf399aecU,     0xd017f91aU,     0x67829455U, \
    0xf7da5b17U,     0x754d9724U,     0xa1b954a6U,     0x798cd18bU, \
    0x6984b212U,     0x9085a635U,     0x0057d3e7U,     0x59a7b711U, \
    0x1e6fe573U,     0x4cc40e57U,     0x22b0695aU,     0xf242f954U, \
    0x8c1af88aU,     0x2048ad8cU,     0xaf3a5438U,     0xaf4e9d5fU, \
    0x01e739ecU,     0xbf5c32ddU,     0x955ac3d6U,     0xc4ca746eU, \
    0xd8e7dbbdU,     0x1c078f29U,     0x9dd582bbU,     0x7fa734c5U, \
    0x8c2a238fU,     0x1b9e4280U,     0xd9be203eU,     0x2deb2faaU, \
    0x2b0befcfU,     0x71ce07f9U,     0xd7bd76faU,     0xc3b9a050U, \
    0x778bbcabU,     0x3aeebccfU,     0x4d5d9778U,     0x42204825U, \
    0xdcbf8b5bU,     0xbbe93362U,     0x462b7f22U,     0xa54e5f95U, \
    0xca66345fU,     0x63b7dce7U,     0x8c5eed32U,     0xacf65df9U, \
    0x95fed3beU,     0x15e01f10U,     0xdc0652a3U,     0x02a1bb25U, \
    0x7b96693fU,     0x5c2be91cU,     0x1611656fU,     0x14ead8c9U, \
    0x07ae22b6U,     0x2aa4372dU,     0x0454ca86U,     0xbcd68bc3U, \
    0xdc9eb0c4U,     0x67367719U,     0xc66cf9fdU,     0x46385188U, \
    0x792db804U,     0x5643b1f2U,     0x73cbfc43U,     0x36df2601U, \
    0x40f39dffU,     0x90530fdeU,     0x1ee46e20U,     0xb09b2dcbU, \
    0x7a37b529U,     0x58d2d3b3U,     0x48ca9fc0U,     0xfbb95eb4U, \
    0x28bf3520U,     0x852d588aU,     0xb60b78e4U,     0xcb2b68edU, \
    0x0734b691U,     0x10f54ed8U,     0x8a27539bU,     0xa2ac3791U, \
    0xec276532U,     0x7e17c10dU,     0x7ae13f7eU,     0x0c6fa147U, \
    0xd4c801d6U,     0xb69891fdU,     0x4ef601a7U,     0x040e3aadU, \
    0xf9a2a089U,     0x720bfa75U,     0xe8ee0594U,     0xc7c98f2cU, \
    0x0b4917f4U,     0x6d88f2dcU,     0xdb24260eU,     0x82d51d5cU, \
    0x263001e8U,     0x8e731b9cU,     0x49252e98U,     0x3868e374U, \
    0x51ba91c6U,     0xb998828dU,     0xf26e5c38U,     0xe4f4f0b4U, \
    0x0448a8daU,     0x28e1c307U,     0x22f44699U,     0x34727dd2U, \
    0x8cf7f327U,     0xb23d051cU,     0x2c53df3dU,     0xcc73f4f4U, \
    0x3607ec32U,     0xe387d53cU,     0xfed9ab80U,     0x8e426fa3U, \
    0x6ed63943U,     0xc116b153U,     0x2fffa5b5U,     0xebef353dU, \
    0xdb506c5eU,     0x2fb0197cU,     0xf474ae2aU,     0x1802ccf7U, \
    0x37feb9bbU,     0xf8ebcf02U,     0xcb925998U,     0xac972e20U, \
    0xd376d7d1U,     0xe3dfe344U,     0x74fd9afbU,     0x8a4dedc0U, \
    0xb0342d15U,     0xbab8b230U,     0x298f9fc4U,     0x220874acU, \
    0x6838dfafU,     0xb3f21cb4U,     0x9cdf4f77U,     0x36ee94dbU, \
    0xb19a456dU,     0x8fc3a9d7U,     0x66b0b8beU,     0xbdaf200cU, \
    0xd063574bU,     0xee84acbfU,     0x4fb70027U,     0xd81923d8U, \
    0x770b6d7dU,     0x4768b28dU,     0x7e3dda4aU,     0xc6ca69abU, \
    0x85ace5fbU,     0x06f754beU,     0x2b90fcfeU,     0xb81bbcc4U, \
    0x6034ef46U,     0x0570cdf9U,     0x1b49c366U,     0x89d880f5U, \
    0xaf016d34U,     0x6b22be8fU,     0x3aaa389fU,     0xcfb02080U, \
    0xc6878968U,     0x9f513daaU,     0x94a41228U,     0x2d2d02c3U, \
    0x59582948U,     0x2fb706b2U,     0x9589294eU,     0xd1813716U, \
    0x783cb6d0U,     0xdaacd067U,     0x187a05b4U,     0xd9a8d7cfU, \
    0x372cc21aU,     0xa2010e1eU,     0x3805fdfcU,     0x49bcd8ecU, \
    0x6b0ecab9U,     0xaa75335fU,     0xeb6fb10cU,     0xa1efcd8cU, \
    0xff0989b5U,     0x75b44746U,     0x04c69afdU,     0x0ccd132aU, \
    0x933305c0U,     0x51b51407U,     0x3e48a2e2U,     0xc2232498U, \
    0x55aa0333U,     0x8ee58249U,     0x30e4199cU,     0xc0137519U, \
    0x720f24e5U,     0x739dfe81U,     0xe6322600U,     0xcd20a005U, \
    0x424870e1U,     0x6d7ea43eU,     0xa13dc97aU,     0x73634fa8U, \
    0xc5c1244eU,     0x7d49ced1U,     0x076ab085U,     0x261f61e5U, \
    0xdf5c5368U,     0x700e0671U,     0x7ec8c7c6U,     0xf242e7fbU, \
    0x4a9dc1b9U,     0xdb6d2decU,     0xf845e243U,     0x7612b754U, \
    0xbd598fe5U,     0xc74b97fbU,     0x66986783U,     0x2a42764aU, \
    0xdb469ea4U,     0xe9e5302eU,     0x8a49644bU,     0xa3f50d95U, \
    0x1efa7059U,     0x76e85010U,     0x18a01c07U,     0x452f287cU, \
    0xc0500764U,     0xaba820e4U,     0x103b7e44U,     0x17f6a7ecU, \
    0xb34da554U,     0x0f8eb297U,     0x8ef7727fU,     0x4ae54c0dU, \
    0x8761ae4aU,     0x436c736dU,     0x9b2b13b9U,     0xf5d9b1d4U, \
    0xbd0ad636U,     0x73e3d7e3U,     0xa7d7d63aU,     0x726bf0adU, \
    0xf08f95e6U,     0x6a1b6056U,     0x7dc3b540U,     0xe49c79f8U, \
    0x4000c9c5U,     0x299fd163U,     0xb42ef6bfU,     0x9762e6b3U, \
    0x7a9c64e9U,     0xddc775b7U,     0x765d8222U,     0x8d4facc1U, \
    0x19a3f9ceU,     0xb390190dU,     0xaaf83a07U,     0xac67a5c6U, \
    0xfb43ff0aU,     0x4f70a87cU,     0x86e13fd7U,     0x75fb3a37U, \
    0x8e1fc052U,     0x1bf14a10U,     0x08e6ba62U,     0xd36ec267U, \
    0x7d75a5ffU,     0x879c7231U,     0xb1751330U,     0x25591897U, \
    0x618c9d27U,     0xaf6f7db0U,     0xc5df9fe4U,     0xccb4ce60U, \
    0x0f5ca985U,     0x2dccbd60U,     0xd58a2a41U,     0xa48ef21bU, \
    0x3f7ce468U,     0xc19c6273U,     0xfd653357U,     0x6ff4546bU, \
    0x6514156fU,     0x48b6bd14U,     0xc5bbfe9eU,     0x87ffcd26U, \
    0x2a4f1968U,     0xed116676U,     0xe0f93d3cU,     0x6b6c2567U, \
    0x368df229U,     0x8dbfb4b1U,     0xa10a0b73U,     0x45a84e99U, \
    0xe5d88f2cU,     0x98a53bf9U,     0xe8dfa79dU,     0x0495a63dU, \
    0xf9ea3a60U,     0xabb6b50dU,     0x71cc60e7U,     0xb24b0d69U, \
    0x25712994U,     0xa36b0c23U,     0x318ecb68U,     0x3d6ac133U, \
    0xf714c47fU,     0xdcb91335U,     0x5e1ba6f5U,     0x6bbd948aU, \
    0x97ba38f9U,     0x7273b51dU,     0x92ee6703U,     0x5a233b4bU, \
    0x99fd0b69U,     0xf3a2994eU,     0xaeff946cU,     0x4930f5d7U, \
    0xdffa68deU,     0x59a070e5U,     0x14665fd2U,     0xa5685c86U, \
    0x89224a97U,     0xf5f0ef48U,     0x950592dbU,     0xda302b60U, \
    0x7b76feecU,     0x1708780bU,     0x5b2ae079U,     0x17eedcb6U, \
    0xb6d1c204U,     0xe89cc550U,     0xd202dcb5U,     0x7777727fU, \
    0x63a1b8c5U,     0xc906a78aU,     0xc8ddf977U,     0x79a70fb0U, \
    0x84fcc87aU,     0xad7d03b5U,     0x135af016U,     0x369b55a3U, \
    0xfbc16f9fU,     0xaf3c4251U,     0x93571180U,     0xc9d18f6fU, \
    0x70876e44U,     0xf1d9f063U,     0x9609d8c4U,     0x1990be95U, \
    0x34d78333U,     0x0c9597dcU,     0x48a924ffU,     0x6fbf0512U, \
    0x88edcf7cU,     0x8cbc1e55U,     0x43e802e2U,     0xcc99f951U, \
    0x13df5f1cU,     0xe2461b26U,     0x1be239edU,     0x87149743U, \
    0x665384d8U,     0xb3435c92U,     0x5db5f687U,     0xff713e16U, \
    0x113c5760U,     0x1753e8cbU,     0x3501ef99U,     0x9fea859bU, \
    0xe36dd9c5U,     0xa78da5c8U,     0x00dfe1a7U,     0xe0298f4bU, \
    0x17370682U,     0x1d56f807U,     0x8099afc2U,     0x238ea102U, \
    0xd1081955U,     0x4fd36ba3U,     0x13ddc8feU,     0xcb801c13U, \
    0x8226cfb2U,     0xf804f076U,     0x4d38bf8fU,     0xeca1d8c6U, \
    0x219d8f24U,     0xfcefc8e7U,     0x402a6a20U,     0x0964dc9aU, \
    0x75b1545eU,     0x08dfc6dcU,     0xa0fbdd7fU,     0x2af31126U, \
    0x4caeb403U,     0xbf4c956cU,     0xbf3e2b42U,     0x5349c85bU, \
    0x717d48fdU,     0x5fbea3a9U,     0xd0b5b4e6U,     0xce8ce066U, \
    0xa15c4f6dU,     0x7ce0087dU,     0xc388240cU,     0xe02b2506U, \
    0xb4e40be3U,     0xde711db6U,     0xcfb2dee0U,     0x6a7eca60U, \
    0x88e423d4U,     0xa5f5bc1cU,     0xf70d747bU,     0x983190dfU, \
    0xcfa0d1d8U,     0xd05203d5U,     0x46a207ffU,     0x0e1b535aU, \
    0x94bb7a31U,     0x60e43753U,     0x03683c8cU,     0x29ed7564U, \
    0xf8847bfeU,     0xdf526379U,     0xe4ee6e75U,     0x5b736d06U, \
    0x763deb45U,     0x9c494147U,     0xa313a5ecU,     0x3393515fU, \
    0x7304b82cU,     0xa94fe07bU,     0xf36add73U,     0x557f16b2U, \
    0x2211e127U,     0xb8fd08c2U,     0xccf30c96U,     0x6ee6c31bU, \
    0xa2cc5211U,     0xa19776a7U,     0xded2507fU,     0x7a378924U, \
    0x12ea09beU,     0xde953aedU,     0x446cc40dU,     0xd4ac4552U, \
    0xdb9e03d0U,     0xf46a25c4U,     0xd9699723U,     0xf17d68a0U, \
    0xe11f360aU,     0xdd622ac3U,     0x1fe25015U,     0xc0dcc158U, \
    0x89f18dbeU,     0xc3aa236aU,     0x636543e6U,     0xe7c9dc30U, \
    0xe5c12618U,     0xdee6e27aU,     0xb8cbc935U,     0x473d906bU, \
    0x5062eb7bU,     0xa6270312U,     0x61996f61U,     0xdf6cd5ccU, \
    0x15ff29bbU,     0x21b95208U,     0x42618fe0U,     0xc2401e06U, \
    0xf69a29f3U,     0x5e4821c1U,     0x95b36e7aU,     0x81f9c911U, \
    0x05f9893bU,     0x0d12ebabU,     0x6a5006b6U,     0x52170692U, \
    0x04710f55U,     0x963346c4U,     0x6d8f2a7dU,     0x26d8c5b5U, \
    0x9aa24bf2U,     0xf6372094U,     0xce9df4a5U,     0x15350adaU, \
    0xffda995bU,     0x7b21ff52U,     0xa8369be6U,     0xc37ca1caU, \
    0x07c15143U,     0x8bc1a371U,     0x38d30b5cU,     0xf92c03d9U, \
    0xecc60eaaU,     0xf3a15345U,     0xf3970611U,     0x7f601a2dU, \
    0x534d7c23U,     0x7cf7ab23U,     0xf5453364U,     0xb1b08fceU, \
    0x3dc6e3d1U,     0x6a1d58acU,     0x734da22aU,     0xdf6f7e65U, \
    0xe0a3361eU,     0x1aefbba8U,     0x758064deU,     0xe17cfc2bU, \
    0x91b4ac7fU,     0x6190f411U,     0xf868395cU,     0x4b9d8d3fU, \
    0xb43d5738U,     0x6e0c53ceU,     0x05c8b3edU,     0xefba430eU, \
    0x78bf7e90U,     0xcd4a32c0U,     0x446d875dU,     0x0c9ffa88U, \
    0xaf69da4aU,     0xc66d49a5U,     0x8e6e503bU,     0x7ff53fbdU, \
    0x4764973dU,     0x0df05f7fU,     0x73c9e8e7U,     0x092c5c16U, \
    0x2b5e7e47U,     0x88b33702U,     0x3f9daabdU,     0x843f8710U, \
    0x984c0347U,     0x42f50f7aU,     0x8a4a8aa9U,     0xe68705cbU, \
    0xb54c8351U,     0xdea9ce5bU,     0x1ddebce2U,     0x78b61448U, \
    0xa7e167c1U,     0x8dcf6334U,     0xa308bb98U,     0x06a96386U, \
    0x9d8a469cU,     0x238df957U,     0x62075794U,     0x98a5c852U, \
    0x77661a48U,     0x8ba8c38fU,     0x3c4dda6cU,     0x2b57c376U, \
    0xd11e55e9U,     0xff301acaU,     0xc1e09de9U,     0x52e14d76U, \
    0xd7361aa4U,     0xc2a90f4cU,     0xd9c5d2e0U,     0x922a344eU, \
    0x50b65a10U,     0x36d76f84U,     0x158c8d1fU,     0xcafdec95U, \
    0xd35b1f1bU,     0x9d3767d5U,     0x3fda21eeU,     0xc25dbbaaU, \
    0x858aeac1U,     0x3a81f57aU,     0x015ad05eU,     0x75755805U, \
    0x504b524bU,     0x4307bad4U,     0xb4373c02U,     0x3d7682b3U, \
    0x81f8417dU,     0x9dc6efa7U,     0xe68d8db5U,     0xb830e880U, \
    0xd699ceedU,     0x8a2d87ecU,     0x846abd12U,     0xa6f63e11U, \
    0x1b059f90U,     0x4b8d541cU,     0xa66a4d75U,     0x1bc41272U, \
    0x4579027bU,     0xf354d45aU,     0x336dd3a2U,     0x78be82beU, \
    0x208c7088U,     0x2bc09e6aU,     0xb01e7d14U,     0xc505f39dU, \
    0x67f07938U,     0xfccdbd4bU,     0xb760b2b5U,     0xc013d090U, \
    0x381a1b00U,     0xbcd2e1e1U,     0xcd76d082U,     0x25b229bcU, \
    0xeeb8a8c9U,     0x5ca92feeU,     0xf54c0866U,     0x9bcfeab1U, \
    0x80f08dbeU,     0x74af8f68U,     0xf67e75f4U,     0xf01865efU, \
    0xd23f2b2cU,     0xd30fca9cU,     0x56828419U,     0x09981baeU, \
    0xa4d7dd19U,     0x3260f72cU,     0x32c66df8U,     0xc227d187U, \
    0xafbe2a76U,     0xa2a742c5U,     0xd971051bU,     0x4aa95f48U, \
    0x771b393dU,     0x325ebd8aU,     0xfaadec07U,     0xc00d70d4U, \
    0x7a67df73U,     0x45cc0a56U,     0xc5a774bbU,     0x6fd5ab0eU, \
    0xfccfe052U,     0x38450d1eU,     0x2c94a77dU,     0xd151ca48U, \
    0xd676a422U,     0x8a5b02efU,     0x2f964f17U,     0xdb4f15a8U, \
    0xe03672f5U,     0xc487d59cU,     0xec495ca7U,     0xad698630U, \
    0x7e6cec86U,     0x2a7cea2eU,     0xf6334ea9U,     0x1e1e8625U, \
    0xc6c6f174U,     0x1b502971U,     0xeece765dU,     0x88431a5bU, \
    0x3293c35fU,     0xe42a2f20U,     0x00554db1U,     0xacd44867U, \
    0xffd89248U,     0xb475ef7bU,     0x80c68dd2U,     0xce552512U, \
    0x14eb2383U,     0xe33ad5c1U,     0xfefd043dU,     0xf4bc4a56U, \
    0x46454345U,     0x361123d8U,     0x3d30cbc1U,     0x5102c51eU, \
    0x49b6d7b6U,     0xe5abe546U,     0x4d3b6c50U,     0xd6c027f8U, \
    0x69dc1a20U,     0x8bf34966U,     0x552ee958U,     0x12e0f868U, \
    0xdaf935c4U,     0x32b41838U,     0xa8810c50U,     0xca43b1efU, \
    0x78c31c7cU,     0xec266205U,     0xe5de94e2U,     0x26204419U, \
    0x8888511eU,     0x7da42d52U,     0x7d09b156U,     0xa901a96eU, \
    0xcee94408U,     0x98ad6a99U,     0x4bee2276U,     0x2d7a151bU, \
    0x0ec2c074U,     0x59c4b329U,     0x86223373U,     0xcff6a112U, \
    0xfcf99b8aU,     0xa6cf1d8dU,     0xbd35491bU,     0xfe85477dU, \
    0x3054f806U,     0x7c98db8fU,     0xd1a9f162U,     0x29a43dc7U, \
    0xfab61d73U,     0x43be74e5U,     0x8e56605eU,     0xdd87c4c9U, \
    0xce6eda6cU,     0xd8f8f7ecU,     0xc6a46fffU,     0x24229c58U, \
    0x49fedc8cU,     0x6680b48dU,     0x1eed0a92U,     0xf220c9ddU, \
    0xd8174f7dU,     0xc4dbd689U,     0x1261d352U,     0x29aa78dbU, \
    0xc696f290U,     0xdd3efcb6U,     0x5d63e142U,     0x263930c4U, \
    0x46a5e822U,     0xf9dd3606U,     0x74c09333U,     0x2940acf6U, \
    0xa8036603U,     0x19fdad63U,     0xb49164f8U,     0x85052102U, \
    0x1a8019f9U,     0x6b27a2c9U,     0x99732b65U,     0x2a654190U, \
    0xbed705bcU,     0xfc5b6823U,     0xe3124772U,     0x93d3273cU, \
    0xad8e1de4U,     0xcc883f57U,     0x57134d90U,     0xfcef3b0cU, \
    0xca08d588U,     0xde59b301U,     0x49aa5a6eU,     0x80c774afU, \
    0x15332c1cU,     0xd4fad6b7U,     0x8181c227U,     0x95e64fbcU, \
    0x39de0af7U,     0x61dc47d6U,     0x7950ce4aU,     0xae8df12cU, \
    0x46a447a6U,     0x6e44a792U,     0x0ce709a9U,     0x374b0617U, \
    0x4831792aU,     0x27fe37afU,     0xf1db7dc1U,     0x84bae578U, \
    0xd9351ebbU,     0xd8520b64U,     0x01b7451cU,     0xbf2a45b2U, \
    0x140ba277U,     0x69be621eU,     0x2173173bU,     0x16a8e957U, \
    0x679a7d67U,     0x621c770cU,     0x130003c2U,     0x21eee853U, \
    0xb404eeb6U,     0xd7ceb87dU,     0x8122884bU,     0x2fbf20a3U, \
    0x9bc42619U,     0xa122e363U,     0xa4f08abeU,     0xcebc0415U, \
    0xf608f058U,     0xd7c44145U,     0x71a9a262U,     0x67649a09U, \
    0x4ddce184U,     0x5ba086cdU,     0x252a8ef7U,     0x7563e387U, \
    0xec298381U,     0x3657e82cU,     0xec1c87cfU,     0xbc9f2a7dU, \
    0x8cf08c2eU,     0x20afb014U,     0xebb95f11U,     0x44bf6c8aU, \
    0x6cdf4ecaU,     0xf4da6b8aU,     0x332bcc10U,     0x42e885c1U, \
    0xf5147a73U,     0x98ccd579U,     0xbe4baab5U,     0x8b0ca797U, \
    0x3bb4f112U,     0x7d9d89a0U,     0x9cbc9e13U,     0x3b10b4baU, \
    0x1785f11cU,     0x5406ea47U,     0x6ee066fbU,     0x0e81d4a8U, \
    0xe326ddc2U,     0x8be832baU,     0x5ea8870cU,     0x9eb1ac09U, \
    0xb3d9b56dU,     0x9ab7ffa1U,     0x80dcbf05U,     0xce502b73U, \
    0xcced19a5U,     0x1c0226f5U,     0x9dc91c4bU,     0x45cacae8U, \
    0x0cc1e635U,     0x76b2d282U,     0xc67d8fd3U,     0x0a8d7ed2U, \
    0xc0f6142bU,     0x368cb192U,     0x22b3d634U,     0xe56124eaU, \
    0x092c7f99U,     0x2146fcc6U,     0xd5ef3f63U,     0x699a643aU, \
    0x3786f411U,     0x7fcfa721U,     0xdc32a42aU,     0xc3c22a51U, \
    0xc3ea182fU,     0x69ac147cU,     0x66946ff9U,     0x74f1a579U, \
    0x29475d22U,     0x52d0f244U,     0x36bedff0U,     0xba1c3533U, \
    0x9c5ad984U,     0xe007b6daU,     0xa91446c2U,     0x7156b894U, \
    0xda93e47fU,     0x1e836d06U,     0xc9bf0b15U,     0x8cde476fU, \
    0x3be348f1U,     0xc4530127U,     0x6777c8a7U,     0x564148f0U, \
    0x75013107U,     0x0eebc806U,     0xdcc7b98dU,     0xd791e05fU, \
    0xf803abcfU,     0xe64a15c0U,     0x1f9fe600U,     0x4e05fd69U, \
    0xbe58ca0cU,     0xebb3cdf0U,     0x24405e24U,     0xe6fb063fU, \
    0x1412b4baU,     0x405b6dc5U,     0x605be569U,     0xe463f0beU, \
    0x0bcfe171U,     0x40f760c1U,     0x89d7fa73U,     0x049ea359U, \
    0x612ed178U,     0x3a0dc299U,     0x77dccd39U,     0xbb6f21eaU, \
    0xb225864cU,     0x3e1f9d55U,     0x331b43a9U,     0x9e5f822aU, \
    0xc542bae9U,     0xe5b656a3U,     0x25cd96b9U,     0x4e2290ebU, \
    0x1a9c582bU,     0xb9345339U,     0xc45700d9U,     0x10a05b17U, \
    0xc62e7c45U,     0x92793798U,     0x0dd3844eU,     0xb2e9a7afU, \
    0x8a09be93U,     0x75f730e2U,     0x51542b08U,     0x6609f86fU, \
    0x417651edU,     0x67a60ed7U,     0xe17ad92bU,     0xfc0b3841U, \
    0x299b5f08U,     0x191c5525U,     0xe25fcf07U,     0x6f5a8917U, \
    0x822c18e8U,     0xf8314772U,     0x0ea2208eU,     0xa3ffe21fU, \
    0xb71d9653U,     0x2baa4b71U,     0xea96ef4fU,     0x7854565dU, \
    0x957aa3cdU,     0x82a90d8aU,     0xd2bc85a9U,     0xd50175b8U, \
    0xd6b0b083U,     0x8f068319U,     0x4300afe1U,     0x60729337U, \
    0x1f57dd63U,     0x38d63f06U,     0xb4cbc944U,     0x1dcaed7dU, \
    0xba103046U,     0x3c71adcdU,     0xa984e1a3U,     0xa0936b9eU, \
    0x980b8a70U,     0xa1e4922aU,     0xe4876569U,     0x80bbfdcdU, \
    0x0fb6062bU,     0xee81d95fU,     0x25510734U,     0xb71860dfU, \
    0xed3f3399U,     0x6d9dfa48U,     0x7bf9e0e2U,     0xb346245cU, \
    0x123956efU,     0x9cedfa8dU,     0x75130797U,     0xc0d51c19U, \
    0xec143e54U,     0x860264c7U,     0xf2e2bf3fU,     0xf152ce42U, \
    0xd11a4fd2U,     0x68585d49U,     0xa73ced68U,     0x49030c86U, \
    0xfa0fc3a8U,     0xef97caa6U,     0xd7900718U,     0xbbcef980U, \
    0xd8b0b8f2U,     0x91e8648bU,     0x328bab1bU,     0x108d6e0fU, \
    0xb0f88fccU,     0x121faac6U,     0xb58c951bU,     0x32e0fcb8U, \
    0x8ed1fcadU,     0x60e1a1d8U,     0xfd02d8f6U,     0x86410922U, \
    0xc73f03a8U,     0x951c8002U,     0x8903e7b8U,     0xe6004d37U, \
    0x76df7666U,     0x0e2461ceU,     0xcfa41c90U,     0xc866c63bU, \
    0xd40d7608U,     0x37aa8c47U,     0x18565163U,     0xdd69f863U, \
    0x90320b49U,     0x8eefc1f1U,     0xe7263ce1U,     0x315dbf83U, \
    0x79feefacU,     0xc48ce60dU,     0xe2c2293fU,     0xcd2ce326U, \
    0x7ae0ca50U,     0xc46e804eU,     0x49ccd8a5U,     0x726b4888U, \
    0xd015d599U,     0xbae81933U,     0x10ebaa7bU,     0x84b2c6dcU, \
    0x6299b130U,     0x2e8ccfe7U,     0x186dc578U,     0xc3e6915bU, \
    0x2ed0bfd3U,     0x8e241a6fU,     0x29394d27U,     0x3006bae5U, \
    0x894886eaU,     0x04a7ffaaU,     0xc0fa6560U,     0x1ecb38c0U, \
    0x120a98d5U,     0x712daf5dU,     0xad77b2c6U,     0x5e476576U, \
    0x6c2a571dU,     0x542c58c3U,     0xd219b614U,     0x249baa15U, \
    0xbf509898U,     0x2bd26e46U,     0x6fd0fe02U,     0x5a2ca92bU, \
    0xa67799fdU,     0x1a34d01dU,     0x681cbf9fU,     0xe4f8f6abU, \
    0x0c5881b0U,     0xe1c4acd6U,     0x594c65e9U,     0xd7a0b6b3U, \
    0x7b9fdbc2U,     0xab3eed33U,     0x26a73f43U,     0x0fafe65dU, \
    0x13088929U,     0x0853a6ceU,     0x0a527366U,     0xebf297ddU, \
    0xd2961089U,     0x5b8ead35U,     0xd5541340U,     0xee9cb637U, \
    0x1c09616bU,     0x4eaa0b1eU,     0xd4ad6186U,     0xafe3b539U, \
    0xfbfa783dU,     0x498c98f0U,     0x7ec53e5cU,     0x13f625f0U, \
    0xfc784141U,     0xd4413c3fU,     0xfdc94691U,     0xac48e1daU, \
    0x457c058eU,     0x38df2d94U,     0x843f4c91U,     0x239e1d4cU, \
    0x58bb0569U,     0xc67f753aU,     0x21a64eabU,     0x4f4b42e6U, \
    0xe2e9a754U,     0x0cac0adbU,     0xc4eb4614U,     0xeeeb2763U, \
    0xdd8cdaa8U,     0x704aa306U,     0x250b1bf0U,     0x40804ba3U, \
    0x27e9987bU,     0xffe2a8a9U,     0x065dcaeaU,     0x1766422cU, \
    0x55037c17U,     0xd1687993U,     0x745d2b89U,     0xcda5810fU, \
    0xe112e5e5U,     0x6b777d52U,     0x94b56ec5U,     0x9277d3b4U, \
    0xa1ced60bU,     0x84be48f8U,     0x29d5ffb1U,     0x8fb6fe68U, \
    0x8830cb91U,     0xbd7eba1eU,     0xbb1bee9bU,     0xd904bbf8U, \
    0x01752c02U,     0x8eb276e5U,     0x48db6cafU,     0xec63eb38U, \
    0x7b9fa317U,     0x7b8bac02U,     0x75e8824bU,     0x38818e06U, \
    0xb828b79eU,     0xe09ac169U,     0xcec6219cU,     0x145a8de2U, \
    0x5eb26a4eU,     0xba3ced1aU,     0x56c869ecU,     0xec5d937eU, \
    0x1d74e63cU,     0xc2c899f6U,     0xdfe2ee4aU,     0x557aeb10U, \
    0x0a3aee9aU,     0x45e61c16U,     0x518b7f96U,     0xd2150f3aU, \
    0x5150fcb3U,     0x67602b24U,     0xac30f5a8U,     0xa6e42852U, \
    0x933d5be8U,     0x3f8e4bd7U,     0x6a451729U,     0x757746efU, \
    0xb5366964U,     0xd7420fc5U,     0xfa872244U,     0x5a13bd32U, \
    0x61a63fabU,     0x49dcaedfU,     0xfac439b5U,     0x3f7ad7baU, \
    0x8b3a88c7U,     0x6ba62e65U,     0x378f68c1U,     0x691169baU, \
    0x4454d36fU,     0xbf5dff9bU,     0x318df7baU,     0x82f24212U, \
    0x82dfa7dbU,     0x7ac98829U,     0xde20e742U,     0x7fbe7c17U, \
    0xbdc445deU,     0x67b3eaf9U,     0x3a893a8fU,     0xa42068a7U, \
    0x2c042d1aU,     0x146e4808U,     0x2d20ce9bU,     0xb695166bU, \
    0xdbbb26f6U,     0x4e5ad73cU,     0x50725f6cU,     0xf3aeed50U, \
    0xa83fca89U,     0xadbb498dU,     0x7edd8f8aU,     0x9d072cd0U, \
    0xadb26231U,     0x80f464e6U,     0x8101ce84U,     0xb6893ae0U, \
    0xc095d79fU,     0x41cad05eU,     0x9ecdea98U,     0x1ee0658eU, \
    0xc675d2d8U,     0xc54254c9U,     0xd5fd65e1U,     0x8afa735aU, \
    0xa2b52ccaU,     0x9b8fc3b1U,     0x1ca097fdU,     0x24e09115U, \
    0x5414dd39U,     0x226c90fdU,     0x7046922cU,     0xc3f793eaU, \
    0x36a0a968U,     0x394c1114U,     0x6ed9146dU,     0xcd177441U, \
    0x342855cbU,     0xf9071f96U,     0x6e405fcfU,     0x78e5dde9U, \
    0xc370989bU,     0x62ac0bd4U,     0x9eb3a4b2U,     0xb1b03169U, \
    0xe1007f9cU,     0xd4973ffcU,     0x0936550eU,     0x82cd1f59U, \
    0xda12034bU,     0x0b6d1257U,     0x21579bbdU,     0xc01bcdf0U, \
    0x076ff2cfU,     0xf14f6ef2U,     0x657d97b7U,     0x3ff08174U, \
    0x47379502U,     0xa639d6c2U,     0xe3fb272cU,     0x0f08e82cU, \
    0xf1cb7541U,     0xf51fcdebU,     0xc6879763U,     0x4439a9feU, \
    0xf5875ae2U,     0xd2d85b3eU,     0x8a384b15U,     0x4cf47a17U, \
    0xf7ecb668U,     0x9997cf8bU,     0xc1ce0b16U,     0xbe3cfc60U, \
    0x11cd6ca8U,     0x025b79ccU,     0x8a44f39fU,     0x8e5b9f49U, \
    0xb9456214U,     0xdb9ff2c4U,     0x1ece4ca3U,     0x783002e7U, \
    0x1af5eb14U,     0x6eb51932U,     0xd7f1964eU,     0x2bae65e2U, \
    0x2a437a1aU,     0x569a4600U,     0xacfaa062U,     0x21572ee7U, \
    0x643a445aU,     0x102863f0U,     0x5fb24b27U,     0x63399f39U, \
    0x18117990U,     0x008e6a8fU,     0xac79b68fU,     0x0998e5abU, \
    0xf874aeeaU,     0x561dfc4aU,     0x052bf023U,     0x463abb68U, \
    0x7d021828U,     0x93f3e859U,     0x55a33d50U,     0x2d0bc9beU, \
    0xc330b820U,     0x5db2fbd7U,     0x8c9bf61eU,     0x5732c8a9U, \
    0x49e5fad8U,     0x74e128adU,     0x385c698eU,     0xb8a7a6d8U, \
    0x382627e0U,     0x2cb268c2U,     0x851ae83fU,     0x7a43489cU, \
    0x82337fe9U,     0x5a31c5faU,     0x1ba6c191U,     0x33467784U, \
    0x16b750b9U,     0x623cf0c9U,     0xbb6670a6U,     0x28ee9ac2U, \
    0xe15fdf39U,     0x638585fbU,     0x5e229e85U,     0x468ffcf9U, \
    0x931e4e5fU,     0x695e340dU,     0x9377451bU,     0xfa2d8ae7U, \
    0x86aff5c5U,     0x7b41f276U,     0x922d4abcU,     0x9b1976deU, \
    0xbb38aeceU,     0xa486b5bcU,     0x85dc82fdU,     0xf76513f2U, \
    0xdbff1a31U,     0x71050319U,     0xe34985bfU,     0xe34c44aaU, \
    0xb89f4582U,     0x43f06f2cU,     0x12f1f664U,     0x6fab730eU, \
    0x2791f53eU,     0x32026ceaU,     0xa1eb1cbcU,     0xf45e5855U, \
    0xf5479d94U,     0x7c718caeU,     0x6125f4e6U,     0x58c16d07U, \
    0xbad85cd2U,     0xee8a461cU,     0x07fad6abU,     0x67396879U, \
    0x6b4d2f8fU,     0x61da1c17U,     0x7c28bcd9U,     0x32b6e5e8U, \
    0x40b03562U,     0x981d773fU,     0x3f9ff8c3U,     0x90e81f43U, \
    0x3637f01dU,     0xaf0206c4U,     0xbff6336eU,     0x42fc365cU, \
    0x09e527c4U,     0xb99da9a6U,     0xc1b697ecU,     0x5ac0069aU, \
    0x8267ffa1U,     0x9031a99cU,     0xaa495c96U,     0x0ebaaad3U, \
    0x2ba71086U,     0x3903e496U,     0x3621fde9U,     0xa83df4faU, \
    0x50f4cac6U,     0x1e8f6438U,     0x28b3a1adU,     0xd736aa09U, \
    0x45c07864U,     0xd0812365U,     0x5a913917U,     0x9e438d8aU, \
    0x38060de4U,     0x1420e0aeU,     0xebd6ff3eU,     0x4e5f6054U, \
    0x5524087bU,     0xf1a050a5U,     0x51ff4cffU,     0xc14db1beU, \
    0x214a7bd3U,     0xf12656b4U,     0x010a907aU,     0xa986fe8dU, \
    0x07998f8aU,     0xca6387bfU,     0xb447f676U,     0xcb9ccee2U, \
    0xdaabf297U,     0xa2e96a87U,     0x8e50f1cfU,     0x5e080c46U, \
    0xa021f1d2U,     0x6c624e92U,     0x99191f98U,     0x6368b108U, \
    0x13b084a0U,     0xc1a3bd70U,     0x2e3604e3U,     0x9a1e40cfU, \
    0x74074accU,     0x9b67ad0cU,     0x769d5f39U,     0xa18d59d0U, \
    0x015bbd43U,     0x19cb235dU,     0x4f0e2f77U,     0x60697472U, \
    0x073a1a0bU,     0x8df96fe6U,     0xed1fe0a5U,     0xfc47062bU, \
    0x656f76e9U,     0x8a32d0c8U,     0x4837987bU,     0xc075c04fU, \
    0xc9ff862cU,     0x86fd9773U,     0xa77bcd2dU,     0xc9b51773U, \
    0x801dd0adU,     0x5778196eU,     0xb2aa3d22U,     0x4b9534b9U, \
    0xc1ae5cb4U,     0x30edaf8bU,     0xff741fe9U,     0x20e6ec4bU, \
    0x5a5b1985U,     0xbee94dbeU,     0x83bdf064U,     0x67aacda0U, \
    0x93d17698U,     0x304bfb20U,     0x731e3b83U,     0x351ff5e6U, \
    0x2ced9144U,     0xb7eb8647U,     0x725bdf77U,     0x6c823ae3U, \
    0x56d2ee1fU,     0x2dfb527bU,     0x12165448U,     0xde89aa51U, \
    0x7588014fU,     0x5cb3f251U,     0xbd514eeeU,     0x8b16aa6eU, \
    0x7685d72cU,     0xe7961919U,     0x8084df37U,     0xefb42317U, \
    0x481ca67fU,     0x009c4d8fU,     0x96860a50U,     0xfff38fb0U, \
    0x757c37baU,     0x23086aafU,     0xedcc1134U,     0x691081e3U, \
    0x622b1c06U,     0xb4b10085U,     0xd581fbf3U,     0x6a938756U, \
    0x00af5c21U,     0xf14cc3edU,     0x163af0caU,     0x279354c4U, \
    0x02804e05U,     0xf8dba51eU,     0xcada53f5U,     0xbef49d1cU, \
    0xf0b1b718U,     0x58a8844fU,     0x6870f535U,     0x1a29e6e7U, \
    0x38debf8aU,     0xc9e5201aU,     0xaccc1adaU,     0xe2d65642U, \
    0xde9a7540U,     0x756dfd83U,     0x4579864bU,     0x6b0ea232U, \
    0x4f334ab7U,     0xccb6ebd6U,     0xc7808f59U,     0x7d57a118U, \
    0x51f86a89U,     0xb220546bU,     0x98ded016U,     0x664ed1f9U, \
    0x8b5f7886U,     0xee177625U,     0x307dddcbU,     0xc270a561U, \
    0xb17507c2U,     0x374bcf71U,     0x92b9045fU,     0x3cc301cdU, \
    0xc7263d34U,     0xaa309535U,     0xfd9cdd5cU,     0xfb27c2ebU, \
    0x3043b3ffU,     0x8846f6daU,     0xc7c6c668U,     0xede8fddaU, \
    0x7640730fU,     0xd11cf782U,     0x2ccf500eU,     0x0f4e51e8U, \
    0x8be5b697U,     0xc31d1fedU,     0x1107b325U,     0xefcdc292U, \
    0xac0a16d8U,     0x636e20b6U,     0x20da0e5dU,     0xa1e55341U, \
    0x65eb02deU,     0x2f5f1b84U,     0x17e15f7eU,     0xf6506548U, \
    0x750cd3dcU,     0xb8dc5031U,     0x06a6ea49U,     0x0d73e935U, \
    0x6a0ed084U,     0xbe35fffeU,     0xf872abd2U,     0x3357e945U, \
    0x8d8275dfU,     0xf0700acbU,     0x62bbc4b8U,     0xc105fe78U, \
    0x82a5abc1U,     0xe10b0695U,     0x24fcc703U,     0xdbd1d02bU, \
    0xe422419bU,     0xe614344bU,     0x15352852U,     0xe15a997fU, \
    0x8c76f029U,     0x7e8db8b7U,     0x18568199U,     0x9b01c30dU, \
    0x8ac05bf4U,     0x092c849eU,     0xd50bf48aU,     0x3138ec4cU, \
    0x3a06fdebU,     0x10e551a0U,     0xa4979cddU,     0xd8511329U, \
    0x87e3b177U,     0x09b490f1U,     0xfe838205U,     0x263e4b62U, \
    0x42e2a7ebU,     0x2df3fe0bU,     0x0b80a892U,     0x1619fc7dU, \
    0x8cd77354U,     0x8da55ecbU,     0x8600003aU,     0xa61e8ce0U, \
    0x69102d03U,     0x73c6dc50U,     0xa2b7c515U,     0x4ddde303U, \
    0x370ba235U,     0xfd7b60c2U,     0x391ec040U,     0xd631ffb3U, \
    0x6841aee6U,     0x3d4fa31aU,     0xf82e5738U,     0x9125d85bU, \
    0xcc9e6fbbU,     0x0955c3f9U,     0x2ed1f63eU,     0x44b0f32cU, \
    0x10e8da3cU,     0xdb56fe29U,     0x3b4f47daU,     0xcc69d243U, \
    0x133a393fU,     0xe1833b3eU,     0xe2939fb6U,     0x83a8d317U, \
    0xd2f52fbbU,     0xf4e537c8U,     0x834feb24U,     0x3fb2bc65U, \
    0x6e4e373aU,     0x103dc0c0U,     0x8b80cacfU,     0x1c632a3dU, \
    0xe6bae4deU,     0x92dac85cU,     0x7bb8cf58U,     0x77d7d775U, \
    0x7514aec2U,     0xed6ec9adU,     0x0bf76f90U,     0xdeff797dU, \
    0x581122f7U,     0xc02d4b5eU,     0xdf54aa57U,     0x4414f8dbU, \
    0x1cdb0c05U,     0x77d1fbbfU,     0x7d88799aU,     0x5df17f19U, \
    0x5f88cad9U,     0xe8d8a33dU,     0x487cfdd8U,     0xe909b6a6U, \
    0x6b32d54dU,     0x8bc06016U,     0xb899aebdU,     0x21a053a5U, \
    0xf2b009a9U,     0xf224f095U,     0x51ae25d7U,     0x4d1685f7U, \
    0xb7a5f907U,     0x542adbceU,     0xeba8e4a8U,     0xc11fdbffU, \
    0x617f38f2U,     0xf947141fU,     0x3d73d300U,     0x77fc345fU, \
    0x1c16b01eU,     0x41d1db8cU,     0x0e708562U,     0xae733eccU, \
    0x81843248U,     0x1e896da2U,     0xe0c97191U,     0xeb2df689U, \
    0xe2618042U,     0x84ecaca8U,     0x4dc81c61U,     0x1a18c4f4U, \
    0x0cf4d15cU,     0x1a12988eU,     0x3162faf0U,     0x354b16faU, \
    0xf75a4f6eU,     0x0a1b8cbdU,     0x6a28c660U,     0x3fb9245eU, \
    0xb7c1ef92U,     0x9f1307faU,     0x71042d1eU,     0xeb235c42U, \
    0x05b2640dU,     0x3355ad42U,     0xb12ab9f0U,     0xf5af9ff4U, \
    0xb951dcc5U,     0x2597a1e0U,     0x0c15b1dbU,     0x3523b4d8U, \
    0x04c43690U,     0xbe9456e8U,     0x9ba492deU,     0xb13df5f5U, \
    0xe831c36fU,     0x7427e8f3U,     0xe9703a0aU,     0x4bacbaf8U, \
    0x28957fc3U,     0x46931f7bU,     0xc5cb5ae7U,     0x3427834fU, \
    0x4693a933U,     0xde71e109U,     0x331d0905U,     0x3a3ed7ccU, \
    0x547435f5U,     0x1ba4fbb2U,     0xdf70edcaU,     0x7df462bdU, \
    0x77d07620U,     0x7ab27cb7U,     0x222a10d9U,     0x7c38dd72U, \
    0x2d2da7b4U,     0x33acbfe2U,     0xf8c3e5e8U,     0x2c929625U, \
    0x5208f0ddU,     0xd6346b60U,     0x69d3b702U,     0x18d91e6bU, \
    0xb7d865a5U,     0xeea86cb3U,     0xe2b6fd06U,     0xf5e8a924U, \
    0xe6025399U,     0x593aa12fU,     0xa51bb73cU,     0x824c8011U, \
    0xa29041d4U,     0x86c2536fU,     0xb5093343U,     0xd03a4e67U, \
    0xa1d4bb75U,     0x44b0143dU,     0xed7db450U,     0x102c062dU, \
    0xfbc8d912U,     0x184e8499U,     0xda82a29bU,     0x57d0d3b9U, \
    0xfff569d9U,     0x8c1ce259U,     0x6f84b505U,     0x24c244f8U, \
    0xcfd9015cU,     0xfde4082cU,     0x0ed56260U,     0x6aca1c41U, \
    0xb86bfa19U,     0xf4635708U,     0xcdcde1c9U,     0xbacc534fU, \
    0x5046ec70U,     0x84b65edcU,     0x153b8304U,     0x45a41d5bU, \
    0xc0cb8a99U,     0xc9163c6fU,     0x177bd01fU,     0xcb1d8326U, \
    0xfca5be08U,     0x2ffd0b37U,     0xd5b42092U,     0x940cf579U, \
    0xc42ba7d4U,     0xb4f414a4U,     0x0bc1ff4aU,     0x5a321411U, \
    0x093d384aU,     0x31ba0857U,     0xcb8cbf20U,     0xaa555dd3U, \
    0xaa0a79d0U,     0xa3ee69cfU,     0x7e4ab248U,     0x5aac6d9fU, \
    0x6accdc52U,     0xc8e331e8U,     0x6bb72373U,     0x079879a0U, \
    0xa10a6b01U,     0xa68c5784U,     0x22cb49c2U,     0x6be3f39bU, \
    0x6e3c6238U,     0x7b93f6e8U,     0x87416795U,     0xc8f3f1d0U, \
    0x6445b51eU,     0x809aa2f2U,     0x939ec6faU,     0x148680ebU, \
    0xa49e3be6U,     0xce783b08U,     0x21c0f871U,     0xb8bf2d6cU, \
    0x81d5cf98U,     0xf4123f45U,     0x89021697U,     0xfbe804d4U, \
    0x1ba56b04U,     0x98642086U,     0xcb3e5561U,     0x418240fcU, \
    0x8bc0a42bU,     0x8c12bd46U,     0xd98d577dU,     0x4d9bf503U, \
    0x52b68e06U,     0x3f6a505eU,     0xabf4c59fU,     0xfa9bc1a4U, \
    0x3aebf099U,     0x67632e09U,     0x841740e9U,     0x54f524ccU, \
    0x661c8de5U,     0x632d3507U,     0xbe5f7744U,     0x504e5ed7U, \
    0xe3bca459U,     0x9b76bb06U,     0x7cbea8baU,     0xfed5d9b0U, \
    0xc37b735eU,     0x081d4191U,     0xf5fdc7c7U,     0x6f911c68U, \
    0xc3658919U,     0x10568b95U,     0x8f9b5e1dU,     0x1c18d85eU, \
    0xac24431fU,     0x2c8f92b1U,     0xb9e17750U,     0x837cc156U, \
    0xd946ada1U,     0x6f9c8137U,     0xe330cd1fU,     0xca4563a2U, \
    0xe310b18fU,     0x35df5089U,     0x5f787480U,     0xb1c478d1U, \
    0x81fb7875U,     0x584dd4ddU,     0x12b30db4U,     0x0ef12dcfU, \
    0x98c9b7f2U,     0x1531522eU,     0xcc1b67b6U,     0x63d1435bU, \
    0x0c4774c8U,     0x813de27eU,     0x940d0e6cU,     0xce6f2488U, \
    0x9c624b08U,     0x426fc413U,     0x9ca3d171U,     0x98fa1157U, \
    0xe47e509bU,     0xe8cf340fU,     0xba8c6df9U,     0x21b6a589U, \
    0xc262fc30U,     0xa90ca40dU,     0x52ef49a1U,     0xb5b3026cU, \
    0xdc8baa80U,     0xd913c218U,     0x3a3b259cU,     0x3ceffbcfU, \
    0xc46d8b3bU,     0xb29a2139U,     0xe4bacbaeU,     0xb25dd566U, \
    0x729c6539U,     0xa9c063daU,     0xef060fc2U,     0x9adcec77U, \
    0xb9681d8cU,     0x06056c5cU,     0xa357aef1U,     0x10e5f54bU, \
    0x7aca240eU,     0x8ec536fbU,     0xfae6a861U,     0x289b8f53U, \
    0x6c7fb7dfU,     0x1fda2702U,     0x2a822f05U,     0x110b6c45U, \
    0x8b77f76bU,     0x39ca39d6U,     0x31024202U,     0x9e8c596fU, \
    0xf8926229U,     0xa512190dU,     0x530d4427U,     0x6cc75e79U, \
    0x6a55cc7dU,     0x9bc0d148U,     0x4245b010U,     0x67c4d3b3U, \
    0xbe830c6aU,     0xab9b81c8U,     0x382f4309U,     0x467bfd87U, \
    0xedbd1220U,     0x2070bc25U,     0x69f5b9bbU,     0xa51ac94aU, \
    0x948c312eU,     0xbbca3d93U,     0x5820b01fU,     0x3b6eb29cU, \
    0x0510b01bU,     0x2294082cU,     0xc39892b2U,     0x45752a09U, \
    0x50760218U,     0x507adccbU,     0x40399d3bU,     0x2ba05bc3U, \
    0x0d5c464eU,     0x2e7056a8U,     0xcb2eb3acU,     0x7ec841bbU, \
    0xf9bfaab1U,     0xa18018d7U,     0xeaf706c7U,     0x851e504eU, \
    0x083b65ecU,     0x06e52717U,     0x61f1ce8fU,     0xd4291501U, \
    0x67c416e8U,     0x265f92fdU,     0x7fcd1520U,     0x943c8c08U, \
    0x0dfe423fU,     0x57a3719bU,     0xb9aed261U,     0xb66d3dbcU, \
    0x3a01e907U,     0x1657df20U,     0xfc3bcc76U,     0x741b69b1U, \
    0x818de15aU,     0x2b34a816U,     0xb2e2e55eU,     0x1515039eU, \
    0x400f6c9eU,     0x7d8e50f0U,     0x7d7b65c7U,     0xca185811U, \
    0x55c45b25U,     0x072efe0cU,     0x84f17e21U,     0x74763741U, \
    0x1062c438U,     0xcc017603U,     0xd36a2d6bU,     0xc53ebd2bU, \
    0x3f4209bdU,     0xb9dcf010U,     0x4613358fU,     0xca8999d8U, \
    0x979a9ee8U,     0xf448d7ddU,     0x97241820U,     0x27b7baadU, \
    0x01cc1fb3U,     0xd7bfbc39U,     0x5d7fa962U,     0xa94781d7U, \
    0xabca1d7aU,     0x9c0a9432U,     0x4ff12d0eU,     0x5c9499cfU, \
    0x5331e389U,     0x09f31d0fU,     0x234f7dacU,     0x9d2a0241U, \
    0xf1dc441dU,     0x8c27da40U,     0xf55f25bbU,     0xaa8beac8U, \
    0xf5ffcd6cU,     0x9c630b19U,     0x58a8a920U,     0x50381cf5U, \
    0xe317e039U,     0xc5c76d99U,     0xc48a7c3cU,     0x3187e73eU, \
    0xf15ea05bU,     0x36b89255U,     0xd42b8f6eU,     0x0d35a373U, \
    0x674d29e7U,     0x4ae4b079U,     0x601b6071U,     0x59cba7c0U, \
    0x5984b2ebU,     0x23fb200fU,     0x2d0be7d1U,     0x5d055012U, \
    0xca953d95U,     0xc6da996bU,     0x394d1d94U,     0xbee6e3ecU, \
    0x146b5176U,     0xf16b5a97U,     0x29c58725U,     0x29574d79U, \
    0x0397d520U,     0xf2cd2cf1U,     0x056b7467U,     0x2122e2d7U, \
    0xe97e2a58U,     0xab065bfeU,     0x056822edU,     0x85460b4cU, \
    0x6d83a9cbU,     0xaaf3837aU,     0x442a00ffU,     0x8617ae1bU, \
    0x36e106c2U,     0x7fdf5561U,     0x9b7122dfU,     0x8ba8d1beU, \
    0x5563cb96U,     0x2172378bU,     0xcea7ab44U,     0x4bb41e07U, \
    0x65482006U,     0x45902548U,     0xef6f23ddU,     0x7134176fU, \
    0x0e4e8b0aU,     0xbe163fb0U,     0x18d4b6f5U,     0x1eb0d635U, \
    0xb2c19b2dU,     0x758ea36aU,     0x293b8c5eU,     0xf487b843U, \
    0xe6a059fcU,     0x84938721U,     0x45d04ad6U,     0x903099f0U, \
    0x62e6bcdeU,     0x4340ba4eU,     0x7f44a436U,     0x92867411U, \
    0xc4cd4823U,     0xa2ea48e5U,     0xeb6efaf3U,     0xf374b120U, \
    0x5f8cdc0aU,     0xb432a59dU,     0xb66326e8U,     0x278b7e3fU, \
    0x4c4e7d8cU,     0xab4b4f8dU,     0x59ee2408U,     0x7fe20d3bU, \
    0x8e1a2d56U,     0x5620a238U,     0x6d6e180eU,     0x6c732027U, \
    0x722375a5U,     0x1c537f8aU,     0xf0a6fa7bU,     0x1ba4aa1fU, \
    0x440c819bU,     0x5a9145fbU,     0x69510598U,     0x823c1a09U, \
    0x7a92da8cU,     0x1c1fef72U,     0xa3ddc003U,     0xec82e254U, \
    0x87ac4792U,     0x25c73c72U,     0x44a0fee4U,     0xdc71f0f7U, \
    0x4f5aebe4U,     0xa41c486fU,     0x8855351eU,     0x5a99cf2eU, \
    0x4d771eafU,     0xef772e27U,     0xb18aa4f8U,     0x4f21d80aU, \
    0x604dac2dU,     0x5898661fU,     0x2e4447feU,     0xf958e279U, \
    0x39c8a163U,     0xcc5bc760U,     0x3c96d928U,     0x033b8adbU, \
    0x851342c8U,     0xdbce9e40U,     0xac305f14U,     0x77f85e82U, \
    0xc04e2878U,     0x1b763cdeU,     0xccff46c8U,     0x1786e1f8U, \
    0x60f93230U,     0xdfafe837U,     0x4c8e847fU,     0x8a8a2e5dU, \
    0x2fa0f0b8U,     0x5b93f6b9U,     0xb3dddd34U,     0xfc3b8ea5U, \
    0xd9cde8e6U,     0x95b20799U,     0x284bf1cfU,     0x6f0b8a3eU, \
    0xf63c75c2U,     0x7bb8f881U,     0x019242e1U,     0xb0670ed6U, \
    0xe9f01da1U,     0x4c92b4c0U,     0x958c2759U,     0x031adbb2U, \
    0xe70f99e4U,     0x4a4737d8U,     0x243b3376U,     0x210c9760U, \
    0x42b4b010U,     0xa5b02facU,     0x06f3cb48U,     0x13ec2f30U, \
    0x73eda303U,     0x7633f976U,     0x701e1c84U,     0xe6c0893bU, \
    0x17e182c2U,     0xc7059902U,     0xab522568U,     0x12a8d59cU, \
    0xe2a47404U,     0xe6cbc3d5U,     0x094c1c80U,     0x55a7b415U, \
    0xe6c4175aU,     0xe25d7af4U,     0x132df3eaU,     0x4ba7c6e0U, \
    0x4f451796U,     0x3a635594U,     0x5688af19U,     0xf736b2cfU, \
    0x68476e98U,     0xfdddcdbbU,     0xbebffb77U,     0x87c3c064U, \
    0x501b6e4dU,     0xcbd66430U,     0x9d2fc268U,     0x9d05993aU, \
    0xb86dcb96U,     0x62f89f14U,     0x5bf8acbfU,     0xe9673bcdU, \
    0x19256330U,     0xafdf75b3U,     0x646bac1cU,     0x3d445c55U, \
    0x732e8eddU,     0xab80825cU,     0x18dde32eU,     0x12349067U, \
    0xfd2fd6abU,     0x0bccbfb6U,     0x4a518bcaU,     0x95b82a97U, \
    0xf10a1e11U,     0x3513b3a8U,     0x819d3e11U,     0xb2bd5c05U, \
    0xae9bb5d0U,     0xa1f24b7fU,     0xa62189b8U,     0x1f8fb679U, \
    0xd97c1d2dU,     0xa08d2ae9U,     0xe7cfbb13U,     0x89edeb25U, \
    0xfcc90b57U,     0x7e1276a8U,     0x6e0715f0U,     0xdc75785aU, \
    0x84b33724U,     0x0778540bU,     0x95f5cb44U,     0x7084cb94U, \
    0xd2a09a9fU,     0x7d4daa9bU,     0x603615bbU,     0xabbb5cc8U, \
    0x9cf93daaU,     0xc5c6130fU,     0x6fa065ceU,     0xa90dbad7U, \
    0x829e9d26U,     0xfd7e7c76U,     0x24cd49beU,     0x6f05d53cU, \
    0xac6e13b1U,     0x6ded806fU,     0xdfd01090U,     0x0d52d2bcU, \
    0x6c58f91aU,     0xdcdaa0b7U,     0x8a0d4b28U,     0x898a181eU, \
    0x14d9a66dU,     0x246b8754U,     0x8e0e1630U,     0xb97097d7U, \
    0x04b21a7bU,     0x8f54e672U,     0xdf395e34U,     0x472a8924U, \
    0xe1ec8c0dU,     0x663a3bb5U,     0xa7a3c0c3U,     0xd64dfc7bU, \
    0x49684d5cU,     0x431c0b1aU,     0xe0ea19fdU,     0x56a5d57eU, \
    0xffcb3c74U,     0xd9297eccU,     0x22195b72U,     0xe421b6a0U, \
    0xc1f2c253U,     0x22416dddU,     0x94654485U,     0xdc4ce8a2U, \
    0xf2c5e5a2U,     0x4ca659ccU,     0xc7b2273bU,     0xce0b0b87U, \
    0xa5cc1ca8U,     0xd86ae652U,     0xa161e834U,     0x06baccbbU, \
    0x136b156fU,     0x0c0f23f2U,     0xcb0e5a78U,     0x81e7ae71U, \
    0x2b176f51U,     0xe321ddadU,     0x3eb392c4U,     0x8f23a43bU, \
    0x4b90bd6bU,     0x308d7f41U,     0xd02c1b1bU,     0x70dea651U, \
    0xd3d71f76U,     0xaeb22e05U,     0x4f4a09fcU,     0x3c1a416fU, \
    0x14b8dec1U,     0x1ddf774aU,     0xe8b2728eU,     0x085444b5U, \
    0x72115583U,     0x0317e737U,     0x56fd3f48U,     0xc9cbeba2U, \
    0x0815023dU,     0x7ba224bdU,     0xd0f3e3eeU,     0x3919888fU, \
    0x8916510aU,     0xf56e3920U,     0x0df08bbaU,     0x64048235U, \
    0x640690f9U,     0x21aa0065U,     0x26b38c80U,     0x8b6107b5U, \
    0xd8eb3dabU,     0x2c1714b1U,     0x15b3ec6dU,     0x10f3c91dU, \
    0x0729cdeeU,     0xf07e8503U,     0xdb80701bU,     0x8b46e9e1U, \
    0x2d8d0819U,     0x01797f61U,     0xbbcf64c8U,     0x49655003U, \
    0xc0503092U,     0x8400c0fcU,     0xfdac994aU,     0x9d34a2ebU, \
    0xe1090597U,     0x85b7decbU,     0x4a880516U,     0xd17f882dU, \
    0xb1b2aea4U,     0x8abe09e9U,     0x4e4bcdadU,     0x18d7eb53U, \
    0xee659999U,     0x1405f3abU,     0xe374f1e9U,     0x701e57f5U, \
    0x79f0fa80U,     0xae4dba06U,     0xd28364aaU,     0x77f41047U, \
    0x079c948fU,     0xd423b87aU,     0xcd6396ccU,     0x78757653U, \
    0xa5f772e8U,     0x53aff9fdU,     0x3c6a2005U,     0x2fe52895U, \
    0xfc7bd79dU,     0xf7653cd8U,     0x70f341c6U,     0x0a496d4aU, \
    0x885170d9U,     0x031e51f2U,     0x67516f06U,     0x4d67cf2aU, \
    0xbfdfde2bU,     0xfbe28c58U,     0x6bfe8813U,     0xd26ed52eU, \
    0xd956bdfcU,     0xf02b2b28U,     0x7dafa94bU,     0x2268abfeU, \
    0xa406beccU,     0xea95e94aU,     0x8025ff16U,     0xb5ea6053U, \
    0xbcb4dcd5U,     0x260978a5U,     0xe1f2e74cU,     0xc8e8ca56U, \
    0x6d16201eU,     0xdd2dcbb4U,     0xccae1faaU,     0x447b47c1U, \
    0x1168ba64U,     0x8951dc98U,     0x592f44e9U,     0x5a8d748eU, \
    0x8486cfd4U,     0x0f618185U,     0x8cefacbbU,     0xa716db9bU, \
    0x6f209befU,     0xd1b60f2eU,     0x70b39478U,     0xfb51ce8eU, \
    0x323b673fU,     0x683eb0f4U,     0xa45f2729U,     0x1f64d385U, \
    0x2238d656U,     0xdb9a9508U,     0xd9d93291U,     0x23305960U, \
    0xdad24340U,     0xa4bc2a6aU,     0x032a2de3U,     0x9492406bU, \
    0x18dfb889U,     0x8fb26c81U,     0x5d504b32U,     0x1e4b9fd5U, \
    0x45602c73U,     0x8dab9c1dU,     0xa37dff83U,     0xed2dcacdU, \
    0xce0d42d6U,     0xaa78a97fU,     0x66914bb5U,     0x5983226eU, \
    0x7fe0760cU,     0xe8d95f38U,     0xb81f54ecU,     0xe77b04adU, \
    0x654c6642U,     0x32d36e68U,     0x604eff17U,     0xb0f87984U, \
    0x82c7bc03U,     0xe05a40e2U,     0x19353fd6U,     0x934f7309U, \
    0x2bcc63a3U,     0x2c0b8de0U,     0x7b76212dU,     0x744a7f66U, \
    0xa4c46a24U,     0xe54a348fU,     0xe244bd76U,     0xcc52c3eeU, \
    0x957ebca9U,     0x178eb913U,     0xe99dfc5fU,     0x741b108eU, \
    0xff46231aU,     0x4a76f477U,     0xab50e176U,     0x398fc1cbU, \
    0x9042638aU,     0xd016b604U,     0xcfe1b1e1U,     0xbc5e216cU, \
    0x847b3566U,     0x93604354U,     0xeb1fc673U,     0xca2e5e74U, \
    0xfebe01d0U,     0xb14cb087U,     0x75371246U,     0x58c3f558U, \
    0xe89daca6U,     0xea14c256U,     0x42568cafU,     0xbd068501U, \
    0x95bbdfb2U,     0x073aa623U,     0x26e6b26cU,     0x9b2de271U, \
    0xe14d7ca8U,     0x8f884e32U,     0x416c3798U,     0x868cc1d9U, \
    0x6bad17b8U,     0x3c4886d2U,     0x8f721058U,     0x3d74304eU, \
    0xc7b2f8e3U,     0x3e04b182U,     0x163d9d0bU,     0xd918724bU, \
    0xaaa82e17U,     0x2a90388aU,     0x1a6b68ffU,     0x38cd99d0U, \
    0x4b147589U,     0x5da0b3dcU,     0xac4348eeU,     0xe40243b3U, \
    0xd156e350U,     0x48779058U,     0x56506222U,     0xacf9c6d3U, \
    0x3e49129fU,     0x012d046aU,     0x006549b6U,     0xb1174610U, \
    0xa8a142a7U,     0x673ebf9eU,     0x90fd0240U,     0xbfb3a476U, \
    0xc77944f6U,     0xa2bfe3d7U,     0x0004d685U,     0x898ef87aU, \
    0x4efe692bU,     0xffc5b6ddU,     0xf7de95a5U,     0x23e6e53dU, \
    0x1c7c8a00U,     0xfe9828a1U,     0x35c4db80U,     0x08a35ab1U, \
    0x138054c0U,     0xe2652153U,     0x93544f15U,     0x983314cdU, \
    0x04f5d8ccU,     0x9a640017U,     0xe84814b1U,     0x88d3c786U, \
    0x1439e6b5U,     0x5970c91eU,     0x07169f3cU,     0x035baa18U, \
    0xaf6cdfa5U,     0x832b25e3U,     0x38331690U,     0x12a57e09U, \
    0x406ada5bU,     0x578fe626U,     0x93cc429cU,     0xf6355e99U, \
    0x9016280cU,     0x1da99f53U,     0xbdcdef4cU,     0x05191098U, \
    0x2258b0e6U,     0x1b0e3ae2U,     0x7112bbb0U,     0x69ae37e3U, \
    0x200f63c7U,     0x71ae7120U,     0xadea2fadU,     0x5ef5bcafU, \
    0x3b0626b6U,     0xaa97bb1fU,     0x99b5ae39U,     0xb0d9135dU, \
    0xe0ce3beaU,     0xb6561a86U,     0xbf855f4bU,     0xa3e45570U, \
    0xc3d78a33U,     0x52636cf8U,     0x3f802a7eU,     0x81c509d5U, \
    0xbbb7db5dU,     0xf457a59dU,     0xda2af0ecU,     0x9cc7c385U, \
    0x0e69f866U,     0x8a1dc190U,     0x34148d9cU,     0xebb3ff4aU, \
    0xe4732375U,     0xce65d170U,     0xc4b4b64aU,     0x00987443U, \
    0xc728bbc4U,     0x2aef2c93U,     0x6eccc8b3U,     0x62c8d346U, \
    0x9ff1d16aU,     0x473ae7b7U,     0xbf8fec78U,     0x9fa53e38U, \
    0xf6eaceb6U,     0x2ec7c84dU,     0x1f4b94d4U,     0x039cebafU, \
    0x96171bf2U,     0x1503552aU,     0x0649a140U,     0x71a814ecU, \
    0x0b4942f6U,     0x5d7e802fU,     0x9119dba9U,     0xfb84008bU, \
    0x648d6813U,     0x016ca38cU,     0xb59ea2efU,     0x61e2fa21U, \
    0x18a781b4U,     0x031af089U,     0x50c0b349U,     0x99348117U, \
    0x73323ca7U,     0xaacc8379U,     0x418f3a5cU,     0xc8ea10fbU, \
    0x685a1931U,     0x9620f6d7U,     0x3f93ef1dU,     0xee02da2bU, \
    0x9d82105cU,     0x0f02c5baU,     0x571f4ed8U,     0x47db4483U, \
    0xdf98bc09U,     0x12a61585U,     0xd0dc62d5U,     0x1f08328eU, \
    0x07e9bf2eU,     0x1d9d1730U,     0xd560d99cU,     0xe970ebbdU, \
    0x78491d75U,     0xa362b9b7U,     0x3f7bc030U,     0x033077e2U, \
    0x1e17efdaU,     0xc1417201U,     0x59f58727U,     0xe2518c5fU, \
    0xc0a15cb5U,     0x15ab7367U,     0xe01f1affU,     0x33020bf5U, \
    0x8da75855U,     0xe4b66664U,     0xaa2153cbU,     0xb143ece2U, \
    0x8371410eU,     0x76d6f00cU,     0xdae201f7U,     0xef512d5fU, \
    0xa0f7eadbU,     0x38609bddU,     0xa5a5d1e7U,     0x0f994b5fU, \
    0xdd9aba0dU,     0xdcabebf1U,     0xdb397e01U,     0xc36b8a8aU, \
    0x10966f0cU,     0xf47ec50cU,     0x5dfd346dU,     0xf66695a1U, \
    0xd5aba37eU,     0x14826163U,     0x60b040a1U,     0xe4c1abe6U, \
    0x57b43c1fU,     0x33d07f05U,     0x87331ceaU,     0xa01e2260U, \
    0x928264beU,     0x9ab2b033U,     0xf3fa2358U,     0xa18864deU, \
    0xc0d547f7U,     0xbaaab603U,     0x753bf69dU,     0x88623becU, \
    0x954f9496U,     0x2319c3faU,     0xae934f7eU,     0xf77da9b0U, \
    0xe262e622U,     0xc6e22ca3U,     0xbc80035fU,     0xa73338daU, \
    0x2cbf2686U,     0x25ab3c2dU,     0x1a39382bU,     0x224a14e6U, \
    0x0d2550f5U,     0x4b396f5bU,     0x1ff457c3U,     0x9e6b59ceU, \
    0x56662b50U,     0x0f811c87U,     0x6ec5e29cU,     0xf3db85ddU, \
    0x67004347U,     0xd5277382U,     0x96c330aeU,     0xf1e496baU, \
    0xc062e879U,     0x24f3c38fU,     0xfd3ffb48U,     0xa1e38c04U, \
    0xa7365555U,     0xa0844a0cU,     0x34a1dedeU,     0xfa7d6592U, \
    0x1d988015U,     0x8f9d514aU,     0x92321a02U,     0x9677f3c3U, \
    0xe8e14abeU,     0x9f91e3fbU,     0xab25a4bbU,     0xc272f2c2U, \
    0x5cf8cde1U,     0x6d533ff6U,     0x4a0e040dU,     0x9ac24daaU, \
    0x2508387bU,     0x82ad29d3U,     0xc2501091U,     0x818d14d3U, \
    0xb77e75e5U,     0x7a8292f5U,     0x4b2261b9U,     0x88cc1979U, \
    0x37eca0a2U,     0x12bb4c93U,     0xf62d229dU,     0xc808cec2U, \
    0x8b8209b4U,     0x783151a0U,     0xffb14590U,     0x7e456b8aU, \
    0xd8082716U,     0x2e887bfbU,     0x81c2688dU,     0x3ea1f972U, \
    0xdfd4c5b5U,     0xd1b2ecb8U,     0x5fd646c5U,     0xa0074bccU, \
    0x71e013b7U,     0xd0e1ce34U,     0x13155592U,     0x73a5d515U, \
    0x49fc6ff0U,     0x3bbff2bfU,     0x4818ab4eU,     0x5bb2d5c2U, \
    0x516b8287U,     0x0a013f3cU,     0x7c2f3f0cU,     0x81a7af43U, \
    0x3e68f11bU,     0x44f073a1U,     0xeef014f6U,     0x92ab970dU, \
    0xe9f08861U,     0x4c8be98cU,     0x4def1396U,     0x7168c125U, \
    0xaa3c42fcU,     0x300f6b8fU,     0xe765b710U,     0x3a70823aU, \
    0x96f85705U,     0x2695322fU,     0x2a1cf29eU,     0x1e5e9ac5U, \
    0x19da3f9eU,     0xf7397753U,     0x99981838U,     0x5701d4c5U, \
    0xa8c9a0c0U,     0xc3b8cf78U,     0x802d4f3dU,     0xf5c5a16fU, \
    0x3b8dd042U,     0x8d660d9fU,     0x96ef2f7dU,     0xece9d941U, \
    0xe92057d6U,     0x43afd08eU,     0xb6dd82b6U,     0x0dd82f25U, \
    0xfb4d5b4aU,     0x240cf65eU,     0x180b5650U,     0x3c774b40U, \
    0xcf473f9bU,     0xc8eb6996U,     0x42c28dc1U,     0x703a1ef2U, \
    0x84cc6efdU,     0x225eaae8U,     0x98f3cf52U,     0x9d752f6bU, \
    0xdf524b5aU,     0xbd955395U,     0x31d56268U,     0x81d36973U, \
    0x927acb8eU,     0x98f2678dU,     0x3270472eU,     0x9ef3fc26U, \
    0xa13335ffU,     0xa0314c70U,     0x0f94291bU,     0x94bcd0d3U, \
    0xa47598d5U,     0xe5d773c0U,     0x4fe80a7cU,     0x743f655aU, \
    0xfe3cc4d8U,     0xfa810914U,     0x872aeda6U,     0x51f528dcU, \
    0xa8a13841U,     0xdd894770U,     0x55864dd6U,     0x6a3f8652U, \
    0x33bef9c2U,     0x5d5d225dU,     0x7b1c5a13U,     0xb7cdd600U, \
    0xb4309b94U,     0x589807e4U,     0x26e0eba6U,     0xba575ccaU, \
    0x83ab43b4U,     0xda02b2ccU,     0x7766f4cfU,     0x074d3dc1U, \
    0x36fbe704U,     0x2a017168U,     0xda4e4d90U,     0xa8f2e3ebU, \
    0x15f2a830U,     0xf4102e29U,     0xaeec7224U,     0x16031fa7U, \
    0x23ec6553U,     0x7cc42fe9U,     0x1c21e5e6U,     0xe52c326dU, \
    0x3d461e8cU,     0x6eaf31efU,     0x94f813e4U,     0x59e18c05U, \
    0x3b85acdaU,     0x198da7f9U,     0x3d54aa3fU,     0x57de18f2U, \
    0x9bb3bb71U,     0xe2508767U,     0x2df1d876U,     0x8fd8784eU, \
    0x04380882U,     0xf90902b8U,     0xfa584855U,     0x9b5d7761U, \
    0x612d6199U,     0x9706da87U,     0x2aad2178U,     0xa734da8dU, \
    0x3e4a7dc5U,     0x7039c7ceU,     0x51420726U,     0xc313c01cU, \
    0xd1be2216U,     0xc6aa2e6eU,     0xa4848d9dU,     0x37884843U, \
    0x69747284U,     0xedfada38U,     0x632e9743U,     0x4638baafU, \
    0xc1339b29U,     0xd017ef22U,     0x7d62d06cU,     0xb80bc062U, \
    0xb9298e34U,     0xdff4cc64U,     0x99007e6cU,     0xa7c895e9U, \
    0x91eefa05U,     0xa4d02a5cU,     0x453da5e9U,     0x58375b59U, \
    0xeb70562aU,     0xd70bd8e9U,     0x51e39ec4U,     0x272df997U, \
    0x5da183d1U,     0xdeab9f62U,     0x68b85387U,     0xd998b5e5U, \
    0x575cad79U,     0x9ec8acdeU,     0xb221c9fbU,     0x029e934dU, \
    0x72b43150U,     0x4c3c54e1U,     0xc88e1407U,     0x4969916dU, \
    0xbc12c2dfU,     0x1b90e2a4U,     0x6c6b4451U,     0x379fc106U, \
    0x7a2cbf92U,     0xb266aa20U,     0x500140bdU,     0x433e31e0U, \
    0x554508c9U,     0xf411dc44U,     0x73d4b271U,     0xfddc6c55U, \
    0x806c4d44U,     0x34da39beU,     0x36f5d799U,     0xf87513b7U, \
    0xf5ce8511U,     0x730449b1U,     0x50930268U,     0x498f3669U, \
    0xd0a4eb0aU,     0x8bd34371U,     0x889a8f4fU,     0x64886fffU, \
    0xfcb49122U,     0xba7159f8U,     0x8537a9d9U,     0xcd3d3ef6U, \
    0xc06c6aeeU,     0x703b3b6eU,     0x52631872U,     0xe5df7f37U, \
    0x3ceb2cdfU,     0x3aac1868U,     0x77f46d72U,     0x4efe36a2U, \
    0x603f65a5U,     0xaae699e6U,     0xc96acd7bU,     0x6aed05e3U, \
    0x88136959U,     0xbcb1121fU,     0x73debd04U,     0x1c9cad14U, \
    0xd38441eaU,     0x7ec1e6b7U,     0x042409c8U,     0xd65b3849U, \
    0x02f37a95U,     0xdb97942aU,     0x1297abaeU,     0x6e9a0389U, \
    0x30c22f3dU,     0x8186fe15U,     0xe071b954U,     0xbefc9a40U, \
    0xd641083dU,     0xd5ef723fU,     0xec59c7b2U,     0x7f643327U, \
    0xb90c7526U,     0x2471685fU,     0xa37a6cb1U,     0x6038697aU, \
    0x758ec655U,     0x01e82506U,     0xcbf9d794U,     0x7688e6a0U, \
    0xcb026a1aU,     0x4f903920U,     0x56f29981U,     0xc9c7ee97U, \
    0x0ebb994dU,     0x9325c44eU,     0x44f86abaU,     0x6f81d9edU, \
    0xd546c606U,     0xe96433f1U,     0xb547d15cU,     0xabd96600U, \
    0xa1d34fe8U,     0x6b4cc79aU,     0x98964088U,     0xc5fef3bdU, \
    0x6b723560U,     0xa065f514U,     0xebee9045U,     0x401c1f05U, \
    0x40175ee8U,     0xbaa912d5U,     0xbfbb68d7U,     0xd98abb60U, \
    0x37c145d7U,     0xc0d6a00eU,     0xfe1c9a15U,     0xec74c5deU, \
    0x58af4b25U,     0xd5144e22U,     0x36cacad9U,     0x5a35cac3U, \
    0x2547f7c3U,     0x25123591U,     0x33369ec3U,     0xcfdb4541U, \
    0xd613b836U,     0x059ac110U,     0xb324b8a6U,     0x75fd4940U, \
    0x3718db81U,     0x0645d08aU,     0x5682e3f0U,     0x8b1fa1d6U, \
    0xee18687dU,     0x58eb676dU,     0x6047786cU,     0x17f40076U, \
    0xa649903eU,     0xd62a6d3eU,     0xb53ffe88U,     0x41fcacc3U, \
    0x340af8e2U,     0x1b1ef04cU,     0xed43aa45U,     0x3bb6df93U, \
    0x87a9a44eU,     0xebcc6690U,     0x1182363bU,     0x481b5b6aU, \
    0x5cb4555fU,     0xd7854faaU,     0x12a4da8cU,     0xa4f2dd1dU, \
    0xecebfc7eU,     0xe630947cU,     0x8edba373U,     0xb516bfc7U, \
    0x3eb2afeeU,     0x56d3a03cU,     0xdd45ba9fU,     0x334c2785U, \
    0xae841265U,     0xaa98c421U,     0xc73f7c00U,     0x901c9e41U, \
    0xc7812112U,     0x730d67adU,     0xff2ec287U,     0xdae98b5dU, \
    0x0921fe27U,     0x3a9fc4d7U,     0xccfb1de6U,     0x8cc64141U, \
    0xaff2cb3fU,     0x01207825U,     0x1fa23247U,     0xb285a177U, \
    0x0ab2ae13U,     0x975bcac7U,     0xb349ee98U,     0x6f33f0f3U, \
    0x7f4a74dbU,     0x0dc5ee65U,     0xa19c52b1U,     0xe39668dbU, \
    0x73fbf0a8U,     0xf739c2b3U,     0x1faf938bU,     0x42c1167aU, \
    0x534c08a7U,     0x3fee5948U,     0x3a96a253U,     0x4879467dU, \
    0xee4ca652U,     0xd2d3bf82U,     0x76914fb0U,     0x807723e9U, \
    0x5edaa0d3U,     0x35dcdde7U,     0x682fb49fU,     0x37040cd6U, \
    0xd0dae753U,     0x7b89440aU,     0x2c3a9587U,     0xec58274fU, \
    0xdbcbef24U,     0xf1ec7622U,     0x07e373edU,     0x0a41192eU, \
    0x014b4eedU,     0x4950784aU,     0x8361eff3U,     0x19dc82cbU, \
    0x54d4fcc3U,     0x30637bf3U,     0x24e055d5U,     0x83885a58U, \
    0x7a66285eU,     0x57ef142dU,     0x500d3868U,     0x5fc3a5f1U, \
    0x8f0dbfc9U,     0xb962422fU,     0x43dc0a96U,     0x2fa3b509U, \
    0x5fd4d547U,     0x3e43cd37U,     0xfd2317efU,     0x0a078962U, \
    0x2300a10aU,     0x74f7e7d0U,     0xdaa90629U,     0xfd4d3b4bU, \
    0x8d0cfb3eU,     0xbdcd8793U,     0x4ea4dac2U,     0xd08c9fc7U, \
    0x2a8f18fcU,     0x49793f5eU,     0xc6028ba4U,     0x75b0b476U, \
    0x23319b86U,     0x0ecb4c4cU,     0x5b830262U,     0x4215bb7cU, \
    0xc1a918ebU,     0x4aec9402U,     0x2b17aee7U,     0x36edcad2U, \
    0xb9582ee0U,     0x6da41144U,     0x1a071732U,     0x7e0dde50U, \
    0x3c3f9ebeU,     0x77db7d35U,     0xa6880b57U,     0x936cfb5eU, \
    0x9c6235ecU,     0x6c2d6beaU,     0xe544e514U,     0x00327c5dU, \
    0x491113ccU,     0x67df529bU,     0x0ea2fc64U,     0xf1ed0124U, \
    0x3ba7ff4aU,     0x60b878c3U,     0xd2c22fddU,     0x923f726aU, \
    0xb114bbb8U,     0x00a9b17fU,     0x80484187U,     0xb1dc7900U, \
    0xb9aace2aU,     0x59e2e13cU,     0x2c138a7eU,     0x5c5981f7U, \
    0x760eb704U,     0xc3058dc2U,     0x842748ebU,     0xb308b5c6U, \
    0xc6289365U,     0xa9f21ad9U,     0x35410b51U,     0xc13fa90fU, \
    0xccb631f4U,     0x895e5b9fU,     0x18baae5fU,     0x9f4f3a06U, \
    0x9dec71e9U,     0xaf731bdfU,     0x3f4d0a03U,     0x3d82fe89U, \
    0x2cf51203U,     0x07bc6685U,     0x7cad1743U,     0xb2265eb8U, \
    0x3c021b78U,     0x126fe519U,     0x6009e1f9U,     0xe8b3e987U, \
    0x7d3ffe31U,     0x692c689aU,     0x658b9265U,     0x5b25312aU, \
    0x12566328U,     0xbd14bd9eU,     0x8250305bU,     0x380e3b16U, \
    0xf5386594U,     0xa127ebe2U,     0xb7b50ca1U,     0x81c60b56U, \
    0x3a2c631dU,     0x1e0a1f33U,     0x99554f35U,     0x12ba51bcU, \
    0x8a39f13fU,     0x9a61c877U,     0x691b720dU,     0xabeb6507U, \
    0xb6269dafU,     0x16fc17beU,     0x093733e3U,     0x204ab383U, \
    0xc01ff44dU,     0x03aa2e4aU,     0x97b6b640U,     0x0009b64fU, \
    0xa87220fcU,     0xaf89c4f3U,     0xb35235a8U,     0x8847d8b7U, \
    0x18f33761U,     0xebe75100U,     0xfab1ae83U,     0x191b11acU, \
    0x77d65604U,     0x579f1615U,     0xbfdd2495U,     0x434d2db0U, \
    0x53a9d103U,     0xf014b126U,     0x47955448U,     0xf8c3af69U, \
    0xe7ddf32bU,     0xa6c73bc1U,     0x1cb96d85U,     0xb8cb72dfU, \
    0x4f63839aU,     0xb95abab1U,     0xa81a4992U,     0xbc132ac7U, \
    0x12de6e3cU,     0x52dd6b9dU,     0xc0577a25U,     0x9ab9600dU, \
    0xfc10900bU,     0xcff1b959U,     0xadd10060U,     0x175172bdU, \
    0xbd612d96U,     0xd5ed9665U,     0x1d9a2c75U,     0x73479eb6U, \
    0xbc110547U,     0xfb55a9eaU,     0xf39620ccU,     0x8bb97379U, \
    0x3498f9b4U,     0x7b14f267U,     0x83c3358fU,     0xb9d3906aU, \
    0xc330b3fdU,     0xc07ef7d9U,     0xfa4086cdU,     0xbae58273U, \
    0x9310dd2aU,     0x56625f8fU,     0x935b975eU,     0x842e21cbU, \
    0x405456c5U,     0xc0bd58c5U,     0x3d9a9d4dU,     0x70248d41U, \
    0x9eea5799U,     0x24d0878dU,     0x619ec82aU,     0xa6684cfcU, \
    0x7df5059bU,     0x6e53667aU,     0x124291a8U,     0x46e7b22fU, \
    0x4c0caf45U,     0x8fe108dbU,     0x49ecf4cbU,     0xabad2b00U, \
    0xb14c03b9U,     0x30d0863cU,     0xfc1515e8U,     0x9f4f097bU, \
    0xef162541U,     0x15c16ae1U,     0x6e58ab6bU,     0x5ad2427dU, \
    0xbbc17026U,     0x5d172d15U,     0x51eb1ce4U,     0xbbb6029aU, \
    0xd416ac03U,     0x032f7edeU,     0x1898650fU,     0xcd5459e7U, \
    0x5c850fdeU,     0xd779ea3eU,     0x7f4adbf8U,     0x0a41aa84U, \
    0xe929a7e8U,     0x8d9545d4U,     0xe4c69ea6U,     0xb23cd0f6U, \
    0x3c482adbU,     0xaf7adf5cU,     0xa4fd7a04U,     0x4c7627abU, \
    0x280b603bU,     0xf4f50b9cU,     0x4e8db8a5U,     0x71962953U, \
    0x7b60e716U,     0xfdcb65acU,     0xbadf0d8bU,     0x819a8132U, \
    0x55a0eabfU,     0x389d4d15U,     0xc10a965dU,     0x6c8ef9bdU, \
    0x55e20e03U,     0xde276662U,     0x2914e531U,     0xee909276U, \
    0xe01ea263U,     0x466401ceU,     0x917bc80dU,     0xbacf6c5bU, \
    0x10cd52e9U,     0x053e453dU,     0x96e0a3e2U,     0x32527135U, \
    0xfbeed059U,     0x93281a35U,     0xd956fc49U,     0x66134c07U, \
    0xbc0811cdU,     0x60c6f4d1U,     0xc0613bf0U,     0x04f30a58U, \
    0x423a8ba4U,     0x142b2f4bU,     0xef35e5b7U,     0xb35b6ca1U, \
    0xa49922f7U,     0x3c18db74U,     0xf19206b6U,     0x1530d28cU, \
    0xb60ff7ebU,     0x0b65c0fbU,     0xe51f23c3U,     0xcdde773cU, \
    0xc4f5a235U,     0x6390ab5aU,     0x6d9330c7U,     0x4c78edd2U, \
    0xf9459db1U,     0x1915bb6bU,     0x03ed7dd1U,     0x14bdf544U, \
    0x2c428dcfU,     0x12d06a4eU,     0x23f10079U,     0x567d4f0eU, \
    0x96323e6bU,     0xddb2ba03U,     0xdbc41851U,     0xb124e209U, \
    0x2379b77dU,     0xbaade021U,     0x0ac15b4eU,     0x25648a71U, \
    0x9d6ab23fU,     0xdab51d39U,     0x4e1634d4U,     0xcaa3c2a6U, \
    0xcc78d63dU,     0x5557ea93U,     0x232b555bU,     0x669244e1U, \
    0x1e41e2a7U,     0xc92b25c2U,     0xa39bcbd7U,     0xb35e79ddU, \
    0x42c3c014U,     0xf77f2ed0U,     0xd7e657c1U,     0x9aa2a6caU, \
    0x036f8adeU,     0x36bdff5bU,     0xf3869f3eU,     0x611bd36dU, \
    0xf1660845U,     0x106d1071U,     0x8b1f58b6U,     0xfde627b2U, \
    0x57a150e5U,     0xb912c087U,     0x247a947fU,     0x9963c36fU, \
    0x5e1828a4U,     0x1602b6c8U,     0xa7202f22U,     0x7eaa8114U, \
    0xd042458bU,     0x1464194bU,     0xa41703acU,     0x38a7f120U, \
    0x33050125U,     0xcaa7e671U,     0xce349131U,     0x0eb07472U, \
    0xaabf351fU,     0x2019f465U,     0xe0997d84U,     0x544614a3U, \
    0x392ec821U,     0x2eab0768U,     0xe4ac2e56U,     0x69f82f3fU, \
    0xa3a0de38U,     0x7145ada3U,     0x9baa65deU,     0x61bf0831U, \
    0x33a091a0U,     0x34ff1644U,     0x123fa963U,     0x5f7663a7U, \
    0x4b1ef8fbU,     0x0b03669fU,     0xe7e0a13dU,     0x7f09e095U, \
    0xf2990cafU,     0x814fb838U,     0xd12e94f5U,     0x9397d449U, \
    0x577e6e37U,     0x0fe4df27U,     0x70a34ff1U,     0xcad3e0bfU, \
    0x1b68798aU,     0xbbacaaa0U,     0xa2254680U,     0xaa8dadf7U, \
    0x05143dd7U,     0xb9158cd5U,     0x5ee1468fU,     0xd672ffb6U, \
    0xc3a8480eU,     0xcb3aabacU,     0xfdc5474cU,     0xd697b428U, \
    0x7c396101U,     0xecdbaf4fU,     0xcc3cd237U,     0xbca3fe4eU, \
    0xb0fcd92aU,     0xea84e367U,     0xa6949a3aU,     0xa477b09bU, \
    0x262d0c12U,     0xef22bf03U,     0x0cdfb654U,     0x586f106cU, \
    0xedbc7c8dU,     0xdf688444U,     0x5c8a7a08U,     0x4f5f7d65U, \
    0x0c503781U,     0x0f9ca6cdU,     0xfea22a4eU,     0xab7b0aceU, \
    0xe01896d1U,     0xd9857d17U,     0x5906a120U,     0x2fb47397U, \
    0x6a8b774fU,     0xb2473140U,     0xf8e35a90U,     0x4302b50bU, \
    0x4a5634d5U,     0x2f1b0af9U,     0x4c9e183eU,     0xdbacf9d1U, \
    0x87549243U,     0xd777b062U,     0x15273de0U,     0xbb2732afU, \
    0xb5da189bU,     0xef4b088bU,     0x4cf5e078U,     0xb0de650cU, \
    0xeed13636U,     0xd466cd79U,     0x18438d40U,     0x3012981aU, \
    0x1a602a43U,     0x25317600U,     0xdf276627U,     0x3318dd9dU, \
    0x497ab3faU,     0x096011e6U,     0x928725a6U,     0xe8a8c15cU, \
    0x046062b7U,     0x5f695a11U,     0x4b5d4633U,     0x71b49007U, \
    0x6811f1f4U,     0x057a08a8U,     0x5e9a0ec0U,     0x31078f6cU, \
    0x3849cd42U,     0x140bd385U,     0x11d8361eU,     0xee81d531U, \
    0xda854f04U,     0xdc52311bU,     0xb8915ef6U,     0xc28b84cdU, \
    0xbb3043feU,     0xc71a9ba3U,     0xc29ebd8aU,     0x2795dc27U, \
    0x1ea11a43U,     0x008dcc47U,     0x7dc88c4cU,     0xd1590aa5U, \
    0x5dffca61U,     0xe33ec35eU,     0xe0ef14ccU,     0xea1b001fU, \
    0xccd7170dU,     0x0196a967U,     0x39e4f1a8U,     0x8d25e3e2U, \
    0x6810e1c6U,     0x5b4d34d8U,     0xdfcef976U,     0x2cf2a1e6U, \
    0x98f2da2aU,     0x2e5707adU,     0x6d2abb83U,     0x728bcadcU, \
    0x177395b0U,     0x0f1ac964U,     0xaaf2b68cU,     0xa0e6ef46U, \
    0xc9f83716U,     0x05775cb0U,     0x93cf16b6U,     0x6d77db0dU, \
    0xfbfd7df6U,     0x0fe25fe1U,     0xf46d6968U,     0x1201812bU, \
    0x8da23fd3U,     0x2907b01eU,     0xb8335dc2U,     0x8b28f78dU, \
    0x94269272U,     0x66e7d1fbU,     0x4037cb5cU,     0x6f40a35eU, \
    0x0422a303U,     0x4a1a7e4dU,     0xaad80347U,     0x5486e27eU, \
    0xe78d63c3U,     0xed3b4114U,     0xc81c29edU,     0xadaf0d43U, \
    0xfdaec65eU,     0x96aa1d46U,     0xe14c54b7U,     0x63ef0c07U, \
    0xa64138f4U,     0x20b03b5dU,     0x6246d524U,     0xa088a19fU, \
    0xebe08efaU,     0x64e0bc79U,     0x95551409U,     0x4f4680ceU, \
    0xace49956U,     0x957b45b3U,     0x21f4cee9U,     0xdc92c104U, \
    0x744d259cU,     0x8eb50e50U,     0x1d2ce15fU,     0x5735cd4aU, \
    0xf9ca561eU,     0x4840268dU,     0xd0778ee6U,     0x5e40c068U, \
    0x044808f4U,     0x6f2fcd56U,     0xf0e72916U,     0x79588370U, \
    0xb64a6893U,     0xb892490eU,     0x105b04ebU,     0xd9b4a623U, \
    0x86849198U,     0xc160b4f1U,     0x7e9e1117U,     0x090e427dU, \
    0x2a59730cU,     0x5539dd1aU,     0x04b0f063U,     0x1001005bU, \
    0x6cf7284fU,     0x7e0ca2b0U,     0x03527667U,     0xce4cf7adU, \
    0x8007de30U,     0xddfe2921U,     0xd52afe4dU,     0xbc14a989U, \
    0xd061ae56U,     0xb93b615bU,     0xe3cb384dU,     0x53561850U, \
    0xe984a400U,     0xed05a331U,     0x2ffc998dU,     0xcf03fd2dU, \
    0x86ce2782U,     0x96f8a20dU,     0x5d887aabU,     0x16b85476U, \
    0x06850932U,     0x8cbae54dU,     0xa4dd07f5U,     0xaf0158f8U, \
    0xa96f6b66U,     0xb8ce195fU,     0xeb3047edU,     0x5d7d9c59U, \
    0x3c15116eU,     0x728fa5f7U,     0xdcbeb800U,     0xcf5f19f9U, \
    0x6719f08eU,     0x71849b97U,     0x479577dcU,     0xdd00cc27U, \
    0x05cb390dU,     0x51735b58U,     0xf6b0a1e8U,     0x3516658aU, \
    0xa8fdf810U,     0x1b92720fU,     0x12ad60f8U,     0x06e8b04aU, \
    0x195f1cbeU,     0x17348cd7U,     0x8296d762U,     0x90dc72a3U, \
    0x49cac145U,     0xa2152f55U,     0x854aadbfU,     0x4830527fU, \
    0x7f12873eU,     0x16978867U,     0x74a56bb6U,     0xa14388a4U, \
    0x691122eeU,     0x62448f91U,     0xe3c70f42U,     0x8a1cb1c3U, \
    0xd2049753U,     0x5426dd14U,     0x06f1f5cbU,     0xede19ca1U, \
    0x381a7e5eU,     0xdf0f5e87U,     0x434423bdU,     0xb24f58fbU, \
    0xe2cb35b5U,     0x37738d92U,     0x6036ead7U,     0x48db8e74U, \
    0x87513623U,     0xca6e37eaU,     0xce91ed52U,     0xf051b0d9U, \
    0xa601d9d4U,     0xb738d1cbU,     0x5d3e8e84U,     0x47f9d59bU, \
    0x02bdc4b2U,     0x33664401U,     0x309776d8U,     0x0e8ceaf0U, \
    0x9a66ff63U,     0xe0ec9832U,     0x1e2320bcU,     0x3f85eb07U, \
    0xb9729d13U,     0xd55e0c4aU,     0xa9b48842U,     0x1496f75dU, \
    0x0161dda4U,     0x46aaf45bU,     0xf0826f9cU,     0x84871c05U, \
    0x84fb133bU,     0xc2a260efU,     0xb08658bcU,     0xb44db014U, \
    0x8b8b3ca4U,     0x6ed27393U,     0x11b44500U,     0xb5163226U, \
    0x685db33dU,     0xb934af6fU,     0xee98688eU,     0x41dcbc47U, \
    0x0641965bU,     0xe97a793bU,     0x05e5229aU,     0x31fe3f90U, \
    0x23997e28U,     0x3459b357U,     0xe27821caU,     0x151eebf3U, \
    0xf2bc3cf8U,     0x0c7d5ac8U,     0x29e246b6U,     0x01793f1cU, \
    0x01e5ba8cU,     0x8c277964U,     0xd136737bU,     0x81ddffeeU, \
    0x2b6d3579U,     0x10ae33a8U,     0x33332746U,     0xa951f1d7U, \
    0x57f15bc9U,     0xedc5444aU,     0xac81bee4U,     0xc3b2622cU, \
    0xc0b35f6cU,     0x14625cc1U,     0xf98d6915U,     0x13ee9bf6U, \
    0x3b28f6f3U,     0x3c061aa3U,     0x50b7b592U,     0xae69e3d5U, \
    0x1011536eU,     0x8bb5786bU,     0x0320585aU,     0x184d6ed4U, \
    0x2300517bU,     0x862cad74U,     0x1be6ac5eU,     0x42dd4e17U, \
    0x791cdf02U,     0x64118f45U,     0xa928e550U,     0xc7fe308dU, \
    0xc67d2e49U,     0x75c58999U,     0x35c6d32fU,     0x139a5770U, \
    0x568f9c65U,     0xd158edccU,     0xe36f763fU,     0x7da7b093U, \
    0x508232a0U,     0xe7a95e4eU,     0x3c6d9552U,     0x589c07d7U, \
    0x0a807c36U,     0xd9687c33U,     0xc11aa10aU,     0xe50babc0U, \
    0x0cb3dd11U,     0x1928b256U,     0xcc574595U,     0x0d760b2dU, \
    0xd9450cbbU,     0x75c16ad3U,     0xe8f9964eU,     0x7b699cb8U, \
    0x543fea83U,     0xce2b0bdbU,     0xeb52ef92U,     0x3e654362U, \
    0x3e3ae931U,     0xd8432b5cU,     0x4c317cbcU,     0xbfd15e96U, \
    0x837decf2U,     0x1184c183U,     0xe481cb9cU,     0xe42d7984U, \
    0x92b3e412U,     0x7a2fd13dU,     0xe47c5a04U,     0xc40c2bcaU, \
    0x28c427f1U,     0xeb30cc7cU,     0x7a26cc7fU,     0x8992f597U, \
    0xc464a0a3U,     0x1be6796dU,     0x991058c2U,     0xa0799ba7U, \
    0xf23fb7bbU,     0xb24f484bU,     0x61c71f88U,     0x2d185bb7U, \
    0x63a957ecU,     0xdc80dbadU,     0xa97ae5d6U,     0xdfaa4a53U, \
    0x65c48e33U,     0x5f2870d1U,     0xcdebc72aU,     0x09e9e416U, \
    0x7ed3365eU,     0x13d7e93eU,     0xc387aa99U,     0xe1bc6880U, \
    0x0e2a55f2U,     0x180d2b0bU,     0xaf66143eU,     0x0eefb98fU, \
    0xb527fc84U,     0x1cd3be32U,     0x0e86a34eU,     0x2d9c8199U, \
    0x815606deU,     0x5055b6faU,     0x2c171096U,     0x042ad000U, \
    0x6de9aa92U,     0x409370dcU,     0x71d70a4eU,     0x9a8f7970U, \
    0xeac3d8d3U,     0xe06cd0f8U,     0x451b5864U,     0x954ceafcU, \
    0xd6d9effeU,     0x104ce955U,     0x0bcd3a1eU,     0xef9c0eb2U, \
    0x7856602aU,     0x7694db7aU,     0x81b83de3U,     0x6e6ddec2U, \
    0x115b89ccU,     0x8a571957U,     0xbc5e004bU,     0xa812b668U, \
    0xbffc4403U,     0x2ceee386U,     0xadec14cdU,     0x17f73d4cU, \
    0x8745fca1U,     0x09421753U,     0x63f3953aU,     0x555a77b8U, \
    0x8479f1d0U,     0x67b9a470U,     0x9c4dc1b5U,     0x6e787575U, \
    0x3907952eU,     0xfdba73f1U,     0x787eef34U,     0x0069fa72U, \
    0x9711db1dU,     0x3924817dU,     0xe9d574b6U,     0x23795695U, \
    0xcbe70e15U,     0xf690a943U,     0x2e8c4fddU,     0x8f845103U, \
    0x656ba2d4U,     0xd6194784U,     0x92e59621U,     0x0b7e397bU, \
    0x674cd535U,     0x25430e4dU,     0x5704ab0bU,     0x8bd08690U, \
    0x80669a1aU,     0x9f3f9c8cU,     0x3ceabb18U,     0xa5a2aea9U, \
    0x96879a7cU,     0x608c103cU,     0x391285dfU,     0x79a632a5U, \
    0xb15ecb07U,     0xbd6d1540U,     0x78c5222eU,     0xe319457cU, \
    0xbf75a828U,     0xec3343eeU,     0x0b35dd03U,     0x3db6a44cU, \
    0xa4d4d55eU,     0x042af193U,     0xc2530e68U,     0x8e7857d7U, \
    0x03925cd9U,     0x5208de4aU,     0x10ec785cU,     0x695b0e9cU, \
    0xc2d3b0a6U,     0xdb3e87eaU,     0xd0b4893dU,     0xa5777832U, \
    0x67e1de17U,     0x6c3976aeU,     0xfaf18184U,     0xea8cb951U, \
    0x3133fa1cU,     0x96d2d2a6U,     0xf6676b6aU,     0xf14e35abU, \
    0xacfa3ec3U,     0x04408d24U,     0xa11c8a52U,     0xedc638efU, \
    0x6348fbd6U,     0x75bd7b03U,     0xb34554e8U,     0x43230f58U, \
    0xb00e5051U,     0xf79d0152U,     0xb5e3aaf6U,     0xdc19795eU, \
    0x9b8bc1f5U,     0xba088bb6U,     0x42a1bab0U,     0x5ea8261bU, \
    0xde750776U,     0x3df6fd2dU,     0xa13cc9beU,     0x644bb735U, \
    0x52267cd9U,     0x30b4b208U,     0xa6d5c68aU,     0xba2fccafU, \
    0x0da1d490U,     0x9b31e684U,     0xebd16a0eU,     0x9c3ef633U, \
    0x29c0219cU,     0x3a8ad7c5U,     0x9c0f248aU,     0xf51a2ef5U, \
    0x3f33f620U,     0x2a654479U,     0x0f9de628U,     0x1eb07c2cU, \
    0x5c540991U,     0x852584feU,     0x1a112f1dU,     0xc92cd0a1U, \
    0xd0876ef1U,     0x2fa9c1faU,     0x0714f77dU,     0xfa91be99U, \
    0x42620935U,     0xa3b16c59U,     0x8c900eebU,     0xae2b79c7U, \
    0x6293c608U,     0x9171a4c0U,     0x58e8ef8fU,     0xe80cbe86U, \
    0xfcecafdeU,     0xdfddd2c3U,     0x4aa1aaaaU,     0x13a8e35aU, \
    0x4df37f5dU,     0x27f30bcbU,     0x8d55b141U,     0xe9fe8b77U, \
    0x69ef17f3U,     0x891e33d1U,     0x713eb4efU,     0xddd2df6eU, \
    0x831ecfa8U,     0x7cfd4632U,     0xb6923225U,     0x803a044fU, \
    0xfb2042ccU,     0xd51aaefbU,     0xa30908b6U,     0x44f9b9bfU, \
    0x01968ed1U,     0xfae33bb4U,     0x1c63d2caU,     0x6d9106cbU, \
    0x4abf5317U,     0x393ee548U,     0x5108ee82U,     0xef538acbU, \
    0x64b5c0adU,     0xb3410afbU,     0x22e9e6c4U,     0x2c5341e8U, \
    0xf38627c9U,     0xd9ca76c8U,     0xe7a8f300U,     0xef3a6419U, \
    0x612e6786U,     0x3f94c520U,     0xaeb1e15aU,     0xccd00baeU, \
    0x526653a8U,     0x74b13f4dU,     0x07cb890fU,     0xb1778781U, \
    0x88be7887U,     0xce6cd2b4U,     0x9fb555e2U,     0x92a3a0b7U, \
    0x0d87c6e4U,     0x1c769b71U,     0xb0bd793cU,     0xfba4f755U, \
    0x92ec8842U,     0x2273741aU,     0x8e25b7d9U,     0x08e8f742U, \
    0x82dac6eaU,     0x66a3bd92U,     0x6b5052eeU,     0x3173819dU, \
    0x609326d7U,     0xb13dc07fU,     0xf678e2b6U,     0xc47bcce5U, \
    0x9f1f9f88U,     0xc1844b38U,     0x81394cc1U,     0xe625d912U, \
    0x9a3d99f8U,     0x7de41f8fU,     0x8603ffe9U,     0x50da1400U, \
    0x5c3f3b6eU,     0x1fb3711dU,     0xbe7ca7c1U,     0xd5fe02e8U, \
    0xe57380c8U,     0x21fded51U,     0x6c7f7edaU,     0x1994f11cU, \
    0x6ba9548cU,     0xf6079faeU,     0x9a7e4d86U,     0xb428f889U, \
    0x60cf5586U,     0x33a1f880U,     0xe753082fU,     0x4d1ac900U, \
    0x7514a891U,     0x0f3a193eU,     0x4f6d422fU,     0xc9738874U, \
    0x54e05286U,     0xf2e2e6feU,     0x332ff3beU,     0x15eb529cU, \
    0x7a799af7U,     0x13e30fb6U,     0xc8ad8268U,     0x72466714U, \
    0x063b4e9dU,     0x6684c092U,     0x7ab11a0fU,     0x6ab7059aU, \
    0x9ee411ecU,     0x98133d38U,     0xbbedb333U,     0x7449e5abU, \
    0xff63626fU,     0x3abe032bU,     0x3e19aa36U,     0x5667d71dU, \
    0xb850e7a1U,     0x5bdc7477U,     0xf24fb2e7U,     0x20e4ba7aU, \
    0xca0a9153U,     0x4eb103a1U,     0xeee22e0aU,     0x0d8b179dU, \
    0x1cfd7a01U,     0xc06d5e65U,     0x71589cc1U,     0xf61eea9cU, \
    0xc785623aU,     0x798f8d9fU,     0xd2c69644U,     0x283c83b7U, \
    0xccc2fc60U,     0xacffd87aU,     0xcc8ce946U,     0x19649a07U, \
    0x7d0369e1U,     0xfa2b078eU,     0xbbabe41bU,     0xe30b4f00U, \
    0x2a1bec4fU,     0xe9846a4fU,     0x3b7757dfU,     0xd4e3057bU, \
    0xa48fcc4fU,     0x14985f3fU,     0x083d3cd0U,     0x17d53f7bU, \
    0x9d9750e1U,     0x6ac5d278U,     0x0ef8493fU,     0x576ae41bU, \
    0x99a0aaffU,     0xaf5d9c07U,     0x00cac286U,     0x9812ad92U, \
    0x999848a5U,     0xce6c6959U,     0xcf720af6U,     0xbf54a1daU, \
    0x5ad77c17U,     0x0df35349U,     0x5ad1e4c1U,     0xbc748124U, \
    0x8efe16e8U,     0x2415ef8eU,     0xecb15f51U,     0x77c9ea8fU, \
    0x3ba31ee5U,     0x21eb373cU,     0x8a8ac498U,     0x23aef6c7U, \
    0x03ceff7fU,     0x45f39e98U,     0xa0b0f57bU,     0xb162eb6eU, \
    0x643e6c1cU,     0xded3c997U,     0x712c7ed2U,     0xa86d6ea5U, \
    0xa4a1ab15U,     0x53898a66U,     0x8209c061U,     0x1f5f5cf7U, \
    0x321cc0bbU,     0x06403488U,     0xbfc5d7f3U,     0xd4e87dbaU, \
    0x06267f50U,     0xfe8f9adeU,     0xbf74999fU,     0xde1b8949U, \
    0xc0f90051U,     0xfedad405U,     0xdf1fd6d1U,     0x192ca11cU, \
    0x36427c7aU,     0x856e76ecU,     0xc81040f6U,     0xa15feb31U, \
    0xe7ae1a60U,     0xf3c7bef5U,     0x99dfdb22U,     0xa0b49becU, \
    0x57e21c6cU,     0x75cff3cfU,     0xf8f84db2U,     0xfd127868U, \
    0xa936858cU,     0xca06f85fU,     0x20ea7d9fU,     0xb7d5b9a6U, \
    0x5d226c2dU,     0x74ccec69U,     0xd4c0b200U,     0xc7c6f20aU, \
    0x4d92bebdU,     0xf6bb6e40U,     0xbfcf7328U,     0x2bbda15eU, \
    0xe16b3445U,     0xb0807f2cU,     0x44928041U,     0x15b7c54dU, \
    0x469d78a2U,     0x0d60ef83U,     0x74d12aebU,     0x88ad9639U, \
    0x59dbdefeU,     0xf3ea4ef3U,     0x5494b103U,     0xaea3e119U, \
    0xa457d9eaU,     0xdfcbb319U,     0xb9c3a9b7U,     0xe8c35fdfU, \
    0xafd5aa86U,     0xb04f16a4U,     0xbd4408e0U,     0x43c2385bU, \
    0x0947a5efU,     0xdfaae8cfU,     0x2d3d29d0U,     0xa921087aU, \
    0x0982047bU,     0x9f197e34U,     0x8767d754U,     0x2f5bc6f0U, \
    0x75191f7dU,     0xc9235c9cU,     0x741d8105U,     0x54e030e7U, \
    0xc51ec528U,     0xa64b4d25U,     0x6e024333U,     0xc411944eU, \
    0x9468cd1eU,     0x71937815U,     0x78354907U,     0x70765a42U, \
    0x8455e047U,     0x6352cc07U,     0xe3c2f084U,     0xd43f1161U, \
    0x9154c308U,     0x808c4f8dU,     0x432847acU,     0xd1f3c768U, \
    0x0bc79eb6U,     0x7f0ccc10U,     0xb579cca8U,     0x7ae15517U, \
    0xf62e539bU,     0xbabb3870U,     0xc59bc0c3U,     0x2d24c6cdU, \
    0x79c1e6ecU,     0xa7a443b4U,     0xe3acc817U,     0xba716786U, \
    0x91f952fdU,     0x34009fa7U,     0x1674db41U,     0xb2e8157eU, \
    0x6e196b4bU,     0xcec5454bU,     0x032c3f08U,     0xead7949eU, \
    0xd8113a62U,     0xcde91988U,     0x13536d89U,     0x3306611bU, \
    0xe2a3005dU,     0xdb35574eU,     0x1d430bb5U,     0x1ac791b4U, \
    0xc6f6520eU,     0x1ea59145U,     0xad0ea005U,     0x814ec7bfU, \
    0xdc9dad5bU,     0xde4fec54U,     0x0f214cf6U,     0xd62766ddU, \
    0x95297e2dU,     0x859e01ceU,     0x7c8527baU,     0xe2c9955bU, \
    0x035a21c6U,     0xa13b2957U,     0x21f25a43U,     0xb7f1786eU, \
    0xec752988U,     0xa037144fU,     0x53f7e631U,     0xf14b634aU, \
    0xa081f70eU,     0x33c08ae9U,     0xce8486ceU,     0x939e25a0U, \
    0xfde7df79U,     0xd53b0dbfU,     0x1783e16aU,     0xbe0311edU, \
    0x7027c3b4U,     0x81fb4c7dU,     0x494b1af9U,     0x695e7663U, \
    0x660e0000U,     0x4f7085dcU,     0x2c39575cU,     0xe242fc36U, \
    0xde14899cU,     0xb91af4c3U,     0xc8b0f016U,     0xd5e4c7bfU, \
    0x3a506508U,     0x907d4afeU,     0xa7d7f52dU,     0x46faafcfU, \
    0x220102f0U,     0x27294721U,     0x8a3411f8U,     0x9a82bb8aU, \
    0x8188affcU,     0x34db1898U,     0x84798b24U,     0x1dd9ee5aU, \
    0x8da00eaeU,     0x4532370fU,     0xf5b24079U,     0x5f1bda0cU, \
    0x19dacf6cU,     0x97a716c9U,     0xe4ed1599U,     0x1a5bdf5aU, \
    0x7238b805U,     0xdef341adU,     0x4e89152dU,     0x2a4e4df3U, \
    0x380d675cU,     0xa6640240U,     0xc35e33f5U,     0x2d60e26aU, \
    0xe0df8c44U,     0x5ef8d2caU,     0x1eba73e2U,     0xcd5abb8bU, \
    0x50604288U,     0x304270b4U,     0xfdb1d1c2U,     0xee92560fU, \
    0x996b9885U,     0x624c68afU,     0x8744b1ccU,     0xe7caaba6U, \
    0xb74e7c99U,     0xffb950e5U,     0xa3e30746U,     0x9aa931b9U, \
    0xc77e2ac7U,     0x74afec22U,     0x3cf46401U,     0x18eeb06eU, \
    0x8a8e2795U,     0xac5706c5U,     0xeb267784U,     0x30410e8bU, \
    0x366314e9U,     0xe3ca6f09U,     0x2aaaebdaU,     0x36bb0748U, \
    0xc0fb7532U,     0x97330813U,     0x7b69a441U,     0xc0b52028U, \
    0xe88b3a43U,     0x1f195613U,     0xa2960c77U,     0xadab8372U, \
    0x10787d9dU,     0x8fc3bb4fU,     0x4fce7dcbU,     0x626c2243U, \
    0x24a636ccU,     0x2d565881U,     0x23a459afU,     0x950fa841U, \
    0xf37fc13cU,     0xad2a134eU,     0x00b03986U,     0xd577ccacU, \
    0xc4ba7b23U,     0x4f94018cU,     0x1d5c38b8U,     0x7b15badeU, \
    0x1a7b200dU,     0x3fc874eaU,     0x7c67b76eU,     0xd15397f9U, \
    0x42bbec80U,     0xfdf94c14U,     0x8e3dfcd4U,     0x9e1c571fU, \
    0xed4b8036U,     0xe488d245U,     0x2eb89822U,     0x03dafcc8U, \
    0x2d0eea64U,     0xfb21d83fU,     0x5306f234U,     0xb6149a4bU, \
    0x1c497e21U,     0xf5cb8480U,     0x02a5e50eU,     0x29231512U, \
    0xe04e0b10U,     0x1bc060f2U,     0xbaddc9b3U,     0x1e44e170U, \
    0x251126aaU,     0xe0571b98U,     0x0a75abb6U,     0xa19ab87bU, \
    0xb7498873U,     0xe9eec238U,     0x26015ea7U,     0xde082c62U, \
    0x8e314576U,     0x5b17e3b8U,     0x2f0194cbU,     0x7a8a7fd6U, \
    0x1b93fb35U,     0x73e50d77U,     0x7f7208a3U,     0xceb52fb5U, \
    0xddc1fa39U,     0xc04807aeU,     0x43aacb7eU,     0x4a71bb97U, \
    0xa36fbd8bU,     0x70e719cfU,     0x522e1d6bU,     0x8ae9313cU, \
    0x263d02a0U,     0x9ade7b4aU,     0x5b53b980U,     0xb01aaf74U, \
    0x843f1209U,     0x63d2284bU,     0x82a3e263U,     0x04fe7d1fU, \
    0x66a8cb66U,     0xaae54116U,     0x72f10cd7U,     0xb6d2f226U, \
    0x5d7f4d45U,     0x909d439fU,     0xe8babc94U,     0x90c175cbU, \
    0x7eb83d20U,     0xa6afa3ebU,     0x56246b0eU,     0xf9faecb9U, \
    0xe48ee72bU,     0x3b1d043dU,     0x0a51e5d2U,     0xc26d59e8U, \
    0x0e676dc3U,     0x32a29e94U,     0xc17c672eU,     0x29908405U, \
    0x283fd03aU,     0x382be48aU,     0xdcdf7b6dU,     0x4cfb71a8U, \
    0xc22a6839U,     0x613eb762U,     0x6af44dd3U,     0xc83db80aU, \
    0x969304c9U,     0xc75c90beU,     0x90fb4b5aU,     0x3c68c581U, \
    0xc0c21b64U,     0xd69323b4U,     0xb1db114eU,     0x1e7f285aU, \
    0x009bae0bU,     0x668ec769U,     0x2efc0c8eU,     0xa2cf4fceU, \
    0x53772929U,     0xe691abb7U,     0xf3bbad31U,     0xfd54cbd7U, \
    0x773c9209U,     0x6ff06844U,     0xa06b1fdfU,     0xc257f408U, \
    0x6dea9457U,     0x82563ba5U,     0xf3509f3bU,     0x866af6b5U, \
    0x04e10143U,     0x2091a7e9U,     0x3375a1f8U,     0x15a28cbeU, \
    0xc3dc9598U,     0xbc61540cU,     0xe5d1271fU,     0xbaa20f00U, \
    0x72402e36U,     0x2aa2a18fU,     0xbd60263cU,     0x6bb5df4aU, \
    0x93fd7ff0U,     0x830ad033U,     0x3511ed31U,     0x499bd1bdU, \
    0x90c86261U,     0x6591e615U,     0x0498592aU,     0x85b8b99aU, \
    0x0263e615U,     0x5ac55c39U,     0x90b8f990U,     0x52e6e735U, \
    0x776d52acU,     0x1ad68574U,     0xee0b13acU,     0xdb3cb6a4U, \
    0xf4ef08e4U,     0xb2b836d7U,     0x108e5ce9U,     0x32ff0a40U, \
    0x9ec91efbU,     0x842731a8U,     0x424f3e9cU,     0x2d04a80dU, \
    0x5a9cc286U,     0x92f70f66U,     0x63f1b1eaU,     0x3481578eU, \
    0x9949d130U,     0xfd798fa0U,     0x0700d1f0U,     0x2da4e661U, \
    0x2e371601U,     0xcc7b496eU,     0x69d9f5ceU,     0x6b4d4034U, \
    0x6824f4afU,     0xee070efcU,     0x6ba4854eU,     0xef57f89bU, \
    0x2a57992dU,     0xc62acd00U,     0x962c4739U,     0x56020389U, \
    0xf6734754U,     0x30780ea6U,     0x2fd74dfcU,     0xec9e8b6dU, \
    0x9eb69e29U,     0x4bfb5c4fU,     0x8e44f5d3U,     0xe8954565U, \
    0x6bb2c004U,     0x67cf7c2fU,     0xb37f3595U,     0x872e871aU, \
    0x3bdfe420U,     0x03562b8bU,     0xa18dc4b2U,     0x1575a8acU, \
    0xf5dfafeaU,     0x61e85677U,     0x2f385b37U,     0x5ed5b1eaU, \
    0x878e65d1U,     0x778935e4U,     0x0e12024dU,     0x33b8cf5dU, \
    0x66088e61U,     0xb2ac5e91U,     0xaadda4feU,     0xc7f14133U, \
    0xfc98266bU,     0x281f0988U,     0xc07b8eefU,     0x20d3ace0U, \
    0xd1a1fc91U,     0xfb2e29ddU,     0xd5aea44cU,     0x6671582bU, \
    0xaad12ad2U,     0x2be7e22eU,     0xbba37df7U,     0xce4c385dU, \
    0xdacc3ab9U,     0x82e38f31U,     0xa9869006U,     0x83c7a43dU, \
    0x985901e2U,     0xdfe2a427U,     0xcb758a97U,     0x0f84d80cU, \
    0x91cc18c7U,     0x6f2a8202U,     0x4d3abc9dU,     0x232498a0U, \
    0x7a11fc5aU,     0x9e533546U,     0x1b23c3b2U,     0x5b0720e8U, \
    0x0e9be8e7U,     0x65cedfb8U,     0x0b9e0cb4U,     0x49e11898U, \
    0x181a4589U,     0x369577b3U,     0xe48cdabaU,     0xadff7fb2U, \
    0x72f3df1fU,     0x1ac64799U,     0x17a9e623U,     0x6f7c3f20U, \
    0x542f8a44U,     0xfc2acfecU,     0xedd2b30aU,     0x6d2e2b91U, \
    0x32090375U,     0x683bbd1eU,     0xc04253abU,     0xe32ad74eU, \
    0xbf628309U,     0x64e6a00dU,     0x623fcafeU,     0xda342796U, \
    0xf3bc06c5U,     0x64e48278U,     0x2ea70e5bU,     0xcd496032U, \
    0xba30e534U,     0xe62b37e0U,     0xaacd3b65U,     0x4e835c09U, \
    0xb4c65923U,     0x550daa02U,     0x2603f7baU,     0x5e8fc8eaU, \
    0x171a09cdU,     0xb2663a8eU,     0x928068c9U,     0x3fd92f35U, \
    0xbcc5732fU,     0x0484c933U,     0xd5bc387fU,     0x8e8648ffU, \
    0xbbe83c6cU,     0xebb44acbU,     0x7180090cU,     0xd31f6f2eU, \
    0x6a3a962fU,     0x92b56cd8U,     0x46ba7b33U,     0x542acbd0U, \
    0x6a18045cU,     0xf5cbad28U,     0xf461e4e5U,     0x1b97b775U, \
    0xfba8cc32U,     0xb428582eU,     0x2fcd7f00U,     0x52547194U, \
    0x65e4352eU,     0xa6749f01U,     0x31425086U,     0x0925bb28U, \
    0x0c215ebfU,     0x59d06f46U,     0xfd138883U,     0xb6f34a40U, \
    0xae972b49U,     0x9ee4309eU,     0xf666dbe8U,     0xa18a2369U, \
    0x560bf61bU,     0x3f3066ccU,     0x25d4b8c7U,     0xdc0b0c3cU, \
    0x520b841eU,     0xf902639bU,     0x40e13dc4U,     0xd519169dU, \
    0x122d1a76U,     0xee550a57U,     0x4208cc32U,     0x7a527af9U, \
    0xacd61366U,     0xd72ee7e3U,     0x7294bce1U,     0xabf5fe99U, \
    0x09e2241fU,     0x4ea324c3U,     0xbb60af09U,     0x8683ac04U, \
    0xe6b439b7U,     0xcf2426a9U,     0x93755e41U,     0xc178f3dfU, \
    0x83c113ebU,     0x1430c437U,     0x929760d0U,     0x8e096f59U, \
    0x7b146d9eU,     0xaa108704U,     0xa77ce488U,     0x7a8e2a94U, \
    0x061f1ba2U,     0x5116d2d3U,     0xc63e4b13U,     0xe3851a59U, \
    0x60b9d712U,     0x75a4a1feU,     0xc0afcfb7U,     0x01fd9c68U, \
    0xcace2a53U,     0x91bc6af2U,     0x55d43a17U,     0x94a75ee7U, \
    0x38189ca0U,     0xef5f844eU,     0xa9f34814U,     0x44c3d0fbU, \
    0x93a77f83U,     0x983390adU,     0xf55c2f30U,     0xd394cd73U, \
    0xcfe029a7U,     0x759076aeU,     0x4b6b88e9U,     0xaabca7e2U, \
    0x23610560U,     0x0ccf582fU,     0xafd9b872U,     0xe96db810U, \
    0x08642fc7U,     0xaa472c5eU,     0xfc63c3d5U,     0xa39c4501U, \
    0x1448fe36U,     0xaa6264d5U,     0xd0c186b3U,     0x4d6abcd7U, \
    0xd168ecdfU,     0x98007858U,     0x24c2e257U,     0x20b48984U, \
    0x990b7a8aU,     0x0420e49cU,     0x57650ccfU,     0xa607ed77U, \
    0x092d5be0U,     0x4ad85d06U,     0x91f178e3U,     0x90ea3786U, \
    0x4201ab25U,     0xe9d58609U,     0x321f1ee2U,     0xc8d0de9bU, \
    0x16286fbeU,     0xa5fa44d4U,     0x93493571U,     0xbdc64040U, \
    0x9f4517f1U,     0x0abe93c9U,     0x42192acdU,     0x4c4b2c51U, \
    0x9a04f055U,     0x7ace0a72U,     0xae7e623eU,     0xd177334cU, \
    0xf2af9d73U,     0xbaf21b7aU,     0x921480c4U,     0x4ed06480U, \
    0x9afc3e7bU,     0x55763437U,     0xe40de5a4U,     0x0e6c3146U, \
    0xa6d6b7a2U,     0xfb1b5d81U,     0x6f044b51U,     0x11cd57c0U, \
    0x5f9cc5d8U,     0xfcad5b98U,     0xdaf4b934U,     0x8c75a7d8U, \
    0x951edf92U,     0xcb2478aaU,     0xa74659e4U,     0x01c207deU, \
    0x3ffdeaa7U,     0xd9f8006cU,     0x49b4fcb3U,     0xff28f688U, \
    0x33b033b8U,     0x9edc095aU,     0x6492b315U,     0xd3450756U, \
    0xb1b4c22cU,     0xf9e450ceU,     0x013f8990U,     0x307d51b6U, \
    0x1d221a88U,     0xaea8e044U,     0x0c4e931cU,     0xedd84243U, \
    0xd876bad1U,     0x3b89a461U,     0x29beb1e6U,     0x614cc666U, \
    0xd3664d31U,     0x39264b30U,     0x4f595e7eU,     0xdf17e945U, \
    0x0aa368aeU,     0xd8a18852U,     0xeeaf0da8U,     0xeec4f0d8U, \
    0xbfb5f9faU,     0xc3f936aeU,     0xbbbfb32cU,     0x19681108U, \
    0x970008e6U,     0x6a082821U,     0x19cc8b19U,     0xd8d25183U, \
    0x06e42086U,     0x2b9e42e5U,     0xd6992d17U,     0xd573869fU, \
    0x5142ad7bU,     0xd236d76dU,     0x59314915U,     0x97585ad0U, \
    0x1918013aU,     0xa6e6c2c3U,     0xc03b9837U,     0x33f31c68U, \
    0xe2f209b1U,     0x625c756bU,     0x741cc84bU,     0xb96e86abU, \
    0xca0a68bdU,     0x49fe2aacU,     0x902e41c6U,     0x41f53e9cU, \
    0x5fb81b1aU,     0x85a6d325U,     0x4ed7f551U,     0x71de6476U, \
    0xe969854fU,     0x634047d2U,     0x944714d4U,     0xcb17877eU, \
    0x2deab691U,     0x9526cc88U,     0x2e406473U,     0x1495fd85U, \
    0x712138a2U,     0x8f86b776U,     0xf2a7b8aaU,     0xd9bbafedU, \
    0xaf20e92aU,     0xf67e0473U,     0xc72bccf6U,     0x8001eec0U, \
    0x9cc9881aU,     0x51d220cfU,     0x4e5f4458U,     0xf48ba447U, \
    0x0fc28487U,     0x27c198ffU,     0xa05bb58dU,     0x1978f37dU, \
    0xc519c0eeU,     0xb7a460e4U,     0x22142c03U,     0x7f4c8726U, \
    0xe97f4446U,     0xec66d71eU,     0x21272dffU,     0xb423195bU, \
    0x3412bd13U,     0x03405d66U,     0xdb373bedU,     0xf9621dacU, \
    0xea7fa410U,     0x584977d9U,     0xc5354c8aU,     0x8a1368aeU, \
    0xc72ee35aU,     0x6ce17fa3U,     0xb1b0fbedU,     0x3743aa9bU, \
    0x539023c8U,     0x24a3b15eU,     0xa365b43aU,     0xf8f31286U, \
    0x09121365U,     0x1891a828U,     0xfa9cc74cU,     0x3e0dc291U, \
    0xca40656dU,     0xf73df830U,     0xadca3b3aU,     0xf087723aU, \
    0x0bb5fb4aU,     0x2dcb2ea5U,     0xdc2868b1U,     0x30b1b8a8U, \
    0x47f23f81U,     0xf28b69a4U,     0x5ea6679cU,     0xd4e5342fU, \
    0x2bb258e1U,     0xd3e747c4U,     0xc323c829U,     0x023616f0U, \
    0x8556aa4bU,     0xe1aefe8bU,     0xf504c5a9U,     0xb492c15eU, \
    0x4f11885cU,     0x4309867cU,     0x5440de3bU,     0x1f524ef9U, \
    0x27ce6f03U,     0x31a12d0bU,     0x51b3685dU,     0x0992f978U, \
    0x2d12d460U,     0x8287d765U,     0xc54803c8U,     0xebb8a1f1U, \
    0x85ed41c7U,     0x449d8006U,     0xe62ab79cU,     0x391ace70U, \
    0xc69ba3f3U,     0xa4a12718U,     0x5cae0e6fU,     0x9985f8cdU, \
    0x8939a55aU,     0x698da89bU,     0x6645f9ceU,     0xd7faaff7U, \
    0x25ba5cccU,     0x1900cc3eU,     0xf42e2a90U,     0x5fe4fa64U, \
    0xf8aeea9cU,     0xfbb1b543U,     0x3ec0dfd0U,     0xf61dec6dU, \
    0x4b7ea8f4U,     0x0b8a4923U,     0x6025a802U,     0x713e43eeU, \
    0x470b6ceeU,     0x9a5c2a09U,     0x7b0dfee6U,     0xc9963436U, \
    0xf073ca27U,     0x8ec5f7bbU,     0x5f093451U,     0x58011503U, \
    0x8a8160c0U,     0x628564dfU,     0x3bd50d59U,     0xc60eb420U, \
    0xde2d5c56U,     0x3948e153U,     0xdae5c8d4U,     0x3d1c2f96U, \
    0xbfa16a14U,     0x204262c4U,     0x662b8b4eU,     0x9c504c86U, \
    0x1144f1e6U,     0xedbf21daU,     0xddd4876aU,     0xf17b31f5U, \
    0xbdc56b0dU,     0xef853ed3U,     0x570f3d87U,     0x5d61a493U, \
    0x6611d1d6U,     0xddd577f4U,     0xee356d49U,     0x5e65fdcbU, \
    0xfa1822e6U,     0x0010ac51U,     0x0d2f3302U,     0x774f23f2U, \
    0x92dc5ad4U,     0x8bd8cbafU,     0x2cdbd971U,     0x49a224e4U, \
    0x10fedf97U,     0x420c3ccdU,     0x4ca39fe4U,     0x4363dc95U, \
    0x6ff3520bU,     0x27e1b737U,     0x79ebefc7U,     0x44311b88U, \
    0xb48f66a4U,     0xf0d1de2bU,     0xab932ceaU,     0x4669ac61U, \
    0xff0acba8U,     0x5f47a60dU,     0xbdb27959U,     0xe76fb6bfU, \
    0x32e0ebc0U,     0x55a3ca4aU,     0x0f67ec52U,     0xb12884ecU, \
    0xb3ceeb23U,     0xb1cb2379U,     0xbb62213bU,     0x4df8fb78U, \
    0x0a21190cU,     0xd4f4e8bbU,     0x1b877f67U,     0x7641d874U, \
    0xa440777eU,     0x9650ab3aU,     0x6360a90eU,     0x0703d8a2U, \
    0x7c1e41faU,     0xafcd6d57U,     0x4289f558U,     0xf885114cU, \
    0x8ab0512dU,     0xf2aeea0eU,     0x9d5fc63aU,     0x667cc779U, \
    0x221f1de9U,     0x96b93367U,     0xc6331df9U,     0x093c2b52U, \
    0x12eb4025U,     0x2e7c532aU,     0x02fe2720U,     0x9f5b6f84U, \
    0x49103da7U,     0xc70373faU,     0x7c3a6a52U,     0xc2742b71U, \
    0x7a329367U,     0xc82d1e9dU,     0x80c327c9U,     0x8ee52b5cU, \
    0x88335617U,     0xcf02547eU,     0x12154c63U,     0xea6c228eU, \
    0x2bc8bd1eU,     0xe13badefU,     0xf45c6206U,     0x0b1f8a7aU, \
    0x4b7a4ca7U,     0x804c19bcU,     0xc06c0acbU,     0xa51b1565U, \
    0xbe74a3e6U,     0x4b21f6dcU,     0x2a8621faU,     0x7d4fb31cU, \
    0xfdfac29bU,     0xd7a13199U,     0x0f53af89U,     0xbfa2bad5U, \
    0x48e4ed8fU,     0xa802cee9U,     0x07e80155U,     0x8c5ed883U, \
    0x5ff38fb2U,     0xc16585f6U,     0x3cdb57daU,     0x1ef79b37U, \
    0x3879b02aU,     0xde5238c3U,     0x5a594deeU,     0x5b09a595U, \
    0xb96e794cU,     0x65193ab6U,     0x05659406U,     0xe7897e14U, \
    0xb2640744U,     0x98f33859U,     0x1e48f4a1U,     0x017b901cU, \
    0xbd1eb570U,     0xead8196dU,     0xd89f9d9aU,     0x9189b3beU, \
    0xe5529e2aU,     0x652d6071U,     0x27b9ed02U,     0x3f3bd8d8U, \
    0x6d7bd57aU,     0x8e6b809cU,     0x22db38c8U,     0xce36ea4eU, \
    0x864baa51U,     0x07b330d1U,     0x967f027eU,     0x1f3b730dU, \
    0x6b4cda6aU,     0x919e2aa9U,     0xb19e78a4U,     0xcd810d58U, \
    0xfe55c87cU,     0xce750e52U,     0xb77399faU,     0x5074e28bU, \
    0x19a07f41U,     0xc99a7249U,     0xf1c10af1U,     0x298cbb9fU, \
    0xf4ee4fdcU,     0x64649918U,     0x15fb4448U,     0x7e448ddcU, \
    0x5a32c0efU,     0xd43f1dd4U,     0x37dd8175U,     0x5f80c2f5U, \
    0xcf9bbc4fU,     0xe4399322U,     0x8e42fc13U,     0x0d032c5fU, \
    0xb9c277f2U,     0xfd670ed5U,     0x1c4fb2d4U,     0x5a793c6fU, \
    0x6c5f6b42U,     0xde6bc4b1U,     0x5b5a0d70U,     0xe7a90a9fU, \
    0xbe5933e6U,     0x1ca52327U,     0xf30a009fU,     0xc7a9051aU, \
    0x0b6540c5U,     0x796c4aebU,     0x8893873cU,     0x11c1502fU, \
    0xfcfb64f6U,     0xa1f5afffU,     0x1d994f96U,     0x81c413b6U, \
    0x4f6705deU,     0x9c2c60efU,     0x4d3cb6e5U,     0x02ac1d77U, \
    0xcefad6c7U,     0x27394207U,     0x3393e6c2U,     0x9f983070U, \
    0x770ffa0fU,     0xd567e681U,     0xd260e6d4U,     0x099a4dfeU, \
    0x7d7b58e0U,     0x029d30a8U,     0x6b3af002U,     0xca263882U, \
    0x73572549U,     0x610ab7abU,     0x962ac214U,     0x74a9c27dU, \
    0x1662d882U,     0x767eb1f7U,     0x7be4909bU,     0x8ef1c9adU, \
    0x2b617787U,     0x64f90d49U,     0xbc262cf0U,     0x1231c30aU, \
    0x3b433127U,     0x316829eaU,     0x1d394133U,     0x8450d1e9U, \
    0x33fc7559U,     0x39422d8eU,     0x8e73c630U,     0xfbf32538U, \
    0xe1419e90U,     0x71d2b453U,     0xe418a024U,     0x25e71ce8U, \
    0x504efe54U,     0x6b98c460U,     0x962d9984U,     0xceb1f1a8U, \
    0xeab2a814U,     0xc0d8d916U,     0x9e20918fU,     0x66e38e20U, \
    0x8567588aU,     0x45d54026U,     0xc7e67856U,     0x91b4dcefU, \
    0x480b424fU,     0x372a3799U,     0xdf657eabU,     0xef50c1a4U, \
    0xfb30ec11U,     0x5093376aU,     0x58567fadU,     0x594fdf5dU, \
    0xe2160a9eU,     0x902ff3b9U,     0xe23815b3U,     0x1582f136U, \
    0xc02e5e1eU,     0x38a5550aU,     0x647b0dd1U,     0x95ae69f9U, \
    0xbf4c2ab6U,     0x7261b0a5U,     0x08d55ceeU,     0x7ea06ca4U, \
    0xd356bf92U,     0x48474834U,     0xf92f02f7U,     0xa9e09f83U, \
    0x72dc20b8U,     0x6e50a201U,     0x87df7110U,     0xed53c0e2U, \
    0x589f78c2U,     0x46e0c34eU,     0x0c946dedU,     0x580c9c3bU, \
    0xd6c32fd6U,     0x1d1d9cb5U,     0xcc9ad45eU,     0x8ec646f1U, \
    0x55eb4c0eU,     0xebc8aac4U,     0xec952285U,     0xcb0da55eU, \
    0xf29c1477U,     0x8743bc32U,     0x45be8cf8U,     0x3142bdcaU, \
    0x73f84a83U,     0xd94cc424U,     0xbc5ea4b3U,     0x1c80b615U, \
    0x56300df8U,     0xd211a1ecU,     0xae6e697fU,     0x38a6afdeU, \
    0x0ca4b83dU,     0x6326943dU,     0x1d641a43U,     0x7e40aeadU, \
    0xfd5f8d51U,     0x1079bb4fU,     0xa532f88fU,     0xfed2d0dbU, \
    0xab1f94feU,     0x50fd22abU,     0xd0a504dbU,     0x8351927dU, \
    0xed1dc671U,     0xc1360b03U,     0x83f0632bU,     0x1d615154U, \
    0xcfc02fa0U,     0xbc4ded90U,     0x9353f74fU,     0xd52e107aU, \
    0x4e7160b8U,     0x688ccd4aU,     0x24d0b206U,     0x62e13b85U, \
    0x04368eadU,     0x68d7572fU,     0x6863c0b1U,     0xead418f0U, \
    0x64511f3bU,     0x583634d8U,     0x6cd2c0d0U,     0x75beab05U, \
    0x930343e3U,     0xac6d5a34U,     0x39dfaf74U,     0xda6f9120U, \
    0x23eb0734U,     0x16ae5f57U,     0x9258a5c4U,     0x21e4e1ccU, \
    0x3a789bceU,     0x6db7b765U,     0x37dd6e31U,     0xcd534e03U, \
    0x62da7764U,     0x2ab8263fU,     0x97b026b8U,     0xef203fc1U, \
    0xb555d9c3U,     0xc17822bdU,     0xe72f82fdU,     0xcdfaa7e3U, \
    0xf828faf0U,     0xf2d15158U,     0x77fc06e2U,     0xaec1380fU, \
    0x710bfa5bU,     0xa2a3d3a7U,     0xc5009da7U,     0xc51b3979U, \
    0xe30f850aU,     0x926be9b4U,     0x9de9bb56U,     0x031887f3U, \
    0xa0684c1dU,     0x3ed061d1U,     0x9b8f46d4U,     0xaf84af78U, \
    0xc9f81a0aU,     0xedae6f68U,     0xab2f80bbU,     0xbb3e86d2U, \
    0xbbb5b152U,     0xb81587d3U,     0x490d057eU,     0x4cddde18U, \
    0xed5a4595U,     0xfbcd2210U,     0x58cc6148U,     0x9e416276U, \
    0xe16ccab3U,     0xdbf1f755U,     0x72e71a5eU,     0x103da7d3U, \
    0x7e22e56bU,     0xf6070257U,     0xc0122b7aU,     0xe4cce96bU, \
    0xf54c4d15U,     0x79a9f875U,     0xca2de9edU,     0xbfca3692U, \
    0x4259c272U,     0xdab05115U,     0xc4ca0168U,     0xbebe562cU, \
    0xcaf6e5deU,     0x21e5b000U,     0x30dfbd29U,     0x3d108d04U, \
    0x6c05cd21U,     0x9072b11eU,     0xc623c4d8U,     0xf08295a9U, \
    0x25425cd5U,     0xdfe22449U,     0xc9f4c296U,     0x1941b612U, \
    0x2a439bbcU,     0x4effa189U,     0xe06b40e0U,     0xb3f7eb70U, \
    0xa9ad3008U,     0xc59f2621U,     0xf2554b0bU,     0xd51a98caU, \
    0x5c59b9bfU,     0xce85486aU,     0xf01651b6U,     0x9beff36fU, \
    0x595c41d4U,     0xfd4a18caU,     0x5b6aee38U,     0xae7f3851U, \
    0x46166f33U,     0x9022eb91U,     0xae01a006U,     0x9844e1f2U, \
    0x4dd1a2a9U,     0x7b31f332U,     0x15497b99U,     0xa1980da9U, \
    0x1414a319U,     0x420d0b5bU,     0x982db8a8U,     0xd9804b08U, \
    0xe8fea678U,     0xc7ed2e6cU,     0x00493168U,     0x21a44fddU, \
    0xdad3aa77U,     0x7a453516U,     0xc6c99c06U,     0x087d5ed2U, \
    0xa2e0161cU,     0xee563502U,     0xb4f03685U,     0x155986b3U, \
    0x6b6ceb61U,     0x864d123aU,     0x3a0da1a5U,     0x336cb108U, \
    0x1ad7c98bU,     0xab9068d2U,     0xc91a69c8U,     0x1d8354c9U, \
    0x939bd747U,     0xf3233324U,     0xa5eec403U,     0x077be18aU, \
    0x949a4c5eU,     0xfae8ade5U,     0xd5809036U,     0x6f4cb87bU, \
    0x0be8f903U,     0x065226d1U,     0xa3edfc11U,     0xc66567dfU, \
    0x2c7c34ceU,     0xa17e25bbU,     0x28e9f323U,     0xbcacbe65U, \
    0xee295770U,     0xba9f9dc6U,     0x915b2c61U,     0x3093a215U, \
    0x26dbf707U,     0xdc5f131fU,     0xad47647aU,     0x1b49bb38U, \
    0x37d86e5cU,     0x7924cae6U,     0x32d3c7afU,     0xe61ecd7eU, \
    0xa4147b19U,     0xfd3adb91U,     0x4db8bb9aU,     0x62a57db4U, \
    0xba318efeU,     0x30c5820aU,     0xbbfd0154U,     0x12dd83aaU, \
    0x5a8950e9U,     0x8ae2216bU,     0x5ccdbc72U,     0xda6bcc56U, \
    0x81755e2eU,     0x06dd7055U,     0x03057b96U,     0x481e2aeeU, \
    0x704bed52U,     0x60dac66eU,     0x0d572306U,     0x034be1c3U, \
    0x98ca582bU,     0xf7e144f4U,     0xc07d9b25U,     0x327bcc9cU, \
    0x01b71733U,     0x28e3a7c4U,     0xa90c2045U,     0x1c19b34fU, \
    0xfa55d698U,     0xce61c81dU,     0x90b81173U,     0x31082160U, \
    0x3fe015a2U,     0x21b6d064U,     0x550d51f3U,     0x575fada0U, \
    0x3c297d29U,     0x623b7ccfU,     0x138d03d0U,     0x0b621ee4U, \
    0x0d6785ddU,     0xe013d84cU,     0xf4e1601dU,     0x903d44e6U, \
    0x64cd0602U,     0xf70517dfU,     0x44bfe233U,     0xaf02ca00U, \
    0xc27318acU,     0x4753def9U,     0x16d9f1ebU,     0x6f953bd4U, \
    0x1dd237a1U,     0x0ae9be34U,     0x57177e54U,     0x88140fd0U, \
    0x1e4c127aU,     0xba4ef97dU,     0x95d1cce8U,     0x7e563957U, \
    0x53e61fa4U,     0xc97b6209U,     0x1577bed4U,     0x0023f507U, \
    0x2678251fU,     0xfbe85e4aU,     0x4acbb9f3U,     0xb20ffe9dU, \
    0xc22481cfU,     0x14947d91U,     0x85bade8dU,     0xe9244f9eU, \
    0x102625ebU,     0xa2250d20U,     0x8569f1a4U,     0x726dcfb1U, \
    0x5e475198U,     0xed03e0ccU,     0xd250c904U,     0x6de6a334U, \
    0xeef9f14aU,     0x82f9a901U,     0xfd39e751U,     0xbb0f62ffU, \
    0xa106acafU,     0x9470a792U,     0x2f547588U,     0x62b28d7aU, \
    0xebf891c0U,     0x99195fcaU,     0x3b635549U,     0xa0232cd2U, \
    0xfde19cabU,     0x1a532970U,     0xa150850aU,     0x25c044a4U, \
    0xa70dd47eU,     0xae73d4a1U,     0x87dadbbcU,     0x0f012a0eU, \
    0xa2459888U,     0xcedc4906U,     0xd9ee5133U,     0xeb3c7b89U, \
    0xecdad06cU,     0x44d0d689U,     0xe9f2897dU,     0xd0dfe4c2U, \
    0xa24f14afU,     0x52cf6425U,     0xbc86d0c6U,     0x4da6a165U, \
    0xad98fa37U,     0xa7893aafU,     0xaf5ebe0fU,     0x448ad1a7U, \
    0xaf2572ceU,     0x3a145eeaU,     0x8f76cde6U,     0xd72babbeU, \
    0xc3c3446fU,     0x2ddbe619U,     0x7f74ec6bU,     0x3cdfd05dU, \
    0x05c3d6b9U,     0x20a8a5caU,     0xd152fb30U,     0x453563deU, \
    0x15ec381aU,     0xda7484f8U,     0x81e4c726U,     0xfac330c5U, \
    0xbdd71860U,     0x962a4108U,     0x94481744U,     0xb50f4d73U, \
    0x8ce46b02U,     0x552664d4U,     0xa591a960U,     0x504b2f0fU, \
    0x1f33b57aU,     0xc1326054U,     0x3f0b62dbU,     0x2ac956b7U, \
    0x92f79e20U,     0xba2d6aa2U,     0x6199b6c6U,     0x2d8d09e0U, \
    0x22eb68e1U,     0xabb6e85eU,     0x0f110179U,     0xe363bdfcU, \
    0xe87335a1U,     0x6548fa63U,     0x30df5ebaU,     0xd002def1U, \
    0xdd8218edU,     0x735c4dfbU,     0xe34e8ceeU,     0x0213e58aU, \
    0xf8eb5926U,     0xca3d6b2cU,     0x120dc8a6U,     0x0f8c3709U, \
    0x949127dcU,     0x4d21f570U,     0xd077f8e6U,     0x49227132U, \
    0x45a10d62U,     0xb6751284U,     0x6d235e45U,     0x23220d9fU, \
    0x57cde16fU,     0x241ad600U,     0xd0d67eecU,     0x6500c38bU, \
    0x4bc91762U,     0x50bfedbcU,     0xfcc7de0aU,     0x421e48f8U, \
    0xf3acea50U,     0x30fe75e5U,     0xfe9a46dcU,     0x07412062U, \
    0xce78a1e6U,     0x83d73a08U,     0xd6e049c3U,     0xee76374aU, \
    0x7833faf9U,     0x63100877U,     0x99229b4cU,     0xbcb6d7b3U, \
    0x94fe8304U,     0x97b54968U,     0x2fe5f64bU,     0x415f37e6U, \
    0xca34b9e6U,     0x8384ce4eU,     0xf98bd925U,     0xdd4edd32U, \
    0xd1c49048U,     0x51bb5febU,     0xc89eac25U,     0x0c83d4f7U, \
    0xfe3876a3U,     0x737d1b9aU,     0x8c02e6f7U,     0x4d61a0a0U, \
    0x85480cc5U,     0xc58d6edfU,     0xc0c58007U,     0x08aa8836U, \
    0xf5959a34U,     0xa9253e6eU,     0xb3184430U,     0x80fc1850U, \
    0xaca34abaU,     0xcd215ce8U,     0x4cc04035U,     0x8c15f342U, \
    0xef12495eU,     0x8eafbd04U,     0xdf1c86c8U,     0x72a93753U, \
    0xe99df7f4U,     0x2449eb18U,     0x150a7b67U,     0xd932f1e3U, \
    0x6cf8aa65U,     0x2ac4c744U,     0x40be43e9U,     0x2526d6dcU, \
    0x8266fce5U,     0x94205210U,     0x6d3c365eU,     0xae6fbe0aU, \
    0xf02cc547U,     0x241a2d51U,     0x76b60efaU,     0x8887371cU, \
    0xbed616f2U,     0xc9db2763U,     0x969b9b4cU,     0x0c18eff9U, \
    0xa74f519cU,     0xf8314b4cU,     0xd81e4306U,     0x7bd8d883U, \
    0x9a700920U,     0x977e4973U,     0xebfb8e73U,     0xbb310c41U, \
    0x502292caU,     0x60369c48U,     0x80c1709dU,     0x2e390ba1U, \
    0x4b909d37U,     0xd00ab1e9U,     0xfc7bcd81U,     0x61593667U, \
    0x9f7f76c5U,     0x5a83a2d3U,     0x9833bfb4U,     0xc9a79c9eU, \
    0x82b4bdfbU,     0x09fbfc60U,     0x49e5546aU,     0xc9c1f17bU, \
    0x8c30f65dU,     0x4c834df2U,     0xb7d6e02dU,     0xde7b9809U, \
    0xd018cd05U,     0xb2f8ecd1U,     0xd2264e24U,     0xf6c2c645U, \
    0x735434abU,     0x90171c33U,     0x790f271eU,     0x97915c82U, \
    0x9486bf9aU,     0x99bf83baU,     0xf16585a6U,     0x3c74ba4aU, \
    0xb0ed9904U,     0x6fff5a68U,     0xc54cff89U,     0xbab9a337U, \
    0x803bb39dU,     0xabf9374fU,     0x703605d6U,     0x1a227259U, \
    0xafbd9d01U,     0x7b60a115U,     0x6a251ce0U,     0x896defe4U, \
    0x246caeb0U,     0xb359f768U,     0x205f6e28U,     0xaf33fc15U, \
    0xb1a7ca82U,     0x48fdf330U,     0xb517fcd2U,     0xfa5c5d61U, \
    0x8aa41749U,     0x01a4938eU,     0xb64d3703U,     0xca19af8eU, \
    0x71040d84U,     0xb76194b8U,     0x77ddff21U,     0xdef847b7U, \
    0xcd7cd76bU,     0x7bbf930eU,     0x981d195dU,     0xe4d2c0b7U, \
    0xf3c42073U,     0xa7a7cbb9U,     0xe7b278a4U,     0xb2b8f85bU, \
    0xf4848bb8U,     0x8189f0f8U,     0xa6af1c08U,     0x0b6e3735U, \
    0xfab9daacU,     0x267bedd0U,     0x5fae1b69U,     0x02e39f99U, \
    0x42fbfbdbU,     0x0499bf04U,     0xb14acce5U,     0x332f49e0U, \
    0xfc9c7ec5U,     0xe5ebfebeU,     0xa4f9f804U,     0xfb86d04dU, \
    0xaf99e798U,     0xbb29955eU,     0x4ec09a22U,     0xa9f5ac29U, \
    0xb1df4b18U,     0xa82df0dfU,     0x299ba989U,     0x2a92fe64U, \
    0xaf7c9f8bU,     0x1c30113aU,     0x06c42decU,     0xa98a8ed7U, \
    0x5dffffe1U,     0x8833dbe1U,     0x205c7500U,     0x33cd45a2U, \
    0x0a63d25bU,     0xeb7b7953U,     0x77d3f6bbU,     0x80757e29U, \
    0xa077e4d8U,     0xd4e5beb8U,     0x67e89ecdU,     0x608688f8U, \
    0x38d9d9adU,     0xd2ebd1cbU,     0x8fc48365U,     0x37d9a063U, \
    0x684d3fb9U,     0xe6c81b4bU,     0xd8c5085bU,     0xad0f6f69U, \
    0x8003cc2dU,     0xa5bbc202U,     0xf010139bU,     0x0b1e9b16U, \
    0xe2b76c86U,     0xd756906dU,     0xb725fcd1U,     0xa2a2e7dbU, \
    0xff93ee99U,     0x4e6ac5abU,     0x352fec16U,     0x6e724cbcU, \
    0x649ef001U,     0x0c524468U,     0x2dcd9ffdU,     0x8b8ca1e9U, \
    0xe107e882U,     0x132aa738U,     0x250fc293U,     0xd830fb21U, \
    0x2dcae6f7U,     0x4f01363aU,     0x238fc526U,     0xba35f219U, \
    0xb85dcdbdU,     0x5c34dbd5U,     0x318ecbbfU,     0x93c56d9bU, \
    0x8ff884feU,     0x7d91d5e1U,     0x0357a199U,     0x0d05d899U, \
    0x55f8f240U,     0x5c10e1daU,     0xbaf4db16U,     0xe1a75dfbU, \
    0xc92b141aU,     0xbec96297U,     0x13488676U,     0x29a30253U, \
    0x0041bafdU,     0x97cdcad4U,     0xe2f0a0abU,     0x88506127U, \
    0xe7438ba3U,     0x5043b49fU,     0x2413f03dU,     0x97bd87e5U, \
    0x48d719cfU,     0x5cf47ef4U,     0x9d45e9e1U,     0x2ff47872U, \
    0x9357d704U,     0xcab381b1U,     0x9e099b36U,     0xd73e096fU, \
    0x2330a979U,     0x8c0b4938U,     0x8558a060U,     0x96c37f08U, \
    0x21f0a7f1U,     0x40922392U,     0xf55d1088U,     0xe8f023faU, \
    0x40406877U,     0x8ede1712U,     0x4bf965f3U,     0x004701cbU, \
    0x5a7c54eeU,     0x153b4386U,     0x806fcbdbU,     0xe450d49aU, \
    0x3a6fd09bU,     0x3fe13d02U,     0xda4ecdb2U,     0x4d4ea1b6U, \
    0x6b39b10bU,     0x0090865dU,     0x86ddcd5fU,     0x508ce0d3U, \
    0xf2741de8U,     0xe26b4c30U,     0xf315fb93U,     0x4a51b700U, \
    0xd083fa18U,     0x0792f069U,     0x306b752cU,     0x8a729fd9U, \
    0x149f4ca9U,     0x95011e9cU,     0x613c5abeU,     0x9a7fe2c5U, \
    0xe0329b08U,     0xbaeac561U,     0x2502fd47U,     0xa7914afcU, \
    0x625bf6fcU,     0x7512631fU,     0x38e9715bU,     0xd6abc620U, \
    0xba1ed5beU,     0x18846b84U,     0x3730fd26U,     0x7fd9ce60U, \
    0x59349356U,     0x6ed50fe9U,     0x7cc85888U,     0x9b8bb316U, \
    0x5151a0b6U,     0x00fb551dU,     0x8973bd8eU,     0xf1483e98U, \
    0x766a272eU,     0xf37839d5U,     0x8b272143U,     0x1262b1baU, \
    0x7d8a6d96U,     0x09ec7fa3U,     0xbc7b7c09U,     0xa739c1d9U, \
    0xc4544a8aU,     0x25fc3a39U,     0xdb5b0cbdU,     0xb35248a8U, \
    0x70084d18U,     0x08f3d372U,     0xb75a4d81U,     0x965e7ecfU, \
    0x50f34946U,     0x7cb85c1fU,     0xc49ad437U,     0xcaee5495U, \
    0x6aceb6fbU,     0x6a924b41U,     0xd26f0079U,     0x786c9fc3U, \
    0xb8d33722U,     0xb532beebU,     0xc09ad97bU,     0x0ef4ec3aU, \
    0xcc37c478U,     0x5c5d5ff1U,     0x3b1bd42fU,     0x1e4ae5beU, \
    0xb6903826U,     0x596f50a8U,     0xcfa00183U,     0xc611e629U, \
    0xb40e8753U,     0x54dd31a2U,     0x6cf14036U,     0x2671ad4cU, \
    0x32ca903cU,     0xd1032b28U,     0x91c2ba46U,     0x84cb00d9U, \
    0xe86de934U,     0xb4aca1acU,     0xe8aaccd4U,     0x962f10e2U, \
    0x2bd3d901U,     0x2069cfaaU,     0x2b4fe837U,     0xa36607c8U, \
    0xfc08adcfU,     0x4e70826eU,     0x4c2334feU,     0x2a05a3f5U, \
    0x625acbbfU,     0xa94f614dU,     0x1a0c35cfU,     0x06078b21U, \
    0x54e4f0e3U,     0xcb1f9d63U,     0x3184eb39U,     0x403524baU, \
    0xf7d94d66U,     0x38803691U,     0x144e39d0U,     0xd39ab97bU, \
    0xdb1166ebU,     0x9124d1b5U,     0x178da825U,     0x021fc678U, \
    0x45ca21cdU,     0x6bc10dabU,     0x582fcab9U,     0x033ab5c9U, \
    0x99f3eb24U,     0x39d8b225U,     0xaef29287U,     0x7628ae42U, \
    0xd0cbc6a7U,     0xed19da7bU,     0xbda68462U,     0x8bdab2dcU, \
    0xa344beb3U,     0xcbbd8032U,     0x50bfad78U,     0x741072faU, \
    0x0bd6f0caU,     0x8090c135U,     0xb591db65U,     0xc4875875U, \
    0xc555ba93U,     0xde8b0c9bU,     0x9fd430e3U,     0xed729a06U, \
    0xec313d4bU,     0x5f0402b7U,     0x0201bbd9U,     0xa3027091U, \
    0xa5f1352eU,     0x3880fe9dU,     0xddfdd94fU,     0xd477dd65U, \
    0x4608924fU,     0x870cf665U,     0xe3097ed1U,     0x8fd081fdU, \
    0xc8f3e4ceU,     0xbbae9ee8U,     0xb61850c2U,     0xf57eddbfU, \
    0x915d4c1aU,     0x121206e0U,     0x8d242e79U,     0x8bb8ea77U, \
    0x9271258bU,     0x66891ae1U,     0x68a3d902U,     0x47546c53U, \
    0x552b288aU,     0x13f23455U,     0x0bd04debU,     0xbe98a04dU, \
    0x284e2b2eU,     0xf28a03fcU,     0x549f9da6U,     0x5e7e4fe7U, \
    0x2e697777U,     0x966d285aU,     0x43c21b62U,     0xdf36e63bU, \
    0x037b7822U,     0xd3cb80dbU,     0x650baf92U,     0x818ea068U, \
    0xd7ee2e2aU,     0x58ca2778U,     0xf7476b81U,     0x9140c203U, \
    0x73d3964cU,     0x49d31b05U,     0xbdeaf28aU,     0x810b4b87U, \
    0xfd1effe1U,     0x93cb5961U,     0x3a158274U,     0xf5756a46U, \
    0x9f7a45fdU,     0x27da9409U,     0x94697b27U,     0x48b9c5d3U, \
    0xc7cb76a7U,     0xd5ade08aU,     0x45345fd8U,     0xd74d5c92U, \
    0xcd827371U,     0x794a34ddU,     0x34638e62U,     0x025d4842U, \
    0x075a1702U,     0x4e64e934U,     0x0d778c2dU,     0x784d0261U, \
    0x45d4e518U,     0x3c8e544cU,     0x866f18ebU,     0xe8a82809U, \
    0x125b88aeU,     0x5e6d5352U,     0xf78c2fdfU,     0x85cc7ceeU, \
    0x880348ceU,     0xff0110bcU,     0x525a204dU,     0x9b5359b4U, \
    0x0ec6fe7fU,     0xfab5297fU,     0x43149957U,     0xf3425f30U, \
    0x96cc68b2U,     0xc6298364U,     0x550f2f5dU,     0xcc0d3d7dU, \
    0x11ed8ddcU,     0x8ba19f58U,     0x9cf0f845U,     0x650a5129U, \
    0x72fc38ceU,     0x8dff95d6U,     0x60a3c2a6U,     0xad498c9eU, \
    0xffe76fb1U,     0xc0bac334U,     0x361b74aeU,     0x7716de75U, \
    0xfec50f1eU,     0xfd1b185bU,     0xdf462980U,     0x3e6f0a2dU, \
    0x165df0fcU,     0x8417f9d5U,     0x6422f424U,     0x4efc3a3eU, \
    0xe117462bU,     0xe23322d7U,     0xa01b9224U,     0x00b445c1U, \
    0x8dfa9750U,     0x484adfe9U,     0xc94213e0U,     0x1e3c37eaU, \
    0x57a0c35eU,     0x55281de8U,     0xa186e10aU,     0x9a5de1e4U, \
    0x0f46a439U,     0x2ccc0eb7U,     0xa9d52b13U,     0xc3c0774dU, \
    0x98a0bae2U,     0x8e4d57b3U,     0x30b5bc2aU,     0xab377c2fU, \
    0x560c667bU,     0x7f9ad7efU,     0xc65b2c5cU,     0x4a8cf424U, \
    0x7d361ff1U,     0xeddbd25cU,     0xe8ac4832U,     0x9d623da0U, \
    0x55d59565U,     0x09365941U,     0x995176ccU,     0xad168744U, \
    0xc1f9f4d0U,     0x58e4b853U,     0x7ded0b6dU,     0x29a12f21U, \
    0x1fed974dU,     0x35048f28U,     0x3b8c6987U,     0x9a87d137U, \
    0x37567c02U,     0x36d1eb4eU,     0x6c0c8880U,     0x8163c0f2U, \
    0x6df5c36dU,     0x644ac755U,     0xd30a3dd4U,     0x3e257b64U, \
    0x11c8b72cU,     0x7fee33bdU,     0xfddb5ddeU,     0x1244c9b5U, \
    0x04d3d63fU,     0x9c36bcafU,     0x6d1004f0U,     0x669b907fU, \
    0xc34058d4U,     0xa111757fU,     0x07915b92U,     0x453ac654U, \
    0xbf2814bbU,     0xa5ea8cdaU,     0x71976ebdU,     0x201cd766U, \
    0x66c35f11U,     0x291780dfU,     0xdd61bc7dU,     0x165f377aU, \
    0x579cab0cU,     0x690200eaU,     0x6a631193U,     0x77084954U, \
    0xf4e6bf0eU,     0x03ed1b44U,     0x507b1f39U,     0x672785d1U, \
    0x5f5d6aeaU,     0x04115385U,     0xccc2bbfbU,     0xe974ef94U, \
    0xed2435e5U,     0xd1215d16U,     0xe126f7ecU,     0x1e23d4c8U, \
    0x347f10f6U,     0x1ada4c3aU,     0x0a1429a6U,     0x1f7529f6U, \
    0xdee59b75U,     0x8fb25a2fU,     0x03e4d536U,     0x3ac969adU, \
    0x91f3e48eU,     0xb8c8677dU,     0x93e78d57U,     0xce4dd24fU, \
    0xd2c7e0d3U,     0x1845cc5cU,     0x68e2b5baU,     0xba820351U, \
    0x1ce76693U,     0x607ce287U,     0x29b17c0eU,     0x192d9791U, \
    0x46ea7219U,     0xd3866b86U,     0xbda10eb4U,     0x08775014U, \
    0x7a76302bU,     0x7f4c426aU,     0xbc14559aU,     0x2da8ec12U, \
    0x0efc00e0U,     0x4d0561e0U,     0x0045fb77U,     0x53078497U, \
    0x6958983aU,     0x97863394U,     0x9bab5f12U,     0x8062c46fU, \
    0xfb5d1da4U,     0x00d90573U,     0x49cf2029U,     0xb23d4fe9U, \
    0xf8b6281eU,     0x5000e279U,     0x6f35d777U,     0xe2c45fe3U, \
    0x8c2b86dcU,     0x12198374U,     0xc2f70b46U,     0x0a3858ccU, \
    0x8a4b5454U,     0x7db29d19U,     0xf920cbfaU,     0x00ad68ddU, \
    0x39a347b7U,     0x225ddb42U,     0xd9a16d3eU,     0x57ab82c0U, \
    0x8b93f396U,     0xf8ab8571U,     0x82a023f8U,     0x598d0574U, \
    0xbe8662b7U,     0x225cb27eU,     0x59ab2f8dU,     0xf841a7caU, \
    0x4e02bfeeU,     0x6ab885e0U,     0x07f79e54U,     0x4b065f07U, \
    0x32b0f3dcU,     0x785af12fU,     0x1f4cafa4U,     0x5254c896U, \
    0x0823b618U,     0xf9b77567U,     0xbc66e83bU,     0x8b5e1fe4U, \
    0x50ae8c7aU,     0xd916d0ffU,     0xcf4650efU,     0x3a9b5f7bU, \
    0x58e473d4U,     0x47e4be48U,     0x87278760U,     0x80122d44U, \
    0xc4b12057U,     0x40a526d9U,     0xc05b27fcU,     0xc9d939f6U, \
    0xec412693U,     0x0c934e2eU,     0xad10c5b5U,     0x27e96a30U, \
    0x7b419045U,     0x2c5b733aU,     0xc9116824U,     0x72d1545eU, \
    0x65935782U,     0x6418143aU,     0x7426dc70U,     0x7271e7b4U, \
    0x353f5169U,     0x0b5e7a46U,     0x40df9544U,     0xc6009731U, \
    0x6c33e747U,     0x249c5b26U,     0x674f3055U,     0x6d459b48U, \
    0x5b946449U,     0x66ba321dU,     0xb42de634U,     0x3a677e94U, \
    0x3514e93fU,     0xe9b62c5cU,     0x96ba3098U,     0xef948650U, \
    0x0936d509U,     0x2961c896U,     0xcb016ac3U,     0xaed7dd66U, \
    0x06f33bbcU,     0x44ff5f63U,     0xaf24b584U,     0x7a457b9cU, \
    0x5af7a4b4U,     0xa5c5766eU,     0x40bad05dU,     0xb8ffbfd9U, \
    0xb762cec9U,     0x47071471U,     0x7548eb99U,     0x8bf588eeU, \
    0xeb6ff3e0U,     0x4112462bU,     0x0ad762d3U,     0x75b3c13eU, \
    0x9a8e7654U,     0xe41bf695U,     0x6b47f821U,     0x10b2f51cU, \
    0xd1d64d32U,     0x0e160636U,     0xae54d736U,     0x4939b202U, \
    0x789b4b86U,     0x82d0bd25U,     0xfe3c8b5dU,     0xb23e1e3fU, \
    0x0544b964U,     0xd81b5febU,     0x3c60d7ccU,     0xee0eaa71U, \
    0x8c92f883U,     0xd4efa0f6U,     0xe7b01027U,     0x87ec4c80U, \
    0x83bac7e2U,     0x62e18dcaU,     0x06e388edU,     0x06dabff2U, \
    0x708259d5U,     0xebd480b3U,     0x27ec8ad2U,     0xc7410c63U, \
    0x2544b527U,     0x8d816defU,     0xf864a431U,     0xc8d8628fU, \
    0x5c80d54aU,     0xa52d4241U,     0x6e43f0f5U,     0x1a0825e7U, \
    0x3003544eU,     0x4c5a2334U,     0xff1b7cdfU,     0x4ab44a91U, \
    0x7c87e1f2U,     0x92605badU,     0x6cf8027cU,     0x3e7b4fd2U, \
    0xb98515e8U,     0x8172e2ffU,     0x40207d4eU,     0xcfbcfdc5U, \
    0xfa497897U,     0xfb67b668U,     0x826d5286U,     0x04629c16U, \
    0xe382dcdcU,     0xec0ba8e7U,     0x8ff70e76U,     0x2b1d986bU, \
    0x6c5d66faU,     0x974a2f0aU,     0xce1de8a0U,     0x4533d779U, \
    0x5790e906U,     0xdc269880U,     0x8ab69c7bU,     0xb88f7fb0U, \
    0x2f1175e7U,     0x351433e8U,     0x64fad118U,     0x63e5341eU, \
    0x9056846cU,     0x011afa27U,     0x289c8cedU,     0x5feadcc0U, \
    0x41da77e1U,     0xe0b22022U,     0xb3ca9367U,     0x4e1429bdU, \
    0xdba49893U,     0xe817b9fbU,     0x79fd409cU,     0xe1ddc05fU, \
    0x3e7717a7U,     0xbc774593U,     0x1dbc4f5aU,     0x77f75417U, \
    0x12d70e63U,     0x5c2e879bU,     0x5ef6c1c8U,     0xa833696dU, \
    0x232c29fdU,     0x85fa5e7dU,     0x7833f848U,     0x870f70edU, \
    0xea6bfd56U,     0xe9a11552U,     0xfe944a9aU,     0x8c16883dU, \
    0xdfcafacdU,     0xe103381bU,     0xb9e609c3U,     0x6f34b6ddU, \
    0x56bd7c7aU,     0x934e2c2cU,     0xbb823985U,     0xa3e2a3f3U, \
    0xe0554f9fU,     0x90d0bddfU,     0x9e7b18efU,     0x2d6b45c8U, \
    0xe4630c83U,     0x23e2663fU,     0x4f957b37U,     0x8bfdf047U, \
    0x57ca1dc2U,     0x8f6effc8U,     0xc3eed56cU,     0xdc3315d2U, \
    0x19fa9692U,     0x00921ed0U,     0xacaf3365U,     0xcbdc765fU, \
    0xcf042239U,     0xbb85962aU,     0xde67c931U,     0xa0c19449U, \
    0xa0f85329U,     0x87bc2fd3U,     0xcbe85510U,     0xafd4cdb7U, \
    0xe7693dbeU,     0x870ef853U,     0x36132830U,     0x8faa8294U, \
    0xb2a972fdU,     0xec9f3653U,     0x825b7a2cU,     0xc377fccdU, \
    0x2d2df7d9U,     0xc98346c8U,     0x5753463aU,     0xbc74da7cU, \
    0x4fb88ea1U,     0x20990375U,     0x8720b742U,     0x05eb9afaU, \
    0xec5f30f8U,     0xc910e48eU,     0x365ae48cU,     0x1e11cdaeU, \
    0x2f4acc11U,     0x8f243254U,     0xe2ca2a61U,     0x49f3c031U, \
    0x81ca252dU,     0xfcd66116U,     0xedd1e40dU,     0x29b5bac6U, \
    0x067fa372U,     0x398d489bU,     0xcb8d0a3eU,     0xbdde43a6U, \
    0xf3a67213U,     0x0460da47U,     0xf658177cU,     0xd3366297U, \
    0xe0d9d109U,     0xd0babdbbU,     0x7104e905U,     0x4b40b271U, \
    0x4a5e5795U,     0xeccb51d3U,     0x35db7f28U,     0x728f226bU, \
    0xca215168U,     0x86a31d77U,     0x7d556b99U,     0xc676ed9aU, \
    0xb7288119U,     0x9c954663U,     0xc8cfd30bU,     0x30fe4cb5U, \
    0xeaefe19dU,     0x4c318348U,     0x037f2c7dU,     0x46592bc9U, \
    0xa95d1e36U,     0x4a6e55f5U,     0x400fa150U,     0x9b523882U, \
    0xe9206335U,     0x99df9a47U,     0xa80f7525U,     0xf1db2dcfU, \
    0xdff72158U,     0x6935f622U,     0x0b22f339U,     0xfac2e669U, \
    0x700db080U,     0x031388d9U,     0xff6a67e4U,     0x52925528U, \
    0xf689bb11U,     0xff654932U,     0xb7dd5630U,     0x42b355deU, \
    0xdb21f22bU,     0x168c3e04U,     0xaf5ddd4cU,     0x06fe65b5U, \
    0x44b50455U,     0x03b353cbU,     0x36468ed1U,     0xde1e1510U, \
    0x149145c3U,     0x4cf1dfd2U,     0x189d0148U,     0xc217b1efU, \
    0x88a5d1e3U,     0x6c106a23U,     0x6f851a21U,     0x1a441a63U, \
    0x95f9b507U,     0xb4e91a2aU,     0x4b865618U,     0x6ef7b4d2U, \
    0x5dcb27ecU,     0x46896dc1U,     0x640f90c7U,     0xfd3b0c01U, \
    0xb4139a93U,     0x0d8ee4a4U,     0xd09047bfU,     0x378f38a7U, \
    0x94ba1452U,     0xba8ebf59U,     0x45c4ac6aU,     0x2636e630U, \
    0xf7277936U,     0x757bc05dU,     0xf6d7540eU,     0x04e3b173U, \
    0x914817a6U,     0x3cecca64U,     0x4fc88222U,     0x30a8d1b5U, \
    0x43099ff0U,     0x27277a77U,     0x760398c9U,     0x14f4ca78U, \
    0x863cfd12U,     0x7b42ba63U,     0x47c8b73cU,     0x1ea19674U, \
    0x2ee1a691U,     0xb0999945U,     0x40afe22bU,     0x1133341eU, \
    0x18f36f61U,     0x6cf1c53eU,     0x10e53f15U,     0x6fb91402U, \
    0xfd7d7988U,     0xee594bf6U,     0x45f0cb71U,     0x5445deb7U, \
    0xf0386031U,     0xa58413a4U,     0x1f0fb55eU,     0xd850670eU, \
    0x9bf06843U,     0x8ff3122dU,     0xea4cd891U,     0x53e16cf7U, \
    0xdae15dbbU,     0x0baed88cU,     0xa96ce668U,     0x7769050cU, \
    0x94f10a9aU,     0xae5afe02U,     0x914ec1e5U,     0x05f3876dU, \
    0x189743f3U,     0x9fa3ea49U,     0xa741c474U,     0xd539ce11U, \
    0x5a40c5d0U,     0x124b1f64U,     0xc4651837U,     0xa5ba0a62U, \
    0x240dde2aU,     0x36f03209U,     0xd1965ba7U,     0x4dc1009aU, \
    0x62d265d2U,     0x4a940597U,     0x6edd8673U,     0x4d53f272U, \
    0x5f9e6a4aU,     0x7521e453U,     0xb59d29c3U,     0x96ee517eU, \
    0x91a906d5U,     0x4381b6c9U,     0xff21e2f6U,     0x6302855fU, \
    0xf0312a9eU,     0x9ca516f5U,     0xf81d8284U,     0x295a5dceU, \
    0xa4d3e335U,     0xd09545e3U,     0x6b5ba412U,     0x98fb93a4U, \
    0x02cfe605U,     0x6bb3f2d3U,     0x444c7b49U,     0xfde2f282U, \
    0x029370ebU,     0xdff39cc0U,     0x8bcfe6edU,     0x8f1f1e80U, \
    0xce863e32U,     0x01126a12U,     0x85454b98U,     0x6c191ad8U, \
    0x9c267d86U,     0x76cdd905U,     0xdb0c8407U,     0x825b02ccU, \
    0x02ec4cddU,     0x59019350U,     0x7fd628d7U,     0xf1a12479U, \
    0x914fa843U,     0x60f4312eU,     0x96302444U,     0x23060029U, \
    0x92a6a078U,     0x9f97a4beU,     0x5ff375fbU,     0xec75b6e5U, \
    0x3c5a1506U,     0xa3ea1fd3U,     0xc426dbd8U,     0xe85685e0U, \
    0x8d7f2479U,     0xcf189c53U,     0x70b9fb7bU,     0x83460a1fU, \
    0x462cd68eU,     0xc3a7b5deU,     0x50e17472U,     0x97fa3170U, \
    0x37105499U,     0xe902b357U,     0xed98d237U,     0x5bf8f8f1U, \
    0x76d468faU,     0xe8be84ecU,     0xdb594d41U,     0x43863237U, \
    0xf3d9d812U,     0xe724a552U,     0x7920641fU,     0x1804fbfaU, \
    0x79916707U,     0x741c3ab6U,     0xd9b19af6U,     0x63669ab3U, \
    0x19c90e6dU,     0x19a8843aU,     0xfad451caU,     0x5337ed7aU, \
    0x016c495cU,     0x928afc1cU,     0x951f3c6aU,     0xb59b9765U, \
    0x22c4ca93U,     0x8f108b7eU,     0x3f38acdbU,     0x72318e5eU, \
    0xa3578e2aU,     0xd4d14304U,     0xfbc8004fU,     0x2c95c07cU, \
    0xffa40e2fU,     0x54a6eda4U,     0x9515eab1U,     0x85b1c003U, \
    0xa87ada18U,     0xe07c612aU,     0xa513829dU,     0x0ce565bdU, \
    0x9515f799U,     0x0a5f644dU,     0xe322ab42U,     0xca5a5050U, \
    0x0a28a0c3U,     0x6f854723U,     0xd31edaf6U,     0x5e17f587U, \
    0x2d4c2cf1U,     0x496293eaU,     0xc8b66003U,     0x4eb42140U, \
    0x50a1cb5aU,     0x8e1fbf9fU,     0x4b8ed57fU,     0x28d6f784U, \
    0x567fb212U,     0x6a9aed83U,     0x6f1e8fecU,     0x117ffc66U, \
    0xd9ab794bU,     0xfd51d516U,     0x539be02fU,     0x89214d13U, \
    0x55be949eU,     0x8ea7a79fU,     0x8375ebc6U,     0x2fa626b8U, \
    0xabf4170aU,     0xb6466334U,     0xcddc6d79U,     0x07c329e5U, \
    0x6bbd2e4fU,     0xa9143283U,     0xe24e01e1U,     0xb948a21aU, \
    0xd2ca5301U,     0x5be6eda7U,     0xbbb48178U,     0xc4620f0dU, \
    0x7d600e5eU,     0x6ab750f3U,     0x93bc76bdU,     0xf2ae3d6eU, \
    0x2b8c12bbU,     0x21b0b589U,     0x327dce37U,     0x477bd2c8U, \
    0x6f61bf58U,     0xae97e0c4U,     0xa2bfe046U,     0xf7d40c26U, \
    0xa3b3adc6U,     0xe2e9160dU,     0x6d618d37U,     0x6c5f9cd5U, \
    0x61607e3dU,     0xed815b6eU,     0x93fa5b64U,     0x45ebce7fU, \
    0x73fa10d1U,     0xe5d7582dU,     0xc31a9f39U,     0x15021760U, \
    0x2f20a6a4U,     0x62f38adbU,     0x00c3f738U,     0xfc3810e3U, \
    0x7715be28U,     0x08bf93e1U,     0xa86cfb88U,     0x4648d130U, \
    0xcc62c504U,     0xd2f5c308U,     0x6e8725dbU,     0xcdb95666U, \
    0x53564c21U,     0x276e4403U,     0x6c5d3648U,     0xc16150bdU, \
    0x3163842bU,     0x8550d3aeU,     0xe0a5505cU,     0x0b7ffd83U, \
    0x28608d48U,     0x1ddd1b42U,     0xf56b6881U,     0xb021cfdbU, \
    0x5c63c813U,     0x793d9e22U,     0xea150d7fU,     0xefbf5af9U, \
    0xe43f247fU,     0xac9e028cU,     0xf58e58aeU,     0xe5152cddU, \
    0x98dac8eeU,     0xa04c17afU,     0x5b3f7e0dU,     0xdf987a05U, \
    0x5d05bd83U,     0xb80ea926U,     0xebf107b8U,     0xd7ae3b05U, \
    0xdebbcd83U,     0x0021bd78U,     0xf5e63e40U,     0xdedf0df9U, \
    0x506f11d1U,     0x6b91e5e2U,     0x93a6e747U,     0xdfe78bd8U, \
    0x56511ef5U,     0x05844467U,     0x7b9773b7U,     0x59c8f2a6U, \
    0x248d0fcbU,     0xe9f15b03U,     0xf8e25011U,     0x0d1e165bU, \
    0xff01fc52U,     0xce4433c5U,     0x5ea44ae8U,     0xbaa4d083U, \
    0x9a580265U,     0x714a0be7U,     0x3fed67fcU,     0x181a4c4eU, \
    0xeba21a99U,     0x9bf7927dU,     0x3dbb72d7U,     0xf38572a0U, \
    0x91804abcU,     0x99e10831U,     0xd0b63971U,     0x4fe4532bU, \
    0x5791a215U,     0x22b14501U,     0xa122266fU,     0x582ea4edU, \
    0x2b9cf817U,     0xa8c385a8U,     0xa6bba470U,     0x3e3877ccU, \
    0x0f1aa579U,     0x58005c0dU,     0xba14cf24U,     0x8e7ac554U, \
    0x9e5693aaU,     0x9ec1e10eU,     0x7da35642U,     0x9ad093f6U, \
    0xdfe2a196U,     0x1ffce728U,     0xc39023f4U,     0x716155bcU, \
    0xd4dbe12bU,     0x1caf7bedU,     0xdcb82aabU,     0x926b170eU, \
    0x773ddc02U,     0x5e217f24U,     0xc31f709bU,     0x756268f5U, \
    0x0c1434eaU,     0x35221090U,     0xc5ce50ebU,     0x39e4a143U, \
    0xa709141aU,     0xa7b5554dU,     0x4f7522f8U,     0x48f6e6eaU, \
    0x34a32615U,     0x4869f10aU,     0x683188e3U,     0x035a3291U, \
    0xe54add27U,     0x0b3501ccU,     0x696680aeU,     0xa025b0c9U, \
    0xf800648bU,     0x5c9c30f7U,     0x0a931294U,     0xa06f0720U, \
    0xee504477U,     0x1555dda1U,     0x4a3bcac7U,     0xfb113f99U, \
    0xf96e2c78U,     0x266892dbU,     0xb0aebe18U,     0xb658b3a6U, \
    0x90353cdfU,     0xa86ae8f8U,     0xc0964a6dU,     0x47618db0U, \
    0x4f465a59U,     0xdeb4e3c7U,     0x0aa7cabfU,     0x071274caU, \
    0xb4b09ee0U,     0xb060b67aU,     0x16a80c12U,     0xef25c1e1U, \
    0xb2069d59U,     0xf3ce0e9bU,     0xd578d662U,     0xcaa34589U, \
    0xedb33e3eU,     0xe3b9be20U,     0x9e00b86dU,     0x993adca5U, \
    0x53f9db64U,     0x24c010b1U,     0x014ca146U,     0x569d8225U, \
    0xb6f22a30U,     0x576067e0U,     0x40b1b022U,     0xb1ee415aU, \
    0x2c6a786bU,     0x80048f14U,     0x2af9cc09U,     0xa536f192U, \
    0xe44ee153U,     0x8668d343U,     0x8eaa4b35U,     0xac134998U, \
    0x7160f9cfU,     0xcab66573U,     0xc38d3a74U,     0x5b37f2d2U, \
    0x3bed5312U,     0x4389ad4eU,     0x96d7ddb8U,     0xd43bcd27U, \
    0x28353995U,     0x0260f8d2U,     0x7e8e03faU,     0x324a4440U, \
    0x3fad9647U,     0x41e91570U,     0x7dd99febU,     0xb4b9ef35U, \
    0x2c59ddafU,     0x3b4656cbU,     0x44e8bf34U,     0xcf202fc0U, \
    0x6184022aU,     0xc1cf95ceU,     0x22a039c1U,     0x7bfc89f0U, \
    0xbdcfd6aeU,     0x37586c0cU,     0x05f70c0aU,     0xfeca431cU, \
    0xc69c80a0U,     0x72ef0a04U,     0x713be59eU,     0xa1a22510U, \
    0x8b2e7dc5U,     0x12e01352U,     0x73bbfab1U,     0x891ac942U, \
    0x7c31142bU,     0xbc024fe8U,     0x9e7e8febU,     0xe56c161bU, \
    0x61d8ed43U,     0xe135519dU,     0x6b3b42afU,     0xc78569d4U, \
    0xdb82417dU,     0x2b51192aU,     0x777489a6U,     0x662dec87U, \
    0x153b7093U,     0x8ad183bfU,     0x331fd856U,     0xef4d744cU, \
    0xffc59f64U,     0x533bb1d0U,     0x5a624240U,     0xe23fba71U, \
    0xc3579df2U,     0xda6f2e0dU,     0xe2fbb1ecU,     0x810a98fdU, \
    0x10b31432U,     0xb6564ed5U,     0x618a01f6U,     0xa38e35d2U, \
    0x6cd3e072U,     0x0da4cbb9U,     0xab0c4dc4U,     0xb232d3ffU, \
    0xea09360bU,     0x48ba9be7U,     0xcf62f54fU,     0xa3498742U, \
    0x2e2b11a6U,     0x42e1b47cU,     0x6cd03694U,     0x587636fcU, \
    0x6e54127aU,     0xffae4fb7U,     0xe6400043U,     0x2e6b8dd4U, \
    0xdf6fc27cU,     0x6a23ff2cU,     0x538b8ac0U,     0xe5abda26U, \
    0xad958a9eU,     0x3e9cc3f2U,     0x5d29832dU,     0xdb50277dU, \
    0x915cb0a8U,     0xbaaef69bU,     0xec78d095U,     0x6ff5af90U, \
    0xc6dfe786U,     0xc00dd295U,     0x373bb64eU,     0x13146eaaU, \
    0x16f158c1U,     0x4b40c6f4U,     0x80b52326U,     0x8c99d452U, \
    0x23add50dU,     0x55e8c2efU,     0x947500cdU,     0x7ef1df69U, \
    0xf5295cf9U,     0x4b541061U,     0x774e5599U,     0x8058155fU, \
    0x569c5157U,     0x9aca3667U,     0x477fd4f5U,     0x11befffcU, \
    0xe92a1d57U,     0xebf7151cU,     0x5d460141U,     0x3d23ce05U, \
    0x28c12c95U,     0x317f30aaU,     0xb0d10ff2U,     0xb5ee2a18U, \
    0x6e0d8ad0U,     0x24a6f359U,     0xf9112675U,     0xe485f898U, \
    0xac3d9bdcU,     0x250645f3U,     0xefd1dae9U,     0xaf4f8ea0U, \
    0xb8ef8264U,     0x214a744eU,     0xe3547847U,     0x88cf838bU, \
    0xe15c4516U,     0xb054ff59U,     0xdde7bc0eU,     0xff480c5dU, \
    0xe472621eU,     0x09f5f526U,     0x83f5a7faU,     0x283bd0d4U, \
    0xc54fdd0bU,     0xe7c99819U,     0x3138169cU,     0xb2540cfbU, \
    0xa8d7fdf1U,     0xc25c17b9U,     0xe4682d6fU,     0x13fb8266U, \
    0x2fd11dcdU,     0x6693b855U,     0x0aaae4b8U,     0xa98e1593U, \
    0x81b458aeU,     0x651c7fd7U,     0x26324bb1U,     0x1bc5d9b9U, \
    0x95a98440U,     0x63336326U,     0x8c495c5bU,     0x5d7e8eb5U, \
    0x85618fdeU,     0x20be4449U,     0xccb5370eU,     0x95b3612cU, \
    0x6adec6b8U,     0xec50598dU,     0x6f2c2b8dU,     0x307c4a9dU, \
    0x60a2bd00U,     0x1dd71f0dU,     0xfe62d722U,     0x4b1d4465U, \
    0x0de2a8b9U,     0x5cadec6cU,     0xe972c6a8U,     0xc5961b4aU, \
    0x299fd9ccU,     0xd02cc469U,     0x57c024f3U,     0xc435620aU, \
    0x0220daf7U,     0x4b29b557U,     0x46e97047U,     0x93170499U, \
    0xd481d4c6U,     0x9656247cU,     0xc22383ffU,     0x911cea19U, \
    0x7a8332b3U,     0x5f386239U,     0x3f41bca9U,     0x8982ceb6U, \
    0x2cb8c502U,     0x662d47e0U,     0xab520be2U,     0x1289a0c5U, \
    0x51520af5U,     0xb1d4c8cbU,     0x32a9b83bU,     0x968cbee6U, \
    0x056710edU,     0xdcd34f62U,     0xaa82dc48U,     0x1ff28570U, \
    0xe7c3a62bU,     0x492099dfU,     0x46826c8eU,     0x17ed1333U, \
    0x95292cbdU,     0xeaa0db9aU,     0xbe3439d1U,     0x912fdd50U, \
    0xec8e0b27U,     0x2e94917fU,     0x62cdfff3U,     0x3b455259U, \
    0xdb63d658U,     0x82a603ecU,     0xf9084d85U,     0x04554c36U, \
    0x20e8dbb5U,     0x4019d1beU,     0x866d2d8dU,     0x41052efeU, \
    0x618e4e1dU,     0x43ae3d42U,     0x7cb14080U,     0xaadc8b94U, \
    0x973a7769U,     0xe9734c58U,     0x114ca689U,     0xd2e4404bU, \
    0x0ce45259U,     0xed28c1f2U,     0x2b787d2bU,     0x0a7b344cU, \
    0x06d69d50U,     0xbc2c0152U,     0x2b1ae045U,     0x75f6b16fU, \
    0xd3206bc1U,     0xb34d7485U,     0x71e496c6U,     0xfe502c02U, \
    0x18a8efaeU,     0xc8dea9e4U,     0x1f700802U,     0xd1a48ee6U, \
    0x0357f268U,     0x9966eb09U,     0xe4d432baU,     0x546100deU, \
    0x1e19ac6cU,     0xc3f3c8a7U,     0xdb1f9d09U,     0x18eca7dbU, \
    0x66e07703U,     0x4f0c11eaU,     0xfe965a9eU,     0x9256fb24U, \
    0x39b54875U,     0x2f33d976U,     0xa2b0d56cU,     0x8c39787dU, \
    0xf415c4feU,     0x2be1ce47U,     0x593c95e0U,     0x11621cadU, \
    0xe1f17724U,     0xa2addfb3U,     0xd4e20ff2U,     0xeee47939U, \
    0xf38858f4U,     0x1f8d89ebU,     0x91bbdb5eU,     0x0602bc1bU, \
    0x3c828df6U,     0x3a987d48U,     0xabf2bd70U,     0x34e7b36eU, \
    0xeb95d54fU,     0x165218b5U,     0x837f8b5aU,     0xc91c0ca4U, \
    0x91b97c4fU,     0xb42eebe5U,     0x29ea25d2U,     0x0f2dca37U, \
    0x739b4167U,     0xa17f354dU,     0x8316a800U,     0x2930e58dU, \
    0xbda07c81U,     0x7a8970f3U,     0x60b4086bU,     0xa74d413eU, \
    0xa281041aU,     0x0bf31e8eU,     0xb0041125U,     0x7e7fd384U, \
    0x81f3a6c1U,     0xe423fa62U,     0xe23cffa9U,     0x6e4d961fU, \
    0x2adc24bdU,     0xff45afa8U,     0xd2eb50deU,     0x52bdc50eU, \
    0x657ec7c9U,     0xb22333eeU,     0xc131c94cU,     0x834f0b5dU, \
    0x7293afa3U,     0x74f1d4f3U,     0xfa27e47eU,     0x342cd40eU, \
    0xece3978eU,     0x7d406dc5U,     0xe5f75a86U,     0xfb907766U, \
    0xcef30e98U,     0xdabab2fcU,     0x1f5fa1ecU,     0x9932c1e6U, \
    0xecbee044U,     0x5af30720U,     0x7bc3301eU,     0x8a3e79e3U, \
    0x6785c9b0U,     0xeeb568d7U,     0x89930b55U,     0x77025eadU, \
    0x4e8e5f05U,     0xc899ba16U,     0x95019db3U,     0x064c387dU, \
    0x6b8decdaU,     0x466c6921U,     0x0c4c9e8dU,     0xc066fb55U, \
    0x78e8eb40U,     0x15520b6dU,     0xc68a8688U,     0xdacb0c61U, \
    0x58ee24a4U,     0x12c88ed3U,     0xdfba77c4U,     0x53b5685cU, \
    0x432213f8U,     0xc8a731acU,     0xfc54555fU,     0xf6d3a642U, \
    0x9fae787dU,     0x1ef722e1U,     0x18aa2018U,     0x55b53262U, \
    0xc46d96ffU,     0x89124441U,     0xcd759f65U,     0x2e723c0fU, \
    0x5d7d1d04U,     0xf2b8b388U,     0x086781ebU,     0xceb96e55U, \
    0xaa6080cbU,     0x38b1b22aU,     0xb1fb82a6U,     0x9b345deeU, \
    0x7298f027U,     0x69b1563aU,     0x1c2083f6U,     0x62b827abU, \
    0xb5ffcfc2U,     0xab3d862cU,     0x67f90e45U,     0x41affaceU, \
    0xcdc418abU,     0x1ca29564U,     0x6ac3907bU,     0x21f83a16U, \
    0xa7244304U,     0xe8e9eac0U,     0x5a469aa6U,     0x743c67a0U, \
    0x06a1195fU,     0x6d72ce0cU,     0x42478537U,     0x670bfc4cU, \
    0xc9893af5U,     0x5aae9085U,     0xf8e4f699U,     0x831b395aU, \
    0xa59f3c86U,     0x8129d59eU,     0xaf26eb71U,     0xddb5ac1eU, \
    0x71b20ad5U,     0x25eca756U,     0x21478771U,     0x1f754bc7U, \
    0x76f5bc27U,     0x975432f7U,     0x114b295eU,     0x21a61979U, \
    0x84fb1671U,     0x90dc7343U,     0xed8dd8b4U,     0x921768beU, \
    0x24ae504eU,     0x5a57e532U,     0xaffff12aU,     0xda432528U, \
    0x0d9ec2b7U,     0x2523dee3U,     0x6a42e141U,     0xdae95523U, \
    0x227858b9U,     0xf6b60de2U,     0xb6a88fddU,     0x9efceb04U, \
    0xd60e81feU,     0x871b0b12U,     0x7305d7a0U,     0x66298dd5U, \
    0x27f5298bU,     0xb4827693U,     0x2aa88f3fU,     0x36e6b870U, \
    0xcdef9202U,     0x1e6fb955U,     0x97bc179fU,     0xcf62a755U, \
    0xd18c1a44U,     0x4a84d15dU,     0xeb9a5709U,     0xb51371e4U, \
    0x8b0bfa7bU,     0xf18b5ab4U,     0x847dc4a7U,     0x63a81f5aU, \
    0x37e03dc4U,     0x92a52b12U,     0x7e5c3542U,     0x4408ba0fU, \
    0xd8e85e8cU,     0x719bc108U,     0x240134d2U,     0x5db3a857U, \
    0x5d386d84U,     0xd05c624cU,     0x5692642eU,     0x0293c0bfU, \
    0xe361a61cU,     0xe9ce6a5aU,     0x9a79e321U,     0x937c2a8bU, \
    0xb7f74b8dU,     0xa9596101U,     0x6616158aU,     0xef38e903U, \
    0x06c3ad49U,     0x3f691304U,     0x5e44a74aU,     0x7db199c8U, \
    0xf6e88699U,     0x632b5f27U,     0x94689fbcU,     0xb0f112e4U, \
    0x360bba60U,     0x73e833c1U,     0x96155f47U,     0x20731856U, \
    0x3a54004dU,     0xc4b3573dU,     0x645b225eU,     0xbf5088cdU, \
    0x1388ff0bU,     0xb874a294U,     0x30c126c3U,     0x56cb7284U, \
    0x836ec5e7U,     0x377c9b1eU,     0x73445ba5U,     0x1acf0497U, \
    0xe0722d15U,     0x41cebb0fU,     0xe69a4cd0U,     0x0adf9a94U, \
    0xe2e7e93dU,     0x1bbd5f94U,     0x41d8786cU,     0x72c3a0bcU, \
    0x98f99fa0U,     0x4fb3a620U,     0x24b72635U,     0xb2e93ce2U, \
    0x75756fbdU,     0x0fc80a64U,     0x8855a632U,     0xd42ec6dbU, \
    0xb8bbdb80U,     0xed460beaU,     0xbe887b37U,     0xb96a57ddU, \
    0x548351f0U,     0x7d3ea194U,     0x0dffd006U,     0x3de286d8U, \
    0xdbdd65deU,     0x4d1e0d55U,     0xd5d91ee4U,     0x965a7bafU, \
    0xa121f083U,     0x8adfe75aU,     0x6d1222faU,     0xce9cf6c6U, \
    0x7edc79dfU,     0xa0cc49c8U,     0x9572ccc2U,     0x3d30e6bdU, \
    0xc0a0103bU,     0x858caa82U,     0x452b1d60U,     0xe9773fedU, \
    0x18cac7d9U,     0xd2d7dea1U,     0xbfffb920U,     0x5cee4e3bU, \
    0xb6315d5aU,     0xdd517830U,     0x4d106e99U,     0x1c5076c0U, \
    0x592a1780U,     0x82804181U,     0x7cfa4e04U,     0x7edec169U, \
    0x34f4984aU,     0x231de07fU,     0x9fd7c0ccU,     0xfe060da9U, \
    0xfdee51f3U,     0xafdc0f25U,     0x1348d62dU,     0x97641c7aU, \
    0x0a3394dfU,     0x6472246aU,     0x42f6a236U,     0xe4ba2757U, \
    0xf3325bdbU,     0x91331489U,     0xf772af03U,     0x5533de9cU, \
    0x9ae4eabeU,     0x2973c0e0U,     0xf0906a92U,     0x1cb3b709U, \
    0xdafc4054U,     0x1031d931U,     0x34dd0ae8U,     0x67ea29edU, \
    0x033b7b29U,     0x979dc30fU,     0x20d80d09U,     0xd40b45c3U, \
    0xd091ebd6U,     0xa9c7a4bbU,     0x17cfc456U,     0x31a93773U, \
    0x03a24c63U,     0x91caa547U,     0x90237347U,     0x25ef115cU, \
    0xebdafd07U,     0xe0dcc3bbU,     0xee89b450U,     0xbba119c1U, \
    0xd51442feU,     0x5de9eaafU,     0x7f310821U,     0x3f83ca98U, \
    0x0976e7bbU,     0x27c2aea5U,     0x1a3bfe6fU,     0x484ddf24U, \
    0x5e5150dcU,     0x8eefbc82U,     0xd1efd3b0U,     0x7ce0bf41U, \
    0xfbea69c8U,     0x07a16062U,     0x7bca327fU,     0x2c273598U, \
    0x36b0b00dU,     0x62d9dbe5U,     0xdbaef85aU,     0x650a300cU, \
    0xc2ee6d7fU,     0x87709022U,     0x16c5a943U,     0x937cc540U, \
    0xec68da32U,     0x28c620d4U,     0x475417e2U,     0xf2f66974U, \
    0x29383576U,     0xcd34d8aeU,     0x504bd81bU,     0x7c2b50bdU, \
    0x26b847e3U,     0x4240b370U,     0x54958d5fU,     0x1c231b59U, \
    0x710863d0U,     0xb6be589fU,     0xf9f65c14U,     0xc609403dU, \
    0x2dd42d8cU,     0xbb3c3c17U,     0xf7e0a73aU,     0x23cead89U, \
    0x00ff5373U,     0x08022bbfU,     0xf09f6607U,     0x94df29c9U, \
    0x236bf456U,     0x6a8bdb57U,     0x2b0cc95dU,     0xa144a7e5U, \
    0x686f1c13U,     0xe0d0a79aU,     0x00657910U,     0x835939d7U, \
    0xd98616c7U,     0x09a769d8U,     0xb3cadf63U,     0x6adf3794U, \
    0x275c8b72U,     0x028c4768U,     0x09f1c39aU,     0xc5a1bef8U, \
    0x6a880082U,     0xa71f6d68U,     0xf34d05acU,     0xd68556c4U, \
    0x7c5903edU,     0x01989762U,     0xd34ad931U,     0xc321cad2U, \
    0xea002871U,     0x11447d41U,     0x055251b9U,     0x9d3b87ddU, \
    0xe7cd6065U,     0x2cc451daU,     0x9a6bb41dU,     0xb73ad987U, \
    0x95608271U,     0x3c75ff59U,     0xbaf11812U,     0x2efeabcdU, \
    0x3170b355U,     0xe59cca5aU,     0xa12a8108U,     0xf54f7501U, \
    0x83a7e185U,     0x36a81a51U,     0xa5811ccfU,     0x9b58f1b9U, \
    0xb6c7f503U,     0x3c17db55U,     0x56179c7fU,     0x9002dbdfU, \
    0x8e617994U,     0x84e0b09eU,     0x4c189443U,     0xdea61b0eU, \
    0x05b48724U,     0x811dc49dU,     0x3ecfd50fU,     0xa3066420U, \
    0x143b3877U,     0xec6fb1e0U,     0xe58b2cddU,     0x720092c4U, \
    0x0d93d23cU,     0xeb5dca21U,     0x216dcaeeU,     0x82750d62U, \
    0xb216306fU,     0x0b6ceddbU,     0x6cd19f2aU,     0x77e098d0U, \
    0xac8680a9U,     0x28a8068aU,     0x508fe152U,     0x8ee3b84aU, \
    0xa8dd5d18U,     0x5fea44c7U,     0x08228aaaU,     0xcd8caa3eU, \
    0xa644a827U,     0x014e7e6bU,     0xcde03747U,     0x642e8133U, \
    0x5c9bd406U,     0x37d4db19U,     0x428b65f3U,     0x295bd00dU, \
    0x1b872636U,     0x56726618U,     0xfd0d6584U,     0xe827ddf3U, \
    0x43eb2599U,     0xdca721bfU,     0xe0399755U,     0xb286758eU, \
    0xf85f1154U,     0x6c079a2aU,     0x1b5b602dU,     0xd1af80d3U, \
    0x28285299U,     0xe40f4e7aU,     0xefd7fc23U,     0x46a45aaeU, \
    0xdf89a183U,     0xe9d1261bU,     0x7cef71fbU,     0xc2fbf12bU, \
    0xa4194792U,     0x8a557f8aU,     0xcb20610dU,     0x494f587aU, \
    0x6e42b014U,     0x9da10c09U,     0x831089afU,     0x674bf473U, \
    0x96f329e9U,     0x0e40710aU,     0xf868bd0aU,     0x440b8c01U, \
    0xfbd68962U,     0x0c1e6fd5U,     0xdd044afdU,     0x9033c86dU, \
    0x8563d4b0U,     0x702570bfU,     0x58af8dd4U,     0xe0149b07U, \
    0x426a14a5U,     0x9cc49642U,     0x72f93d36U,     0x1520a4aaU, \
    0xe5f649cdU,     0x783e7a0bU,     0xfdb4b742U,     0xed82223eU, \
    0xc1d373cbU,     0x07b8be33U,     0x77a6180bU,     0x7146444bU, \
    0x338ff8faU,     0x830438d7U,     0xfa79ecd4U,     0x67ca624bU, \
    0x3e2a9227U,     0x60375cdbU,     0x3434e458U,     0xe8581ac8U, \
    0x81884387U,     0xc7fd4abfU,     0xc97a11f3U,     0xfa37fc61U, \
    0x8a7e96d7U,     0xa5fcaca9U,     0x46ae3a17U,     0x947b1b9fU, \
    0xa2d02c59U,     0x95384c21U,     0xa027ea35U,     0xb23ee454U, \
    0xa6d41811U,     0xf89068b5U,     0xa8f4671cU,     0x5a6b5968U, \
    0x0023c7abU,     0xa2cc047bU,     0x73d1d2f2U,     0x939a7bf8U, \
    0x4adfaa7bU,     0xdcfe5392U,     0x406adadfU,     0xdbe2b681U, \
    0x4824741dU,     0x99d24570U,     0x1835ce03U,     0xd58e8a92U, \
    0xdf9d0d10U,     0x4fec5218U,     0x3db238abU,     0xda14da1dU, \
    0x816e1eddU,     0x5d349132U,     0xc01a313bU,     0x4d547e92U, \
    0x5862c263U,     0x3f3bf9c2U,     0x903357f9U,     0x1d7c581bU, \
    0xf717d559U,     0x189b5191U,     0x8076d26aU,     0x157b07bbU, \
    0x79d83234U,     0xea63cc18U,     0xede1e728U,     0xa1284142U, \
    0xc7e89e7eU,     0x738c999fU,     0xbbd54841U,     0x2275984aU, \
    0x239bbcf7U,     0x0f08176cU,     0xa769da8bU,     0xe9db217eU, \
    0x6710143eU,     0x1d12ba01U,     0xf7a8b30aU,     0x7ba70268U, \
    0xfbbdebf5U,     0x48edf4fbU,     0xe534637eU,     0xc006ae7aU, \
    0xad7874ecU,     0xfb8e176eU,     0x571d1c2dU,     0x53361b86U, \
    0xeb702d76U,     0xb363144dU,     0xf828e3c4U,     0x2643c3ddU, \
    0xecb86f21U,     0x4916bae7U,     0x464897faU,     0xd07561b1U, \
    0x24e19385U,     0x585219dfU,     0xe833b1bfU,     0x0483cb74U, \
    0x5511b4b0U,     0x9c4e5967U,     0x9c448210U,     0x651705b6U, \
    0x42eee817U,     0xa13fd9fdU,     0x981a5627U,     0xc4ac169bU, \
    0xf080fbe3U,     0xa90befb2U,     0x3081402aU,     0x36cda9e0U, \
    0x9a7b35fdU,     0x5ac306b3U,     0xdd5c01d1U,     0x5679c68fU, \
    0xed26793cU,     0xeec1f538U,     0xb5474f57U,     0xe3db153dU, \
    0xda77b2f4U,     0x1c10069cU,     0x3b398e71U,     0x1ddd6c47U, \
    0xd8056918U,     0x785b89e8U,     0x6d6cae2dU,     0xf7173b75U, \
    0x3b987fb4U,     0x1a5f5d0bU,     0x56e1b1f3U,     0x13f828c4U, \
    0xd6dbeb33U,     0x62b91e0aU,     0x803c487dU,     0x8bd38fd8U, \
    0x6a06dfd4U,     0xebec8672U,     0xd200fb30U,     0xe792eb43U, \
    0x843cf62fU,     0x7abb7c8cU,     0xa96f6ff5U,     0x02a67b6aU, \
    0xf2024660U,     0xf3ea4a26U,     0x023def17U,     0xdc38aeb0U, \
    0x776c69a4U,     0xb1717197U,     0xc7d7a78aU,     0xaab06735U, \
    0x9db4a050U,     0x04416c66U,     0x85cf5970U,     0xbb883388U, \
    0xbb18d98aU,     0xb259533aU,     0x670c3d56U,     0x2779f223U, \
    0xa25440daU,     0x7860445dU,     0x317b904eU,     0x332f3097U, \
    0x1df259deU,     0x4f577bb9U,     0xcc3672e6U,     0x94f07a4fU, \
    0xbaf8765bU,     0x0ba44934U,     0x696b9268U,     0xf44950aaU, \
    0x4f48f388U,     0x2307e9dfU,     0x73f2eae6U,     0x0128b8c1U, \
    0xd0ec96a5U,     0xaf4a1d48U,     0xf1b88996U,     0xfb071aa9U, \
    0xa091e501U,     0x9e944bb6U,     0xada23030U,     0x38e587b7U, \
    0x7424846bU,     0xe85aab8bU,     0x84ae0daaU,     0x2a54404aU, \
    0x04f37a71U,     0xcd4eb912U,     0x2d100e20U,     0x2a5c4e4aU, \
    0xf29c7271U,     0x33ba71ddU,     0xd240426fU,     0xe3ab57d5U, \
    0x4d881a52U,     0x12a25f6cU,     0xd51cfe6cU,     0x9fb3cae5U, \
    0x9bffa9c5U,     0x3a4befc9U,     0xa407439dU,     0xf3a1b0e2U, \
    0x090af5d4U,     0xf3a56ea8U,     0xa70e7850U,     0xb1687c74U, \
    0x316cfc94U,     0xff99b8a1U,     0xf06557b2U,     0x16f86464U, \
    0x34df51a8U,     0x2efbd449U,     0x89e0e6c3U,     0x2b0cabf0U, \
    0x806b00b0U,     0xea221f3cU,     0xa70e6188U,     0xc4ea3278U, \
    0x57aa3e50U,     0x680c4153U,     0x3672fe78U,     0xe95b278cU, \
    0x44d8b46cU,     0x23f5b380U,     0x507e6b7cU,     0x277b363cU, \
    0xb9d60cb6U,     0x8b93eb06U,     0x8c42734fU,     0x85db3b98U, \
    0x174ba58fU,     0xe60d597eU,     0x1d2e5f8aU,     0x93817037U, \
    0xf8c9a558U,     0x29a25ff0U,     0x4971e8adU,     0xb918b882U, \
    0xe8e505d2U,     0x65d11f00U,     0x6fc5946aU,     0x29dac59eU, \
    0xba82c219U,     0xc724309eU,     0x0964a126U,     0x5964ea70U, \
    0x1c184d0fU,     0xd5e8734cU,     0x11eb42dcU,     0xb4d4bdcaU, \
    0x960f2781U,     0x7737fa93U,     0xc85f604dU,     0x291d1fd5U, \
    0x530e6b81U,     0x5f765390U,     0xd26a05caU,     0x6db5a72aU, \
    0x00d27e4aU,     0x43187dd3U,     0x567e1cccU,     0xc4978059U, \
    0xaaed4127U,     0x66e1b63aU,     0x756b33e0U,     0x704503cbU, \
    0x98c1ee05U,     0x9077669cU,     0xb725309aU,     0xa81215cbU, \
    0x22e57f7fU,     0x1b87978aU,     0x85fa497dU,     0xd048a04dU, \
    0x708fe262U,     0x12b5a9c2U,     0xa4b7d2ebU,     0xb7cd1321U, \
    0xcaa465e4U,     0xb82934f9U,     0xc776f4a1U,     0x515f2c67U, \
    0x09ab103cU,     0xaa6a7c15U,     0x74c20222U,     0x60b70103U, \
    0xfb9ee0ceU,     0x9ab087d7U,     0x542792e3U,     0x83c2cef5U, \
    0xa45b8677U,     0x0ee4e385U,     0xe818d1c9U,     0x62a162fdU, \
    0x31dfb7c4U,     0x9cf2cc52U,     0xed4d4ffaU,     0x471486ebU, \
    0x5e892e86U,     0xda55b28eU,     0xe1e8deacU,     0x6bc54350U, \
    0x20138616U,     0x6f435f0bU,     0x5ddd4cb1U,     0x8e64b068U, \
    0x5635e48bU,     0xf3fad2e8U,     0xedfe1464U,     0x37eb7141U, \
    0xc5e3c7d9U,     0x4355a8b3U,     0x7effc4b4U,     0xc2f1f58cU, \
    0x8b4acfeaU,     0x6871a286U,     0x7074df45U,     0xa5eabb48U, \
    0xc86b53fbU,     0xfcf35a2cU,     0xca413a8bU,     0xf5031e6eU, \
    0x60c5359aU,     0x40cc047fU,     0x9c58ff83U,     0x6cd2544fU, \
    0x0f6059ecU,     0xc023ee42U,     0xecd83f50U,     0xef1f12ceU, \
    0x99e493deU,     0x6b5e1281U,     0x58767f55U,     0x50b00b42U, \
    0xaf0cfe7dU,     0xf4fe50b3U,     0xd266c4d7U,     0xc9ee8a44U, \
    0x234648c1U,     0xb22de0b4U,     0x098c3392U,     0x94daf064U, \
    0x5c6ba05bU,     0x132d3f4eU,     0x1a256d72U,     0x3a735380U, \
    0xe6ecd38aU,     0x6db39b70U,     0xa9e09303U,     0x767dd1e3U, \
    0x4a083edcU,     0xe9c48f19U,     0xf794a355U,     0x418439b6U, \
    0xbbea175aU,     0x7c1ddd73U,     0xed25b441U,     0x11e41d40U, \
    0xd46f5be9U,     0x799135a5U,     0xeb05cd8dU,     0xbf6bcea4U, \
    0x7fcb574bU,     0x248319d7U,     0x59cfd72dU,     0x6a83945bU, \
    0xf1f1f2e6U,     0x99794bdaU,     0x2735e99aU,     0x8905f5e9U, \
    0x3b036f90U,     0xbbd81d06U,     0x371934ccU,     0x90a73362U, \
    0x08f3f0b6U,     0x03efb05dU,     0x77d13772U,     0x0339d780U, \
    0x2d9881edU,     0x6b0da9b8U,     0x5f8aca92U,     0xa50347d1U, \
    0xf02d1463U,     0xc80875f7U,     0xfcd00da2U,     0xd8b44825U, \
    0xb1ccef70U,     0x1df40f66U,     0xa680b5cbU,     0xa167d0f4U, \
    0xec45f952U,     0x19b6b2f6U,     0x59bf959eU,     0x6a17d33fU, \
    0x28cf17e7U,     0xca66863dU,     0x62399f36U,     0xfbce243eU, \
    0x40d812f5U,     0xed84d212U,     0x65c55f7bU,     0xe6a0e04aU, \
    0x049bc8bfU,     0x29191920U,     0x61a2b844U,     0x07f0a43bU, \
    0x4dabefb4U,     0x95d350a0U,     0xcfa9ddc6U,     0x4d12fc3aU, \
    0x7a534094U,     0x538b9687U,     0xfd91919cU,     0xbd45d2ebU, \
    0xfd1f6b58U,     0x57bb9740U,     0x12417994U,     0xa691db8bU, \
    0xc158db91U,     0xac9f7b38U,     0xb968149dU,     0x766c309aU, \
    0xa49a4949U,     0xdfe16ddfU,     0xa05ae1aeU,     0xf6285be9U, \
    0x37296f9fU,     0xe2d02c81U,     0x305de2e4U,     0x1add6585U, \
    0x265393b5U,     0x6b93fcc9U,     0x12f4d406U,     0x14daa605U, \
    0x3a901584U,     0x18daef95U,     0x60c7fcddU,     0xef4b8b3aU, \
    0x7eab2c53U,     0x76fa0b25U,     0x0f6a0d8eU,     0xd33b127eU, \
    0x330d52d2U,     0xa76b28b5U,     0x97a1b3a9U,     0x46214337U, \
    0x1f999c08U,     0x0042d640U,     0x4eec895dU,     0xa382e280U, \
    0x9821ab50U,     0xb476f47aU,     0x8dd53250U,     0xdfe12d9aU, \
    0x93230dafU,     0x231de912U,     0x076431fdU,     0x50e339cbU, \
    0x5f297dc3U,     0xe245e803U,     0x55207275U,     0x76d25ddbU, \
    0x1e1dca69U,     0x74c827a9U,     0xbc8177adU,     0xb73b89d8U, \
    0x1ce41b85U,     0x619acce5U,     0xecaaef82U,     0x1711a3a0U, \
    0x369912d4U,     0x85718eefU,     0x411ff867U,     0xc21198a6U, \
    0x0d1ae15dU,     0x9db485b9U,     0xcbe5c672U,     0x3f2552caU, \
    0xf24d3c51U,     0x51741564U,     0x0a0d1f44U,     0x162f66e1U, \
    0xf1fbfceeU,     0xe442e410U,     0x1ecf4975U,     0x205f0ef6U, \
    0xd5eba126U,     0x6e03ef97U,     0x764d8a41U,     0xc1e33dcfU, \
    0x4c3cf82cU,     0x1bcc9b5eU,     0x4360680eU,     0xb36ae17cU, \
    0xdcf3967bU,     0x78918ceaU,     0xa08dcdecU,     0xcd83deacU, \
    0x83d3a0deU,     0x36728e5eU,     0x1dd9b327U,     0x13d19075U, \
    0xff069aa4U,     0xb2a701c2U,     0xf81ac753U,     0xb9986caeU, \
    0x05277e79U,     0xba527dbbU,     0xc1debb42U,     0x0bd8ac48U, \
    0x089e2b7eU,     0x427cde2fU,     0xcb2642afU,     0xbc64fb91U, \
    0x91e34bbdU,     0x98147a31U,     0xfbcff816U,     0x4128e627U, \
    0x8d28f2c1U,     0x9b1ac89aU,     0x21c587aaU,     0x8545fa49U, \
    0xa3d00b1eU,     0xe6b94810U,     0x34f954aeU,     0x996cc33aU, \
    0x1616e112U,     0xd0149f24U,     0x9faa8346U,     0x13c54319U, \
    0x662fb58fU,     0x86775832U,     0xa14a088fU,     0x90f0f5edU, \
    0xfcb7564fU,     0x7f996a79U,     0xf8de90c1U,     0x59abb3a4U, \
    0xc69816feU,     0x87d4fa76U,     0xd2836f20U,     0x36be42aeU, \
    0x6c91c42cU,     0x0e60e93bU,     0x78dc6d76U,     0x4a06457dU, \
    0x1c08263cU,     0x6375d8ddU,     0x4203eb92U,     0x1e333e5eU, \
    0x24a404abU,     0x05336587U,     0x59e13f3cU,     0x1b504b79U, \
    0x78c9714fU,     0x1e0e5cffU,     0xf060de7bU,     0x4f357214U, \
    0x22211fd1U,     0x9430cfeeU,     0x1974c7fcU,     0x0cfd5fd2U, \
    0xfe1ef00dU,     0x2d2ee001U,     0x45ba3278U,     0x219e93e2U, \
    0x3b862dd8U,     0x15edb663U,     0x672bd478U,     0xf9b68938U, \
    0x85c8cf7cU,     0x3ca6914bU,     0x00b09761U,     0x8a3111efU, \
    0xa679c9efU,     0x81f214a8U,     0xec408970U,     0x26b1be78U, \
    0x1b70843dU,     0xe9841556U,     0xfccc155cU,     0x4ca1ec68U, \
    0xc6ca0e06U,     0x9a5f74acU,     0xa8b75166U,     0x77270710U, \
    0x6c62349cU,     0x030fc731U,     0xbcb1957aU,     0x7e34f85bU, \
    0x6b59e5e7U,     0x330bcb6eU,     0x4b6cfd2dU,     0x53139a9dU, \
    0xd171a6aeU,     0x7caf627bU,     0x70bbb4a6U,     0x48cf0482U, \
    0xfbbc9626U,     0x9b5906a0U,     0xfca94696U,     0x435c829aU, \
    0x7a56fd66U,     0x06e5a7bdU,     0xb5706166U,     0x0bd3db76U, \
    0x768e1991U,     0x9f789cccU,     0xee227a67U,     0x3dcdf202U, \
    0x719f698eU,     0x7c31b96dU,     0xe5deb27bU,     0xf45e7ef1U, \
    0xd36671a4U,     0x1235dd35U,     0x67c04edcU,     0x29e268d8U, \
    0xbaf51241U,     0x9bf8485aU,     0xd2f598d3U,     0xa04968e7U, \
    0x4a282dacU,     0x26ff2c58U,     0xc915b1e3U,     0xa05118e0U, \
    0x470bbffaU,     0x63db613aU,     0xf50a9c78U,     0xcc742316U, \
    0xbad2ad9dU,     0x561ef7ebU,     0xa80d4634U,     0x138685faU, \
    0x6151290eU,     0xe295df1cU,     0x636fa68bU,     0x5f2c5b51U, \
    0xcc5b1efcU,     0xc85b35b8U,     0x9ab66230U,     0x10b9300fU, \
    0xbb9f7980U,     0x22984f08U,     0x8722d379U,     0xb9faca16U, \
    0x92efbbe4U,     0x0287c501U,     0xc131203eU,     0x5cc185e1U, \
    0xc3fa1e85U,     0x668ece42U,     0x8714bcb4U,     0x3c5593e3U, \
    0x7738dbe5U,     0xebd1a3faU,     0x94471a10U,     0xfd79aee9U, \
    0x6c8d4602U,     0x91027375U,     0x16e2f204U,     0x46f31d86U, \
    0x38fb6ec0U,     0x0a4ba8b5U,     0xa56b839cU,     0x604c29ecU, \
    0x81737b29U,     0x9e7c3458U,     0x6e304b30U,     0x3a707061U, \
    0x704a25d4U,     0x15b9dc84U,     0xe301ab71U,     0xeec773a4U, \
    0x41ad769aU,     0x45b24e39U,     0x04b268c3U,     0xedfe373eU, \
    0x8a62f95eU,     0x77fb888bU,     0xc0eae5e2U,     0x3acdf013U, \
    0x238fa2beU,     0x461883e5U,     0x10645155U,     0xa189a2d1U, \
    0xddf81f73U,     0xbcf5a2f2U,     0x95193ba4U,     0x6907d6f7U, \
    0xcae27bc7U,     0x907044ebU,     0xe0adc988U,     0x23073fc3U, \
    0xed3c1edaU,     0x2a3669a0U,     0xa885379eU,     0x054cd850U, \
    0x565564e9U,     0xbbff969aU,     0xc3bf9355U,     0x09ffd0f1U, \
    0xadcccaeaU,     0x55026558U,     0xf9fec74eU,     0xe5d17b3aU, \
    0x4b48fe2aU,     0x4592acbfU,     0xb200aa02U,     0xa0270c1aU, \
    0x004e124aU,     0x24510ad2U,     0x198c9636U,     0xe7467cc0U, \
    0xbc31775bU,     0xaaf26156U,     0x155cdafdU,     0x6c1dd4c1U, \
    0x88a7bbc8U,     0x494d0698U,     0x3c083374U,     0x52e50978U, \
    0xbfe6d949U,     0xc58fb5c6U,     0x1da873f0U,     0xa6077955U, \
    0x52f748f7U,     0x77e49e79U,     0xc9d8c4c4U,     0x4c9201bdU, \
    0x95a26689U,     0x496b26bfU,     0xfec9919aU,     0x37b592deU, \
    0x6a0f543dU,     0x9affab21U,     0x838446eeU,     0x497dc116U, \
    0x1e5bc471U,     0xb088adf5U,     0x6dd4a7e2U,     0xd45e50a7U, \
    0x39149b9fU,     0xa4a87c5fU,     0x5e479400U,     0x5107fd4aU, \
    0x06b1143dU,     0xbde8d77fU,     0x5e7eb456U,     0x3def0594U, \
    0xd30ba7e7U,     0x51e281caU,     0x43536179U,     0xc65aae54U, \
    0xfaea053cU,     0x58aa3086U,     0xd68dc041U,     0x1fa13027U, \
    0xff112cf9U,     0x9f8b241aU,     0x182b6bbaU,     0x9da3111fU, \
    0xf9a3bfd5U,     0x601bb39dU,     0x15705159U,     0x2814efe3U, \
    0x06171cf4U,     0x5de0a8e9U,     0x0976168aU,     0xdcb84039U, \
    0xf84aea5bU,     0x7a5243f7U,     0x48e6c8a9U,     0x3100bdccU, \
    0xdd3f81bcU,     0x8a470384U,     0x276cd29bU,     0xead18adcU, \
    0xf2f0fd85U,     0x768dd40aU,     0x0c5cc0edU,     0xd5764d05U, \
    0x04200d42U,     0x11e3a9f8U,     0x1c47ce3fU,     0xadb58212U, \
    0xb69baab6U,     0x551b7d81U,     0xeca70869U,     0xf72f01ebU, \
    0x94b73bc8U,     0xdc2ed1aaU,     0x01b84a88U,     0x8ac4b385U, \
    0x78d5862eU,     0x61643cebU,     0xb4c1d29cU,     0xd3314b5cU, \
    0xa2c2d73aU,     0xd80f5b17U,     0x9dd4668cU,     0x41fa7c64U, \
    0x761b71caU,     0x66b74437U,     0x14990ca1U,     0x328c8d58U, \
    0x657819e5U,     0xc2e91554U,     0xdada485cU,     0x89bffc18U, \
    0x86996613U,     0x60f1cedbU,     0xd198ec03U,     0xd14b2c58U, \
    0x5e6416f0U,     0xe19ccb0fU,     0xa4e48e75U,     0xac8828c7U, \
    0xcd82e227U,     0xa6ec5fa7U,     0xedc6c204U,     0xf28bed08U, \
    0x56b02fe9U,     0x37827012U,     0x8b676d62U,     0xc5984f1bU, \
    0x1a255307U,     0x76d7ec4fU,     0xe6e37e90U,     0x2aa95903U, \
    0xc549022eU,     0x4582b33eU,     0x5998e93aU,     0xdb183c58U, \
    0x04971e2bU,     0xa724fde9U,     0xc084ae7cU,     0x583f1f4bU, \
    0xc71faa02U,     0xefa814e5U,     0x5948ba6fU,     0x7fae41caU, \
    0xc170d096U,     0x2327f5e9U,     0x3c91ab2aU,     0xa81e5951U, \
    0xdf731925U,     0x5cc727ccU,     0x827ec021U,     0x604bf8b9U, \
    0xac7544cdU,     0xe8e744d9U,     0xc2336390U,     0x08eafca9U, \
    0xb195142bU,     0xee04707bU,     0xf3d96579U,     0x7e244c99U, \
    0xee0001d5U,     0x79bb5384U,     0xc81154ccU,     0x92d4e890U, \
    0xdb48bcc0U,     0x5dd25151U,     0xb11e98e2U,     0xffae0565U, \
    0x884211caU,     0x7528f628U,     0x3b3468e8U,     0x95a3dd47U, \
    0x1f06e96aU,     0xb55fda50U,     0xf8da81bbU,     0xf2b22d89U, \
    0xff37daf9U,     0x07e28da7U,     0x47339a6fU,     0x25c22bc7U, \
    0xd654b0c3U,     0xf5889dabU,     0x80a89e3bU,     0x05aee70dU, \
    0x2cfbf7d4U,     0xf8b09aa8U,     0x0d4c4ea2U,     0xb7b0cf22U, \
    0x16937238U,     0xac375d98U,     0x51c3ea45U,     0xbfca7342U, \
    0x5ca36db5U,     0xc447e24fU,     0xcd52587fU,     0xdafa120dU, \
    0xc990dd05U,     0x236042f0U,     0xe20a5577U,     0x7ee99664U, \
    0xe4837d02U,     0xf59b1a71U,     0x532b8968U,     0xa07850b4U, \
    0x0ca0136dU,     0x8b68bfd2U,     0xe44f6b62U,     0xbffc580dU, \
    0x1ae1de59U,     0x016f7c17U,     0x2da791a4U,     0x6bf7145fU, \
    0x804d7f50U,     0x9ec98255U,     0xdda1c96eU,     0xaaa34105U, \
    0x8787808aU,     0xfe6095feU,     0x235dfae7U,     0xae2bd873U, \
    0xc81fedf0U,     0x2ea9afcfU,     0x3143af8cU,     0x437a671cU, \
    0x21ff2facU,     0x89a6512aU,     0xd32b0c0fU,     0x4c259539U, \
    0xa1c5a9e9U,     0x9ae8844eU,     0x7bf02507U,     0x3355dff4U, \
    0x557a3190U,     0x3456a80fU,     0xd3d481c4U,     0xb38b1464U, \
    0xf70e8165U,     0xb7e84c54U,     0xe47d4170U,     0x26d06b44U, \
    0x2b2f4524U,     0x3aed65ffU,     0xe11fa67fU,     0xb4c29d0cU, \
    0x348a618eU,     0xf6c68b90U,     0x7150f4dbU,     0xeaadd25bU, \
    0x94998c57U,     0x1b952533U,     0xde6b0f40U,     0x74104977U, \
    0x5f06bad6U,     0x562495c6U,     0x27bbcd58U,     0x9df05d23U, \
    0xfef10c4aU,     0xf217fed3U,     0xd5f13577U,     0xb06ac0c7U, \
    0x3f83240fU,     0x627ce99dU,     0x9cb278feU,     0x433a9c8bU, \
    0x84ee2ac0U,     0x98957229U,     0xae4cac37U,     0x93206908U, \
    0x7fa95e02U,     0xbc026ed0U,     0x7302a95bU,     0x8469f7bbU, \
    0xc7553620U,     0x40feddd2U,     0x227eb644U,     0x4a15bdebU, \
    0x230afbd2U,     0x17438d5dU,     0xae073e00U,     0x8029fc0bU, \
    0x37984e53U,     0xb517ac74U,     0x448bccc2U,     0x2f4367c1U, \
    0x55784f43U,     0x6d6bacbbU,     0xb161e6e5U,     0xde895068U, \
    0xf6ab2fd3U,     0x577fbf9dU,     0x799f6a27U,     0x9f1a7bb1U, \
    0x379153d0U,     0xaa9bf9bbU,     0x54ddbffbU,     0x54a6e3d4U, \
    0x806c1fc5U,     0x949d8660U,     0x8bb5296aU,     0x19fbc4e7U, \
    0x353d5af0U,     0x18bb7323U,     0x4e0aabb2U,     0xeaae07beU, \
    0xe21facb5U,     0x227e56f0U,     0xe8e81aabU,     0xb2a6018eU, \
    0xbf19ea20U,     0x5b7d0912U,     0xa09196f7U,     0xb43ab36dU, \
    0xd2275be6U,     0x24bfb5dbU,     0x9d47b456U,     0x19e09266U, \
    0x9796da16U,     0x29e726dfU,     0x5567ece0U,     0x61666694U, \
    0x37bf7988U,     0x3fe3f256U,     0x22028689U,     0x0a956839U, \
    0x8337ef28U,     0x34ad16d7U,     0xa21a0a4eU,     0xa755447aU, \
    0x4e4bfe08U,     0x03368ac6U,     0x1efc807aU,     0xf925d813U, \
    0xc74af6e1U,     0x6fc566f5U,     0xc3f604e7U,     0xd56aecc2U, \
    0xbd0b947fU,     0x1157097cU,     0x4f5cf130U,     0xa37d7508U, \
    0x68737b74U,     0x13b858c2U,     0xf8f0abefU,     0x7aa367f1U, \
    0x2856b059U,     0x27c78717U,     0xb5ec81e8U,     0x4e59e613U, \
    0xd33e7349U,     0x6d16bbd9U,     0x8ee18abdU,     0xe326cb21U, \
    0xb7f5220dU,     0x67e798c8U,     0x1527ca37U,     0xd9638237U, \
    0x2879fa70U,     0x891cd3c8U,     0x73912151U,     0xd36e582fU, \
    0x3cb81f10U,     0x068e12e9U,     0x1d610d40U,     0xf091550dU, \
    0x0ecca56bU,     0x249fe64dU,     0x439fd473U,     0x6b1cd062U, \
    0x5515bf76U,     0xf4fe8300U,     0xe625bf2bU,     0xe0267d33U, \
    0xb6f85111U,     0x7c4672b7U,     0x1ab0e091U,     0xf2d621fdU, \
    0x0d3c5a18U,     0x282a9d23U,     0xf66939bfU,     0xd7fb9a3dU, \
    0x096df743U,     0xbe4b545cU,     0x48017db8U,     0x75514a15U, \
    0xb0a2b8bdU,     0xce13b2a7U,     0x67188156U,     0x21ac8ec5U, \
    0xfee69d76U,     0xb4ce50a6U,     0x7d1603afU,     0x374515f1U, \
    0xadffb3eeU,     0xa18c424bU,     0x90cc39e7U,     0x09b60990U, \
    0xdbf95f59U,     0x420d979dU,     0xff2e266bU,     0xeeddb3adU, \
    0x6178ad76U,     0x9843a52eU,     0x1e55e9a1U,     0x9b3c2a34U, \
    0x99b46374U,     0x0670b969U,     0x0c26d6ceU,     0xcb06e98cU, \
    0xfbe50810U,     0x32a691fcU,     0x686e4d39U,     0x95b4b520U, \
    0xc7712467U,     0xdc4c11e9U,     0xb3de38fdU,     0xfd223b79U, \
    0x2479f7e7U,     0xbbe1c3a8U,     0x22c31c4fU,     0xf26c9be6U, \
    0xb4b89acdU,     0x2d888e74U,     0x6e3a5461U,     0xb2b09bd2U, \
    0xe22f99e8U,     0x5a217e56U,     0xec589e7bU,     0x300ef3efU, \
    0xaefaf39bU,     0x9d352d98U,     0x366266b1U,     0x39582691U, \
    0xbeee98ddU,     0xcdac8fa1U,     0x81e7b92bU,     0x362c23a4U, \
    0xf032069eU,     0x549093ebU,     0x7f245375U,     0xaadcf749U, \
    0x79f5e7d4U,     0x03f34164U,     0xf351ab55U,     0x1f12251bU, \
    0x04070cdcU,     0x8b6b8355U,     0x35c85130U,     0x18abbb0aU, \
    0xc5636ed0U,     0xf28e9146U,     0xd2a36b97U,     0x852189a7U, \
    0xd3e54214U,     0x8923f276U,     0xe48d29eeU,     0xce00ed2dU, \
    0x0db484f4U,     0x893ecb23U,     0x8751361aU,     0xb7065d23U, \
    0x34b46e25U,     0x6ed74adeU,     0x21cb604bU,     0x7bc0fe58U, \
    0x65474579U,     0x32858d40U,     0x85c821f9U,     0xc8507ae9U, \
    0x9c11130dU,     0xfb4b983cU,     0x2790176fU,     0x7846fa19U, \
    0xc6cb73a7U,     0x9921b8b9U,     0x929648b2U,     0xed3149faU, \
    0xecd50935U,     0x8824fa28U,     0xfd301683U,     0x05679ae9U, \
    0xa07c326aU,     0x94e09643U,     0x048c2051U,     0x1b370556U, \
    0x5aecb21dU,     0x4d5bb9b4U,     0x9a561227U,     0x2b2904a7U, \
    0x5dd05d65U,     0xc83244fdU,     0xaf473996U,     0x75cd2d80U, \
    0xca832a81U,     0x27da4d57U,     0xf24afe0eU,     0xec26979aU, \
    0x203128e1U,     0xa1dcb0aeU,     0x0f34955dU,     0x17eba5dfU, \
    0xbc80cabdU,     0x2f85b81eU,     0x1bb983a9U,     0xf62dc6b9U, \
    0xb824afebU,     0x36a00d20U,     0xc000cb58U,     0x0e9b5c37U, \
    0x60bce030U,     0x1527f016U,     0x1863f014U,     0xb178ba49U, \
    0x4965069dU,     0xc3ea1ca7U,     0xf44d0d69U,     0xc2812ea3U, \
    0x42c62b24U,     0x2cb340a4U,     0x8149d3c9U,     0x2904a693U, \
    0xa8a1ae18U,     0xb62f84e0U,     0xc4371afaU,     0x85fabddbU, \
    0x34f06077U,     0x9a740b7cU,     0x1f3d344fU,     0x4d11a2a2U, \
    0xbfb5441aU,     0xfcc115a1U,     0x2021ba42U,     0xdde0df29U, \
    0xa9b2fcb0U,     0x8a4ad990U,     0x5a3bd696U,     0x12871bd8U, \
    0x6874fcc3U,     0x450fa4d9U,     0x24bc652eU,     0xd61f9ac0U, \
    0x9963d0ddU,     0x22aa35f9U,     0x3dfc58a6U,     0x5381c824U, \
    0x62c60aeeU,     0x8e35aaadU,     0x22a3ba49U,     0x6aa3c6e1U, \
    0x0e95166bU,     0xf2f8c2f5U,     0x9a376dadU,     0x5b8bb4e4U, \
    0xed2cac2bU,     0xa0ada67fU,     0x1f2f76ffU,     0x650a5c35U, \
    0x1dfe2a9cU,     0xcbc7d388U,     0xf1b656f8U,     0x96aff7abU, \
    0x1e78e6faU,     0x9d5ea075U,     0x159e5355U,     0x0bc527f9U, \
    0x97c1a601U,     0x8d76b16aU,     0xa8579fccU,     0xdbaf7b2aU, \
    0x1c7c458dU,     0x61e53118U,     0x2f403ee1U,     0x19877c9bU, \
    0x470946e2U,     0x5cba603aU,     0x14047984U,     0x2569b477U, \
    0x4167cee8U,     0x6a818d03U,     0xc199259dU,     0xd3278436U, \
    0x89ec1779U,     0x4fce3f53U,     0x9c6afc0eU,     0xcb5e05a3U, \
    0x56bbec94U,     0xe63339f0U,     0xc30f7649U,     0x57c706feU, \
    0x1b4f1b51U,     0x857e1060U,     0x861b1722U,     0xa0b69496U, \
    0xcd547b9eU,     0xdbf97748U,     0x94344220U,     0xd5934d11U, \
    0x8a2b62b5U,     0x86524ae4U,     0xc6bf51ccU,     0xbc2d8ba4U, \
    0x14d4182eU,     0xf8c4c77cU,     0xc1749414U,     0xa52a8d32U, \
    0x8b7de42aU,     0x892224b2U,     0xa9ebec6dU,     0xad2b41aeU, \
    0x89c2f470U,     0x8ee00145U,     0xe8926adcU,     0x7f6e1e9bU, \
    0xda6caa09U,     0x7b8aacc9U,     0x03e3b10bU,     0x860e0483U, \
    0x953e321dU,     0x15cd73caU,     0x3566057cU,     0x265d2dbfU, \
    0x38a6daeaU,     0xe41a7567U,     0x758c4b5fU,     0x114ea073U, \
    0x15d79171U,     0xee7c48c7U,     0xeb75450cU,     0xfef5cc7aU, \
    0xd53e080aU,     0x80cea537U,     0x284feb73U,     0xfe9366faU, \
    0x9f9e2a51U,     0x1f812600U,     0x6359b40dU,     0xd7fa5805U, \
    0x1474bf17U,     0xacc8af02U,     0x904726b6U,     0x74e1cf15U, \
    0x1ecf6240U,     0x7a8df1b5U,     0x5d07cc4fU,     0xecbec165U, \
    0xedeb9519U,     0xfd0c7e22U,     0x48a25c6fU,     0xb19c45b0U, \
    0xb17d7b90U,     0xb8eadadcU,     0xace00ac3U,     0xa9d0e804U, \
    0x6e234fbaU,     0xe5da28afU,     0x1e9606b3U,     0x101067d5U, \
    0x81474898U,     0x97ec039eU,     0x181efc7eU,     0x19647bddU, \
    0x43726c3cU,     0x9a589908U,     0x681617ffU,     0x9d902384U, \
    0x99fb8261U,     0x4cde16b3U,     0x3ced40c4U,     0x33d2b1a9U, \
    0x7aa64dd2U,     0x8f3a7080U,     0xd3677497U,     0x162afb5bU, \
    0x788dba71U,     0xdb07c59fU,     0x60414591U,     0xabacf2c3U, \
    0xbe3fc828U,     0x712ef1f4U,     0x18260c9eU,     0x73020d92U, \
    0x2ba76703U,     0x731dbce0U,     0x3950d07dU,     0x0abb2e54U, \
    0x22d4a9e6U,     0x5a87ea5bU,     0x21b820aaU,     0xb0d376b8U, \
    0x97a2cab0U,     0x9ec04ab7U,     0x6b84f187U,     0x6a412c97U, \
    0xb82abf8cU,     0xa96954a1U,     0x1648798cU,     0x6c8f2298U, \
    0x4730e952U,     0xabf6bc1aU,     0xd0e644dcU,     0x679b8797U, \
    0xcc4c8e95U,     0xaf091041U,     0x8c76161aU,     0xebf9d0c6U, \
    0x6e0bf1afU,     0x945f4e94U,     0xec3ff57bU,     0xd2278245U, \
    0xb152495fU,     0xb02d21c7U,     0x31ed0b2eU,     0xfe991cb7U, \
    0xf05ae430U,     0xca5007cfU,     0xdf1f19b9U,     0x3d392f9aU, \
    0xe9c8c031U,     0x1ad6ec8cU,     0xb42c92cfU,     0x454bb097U, \
    0xfbd32331U,     0x325a8ceaU,     0x6ef424c7U,     0xb9bfc294U, \
    0x5c278872U,     0xdc51fadeU,     0x6955dabdU,     0x8affadfcU, \
    0x0965d030U,     0x1bf60599U,     0xeed6a6e3U,     0xeaea385bU, \
    0x72134820U,     0x114ae5e6U,     0x85f69f45U,     0x4c04d11aU, \
    0x22a64957U,     0x20d638a6U,     0x0dfcaed7U,     0x8739e41eU, \
    0x9ed4b631U,     0x61c09ce1U,     0x25237d7fU,     0xc108a82aU, \
    0xd581c689U,     0xecd64762U,     0xfc3137caU,     0x4956013bU, \
    0xb837c130U,     0x6a15f2b8U,     0x53099b5fU,     0xe99c37a1U, \
    0x2038fed7U,     0x59d3a0e0U,     0xc249b6c1U,     0xe6b9a7a3U, \
    0x8cb5a688U,     0xdbbf190bU,     0xdad35db3U,     0xde455758U, \
    0x2ffbd0fbU,     0x7187db57U,     0x42271ec6U,     0xbcd7de35U, \
    0x90876860U,     0xdba52c0cU,     0x29099d3bU,     0x1f997372U, \
    0x61386eeeU,     0x2dfbd06dU,     0x3ff23635U,     0x19b797f6U, \
    0x6a5255a9U,     0x7b83b36fU,     0x7ad33ebeU,     0xb8ea4fdcU, \
    0xb6ba1678U,     0x9c233ca2U,     0x2427e173U,     0x91aa82c8U, \
    0x2ccc9d35U,     0x9a7128daU,     0xd8a107bdU,     0xa5034b33U, \
    0x609e8eaaU,     0xe9cc6a4bU,     0x3402586bU,     0x51541b68U, \
    0x2c68b320U,     0x151f46acU,     0x5b382395U,     0x87de195aU, \
    0xaec03878U,     0x1182ec54U,     0x7123985aU,     0x2b357acfU, \
    0x378e60ddU,     0x7947cc8cU,     0x4230b696U,     0xe354577bU, \
    0x65cef2a8U,     0x619f5380U,     0x77d01255U,     0x6fba3c74U, \
    0x67dfd5c2U,     0x226a6a9dU,     0x35e0e70eU,     0xc2dc4e0cU, \
    0xb4b794deU,     0xcb1c91ffU,     0x22edcbbfU,     0x52267ea8U, \
    0x5a396e64U,     0x797df5aaU,     0x79d6e88fU,     0xc74f4f8cU, \
    0xb7be1bbbU,     0xb82aff63U,     0x5c1e490bU,     0x4e60a384U, \
    0xff00904dU,     0xe5d3db45U,     0x6306b684U,     0xd771525fU, \
    0x29a1de49U,     0xfa766445U,     0x798d5360U,     0x1f4b868aU, \
    0xbfc75d8dU,     0x7b2ad611U,     0x0f08be75U,     0xe9e18dd4U, \
    0x9e75eec6U,     0x6bd3f715U,     0x757d5b45U,     0xed813b0fU, \
    0x6eda0a80U,     0x78321a76U,     0x839eeae0U,     0x84526504U, \
    0x4dd293a6U,     0x1dd6ef92U,     0xdf41c6e2U,     0x0e45b13eU, \
    0x0e3ded3fU,     0x6b2f99a5U,     0x99090f47U,     0x9fa1ae8cU, \
    0x093a2c83U,     0xdb598864U,     0x98547de6U,     0x5c3bed8cU, \
    0xb1c04b68U,     0x68204e14U,     0x159f2158U,     0x99e41070U, \
    0x31e6df85U,     0x7b7809a2U,     0xe90dd946U,     0x08209263U, \
    0x6839c926U,     0x7d414fe5U,     0x8ce8076dU,     0xc882ae34U, \
    0xdef902d9U,     0x33c43984U,     0x7bb39496U,     0xc0338d69U, \
    0x398d7223U,     0xa0232786U,     0x18ad8d40U,     0x492434afU, \
    0x56bd9862U,     0x951eba6cU,     0x831a1e8aU,     0x77098b73U, \
    0x6e8f9b39U,     0x02c45388U,     0xf8358c3eU,     0xf514d332U, \
    0xd365f26fU,     0x03542069U,     0xcb422291U,     0x49cbc2a8U, \
    0xe32ad6e1U,     0x4020dc0aU,     0x6dbc7b4aU,     0x8f1bfc6eU, \
    0x000ed44bU,     0x581249b7U,     0xba42c804U,     0xa4d8087aU, \
    0xe4ade2e5U,     0x88c60c20U,     0xbc919aceU,     0x19cf5bc8U, \
    0xb524c3a7U,     0xafa3bda4U,     0xce1ef09bU,     0xfd9b5cabU, \
    0x79182b11U,     0xea949fa3U,     0xcc92cd94U,     0x37e06e7dU, \
    0x9bfe8814U,     0xf15d5d1bU,     0x3c9c7cf9U,     0xfbf46a18U, \
    0xb853df68U,     0x1da4dec6U,     0x1c8b1210U,     0x96e27c5fU, \
    0x28340202U,     0x7580d285U,     0x2a75b0bfU,     0x791b57e0U, \
    0x45eda224U,     0x1e0a0ef8U,     0xf6a9c324U,     0x9010e3fdU, \
    0x34b85c3cU,     0x66c04de2U,     0xe59e725bU,     0x5c13aceeU, \
    0x9e6623f7U,     0xe681ef67U,     0xb0e3619dU,     0x0fda23feU, \
    0xe8f7dbebU,     0x2a598c21U,     0xf49cdc0fU,     0xf6d0cb76U, \
    0xb85159baU,     0x05ba8a3bU,     0xab62d6adU,     0xee6ecbfdU, \
    0x388edeaeU,     0x313d40b6U,     0xa27e2126U,     0xca296201U, \
    0x1856433fU,     0xf26d70a2U,     0x2373c57cU,     0xdc4f4acbU, \
    0xc6327bf7U,     0x38cac793U,     0x82532eb4U,     0x5b3c9f82U, \
    0xf72c95ceU,     0xe164414fU,     0x2d72d4eeU,     0x5ac6fd84U, \
    0x4783fa87U,     0xd490bf28U,     0xef7a48b8U,     0x1065055dU, \
    0x71dd549bU,     0x7f13f07fU,     0xc09afff4U,     0xcaf1b0beU, \
    0xfb09f55cU,     0x4555f0b0U,     0x044aba27U,     0xd2000d3eU, \
    0xa01dd67eU,     0xba63f4dcU,     0xf0474255U,     0xd39e47a0U, \
    0x3c962481U,     0x8c7244a7U,     0x408967fdU,     0xf239b102U, \
    0x6104f5a0U,     0xd5d15346U,     0x70310392U,     0x4ffc4ce8U, \
    0xdbc1e20cU,     0x6185101fU,     0x9ad96efbU,     0x7aa6e61dU, \
    0x73f220ebU,     0x32b68a50U,     0x6a91b725U,     0x04e299a8U, \
    0xcb96fd82U,     0x6df35181U,     0x5b89967eU,     0x46ca2362U, \
    0xae954caeU,     0x9c206439U,     0x92b6a6c3U,     0xd271cdf1U, \
    0x8c473985U,     0xf6036448U,     0xa7513393U,     0x012520caU, \
    0x63009422U,     0xa5a8befeU,     0x2a4a17eaU,     0xc21cbca3U, \
    0x0e2b57a9U,     0x54548a9aU,     0x362fc53cU,     0xaa94b3c3U, \
    0x01b5a9b6U,     0xcfbcee40U,     0xee5cf67aU,     0x486b982fU, \
    0xfb470f85U,     0xd385cb53U,     0x3381b30fU,     0xa05c5aaaU, \
    0x9196af4aU,     0x124146e6U,     0xc5b614eeU,     0xeed7344eU, \
    0x0cac276fU,     0x34140e01U,     0xd7e9c1a2U,     0xd7e1188dU, \
    0x6e55cc5fU,     0x3844eafeU,     0xd7ef1b51U,     0x0ae2b40cU, \
    0xc3ecb691U,     0x40b551e4U,     0x414121eeU,     0x99cfc3efU, \
    0x002538c1U,     0x2b52eed8U,     0x452c66cdU,     0x26bcbb2aU, \
    0x74484bc5U,     0xa8a7ade2U,     0xa393bc28U,     0xcf7bfcbeU, \
    0xb12beb10U,     0x175b2d30U,     0xb0e9203eU,     0xc265d976U, \
    0x4b1000a6U,     0x15b93769U,     0xbea05bd1U,     0xb1067210U, \
    0x9ef35894U,     0x393f0275U,     0xb7323b69U,     0xeddb9097U, \
    0x763e54d9U,     0xee59a28cU,     0xacc24820U,     0x783519a6U, \
    0x6fd5656bU,     0x2fa9b548U,     0x90d1a384U,     0x872b1f82U, \
    0x2102635bU,     0x3769255aU,     0xa15c8546U,     0x74e19532U, \
    0x49eb0b7eU,     0x3e72776cU,     0xf4cfe870U,     0xbdf531eaU, \
    0xdf1017b3U,     0xab6acca9U,     0x3f549654U,     0x16176f77U, \
    0x640e8df3U,     0x8d290380U,     0x924ac549U,     0x9a641940U, \
    0x7497d15dU,     0x9dacb9e5U,     0x430c1e8bU,     0xf41b126aU, \
    0xe573908aU,     0xfac3319cU,     0xd863a6c5U,     0xca26dac8U, \
    0xc1e2b7f3U,     0x96e4524fU,     0x3eb66ac6U,     0xf63cc18dU, \
    0x748fedfdU,     0x2eaad1a8U,     0x231af0e7U,     0x27319a3aU, \
    0xb29fad73U,     0x0adb376cU,     0x3d10b640U,     0x0dcc72c5U, \
    0x20e4df08U,     0xa8117190U,     0x8808dabaU,     0x4b00a7d5U, \
    0x97bc366fU,     0x22839590U,     0xf3f9d236U,     0x09c5f184U, \
    0xa1647d40U,     0xc397abfdU,     0xe40fd2c9U,     0x2681bc4eU, \
    0x34a5ece9U,     0xd03b645fU,     0xf3c68091U,     0x697c9cd4U, \
    0xe23d2bbdU,     0x07b24fe1U,     0xab2d13b8U,     0xfddc20afU, \
    0x8c0c15e7U,     0x5c253bb5U,     0x6ed680f1U,     0xfe34aeaaU, \
    0x72690b08U,     0x17064153U,     0x10ee1440U,     0xe1faf9bcU, \
    0x084c7f3eU,     0xc6eb2091U,     0x31ccb576U,     0x8cbea426U, \
    0x7c6723a2U,     0x619a1f43U,     0x9a80d46dU,     0x02358340U, \
    0x6e804da9U,     0x453d56dfU,     0xc59643b6U,     0x2a28e63eU, \
    0x206cb170U,     0xd457c15eU,     0x1776a58aU,     0xc5a5b4deU, \
    0xbae7702cU,     0x7368a103U,     0x58b23896U,     0x39e5faf0U, \
    0xe1bc2bc1U,     0xefc9c47aU,     0xa03c70b6U,     0xc086367eU, \
    0x0dfd50e8U,     0x82389ceaU,     0x51b5c8d4U,     0x782e8c3bU, \
    0xe8668789U,     0xfdf4dbb6U,     0xc1fe6550U,     0x2ae2a18aU, \
    0x9f679c7cU,     0x9ac4368fU,     0xbc11b624U,     0x7836cb4dU, \
    0x332b1ba5U,     0x8d7607b3U,     0xc8970b68U,     0xd25750cbU, \
    0x8bcae9a0U,     0x3bf646a7U,     0x69ebd487U,     0xbe4ae822U, \
    0x94499990U,     0xa671cd64U,     0x0fd83d42U,     0x022657d1U, \
    0xc7bbef18U,     0xdbcf0c77U,     0x97401fa3U,     0x03dc19d9U, \
    0x584804c9U,     0x9fbcd7c3U,     0xae3c0889U,     0xd0e68654U, \
    0xf666b1efU,     0xc635a8fcU,     0x49733236U,     0x7d7d674cU, \
    0x3dc60eb3U,     0xa4d9187eU,     0x2d44ce04U,     0x5c659223U, \
    0xa9dd82caU,     0xe918228eU,     0xad7f8b15U,     0xc823e96fU, \
    0x5bd9d438U,     0x30806d9aU,     0x63159228U,     0x693ed19cU, \
    0x41974399U,     0x76221d06U,     0x8701e084U,     0xe2b2542eU, \
    0x547ae6ccU,     0xf48bbae7U,     0x0d9ac42cU,     0x085f0c18U, \
    0x1931037bU,     0x198319c3U,     0x628b2e2bU,     0x5cf87277U, \
    0x4cbec3faU,     0x20ce04bbU,     0xd88cfc7fU,     0x05ac5bd1U, \
    0xd329893bU,     0x5475a0f5U,     0xa6aac14dU,     0xa8a14c66U, \
    0x70d6a95eU,     0xe77cda64U,     0x8d32642cU,     0x2555c456U, \
    0x8df24c82U,     0x6ebae00dU,     0xc7e4b93eU,     0xfa00ad57U, \
    0xca84d62dU,     0x12ea1fb1U,     0x1d1ffc61U,     0xb01e273fU, \
    0x8ed333f2U,     0x4a0cf6ffU,     0x22fd0a50U,     0x6a260f4cU, \
    0x7bc9e414U,     0x9a229aa3U,     0x76afb87cU,     0x61ca1c4bU, \
    0xbe341755U,     0xb9165e4aU,     0xc30ca99dU,     0xe8e56128U, \
    0x03d5d04dU,     0xafae317dU,     0x0f87ae5eU,     0xae5cca4aU, \
    0xae54f06aU,     0x4f18e30cU,     0x45cf8394U,     0x6e3f052dU, \
    0xf6471bc8U,     0x913df10aU,     0x0c6b1e59U,     0xc3f504bbU, \
    0x9a1b314aU,     0x9a1f9377U,     0xa03be502U,     0x2c6e5bc1U, \
    0x6fe6b45eU,     0x46b74a1cU,     0x07569f52U,     0xb5b98da0U, \
    0x81d84cc7U,     0xcaba30b5U,     0x876274d8U,     0x9b26e0ceU, \
    0x74ee47d5U,     0xf4a044eaU,     0xca387a27U,     0xae14f9b6U, \
    0xac7b314eU,     0x1e535c4bU,     0x505d686eU,     0x644c0627U, \
    0xd94c6367U,     0xa50643e0U,     0x2fbe399bU,     0xd2188ad8U, \
    0x2f49f9dcU,     0xd3444adeU,     0x60c05d85U,     0x0084393aU, \
    0xec3c2456U,     0xf3d81276U,     0xfc862a1fU,     0xadb7db3aU, \
    0x3268e59cU,     0xc02ba762U,     0x16df2d2bU,     0x768b1cb2U, \
    0xa0504007U,     0xb9235f1cU,     0xe8811337U,     0x49baa8c4U, \
    0xeeff6476U,     0xb73e1f10U,     0xbb4b0da3U,     0x9e30a2daU, \
    0xab73491eU,     0x13c3bb07U,     0xf89410b2U,     0x7fab363aU, \
    0xeb598396U,     0x12b5bb3bU,     0xe62597aeU,     0x56932be7U, \
    0xe262e674U,     0x564a9314U,     0x255d0570U,     0x186e2f2bU, \
    0x5f54b155U,     0xffd1f273U,     0x99f7e0e9U,     0x0be73d1bU, \
    0x4858703bU,     0xd9d5a8abU,     0x60ca8b29U,     0x9fda04f9U, \
    0xe18f8a85U,     0x430359c0U,     0x85bd33ffU,     0xb2cb9cdaU, \
    0x711c7874U,     0xc4c2ba15U,     0xcdbef1f4U,     0x2d8f3de0U, \
    0x6b24e543U,     0x94be8e15U,     0x8580dc28U,     0x5b9120b4U, \
    0xa6dbec75U,     0x93e85640U,     0x4350f1a9U,     0xfa033ab3U, \
    0x71fdfca3U,     0x286bf7a8U,     0x26f00c16U,     0x527cd789U, \
    0x35382bdeU,     0xe02964ebU,     0x34eba1adU,     0xd12b3380U, \
    0x8a21c5a5U,     0xf548b00fU,     0x5add9f22U,     0x4830019dU, \
    0x6489be28U,     0xa3d7ceeaU,     0xcb70db23U,     0x5d728248U, \
    0x9f2f8455U,     0x72b04073U,     0xe86899c2U,     0x6df099a8U, \
    0xfddff16dU,     0xd749e6e4U,     0x82a6632eU,     0xf38d4c40U, \
    0x05d2a56fU,     0x264b166eU,     0x37fb0b69U,     0x0bee41e7U, \
    0xea327cf4U,     0xefa5f710U,     0x27725addU,     0xa45f5629U, \
    0xd75db0c7U,     0x7ec76903U,     0xb7fb9fa5U,     0x5bc7740cU, \
    0x239c4534U,     0x4c099efbU,     0xa6a6c741U,     0x58466010U, \
    0x03ad7c42U,     0x6436c4e1U,     0x3f98a434U,     0x71d3f5e6U, \
    0x96b33850U,     0x8a089fc6U,     0x04ddce18U,     0xe35a366cU, \
    0x490c268fU,     0x1653f150U,     0x7e7e309eU,     0x3e4b39d8U, \
    0x7d6babf3U,     0x4de7c7dbU,     0x3438e521U,     0x0da408aeU, \
    0xbd1693a4U,     0xbe40e916U,     0x7f042a67U,     0x30b2929bU, \
    0x09abc4a6U,     0x5c8a937aU,     0x55c965f8U,     0x0a229c41U, \
    0xed4ce789U,     0x07217856U,     0xf1d56802U,     0xde1516d1U, \
    0x728a1eeaU,     0x1e410033U,     0x3ec628a5U,     0x4ac7252dU, \
    0xc6ab92f4U,     0xaa1cbd27U,     0x8e2fd206U,     0x33f5ca25U, \
    0x36c64052U,     0x7e6aebafU,     0x4e4a52daU,     0x4cf4c774U, \
    0x49f05d6fU,     0x934d9c30U,     0x6eff1e1dU,     0x30ce3e9cU, \
    0x6e9dd30dU,     0xccbd19eaU,     0xc609d430U,     0xfd0d0932U, \
    0x451e7811U,     0x713ca8abU,     0xcbf7561bU,     0x9fdd6ff3U, \
    0xad6efa8bU,     0x9d9d03e4U,     0x3674eb9dU,     0x2300c2f3U, \
    0xf634a133U,     0x804267b8U,     0x810ca6e5U,     0x78f1d427U, \
    0x5be7dac9U,     0x72c57e23U,     0x266efc33U,     0x733d8cd1U, \
    0xc48ccfe0U,     0xa13ccb1aU,     0xf59cf303U,     0xe33af155U, \
    0x4f8b3ff2U,     0xfa32e7dbU,     0xa220f4eeU,     0x9de2d372U, \
    0x22ee8a0cU,     0x4352c877U,     0xdd55ccd5U,     0x7bfc76daU, \
    0x279051a6U,     0x6646e383U,     0x8ed9f908U,     0xf3a65ddfU, \
    0x0c40c38bU,     0x223954fbU,     0xae5c463eU,     0xbf0683a3U, \
    0xd6520770U,     0x90bb10aeU,     0xf31bbf68U,     0x3db89c62U, \
    0xdcf6a20cU,     0x6b3da377U,     0x3932c94cU,     0x8aee9d1bU, \
    0xeb946bffU,     0x37b9628dU,     0x3aa7207aU,     0x5567b3e6U, \
    0x7d8ee675U,     0x38ac5f96U,     0x6ca5706dU,     0x2e5262f5U, \
    0x875c0545U,     0x23009fdbU,     0x97e8d170U,     0xee4cf8b6U, \
    0x1b25bcf3U,     0x0483c7e8U,     0x9fb843daU,     0x7e87196aU, \
    0x6d9426d4U,     0x4fbabe27U,     0x81427efbU,     0xc79b8440U, \
    0x79a0eb57U,     0x82782cf0U,     0xd172f6c2U,     0xae41d84cU, \
    0x7c230490U,     0x5cb5e51dU,     0x69ac374fU,     0xb557b495U, \
    0xac8e62abU,     0x15c0b278U,     0x1c6e7e1cU,     0xdd3ed65dU, \
    0xe6777535U,     0x5811b46eU,     0xec337c42U,     0x9f4a6a0dU, \
    0xbe4e6c54U,     0x3f3c40c4U,     0x6a5060cbU,     0xff7d96fdU, \
    0x3d507c6dU,     0x240b2218U,     0xfe537cc4U,     0x9369c173U, \
    0x19a56babU,     0x2df401d0U,     0x68048b58U,     0x37baa938U, \
    0xd3c84f8aU,     0x0f516628U,     0x541bc606U,     0xd41316f8U, \
    0x711b3a60U,     0x937fde70U,     0xfb17ff59U,     0x1155103eU, \
    0xd46fbe5bU,     0x4a521ca0U,     0xb6f1bea3U,     0x2b397531U, \
    0x17c1d5d2U,     0x2d697005U,     0x45e64f61U,     0x3a5a9defU, \
    0x43a8cfb4U,     0xeb41ba7fU,     0xc5a3219eU,     0x7a025125U, \
    0x57c68355U,     0x9ebcc0c9U,     0xf0be3844U,     0xc8deeb5aU, \
    0x9d34a7c2U,     0x962214e8U,     0xe36fa139U,     0xce669bbdU, \
    0xa6f60abeU,     0x723d7019U,     0x4e0f8a54U,     0x65f03da6U, \
    0x1158a864U,     0x09592865U,     0x127bd114U,     0x23bb7fc0U, \
    0x58a5063fU,     0x65ad14c4U,     0x8487b1ccU,     0x56c035c3U, \
    0x4d13fbbfU,     0x3d26b43eU,     0x5b5a0a35U,     0xf15af456U, \
    0xaf9b0ca8U,     0xd475e856U,     0x8ec85b2eU,     0xc5f8a9adU, \
    0x5adee666U,     0xb40cd0d4U,     0x5afddc37U,     0x1c5e7b65U, \
    0x4c692d36U,     0x75e9edebU,     0xa274c3f0U,     0x9af8b143U, \
    0xc1043baaU,     0xbc6e2bbdU,     0xac02c3d8U,     0xa81ff813U, \
    0xf4076accU,     0xdc9136b5U,     0x43313210U,     0xe981161aU, \
    0xe32490dbU,     0xe3d52720U,     0xe307ad31U,     0x2c6d6e01U, \
    0xe6d21c62U,     0x8f23a935U,     0xe6f57fe1U,     0xb3860e15U, \
    0x06a04c5eU,     0x088e817fU,     0xf01df7c4U,     0x1410fcb3U, \
    0x690db157U,     0xc5a407e9U,     0xef51a040U,     0x73ce6408U, \
    0x35a34d55U,     0x4388a9aaU,     0x26ed7a9aU,     0xfeb3387eU, \
    0x57431caeU,     0x779dc802U,     0x0a876ca9U,     0x4c61d7e0U, \
    0xe4020229U,     0xb9ad935eU,     0x901302c1U,     0x27ce0ec7U, \
    0x162f1d70U,     0xf7c0049cU,     0xf1498d67U,     0xe3dfb6a4U, \
    0x2cb8c783U,     0x95c89aa3U,     0x3f8fd65dU,     0x6739cb7eU, \
    0x926f28c3U,     0xfbe33e87U,     0x25ad9186U,     0xd684c88cU, \
    0x04a4aa4eU,     0x92d67ed2U,     0x79f52006U,     0xe6ce646aU, \
    0x71d65482U,     0x91062c14U,     0xe0b2dd8cU,     0xa7ef08c1U, \
    0x6667e754U,     0x6c8cd6a4U,     0x1f35b026U,     0x9b61e5d2U, \
    0x3de51fa4U,     0xc85a6b50U,     0x446e8ee5U,     0xceb34245U, \
    0x6208f362U,     0x2b3dad68U,     0xc5b712c9U,     0x6cd0e377U, \
    0x4c0f13ccU,     0x3f499714U,     0x26283718U,     0x83ff95d9U, \
    0x4ff47861U,     0x67d0d3c2U,     0x6175d78eU,     0x7aa35fa8U, \
    0xdcecafcbU,     0x24952d1bU,     0x0511da9aU,     0x96f3ed06U, \
    0x25f8be2aU,     0x6d732c5cU,     0xc1cf9d24U,     0x02d235adU, \
    0x4f4c733fU,     0x8e467643U,     0x8e0dc6aeU,     0x81cb51d4U, \
    0x62396773U,     0xee375095U,     0xb6741fe6U,     0x2c86e06dU, \
    0x70c1d955U,     0xca57521bU,     0x527a78faU,     0x4888a479U, \
    0xba5d46d7U,     0x7060b25cU,     0xb80d26ddU,     0x40dab497U, \
    0x88031940U,     0x17c0bea0U,     0x170a7e7dU,     0xe43a8389U, \
    0x5a3c5feeU,     0xde53d1d3U,     0xed4703daU,     0x4ef64f75U, \
    0x588be876U,     0xbc565babU,     0xd637c5e9U,     0x75c01816U, \
    0x72ff4b9eU,     0x31ae3f1bU,     0xc1f3f1fcU,     0x26facbadU, \
    0xba5495d3U,     0xe31ad7a6U,     0x6cbd80d6U,     0xb240f79bU, \
    0xec02654cU,     0xfbb50545U,     0xb67f77b1U,     0x36fcf341U, \
    0x92ca633fU,     0x61505507U,     0x83694de6U,     0x69b6cbacU, \
    0xed7fc90eU,     0x98455d79U,     0x7abbe816U,     0x8dec5879U, \
    0x1e64f8f5U,     0xde829a40U,     0xa96c04a2U,     0xea81de9dU, \
    0x25c13789U,     0xe64931c1U,     0x9c01ae74U,     0xb7c589faU, \
    0xe003d90bU,     0xfe28c26cU,     0xb55c3abbU,     0xcbcd83caU, \
    0x545df9e4U,     0x9ad02434U,     0x2ed02b71U,     0xe396f27bU, \
    0x0b38a1d1U,     0xf2ecf8f3U,     0xdd6e85f6U,     0xc151ee66U, \
    0x8b2f3197U,     0xe8852c94U,     0x03ff3a5bU,     0xf313bf96U, \
    0x887a43a3U,     0xa41fc42fU,     0x126c6c42U,     0xa0b48751U, \
    0x9f9c408bU,     0x5d2626e2U,     0x7397b80dU,     0x55bb9836U, \
    0x2ccb967cU,     0x44d123b0U,     0x9664fd71U,     0xba31c0cfU, \
    0xfe38f720U,     0xc425199fU,     0xdfcf77d3U,     0x62588e62U, \
    0x839f886dU,     0xe507e4a7U,     0x81c899d1U,     0x2bc4ef7aU, \
    0x1995b6f3U,     0xd43ccb37U,     0xf1678bf3U,     0x1fa69eefU, \
    0xd8abe2c8U,     0x65152cb6U,     0xd026b3e0U,     0x0aac8da4U, \
    0x3a333107U,     0xcee1c8b9U,     0x641b3493U,     0xf936e7e2U, \
    0x4d19268bU,     0x992f4ef7U,     0x13ac9267U,     0xde89dc7aU, \
    0x2866bf21U,     0x90a8f430U,     0xd6de17f4U,     0x86f7ce5fU, \
    0x12589758U,     0x43e0bfa7U,     0x9f6c853fU,     0xafe6e1c4U, \
    0xb96e1dd6U,     0xeb511642U,     0x09d729c8U,     0xaad808fdU, \
    0xb5f33eb4U,     0x6d75b5a9U,     0x143dd5daU,     0x9a805419U, \
    0x27ef39bcU,     0xb1c4a702U,     0x75cd8cd3U,     0x867bdc5dU, \
    0xcbe911dcU,     0x4cbe1953U,     0x4cc6e18dU,     0x114e30a5U, \
    0xa96797c3U,     0x1b152043U,     0x69879e8bU,     0x4a1a2750U, \
    0xbab000fdU,     0x1c1d8655U,     0xb5946b32U,     0x97ab0394U, \
    0xaa2224ffU,     0xa5cda480U,     0x45f8d121U,     0x3fabeaa4U, \
    0x610ecbc8U,     0x72a7937eU,     0x0ccbff19U,     0xca8eaa20U, \
    0x357ea88eU,     0x257b2644U,     0x7cdf1798U,     0xa6980a30U, \
    0x8cdefc82U,     0x588c9827U,     0x6ab7bbe9U,     0xe5a40ba1U, \
    0x16bc3289U,     0x4f862e04U,     0xbbe99595U,     0xdb64324cU, \
    0x53e97eeaU,     0x7580ae12U,     0x88a7234aU,     0xc71e00a7U, \
    0x5c67a7d5U,     0x4f329d70U,     0x7f4039aaU,     0x76b30e9cU, \
    0x9284a4e2U,     0x06d6114eU,     0xfc4c1218U,     0xf24ab230U, \
    0x8c7905d0U,     0x1728ce40U,     0x9a761b55U,     0x3b5fada4U, \
    0x8184a4d5U,     0x33675e29U,     0x51e4d739U,     0xb19aeff2U, \
    0x42a23e9bU,     0x8be7883fU,     0xe90d9d5eU,     0x666fb61bU, \
    0xdb798bd6U,     0x55826990U,     0x1cf4de76U,     0xf9b4324cU, \
    0xbce766a4U,     0x0ced248eU,     0x4367c220U,     0x419398f5U, \
    0xc37a527eU,     0x5cd0435fU,     0x999e6c23U,     0x7659379dU, \
    0xf538cdf7U,     0xa0235751U,     0x2959cde6U,     0x4355c106U, \
    0x8ce1ff90U,     0xf1f4050cU,     0x8f8dc2d0U,     0x998e3b03U, \
    0xd9a851ceU,     0x6c76441dU,     0x401eb7c8U,     0x2accd24aU, \
    0xd304e2f6U,     0x6ab76831U,     0x7b44b0f5U,     0x906db9a7U, \
    0x87e67c5dU,     0x2b6c9ac1U,     0x162f3f9dU,     0x0ef62f81U, \
    0x2ecca3c3U,     0x41fe4ceaU,     0x3acf993eU,     0xca979094U, \
    0x19578864U,     0xceb52469U,     0x2c9a7b74U,     0x321b0b6cU, \
    0x10539e19U,     0xe76a0ab7U,     0x3ee272baU,     0xbb5f5ab3U, \
    0x2c3aee47U,     0xd5558f99U,     0xde91b5f2U,     0x9c9cabccU, \
    0xa8ccea88U,     0xfe88ec76U,     0x29ba1a9cU,     0xf6473b96U, \
    0xd5c32651U,     0x41195ef7U,     0x3a12c2b5U,     0xbf903736U, \
    0x09170c3aU,     0x80d9529eU,     0xfcb53b2fU,     0x921a2934U, \
    0xc75e7d24U,     0xdfd0549cU,     0x74922a81U,     0x3f7c9e2dU, \
    0xbab3728cU,     0x60e0815dU,     0x5a546072U,     0x4bae60f2U, \
    0x896e7f0eU,     0xa47ec083U,     0xb54e39b1U,     0x452879e1U, \
    0xf5cad216U,     0x2c5e5c0eU,     0x7c727b2dU,     0x97758a35U, \
    0x90267a89U,     0x511e0bd2U,     0x5b095566U,     0x37e9d534U, \
    0x3fe7ba34U,     0x54c75044U,     0x5683e2feU,     0x02f7498fU, \
    0x5d6d0837U,     0x33944320U,     0xc17486ecU,     0xd022d6bdU, \
    0xa0209350U,     0xde8343a6U,     0xf5a419d0U,     0x59fda0deU, \
    0xda8c9e45U,     0x1f4c95b7U,     0x43cccf24U,     0xe39a9b8eU, \
    0x7966b1edU,     0x9cbaea0eU,     0xc304bbfeU,     0x90e4d349U, \
    0x4c795c3dU,     0x44261cb3U,     0x60d8c0eeU,     0x9050c75eU, \
    0x58b74bfbU,     0xbdb1cfffU,     0xae8c0055U,     0xf99436aeU, \
    0xe8705dbaU,     0xf9c02c00U,     0x706639dbU,     0xdd84e09cU, \
    0x62531760U,     0x9bdf57bdU,     0xd42f88fcU,     0xe063a113U, \
    0x8eac2ed5U,     0x9e1bdc82U,     0x890db068U,     0x83f9b503U, \
    0x8d1d6385U,     0x024043dbU,     0x19eef4fbU,     0x754efdfbU, \
    0xa52da6daU,     0x74ae164dU,     0x1f2ad772U,     0x98189f25U, \
    0xd73be5fcU,     0xd03d3049U,     0xb48d82a0U,     0x43eb1adfU, \
    0x4c6afbe4U,     0x63c40a80U,     0x8a2e7593U,     0x5ebf965dU, \
    0xa24f78cbU,     0x6b3c1fb6U,     0x9ba7f82aU,     0xc84e3916U, \
    0xffc61ed4U,     0x339b771aU,     0xfa53763eU,     0x77812016U, \
    0x6488a571U,     0x4ef2049aU,     0x520603d5U,     0x32eda802U, \
    0x68acbe6cU,     0xabbf8ec8U,     0xc673f54fU,     0x8000f831U, \
    0xad877bc1U,     0xeb6fda52U,     0xa62e2848U,     0x65d2ab35U, \
    0xa8e17c93U,     0xd67cd470U,     0xaa592388U,     0x3c966ca7U, \
    0x88cbb909U,     0xeb3b092eU,     0x8b59e633U,     0xb976490bU, \
    0xe5d29dbcU,     0x24792e47U,     0x4d20f704U,     0x176bfc19U, \
    0x27d34036U,     0xb01fcddeU,     0x739f0412U,     0x87f2b2cbU, \
    0x919522f9U,     0x136f17baU,     0xd289cf28U,     0x4fe02168U, \
    0x93835818U,     0x40e5c248U,     0x513466b3U,     0x67e0081eU, \
    0xba552915U,     0xc9daeaa4U,     0xad77e50fU,     0x86a13584U, \
    0x6c5f8513U,     0xa0d4d5e8U,     0x7722661aU,     0x771756efU, \
    0x2fb0118aU,     0x9b506bbeU,     0x879c92bcU,     0x905faceaU, \
    0x77d66af4U,     0x277c48ecU,     0x3e27eacbU,     0x8cff1a72U, \
    0xe58b3983U,     0x36acb19eU,     0xec87aa8dU,     0xb595ca79U, \
    0xce2b8effU,     0x6f9cf1e1U,     0x5d52f400U,     0x1bc41ca4U, \
    0xfef0d84dU,     0x962cf46bU,     0x75a01767U,     0x21420627U, \
    0x256a6d42U,     0x48e955f7U,     0x8a2fc77eU,     0x46b859b1U, \
    0xc3070387U,     0x3529716dU,     0x1b287715U,     0xab8ba240U, \
    0xf8241c14U,     0xe3e48e8bU,     0x97795e6cU,     0x9f0209d2U, \
    0x19600fe9U,     0x00896ceeU,     0x32d02bbcU,     0x08ab3a83U, \
    0xe43975f4U,     0x9a53866aU,     0x48dc7aedU,     0xb116fb21U, \
    0x7ea3a166U,     0x370beea5U,     0x2ff7e68bU,     0x8b5d9443U, \
    0x5fced2beU,     0xae1489cbU,     0xb2470780U,     0xb11f4088U, \
    0xf90cef0eU,     0xbf95261aU,     0x4b86c104U,     0x47400427U, \
    0x08c54363U,     0x551b69e7U,     0x6536cd94U,     0xddbac785U, \
    0x800f4fa6U,     0xaa2f708bU,     0x192e47c9U,     0xcb707937U, \
    0x51566b0eU,     0x1ec1c867U,     0x8604bee3U,     0xe050098fU, \
    0xbda8c51fU,     0xc6cad256U,     0xf566889aU,     0xeff28511U, \
    0x0248c6d4U,     0xfbd25a95U,     0x8841dfe5U,     0x9b14f125U, \
    0x21722780U,     0x2cb0d9e6U,     0x06419169U,     0x6794ea25U, \
    0x21e7c64fU,     0x26697b02U,     0xd402369eU,     0xd5095ef4U, \
    0x5c28e092U,     0xe5805886U,     0x4b22c29bU,     0x4ac53202U, \
    0xd22696adU,     0xd8132027U,     0xbb1f2768U,     0x28e0e267U, \
    0x96689dccU,     0xe95e52cbU,     0x1f408740U,     0xd1de6da4U, \
    0xcaa1c1c5U,     0x4bf6517cU,     0x2ce79b1cU,     0x69d74609U, \
    0x10e9964aU,     0x9baf3731U,     0x4ea58f12U,     0xa95465caU, \
    0xecfa503aU,     0x3ad3bcadU,     0x33d3c48aU,     0x612ab040U, \
    0x9f61a408U,     0xd114eb44U,     0x0e25ace5U,     0xc2f63fa9U, \
    0x05243904U,     0xd9c6553bU,     0x1cd3662cU,     0xd2b46297U, \
    0xe16e9f8bU,     0x49aef1f4U,     0x918e43a3U,     0x13f98257U, \
    0x63de47a5U,     0x2897557bU,     0x7200bac4U,     0x7a428266U, \
    0x0454e8ddU,     0x378080e7U,     0x81b3d8d7U,     0x7340088dU, \
    0x2e5018c7U,     0x3f28078bU,     0xa0c686d8U,     0x6a639403U, \
    0x930d3c4eU,     0x538d8ee2U,     0x3c124f9bU,     0x351992f6U, \
    0xea8f0262U,     0x3f726a0cU,     0x7d246cd7U,     0x19b30b7aU, \
    0x863cef73U,     0x58fa4116U,     0xcbea3d59U,     0x427d2019U, \
    0x423c4e43U,     0x1e7ca613U,     0xa8ef6c62U,     0xae3670fbU, \
    0xa6e120deU,     0xe38d72ecU,     0x84320479U,     0x8079d8f3U, \
    0x68ad4b62U,     0xab378644U,     0xb1743aa6U,     0x9765214fU, \
    0xdb00d476U,     0x877ba77dU,     0xa82adbacU,     0x82c6f9d4U, \
    0x39af4e73U,     0xd2e2af0dU,     0x9217069aU,     0x880c7a82U, \
    0x8cd0cc80U,     0xfd87dfe4U,     0xa11b5e8bU,     0x683dd7adU, \
    0xdfe0c9a1U,     0x5ff08ed4U,     0x04543c7aU,     0xbfbe533bU, \
    0xa02998ebU,     0x3fb6db0cU,     0xa1774867U,     0xf1a0da81U, \
    0x46fbc341U,     0xde554e92U,     0x6ecf3866U,     0x96332c5eU, \
    0x51a672cfU,     0x74462ebbU,     0x257bb686U,     0xec1169b9U, \
    0x9ee1cad6U,     0x78316d11U,     0x9f949a62U,     0x430e640eU, \
    0xdca36673U,     0xcd378240U,     0x6a479726U,     0x30d94f28U, \
    0x8270ef10U,     0x28609001U,     0x75c47342U,     0xdae90b7bU, \
    0x094d215bU,     0xb4274f06U,     0xade61d7fU,     0x11a7b451U, \
    0xdb172a00U,     0x7aaf92b8U,     0x40618249U,     0xbbde5967U, \
    0xd68107a3U,     0x9d4e48aaU,     0x2e3fda98U,     0xb8a53678U, \
    0x0e014993U,     0x83cf5c20U,     0x6eb74fdfU,     0x1fa00b0dU, \
    0xeabffecaU,     0x267e5bc5U,     0xf0e88715U,     0x2dbe1974U, \
    0x65755854U,     0xfa50adaaU,     0x74c53872U,     0x15f5da95U, \
    0xcd88907bU,     0xd3a2cea5U,     0xaa12a19aU,     0x9d94a8b1U, \
    0x02eeaeb4U,     0xb52db30dU,     0xc1944f35U,     0x62f59a84U, \
    0x9cbf6cf8U,     0x5094ef21U,     0xb6b0dbe7U,     0x6da8e572U, \
    0x02b79a54U,     0x515b397eU,     0x8dd07b79U,     0xc71886c7U, \
    0x83cbdc32U,     0xd76eca8dU,     0x48c1ae76U,     0xf55c1872U, \
    0x7e1f191aU,     0x2d531ca6U,     0x20cb3e87U,     0x89857c31U, \
    0xdc7420f4U,     0x1fe7d4a2U,     0xeacc4b33U,     0x9673f741U, \
    0x4a3faa2eU,     0x1c4f38d9U,     0x79b19e7fU,     0x15a5a75cU, \
    0xc22815f8U,     0x5d0457c3U,     0xc8b5ba10U,     0x124f176aU, \
    0xec9426e4U,     0x27df4c80U,     0x7a8c409dU,     0xa50f76e8U, \
    0x4758383dU,     0x6139da92U,     0xb0fa8089U,     0x98e1727aU, \
    0x67c384b5U,     0x71f6b139U,     0x0d5ee967U,     0xe264b3f8U, \
    0xf93740bbU,     0x7aac369aU,     0xdd6c3546U,     0x09322c33U, \
    0xbb2d50edU,     0x4d582ea2U,     0xf2724cb6U,     0xf8bac466U, \
    0xbb55da39U,     0x5c2abd33U,     0xd40be89bU,     0x9513fb69U, \
    0xfd20e391U,     0xe6609c60U,     0x2174277aU,     0x476dd837U, \
    0x89d0242eU,     0x1d04ddbaU,     0xc2a2f6c9U,     0xcbee6aecU, \
    0x22ca28d2U,     0xc50337eaU,     0x9fc40cd2U,     0x8ae9b5c0U, \
    0x523a6190U,     0x8b294439U,     0xc3327689U,     0x0e03b260U, \
    0xbde8a94cU,     0x4e1e16f5U,     0x5ea3dd14U,     0x02a2d1e3U, \
    0x6abeb8b5U,     0xa06f5a8aU,     0xe3e85affU,     0x6224654cU, \
    0x9bac1567U,     0xd270468cU,     0xcaa99df4U,     0x6dc963b6U, \
    0x4fd51eb7U,     0x2323fe12U,     0x025f7ad2U,     0xd6fbef89U, \
    0x122b671fU,     0x1b80270eU,     0xd5641091U,     0x80c8769eU, \
    0x124c07a5U,     0xbe503dadU,     0x680325beU,     0xc7594901U, \
    0x705d02daU,     0x64b6b24fU,     0xc8691fdaU,     0x5946edd4U, \
    0x8c147a10U,     0x1da03546U,     0x6b092557U,     0x3adb2612U, \
    0xb3978199U,     0x577b2878U,     0xcc0b0881U,     0x2d382f64U, \
    0x3ead5e0eU,     0x02ea6337U,     0x9193b2f4U,     0x5873775fU, \
    0x967271baU,     0x8c5a1ab8U,     0xee1d61f9U,     0x4435b87bU, \
    0x310b7d77U,     0x53ce30c2U,     0xec939d49U,     0xee4a77f7U, \
    0x9d45e626U,     0x353a0dbbU,     0x8b481d31U,     0xb2d3b9bfU, \
    0x4f6c9928U,     0x6fc94322U,     0xcdf7b433U,     0x8bc8c167U, \
    0xb31bb8abU,     0x5c49dc4cU,     0xaadc1536U,     0x28094156U, \
    0x51901d60U,     0x2abcf8e2U,     0x8a211db4U,     0x79c5443dU, \
    0x72148f21U,     0xb1d74884U,     0x87599114U,     0xa38a67c3U, \
    0x2378a5deU,     0x6c1a5717U,     0x934072e5U,     0xa23a1bb2U, \
    0x133ed016U,     0xb657b401U,     0x5741b639U,     0x9879591bU, \
    0xc5f3eb29U,     0x9d0e13ddU,     0x21491fa9U,     0xc07d0ba7U, \
    0xe7c34a2bU,     0x744da80bU,     0x78eb4295U,     0x8403073cU, \
    0xe3b42834U,     0x7814a0b5U,     0x06f01dd4U,     0xba870ad3U, \
    0xd80cdd65U,     0x19d6d758U,     0x5700be82U,     0x853df833U, \
    0xd54da778U,     0x802ba9f4U,     0xff4c70e7U,     0xa35628f2U, \
    0xdb7ef82eU,     0xabad0327U,     0x8fc77130U,     0x7e1835aaU, \
    0x46e5a946U,     0x12a6aa3aU,     0xa3f2d5b2U,     0x837fa76aU, \
    0x6fe69386U,     0x3bc4e453U,     0xfeae6e40U,     0x367805cfU, \
    0x8cbc7231U,     0x3d7a6654U,     0x39c4c027U,     0x4c718c99U, \
    0x0682e81dU,     0x2b60d84fU,     0x7cc87f80U,     0x29390ba0U, \
    0x5eb82adcU,     0xe2a88ee6U,     0xa826756aU,     0x73ffd7e0U, \
    0xe61c4b83U,     0x778eaf4fU,     0x6899bd71U,     0xdfba3dd3U, \
    0x5ba7727fU,     0xcb2ce8a2U,     0xdfce84a1U,     0x2e1855ceU, \
    0xc2aa5c36U,     0x66873c3aU,     0x9e7c4e58U,     0x423686b1U, \
    0x3d42ee5cU,     0x35a37c66U,     0x7fdd3c0dU,     0x2b6abe0bU, \
    0xb71a586cU,     0xdc5ff454U,     0x8cf4e9f1U,     0x6a9b536eU, \
    0xf7ec3267U,     0x75eed154U,     0x38d6f328U,     0xf3da1421U, \
    0xf17ea67eU,     0x81993624U,     0x5b31c887U,     0xbdd0dff1U, \
    0xa1c01a98U,     0x1043c894U,     0xe2b024cdU,     0x327d0827U, \
    0xf3a6d936U,     0x600c637dU,     0xe826aad0U,     0xb1b3c152U, \
    0xc1bb79c7U,     0x6557b030U,     0xd9812addU,     0xe4aa37b3U, \
    0xa0e122e7U,     0xe97f4297U,     0xef4f5d6eU,     0x4e865e74U, \
    0xd04a3611U,     0x8230a55dU,     0x7902f81bU,     0x3fc450b8U, \
    0x074b0fb6U,     0xd300c400U,     0x2b5ab5f5U,     0x9f0db296U, \
    0x50ee5005U,     0x3aa8e3a8U,     0x73e5ad2aU,     0x21379a16U, \
    0x18d42dd6U,     0xf1100634U,     0x6c3d0c9aU,     0xca35b298U, \
    0xa15ef911U,     0x26ec2359U,     0x53de75b4U,     0x13c7e9aaU, \
    0x4e5510ddU,     0xb80712f5U,     0x01b8e9ebU,     0x2fdc3091U, \
    0xb4f921d0U,     0x86ceb6baU,     0x3c9048cdU,     0x3a308074U, \
    0x77c46964U,     0xd687cefeU,     0xddc9bf85U,     0x5f75e0a7U, \
    0x01111b21U,     0xca7a036eU,     0x0d40f233U,     0xf2f6178aU, \
    0xe1ce199bU,     0xf60f9451U,     0x16908b7fU,     0xf95b46c7U, \
    0x97b1b403U,     0x9ae1a1e7U,     0xabf70f63U,     0xc17c6dd4U, \
    0x588c5d21U,     0xc88e2719U,     0xc2562b9bU,     0xc4f4c407U, \
    0x562a1b9cU,     0x00c3c6caU,     0x53cac0d0U,     0x5054a412U, \
    0xdf16fdc7U,     0x4cd387afU,     0xe3a3cc79U,     0x67125a1cU, \
    0xda8c0bd1U,     0x94665f72U,     0xbd832f06U,     0xe85416e0U, \
    0x69a77264U,     0x5aa357e3U,     0x7b346c48U,     0x0321a0feU, \
    0xc7319c37U,     0xa080d8c3U,     0x6389fdb4U,     0xa9f4cf48U, \
    0xf5c0c924U,     0x3adf2267U,     0x87ab79abU,     0xd74718a2U, \
    0x123fbcdcU,     0x20c44e98U,     0x8b987546U,     0xf4921d94U, \
    0x877471beU,     0xd23ce304U,     0x75f7aaecU,     0xe64c6f66U, \
    0xdf8b2d94U,     0xee9e3330U,     0x714e0b50U,     0x88899850U, \
    0xbddea44aU,     0xadf56a65U,     0x8969ba32U,     0xa74451a3U, \
    0xc7f474f7U,     0x1d6320cdU,     0xeae8055bU,     0x8ce60002U, \
    0x5537ce9fU,     0x67d1051bU,     0xc5c6ad49U,     0xd3ff67ebU, \
    0x3e9ccc7eU,     0xe2adbd50U,     0xc77855d2U,     0xb9dbdf17U, \
    0xcea0eb6dU,     0x4c9a7916U,     0x8c72292fU,     0xcad38177U, \
    0x1f5ede6cU,     0x60c25ff8U,     0xc2771bbdU,     0xd1573542U, \
    0xa42175f1U,     0xe88d07b1U,     0x62058ba5U,     0x78422564U, \
    0xe7595925U,     0x5ec94673U,     0x34601e69U,     0x45278808U, \
    0x271d0317U,     0xcb9f4557U,     0xa690f518U,     0x37915079U, \
    0xcc4f3014U,     0xc84c8afaU,     0x7cb42fabU,     0xd5e24e2cU, \
    0x9946bbe0U,     0x97ebe463U,     0x8335c77fU,     0xba7bc8e5U, \
    0x5f76da89U,     0xcbcee9c9U,     0x0ec766cfU,     0xc60f21fdU, \
    0xc559c873U,     0x554cff4fU,     0xb57a8360U,     0x759b29eeU, \
    0x473a88b1U,     0xe1e3c13cU,     0x48ae509cU,     0x9c2a27b1U, \
    0x0f680653U,     0x1b734efdU,     0x10261661U,     0xd81fc819U, \
    0xd7fd833dU,     0xae7c636fU,     0xf218a4a5U,     0x11bda8c8U, \
    0x28fb5c09U,     0xb1762d23U,     0xdcb8f92dU,     0x781849c9U, \
    0x35084503U,     0x7342e671U,     0x18ae63bdU,     0x242276a5U, \
    0xab47636aU,     0xfbbe571cU,     0xf9a59727U,     0x64d8305fU, \
    0x5cd34ff5U,     0x2811602bU,     0x864f75f2U,     0x1da1a40dU, \
    0x26132b32U,     0xc76e541fU,     0x738db87cU,     0xd5f1c8faU, \
    0x2daacdd5U,     0x32297cf1U,     0x9d1a00eeU,     0xa964cdb9U, \
    0x575a6ea0U,     0x892be46fU,     0x0c5f7beeU,     0xb3741cc0U, \
    0xc2970878U,     0x87c7231dU,     0xba102ef6U,     0xb0ad11c4U, \
    0xff585ccdU,     0xc2604ae9U,     0x4f59aae5U,     0x010d11c2U, \
    0x48d623e1U,     0x7930ae04U,     0x87ea2295U,     0x619453c2U, \
    0x2060d7b7U,     0x6cc525beU,     0x1858ebd4U,     0xce9002e6U, \
    0x13d4a7c6U,     0x58aa7cf7U,     0xfc845fccU,     0x54acd67aU, \
    0xa4e21159U,     0x3f633f8cU,     0x85251882U,     0x65d4061dU, \
    0xd77cca60U,     0x1a2e6de7U,     0xa7b6e811U,     0x5edaf9ddU, \
    0xfa894862U,     0xab2752e9U,     0xf43eededU,     0x24fb9ee0U, \
    0x86097078U,     0x7e69a409U,     0xffe7950aU,     0x2e1225a1U, \
    0x5bfbfd89U,     0x5ecec568U,     0x4882ebfeU,     0x4f91061cU, \
    0x9dd09e96U,     0x57031d43U,     0x33d6f8faU,     0xb7e4505fU, \
    0x7e6ec150U,     0x0d25ad57U,     0xcde46fe0U,     0xbb2e1645U, \
    0x55e6069fU,     0xf97b77c8U,     0xdcaa97beU,     0x247be0f4U, \
    0x9847a7e2U,     0xd1cea1a6U,     0xa46046afU,     0x303fd280U, \
    0x6e29b18eU,     0xd15f1530U,     0x6087b55dU,     0x66dc4085U, \
    0x5c7b4dabU,     0x9333d6a8U,     0x9ce86e91U,     0x4f931f81U, \
    0x12f05b5bU,     0xb5e96ac8U,     0x718f68f8U,     0x47ba5599U, \
    0xbc3ddbc1U,     0xb2ccd46eU,     0x23a42d1aU,     0xd90f42feU, \
    0x021b9bb2U,     0x521bbcddU,     0x9581bfcbU,     0x6174bae8U, \
    0x3ce34f11U,     0x897867aaU,     0xf9a3753fU,     0xce9f5fbaU, \
    0x62de39abU,     0x1a2837b6U,     0x8ac75663U,     0x3d1c72f6U, \
    0x56c2d172U,     0x1fb65d24U,     0x0f5accf0U,     0x8994a898U, \
    0x056581d8U,     0xb02dd757U,     0x47593f61U,     0xfd06e421U, \
    0x076a18ceU,     0x8b0c9db0U,     0x7ddfbc78U,     0x20e8d2daU, \
    0xf2acfc0dU,     0x635af1f0U,     0x683dac4aU,     0x6a53d170U, \
    0xcb2b8cb3U,     0xb1977f03U,     0x62cedebfU,     0x293c0014U, \
    0xae601133U,     0x229149a4U,     0xb56af826U,     0x9aa6a860U, \
    0x7424641eU,     0x66e277b1U,     0xea46ff75U,     0xf9d72455U, \
    0xac897f09U,     0x92716b5aU,     0xd8d81479U,     0x67ee85b5U, \
    0xfa18d157U,     0x39b73d45U,     0x43ca4e9aU,     0x5b927d25U, \
    0xdcbdf33dU,     0xdaf254a7U,     0x511b723aU,     0x09008804U, \
    0xade76ec7U,     0x330b0d16U,     0x3cef1a86U,     0x2d1c5be4U, \
    0xb8e47208U,     0xf77ebb5fU,     0x87a47bd3U,     0xcac640b0U, \
    0x9af859ddU,     0xdb7981f0U,     0x352f4fc0U,     0x2a51b718U, \
    0x21005cbaU,     0x899aa2adU,     0x04296f4bU,     0x2cdbbceaU, \
    0x662b648aU,     0x4cf61890U,     0x7aae3fc1U,     0x6b67e927U, \
    0x44719c10U,     0xa0aac454U,     0xb282039bU,     0x88648c5aU, \
    0xc7700f0cU,     0x8ba1e5f8U,     0x9b4de7d2U,     0x26b60b2dU, \
    0xe588b10dU,     0x542b1ed6U,     0x0528924eU,     0xfd7ba4feU, \
    0x931fdfd6U,     0xffd26343U,     0x3549eb4fU,     0xb16b8dbdU, \
    0x39ecb7a9U,     0xb803da82U,     0xf07ac8f0U,     0x2760d2cfU, \
    0x1c927a0fU,     0xdc1b5bd0U,     0x33baf7edU,     0x35bb622aU, \
    0xa895ce70U,     0x7cf017ceU,     0xfb595957U,     0xc959b60bU, \
    0x54f08defU,     0x5795d912U,     0x82636099U,     0xa1c76d2eU, \
    0x72a48834U,     0x560f41b2U,     0x42efed9fU,     0x603b958dU, \
    0xbcb82388U,     0xcffa3811U,     0xe14a65aeU,     0x91e3bc9bU, \
    0xe794f9c7U,     0x36843d28U,     0x0e55cd0fU,     0x40f3ea33U, \
    0x533a1c90U,     0x0256514fU,     0x3293c706U,     0xcefe97dfU, \
    0xf6e43bd3U,     0xb02054ceU,     0xca2161c5U,     0x93f6a949U, \
    0xdaa8ee16U,     0x06f22492U,     0xb3c6c97aU,     0x213ed772U, \
    0x49bdfe72U,     0x44152f64U,     0xa383f1d2U,     0x843ccfb4U, \
    0x627e1196U,     0x30955c7dU,     0xd062fc67U,     0xc38a5c14U, \
    0xbf822cb2U,     0x8d9d6c8bU,     0x8c612769U,     0x3cf0e988U, \
    0xbcd9a1d8U,     0x09d6be0eU,     0x19a6a5e8U,     0xe7e25236U, \
    0x8b9efc9fU,     0x40d35bc6U,     0x4785289aU,     0x150306cdU, \
    0x45fc6fa0U,     0x5471403fU,     0x2d24b8caU,     0x0b013490U, \
    0x298864a2U,     0x049c209bU,     0x24fd9656U,     0x217cffeeU, \
    0x37367565U,     0x1dcb6a5dU,     0xb3738b64U,     0x35618b1cU, \
    0x76dded4bU,     0x623002d0U,     0x8f8a5e6fU,     0xf3651822U, \
    0xde3428a1U,     0x804752c0U,     0x5564507fU,     0xe7ce3a12U, \
    0xf2233fe2U,     0x5bef3efaU,     0x9da4c922U,     0x3f9daeeaU, \
    0xd80d05fcU,     0x8a13959bU,     0xdb782845U,     0xa6962e2cU, \
    0xcb7ed12fU,     0xbe27a1a1U,     0x03c1a264U,     0x73d90e89U, \
    0x8d8a980bU,     0x70823e2bU,     0x75f9edd0U,     0x358d7f95U, \
    0x8ad18d13U,     0x7aa039ceU,     0x1a1c1f87U,     0xc72728e4U, \
    0x07384268U,     0xeca1fe62U,     0x14532de9U,     0x78f8788bU, \
    0xad1bb069U,     0x52cd38d0U,     0x0976a341U,     0x358a135aU, \
    0x12787671U,     0x7aad8753U,     0x2b657284U,     0x894a2acaU, \
    0xbf40433cU,     0x1808346eU,     0x1bceb9c0U,     0x9b9c6f3aU, \
    0x4f288d03U,     0xddc44fc5U,     0x54cda5b6U,     0x3addf862U, \
    0x0bd58e87U,     0xbac76b8cU,     0x5b558137U,     0x89fbcd3fU, \
    0x04087dd7U,     0x04653b66U,     0x9a2557c5U,     0x3d7748d1U, \
    0x9c5144ffU,     0x154fc7f6U,     0x249c1412U,     0xc957e407U, \
    0xe5d91617U,     0xae69452dU,     0x6fa64a27U,     0xc5a0052fU, \
    0x26c99c56U,     0x5f672a93U,     0x18bc0b47U,     0x2e1774edU, \
    0xa48d8158U,     0x04520fd4U,     0x3e6dfe8cU,     0x6495427aU, \
    0x9584e750U,     0x174d519cU,     0x8592a42dU,     0x19419c22U, \
    0x83210c9dU,     0x41acd590U,     0x9111ef7aU,     0xccf4b476U, \
    0xf67e1c01U,     0xe4a9e0c5U,     0xd67ec44dU,     0x7b44730bU, \
    0xae718ca9U,     0x56d30f40U,     0x9d47bdefU,     0x9ed7816aU, \
    0x9b19433fU,     0xf3c52a15U,     0x144c6139U,     0xf63b5382U, \
    0x2db1b9b6U,     0x8bbf0b88U,     0x9f70ab94U,     0xd8e8d393U, \
    0x577fc41dU,     0x26697d23U,     0x19a12460U,     0x7e2e7138U, \
    0xf1de4cb5U,     0x9ad4b674U,     0x3cb45a72U,     0xab2df85fU, \
    0x7b5c9893U,     0xb4f6a4f1U,     0x5b8036d1U,     0xf5c4e787U, \
    0x18c1f5b7U,     0x363be769U,     0xabbe7fc6U,     0xfbc98d2aU, \
    0xbf898eb9U,     0x2ef8e608U,     0x14a64864U,     0x18033ff7U, \
    0xbee01c07U,     0xdc04cfc7U,     0xcc2bec2aU,     0xaf710530U, \
    0x50674ca7U,     0x7f017e70U,     0x3fb2249fU,     0x53b227d0U, \
    0x3921d79cU,     0xdc5cc24bU,     0x5ef50589U,     0x3781fe05U, \
    0x6d7c971eU,     0x82c45e80U,     0x4b9fe704U,     0x65a55619U, \
    0xb410cb16U,     0x16c0ccf5U,     0xfbcebbe7U,     0xdecbd18fU, \
    0xbd7ccf58U,     0xba8fc19bU,     0xf1f10b97U,     0xd502bbdbU, \
    0xd736ddf2U,     0x340c3458U,     0xb5c60e55U,     0xcfc53641U, \
    0xf759328fU,     0x979df64dU,     0xc198a817U,     0x6a8a8b08U, \
    0xbc089ddcU,     0xb7b18733U,     0x1a62b861U,     0xf328c776U, \
    0xe8649d6cU,     0xb116ec3aU,     0x0b640806U,     0xcdc15f8bU, \
    0xc6cdc3a7U,     0x46839a29U,     0xbade8d50U,     0xf6c1b36aU, \
    0xa0514fe1U,     0xdf1a2e40U,     0x2761d7fcU,     0x8eddfd59U, \
    0x7fbdacd8U,     0xe33a7e32U,     0x583acf9cU,     0xc3130c20U, \
    0x1ba1ebbbU,     0xdf381565U,     0x4c6bed99U,     0x25b9b5fbU, \
    0x9473afe9U,     0x64059676U,     0x2b1f968aU,     0xeaf4bfb1U, \
    0xcc446ad9U,     0x64862592U,     0x6bc75852U,     0x98f17034U, \
    0x82cd1509U,     0x6bd442a7U,     0x6df3b300U,     0x8d685730U, \
    0xa06b1cfdU,     0x89617ff2U,     0xc149fdc9U,     0x71d89d0bU, \
    0x17aa4bc5U,     0x364ba8b2U,     0xe85c0df8U,     0x76f53a72U, \
    0xdcce9545U,     0xc97b1580U,     0x6928ad81U,     0xd11a1937U, \
    0xc4313ef3U,     0x45e7117dU,     0x610ea472U,     0x873bd7cfU, \
    0xffa54b82U,     0x90622beaU,     0xcaa55ef0U,     0x104a1c29U, \
    0xe77b48f7U,     0xec7fca58U,     0xfb967c6eU,     0x97b66729U, \
    0x24a66951U,     0x15babbb0U,     0x2ac9472aU,     0x6a421f26U, \
    0xc9826026U,     0xb9ecd390U,     0xe69eacc4U,     0x67600c14U, \
    0x4202b6a2U,     0xdb3d2167U,     0x8430f553U,     0x2ea98239U, \
    0xd0ced744U,     0x1c02f08dU,     0xcf49765dU,     0x1ae8849dU, \
    0x2aa562afU,     0x59c81dbeU,     0xee575c82U,     0x310c7988U, \
    0x253541ecU,     0xd17a727cU,     0x0dc65cb0U,     0xc794b25cU, \
    0x61ae5c74U,     0xad3fc0c4U,     0x1ca486b1U,     0xb1bdf53aU, \
    0x91d5d500U,     0xe229abc5U,     0xa7a2354eU,     0x09c0eb33U, \
    0x527c14b1U,     0xe5d50f78U,     0xd13a78a5U,     0xe936f1d8U, \
    0x8b64a0a9U,     0x91caa6a2U,     0x61cc0307U,     0xc2479de2U, \
    0x3a1851d3U,     0x22887af3U,     0x4b8e7510U,     0xd51f6007U, \
    0xc6ddd9d9U,     0x7a726683U,     0xd9279ad5U,     0xb8ff75e9U, \
    0x8f7d887bU,     0x7fe9dccfU,     0xf4c4f25fU,     0x9a70255dU, \
    0xe0d1e9beU,     0x167b2e7dU,     0x5e08b092U,     0x5778feadU, \
    0xdaa3cd4aU,     0x3f164afeU,     0xcc8c3da6U,     0x353f5949U, \
    0xcd2864b4U,     0x84049680U,     0x3c2e58dbU,     0xf42517d5U, \
    0x3e6c22fdU,     0x58d610c2U,     0x2ea4e6e1U,     0xff8db85bU, \
    0x460288f0U,     0xf8a43278U,     0x6d8b84ffU,     0x0095b1adU, \
    0xb61e9ffcU,     0x6fa3053eU,     0x230ee4cdU,     0xf3d49c6bU, \
    0x47d12033U,     0xa8ec72d6U,     0x28b4fe63U,     0x1812b49cU, \
    0x2f37a621U,     0x4ad4c53bU,     0xd2a333b7U,     0x83fb7fc8U, \
    0x053c23cfU,     0x35aa96d6U,     0xc981d2b5U,     0x0e1b9929U, \
    0xc7314b97U,     0x72028be5U,     0x69c0b2aaU,     0x0d470f6cU, \
    0x29ea6626U,     0x23fd50dcU,     0x234ecc20U,     0x6333fdd6U, \
    0x1b70e974U,     0xa4691af5U,     0xe1fcdf1bU,     0x0abfc2d0U, \
    0x1ccfd571U,     0xd2ab670dU,     0x1875bc6eU,     0xbc6c033dU, \
    0x80bda07dU,     0x223c7b45U,     0x3af530cfU,     0x7817443bU, \
    0x83825532U,     0xabeb2716U,     0x31d04669U,     0x8891628eU, \
    0xe15f3269U,     0x4115ef9dU,     0x14eb0f97U,     0x871c3627U, \
    0x61d6fe2cU,     0x7e74b998U,     0x769e9f90U,     0xf127d5b8U, \
    0x04d27e0eU,     0xade7d6b6U,     0x1ac3381fU,     0xb71ae927U, \
    0x10f9de77U,     0x78f992ffU,     0x43ec9a52U,     0xde1b640aU, \
    0x27014d99U,     0xa5eebdf9U,     0x2e8cbc7aU,     0x0b02b964U, \
    0xa224106fU,     0x1fc65d22U,     0x1f8773afU,     0x9d412799U, \
    0xafaff3c5U,     0x49652cbbU,     0xea1e2e14U,     0xa34e84fcU, \
    0x5b4be20fU,     0x84bdeb19U,     0x25476b00U,     0x765a143cU, \
    0x65c651a3U,     0xef2b4f25U,     0xd06c5ec5U,     0x6088ae4eU, \
    0x784c35faU,     0x3a755ac9U,     0x146f29bfU,     0x3c4fc596U, \
    0x8b6c67cfU,     0x807ccea1U,     0xb08f41eeU,     0x3db596c6U, \
    0x46f75da8U,     0xb499d876U,     0x8e008a8aU,     0x9797dd9dU, \
    0x8fa90c19U,     0xfb3f2ffbU,     0x2b2996bbU,     0x3e129748U, \
    0xa88c8a0cU,     0x9819816aU,     0x2db9ce83U,     0x4b3d7a62U, \
    0x042c9bd4U,     0xcfddc309U,     0x8c657d58U,     0xff8c686aU, \
    0x8abe7e25U,     0x76195095U,     0x922e6874U,     0xa6ccfecfU, \
    0xd03ce96eU,     0xe7e5d597U,     0x7a019749U,     0x9cece8b8U, \
    0xe2212fa2U,     0xc8b991ceU,     0xe49ef823U,     0xa51022e6U, \
    0x6be46257U,     0xa159c013U,     0xa8aefdf5U,     0xb2121f01U, \
    0xc2792136U,     0x31d41915U,     0x22db11ccU,     0xf93338b5U, \
    0x09d19f5aU,     0xecf59232U,     0xbcb1da78U,     0xf8f3b31aU, \
    0x546be6e5U,     0xaf55868fU,     0x5737cbc8U,     0x95782012U, \
    0x7d880be6U,     0x540eb7b1U,     0x7ab1adf1U,     0x96f2e498U, \
    0x0bc2caf5U,     0xb17dbe71U,     0x5528b079U,     0x59fc45eeU, \
    0x1cdc09fdU,     0x149a5cbaU,     0xc652a567U,     0x68d2ba99U, \
    0x8c844bc0U,     0xb46bc8a9U,     0xee99e9e6U,     0x528dc16fU, \
    0x57404799U,     0x2426ec8aU,     0xfe568388U,     0x80ff2d9fU, \
    0xf3985534U,     0x6d5d859bU,     0x7adc42fdU,     0xd60fc837U, \
    0x2e570de3U,     0x0e4b863dU,     0xe0cad86bU,     0x553728beU, \
    0x21b8ef39U,     0x5151dd8cU,     0xf6bec4b4U,     0x96f9bbd8U, \
    0x37b706fdU,     0x8c188855U,     0xbd54d724U,     0xf4ec8878U, \
    0x66fb8bbdU,     0x21a8d45bU,     0x7da37895U,     0xfdf38b27U, \
    0xc1309959U,     0x014b0d78U,     0xa698ecccU,     0x39561932U, \
    0x8186c1e6U,     0x85037df9U,     0xd5a5f067U,     0xa1946d58U, \
    0x7c59e96cU,     0x0aa99c7aU,     0xab873c81U,     0x5f30c122U, \
    0x9fc822abU,     0x01422894U,     0xa5f4ef08U,     0xa4be54b0U, \
    0x333ce5b1U,     0xfd017ae7U,     0x8fe63f96U,     0x87e7cef2U, \
    0x738eb0e4U,     0x6a3336edU,     0x417bac9dU,     0x5fe71084U, \
    0xa0d41827U,     0xcbc3f01fU,     0xa3f2c58aU,     0xcaecdeddU, \
    0xd448cb52U,     0x6fd4d469U,     0x78c0351cU,     0xc619fb81U, \
    0x1838f263U,     0x02a5e5daU,     0x080271ecU,     0xc0f17787U, \
    0x94f50943U,     0x42950a07U,     0x2354c8e5U,     0x96b946e2U, \
    0xfeac4782U,     0x8bd1522aU,     0xf0295502U,     0x4ef6427aU, \
    0xe3e02477U,     0x8470c851U,     0xf6a956a6U,     0x7f51bd4cU, \
    0x3432d94aU,     0xa117020bU,     0xb8d8693cU,     0x391064a1U, \
    0xd83f6cf5U,     0xc4469db3U,     0xb34b68e1U,     0x06da1641U, \
    0xcdc77aa8U,     0x8695ec7eU,     0x05ebf5b7U,     0xb312a8b1U, \
    0x00836bb3U,     0x0561d142U,     0x94f25abaU,     0xe81e4d7cU, \
    0x0086c2b0U,     0xf10d45cdU,     0x1edb85c1U,     0x92c69259U, \
    0x77c1e5d7U,     0x1f7973c0U,     0xab12c955U,     0x8f02d77bU, \
    0xc9fbf183U,     0x017a36e0U,     0x299dbf48U,     0xc2138854U, \
    0xf8d74ca4U,     0x8eeeccbaU,     0xa2dc9b4cU,     0x2784d6e6U, \
    0x43b01d2bU,     0x8fb0e48eU,     0x5d9ba95bU,     0xfeeb02f0U, \
    0x2a89e027U,     0x3843bc30U,     0xa3f170daU,     0x1abda6c9U, \
    0xf22d4a7eU,     0x81288396U,     0x2114d69eU,     0x7fea1b03U, \
    0xc41e4a41U,     0x4bfbc757U,     0x912c9956U,     0x4bbc60bcU, \
    0xf1218342U,     0x2be24017U,     0xb7ad31feU,     0x57f8fdeaU, \
    0xfbb1b7c4U,     0x55068ac1U,     0x28364aebU,     0x8cd01b3cU, \
    0x607ce144U,     0xe6d2c9e7U,     0x4bef421dU,     0x6b2d340bU, \
    0x5866b235U,     0xc4478bcaU,     0x1d8101d9U,     0x4ab0c70bU, \
    0x9bd86492U,     0xf55f54a2U,     0x9c2b3f78U,     0xbc38cbe4U, \
    0x1ee123d3U,     0x5696fde9U,     0x9bf32abcU,     0x81df4912U, \
    0x54225501U,     0xd8c72748U,     0x22367ff8U,     0xd443a3a2U, \
    0xc42ace3aU,     0x06beb9f9U,     0xa5915a58U,     0x09d24dd4U, \
    0x4be3352dU,     0xd58b34e8U,     0x63c4449fU,     0x08cda765U, \
    0xf7c23b73U,     0x3b15b2bbU,     0xa2ddc3d7U,     0x8ad868efU, \
    0x3fd1aa7bU,     0x438e7aa8U,     0x84d8f780U,     0x708ecdd2U, \
    0xd064d18cU,     0x070d538cU,     0x7a7fded4U,     0xfc5ee68dU, \
    0x95e386c9U,     0xcfacf600U,     0x1fdd8f08U,     0x1c532e82U, \
    0x43d9aa24U,     0x2a72d145U,     0xd35b4400U,     0x8a2b4beaU, \
    0x86ce0802U,     0xcf7e222aU,     0x260084deU,     0xbec87abeU, \
    0x53c8b5e5U,     0x883680a3U,     0x50d2c56eU,     0xba73de1dU, \
    0x6a42834cU,     0xba57d797U,     0xf14cd88aU,     0xb3e369c9U, \
    0x7c2f4d09U,     0x28985110U,     0xd67b8411U,     0x829627f3U, \
    0x27363ff6U,     0x4be9fc8bU,     0xa089dc76U,     0x7a9601e6U, \
    0x62be2659U,     0xed97a225U,     0x34fdb3ecU,     0x999023bcU, \
    0xa22b2ad6U,     0xac8ac0abU,     0xc97d9af4U,     0x31fe301fU, \
    0x49ba5c6dU,     0xe49f3c41U,     0x21dad6b6U,     0xd3df6871U, \
    0x51a62893U,     0x64fae4f7U,     0x4d1a18cfU,     0xae69b119U, \
    0x6859f540U,     0x3417bf40U,     0x74b874c1U,     0x2891a5f4U, \
    0x05325ae6U,     0x9fe0c116U,     0xf2be552bU,     0xc38cb9fcU, \
    0x85472f76U,     0x36a2485dU,     0x7c80fe59U,     0x81f0d4f3U, \
    0xa2290242U,     0x3a65063bU,     0xcc7814efU,     0xac2ab457U, \
    0x91c04cb9U,     0x8006df18U,     0xf284ac67U,     0x0f535861U, \
    0x3b9b6920U,     0xa32b63c2U,     0x99065651U,     0x18d14912U, \
    0x640cead5U,     0x2a6d67a8U,     0x6487e811U,     0xbc947ee6U, \
    0xcca86125U,     0x1c334c6fU,     0xc866539eU,     0x62e34150U, \
    0x852b00a4U,     0xf325fadeU,     0xc83d7afcU,     0x68a34abaU, \
    0x303e8676U,     0x3e134b3dU,     0x728a6402U,     0xf93636e3U, \
    0x82dd8694U,     0x93dbcea6U,     0xf37cf3e5U,     0xc75bb2e8U, \
    0x3fdb5f61U,     0x74c59f7cU,     0xfea68628U,     0xdff00568U, \
    0x4e7bad4eU,     0xfe107397U,     0x44e3f910U,     0x91a9e69cU, \
    0x17e474e7U,     0x2c25a6d3U,     0x62c89f4bU,     0xf77b20aeU, \
    0x6be2a0e4U,     0xd3cfed04U,     0xaa2d3819U,     0xf254a54dU, \
    0x9b8ee9c2U,     0x71fb716aU,     0x290464edU,     0xaa84d056U, \
    0xe81814e5U,     0xbec89043U,     0x2742af8bU,     0x0c4d8c35U, \
    0x3d52022cU,     0x85b03d4bU,     0xb50c4073U,     0xecab9f3cU, \
    0x5beee361U,     0xc5639145U,     0x578050faU,     0xb62cec57U, \
    0x3769fed3U,     0x7787c070U,     0x7520bf6cU,     0xbda368f8U, \
    0x3c90bc0aU,     0xa3a281a1U,     0x2a8dad9cU,     0x32a49314U, \
    0x372442b8U,     0x0214b1c9U,     0x9d296208U,     0xc43a44b1U, \
    0x9840a969U,     0x2d9a4937U,     0xe14838deU,     0xcd43800bU, \
    0x825f2f95U,     0x3560af83U,     0xa40d14baU,     0x0efd112dU, \
    0x05dcdf92U,     0xbbd66010U,     0xf895ba2fU,     0x9d54c58dU, \
    0xa7deef31U,     0xec00a763U,     0x9a759626U,     0x7452181bU, \
    0x40c045aaU,     0x324aa63cU,     0xc5f694e1U,     0xb2d96289U, \
    0x71a5d150U,     0xc71a4adbU,     0x9cca4edbU,     0x9ddb50d2U, \
    0x7a22e251U,     0xf8e26499U,     0xf8d01d99U,     0x16053c81U, \
    0x80c834beU,     0x0ed60912U,     0x76ed446fU,     0x663c63efU, \
    0x1b5d327fU,     0x526cc559U,     0x2c8868a0U,     0xf42f2c00U, \
    0xffc01862U,     0x0d255a20U,     0x014a04c9U,     0x3783a5eaU, \
    0x14a8c4d2U,     0xc382bf52U,     0xc86946e0U,     0x24a23360U, \
    0x0490d2f1U,     0xe6d65676U,     0xad894a48U,     0x7347b806U, \
    0xb7d375efU,     0x8b5b3373U,     0xe53f7da7U,     0x74a0af69U, \
    0xa1c02693U,     0x661b82fcU,     0xb4985dfdU,     0x56c683feU, \
    0x7d1253b9U,     0x6bcb7c1fU,     0x2bafb017U,     0x14b5a0c4U, \
    0xc16b3921U,     0x2682b8f2U,     0x06ef7fbaU,     0x49730fc4U, \
    0x2389b896U,     0x14b3521fU,     0x8bb889f4U,     0x49979866U, \
    0x9bf4711eU,     0x4f5cb5dbU,     0x99873b62U,     0x177cbbf2U, \
    0x32dd5d5fU,     0xd6e5af46U,     0xe8edab6aU,     0xdbb6c501U, \
    0x8e6b29cfU,     0xfe0266b7U,     0x6d024219U,     0x8ea2502bU, \
    0x6b4c8daaU,     0xf320efc6U,     0xd5ed9e9bU,     0x1448abe3U, \
    0x9f8f1dd2U,     0x65ebfc94U,     0x0f5fc567U,     0xbe3ab536U, \
    0x0f9bf994U,     0xc56bec63U,     0x53cfe735U,     0x875988ebU, \
    0xa0e121dbU,     0x83de7ecfU,     0x5399aea4U,     0x0035a3f8U, \
    0x25f93c40U,     0x151fc19cU,     0x8dc2a711U,     0x581ea25fU, \
    0x9a7cec50U,     0x12e3ddd6U,     0xfdb74008U,     0x5ab88919U, \
    0x5c04223dU,     0x9c3431d9U,     0xf4108bc6U,     0x9824fa36U, \
    0x1219e959U,     0x13c49a37U,     0x173dacb5U,     0x145bdd47U, \
    0xe84206faU,     0x71076eb4U,     0x407352dcU,     0x78211e9aU, \
    0x4d965523U,     0xe3d57899U,     0xfc3af3bbU,     0xd829920bU, \
    0xb0ac8ecfU,     0x3f61c3fbU,     0x7040593dU,     0xa1c2e04eU, \
    0x470c34cdU,     0x013bc4a6U,     0x7bb53d78U,     0xfa6e1bfeU, \
    0x2a7ab8a7U,     0xc6fac2ccU,     0x39ff6752U,     0x4b993aa1U, \
    0x34a16dfcU,     0xe2591254U,     0x6e6e1fb7U,     0x8764723aU, \
    0xc18ae0a2U,     0xa2ce35eaU,     0xc5e625d8U,     0x27e267bdU, \
    0xb031e4e9U,     0xdf60062aU,     0x6978c051U,     0x8acfc16aU, \
    0xa78b658fU,     0x9e92c56aU,     0xcbee556fU,     0xead9f5faU, \
    0x68a581b2U,     0x3f8862bdU,     0xc9be31b3U,     0x089a4895U, \
    0x77b95da7U,     0xe6205093U,     0xb6a59362U,     0x6496ac3cU, \
    0xd3c7342cU,     0x2fd784a5U,     0xc7809736U,     0x5ce9d283U, \
    0xc069ce5cU,     0x6c99c9d7U,     0x8acc810dU,     0x2eb4c92eU, \
    0x5bb4ba01U,     0x301e199bU,     0x6cd21003U,     0x5b2a2814U, \
    0x33e45d0dU,     0xa10e9e7eU,     0x3b5926edU,     0xd0b37a16U, \
    0xe04bfe90U,     0x68568889U,     0x9e819e4dU,     0x6662b881U, \
    0x02b1891eU,     0x323fbd10U,     0xaaf8b691U,     0x96ac12d0U, \
    0xc5350735U,     0xe0f56915U,     0x7466b8d6U,     0x9b9c339aU, \
    0x8f08e733U,     0x65002e4bU,     0x13401984U,     0x284a38c7U, \
    0xa074da05U,     0x6bbe2251U,     0x079cb780U,     0x1a7d07f3U, \
    0x3fc295d9U,     0xfb593455U,     0xfa7bdf2eU,     0x827fef37U, \
    0x0fe50f4fU,     0x560db04aU,     0x686f67efU,     0xbb543014U, \
    0xf95924f9U,     0x106865e0U,     0x0a6e380fU,     0x458eb990U, \
    0x7470aaebU,     0x1be4381bU,     0xd92f5e57U,     0x866c0ff4U, \
    0x2ebf2f97U,     0xd04dc47eU,     0x271cd65fU,     0xc29cfd14U, \
    0x72c79f28U,     0xb652072cU,     0x82f356a7U,     0x4a101244U, \
    0x5740fa2eU,     0x1c4d7cb1U,     0x3df4a538U,     0xe5974f82U, \
    0x1a00576bU,     0xfbb21e04U,     0x244c8137U,     0x25a0b92dU, \
    0x14ce401eU,     0x6d714456U,     0xe8ee29daU,     0x1ba7ee5cU, \
    0x4753ca00U,     0x062a008bU,     0x4437d04aU,     0x3740e965U, \
    0x94590621U,     0xb0cf9b81U,     0x03805525U,     0xe5bf30c1U, \
    0xc7ee5d4fU,     0x953f70abU,     0x6b0ffea5U,     0x256641c6U, \
    0x8e1a220aU,     0xd3d9c568U,     0xb2d4f24dU,     0x3b4b42c5U, \
    0xff7eed53U,     0xe19bc539U,     0x1f8ea2e7U,     0x09be02d0U, \
    0xdf4506e9U,     0x0fd4a3adU,     0xe01b3ba0U,     0xab136ebfU, \
    0xd6af6f12U,     0xbd0aed05U,     0xad2f474dU,     0xd029e57eU, \
    0x79c934d6U,     0x9fbe466bU,     0x17db33f9U,     0xf4470e9dU, \
    0x331cee4bU,     0xe98f9b82U,     0x264905a1U,     0xdff32382U, \
    0xb2d82928U,     0xb1f69479U,     0xa5df241dU,     0x5c9969eaU, \
    0xf82974e2U,     0x47a705deU,     0x7bf44819U,     0xc850ea9eU, \
    0x4c3ec93bU,     0x115249fdU,     0x417246c7U,     0xa98e2f3fU, \
    0x1a5ba30fU,     0x22f71090U,     0xa3afcda3U,     0xd97af8ffU, \
    0x41226bb6U,     0xffb0ad9bU,     0xd2549ba3U,     0xffbd6310U, \
    0xcb71d8eaU,     0xfe25a594U,     0x89531d03U,     0x85472f38U, \
    0x1e922366U,     0xa9ea023aU,     0xc2b79aaeU,     0xf0ccb286U, \
    0x6f45b816U,     0x1ede7104U,     0x00c2ca79U,     0x25ec286bU, \
    0x93484b8dU,     0x3d3324ccU,     0x55f3f384U,     0xd9990b34U, \
    0x57c31bf3U,     0x96b4ece4U,     0x3e33b7f3U,     0x593f5e4dU, \
    0x3b5f12e6U,     0xc9d22621U,     0xd85ee622U,     0x8f723080U, \
    0xa2180f55U,     0x122cc4aaU,     0x56204bc8U,     0x0b7d1b86U, \
    0x9bf1e32cU,     0xd3a5b7c5U,     0x4d76c187U,     0xcc018ab8U, \
    0x35f98eddU,     0x282c8a0bU,     0xc018a1ebU,     0x8d9dfc97U, \
    0x9f0dd0dbU,     0x651f183cU,     0x1a91316dU,     0x5e7b6a04U, \
    0x6ec69868U,     0x0e820164U,     0x6671de3bU,     0x51e9a5a1U, \
    0x22543ec4U,     0xeadd64b5U,     0x29bae624U,     0xa573777aU, \
    0x78636b58U,     0xf036b9a4U,     0xcdd49bf7U,     0xf6fc0710U, \
    0x11eac3a4U,     0xbcb228b2U,     0x1908b21aU,     0x2e0e738eU, \
    0xe309c989U,     0x0e537dcbU,     0x7adcc0e0U,     0xf2b2b7beU, \
    0xa187ef97U,     0xd1ccf978U,     0xab637784U,     0x7a06fcc2U, \
    0xaa4c6ceeU,     0x268f131bU,     0x5ca54e6cU,     0x353a0cf7U, \
    0x8b850076U,     0x030a1961U,     0x6d8b994aU,     0xa6c00991U, \
    0xd0b4edc2U,     0x6007cc7fU,     0x28f5dbbdU,     0x1f045c33U, \
    0xf1903f3dU,     0xaab1375aU,     0x70fd3046U,     0xb3e90e98U, \
    0xb08e6316U,     0x9c7c0bc9U,     0xc2cc0e24U,     0x8a7f383eU, \
    0x91d1cf6fU,     0xd369ff6eU,     0x54170571U,     0x0df476a1U, \
    0xc8c1e10dU,     0xfc325d9cU,     0x72f1e052U,     0x47bd0ed6U, \
    0xce3fb952U,     0xa28a7dc4U,     0x8feaf6f3U,     0xf8e99791U, \
    0x09462ba0U,     0xe98f278aU,     0xac47ae44U,     0x92801aacU, \
    0xba40cd80U,     0x876badc8U,     0x29ee4b9fU,     0x99026cb7U, \
    0xdd32adbdU,     0x30f0d5bbU,     0x067cee9dU,     0xe74323adU, \
    0x851f0783U,     0x0522eb00U,     0xa22e0aa0U,     0x9a89bba5U, \
    0x9b6e9c5cU,     0xa9b66105U,     0x1d1cfdb2U,     0x02dfce39U, \
    0x0afc60b2U,     0xcad42764U,     0x6a74fc0dU,     0xf980368dU, \
    0x22108801U,     0x86a6c881U,     0x8534190cU,     0xdf5cac60U, \
    0x7dcd9017U,     0xc883d699U,     0x22146ed0U,     0x78c7d7a8U, \
    0x6b1df3a7U,     0x5bee5175U,     0x3973a5baU,     0x7f08c678U, \
    0x2dbcb21cU,     0xd2911f6cU,     0xd31da232U,     0x85692db8U, \
    0x31f35b4bU,     0xdb2afe70U,     0x18c99485U,     0x24685fa7U, \
    0x1b67ee90U,     0xe5ce50d5U,     0x5df2c4e0U,     0x17146376U, \
    0x65915b71U,     0x31e341ddU,     0x791b5c23U,     0x63281a93U, \
    0x7aeaf4c1U,     0x825c3405U,     0x889726baU,     0x02e1f779U, \
    0xe0b91530U,     0x175fc3e5U,     0x976874c6U,     0x2684f994U, \
    0x7e2ed89bU,     0x9b0d4d0eU,     0xd8a851fbU,     0xf9016436U, \
    0xb468dd6aU,     0xc33d48d8U,     0x00e435d7U,     0x4c510782U, \
    0x23df6442U,     0xdc576977U,     0x4f275696U,     0x5526b7faU, \
    0xa324e774U,     0xe33413faU,     0x6234e0f3U,     0x0a2622e4U, \
    0x7823ac28U,     0x0abbdb2dU,     0xddcddebcU,     0xc79cf418U, \
    0x27b2ac7fU,     0x6c28bb44U,     0x973e1c13U,     0x461d90f2U, \
    0xfb69a1c8U,     0x1529e350U,     0x5630a2a9U,     0xa0dca7bdU, \
    0xf7c2df63U,     0x1d57aaccU,     0x411fbed6U,     0x0bb20849U, \
    0x288799faU,     0xabb07469U,     0x28867138U,     0xd4440a40U, \
    0xcd7f461bU,     0x79e012ecU,     0x761d193bU,     0x288a9d5fU, \
    0x791d923eU,     0x9c14cadaU,     0xc740eb10U,     0x2e2093c7U, \
    0x39378f5dU,     0x3110b22cU,     0xea15e75eU,     0x88c8c067U, \
    0x1379ec0cU,     0xcc28690eU,     0xad9d91daU,     0xb0e7118eU, \
    0x4c687220U,     0xb4a4a702U,     0x783ec600U,     0x087e824aU, \
    0x69b2a702U,     0xa8f4c6d5U,     0x04ca5ae2U,     0xdfd1b424U, \
    0xf83f87e8U,     0xaa6e8e8aU,     0x34170fedU,     0x6280df40U, \
    0x84dc3d47U,     0xbf7c8ff4U,     0x79df4b16U,     0x775f9d88U, \
    0x63f5fd00U,     0x8389dc8cU,     0xd237ecffU,     0x0a9c3a23U, \
    0x81e28a78U,     0x3f317b17U,     0x989d4d6fU,     0x77c80092U, \
    0xefd33397U,     0x851cd0caU,     0x1cc95381U,     0xc14dc568U, \
    0x828f54aeU,     0xcced84f9U,     0x7183e4fcU,     0xd5eb9fdaU, \
    0xbe3fe7a6U,     0x931b85a1U,     0x0f4332dbU,     0xf674cbf7U, \
    0xb2f7c6d0U,     0xc82d80a9U,     0xd2a657e1U,     0x1c18de7fU, \
    0x4058ad90U,     0xb5894802U,     0x9bc66929U,     0x05d17700U, \
    0x8eff7781U,     0x9b28f0e7U,     0xed21cdf8U,     0x3f4ff9f2U, \
    0x97d066e3U,     0xe1169ea8U,     0x02a2b1bcU,     0x5dbd01f0U, \
    0x3d8bde7cU,     0x440b6bd8U,     0xf071556bU,     0x2437fa38U, \
    0x77228245U,     0x96961c39U,     0xd4d7b7afU,     0x4b11a5ddU, \
    0xff245973U,     0xd8a0f3daU,     0x8b4b509fU,     0xd4cbb75fU, \
    0x0d1f563aU,     0x27b0ad03U,     0xd788c2d0U,     0x8bdafabbU, \
    0x1aa9a45bU,     0x14e5c87eU,     0xd0e38368U,     0x0909e8f4U, \
    0x0d912286U,     0xbea1b840U,     0xc89d799cU,     0x2a1b0924U, \
    0x71976b0bU,     0xa895c03eU,     0x970987ddU,     0xd8f0dcecU, \
    0x4210f53eU,     0x4d5486b9U,     0x8718298dU,     0x9e161043U, \
    0x9722930bU,     0x236d78baU,     0xa514c90dU,     0x302e7a54U, \
    0x00d68a90U,     0x27950b82U,     0x0679c1c0U,     0x8b5a3f76U, \
    0x9343591dU,     0x7f851a50U,     0xbfd7ac6fU,     0xcec61bb7U, \
    0x9ddc68b1U,     0xb1625e5aU,     0x67f3b8faU,     0x6d2e4e17U, \
    0x0bb327c7U,     0x5445ba60U,     0x542c606fU,     0xcab346a9U, \
    0xa4bdc185U,     0xae6389c0U,     0x47754ba1U,     0xcdd217d0U, \
    0x48c3b97eU,     0xbee78e92U,     0x2f709917U,     0x7578083dU, \
    0x3d17c91fU,     0xde2d0a0dU,     0xdeaa0364U,     0x29723c65U, \
    0xef9e28b1U,     0x74274c8fU,     0x77935d13U,     0x3553caa8U, \
    0x8540941aU,     0x3eadc488U,     0x277e451eU,     0xaecfbfedU, \
    0x4b429236U,     0xe9378a51U,     0xb3b04154U,     0x607acae6U, \
    0xe76e9418U,     0xca665fbbU,     0xb7776b71U,     0xd9ef94ebU, \
    0x244cdafbU,     0xcd900e34U,     0xa2df2868U,     0x446b0d99U, \
    0x2e25b8b8U,     0xc00d9be4U,     0xcc3a6318U,     0x44889d07U, \
    0x3183f0f9U,     0x4aeed22dU,     0xe2fc60a1U,     0xde905f07U, \
    0x601047c2U,     0x8c4348ddU,     0x9eabfbcbU,     0x2dc572c0U, \
    0xa728b5cbU,     0x18a468c7U,     0x61dd931aU,     0x561fed45U, \
    0x78311b7eU,     0x7c676541U,     0x2b1101abU,     0xcc9e8835U, \
    0x3e9bea53U,     0x6a2a3218U,     0xcfdee403U,     0xd8735e09U, \
    0xaa0ec9ebU,     0x0da0d71dU,     0x0545a492U,     0xea08342fU, \
    0x86a45217U,     0x1b216690U,     0xba6d9d96U,     0xded117a5U, \
    0xdd870d6cU,     0x73d5e1b5U,     0xeb73bed2U,     0xb3f02671U, \
    0x6639488cU,     0x5abd467eU,     0x218ec663U,     0xc3ecbaa9U, \
    0xad2a4af3U,     0x9edefa03U,     0xc0a7bd09U,     0xc183b733U, \
    0xaec13370U,     0x1b3f4424U,     0x3d8f470bU,     0x32979778U, \
    0xe6fac772U,     0x26badc1aU,     0x5e95d239U,     0xb680a33dU, \
    0x6d61e71cU,     0x4bd8c34cU,     0xe844af85U,     0xfbdada35U, \
    0xb6757903U,     0x72cf23dfU,     0x9e412521U,     0x8ab08046U, \
    0xfb770faeU,     0x955c6bdbU,     0x1ebd3d8fU,     0xda5b690fU, \
    0x9a615215U,     0xd282da16U,     0x349b5104U,     0xee7851d6U, \
    0x7f752c8aU,     0x8012a633U,     0x621c14a5U,     0x46abfc7dU, \
    0x836dbc11U,     0x7913ce3bU,     0xdd9f6400U,     0xf900f3ddU, \
    0xe101bd94U,     0x4eb38266U,     0x4eb6844aU,     0x8024107cU, \
    0x324fe7bfU,     0xa77db801U,     0x02674559U,     0x52df86f5U, \
    0x44b120f1U,     0x674f62ffU,     0x356ede0eU,     0x8e0d5730U, \
    0xf902c086U,     0x5e86ae36U,     0x2f23d32dU,     0xa4a8ad7dU, \
    0x1c20f665U,     0x35136cc9U,     0x8c4008bfU,     0xed5a544bU, \
    0x300457b5U,     0x67a731c9U,     0xdc4b475cU,     0x87c85e40U, \
    0x9416c4deU,     0x1451a06eU,     0xf3ca339aU,     0x1a89c420U, \
    0x1d42e38fU,     0x36f1285dU,     0xbe27503dU,     0x96b76285U, \
    0x5f29b54cU,     0x9dec7729U,     0x5596e776U,     0x89960f01U, \
    0x3d69952eU,     0xa511d825U,     0x53d08c04U,     0xc942f8b9U, \
    0x4ff92d6cU,     0x311028e9U,     0x24f470b6U,     0x68e4c9dfU, \
    0xced32649U,     0x534f4635U,     0x9b543bbdU,     0x72da2670U, \
    0xa5949270U,     0xaa919a7eU,     0xc537cefcU,     0x064a96a4U, \
    0x6f098010U,     0x6f2bcdf4U,     0x10d5014eU,     0x29722569U, \
    0x91ea9310U,     0x5b9654c5U,     0xb45cfe6bU,     0xb9d8abedU, \
    0x4470e82fU,     0xe08aff10U,     0x2eb910a1U,     0xa3d2b477U, \
    0xceba9427U,     0x50c60ce4U,     0xa62c18e3U,     0xe2ff2eb8U, \
    0xbebc5cb7U,     0x71ee3e1cU,     0x1d74bf8aU,     0x3ef500fcU, \
    0x77312853U,     0x42eecb16U,     0xc00dcd66U,     0x93a5b662U, \
    0x914237ccU,     0x1ccf8ad7U,     0x8a94ccbfU,     0xbaca1406U, \
    0xa87b462bU,     0x393b18d9U,     0x9646624eU,     0x3f7aa046U, \
    0x3125fd28U,     0xb5054416U,     0xdfbb4069U,     0x13fab703U, \
    0xe2c44d53U,     0x1214a3f7U,     0xd5ea7d88U,     0x97aedfa2U, \
    0x57c1220eU,     0x20cce650U,     0xf4e964b6U,     0x750be3a0U, \
    0xcb0dd0f6U,     0x8619d7b1U,     0x08385a65U,     0xfb3a90f4U, \
    0x8ba36c5aU,     0x6ef1e135U,     0x1ef9254fU,     0x2d796a7eU, \
    0x4018a647U,     0x871612aeU,     0x55cd5cc5U,     0x9cea8de8U, \
    0x3938171eU,     0xe6546ef5U,     0x0764349aU,     0x99929cd4U, \
    0x460cba43U,     0x968365e0U,     0xfe076b1cU,     0xb994f5ebU, \
    0x1d37c787U,     0xf6b1e469U,     0x3294d470U,     0x4285ca9bU, \
    0x6af6dba6U,     0x03e4ed88U,     0x43f388a4U,     0xcd76e253U, \
    0xc738d5f6U,     0xf2094deeU,     0x85f00d6bU,     0x07474cdeU, \
    0xd75912ebU,     0x2a6bea9cU,     0x69c422f8U,     0x730dd5cbU, \
    0x326b2498U,     0xc1f91a6eU,     0xc59c4168U,     0x271257acU, \
    0xcfdf428bU,     0x4f0e8779U,     0x812b2285U,     0xe31821c6U, \
    0xae782328U,     0xc38eb24dU,     0x15070540U,     0xfab8ff43U, \
    0xe49a281cU,     0xb7d48ceaU,     0x41908f61U,     0x245e4f93U, \
    0xb3b4670aU,     0x3d2a560cU,     0x15a15953U,     0xc54c7b94U, \
    0xe705ddcbU,     0xb61904d5U,     0x14de79b8U,     0x79c595ebU, \
    0xf03077bdU,     0x4a9b4f87U,     0x243829d3U,     0x7a6dfc27U, \
    0x5b587dd4U,     0x4d661d0fU,     0x2ec093c6U,     0x027a383fU, \
    0xed4e6cbcU,     0xb0875786U,     0xc570f941U,     0x19b466aeU, \
    0x8398f8faU,     0xf44f79f8U,     0x2fa6cfdbU,     0x33d63226U, \
    0x98c8735eU,     0x00681892U,     0x13dd6fe4U,     0x58262273U, \
    0x40fb2a71U,     0xfd599f1bU,     0x35efaaffU,     0xdb4074b5U, \
    0x68602897U,     0xbc2dec71U,     0x935f6613U,     0x32b2286bU, \
    0x8f034b1aU,     0xac45aff6U,     0xd1708344U,     0x0efee1dbU, \
    0x62954ffdU,     0x6ef645b6U,     0x32d9727aU,     0x442d3adfU, \
    0x9a0d3fc4U,     0xaaca331aU,     0x9df63fcbU,     0x4532b534U, \
    0x4b0e5e42U,     0xcb8f445aU,     0x5c21ab4cU,     0xcaa2b40eU, \
    0x56468c52U,     0xd23fb0fcU,     0xa40f849aU,     0x4a232cd1U, \
    0xe6b3b283U,     0x9ab8de97U,     0xbba513b5U,     0x162545b0U, \
    0xba1bd6d7U,     0x4b4627f7U,     0x0d247fd3U,     0xb2a767b9U, \
    0xeaa2de61U,     0x166f04a7U,     0x80b21b43U,     0xbfdf0876U, \
    0xf8a9e19bU,     0x9f1ff83cU,     0x3c0848c7U,     0x0dcdc279U, \
    0x2523dfdbU,     0xca7dd2b5U,     0xa01b6761U,     0x9c614d75U, \
    0xcb1169b8U,     0x492910edU,     0x187daf6fU,     0x9bba503fU, \
    0x292724b6U,     0x240f96fbU,     0x8cebdb48U,     0x02af2e5eU, \
    0xdb595729U,     0xc4bed75dU,     0x25ff8f21U,     0x319ac107U, \
    0xe53e9b66U,     0x86355eaaU,     0xd8ac90b5U,     0x8bc70c4fU, \
    0xd77d392aU,     0xb8a17724U,     0x3b4bbf3eU,     0xbd6ade5fU, \
    0x39e43be9U,     0x42490191U,     0x06fad706U,     0x6eab8277U, \
    0x653afedbU,     0x29d68facU,     0xa62955ffU,     0xb6eca400U, \
    0x626b6b59U,     0x949d5ca0U,     0x12ae55c8U,     0x11bcd5f6U, \
    0xa35c783dU,     0xd058f7a1U,     0x05789ea6U,     0x68b7fbd5U, \
    0xfc4f3fd7U,     0xa70d6257U,     0xe41956bcU,     0xcefecc88U, \
    0xf7541c1cU,     0x463ce2c3U,     0xd92ef5e8U,     0x0b6212d0U, \
    0x4d7839eaU,     0xb4ad767aU,     0x2297ed35U,     0xa8fbaed1U, \
    0xbe512320U,     0x99400810U,     0x8fc6587bU,     0x3af96177U, \
    0x3ea582b3U,     0xd1c206c0U,     0x34810eabU,     0xdbf2d6aaU, \
    0xe2b23b89U,     0x3a1bd62cU,     0xbeb145f0U,     0x5328f7dbU, \
    0xb2c5b47dU,     0x0d0ff0f0U,     0xdb0da498U,     0xae298c81U, \
    0x9cffd199U,     0x4c2625afU,     0x8c7568e1U,     0x89de13bfU, \
    0x3553dca0U,     0xc7d38125U,     0xaaf71d45U,     0xabd4408fU, \
    0x27f487ccU,     0xeb94d74fU,     0xacdcf73eU,     0x082ca2d5U, \
    0x1a983f15U,     0x208360caU,     0x812b0e03U,     0x4464e2d1U, \
    0x2c597520U,     0xa8954b8dU,     0x53b5f680U,     0x1820fa4fU, \
    0x8cbf47e5U,     0x0bc98307U,     0x5f6a3b95U,     0xb84450b7U, \
    0xc2dafb97U,     0x18ee836fU,     0x23e3f8a7U,     0x80f75499U, \
    0x80d4d3e0U,     0x1ded3c1fU,     0xe7ac5f3bU,     0x33e2026eU, \
    0xb4d279e6U,     0xd4646fabU,     0xfacc19f3U,     0x9db4418bU, \
    0xd689c7c8U,     0xb984a655U,     0x6bfd0d70U,     0xcfc97159U, \
    0x5e6f0d55U,     0xf2f12201U,     0xb6aaa65fU,     0x2839a604U, \
    0x5b05b11eU,     0x44de6371U,     0x2d2ff2bbU,     0x530bcf84U, \
    0x0573a563U,     0x15ffc25cU,     0x3ba79010U,     0xda17902fU, \
    0x1960018fU,     0xfca9965aU,     0x746a8e88U,     0xf732d2a4U, \
    0x13cb226aU,     0x2d2294a5U,     0xeacebc35U,     0x4e7d263cU, \
    0x305808d4U,     0x74cd50bdU,     0x823274f5U,     0x3538a881U, \
    0xe877be6aU,     0xbc23a01eU,     0x088ebab5U,     0x821d7b75U, \
    0x5218280eU,     0x4e176611U,     0x72433365U,     0x0e0dd7d6U, \
    0x33d34801U,     0x3fd202cdU,     0x60142a46U,     0x38577107U, \
    0xe44fd0d7U,     0x47c10e60U,     0x2dff6683U,     0xab660080U, \
    0x4bd2a4d3U,     0x6565672aU,     0x8f6106c3U,     0xd973e6c6U, \
    0x6bc2650bU,     0xeab57fe3U,     0x57b65105U,     0x8465f29cU, \
    0x11b19adeU,     0x606b230dU,     0x8c5634e2U,     0xffa6528cU, \
    0x81c0911aU,     0xcf5846feU,     0x7f6e5b69U,     0xd97603d2U, \
    0xd07a8307U,     0xe0e092eaU,     0x17521dc1U,     0x6bd9092aU, \
    0x44ce41cbU,     0x869c3855U,     0xb187e59dU,     0xd5eee58eU, \
    0x19828719U,     0x67a5d4f3U,     0x967d82ceU,     0xbc24fe4aU, \
    0xfba1248bU,     0x7cf51844U,     0xffc13a53U,     0xa686485aU, \
    0x893008f2U,     0xc119f805U,     0x1d2ffbc6U,     0x08848c4aU, \
    0x9c5d93ebU,     0x41e17f20U,     0x431e473eU,     0x8e52cc83U, \
    0x46a5d2a0U,     0xcd77546dU,     0x1e002e4bU,     0x7be9fb1eU, \
    0x36fbf772U,     0x751c6503U,     0x055d4106U,     0xc4bcd127U, \
    0xa6a4096eU,     0x190519abU,     0x1948de58U,     0x66769a1dU, \
    0x607fd57dU,     0xa2cb0e41U,     0xb461fad3U,     0x02aac7c2U, \
    0x6308ec98U,     0xe343dccfU,     0xf4180516U,     0x004dad12U, \
    0x175c4c83U,     0x8823bb20U,     0x8d4ee280U,     0x368b05b9U, \
    0x2a3cfd31U,     0xa2ae9c21U,     0x099d4315U,     0xe3b529a4U, \
    0x4e9de160U,     0xe11635b7U,     0x8830791aU,     0x55efb03aU, \
    0xc85cbf11U,     0x28e49ce9U,     0x8a2034d9U,     0x20edae6fU, \
    0xfd8d50b1U,     0xc1f61b24U,     0xad655d3bU,     0x81f29d02U, \
    0xd00601b5U,     0x96b413b6U,     0xf2b3c3ecU,     0x6865f2a7U, \
    0x8c0ca480U,     0x578ec3bbU,     0x235a126fU,     0xef3c9730U, \
    0x48f69ae0U,     0x1fa048ebU,     0xe5b249fcU,     0x9fb309f4U, \
    0x626a28e0U,     0xde2c7239U,     0x560166fdU,     0x8a8cedf6U, \
    0x35764367U,     0xc54d5342U,     0xc984d5f1U,     0xd48013b6U, \
    0x8da4b83bU,     0xbbf8f069U,     0x2e184433U,     0x9bb1550fU, \
    0x26ae6c17U,     0x9ef28b76U,     0x444add76U,     0x37ae133cU, \
    0xf5ef7217U,     0x0a97dc89U,     0x38c336aeU,     0xb2379651U, \
    0x66cd12cdU,     0x7e2955a3U,     0xba000b6aU,     0x11388dd3U, \
    0xc3e44234U,     0x2b45a141U,     0x2ead2e61U,     0xb8ee24c7U, \
    0xc30e523bU,     0xe40cefd7U,     0xdab38370U,     0x22b79818U, \
    0xab752613U,     0x61ac4134U,     0x7dfed0e3U,     0x6e22a436U, \
    0x5a8d915dU,     0x9ffab7b6U,     0xcf1162d7U,     0x431c51b9U, \
    0x710a41d1U,     0x32f0ae70U,     0xe6286ce2U,     0x711c57d4U, \
    0x4483ceedU,     0xc02580abU,     0x0d668160U,     0x32dadd78U, \
    0x5b16851bU,     0xcf42a326U,     0x73955ad3U,     0x229a4183U, \
    0x9379c57eU,     0x12f5c4cdU,     0x62ae3832U,     0xf60f3706U, \
    0xefc56197U,     0x3e626c48U,     0xfd94c583U,     0x77d7775aU, \
    0xb8d3a309U,     0x5cddf78bU,     0xbdccd0eeU,     0xcb1e400bU, \
    0xd097813bU,     0xefd48f6fU,     0x2f40fc91U,     0x1fd4fd56U, \
    0x8c33995fU,     0x9d1118b0U,     0xba9a764bU,     0x8aedbbb7U, \
    0x738040b6U,     0x210beab3U,     0x015af89dU,     0x0ecc176dU, \
    0x9a82ec95U,     0x0d8fab43U,     0x6f1ddb1dU,     0x294ee274U, \
    0xfb0a38f7U,     0x40f83991U,     0x17d74e14U,     0x54191823U, \
    0x9f68d298U,     0x79e86d16U,     0x0aa04864U,     0xcf0e7c66U, \
    0x05fe5b6aU,     0x28604126U,     0x4e620161U,     0xa3b7a033U, \
    0xe7a8111eU,     0x9b696c59U,     0x159a34fcU,     0xf134a694U, \
    0xacfb4c15U,     0x30c95585U,     0x8c358e8fU,     0xba2725d2U, \
    0xd9143900U,     0xcdf91a25U,     0xa262e0e4U,     0xb9ced615U, \
    0x4ada6598U,     0xe42ee270U,     0x0d21fa1bU,     0x3dfc547fU, \
    0xcdc4216dU,     0x71fe7647U,     0xd3946298U,     0xf2d254c2U, \
    0x6598d46eU,     0x173f5ae7U,     0x288e26d3U,     0x0d937199U, \
    0x739a0b7aU,     0x70ce34caU,     0x3300fb7aU,     0x556cd309U, \
    0x6627504aU,     0xa8e8b6afU,     0xbbc7a917U,     0x38e2b2fdU, \
    0x3ea96135U,     0xc4869768U,     0x13fb264fU,     0x1ac60b4cU, \
    0x34a77fceU,     0x3147fbd1U,     0xf42035d6U,     0x585cb423U, \
    0x935768a3U,     0x46074589U,     0x7d2c9013U,     0xd47a04cdU, \
    0x523a5945U,     0xb085f8c2U,     0xad7efc8aU,     0x4b23d30fU, \
    0x68d78a78U,     0x97f111caU,     0x1e0610feU,     0x705c5128U, \
    0x0fea04a0U,     0x43cc6e9eU,     0x51a5cfa3U,     0xe7598aaeU, \
    0x34d8ac18U,     0xde2b5184U,     0x3ec53d11U,     0x75586fe8U, \
    0x3c0ca229U,     0xac556b4bU,     0x77262816U,     0xe1452c3cU, \
    0x7c9e278fU,     0x315582cbU,     0x77f16411U,     0x6b4bb9f2U, \
    0xfa5d2845U,     0xeea08083U,     0x39edd944U,     0x64021e09U, \
    0xcb7aa1d8U,     0xc175a970U,     0x443123e8U,     0xd3421b56U, \
    0x82fa71e3U,     0x87c2e93fU,     0xd1ad5718U,     0x1148f40aU, \
    0x09d974d2U,     0x87c26dbaU,     0x78bb577fU,     0xe4c0cf56U, \
    0x76bb6d6eU,     0x6d84e45dU,     0x3b649b07U,     0xb5837744U, \
    0x370243a9U,     0xdcdaa062U,     0xf2ed8bacU,     0x269e87daU, \
    0x2a52fb6fU,     0x0b6ceec5U,     0x946458ffU,     0xff233e18U, \
    0x778c56b8U,     0x797bbdc6U,     0x0634ffa1U,     0xda030ef0U, \
    0xe40ba47aU,     0x8c0bd3baU,     0x41b5a20dU,     0xb6b9efc3U, \
    0x9e3675a4U,     0x7faf316eU,     0xa88adbaaU,     0x7a656f78U, \
    0x2455e523U,     0x65d5565bU,     0xb2de9f88U,     0x1afeac41U, \
    0x55dcee55U,     0x756fa177U,     0x56045aabU,     0x01d6609dU, \
    0x533d030bU,     0xe130b420U,     0xf83ba7bbU,     0x18b9d544U, \
    0xe5a74dc5U,     0xf01c0b3eU,     0x17b213e3U,     0x623f3717U, \
    0x7513e6c3U,     0x956b7553U,     0xd2583a6bU,     0xdf1a0b97U, \
    0xdf6b8316U,     0x7a4564dfU,     0x24f4e83cU,     0xbba669acU, \
    0x62827ddbU,     0xcbff77f1U,     0x42295933U,     0x73a32444U, \
    0x53a9f68bU,     0x413ab856U,     0xfe142691U,     0xe9cc2b46U, \
    0xfb6e273cU,     0xde46afe2U,     0xe81aa15cU,     0x63bcb8aaU, \
    0xeea634b3U,     0xe80a557dU,     0x1de25defU,     0x052439cbU, \
    0x79038094U,     0x6da4fa6aU,     0xb0bf8481U,     0x4e4e7453U, \
    0x3cc758aeU,     0xc011e27eU,     0x2af230d3U,     0x6bf60ec7U, \
    0x9fa687a0U,     0xcfab8353U,     0x4a7995daU,     0xaf9703d9U, \
    0x27edfe18U,     0x4381cbb4U,     0x20e5fa0fU,     0x781a1425U, \
    0x08e84bf2U,     0x09e9185cU,     0x88733aaeU,     0x20faf6aaU, \
    0xbea72aa7U,     0x65fda150U,     0x87e8b3fbU,     0x31ff87bbU, \
    0x1080dbfaU,     0x44b2fe23U,     0x967563d6U,     0xffd50a3bU, \
    0x8a563a65U,     0xf1733631U,     0x9891cd9cU,     0x5b507697U, \
    0xcf4b45fbU,     0x2b5dcb4dU,     0xe424afdaU,     0xd2d4acd5U, \
    0xd7938edbU,     0x6b98dcfdU,     0x6adc7ca9U,     0x9435434eU, \
    0xdc6475c4U,     0xd7bbfb93U,     0x9c002063U,     0x395e1262U, \
    0x3a56f1cdU,     0xe20f2db7U,     0x869ff8acU,     0xb06b45a4U, \
    0x6dd1eb79U,     0x6b97980bU,     0x43460d42U,     0x5492ac6dU, \
    0x2e77a873U,     0xbcbedbdaU,     0x8b5121d1U,     0x87aa9744U, \
    0xda2b2b35U,     0xc3fd5a6dU,     0x63daf979U,     0x9e554064U, \
    0xb58827d7U,     0xb5c6c661U,     0xaa42f3d5U,     0xdcb14ed2U, \
    0xce7dba68U,     0x93f0baa0U,     0x482de68bU,     0x6a52272eU, \
    0x20cf4e43U,     0xe6aff582U,     0xe14ec839U,     0xe9a1e42dU, \
    0x193d397dU,     0xceaead5dU,     0xa0d5306eU,     0x3bab1e55U, \
    0xc282d822U,     0xa14394b2U,     0xab3cfc0bU,     0x3cbd5dd1U, \
    0xe9893bf9U,     0x90531074U,     0x25c35163U,     0xcc1b0268U, \
    0x4aa7fa70U,     0x69bce618U,     0xeaa3295fU,     0x0ceb3a01U, \
    0x0eaacc1aU,     0xbfb771aaU,     0x346a350aU,     0x3e76ec31U, \
    0x7bd87102U,     0x2438e8abU,     0xcb8e341dU,     0xa0a938dbU, \
    0x4a6a6b17U,     0x591f1eb9U,     0x9995570dU,     0xa22768b0U, \
    0x8615138eU,     0x093e4daeU,     0x34178e27U,     0x0d9c6c37U, \
    0x8bad77cdU,     0xbd9d7dc8U,     0xdec08597U,     0xb39f4507U, \
    0x7fc9cf74U,     0xe0201b6bU,     0xd08edc8cU,     0xac4398efU, \
    0x8b2dca0bU,     0xee21ca65U,     0x27a1c0acU,     0x58dd44a5U, \
    0x1ae8589fU,     0xca992c78U,     0x99164791U,     0x7d298f00U, \
    0xd8494a00U,     0xf7119911U,     0x38542b9eU,     0x58e8b08dU, \
    0x881d8f0fU,     0xc4991b7fU,     0xc459692fU,     0x229fc0aaU, \
    0x3206948cU,     0x1c6d747aU,     0xffd4d4eeU,     0x3f4c671fU, \
    0xf2847e76U,     0xd2c0de0aU,     0xc1f8d9a1U,     0x4deb58b0U, \
    0x9d26d278U,     0xf781fccaU,     0xe982899cU,     0x2d1af3bdU, \
    0xd6d532f3U,     0x9a064cd1U,     0x270406a2U,     0x722dc2ffU, \
    0x1841411aU,     0xac86096aU,     0x1125c374U,     0xe081adbfU, \
    0x3e34fd1eU,     0xeaa6d3daU,     0xe89c8d52U,     0xa9578525U, \
    0xf07122deU,     0x7bef8714U,     0xaf387811U,     0x40383dd5U, \
    0x2e156679U,     0x4c46f71bU,     0x59254070U,     0x3d85bfc7U, \
    0x64bd7099U,     0xd0b1482dU,     0x30939058U,     0x709e265fU, \
    0x29a86cd1U,     0x07b4ff68U,     0xcb780a9dU,     0x99a5e808U, \
    0x057976dfU,     0x6fdbc384U,     0x5e6f63dfU,     0xefa0b637U, \
    0x38879f7bU,     0xc51de8c4U,     0x1bef3235U,     0xdb8836bdU, \
    0x05c433e8U,     0x8ca3e0e1U,     0x50ad81acU,     0x37e7beebU, \
    0x9fe2199dU,     0x98f8b102U,     0xc6a796a1U,     0x30f67644U, \
    0x101ad092U,     0xab4ca2e9U,     0xb815be77U,     0x2472836dU, \
    0x0e19a4afU,     0x5c0e1d35U,     0x57a8665fU,     0xbbf40b1aU, \
    0x15d6b29dU,     0x4f8564eaU,     0xe7411e5fU,     0x8a818dedU, \
    0x55e556d5U,     0x025ef342U,     0x4c03bd39U,     0x3662ab0bU, \
    0xdf4d2bd2U,     0xcfec2d58U,     0x7035043bU,     0xcaf3bb68U, \
    0x9b4e392cU,     0x9f7c0892U,     0xbc4755f1U,     0xae7f869bU, \
    0x99d16bdaU,     0x0e7bd29dU,     0x69127ddbU,     0x2bbdbca2U, \
    0x294787bcU,     0x12157a15U,     0xd0e2d484U,     0x8b4e1f9fU, \
    0x2323d162U,     0xc7b3fddbU,     0xbbeba0d5U,     0x639fd3feU, \
    0x035f60caU,     0xf9326729U,     0x89489f06U,     0x8094587aU, \
    0xbd16ac53U,     0xf2a16ca2U,     0xdecfa03eU,     0x1d74856cU, \
    0x981d1d47U,     0xc2ec52feU,     0xaf9ca83dU,     0xdfdb361dU, \
    0x5a98d4f4U,     0xddb9a34dU,     0x66dfd6d0U,     0x210f01a0U, \
    0xa2068f1dU,     0x6096753dU,     0xb7a6be72U,     0xc1bbb202U, \
    0x403837c8U,     0x0e86e034U,     0x1f7cc4c8U,     0x48e9ed75U, \
    0x204560b7U,     0xb4beaac9U,     0x7514833dU,     0xb287182aU, \
    0x11e544baU,     0xad017107U,     0xc3b0d301U,     0xd28b1729U, \
    0x36c1a96cU,     0xab2aa7f5U,     0xa9939046U,     0x1aa569d8U, \
    0x2b9112baU,     0xd46cf45bU,     0x9458ab09U,     0xfcb19f89U, \
    0x9ac6703eU,     0x6a35a0c8U,     0x96bdc494U,     0x9c81d85fU, \
    0x12a6ffe0U,     0x0685291eU,     0xb323152bU,     0x603f4387U, \
    0xf9ffbd31U,     0xdb4e8969U,     0x8b47c1ebU,     0x157e30e3U, \
    0x4e41f7b7U,     0x72b9fcecU,     0xad9ecbb2U,     0xda8510fdU, \
    0x1d45e03cU,     0x2b691c49U,     0x762c0c9dU,     0x2a5a4796U, \
    0xb2f3999dU,     0x75920d89U,     0xe9e14efeU,     0x8af1716eU, \
    0xd0647786U,     0x0dfbdfa8U,     0x20e1537fU,     0x104018a9U, \
    0xf0cd2786U,     0x0711f863U,     0xa533d79fU,     0xb6fd5a06U, \
    0x70fc0f12U,     0xc50a98b9U,     0x1080d872U,     0xa0507dfcU, \
    0xc76897fbU,     0xc5ce6b1fU,     0xce13a8d9U,     0xa8d8fd99U, \
    0x63ee8fc5U,     0x27892234U,     0xd2be1b7cU,     0xd13c2a79U, \
    0xd5c0add5U,     0xf7ce136dU,     0xefde3fa0U,     0x32af17a3U, \
    0x89ebd5c1U,     0x82fcd21dU,     0xe344a248U,     0x8e76d6c3U, \
    0x054c5360U,     0xff99e822U,     0x166b7936U,     0xe1e79918U, \
    0xc5650f14U,     0x68df87c8U,     0xf3af92fbU,     0xb7bf1095U, \
    0x6f7a0e52U,     0x7f05ca33U,     0x25a58c1cU,     0xc756355bU, \
    0xe3020465U,     0x0155b481U,     0x7c01cfa6U,     0xa6d488eeU, \
    0x72106b0fU,     0x92fee8bfU,     0xe9c0e32cU,     0x1a111d94U, \
    0x14ab157aU,     0x49564bcaU,     0xa48439b7U,     0xb5720cc1U, \
    0x3fa468b2U,     0x870a5931U,     0x17168fe0U,     0x7f1a4f94U, \
    0xb93e444aU,     0x2f5a1525U,     0x1abb90d4U,     0x67ce2006U, \
    0x50df7b82U,     0x33a0e36eU,     0x66c1fd56U,     0x8d03cce4U, \
    0xc097c5f1U,     0x0d0c6d02U,     0x9531af71U,     0x09e9cc54U, \
    0x20c0d937U,     0xe8d3de80U,     0x45a6b91eU,     0x95dbb274U, \
    0x1d172472U,     0xbb471e8aU,     0xa7225749U,     0x321c8611U, \
    0x2e049543U,     0xb7861cbcU,     0x19b657a5U,     0x7d6f3ddaU, \
    0x95969e08U,     0x2bb5ba13U,     0xe369c7e3U,     0x976d4871U, \
    0xd9e494a1U,     0xcb69e676U,     0x30e80098U,     0xa54717d6U, \
    0x10d190abU,     0x296e0bd8U,     0x2ad99c9bU,     0xe9f2b3fdU, \
    0xa06b0c21U,     0x6b01bde1U,     0x8d77d6fbU,     0x1fe30c86U, \
    0x2a02a7b7U,     0xd0a97031U,     0xdd2c8ec0U,     0xfd56f862U, \
    0x38540767U,     0x6dcef225U,     0x61d02032U,     0xf599df52U, \
    0x6649b993U,     0xba539894U,     0x6159ae7dU,     0xc03ea0f8U, \
    0x2860bde1U,     0x1e853215U,     0xf38010fbU,     0x4fc68cf7U, \
    0x44c5ed6bU,     0x8187ace1U,     0x1beb3ba7U,     0x3b657110U, \
    0x862ee944U,     0xeb7ddaecU,     0x02aacc1eU,     0x33d2b843U, \
    0x440199d1U,     0xaf702a7fU,     0x60035af2U,     0x82817011U, \
    0x43f1ca3bU,     0xd173e6b6U,     0xf7fef2cfU,     0x53c25554U, \
    0x6c6f738fU,     0x3562ca11U,     0x67360b23U,     0x389d74f8U, \
    0xddfdfeb1U,     0xa819c35bU,     0x81fc377aU,     0x36976619U, \
    0x30e127caU,     0xf1863da0U,     0x91395355U,     0x17b6495cU, \
    0xcfc62596U,     0xc214df52U,     0xaf973fefU,     0x311e864fU, \
    0x61543408U,     0xe1459ac6U,     0x80205524U,     0x48821e24U, \
    0x3e81d84dU,     0x33b0ea41U,     0x0a412285U,     0x4498fc4cU, \
    0x774afd3fU,     0xe4d0bf85U,     0x5a786646U,     0x182ad080U, \
    0xe51f0952U,     0x597f7ad8U,     0x7f84daf8U,     0x149f5b77U, \
    0x98d5985dU,     0x50c5664bU,     0xa8adf66dU,     0xdd1eca0aU, \
    0x2ec24e9aU,     0x3dd6c0a7U,     0xde6182c2U,     0x8fc8848dU, \
    0xbf84e6aeU,     0x97ea51f1U,     0xa0a0a7a0U,     0x3f5065d4U, \
    0x4f23afe6U,     0x63802344U,     0x7eb85dafU,     0xf4a2cbcdU, \
    0xce48620cU,     0xd14e2f5aU,     0xaf2d4665U,     0x5d186494U, \
    0xe15ef3a5U,     0xdb073510U,     0x16c86cf2U,     0xc05b420dU, \
    0xe817b41fU,     0xdcccfe9aU,     0xc58f8c2cU,     0x9ef1166dU, \
    0x6dcb1952U,     0xdb35da15U,     0xca69f6afU,     0xd03015a7U, \
    0x8f631289U,     0xcc367533U,     0xba48139eU,     0x92ae9c3bU, \
    0x0ce80ee2U,     0xada5aaf1U,     0x3cc46f27U,     0x300ab388U, \
    0x68f17764U,     0xb6d42fa0U,     0xbcd285ecU,     0xf4494ad0U, \
    0x030aee2bU,     0xed465bf4U,     0xa85a3c59U,     0xd47f3996U, \
    0xcbc5c462U,     0x03ae1c00U,     0x7d98ee4eU,     0x2bd723bfU, \
    0xbb579fdaU,     0xd8bcdf9cU,     0xb90e359eU,     0x98a225bdU, \
    0x9ff9be02U,     0x7696043cU,     0x9abcaef4U,     0xf4ddb663U, \
    0x455e9742U,     0xb1f5d385U,     0x7470f6a3U,     0x7ffc106fU, \
    0x2f81ea86U,     0x7c240316U,     0x0b5df574U,     0x37ff52eaU, \
    0x0846f555U,     0x0c5f97d5U,     0x0d4824eaU,     0x7ddd2c6cU, \
    0xcaa2072eU,     0xdacc5be6U,     0x9c196c5fU,     0xc7e5958dU, \
    0x94e0fd62U,     0xc2f04ec6U,     0x79168457U,     0x7d29b2d3U, \
    0xe52c2341U,     0xf4f38519U,     0xfcca38f4U,     0x68184328U, \
    0x4c897721U,     0xd86482beU,     0xd6d315baU,     0xc697a9b5U, \
    0xa5e3913eU,     0x11fbc0caU,     0xe5825752U,     0xee592353U, \
    0xa96ac7feU,     0x99a7e797U,     0x70e9f563U,     0x37884c51U, \
    0x7d63b863U,     0x6ecfa907U,     0x5109401fU,     0x07455b3fU, \
    0x3a7d36e2U,     0x2ce3a773U,     0x7e853609U,     0x7ff150f1U, \
    0xf68fac38U,     0xa9305178U,     0x141b87aaU,     0x24e4cd5bU, \
    0x7086ea70U,     0x9d501c66U,     0xb3a8a4beU,     0x72737f9dU, \
    0x8cb2b45eU,     0x092e5416U,     0x2d1f75e4U,     0x48023eb6U, \
    0xf1c10cadU,     0x193dfd5cU,     0x8b213324U,     0x335a2d75U, \
    0xfe347250U,     0x47303c5cU,     0x8871de31U,     0xf058aa26U, \
    0x9e12bf73U,     0x98022f77U,     0x13fe4dcdU,     0xe8814980U, \
    0x9006ab52U,     0xd3fa8904U,     0xc6441ff4U,     0x535f6e3cU, \
    0x1c6b13ecU,     0x4ebf176cU,     0x328cd5f2U,     0x43d30ee8U, \
    0xc8037f74U,     0xb6edbeaeU,     0x11abdb4aU,     0x8ee614f5U, \
    0x3bd9a32cU,     0xa01586dbU,     0xf7d5a704U,     0x92cda1dfU, \
    0x0e076fc5U,     0x38f72b9fU,     0xf92549abU,     0x09fbdb68U, \
    0xf6efbcd4U,     0xd5a99e1dU,     0xeca98c3cU,     0x303dd6f8U, \
    0xc272b740U,     0x03c16649U,     0x2e04ef9eU,     0xe7b59bb2U, \
    0x51b96755U,     0x37d99a1eU,     0x3c5f86d7U,     0x24d97387U, \
    0xa777e207U,     0xefb4a653U,     0x85413204U,     0x4a20ec5dU, \
    0x696958ecU,     0x5b37a43eU,     0x570e67b8U,     0x5e9c8d2aU, \
    0xa61dc3aeU,     0x313163c2U,     0x70843f15U,     0x9eace3d9U, \
    0x1ff6e2bdU,     0x84b0e049U,     0x1d0989f3U,     0xa27f35ebU, \
    0xa42743c7U,     0x1e9d08c1U,     0xdfb77944U,     0x60bce0a8U, \
    0x0079a4c6U,     0x7e9fb20eU,     0xe787f0e1U,     0x0a0f4a72U, \
    0x12802241U,     0xdc0ecd9dU,     0xab236becU,     0xb73e31efU, \
    0x5209d3f5U,     0x44e59cbeU,     0x2696599dU,     0xadf771d5U, \
    0xef511eeaU,     0xbc7eb477U,     0x13d5d710U,     0xdcddbd9eU, \
    0xeca3c21dU,     0x834fce27U,     0x3ea5c057U,     0x6bb2f550U, \
    0x75e98b5cU,     0x0095f661U,     0x8ebfb524U,     0x4dc5d8a1U, \
    0xd6e9b49cU,     0x4f4fb9e3U,     0x961a78d6U,     0xa8e7be2dU, \
    0x88a35395U,     0xb70d60d8U,     0x028f1882U,     0x9dd19edcU, \
    0xf40b817cU,     0x7438aa28U,     0x7547ecccU,     0x6f742843U, \
    0x3516dadbU,     0x81b958faU,     0x60c69d39U,     0x27248e6dU, \
    0x499580f6U,     0x1ee19550U,     0x4e34fd58U,     0x194b45e7U, \
    0xad2f0831U,     0x77d1a8f8U,     0x57a090e0U,     0xa43069acU, \
    0x85d45068U,     0x00d2fbe0U,     0x4121d591U,     0xe7817511U, \
    0x9af8d644U,     0x3b9a670eU,     0xa11fd4efU,     0x49cd53f2U, \
    0xf5b00a27U,     0x8390b45aU,     0x598c83baU,     0x902d7046U, \
    0x9015c7e6U,     0x8963cf17U,     0x4842dd58U,     0xd4fc536bU, \
    0xdf424788U,     0xee4a21e0U,     0x41d57815U,     0x75780721U, \
    0x4b7b3486U,     0xe738c038U,     0x0666a12cU,     0x215d45f1U, \
    0x6eb541a7U,     0x94c6fbd5U,     0x36f96b38U,     0xaeb1027bU, \
    0xeacf2cc9U,     0x36729371U,     0x5e14afafU,     0x492ddbffU, \
    0x75e78db1U,     0x492ea419U,     0x642eaf42U,     0xa87d7472U, \
    0x87016f9bU,     0x325c33a0U,     0x141c9c7aU,     0x49391b3dU, \
    0x83fa4f02U,     0x091b1bfaU,     0x0f76d765U,     0xf88af5aeU, \
    0x71ec057cU,     0xb512d2c3U,     0x12f28c32U,     0xb07dee1eU, \
    0xf213ff84U,     0x02ed5ea4U,     0xa3dab0feU,     0xb15f44dfU, \
    0xef5f8cc1U,     0xa1f6ab4cU,     0x5f608ce1U,     0xaf0726bfU, \
    0xe517aceaU,     0xe9c32ea3U,     0xf84f1895U,     0xc6e61e74U, \
    0xfd845e67U,     0xf773fc83U,     0x388e4b8fU,     0xa082b22eU, \
    0x91ae9cdfU,     0xee0d3483U,     0xe1467a47U,     0x1d1fd17bU, \
    0xd3863ecaU,     0xb28f7019U,     0xd1845922U,     0x964fa6b7U, \
    0xbebfe53dU,     0x519e800dU,     0x8de481e1U,     0xd41f64e6U, \
    0xa827c662U,     0x5d7d4cedU,     0x9363d50cU,     0xe1abf0ecU, \
    0x3329de59U,     0x9885160dU,     0x506b2f07U,     0x36133a3aU, \
    0x0b362129U,     0x80edb4aaU,     0x604b032cU,     0x4de789e4U, \
    0xeb2e4119U,     0xc7005ddbU,     0x555766caU,     0xe6ce6654U, \
    0x0f6c1ccfU,     0x9b7a4571U,     0x73378e3aU,     0x978dec1bU, \
    0x69b0f10bU,     0x1c1146f2U,     0x89865151U,     0x3744f310U, \
    0xd485d110U,     0xd5acfbaeU,     0x08740643U,     0xa846b58eU, \
    0x7125beceU,     0x33aca2daU,     0x3b754266U,     0xb139e8c7U, \
    0x421d4ea2U,     0xf7b6c691U,     0x2052f692U,     0xb47642d2U, \
    0xd1e5c229U,     0xa4ca035dU,     0xf812bbd2U,     0xe599b7e7U, \
    0x598a5c52U,     0x6d99cb1aU,     0x0322e27dU,     0xdd545570U, \
    0xa102dd01U,     0x280f01ceU,     0xb37a3a29U,     0x8a31f965U, \
    0x5e2836d3U,     0x4fa2b2eeU,     0x35d3de3bU,     0xc34d6ae2U, \
    0x88d383bcU,     0x8f2c6d5fU,     0x5d5ee83cU,     0x1a8706efU, \
    0x164dccd4U,     0x14775782U,     0x6382b248U,     0x6cf8df58U, \
    0xbbd9b1fbU,     0xb268da31U,     0x8409b85cU,     0xed1487c8U, \
    0x7af4e53aU,     0xe0a20a1dU,     0xca17957bU,     0xa6311086U, \
    0xe81bafe3U,     0x3b0099e8U,     0x58c54ca2U,     0x09646bd6U, \
    0x6d09cec3U,     0x8b6caf38U,     0xf00c3706U,     0x212db47bU, \
    0x5156dc14U,     0xfa8c0dedU,     0x58cc6d94U,     0xc8466382U, \
    0x7c82a033U,     0x719b1fbeU,     0xaad6357cU,     0xe56df61aU, \
    0xad4454f2U,     0x5cdb0f35U,     0x7770d3a4U,     0xb5420440U, \
    0x9a317f45U,     0xe0ab4180U,     0xc26912a9U,     0x40cb80b4U, \
    0x8072d6a0U,     0x1518fc93U,     0xa80f67cdU,     0xf6b19574U, \
    0xea68702fU,     0x65dc5bbdU,     0xe55115bcU,     0x6f8cfd18U, \
    0x28c36f43U,     0x7169fbbcU,     0x5a06fabeU,     0x4d49a82fU, \
    0x2702d58bU,     0x7efaa4c2U,     0x7e98b8f1U,     0x374ea504U, \
    0x98383a93U,     0x5e33cd99U,     0xf4b457f5U,     0x44e7f544U, \
    0x577bef35U,     0x68167cf2U,     0x3f7c2099U,     0x6cf6a79dU, \
    0xfca5c2b4U,     0x343e1603U,     0x89f0c238U,     0xeb274143U, \
    0xe50b83c3U,     0x9f50d12eU,     0x39e8be49U,     0x18c83622U, \
    0xd949ff63U,     0xdb11008aU,     0x4bdc70b0U,     0x69ebe445U, \
    0x88b4d042U,     0xbe6a8f53U,     0x3b23ce46U,     0xe70d1f56U, \
    0x64c0e72fU,     0x6eb9e780U,     0x6ed17f74U,     0xb0bfcd18U, \
    0xe48fff24U,     0x767a4bcfU,     0x6434125fU,     0x236a3fffU, \
    0xf8524927U,     0xe7e4d93cU,     0x7250f133U,     0xb9f08b17U, \
    0xcc26b140U,     0xd886fb89U,     0xe8e6c917U,     0x0257ec79U, \
    0x26b1ef5fU,     0xc4080957U,     0x1b44d50eU,     0x1e955766U, \
    0x0111f499U,     0x4c5da5eeU,     0x2c5fcef1U,     0x98d88a5fU, \
    0x85d1b6f7U,     0x1bbc5edaU,     0xa766feb5U,     0x40354c5dU, \
    0x73942b63U,     0xac008f25U,     0x18dae3fcU,     0x5bfb85f0U, \
    0xca3a7ad4U,     0x46b867c8U,     0xe999f1acU,     0xda9104a0U, \
    0x03fdf96aU,     0x494e455eU,     0xbc0e202fU,     0xba9e2e58U, \
    0x71f27b2cU,     0x88910236U,     0xe64f0cccU,     0x27c72b1dU, \
    0x9715f984U,     0x1180244aU,     0x69610274U,     0x41ea4815U, \
    0xc9bdd27dU,     0x1bcc63bfU,     0x429188bbU,     0xe2e1b058U, \
    0xf7f8bac3U,     0xe3ae8b88U,     0x3af8334eU,     0x7383405aU, \
    0x2c4e2b68U,     0x767ffa11U,     0xdfac25d2U,     0xd5569899U, \
    0x0cd5ad89U,     0x9e69eb6cU,     0x5fbee5b3U,     0xc38b58d8U, \
    0x3ded4c7bU,     0x40067c19U,     0x4e2f7cf8U,     0x0fed292cU, \
    0x886332d2U,     0x8aeed0deU,     0x4fc69c8cU,     0x38263effU, \
    0x4fa52300U,     0xde628052U,     0x84abaff1U,     0x7fa79057U, \
    0xc0956b5fU,     0x7c38c6f7U,     0x34527e78U,     0x2bcd487fU, \
    0x3feb27a6U,     0xbabbc32fU,     0x5a8891fdU,     0x7475f28aU, \
    0xc7e41e0fU,     0xe2d70091U,     0x53f77a23U,     0x82569f64U, \
    0x5a2e4461U,     0x3f042140U,     0x2e6e6a0fU,     0x57ce3677U, \
    0xe72547f2U,     0xfdc458d7U,     0xb4d8081bU,     0x0915466aU, \
    0xf1b79c01U,     0xf4c96e86U,     0x0585b36dU,     0x62791ca2U, \
    0x2ec4b6edU,     0x5730150dU,     0x0c52a6f6U,     0x80939875U, \
    0xdb810fc9U,     0x1a9d1709U,     0xd3e1c3a0U,     0x7edab098U, \
    0x68e10364U,     0xc5af6fc7U,     0x312bcd75U,     0x1f5f29cfU, \
    0x8ea2279bU,     0x13d9fee5U,     0xb299f1d8U,     0x0f5f72a5U, \
    0xed7d2c10U,     0xcc45f8e4U,     0xffc7c02bU,     0xb7142832U, \
    0xb54e2ddeU,     0x855f2353U,     0xc075c485U,     0x9152da5eU, \
    0x1958d748U,     0x708dff99U,     0x3f0610ebU,     0x645af706U, \
    0x11d17c60U,     0x240a04f0U,     0xbc4fc95aU,     0x73c3c463U, \
    0xc08456d1U,     0x1040e6aaU,     0xb8f680f2U,     0x49293ddeU, \
    0x6007fd20U,     0xb2c8bcdfU,     0x9fe94870U,     0x3510afb3U, \
    0x1600f52bU,     0xc2ff6da1U,     0xcbb67edbU,     0x5f2b7bcbU, \
    0x0862dd4bU,     0xcfc62853U,     0x01e7aa02U,     0xda210e94U, \
    0x40926459U,     0x9769550bU,     0xc30d3d82U,     0xaaa2e3baU, \
    0xf05b06c2U,     0x1e3b8d8cU,     0xecc9e67cU,     0xee480461U, \
    0x2435fea9U,     0x4b3a9915U,     0x81b35bc4U,     0x170a62cfU, \
    0xa60895b7U,     0x5e80411eU,     0x45dc2384U,     0x7e800201U, \
    0xb4616e4aU,     0x50dc2986U,     0x5671daf4U,     0x9b8c4e77U, \
    0x557b2f99U,     0x87583647U,     0x6d2e105aU,     0xceee6ed8U, \
    0x2f96b306U,     0x1bc2b003U,     0x0fbb6cb3U,     0xca03a0ecU, \
    0xd78e21ddU,     0x75f0438fU,     0x7f1bb9bfU,     0xd5978373U, \
    0xcc964d77U,     0x54c01e8fU,     0xe89a24f3U,     0xa5e6c5a1U, \
    0x90818aeeU,     0xc52e0a9bU,     0x751912adU,     0xd951c2ccU, \
    0x0ce2b0e1U,     0xb60ff540U,     0xa700486dU,     0x27d0ac2bU, \
    0x391c7298U,     0x830ad8bcU,     0xe6951a48U,     0x91a079cfU, \
    0x698e48c7U,     0x17b4acd3U,     0x5a180a10U,     0x9da0467fU, \
    0x652bca86U,     0x67b075dfU,     0x25f80954U,     0xa530e93bU, \
    0x432a640aU,     0x9f6e5d9bU,     0xeeb4b282U,     0x6bcc22fcU, \
    0x7e2f27b7U,     0x3e1f7b1cU,     0xa87960d1U,     0x6953f6bdU, \
    0x90588e91U,     0xcf6085cdU,     0x8114c956U,     0x6956ef7eU, \
    0xb973c89fU,     0xf2803e3fU,     0xc7d5f5f7U,     0xf8e0d4d0U, \
    0x52452f78U,     0x4aeaa5d6U,     0x25fd586bU,     0x0b32f5d0U, \
    0xed09b5a1U,     0x40823e2aU,     0xe39bfe44U,     0xa28507f3U, \
    0xf23b8b6aU,     0xb378ff10U,     0x21d471b9U,     0x28402196U, \
    0x9dc05ac1U,     0x4fa8d044U,     0xf1d4987fU,     0xcb08d584U, \
    0x286d0a4bU,     0xc6066b4cU,     0xe742c2ddU,     0x15692ae6U, \
    0xf816e965U,     0x8dbea06aU,     0x1fdfbeadU,     0x8b106966U, \
    0x54993274U,     0x5ace23caU,     0x266c6269U,     0xee79963dU, \
    0xcfbe4d21U,     0x294e2fa3U,     0xbc9b39a6U,     0xace51903U, \
    0x24f6c215U,     0x8b6bb917U,     0x3aaf3fa2U,     0x81b8d765U, \
    0x73e7970dU,     0x3509f36bU,     0x268cea12U,     0xc2a6294aU, \
    0x703bbbe2U,     0x79e4444cU,     0xef4c424aU,     0x1f83c9a4U, \
    0x6d196c6fU,     0xd8278427U,     0xf7a95d65U,     0x8f2d1172U, \
    0x3fcf6946U,     0x3b9f1357U,     0x67e4d515U,     0x464e8387U, \
    0x629234f0U,     0x1ffe3622U,     0xf3d0eb8dU,     0xfbf7c1fbU, \
    0xb9d61e54U,     0xa5191bdcU,     0xc10294bdU,     0x32511311U, \
    0xd77f8671U,     0x07a24f26U,     0x9b7e1279U,     0xa5456150U, \
    0xc1084e4aU,     0xbe084ed8U,     0x96eaf3aeU,     0xcfa841fdU, \
    0x4b4f1026U,     0x71acfe97U,     0xd35bf03fU,     0x39f80ab4U, \
    0x18264151U,     0xfd50f42fU,     0xb93d468bU,     0xc7944c91U, \
    0x726b9037U,     0x136830c5U,     0x55d69a2fU,     0xea824d0cU, \
    0x5cdd3721U,     0x7acd8607U,     0xa6afacd7U,     0x40733225U, \
    0x0b59e529U,     0x07dde43dU,     0x1ee0c596U,     0xd8ad39bcU, \
    0x4599e6ebU,     0x904bf0e5U,     0xbcd233a7U,     0x01e64b30U, \
    0x64234fa6U,     0x670981bfU,     0x9c5a67c4U,     0x72b3f5fcU, \
    0xb36aa342U,     0xdf9478deU,     0xb22e671dU,     0x5c26afcaU, \
    0x1e58593aU,     0x096351e9U,     0x89f43003U,     0x5dab1295U, \
    0x290f5661U,     0xb579c465U,     0xc17b5616U,     0x95e3cbccU, \
    0xa0b3bb7dU,     0x76758baaU,     0x2ef47c45U,     0x0f1a20a2U, \
    0xeba59344U,     0x278f2500U,     0xd2675e55U,     0xf7db6626U, \
    0x273d1748U,     0x64d4e006U,     0x21ae404aU,     0x83722f64U, \
    0xccce66a5U,     0x3d9f5394U,     0x0edbd810U,     0x3d45dc12U, \
    0x1f2edfc3U,     0x02257921U,     0xcc80f2b8U,     0x65556d97U, \
    0x4789c069U,     0xee699e86U,     0x31f708d5U,     0x2bdf4ef0U, \
    0x5a352613U,     0xbc182183U,     0x8c65e511U,     0x842ec408U, \
    0x16192afcU,     0xa32d1ca5U,     0xdfb9f852U,     0xaf692b7cU, \
    0x30dbc1b7U,     0x6c46885aU,     0x51a00a74U,     0x7eeaff5dU, \
    0x491c88f1U,     0x1532c127U,     0xd698a196U,     0xab195abaU, \
    0x27da2ffcU,     0xe13be386U,     0xf9148e09U,     0xbeab6a03U, \
    0x2678dd1aU,     0xc8203d12U,     0x0cd237c6U,     0x40e30402U, \
    0x06b85348U,     0x6126baaeU,     0x10f472adU,     0xa09158d4U, \
    0xdf9bd04bU,     0x21df14c9U,     0x928837d5U,     0x9cc5415aU, \
    0xbbc0e03bU,     0xf67ead43U,     0x344ce212U,     0xef2ef6b6U, \
    0xfcf22755U,     0x48e52ec8U,     0xf9e52277U,     0x5b2b12eeU, \
    0x786ddeecU,     0x73d765adU,     0xdf9cdf57U,     0xd1b384a5U, \
    0x57de38d7U,     0x4441e824U,     0xf6fc39f0U,     0xebf8b218U, \
    0x994469fbU,     0xd8c00d7cU,     0x6c4e802fU,     0x2fa47975U, \
    0x538421ceU,     0x8f5a7910U,     0xd49bbca4U,     0xa507c20aU, \
    0x50e0dffcU,     0x854455e4U,     0xe7f1a7edU,     0x8a619fd2U, \
    0xd3041281U,     0x6fd17efdU,     0x4bf5e55aU,     0x2fd2c39fU, \
    0xd65db9e0U,     0x0e3f60b2U,     0xa46a039fU,     0xb22ba9b8U, \
    0x6c845d76U,     0x08cc244dU,     0x827e7bd4U,     0x54a67f05U, \
    0x1d08baa8U,     0xec755112U,     0x81b9d9d0U,     0xc09d9357U, \
    0x8ca455f0U,     0x7a84fda4U,     0x6729ecfcU,     0x36c41ac2U, \
    0x8dad5edeU,     0xe243d73fU,     0x9590f308U,     0xaf3b3bc9U, \
    0x38217788U,     0x89bd90f4U,     0x4acd480bU,     0x961b6e11U, \
    0xd862b6bfU,     0x5b7bd817U,     0x30d1144aU,     0xaa53360cU, \
    0x282d9909U,     0x82130472U,     0x5d3d4466U,     0x90b82d39U, \
    0xa4019700U,     0x79ff9fdaU,     0xedc9102aU,     0x655c66b9U, \
    0xd39dd554U,     0xf5376717U,     0xd53db445U,     0x48ec9bfeU, \
    0x1f64abfeU,     0xd39fe94aU,     0x802e5deeU,     0x3fd80091U, \
    0xd78cd988U,     0xd0bbb563U,     0x46cbcb9eU,     0x955ca09cU, \
    0xb1da96bdU,     0xf1924a51U,     0xaa27bc1eU,     0xde1373cdU, \
    0x84438262U,     0xcee69805U,     0x8ca33c55U,     0x5c27306eU, \
    0xc80fb365U,     0x0ebd3310U,     0xe1dab756U,     0x682cd90cU, \
    0x60fe55bfU,     0xe3bbfd09U,     0xe7e647bcU,     0x90353d81U, \
    0xf9b674e2U,     0xc6f38255U,     0xa9d876cdU,     0x227471b6U, \
    0xf4639d76U,     0x1bb5088cU,     0xaccdbaffU,     0x97eadfddU, \
    0xd3301fcfU,     0x8c299c87U,     0x8348078bU,     0x4465b800U, \
    0x8ac85bd0U,     0xbbae2c0eU,     0xf8320cbbU,     0xc78c0527U, \
    0x0a4acfacU,     0xeb85e543U,     0x5b01dc66U,     0x7b56ffc2U, \
    0x809a67bcU,     0x8781eb7cU,     0x9d647eedU,     0x6a187135U, \
    0xd3222819U,     0x802d9328U,     0xe01acb16U,     0x3cb2d119U, \
    0x40ad13dcU,     0x426c2f5fU,     0xc3ac658aU,     0xfd1aeb6eU, \
    0x5e5a6b66U,     0xd3a1e834U,     0x8c65994fU,     0xdf215ee4U, \
    0xe5033b2cU,     0xc6839c53U,     0x8f310f49U,     0x4945cc2aU, \
    0xf5073af0U,     0x583968adU,     0xebc35d83U,     0x26cb156dU, \
    0xe1c391ecU,     0xa65e5ff2U,     0x9a9cb9c4U,     0xb6da0848U, \
    0x17d9da1bU,     0x6c999deaU,     0x350c50cdU,     0xc0b2a9acU, \
    0xdf702d0fU,     0x57401901U,     0x7cb6dcffU,     0x9ca219faU, \
    0x7a80222eU,     0xa959007dU,     0x5bcaf378U,     0x2b5e1bd8U, \
    0xdf4869e2U,     0x51d2566fU,     0xf54ba068U,     0xc136230bU, \
    0x6665a804U,     0x033e4f32U,     0x9dd1e037U,     0xd7959048U, \
    0x591236ffU,     0x32a3375cU,     0x532d60b6U,     0x01b0fec6U, \
    0xa224ddf3U,     0x85ca9a28U,     0x73a0140aU,     0xebf26b1fU, \
    0x20821574U,     0x9a3d2fe7U,     0x2ddc8828U,     0x8f35a8c0U, \
    0x121f4ab8U,     0xdd0e21faU,     0x27490211U,     0x6630f2c0U, \
    0xa60c912eU,     0x825200c5U,     0x06d91c3cU,     0x45d940afU, \
    0x9030f30eU,     0x62336fd1U,     0x68ed19c1U,     0x053cfc6dU, \
    0x2bb253b5U,     0x2a1a7668U,     0x7221e718U,     0xecfbd5e5U, \
    0x84650294U,     0xf6426bbcU,     0x7062f40bU,     0xf20e9483U, \
    0x4710074bU,     0x8bf1f678U,     0x4de8005bU,     0x4f58a659U, \
    0x0a2e5536U,     0x95d15f5eU,     0xf53e79dbU,     0xd4d4f003U, \
    0x87d56d11U,     0x30d5e1b9U,     0x05a545edU,     0x2c60ad2fU, \
    0xd2f20af8U,     0xafe4100fU,     0x6fca55acU,     0x49a46cd5U, \
    0x2a1805dbU,     0x6e037b72U,     0x128e73fbU,     0x9ab8a011U, \
    0x010a0d41U,     0x6cb9cb9bU,     0x98298b54U,     0x542fb8bfU, \
    0xd98cdda6U,     0x80c0d43cU,     0x642cba61U,     0xade641e5U, \
    0x3dff3d5eU,     0x81959e89U,     0x875c4cdbU,     0xda5d6acdU, \
    0x10bf1262U,     0x9e3da984U,     0x8e171a6dU,     0x37a882c9U, \
    0x1ca1ae4aU,     0x1461acddU,     0x8b72fac9U,     0x3e6493f3U, \
    0xd313134dU,     0xcdf72ff0U,     0x186a6999U,     0x1d936411U, \
    0xa6da8f55U,     0xef99496bU,     0x7b26b02eU,     0x397cf3e2U, \
    0xda7af56aU,     0xf9645096U,     0x08bbf6cbU,     0x0775c80eU, \
    0x67a351a0U,     0x2264ffc1U,     0xc55ffd17U,     0x99c1e241U, \
    0x391fe9c1U,     0xa78ca295U,     0xcb2208c8U,     0x80c86bc6U, \
    0x6c81fa04U,     0x4b58ff78U,     0x68e82d5dU,     0xf0311491U, \
    0x48c751b3U,     0x5c5ae588U,     0x02788621U,     0x433ef827U, \
    0x83650b90U,     0x74c0c46dU,     0xdc49e906U,     0x3d82ab01U, \
    0xedc53093U,     0xe76ee025U,     0x722d9f0cU,     0xd0e6b543U, \
    0xb1fca647U,     0x05899307U,     0x2ff1612eU,     0x647d8dfeU, \
    0x16526a75U,     0xb5e3de40U,     0xb5d9534cU,     0x962467e0U, \
    0x0f5cbe60U,     0x147532cfU,     0xbcb6be40U,     0x6bcb030aU, \
    0x977cca86U,     0xa745a1ccU,     0x76053361U,     0xae4957bcU, \
    0xeaf6691eU,     0xa79d437bU,     0x9e62fc90U,     0x3211e71aU, \
    0x011ffe34U,     0x9023d79bU,     0x705001e5U,     0xf0e0bf19U, \
    0x4da3598cU,     0x854a024aU,     0x70c20a20U,     0x3d0e35a9U, \
    0x76207bc7U,     0x216ad379U,     0xe1701e61U,     0xdf908eddU, \
    0xd6caff47U,     0x0d455580U,     0xe0ff4f75U,     0xfbd00fc9U, \
    0x2732add4U,     0xbc31fcf3U,     0xb2f7aff4U,     0x89cfc5a1U, \
    0xab147a07U,     0x3f44b179U,     0xbb4ea460U,     0xd86a3dcaU, \
    0x2284b6d7U,     0x3a0acea2U,     0x915a7b4cU,     0x86ba385dU, \
    0x49704344U,     0xe8396e41U,     0x8d0702f3U,     0x8a8fadaeU, \
    0x76245804U,     0x2423b5ebU,     0xebd7d280U,     0xf7bfaa5cU, \
    0x6d50911eU,     0x4bc87af1U,     0xd6ae1764U,     0xa3dc3507U, \
    0xe0e0b5cfU,     0xd5e6084dU,     0x4afd0138U,     0xfd194e4bU, \
    0x93ad64f8U,     0x5a9851b8U,     0xdc6f1d9bU,     0x39ecbd66U, \
    0xf9a1798bU,     0x2698cdb3U,     0x882eea70U,     0x8ea22bdeU, \
    0xbdb208f6U,     0xe6b59dc4U,     0x35c61cf1U,     0x492bf974U, \
    0x8b0246c0U,     0xfba80f96U,     0xf6958c90U,     0x9bea0126U, \
    0x3330a2adU,     0xabaa0302U,     0x4b7e5699U,     0x185eab6bU, \
    0x8abc2fbdU,     0x680ffa15U,     0xd63bbeb0U,     0xc95095d2U, \
    0xf058e673U,     0xeae1d2f5U,     0x8753cb8dU,     0xc0b80a86U, \
    0xdbae1ef4U,     0x1cb67872U,     0xcda43686U,     0x7e1a87cfU, \
    0xa10a7546U,     0x90ea19baU,     0x5e5928d1U,     0x373b33eaU, \
    0x3502f6d4U,     0xcb7a6cc1U,     0xc1171e55U,     0x57b652e0U, \
    0x4bf5da31U,     0x43f6a700U,     0x431df6eeU,     0x3884b69fU, \
    0xbdae91c5U,     0xcfd78271U,     0xad025e28U,     0x64988d93U, \
    0x311c7da6U,     0x9fe39cfdU,     0xe9ecdcbdU,     0xdceeb6b4U, \
    0x1b88c2b1U,     0x11f03fc7U,     0x49766dbbU,     0x78a96ccbU, \
    0xc1611665U,     0x37d428aaU,     0x617168c3U,     0xfb637c0cU, \
    0x6fc61f7bU,     0xed1c6e59U,     0x34cf785cU,     0x57634374U, \
    0xc843f5eeU,     0xb0626e72U,     0x5ddb8eccU,     0x9d6aaabaU, \
    0x0dad6d35U,     0x5626b851U,     0x81374720U,     0x7285a0e4U, \
    0xd7c30836U,     0x8682b442U,     0x2b1244e5U,     0xa88a09bfU, \
    0xd66bbe55U,     0x527d6453U,     0x7217a94fU,     0xe2928b0cU, \
    0xc1457f4aU,     0xe70802b1U,     0xa9002e7eU,     0x91989462U, \
    0x2dffbfdcU,     0x84bc5df9U,     0x2c1e0dc3U,     0xe420bd99U, \
    0x579a26acU,     0xf43e3b2bU,     0xe61513aeU,     0xf651b6a4U, \
    0xe6a9e8aeU,     0x138da14cU,     0x1c888c76U,     0x803bac5dU, \
    0x2d4f44a5U,     0xc5de9873U,     0x216569d9U,     0xd80fdd3cU, \
    0xcda17282U,     0xc4880fa1U,     0x36ee60b5U,     0xffc764d6U, \
    0x191bb0bdU,     0xcfa0b036U,     0x7f9ca442U,     0x363dde3bU, \
    0xa92868a9U,     0x04b498eaU,     0xcb6c14b4U,     0x5d521b36U, \
    0x37786694U,     0x8be080c5U,     0xc9885d17U,     0x533e27f6U, \
    0xde3b8534U,     0xae6005e9U,     0x2c4d91bfU,     0xdbf285dfU, \
    0x824063f0U,     0x5975c656U,     0x437b8a9fU,     0x4e71e02aU, \
    0xf2490e1bU,     0xa8f44a03U,     0xd85ed5cdU,     0x62b22d92U, \
    0xd8b31303U,     0xcc799277U,     0xee205c98U,     0x32c6dc39U, \
    0x809548d9U,     0xd99fb597U,     0x54cc737fU,     0x8bab1cc7U, \
    0x1122eab8U,     0xe8a198b1U,     0x63c86201U,     0x968bc696U, \
    0xff61bbe0U,     0x9666a35eU,     0xb960507cU,     0xebc19d8bU, \
    0xe9bb2536U,     0x4469598eU,     0x58a69012U,     0x7c2c6216U, \
    0x8e70d0efU,     0xeb5bf922U,     0x367f93a1U,     0x1fab9a45U, \
    0xc4f21818U,     0x23833213U,     0x8593d2e6U,     0x4c6a6fcbU, \
    0x95afad94U,     0xe17c71c9U,     0xf437b20aU,     0xa948a583U, \
    0x67929606U,     0xd07c66bfU,     0x0a38ec71U,     0x869d13acU, \
    0x0ceec611U,     0x31b491fdU,     0xc1144b18U,     0x76aed962U, \
    0x5de5218dU,     0xe85051c9U,     0x89b885aaU,     0x1c1652dcU, \
    0x26da3939U,     0x32f0a8edU,     0x060103e1U,     0xc92fc033U, \
    0x37319f7fU,     0x2564a7dcU,     0x6604deefU,     0x093e51e2U, \
    0x9e80b864U,     0x2c87c3c2U,     0xf6c011feU,     0x463787d3U, \
    0x6cb51681U,     0x5fad0ad8U,     0xfa3dde5dU,     0x5497638cU, \
    0x9edba294U,     0x2db28328U,     0x5bd52ebaU,     0xc53c1aadU, \
    0x8c33c52fU,     0xa6148430U,     0xb1165a71U,     0x04f093cfU, \
    0xd2f0f64aU,     0xd6391513U,     0xe8ca6211U,     0x158f472cU, \
    0xdd419e4bU,     0xa0864eccU,     0xa56e3d41U,     0x73ac18a8U, \
    0x39a9dc2fU,     0xcac6d6faU,     0x8a2cd811U,     0x71d30542U, \
    0x04a72dbcU,     0x7d1c9e4bU,     0xa5ac418dU,     0x893ba644U, \
    0xbd612ff7U,     0x24f15279U,     0x8200623aU,     0xd43e09dbU, \
    0x6a5d6f15U,     0x658d6df6U,     0x3f123c80U,     0xf25bf3aaU, \
    0xc0435667U,     0x8f33e7bcU,     0xb7074d8bU,     0x8cf78ecdU, \
    0xa2cfdbefU,     0x8c4e22afU,     0x06437a3dU,     0x42c3f75eU, \
    0x4ad2b009U,     0x0df9ea87U,     0x73079968U,     0xe4cea95fU, \
    0x1c634a8fU,     0x306422d2U,     0x919fa5e1U,     0xbb1954a0U, \
    0xc5896f35U,     0x88ca6642U,     0x7afa9992U,     0xcd5ffff4U, \
    0xc79fdf05U,     0xb9db239cU,     0xed89d6a1U,     0x61facb8cU, \
    0x08ffa1adU,     0x3aee604bU,     0x3d1cc39eU,     0x42189819U, \
    0xb4b406a9U,     0x05751c97U,     0xaba95f1aU,     0xab702bdcU, \
    0x8103283bU,     0xff9f9f11U,     0x59c6c06cU,     0x0a9155b3U, \
    0x4794f0b9U,     0x1e026c11U,     0xc4683238U,     0xa3d38600U, \
    0xcb3b5a6dU,     0x2df1edd4U,     0xa1283904U,     0x95e2745aU, \
    0x942b342eU,     0xa04da2c2U,     0xa5e34c8cU,     0x14319674U, \
    0x52073a68U,     0x771d9c50U,     0xa5df84acU,     0xb0e678d9U, \
    0x572e4660U,     0x6a57eaa0U,     0xf75528a4U,     0x39d920c5U, \
    0x939daef8U,     0x1427ab95U,     0xa311a3eeU,     0x8f22f5e9U, \
    0x734b175bU,     0x27043354U,     0xf1feca8fU,     0x13eba369U, \
    0xf950dc45U,     0xf0ddb992U,     0xbdfce750U,     0xfad74ed2U, \
    0x7254189dU,     0xfe5d7623U,     0xa648bcf7U,     0x112a21adU, \
    0xd923317bU,     0xbd8e9f54U,     0xe001a0a8U,     0x5f35398dU, \
    0x203ba856U,     0xf9410aa2U,     0xf728ddd3U,     0x877de2cfU, \
    0xa7f302abU,     0x2f26b8b1U,     0x1bd82860U,     0x184a12ceU, \
    0x58b5214fU,     0xd423875cU,     0x155f9194U,     0x51e4da25U, \
    0x0e8298c8U,     0xad7f722dU,     0x047f2dd8U,     0xde77fd1fU, \
    0xed34e953U,     0x9a21fb1eU,     0x3d6ed3feU,     0x12965cc2U, \
    0x9b7ee898U,     0x1cc5a0dbU,     0x55932e81U,     0x93bd02c1U, \
    0x5e0fd1a4U,     0xa10b0b51U,     0x021b5642U,     0x01eddf1aU, \
    0x885ed16fU,     0xb7544874U,     0xe7b522c9U,     0xd0c64c94U, \
    0x56033260U,     0x1718895aU,     0xdda01ea5U,     0xe74e2657U, \
    0x488d2634U,     0x186e5f58U,     0x5f8c9eccU,     0x542cf1beU, \
    0xf262c86fU,     0x1c346abaU,     0xc5a5621eU,     0x1843397aU, \
    0xfa783d09U,     0xb993bc98U,     0xaf723b67U,     0x92658240U, \
    0xf5d254a7U,     0x7ef371a1U,     0x94693d26U,     0x7537abc5U, \
    0x7ec8eae3U,     0x5beac15bU,     0xbe5f1e4eU,     0x4609b3f7U, \
    0x13a7d15aU,     0x39d684acU,     0xcc823058U,     0x8a60dafbU, \
    0x08fefb93U,     0xae4d34a7U,     0xd49c68b7U,     0x676bf20fU, \
    0x3416dde4U,     0x55322e95U,     0x597ffaf2U,     0xf3535743U, \
    0xc7623777U,     0x7f40b7afU,     0xfe5678a1U,     0xd5e0b632U, \
    0x4475c20aU,     0xaa7bb98aU,     0x30400436U,     0x92eb7673U, \
    0x66dc6e35U,     0x70e50bdaU,     0x36c60830U,     0x8ad34890U, \
    0xb8a019c7U,     0xf4f1fbd3U,     0xc68e95e8U,     0x61bf0b57U, \
    0xeaac18dbU,     0x31264b4fU,     0x96dd9c54U,     0xeabb6929U, \
    0x8e4ca213U,     0xa6d7a65bU,     0x54c62a34U,     0x5ff9c89aU, \
    0x1b23d1deU,     0x40e35f1bU,     0xa5925427U,     0x9439503dU, \
    0x4009bdf6U,     0xfddf72f2U,     0xc497ff2dU,     0xa2d7af73U, \
    0x5084e277U,     0x0e5e71a5U,     0x51a07652U,     0x6be55014U, \
    0x19b4a2e7U,     0x9c12c7b1U,     0x43772555U,     0xdd82c7a1U, \
    0xd43f27c8U,     0x9da29741U,     0xffc9c1ddU,     0x82735049U, \
    0x109f5e5aU,     0x5f36d2bbU,     0xc6f31a92U,     0xd30d8a46U, \
    0xd6fd2ab9U,     0x10f67f12U,     0x6c9ab076U,     0x41029ccfU, \
    0x26ba45a6U,     0xada3fba6U,     0xe83d4f90U,     0x1f6afc04U, \
    0xbeb9273fU,     0xa3c8bd93U,     0xbd79bc11U,     0xea1bc557U, \
    0xc793e003U,     0x27f3a717U,     0x7a85538aU,     0x9a5aebe7U, \
    0xe4c93491U,     0xd5055286U,     0xfa95d7b3U,     0xa1171227U, \
    0xba0bababU,     0x5d81a225U,     0x26fcfb58U,     0x4defe601U, \
    0xa360f5aaU,     0xf2331904U,     0xa6c16642U,     0xb16659fbU, \
    0xc616b7e7U,     0x84eb080eU,     0xb2faebdaU,     0x4e48a1bfU, \
    0xd23e06dcU,     0x6d1cba19U,     0x0eb92a73U,     0x4b9a495bU, \
    0x2bb5c614U,     0x2da285ceU,     0x1737cf63U,     0x8cd80b57U, \
    0x7419d954U,     0xa9be7f57U,     0xc4dacb49U,     0x2c47917aU, \
    0xa36a7917U,     0x076a2e85U,     0xd82a2e37U,     0xdd38c20fU, \
    0xa6627f72U,     0x931fe9cbU,     0x384e7966U,     0x5d327f3fU, \
    0x4ddde880U,     0xf60d9c5fU,     0x8fcb8e09U,     0x15c6a225U, \
    0x75103488U,     0xad103700U,     0x884b5cbdU,     0x302fad5dU, \
    0xa8b38672U,     0xed984805U,     0xcd19f399U,     0x4af1be46U, \
    0xf0f986f9U,     0x041632f5U,     0x5cb63c7cU,     0xbbbb7df6U, \
    0x0e54312fU,     0x88f55da4U,     0x32c65e54U,     0xc9df5828U, \
    0xff5bebfeU,     0xa18156caU,     0x97eb2d1aU,     0x7aa23b08U, \
    0xe635fea4U,     0x5de0f2d8U,     0x8d0604b3U,     0x3d64175dU, \
    0xc5224bbaU,     0x70becca2U,     0x8bcd12eaU,     0x14280adaU, \
    0x11a46039U,     0x3b6a52c9U,     0x6c0649e8U,     0x49abbf2fU, \
    0xbcbbe6adU,     0xde3c94ccU,     0xd7483ab6U,     0x9f351405U, \
    0xada58795U,     0x861f04b1U,     0xdd5b982dU,     0x741d9f36U, \
    0xc1805dc6U,     0x1a97f33dU,     0xc0f988baU,     0x32667f64U, \
    0xce2d4828U,     0x4b4eebeeU,     0x9283ecefU,     0x35600bc2U, \
    0x2a72a7a4U,     0x60cd048fU,     0x6fb30174U,     0x6168c29eU, \
    0xec4111caU,     0x41c5f4c5U,     0x0fa2c626U,     0xdde6ba26U, \
    0xda87c39bU,     0x6e0ce0c5U,     0xabcdc56cU,     0x763de607U, \
    0xdce76971U,     0xa1f5088dU,     0x6b28e772U,     0x97c8752cU, \
    0xc90a76ddU,     0xc11718aaU,     0x3840cdf5U,     0x59dd429aU, \
    0xc03d0528U,     0x4b411a7cU,     0x69ff5154U,     0x8e3df9beU, \
    0x46e92175U,     0xd7a91097U,     0x89927e12U,     0xf5352a1cU, \
    0xf0aeeaa5U,     0x7c1e3f34U,     0x7992c4a7U,     0xf1912de9U, \
    0x15eaf755U,     0xc1238b52U,     0x4d58a9eaU,     0xcf58ec15U, \
    0xbad6469cU,     0x86ce932aU,     0x1f2d0b1dU,     0x165bc75cU, \
    0x4e8d22ccU,     0x0ee75002U,     0xa942cf76U,     0x0c521576U, \
    0xd888b370U,     0xa8ef0358U,     0x9d8ae707U,     0x962d7707U, \
    0xd89fdd65U,     0x9b202fb4U,     0xe3a7d2abU,     0x6dc021e9U, \
    0xdce6a51dU,     0x026df2acU,     0x921dbc03U,     0x0b8a8d7fU, \
    0x3c76a8e4U,     0xff5aadfeU,     0x4e32a0a7U,     0x0e405012U, \
    0x0ff9ff16U,     0xe683a7bfU,     0x07e9c37cU,     0x6a37b7b4U, \
    0x6b595f82U,     0x5288e232U,     0xab60aff8U,     0x841c6d5cU, \
    0x1fe61e48U,     0x5cadeb6dU,     0xe91ad8f9U,     0x9aaae59eU, \
    0xa9fc4205U,     0x10d2cacbU,     0x8023f711U,     0x4c9e9a7fU, \
    0xedf592ceU,     0x8554e0a7U,     0xde33f286U,     0x5c7f2d03U, \
    0xa82975ddU,     0x30ecfa99U,     0x4ee0a544U,     0x3660e2deU, \
    0x800f9d02U,     0xe90942e1U,     0xa9180514U,     0x737f374bU, \
    0x45629018U,     0x888807ccU,     0x36ebed5fU,     0x5627a663U, \
    0x410f823fU,     0x4c118939U,     0xf0f2e582U,     0x3c9fa1c9U, \
    0x8880cc92U,     0x0aff8478U,     0x2d139c54U,     0x9a78a9d9U, \
    0xe9fe6503U,     0x25c85e98U,     0x2f498a0eU,     0x70e601a9U, \
    0x10bb5245U,     0xa43471c0U,     0xd25d8367U,     0xe74fc352U, \
    0xcf374900U,     0x0262f008U,     0xf31b95b9U,     0x22d1c5f8U, \
    0x942f048dU,     0xb938401aU,     0x11ad2e5aU,     0xeb43699dU, \
    0xd8a5b27eU,     0xc4e47331U,     0xd0780920U,     0xf61e8de9U, \
    0x2229f7b4U,     0x1b85a8c3U,     0x375ae0fdU,     0x2e070286U, \
    0x59cfa24fU,     0xc32d3be3U,     0xd9df2d23U,     0x39b6eb42U, \
    0xa45f7ce8U,     0x7d0eff62U,     0xcd7c868fU,     0x9ca4dbaeU, \
    0xbb5be844U,     0x9edff398U,     0xbe62a069U,     0xd98bffe5U, \
    0xb9e6dc59U,     0x033fce89U,     0x600fd388U,     0xb823e3beU, \
    0xedb28e32U,     0xd741ca28U,     0xe1d82016U,     0x3baf20a1U, \
    0x41b8687dU,     0x52a82da1U,     0x97cb4222U,     0x61083f2cU, \
    0xfcdb258aU,     0xe48b0988U,     0xe89dab99U,     0x16021d7dU, \
    0x1eaf689eU,     0xc3b9cba7U,     0x518d35eeU,     0x19635210U, \
    0xf648d30aU,     0x690252c1U,     0x7ace8b2dU,     0xfbe2e830U, \
    0xfaf07e1dU,     0xa4f92337U,     0x4bf2140bU,     0x4ee3fc75U, \
    0xa419d513U,     0xdd27b87aU,     0xc9a4efe4U,     0x947f1613U, \
    0x4f5065a7U,     0x587dba61U,     0x9302ae44U,     0xaf33e087U, \
    0x1d5c2e51U,     0xe4a2c2c3U,     0x83e1dff1U,     0xcb22eaabU, \
    0xc9686a43U,     0x6e1b732fU,     0xfac06b77U,     0x12dc4d3fU, \
    0x9fb07f21U,     0xf52a2fadU,     0x0823d9cbU,     0x6cc62a2dU, \
    0xbe7d5736U,     0xe557a95dU,     0x98ea855cU,     0xd0e786ddU, \
    0xc0516307U,     0x8ebdd5fdU,     0x67afcf22U,     0x1415960bU, \
    0x33ff6933U,     0xf2f9b3d2U,     0x4cb9943aU,     0xa4388c16U, \
    0x28769775U,     0xd42151fdU,     0x059613acU,     0x019da956U, \
    0x6ba0d46eU,     0x408d16dcU,     0x62fb9197U,     0xa5b92c41U, \
    0xaea2345eU,     0x12871439U,     0x790c7d1cU,     0x3058f691U, \
    0xabd4127aU,     0xf41bff7dU,     0xc35778e5U,     0x8c934276U, \
    0x0ad74003U,     0x01e003f5U,     0xbdc28babU,     0xa5e59f66U, \
    0x53f6c6c4U,     0x55c2ab9eU,     0xbc85d410U,     0x1fe96fc3U, \
    0xe99d287dU,     0x6ed2ba2fU,     0xe08bda3cU,     0x8046f719U, \
    0xdec6c938U,     0xf5806380U,     0x5915c8bbU,     0xad1fd905U, \
    0xec4522a2U,     0xc38a5760U,     0x72c2da31U,     0x14b7fed6U, \
    0x0a9d84f1U,     0x31feececU,     0x3f6a3da3U,     0x56c6bd2aU, \
    0xbe76605cU,     0x92757e24U,     0xc5102746U,     0xfa849e09U, \
    0x0fc024b0U,     0x53b4ce55U,     0x4b1bad6aU,     0xb0633b70U, \
    0x6fa0ff03U,     0xadeaaed5U,     0x9047112dU,     0x75b9340dU, \
    0xf4eadafaU,     0xffe47690U,     0x9dfc66d1U,     0x79240271U, \
    0x1dcdd580U,     0xde7f2fc8U,     0x3edc4d19U,     0x8bce1a58U, \
    0xbcc7836cU,     0x76e3264aU,     0x7967af58U,     0x1ac00c87U, \
    0x6f551e77U,     0xe8240a7bU,     0xbb4961f4U,     0xecc3163bU, \
    0x9e330475U,     0xad757824U,     0xbb66ef5cU,     0x33356efbU, \
    0x8c28343dU,     0xbb1f86e0U,     0xd23bcec4U,     0x2378c61bU, \
    0x48ecbdb7U,     0x419a3036U,     0x484d5a58U,     0x66c77f1aU, \
    0x6eec7fe3U,     0xeebb5394U,     0xbc12dfc1U,     0xadb41ea2U, \
    0xd8921014U,     0xa6f9348bU,     0x72ba1e38U,     0x94765c8aU, \
    0x855df823U,     0x47c1dc25U,     0x07a6770cU,     0x1c4d571fU, \
    0x2a582d55U,     0xd193fabeU,     0x0af894e0U,     0x78896915U, \
    0xaa438733U,     0xe42d100aU,     0x4811ee49U,     0x437aca96U, \
    0x81730c4fU,     0xff756a67U,     0x6f202192U,     0xf78bc588U, \
    0x3c7733d3U,     0x995e898bU,     0xb312f146U,     0x8e866ccbU, \
    0x860033ebU,     0x1f19d792U,     0x7ebcadc5U,     0xfe267a3cU, \
    0x2af74fa3U,     0xb6aa1812U,     0x6aeb1a4bU,     0x64966dfdU, \
    0x10c04bd2U,     0x744d6710U,     0x23ef37ecU,     0x669379b7U, \
    0x6b40aabeU,     0x92cb7a34U,     0x0a1d424dU,     0xb3592ab5U, \
    0x08c88edcU,     0x5572c82cU,     0xeb2fcd68U,     0x7dd603a7U, \
    0x1f37b4a8U,     0xe4213ebdU,     0x7c52b658U,     0x442e2042U, \
    0x018269aeU,     0x4a967d72U,     0x8332af75U,     0xd232dba6U, \
    0xe5791310U,     0xc2e2e878U,     0xc82c468dU,     0x16e3bf57U, \
    0x275e313aU,     0xcfbd6abeU,     0x37417444U,     0x5991a8aeU, \
    0x15142f22U,     0xf3b7e141U,     0x505b4a9aU,     0x4eb5eb99U, \
    0x1fbf3d13U,     0x4d175585U,     0xa9c8d2c8U,     0xe4b6f9d2U, \
    0x83dc3678U,     0x8ea1088eU,     0x4d73e806U,     0x88a96af7U, \
    0x1a3508d0U,     0x60877488U,     0x1a3792d7U,     0x0916fcb9U, \
    0xec0ac283U,     0x030b8864U,     0xd786471bU,     0xbb444505U, \
    0xec29694dU,     0xaca710eaU,     0x637eacf8U,     0x778192c0U, \
    0x2b3350ebU,     0x878ae19fU,     0x2da3f875U,     0xbcdcefd1U, \
    0x5dc131d2U,     0x8e95eb0fU,     0xb76955f8U,     0xd7bddb44U, \
    0x01df253bU,     0xd096c503U,     0xbbb3ba8bU,     0xdc047f2bU, \
    0x923971edU,     0x1e2ec7fcU,     0x75a747fcU,     0x7ca5eb4bU, \
    0x1a5dccddU,     0x36f88644U,     0xf815f89eU,     0x4feb7df3U, \
    0xaa87af21U,     0xb6f02e74U,     0x561c4337U,     0x96c4035eU, \
    0x45693bdbU,     0x4abedf98U,     0xc48e2510U,     0x8b664a92U, \
    0x3ac686b3U,     0x05e1d0d4U,     0x9d4074a0U,     0xd622b257U, \
    0x26a5a6e8U,     0x441ded3bU,     0x5997a18fU,     0xa9d0853dU, \
    0xdef2eb68U,     0xe54d7738U,     0x69a75e72U,     0x9629024dU, \
    0x1c2efcf0U,     0xe0454dcfU,     0x0909bb69U,     0xad6308cdU, \
    0xf98dda0aU,     0x3590d3cdU,     0x71d90070U,     0x6a788cecU, \
    0xb73f45a8U,     0x60e53d22U,     0x80e1faf7U,     0x6b94c16cU, \
    0xe0396df6U,     0xd1e62fceU,     0x91015cfbU,     0xb4a16dc3U, \
    0x67da7b17U,     0x7ddda70fU,     0x4c7f3291U,     0x960a3cbcU, \
    0x8c389bc6U,     0xf305f0d0U,     0x25d0548fU,     0x686ab710U, \
    0xb0176b30U,     0x6eae767bU,     0x9b9367aaU,     0x21a4fca6U, \
    0xf8406bc0U,     0x05dc702cU,     0x2352d92dU,     0xe1364a81U, \
    0xaec5f708U,     0xee4acf67U,     0xdc566235U,     0x14363a31U, \
    0x982ee258U,     0x381090c3U,     0x7eae13bdU,     0x2d992edeU, \
    0xdd3c2353U,     0x5895f745U,     0x3812fd21U,     0xff00c37cU, \
    0x6dc4dbe0U,     0x44c2a677U,     0xbc18ad6bU,     0x8cf2fd37U, \
    0x80367722U,     0x17263c2dU,     0xfd0b0b93U,     0x523c9a4cU, \
    0x7de50025U,     0x506f14fdU,     0x9085fdafU,     0xa1c7444bU, \
    0x1dc2ba0bU,     0xbdea2bfeU,     0x53acfcb8U,     0x496ae92bU, \
    0x4b747c75U,     0x1c5b98a7U,     0x565469d2U,     0xc3aa3ffeU, \
    0x275bfa14U,     0x5d670bafU,     0x2a9b761eU,     0xb0897dc5U, \
    0x226df9bbU,     0xa51221e2U,     0x5be07a2aU,     0x2732a799U, \
    0xdd57d504U,     0x2bfe1c54U,     0x02e8cbdbU,     0x2d72cb2aU, \
    0xc248235eU,     0x014bab92U,     0x6b4d246cU,     0xe9e7b48bU, \
    0xbbc26088U,     0x92478e71U,     0x51c12e5fU,     0x207e4300U, \
    0xfd94d7e4U,     0x604bd463U,     0x9109a440U,     0x43c3a35fU, \
    0x2f6fc95aU,     0x0c7ab298U,     0xff6b6897U,     0x976e293cU, \
    0x4cc83877U,     0x76f0f866U,     0x36460da8U,     0x2e0c338aU, \
    0xe1527a97U,     0xd6140eb2U,     0xfbd4ddcaU,     0x9ec23666U, \
    0x2c45d7bdU,     0x81bab39cU,     0x4058edf5U,     0x230d1917U, \
    0x96174cd3U,     0xda4f620dU,     0xc376baafU,     0xfbc4ebd9U, \
    0x489d6ae4U,     0xc3e1724aU,     0x1441dda6U,     0x359e6dc3U, \
    0x4eef7238U,     0x56c9c96bU,     0x70bf990aU,     0x905505afU, \
    0x7cc539c4U,     0x7673fba2U,     0x06f7973cU,     0x26a8c938U, \
    0xccf31fa4U,     0xab9a924dU,     0x927fa235U,     0x70e928b3U, \
    0x245bd70fU,     0x7bbb1ce8U,     0x2c1ff004U,     0xff8b1e9cU, \
    0x84124a57U,     0xe1bfd8ecU,     0xc39b73b2U,     0xe032ce91U, \
    0x719081eeU,     0x513ebdeaU,     0xcf0b7ca9U,     0x54257b88U, \
    0x8a77785dU,     0x343041b5U,     0x820acfdaU,     0x8bef0da3U, \
    0x6eba7cedU,     0xc5d7c78dU,     0x6a489729U,     0x384133e2U, \
    0x16a3b141U,     0x95cc702bU,     0x35e85004U,     0xe3ea1411U, \
    0xf1ba3611U,     0x389d01a7U,     0x3b981464U,     0x843950daU, \
    0x55550d99U,     0x8f122afaU,     0xbe1bc6a5U,     0x0aeb139cU, \
    0x090b8a12U,     0x6f00cd43U,     0x7b782a0fU,     0xb69f6934U, \
    0x7fbdf1c4U,     0x36725ee6U,     0xd75c2c0dU,     0x81fef4ffU, \
    0x27768acdU,     0x7f67efafU,     0x1231a497U,     0x8bb4801fU, \
    0x451fc9a5U,     0x5b197741U,     0xfd68a60bU,     0x2c3c5e3dU, \
    0x42e742d4U,     0xc9382336U,     0x061337d3U,     0x93faa9a8U, \
    0xa2e9cd65U,     0x8f60211dU,     0x7cf8ae08U,     0x4a705ceaU, \
    0x211a00f9U,     0x46d8b479U,     0x8672814eU,     0xa52b8213U, \
    0x4f2a5341U,     0xb080f7e4U,     0xbc24ff3eU,     0xf69129b9U, \
    0xb56dc0aeU,     0x5f4c6a55U,     0x31a52ef1U,     0x9b409516U, \
    0x1473f3ddU,     0x2bca68e3U,     0x98263b02U,     0x04b73c96U, \
    0x70ccb993U,     0x6ece36c7U,     0x73b9bdf5U,     0x534b5cdcU, \
    0xaa43c352U,     0x5febee0aU,     0xde7c13c7U,     0xb932337eU, \
    0xd266165dU,     0x4b478c80U,     0x5cc4434cU,     0xac69fd9fU, \
    0x324dd1e2U,     0x766fcf1eU,     0xdaa1a995U,     0x31170f5cU, \
    0x6e8b7775U,     0x7cc32f07U,     0x925b2993U,     0x47f4e31fU, \
    0x9c2de871U,     0x8dfb50f8U,     0x7d2c044eU,     0xd10b172fU, \
    0xdf554111U,     0x7ad353a9U,     0xf9a3753aU,     0x92107187U, \
    0x2be8f334U,     0xe9316f89U,     0x5c3fe19bU,     0x7ad3d1f9U, \
    0x5d426fb5U,     0xa4a7bfadU,     0xedcf9e4aU,     0xa1056ca6U, \
    0x133b2916U,     0x461325c6U,     0x1661fd7eU,     0x69f18e2bU, \
    0x0dabdc6bU,     0xa5efe220U,     0xe9af1f3aU,     0x4a8cd531U, \
    0x66f9bda1U,     0xad1a5a75U,     0x78c277c2U,     0x89c911a5U, \
    0xd1f2055fU,     0x27e0aca9U,     0x570a458bU,     0xe1b22336U, \
    0x19ad1228U,     0x97b2a957U,     0xde3e3ae3U,     0x65519cbbU, \
    0x47d53cf6U,     0xd7f21790U,     0x46a2707dU,     0x6e186e03U, \
    0xa1e239aeU,     0xa34a2355U,     0xee322243U,     0xa8edb509U, \
    0xa633b111U,     0xdd13eb42U,     0xe2bc8dfeU,     0x14ee57a1U, \
    0x9cf30a92U,     0xe418b5d8U,     0x7822e0e1U,     0xdc0f9e18U, \
    0x248e297dU,     0x325657c6U,     0x555dae5aU,     0x81977292U, \
    0xb581a340U,     0xabe2ec47U,     0x84a72c40U,     0x3275c365U, \
    0xa49c3fceU,     0x6cffe43bU,     0x98ccb84aU,     0x334f0b39U, \
    0x2924bd56U,     0x0fd35f6dU,     0xe2c79de6U,     0x86a87268U, \
    0xf61b2179U,     0x76d5476eU,     0xda07a18dU,     0x7da3e26dU, \
    0x0e2c28c3U,     0x46778fd0U,     0x7b5c1c1bU,     0xa1339ff2U, \
    0x081add82U,     0x9febbd16U,     0x6bc5aa6dU,     0x67018bb5U, \
    0xbc8f7fc6U,     0xd722320bU,     0x991e1fd3U,     0xde36165bU, \
    0xb914c28aU,     0x82c212e4U,     0xa08ee4c0U,     0x6e0ec103U, \
    0xec0dfa71U,     0xb9b4be4aU,     0x2a823643U,     0x455db105U, \
    0xa7d70806U,     0x584b080dU,     0x6fc19ff4U,     0x8390275fU, \
    0x06fdd3beU,     0x726528dbU,     0xbf4a9e1bU,     0xefcb10e4U, \
    0xd1b7656dU,     0x96c3d8e8U,     0xd979f05dU,     0x50477ef6U, \
    0x5259146dU,     0xf755d953U,     0x8f3c88bcU,     0x368ad48cU, \
    0xcae70849U,     0xc984ef22U,     0x312d30e8U,     0xd3e9b742U, \
    0xd2bd5c54U,     0x5e7ee8d8U,     0xbfefe4f6U,     0x5c7634a0U, \
    0xdea2da9dU,     0xf9181ad9U,     0x9cdc1dbbU,     0x8258b0bcU, \
    0x8377e30fU,     0x4bc8306aU,     0x95b256a1U,     0x802765ebU, \
    0x68855af1U,     0xdc4d9526U,     0x583304c9U,     0x44d56fddU, \
    0x3e8021e5U,     0x5018e16cU,     0xf81c591fU,     0x7a2b1c28U, \
    0x3ffdc2b5U,     0x1dbdce8cU,     0xcf0b62bbU,     0xb00ef340U, \
    0x42a8cdc0U,     0x4e011e3cU,     0x75523fcdU,     0x13f0dd21U, \
    0x134d17acU,     0xe14f592eU,     0x8c32dcf2U,     0x3ee9801dU, \
    0x8964b0c9U,     0x927093a6U,     0x0f3a8bd9U,     0x313cf3d2U, \
    0xd7b82f0eU,     0xc3e05a08U,     0xbd9d511dU,     0x1617f2adU, \
    0x2856e981U,     0xb08b1e4aU,     0xb6d3c980U,     0xb7512a2eU, \
    0x37fc3b1bU,     0xa5c6e196U,     0x459450daU,     0x4feeb636U, \
    0x6e7d9534U,     0x7f0b05a0U,     0x1dcb4092U,     0xa989034bU, \
    0xd386272cU,     0xbe99a40eU,     0x3ba273d5U,     0x914363b6U, \
    0x1224c551U,     0x1ba61e4aU,     0x530b1b8bU,     0xaaafde8dU, \
    0xab059580U,     0x81313462U,     0xddb1285cU,     0x31f60d72U, \
    0xed78e10dU,     0x3ac387fdU,     0x3af68876U,     0xb870b2e2U, \
    0xbfc4cf0dU,     0x581a9c01U,     0xa00f6ba5U,     0xc57dae07U, \
    0xdbbcaaebU,     0x4bd4ff05U,     0xa701b65fU,     0x59675ac0U, \
    0xbd10b3b3U,     0x4b99e376U,     0xc95345d9U,     0xe76f2c44U, \
    0xd7822ba1U,     0x9e9c4d8eU,     0xf285fbb5U,     0x41ff264dU, \
    0xa7fcdcf4U,     0x8b635366U,     0xacdbfac7U,     0xc46454c1U, \
    0xf1aacf88U,     0xac1699e4U,     0xb5540651U,     0x675250efU, \
    0xa154507aU,     0x9d309f1dU,     0x8311b9d5U,     0x3e3fbd29U, \
    0x6b292ad6U,     0x66363c6bU,     0x18bcf4efU,     0x3de7f599U, \
    0x500af5b3U,     0x51a4842aU,     0xb4d867ebU,     0xa96f289bU, \
    0xcb705d4fU,     0xeda22e34U,     0x559fdabeU,     0x2248ce09U, \
    0x32b62b22U,     0x5ee9c03bU,     0x951db47cU,     0xd1673b8dU, \
    0x267776eaU,     0xf6f632aeU,     0x540f1633U,     0x35a953c3U, \
    0x55820dd6U,     0xc30bf643U,     0x2858217cU,     0xdce21300U, \
    0xf25c3124U,     0xd8d754efU,     0x7eb35431U,     0x4e1dbb84U, \
    0x500b71ecU,     0x6749df13U,     0xe22c697fU,     0x188ff7eaU, \
    0x14f16997U,     0xa680e9adU,     0xa2e888d1U,     0x75488c7bU, \
    0x959ceb5dU,     0x9d65bfeeU,     0xdc845fa5U,     0x4266f558U, \
    0x058a37f0U,     0xd441b3cbU,     0xb951ad4aU,     0xf3be5202U, \
    0x1cae5232U,     0xa0645379U,     0xdcee9d70U,     0x6e25ef38U, \
    0x2ee087d2U,     0x23289c06U,     0x73543b0eU,     0xded53123U, \
    0x1c597d10U,     0x70d3f94bU,     0x43971e4cU,     0x8ac48cf8U, \
    0x5d23e8e4U,     0x4a31ef68U,     0xa47978e7U,     0xb055763bU, \
    0x00bb3142U,     0xfdc614b5U,     0xe1ffae0cU,     0xefcb7f1aU, \
    0xeeed40a5U,     0x8783a04aU,     0x5f50163aU,     0xbb856d07U, \
    0x26537d8cU,     0x652de8f9U,     0x7ca25d06U,     0x51ddb901U, \
    0xf2c1864fU,     0x3867615fU,     0x6eb8fd7eU,     0xae4b0b65U, \
    0xba5f2186U,     0x3ec91d92U,     0xdfde194bU,     0x46ac78b5U, \
    0x3c916645U,     0x004f2676U,     0xdf71c7e0U,     0xd45340a9U, \
    0xfbc84d24U,     0x195771a7U,     0x6aeab699U,     0xc52e0700U, \
    0x45655f2cU,     0x2e2b1e4bU,     0xb81a5344U,     0x8187ea16U, \
    0x1f229923U,     0x23f799daU,     0x2431f6ccU,     0xc570dcc6U, \
    0x55ea26a6U,     0x7276e6f4U,     0x71080948U,     0xdc8a0421U, \
    0x545e14abU,     0xffa0214bU,     0xd73c9fa1U,     0xc28527fdU, \
    0xc2f4329aU,     0xfad67aa0U,     0x41c2ef0eU,     0xd9984fccU, \
    0xe751a494U,     0xaf10b345U,     0xf73d2277U,     0x303c58c5U, \
    0xbb4a7fbaU,     0x65bc5663U,     0x7de187eaU,     0xec2f9aafU, \
    0xc4846b23U,     0x6ea175c2U,     0x015a1e78U,     0x77e7ab07U, \
    0xf88e645bU,     0x188b56ffU,     0xd6170d9bU,     0x9cfed893U, \
    0xec28a7a5U,     0x52843956U,     0x3bc0a0cbU,     0xd26ef9fcU, \
    0xc3f0199dU,     0x615773b7U,     0x05264625U,     0x0d19fd91U, \
    0x15c86cacU,     0x6c1e2a66U,     0xd14ca01aU,     0x48d2fc0dU, \
    0xe739159bU,     0x29c11d60U,     0x2c6fc7f2U,     0x5852be0dU, \
    0x73f2ec57U,     0x714af781U,     0x9002db55U,     0x693ec081U, \
    0x5c6b8a47U,     0xa3c0be35U,     0x55eacf5bU,     0x0075e69eU, \
    0x350b15ceU,     0xd36b3e88U,     0xd2ed122eU,     0xe6073a1cU, \
    0x16c8e845U,     0x9d0cc52cU,     0xbc63d7d6U,     0x0c69017fU, \
    0xd16218eeU,     0x6165ecb1U,     0xbd4605c1U,     0x5c1b99e8U, \
    0xcc924fffU,     0x1dca4a56U,     0xf52c3306U,     0x23b22294U, \
    0x0a2cdf50U,     0xdcd3e772U,     0xacf7f48eU,     0x9607f347U, \
    0x0359cddaU,     0xc7e0228cU,     0x5a49eb44U,     0xe98855d9U, \
    0x6cac1eadU,     0x2d710c40U,     0xec812b1dU,     0x88f67bd4U, \
    0xe7c04075U,     0x5c56fc55U,     0xf55470aaU,     0x53fc83d1U, \
    0x744c89b7U,     0xcf6b5831U,     0x7698ee98U,     0xa8c97092U, \
    0x5efb1b09U,     0x2cc9a2adU,     0xa64320f2U,     0x9cbd8c31U, \
    0x6bac6992U,     0x0a166c64U,     0xcf6c9424U,     0xd273fbd6U, \
    0x2942bd3fU,     0x65da9b69U,     0xb7c92564U,     0xc70e767cU, \
    0x96de5f9fU,     0xf08cd3eaU,     0xaad1bb8fU,     0xb70175acU, \
    0x92439cafU,     0x0608ef17U,     0xcf40bc52U,     0x1eab2031U, \
    0x2f620483U,     0x41a8575aU,     0x67d25ed5U,     0xf240cba6U, \
    0xfc729b74U,     0x79a780ccU,     0x519abf34U,     0x851a2ff0U, \
    0x058bf7d0U,     0x125426efU,     0x3beb964cU,     0xff735a22U, \
    0x19ace2fcU,     0x095e50c2U,     0xc4a249fcU,     0x01fbae91U, \
    0xb11256e9U,     0x751920ecU,     0x5042c1acU,     0x78df365cU, \
    0xc3678be3U,     0x378ac482U,     0xbc08cf0dU,     0xee525a0fU, \
    0x6dc94048U,     0x74d646baU,     0x5751172dU,     0x3c7af6e9U, \
    0x6ee3407cU,     0x0e573bffU,     0x3a8f3041U,     0x3ddfcd3fU, \
    0x94ee11b0U,     0x553a5275U,     0x21356372U,     0x92a5d240U, \
    0x895efe52U,     0x1af79338U,     0x13e9b6e1U,     0xc5954575U, \
    0x9c48485eU,     0x05397c39U,     0xe097cab5U,     0xcda5931dU, \
    0x3d0549afU,     0xbbab7ca4U,     0x2736165bU,     0x9dbe638cU, \
    0x09153780U,     0x0b3e545aU,     0xec7923faU,     0xa81020eeU, \
    0x915d16ddU,     0x74fe7180U,     0x2611ecb3U,     0x65aabac0U, \
    0x185f4f7aU,     0x2883c360U,     0x68186e4cU,     0x9f1847cdU, \
    0x7e73a0dbU,     0xf0d1e63bU,     0x2c5afec7U,     0x7bf78130U, \
    0xd7c4cba0U,     0xee98b587U,     0xcf78b230U,     0xac5cfb25U, \
    0xf8fd5c58U,     0x91f12e46U,     0x25677094U,     0x1c31d4dbU, \
    0xde134673U,     0x37738c92U,     0x6979712fU,     0xfc9ecc0dU, \
    0x9752c655U,     0xd14e39f0U,     0xf1c65f41U,     0xa6b37510U, \
    0x952300e9U,     0xe32ef5b3U,     0x42627f72U,     0x9790381fU, \
    0x9641bbd5U,     0x219ef0c7U,     0x17562096U,     0x251bd301U, \
    0xab46f514U,     0x3e7a1bf7U,     0x2c4157bbU,     0x378b09b3U, \
    0xc3140786U,     0xbaf30ba3U,     0xc6856e81U,     0xf97f9735U, \
    0x067f4942U,     0x0d9cdab0U,     0x1a290a4fU,     0x0f97b2ceU, \
    0xa95ed6a3U,     0x77221f08U,     0xcd5e558eU,     0x066bb42eU, \
    0x98ea73bcU,     0x62cd71ceU,     0x29522c38U,     0x3fdf1c92U, \
    0xaef65a49U,     0xf4d78bc5U,     0x3d03c44dU,     0xaab24be2U, \
    0x024f535dU,     0x1cce89d1U,     0xe5dfb4e5U,     0xb0fb5a0dU, \
    0x65d53bccU,     0xb088fca4U,     0xaf3f970fU,     0x099c4ea7U, \
    0x4c1ef036U,     0x430ba9f9U,     0x4dc2c3afU,     0x1e750622U, \
    0xa310691dU,     0xd54bbf13U,     0xc037fbe5U,     0x9c78c475U, \
    0xf27611b9U,     0x1ff8dd78U,     0x15f0cd1fU,     0xaf8c982bU, \
    0xe05ce586U,     0x9091a740U,     0xc56b2e3aU,     0xe1652993U, \
    0xa03ca858U,     0x05613e56U,     0xbec6af38U,     0x41f1c8c0U, \
    0xcf614d24U,     0xbf9f5ac9U,     0x0e89f74cU,     0x75f4b160U, \
    0x911c3a6aU,     0xdfa58087U,     0xf53ecf6bU,     0x24927b15U, \
    0xbb46bb36U,     0x568d5af0U,     0xde3f20fdU,     0x0692910dU, \
    0x3f5701ffU,     0xe4d95b2dU,     0xbb5309d3U,     0xd468700aU, \
    0xbe36aa1eU,     0x3c23bd12U,     0x0373a3c0U,     0x0ca4a047U, \
    0x0d405d66U,     0x1fb2be42U,     0x2fd6829eU,     0x648f69baU, \
    0x9568fbc9U,     0x2faee490U,     0x5d85393cU,     0x190f3c8fU, \
    0x4aa56262U,     0xb4b86d32U,     0x85f8bed5U,     0x7916fe8dU, \
    0x36170da6U,     0xabdc0a18U,     0x34254051U,     0x6fa93867U, \
    0x602753baU,     0x297012eaU,     0x920c7b7aU,     0x4ba0bec4U, \
    0x3738104fU,     0x0efdcef0U,     0x3c177510U,     0x30263a82U, \
    0x1dd1fbfcU,     0x500a0813U,     0xbb7a4597U,     0x4a8411adU, \
    0x82d92edaU,     0xddf3817fU,     0x9844f600U,     0x0401edcaU, \
    0x3799b03cU,     0x9f069626U,     0x7f2f3a59U,     0x80346d52U, \
    0x1bc97065U,     0xcd042964U,     0xcd6d2471U,     0xce041a48U, \
    0x104be193U,     0x806d46e4U,     0x18e6ec61U,     0x7a02ba6aU, \
    0x1df8e7bfU,     0x10240da0U,     0xfda62a25U,     0x572fdcefU, \
    0xbf4642b7U,     0xc846d397U,     0x4625dc7eU,     0x0672bcc8U, \
    0x238c33ceU,     0xb9f2d5bbU,     0x5862e8c7U,     0x46aad7c3U, \
    0x9b74dd55U,     0x130890e6U,     0xf35dd698U,     0x5165d855U, \
    0xe34670afU,     0xe09a5795U,     0x5658f8d2U,     0x0ff02263U, \
    0x3bf6c25bU,     0x0e29471cU,     0x268022a3U,     0x04af2808U, \
    0xbe999ab9U,     0x029c6132U,     0xb7484c43U,     0x33080b32U, \
    0xa3db068aU,     0xc037798cU,     0x7d6bd734U,     0x68c8aa58U, \
    0x5004118eU,     0x4af49041U,     0x84e0b608U,     0x4654ac3fU, \
    0xac22f25eU,     0xb823e740U,     0xf83e9f81U,     0x16ed8801U, \
    0x3ecf451cU,     0xc3b4d474U,     0xa82536eeU,     0xe38a88b1U, \
    0xcbefe1e5U,     0x0276eb50U,     0xced64ac0U,     0xd7e3070aU, \
    0x1a97cdd9U,     0xaed14b43U,     0xc3e96553U,     0x604dda55U, \
    0xef5181d5U,     0xb2bd714bU,     0x8c38ba9dU,     0x87ee0e07U, \
    0x195c68baU,     0x01d2c252U,     0x634ce317U,     0x10debb8aU, \
    0xd438378aU,     0x9128b02fU,     0x4353002bU,     0xa6c40004U, \
    0x7a609cb3U,     0xa729d863U,     0x16504377U,     0x021b77c3U, \
    0x91af7c1bU,     0x1495ded2U,     0x6d39f31bU,     0x1bbaa3eaU, \
    0x64a6a815U,     0x5ca6bbbbU,     0xa86e954bU,     0xea4aa488U, \
    0xa9a0702eU,     0x8319c106U,     0xdafb6762U,     0x73deacd8U, \
    0xd44f7625U,     0x61ffa595U,     0x41494b67U,     0x018dc74eU, \
    0x0e5fd841U,     0x998c7c8eU,     0x0d523418U,     0x967c4e1dU, \
    0x3a8fa3efU,     0xca794973U,     0xe8b03288U,     0x8864dc0fU, \
    0xad013bf1U,     0xf29ec754U,     0xd6df2a34U,     0x34301bf2U, \
    0x81a8de27U,     0x4f8c13dcU,     0x8afcb5e9U,     0xf432b355U, \
    0xb6fd5c44U,     0x3297f564U,     0xe9e1d9faU,     0xe4cbc7a9U, \
    0xaded0381U,     0x07e18d1eU,     0x93b5c951U,     0x4660234eU, \
    0xb1014f27U,     0x89741074U,     0x42cc8b2eU,     0x6a9a5f28U, \
    0xf2644663U,     0x8ff9f568U,     0x6edc9a53U,     0x8461d2eeU, \
    0xb03d1bdcU,     0x95c21232U,     0x32415948U,     0x3ecdc432U, \
    0xe5985ca4U,     0x84c58038U,     0x6c06bf8dU,     0xadc7c0f0U, \
    0x2d553ab4U,     0x79f3d767U,     0x286214c7U,     0x594c56a7U, \
    0xfa330694U,     0xf19400beU,     0xe26503e9U,     0xf7f5bc20U, \
    0xb88aaf41U,     0x06303531U,     0x42161086U,     0x95cf139bU, \
    0x151718dcU,     0x715ae060U,     0xc2232252U,     0x6f5628f3U, \
    0x37e23c54U,     0x1c272546U,     0x24834663U,     0xeefe8c15U, \
    0x36ff608eU,     0x41851cffU,     0x43c39337U,     0x4b7890f0U, \
    0xd22e59d8U,     0xd4a44838U,     0xa6b3b483U,     0xe9460a20U, \
    0x29f9af01U,     0x713a4f9eU,     0xa086473cU,     0xd4c3fd86U, \
    0x292d6ccbU,     0xf902b65cU,     0x0c3a7cd0U,     0x7e956384U, \
    0x42520a9fU,     0xec674160U,     0x9a7dc560U,     0x485cb91dU, \
    0xf02fb755U,     0x319b566aU,     0x267759c1U,     0xdc001e3fU, \
    0x75b9d839U,     0x18621ee1U,     0xb115b86eU,     0x6099e0feU, \
    0x9e99dbb3U,     0xfeeda91fU,     0x13893abfU,     0x295de865U, \
    0xc6f2ac93U,     0x432b862aU,     0x8dbb73fcU,     0xade0b44cU, \
    0xe687a601U,     0x500d2cb6U,     0xfa438024U,     0x4d7ae5cfU, \
    0x69840d2cU,     0x6a9261ccU,     0x3fff07ecU,     0x9b73ff88U, \
    0xdf0a6d7aU,     0xc8f0382cU,     0x7a6e7738U,     0xc06a63f0U, \
    0x84fe4358U,     0x0d6282edU,     0x0827159dU,     0xc042e037U, \
    0x7f915170U,     0x52c26731U,     0x5968854aU,     0x4109f7bcU, \
    0x46f300c5U,     0x78c32dc6U,     0x340ee7e8U,     0xf3566867U, \
    0x6b19f332U,     0x58f4b803U,     0x0cbcfee2U,     0x24bcae51U, \
    0x3e6b11f4U,     0x4c2cbad1U,     0x23df4508U,     0xc97ffff0U, \
    0xd70c9200U,     0xe2fe2b7cU,     0x45989b8bU,     0x8473c1b3U, \
    0xaa3e52d5U,     0x8af0b1faU,     0x62751fa1U,     0xe7e56a5cU, \
    0x8ec87d41U,     0x6ddd62feU,     0x08e12a9eU,     0x80178b5dU, \
    0xf60e1d98U,     0xc6f6cb90U,     0x1410d3daU,     0x395670c6U, \
    0x3f5085f6U,     0x62e5b459U,     0xb864e2e1U,     0x8d272ca0U, \
    0xb391866cU,     0x1c7f95f2U,     0x2fc61ce4U,     0x6cd34ab8U, \
    0xae8d00f6U,     0x725cb509U,     0x13b01309U,     0xdcf969a5U, \
    0xde807ebdU,     0x1061e9a3U,     0x0fac06f6U,     0x843164d8U, \
    0x34a189b8U,     0xc2131f40U,     0xc568617bU,     0xcd10511cU, \
    0xdb63c8d7U,     0x080a1749U,     0xc95b0d46U,     0x77ebc220U, \
    0x5fd789c2U,     0x1124ce02U,     0x2970ebb6U,     0xf07323eeU, \
    0x13694f28U,     0x5a6a2791U,     0xc1d511c7U,     0xf68d28a1U, \
    0xa35957beU,     0xdd3c767aU,     0xd43360efU,     0xbd5e0a9aU, \
    0x4e986cc1U,     0x4303b6f0U,     0x0dabbcaaU,     0xb30c2a2dU, \
    0xb43a1227U,     0xcdc91b47U,     0x68810754U,     0x91e55bf1U, \
    0x38fda164U,     0x3ca9005aU,     0xcdb4928eU,     0xd8b1033dU, \
    0x8a8491a8U,     0x9e5888baU,     0xdaffa7d4U,     0x386409a5U, \
    0x95feec59U,     0xc7ed9a93U,     0x3c58b9dbU,     0x90474abdU, \
    0xeb3643fcU,     0x3a09eba5U,     0xad68976cU,     0xbebe0394U, \
    0x74a6d2d7U,     0x50a41752U,     0x21fe25f5U,     0xe4433b70U, \
    0xbd7336d2U,     0xb533b362U,     0x99823924U,     0x4eb64810U, \
    0xce912efdU,     0x8e04ca16U,     0x7d1604cfU,     0xf51c0480U, \
    0xdde62b26U,     0x225e2fa2U,     0x9435a371U,     0xe074fe85U, \
    0x44b17cfbU,     0xdc980fa1U,     0x40cf2753U,     0xe6e2750fU, \
    0xfe2df7ebU,     0x6e8cba6fU,     0xaca607d0U,     0x3f495768U, \
    0x888c0343U,     0x4e3ed119U,     0x5e2bf7b7U,     0xfaebfd19U, \
    0xb24b6c83U,     0x38289d5aU,     0x23695d6aU,     0xc8232a9cU, \
    0xf42fe5dfU,     0x3a13a87fU,     0x60742901U,     0x5f295d3eU, \
    0x7360d3cfU,     0xaea06be3U,     0x58c1baf6U,     0x6268880fU, \
    0xc32ab3e8U,     0xa03a8facU,     0x74b90df5U,     0x8ce415e8U, \
    0x99000e7aU,     0xe92f6eceU,     0x2e28795eU,     0x2514fb8aU, \
    0xa7cbc908U,     0xc34f13b2U,     0xc75a85deU,     0x25f74692U, \
    0xfbb8d675U,     0x09a58996U,     0xbf507c6fU,     0xfc4338ffU, \
    0xda5ec733U,     0x3665993fU,     0x537a8a8eU,     0x840b7d42U, \
    0x5176685eU,     0x3a0b374dU,     0xaddd5436U,     0x6825af8fU, \
    0xfdf98465U,     0x28c97293U,     0x587b2dfaU,     0xf02541bcU, \
    0x3c8c8eceU,     0x5bdfc1e8U,     0xc3d11c64U,     0xc207193eU, \
    0x2aaae2bcU,     0x8bb0c2c8U,     0x2b8a4f1cU,     0x0caef9f0U, \
    0x01aa0480U,     0x658f1a8aU,     0x7bf16dbcU,     0xa3eff227U, \
    0x7ddf724bU,     0x17b0bcb1U,     0xd2d094aaU,     0x18776fd8U, \
    0xc453b58eU,     0xc0647ba2U,     0xfe04fcffU,     0x3dbe3475U, \
    0xca70c549U,     0x5bc816e0U,     0xd01936eeU,     0x296ac849U, \
    0x241ff016U,     0x1bc82b24U,     0xc0902ce7U,     0xde2f421fU, \
    0x9e9d568eU,     0xefd43b55U,     0xa7667fd7U,     0xf4354b38U, \
    0xcb4db021U,     0x6b602b40U,     0xb538105fU,     0x7cc3179cU, \
    0x495eeb97U,     0xc32337efU,     0x6fc28bf0U,     0xc46b264bU, \
    0x2a8cae12U,     0xf695f72fU,     0xe217f4a2U,     0x5cb6e516U, \
    0x673bbd97U,     0xa54015a0U,     0xe6d1b3ebU,     0x36aa2d3eU, \
    0xf0efe734U,     0x22df55a0U,     0xa1173397U,     0x5e7a0ae6U, \
    0x32ea81f5U,     0x29d4dbebU,     0x6055a2d4U,     0xc085f0ebU, \
    0x8837173cU,     0x86857060U,     0x619b88c7U,     0x71bd52ceU, \
    0x8b1d94d8U,     0xbafd9050U,     0x4699eb55U,     0x39d32180U, \
    0xc6e454c6U,     0x0dff160dU,     0x9c113ddaU,     0x1236a07eU, \
    0x304a40a9U,     0xccb9ee86U,     0x322a6dd8U,     0x17fda76aU, \
    0x439198e3U,     0x4cb188b0U,     0x68c39608U,     0xbfd66a8dU, \
    0xf3ebc994U,     0x6c44d65bU,     0xb66bd305U,     0x5b077a47U, \
    0xcfd7c377U,     0x221835a4U,     0x2d77c0fdU,     0xed84adc5U, \
    0x1782f877U,     0x94bdbcd3U,     0x1204c554U,     0xc45090c7U, \
    0x0f580a56U,     0x4ccf7d44U,     0x2b7ff206U,     0xd4807c82U, \
    0x729e9b8aU,     0x3a0e7151U,     0x88eef12aU,     0x65997223U, \
    0x018dd18fU,     0xb4eff67eU,     0x6e5b4297U,     0xf6f6cda6U, \
    0x2df3a6ceU,     0xff0e616dU,     0x1a42d519U,     0xcf62bde3U, \
    0xed82d925U,     0xf40966dfU,     0xf3060b64U,     0x9d8ec861U, \
    0x45cc7b5bU,     0x56fc7a20U,     0x6f202a59U,     0x9c1661e0U, \
    0xac345b30U,     0x3e809c56U,     0x8e79fd92U,     0xcc25fbf1U, \
    0x24738282U,     0xa1ce67f2U,     0xdc4ffa4cU,     0xb16a48c2U, \
    0xf585f95cU,     0x088d988bU,     0x34acb26eU,     0xcfe682cdU, \
    0x1cfd702aU,     0x931cfcb8U,     0x252b8e4cU,     0x83d715baU, \
    0x6121d2daU,     0x4f5b2e30U,     0xded4f789U,     0x31cb950fU, \
    0xfab53065U,     0x13d0f683U,     0xa1da3ca7U,     0x4dde896cU, \
    0x778c57f2U,     0x74666afbU,     0xe64f95e3U,     0x4ff29e3fU, \
    0xf20d9904U,     0xb9dedd92U,     0x4e9dd46dU,     0x755cfb12U, \
    0xddd38b79U,     0xea459211U,     0xfddaf2d6U,     0xff357c25U, \
    0xfdeea59bU,     0xe8151360U,     0x0cf45fe5U,     0x0aea4a61U, \
    0xef34bc9fU,     0xcbd0accbU,     0x223419fdU,     0xde478d26U, \
    0x3c8304a7U,     0x21423349U,     0x6cb86a88U,     0x592d5f0dU, \
    0x7115da1cU,     0xf8de7367U,     0x1d53d75dU,     0x282757bfU, \
    0x2df432fbU,     0x812901e3U,     0x53dad2f9U,     0x510207daU, \
    0x1f45e368U,     0x641d4680U,     0xf9e9a38cU,     0xa78ad941U, \
    0x58acb2deU,     0xd3bd6502U,     0xf58dfe48U,     0x77052465U, \
    0xfbf2ad1dU,     0xe4cb53c0U,     0xa218ed02U,     0x4d143ad1U, \
    0xb78066d1U,     0xe16bd640U,     0x2976c3eeU,     0xc4fd8f9bU, \
    0x00231996U,     0x7a8eceb2U,     0xbe1bca8fU,     0xb99862f4U, \
    0xecad96d9U,     0x1b303984U,     0x1737ea18U,     0x197f1465U, \
    0x117dbe4aU,     0xbeae8c7fU,     0x7890bea2U,     0xdeed5637U, \
    0x3a986266U,     0x0118b2d3U,     0x4c260f89U,     0xa099a95dU, \
    0x47a72436U,     0xa653bb91U,     0x91a99f31U,     0x0cb4ecacU, \
    0x81ad9700U,     0x0521dfb3U,     0xfe7a8d7dU,     0x70d2d7a2U, \
    0x97aa9260U,     0xd8ec4a79U,     0x3da5f6b7U,     0x2b501ac0U, \
    0x07cf22efU,     0xe1e6eb1bU,     0x5959bbcdU,     0x8af63e18U, \
    0x46a37a72U,     0x6321089dU,     0x2e051e9fU,     0xeb6f6071U, \
    0xf566cd00U,     0x73aa7418U,     0x876da77aU,     0x6e4669ecU, \
    0x5059b042U,     0xa8158b47U,     0xc3f61bd3U,     0x8dec5835U, \
    0xf380d1b4U,     0x826ff88dU,     0xcad97171U,     0x87febd38U, \
    0x8fd823c6U,     0xba74d286U,     0x043b9d55U,     0xbb6b992bU, \
    0xb3196f51U,     0xe9b27a2fU,     0x5b902a3aU,     0x6e3aa132U, \
    0x7d0d4b66U,     0xf30b212aU,     0x357bb21cU,     0x12c20509U, \
    0xe0011974U,     0x8126673fU,     0x65ba8754U,     0x797bf16bU, \
    0x1cfb5d1aU,     0x41356b7cU,     0x6f2049e7U,     0xb07e3fabU, \
    0xd0cd2e2eU,     0xa5cf2a65U,     0xb6eddb01U,     0x995ba1a9U, \
    0x1622b167U,     0x937bab7dU,     0xa94eaa70U,     0xbb17ef16U, \
    0x8bf2ca51U,     0xc0164208U,     0x056c035cU,     0xff1dc220U, \
    0x99ce9cefU,     0x8c9a3e35U,     0x955b23d5U,     0x21078d17U, \
    0xf214dea4U,     0x27966ebdU,     0x2fd56afaU,     0x7ac2e0abU, \
    0xb523b7cdU,     0x00baeeadU,     0x230bfbf3U,     0x7ceee799U, \
    0xd5da3d31U,     0x3233115bU,     0x7a7dac15U,     0xc1175db4U, \
    0xdf8e1603U,     0xebda02f5U,     0x45b29731U,     0x29085ae1U, \
    0x66ff4b34U,     0x41cc0fa2U,     0xf0060116U,     0xd9746381U, \
    0xc530e9c3U,     0xa3860ab6U,     0xf9973308U,     0x291f1babU, \
    0x2997c52aU,     0x1a722353U,     0xb19e7cd6U,     0x87662b0cU, \
    0x27927577U,     0x4f286095U,     0x7c3e484eU,     0x233a010eU, \
    0x02d3c906U,     0xad96254aU,     0x456672f4U,     0xc9af2c85U, \
    0xdc0a0254U,     0x04a67eb3U,     0xee4aa9c7U,     0xdc4ae879U, \
    0xa992a0b8U,     0x4b6d1877U,     0x6b86f5c7U,     0x407c5905U, \
    0xe806d681U,     0xaee9a4e3U,     0x2c575015U,     0x9819cfefU, \
    0x4ff0d9a5U,     0xd217901dU,     0x10c52597U,     0xad8fdbb9U, \
    0xb7a2dd9bU,     0x81c2e6f1U,     0x92465e4cU,     0x8c687343U, \
    0x9c1f6b81U,     0x2140ee03U,     0xab5f7855U,     0xe803e2bbU, \
    0x017ba6bbU,     0x50c47226U,     0xa0a4d34dU,     0xec574e9dU, \
    0xddbf417cU,     0x97d5696aU,     0xd1e39dbfU,     0x0d69bb39U, \
    0x854b910bU,     0x4afadf20U,     0xd418314eU,     0xa5eb57f3U, \
    0x65f5a2faU,     0x71c69955U,     0x75ecf95aU,     0x4befe4cfU, \
    0x206b1fc3U,     0x331c9637U,     0x837640b4U,     0xe16f1af4U, \
    0x95105cfdU,     0x574576b4U,     0xed41f4cdU,     0xc274245bU, \
    0x1cf2c149U,     0x0e87bb08U,     0x7ccccdbdU,     0xe9845307U, \
    0xbc8c4fa4U,     0xcb758362U,     0x32f44250U,     0x7d4f37fbU, \
    0xe6fabdc6U,     0x2853607fU,     0x726d7ae3U,     0x02a58098U, \
    0x5b6880baU,     0xcc831d3eU,     0xa639a637U,     0x3de557ffU, \
    0x61695fdaU,     0xad3737c7U,     0x376fe866U,     0x0f61e373U, \
    0x58b5619bU,     0x298276c5U,     0xfb3fe180U,     0x5bdb4769U, \
    0x72429d91U,     0xd64dbd89U,     0x36980c58U,     0x50c2155dU, \
    0x88126be0U,     0xbd4e2c30U,     0xcf6f185eU,     0xbea97842U, \
    0x43f72e53U,     0x15444cb3U,     0x35400541U,     0xef37be5cU, \
    0xffd2312cU,     0x766f30f5U,     0x1a85a360U,     0xe365e3d4U, \
    0x8b9622b6U,     0x6369c39eU,     0x78ad16feU,     0x41d33684U, \
    0x4f9976b2U,     0xdc9e1c6dU,     0x8df587bfU,     0xf3277fa7U, \
    0x530676a9U,     0xd2955347U,     0xfb21ec54U,     0x3fbc3da2U, \
    0xd365b34fU,     0x80e201a9U,     0x29da722cU,     0xc8baea93U, \
    0xc7b1a908U,     0xfc31247fU,     0xb5fcae69U,     0x3e31c011U, \
    0xc0f44921U,     0xdb96aeacU,     0x328574b4U,     0xe69cec3eU, \
    0xd769a9faU,     0xd84d31d9U,     0x43f4da94U,     0x2b808098U, \
    0x2087463cU,     0x7d22890cU,     0xec5bdde5U,     0xe8d2baf3U, \
    0x35bba777U,     0xdf09ada3U,     0x6efa480eU,     0x179b3672U, \
    0xc4e395e5U,     0x4523bbb5U,     0x441b813dU,     0x944b9151U, \
    0xf0c27dbdU,     0x0c374aecU,     0x49375994U,     0x5837584bU, \
    0x9172f96bU,     0xa970f29aU,     0x6f37ee4aU,     0x18646805U, \
    0xa445d8afU,     0x62b515d3U,     0x3d209ec4U,     0xd2a24115U, \
    0x3d1e2d69U,     0x9c0e09ddU,     0x52216a35U,     0x20f1260dU, \
    0xc7b8afcdU,     0xb380f7d1U,     0x0e10f7c4U,     0xacc117ccU, \
    0x7f852440U,     0x1d9fc905U,     0xbe9b6423U,     0x099cd1e6U, \
    0x55d7843aU,     0xb21868eeU,     0x15712c0bU,     0xdf701e3bU, \
    0x9bb954d8U,     0x540346e1U,     0xc816fd1fU,     0xc7881dd2U, \
    0xefb0cf9bU,     0x531ad320U,     0x7732780dU,     0xee118e12U, \
    0xe5414604U,     0x8258de56U,     0xe0233e7cU,     0x9d39a090U, \
    0xfa33b1a5U,     0xd104a39cU,     0x6f8a89d1U,     0xfa5d149aU, \
    0xa3c61bb1U,     0x2b6844bbU,     0x4498b523U,     0xfd1731d2U, \
    0x48368aceU,     0x0125e4a3U,     0x8ae42f37U,     0xe153e3a1U, \
    0xb4216103U,     0x35100b61U,     0x42bdc371U,     0xa2e7fbebU, \
    0xf82b352aU,     0x7d1510cdU,     0xa6eed1d5U,     0x61fa7860U, \
    0x827a7c7dU,     0x097ef87aU,     0xbd7fcdb0U,     0x98724852U, \
    0x955f1553U,     0xabf1faf9U,     0x22cc7fbdU,     0x416f808dU, \
    0x4de560e2U,     0x55693afeU,     0xc1f2c3f2U,     0xeeba15f3U, \
    0x62c88b10U,     0x22db53efU,     0xa17b3c3cU,     0xde925597U, \
    0xe7d21a28U,     0xe3f7f604U,     0x7743f1a5U,     0x578ef066U, \
    0xc6d9d4abU,     0xb38c55bfU,     0xd1e99681U,     0x45771b60U, \
    0xe11a0520U,     0x2900bae4U,     0x93d9da1dU,     0x31c5234cU, \
    0x44c280a2U,     0x79e665d5U,     0x85233b5eU,     0x94ece7fcU, \
    0x640ccc9cU,     0x0cae8f1eU,     0xc4d6f3bfU,     0xa9b76b50U, \
    0x25c2a493U,     0x66ab4b7bU,     0x097b758dU,     0x98929fc0U, \
    0x9ebb66bdU,     0xf6b50f58U,     0x9d827e95U,     0x40a51c85U, \
    0x360108c2U,     0xddcfe60aU,     0x7110c069U,     0xc53b9520U, \
    0xb1593443U,     0xb397ab8aU,     0x1596001aU,     0xd6b404d5U, \
    0xc30ec5c1U,     0xfccee2a6U,     0x26fd8002U,     0x1cc066e0U, \
    0xa7a6fd74U,     0xf9a1f99bU,     0xf0914527U,     0x5f324035U, \
    0x2979af20U,     0x1b53b198U,     0x16db6475U,     0x28c11c18U, \
    0x663d9a08U,     0x79af1f79U,     0x6a7c7309U,     0x0284676bU, \
    0x05d3a7a3U,     0xac9f554eU,     0xe81dbed7U,     0x2297ffa3U, \
    0xa4b1e4bcU,     0xe0dddf68U,     0xb035a6deU,     0x74f821e5U, \
    0xd200a219U,     0x7ce063d6U,     0x4b7c581aU,     0xbdaeebe2U, \
    0x73e4bebbU,     0x8b212c30U,     0x3374d7d9U,     0x136204f9U, \
    0xd80ffcb9U,     0x2ccc35a3U,     0x72ed3d62U,     0x1d79fd4cU, \
    0x67a785e9U,     0xeeef0639U,     0xe2d378e6U,     0x145eeaaaU, \
    0x931a0d71U,     0x1bc1908aU,     0x3278c1c7U,     0x22b5a92cU, \
    0x6ada8ed8U,     0x307054bfU,     0xfe1c9e60U,     0x2ebec7f3U, \
    0xe8a42c6bU,     0xf49ca7f5U,     0x25eb0408U,     0xde87baa2U, \
    0x3ee49d9dU,     0x4976be7dU,     0x09db141eU,     0xc463b838U, \
    0xe72d42a3U,     0xc60bd437U,     0x0b73004cU,     0x01322f23U, \
    0x3319f514U,     0x0a40b0edU,     0x46657304U,     0x0dc03496U, \
    0xc30dd61dU,     0x99647cd4U,     0xc9a3bcf9U,     0x0efef1e1U, \
    0x61b59931U,     0x421c2da7U,     0x0360d340U,     0x202c8309U, \
    0x9bde5eabU,     0xac74e9a9U,     0x7866bd42U,     0xcb992c76U, \
    0x1f801ac2U,     0xf0a8275fU,     0x16c21a90U,     0xdc72c3efU, \
    0x04a7f5b2U,     0xd42d0a01U,     0xaa2162a0U,     0x5c257f32U, \
    0x50d744bbU,     0x8009c0d9U,     0x654b3a78U,     0x48ad06d5U, \
    0xd87ab4e9U,     0x0b04576aU,     0xef8a3d69U,     0x8785be43U, \
    0xbc781217U,     0x2703be2cU,     0xd60f0331U,     0x2fd3a0b7U, \
    0x8654bec9U,     0x89b63dbeU,     0x76f74c64U,     0x54d46010U, \
    0xa0001e55U,     0xa69131b2U,     0x1e4fe98dU,     0x4d8398b7U, \
    0x1403243fU,     0x3d063e5fU,     0x661e5af3U,     0x2adecbcaU, \
    0x8a465846U,     0x4143fa8dU,     0xc39fd0e9U,     0x4e1b7416U, \
    0x7cddc834U,     0xe1672e45U,     0x7850e961U,     0x10e0a05eU, \
    0x312fa15fU,     0xf00a4ff8U,     0x85ffb265U,     0xd992d1e3U, \
    0x5f26069aU,     0xa9bbad54U,     0xb81d44e9U,     0x1b3080afU, \
    0x36c4070fU,     0xf6b10368U,     0x357bb5c8U,     0x7b9872deU, \
    0x295abf10U,     0xfb37a4f0U,     0xcc536281U,     0x1b7fda94U, \
    0xf83c8687U,     0x7961ac39U,     0x834edc5bU,     0xb0993721U, \
    0x9b57c71bU,     0x92a7e230U,     0x25d9ac0aU,     0x3b78a8dbU, \
    0x0ec5e1baU,     0x2563d1e2U,     0xb39040eeU,     0xce5f04f2U, \
    0xdd27f41fU,     0xe6c72c38U,     0xf63024a4U,     0x297f7479U, \
    0x468b8201U,     0x461ac061U,     0x33fabb2eU,     0xecc9f195U, \
    0x6767cadbU,     0x8ad9f52bU,     0x4dee3ba2U,     0xe97d647dU, \
    0xcd3eb676U,     0x19f52fb7U,     0x8e0db880U,     0xf69bb8c4U, \
    0xad34f70aU,     0x0db01887U,     0x4a55da17U,     0x4919086fU, \
    0x4f9b0476U,     0x1b62d4fdU,     0x22e14682U,     0xe18bc4c5U, \
    0xff8393adU,     0xdb399bdeU,     0x49c18f95U,     0x9190bcd2U, \
    0x992c5f2aU,     0xdf24fdb6U,     0xe1f5a1caU,     0xca49b7edU, \
    0x886b86f2U,     0x293e066bU,     0x24f28ed0U,     0x3d306526U, \
    0x9caf2bc0U,     0x5455e903U,     0x942b8fc5U,     0x028354a5U, \
    0x3af62a51U,     0x5e72aef6U,     0x010f6fd8U,     0xc8b6f0a0U, \
    0x195ff596U,     0xf59d5ed0U,     0xfb42739eU,     0xec0952a4U, \
    0xd929b1fdU,     0x7069f0c3U,     0x4766c555U,     0x332169a2U, \
    0xab830d7aU,     0xc2088a4dU,     0x3ff1b347U,     0xe24f9794U, \
    0x1548a9e0U,     0xf7756bd2U,     0xba170026U,     0xb9e14c89U, \
    0xfb4cb354U,     0x651a6a37U,     0xc4431a9cU,     0x9c6b9be7U, \
    0x070e1ef0U,     0x3b1b73d8U,     0x78e8587fU,     0x29c28fc5U, \
    0x19c66e5aU,     0xc35e63fcU,     0x6abaa061U,     0x900d4f2cU, \
    0xae2c305fU,     0x35a5426fU,     0xd397d3aeU,     0x925de24bU, \
    0xb4c33b86U,     0x74aa058dU,     0x7ef5b015U,     0x912b019bU, \
    0xcfb37dedU,     0x9622b1d2U,     0x273dffb5U,     0x17f43ba8U, \
    0x99ac543bU,     0xc787bf68U,     0xce5e10b5U,     0xa09c90bdU, \
    0x872c0a09U,     0x7943fef3U,     0xeade1b12U,     0xd94afb01U, \
    0x952ad638U,     0x513667adU,     0xe67eda75U,     0x7667de68U, \
    0xc9f50b53U,     0x8010a935U,     0x070e31dcU,     0x7926eb74U, \
    0xce3062dfU,     0x6af62255U,     0x55e59acfU,     0x8a78453eU, \
    0xb2093dbaU,     0x459f3d6bU,     0x73a577a4U,     0xed564035U, \
    0xed3fc8c8U,     0x548a24c0U,     0xd309cf08U,     0x9d9edb27U, \
    0xc8c2fc01U,     0x40b7a611U,     0xeda4ccbcU,     0x4d8fa164U, \
    0x6bec5580U,     0xed0936d6U,     0xbf3e08c7U,     0xa955d74aU, \
    0x061d2c54U,     0x4cf04b0aU,     0xb0d8189fU,     0x8fa2b7f0U, \
    0xf17ae649U,     0x98658c15U,     0x3c1858aaU,     0xaaeb5cf7U, \
    0x4b71f491U,     0x6ffcb937U,     0xaa15207eU,     0x6b2430e3U, \
    0x9e70d74dU,     0x1b69f37cU,     0xecd54d3dU,     0x56e1a9e6U, \
    0x97ce1d3cU,     0x7606d210U,     0x81845adfU,     0x04372edbU, \
    0xa16debdbU,     0x63f00541U,     0xf4e0ecabU,     0x79967b9bU, \
    0x21c50deaU,     0xa4db229aU,     0x1d36609cU,     0xd414afa9U, \
    0xcc34c390U,     0xe33a6362U,     0x73a8cd37U,     0xe753b90dU, \
    0x6d767140U,     0x0c6534b4U,     0x6d7dc305U,     0xd2c241feU, \
    0xa85dac2dU,     0x2b60ee1dU,     0x65d2303dU,     0xe1ccde0dU, \
    0xb8a8f400U,     0x7eb69e57U,     0xa18ceb8bU,     0xce996bf5U, \
    0xebb0f52fU,     0x430c8f42U,     0x7a52e398U,     0xe99c0289U, \
    0xf2955226U,     0xad319171U,     0xecde4706U,     0xebce5ee2U, \
    0x8479a5a7U,     0x53a48370U,     0xfa0c1738U,     0x9ad6a953U, \
    0x26dc177fU,     0x5c50d1d0U,     0x25b04f8bU,     0xef178805U, \
    0xa7e9223aU,     0x142294d4U,     0x040b21f1U,     0x90562b18U, \
    0x64a54e39U,     0x71545994U,     0xe91633eeU,     0xabe3725bU, \
    0xc2ad21e6U,     0xfc2e1a49U,     0x895ddcaaU,     0x0eaf42b1U, \
    0x8269cf96U,     0x3a222b66U,     0xd4609d3cU,     0xa6c78b32U, \
    0x0c6f1282U,     0xf3254671U,     0xf452246fU,     0x1e745ca4U, \
    0x6cd819a4U,     0x487b03c7U,     0x07bc2cc2U,     0xc97da7f8U, \
    0x5377476dU,     0xc6966a0aU,     0x668d7650U,     0xd85d8730U, \
    0xc5dfd5ceU,     0x80ab6fa6U,     0x51c9f749U,     0xf5d93d19U, \
    0x54f489a2U,     0x668dc3e8U,     0x8cd7406fU,     0xf8e7cd4dU, \
    0x1c7e46d6U,     0xc2479272U,     0xb2b82fb7U,     0x267687b1U, \
    0xff2276eaU,     0x8e014eafU,     0xea348d47U,     0x015be03aU, \
    0x83a3b91dU,     0x5d2b23cfU,     0xa1c0b0b0U,     0x98664e6eU, \
    0xaddc1319U,     0xb1e3c914U,     0xebf8a3b8U,     0x0d2d23a5U, \
    0x69a6bd45U,     0xc502e31aU,     0x034ceea5U,     0xd81a1c6cU, \
    0xceed4245U,     0x6bfc082eU,     0x3f3c6b83U,     0x0dfa3b70U, \
    0x4383759cU,     0x1b38bfe6U,     0xa314ee45U,     0x62c0590eU, \
    0x6333f381U,     0xb00a04ffU,     0x4d3f0938U,     0x0b454400U, \
    0xe6f2b515U,     0xbe2c4c47U,     0xcab75fb5U,     0x9b364d34U, \
    0x6b3b06d4U,     0x5f6268e6U,     0xd3f1fe18U,     0x33c95d2dU, \
    0x56ceea26U,     0x5d1019aeU,     0xa0f8e5f7U,     0xaa80c3deU, \
    0x5f0915c5U,     0xc79c092bU,     0x5df000daU,     0xb870a183U, \
    0x360b46e2U,     0xd242c2daU,     0x5d659734U,     0xda04e813U, \
    0x1c10a07eU,     0xa80e5eceU,     0xe29b9be5U,     0xe37df1acU, \
    0xb8f82e64U,     0x7d7005a6U,     0x6c2e477bU,     0xc14e0258U, \
    0x5500d686U,     0x60525c3cU,     0x62187c2aU,     0x65bd76f4U, \
    0x8e515fe6U,     0x8d1ff23fU,     0xee7995b7U,     0x1949b4e6U, \
    0xa277274eU,     0x44d08654U,     0x50206e8bU,     0x4460afdeU, \
    0xd083f0efU,     0xe61dd25bU,     0xe228371cU,     0x8beeaec3U, \
    0x0fe45ffaU,     0xeb611118U,     0x619e0b77U,     0xf9686802U, \
    0x8049fb13U,     0x18887a80U,     0x217d272bU,     0xe28763c3U, \
    0x85f9d92eU,     0xa4ae086bU,     0x2fa3296eU,     0x4c1bbd7eU, \
    0xa6a30e94U,     0xd1b363e8U,     0x99dce152U,     0xe73c37b3U, \
    0x20bdf800U,     0xf8566c98U,     0xabe1f0b8U,     0xdd89b17aU, \
    0x56e20a53U,     0x6070f03aU,     0x6eb412e2U,     0x7f3e7300U, \
    0x7f3f5119U,     0x4bdb9073U,     0xd05cfaf2U,     0x37f7c472U, \
    0xf5c27553U,     0x2e33b06aU,     0x031416aeU,     0x81f1e3c0U, \
    0xc6b8c6bbU,     0x2e10b916U,     0x81f2f954U,     0xef747e33U, \
    0x4de1b208U,     0x77d43418U,     0x8c8c06eaU,     0x7af026e9U, \
    0xb3937151U,     0x6c170ef7U,     0xc8903170U,     0xe68f5517U, \
    0xc09a9dacU,     0xf7698ca9U,     0x8120073aU,     0x888e350eU, \
    0x819951c0U,     0x0ebfea6bU,     0xc41a6e3cU,     0xc262ca41U, \
    0x1e696b4fU,     0x85913e5bU,     0x9cfa8f82U,     0x0c91fc44U, \
    0xa5a14102U,     0xbe5b4535U,     0x499dec67U,     0xf09f1ac7U, \
    0x4d8a18e4U,     0xcb0a1fedU,     0x81c44c9fU,     0x327e8910U, \
    0x00a3ce52U,     0xde847522U,     0xb34b3230U,     0xd2fd1962U, \
    0x62370b62U,     0x50200ca5U,     0xd9948ec1U,     0xa135b5d8U, \
    0x9d7f9039U,     0xc1886e4bU,     0x1e4606c1U,     0xe512d2b5U, \
    0x28dcba6cU,     0x0b3935fdU,     0x087b9e1aU,     0x24c042a4U, \
    0x070c9203U,     0xbf06280aU,     0xe8dc7979U,     0x3144956eU, \
    0xbd49ca30U,     0xff38914fU,     0xc4425b55U,     0x5375b7dcU, \
    0xa6bf3964U,     0xe582d81dU,     0x66379c8dU,     0x0f126a10U, \
    0xdfb99d0bU,     0xda677423U,     0xa3875fc5U,     0xde23f29bU, \
    0x1adbb0b5U,     0xa275ec43U,     0xbbc93b07U,     0x8148b626U, \
    0xe950f8feU,     0x8bd501e5U,     0xe5935bc5U,     0x99459419U, \
    0x1a5ccb2fU,     0x2f0f1a6fU,     0x00096317U,     0x0755f219U, \
    0x7a9d22f3U,     0x59605aa6U,     0x2928b388U,     0x6289ef91U, \
    0x83303481U,     0x9f9a60d9U,     0x92ef4f65U,     0x24cf29caU, \
    0xfdf476fbU,     0x7dc4d178U,     0x2ced7339U,     0xe0573963U, \
    0xcaa0798bU,     0x8982fdacU,     0xd92b6f9fU,     0x7f4bb22eU, \
    0xb56f71afU,     0x34ffc145U,     0xe0b6f637U,     0x7fa7718aU, \
    0xc56ca632U,     0x1b0dddd2U,     0xb7cacf4dU,     0x52387fefU, \
    0xd32669e0U,     0x511952f3U,     0xa0331f9aU,     0x52ebf816U, \
    0x19daa1a6U,     0x68e16f84U,     0x22558380U,     0x51e5529bU, \
    0x5353e861U,     0x7a6d7f51U,     0xa105e725U,     0x17e0279dU, \
    0x16d2faefU,     0xd6f0b836U,     0x728a6bbbU,     0xc83dea94U, \
    0xeffb1400U,     0x15a1e501U,     0xf29036dbU,     0xe79db308U, \
    0x5c4a9cb4U,     0xe99f1bf7U,     0xe0432915U,     0xbd0ccbdfU, \
    0x4991e087U,     0xdc85d0daU,     0x846ac6e9U,     0x51acd022U, \
    0x53510bfeU,     0x0b34d103U,     0x2bf5febaU,     0xf62392c0U, \
    0xb15691aaU,     0xf7ffb4b2U,     0x01a32636U,     0x6d78f53eU, \
    0xc94bd2c7U,     0x2129aa57U,     0x8dd33db1U,     0xec0e9190U, \
    0x3fa7640eU,     0xab8f1e4eU,     0xe4e66fdeU,     0x6ff954a3U, \
    0x519b19fcU,     0x11d3b346U,     0x6ea3edcaU,     0x5fde27faU, \
    0x0c87d65dU,     0x44b51dfdU,     0xf51c8eb9U,     0xc54c2278U, \
    0x290f4e64U,     0xaf30b405U,     0x6a8fcb64U,     0x8d355c33U, \
    0x1f81e92bU,     0xf4f1b704U,     0x704ea52cU,     0xcba868e8U, \
    0x6d5fd220U,     0xb06adcc3U,     0xce8933faU,     0xe79f703cU, \
    0x3c575d26U,     0x876a7c68U,     0x29327c0aU,     0xb726d079U, \
    0x43f849ddU,     0x26326015U,     0x5dcc4cf1U,     0xcf46f963U, \
    0x1e741284U,     0x505a2263U,     0x9b9a650aU,     0x61c47ee0U, \
    0xdf55cfd5U,     0x1950c3c9U,     0x57ec8c8fU,     0x24dccdbbU, \
    0x96e77b68U,     0xc3773d42U,     0x4154515aU,     0x12521f66U, \
    0xa197e60cU,     0x5f170b96U,     0xf2e42e6dU,     0xe2bfbd0eU, \
    0xce799b60U,     0x9baaa9b8U,     0x07144fb0U,     0x26069839U, \
    0xa0bcdf28U,     0x639537c5U,     0x09895aa7U,     0xda709961U, \
    0xdc273c4eU,     0xc30eb413U,     0x543c16c1U,     0xb6b3fc38U, \
    0x4e8f8accU,     0x2b324d0aU,     0x19580cd8U,     0x74822396U, \
    0xbd7f9173U,     0x8d2cb0e6U,     0xe60ba422U,     0xe2c5030cU, \
    0xf758de61U,     0xdd4843e8U,     0x6ab539f6U,     0x71af6393U, \
    0x8cb8c90eU,     0xc3be3368U,     0xbe26d98aU,     0x124d8490U, \
    0xf2cf804eU,     0xeed636edU,     0xb95378c0U,     0x3024d7ccU, \
    0xfb256ee5U,     0x7860d3e5U,     0x85f06189U,     0xe50f5709U, \
    0x921fbf72U,     0x4a8bb869U,     0xd17b5bb8U,     0x6da1124bU, \
    0xe0e54a92U,     0xaf9e9f4eU,     0xe94c61a4U,     0xe0f2eebdU, \
    0x6298e114U,     0xaa1e0e89U,     0x5c6e6381U,     0x1dfb0b27U, \
    0x4df142f3U,     0x372abd95U,     0x775e8b09U,     0xfa422dd8U, \
    0x193564cfU,     0x33b13cfcU,     0xd7c0802dU,     0x2294e152U, \
    0xca243fe3U,     0x558db380U,     0xc15e84f2U,     0xab405717U, \
    0xa3660d3aU,     0x6b0099e9U,     0xc515b00aU,     0xd05ebd29U, \
    0xb423db85U,     0x2b1ea6f8U,     0x4d72b150U,     0xeeba92dcU, \
    0xc92337cbU,     0x4cdf6a68U,     0x63691406U,     0x35e26350U, \
    0xf08af07eU,     0x0508237cU,     0xe0012ae5U,     0x1ed95d43U, \
    0x77c0032bU,     0x1a4d8360U,     0xeedff188U,     0xc5f218c8U, \
    0x29dbe631U,     0xa89b9d3aU,     0xa04d037dU,     0x9b0d0a1eU, \
    0x3acb82d3U,     0xa1c9811dU,     0x32841851U,     0x71244601U, \
    0xf958602cU,     0x30ca2091U,     0xd0608497U,     0x44740e45U, \
    0x6695deb2U,     0xa249f24dU,     0x4b51b0f9U,     0x02d21d4aU, \
    0xcf03fc4eU,     0x4fc8fba2U,     0x1a8fa2e2U,     0x6c4b8c7fU, \
    0xc0d10357U,     0xfcf1f785U,     0xcea10d35U,     0xdc204a87U, \
    0x1c4cf093U,     0x70730e8bU,     0xa26a89c1U,     0x45ab61abU, \
    0x13f83fafU,     0xfca592feU,     0x05dea3a0U,     0xe0ed82daU, \
    0x8a286251U,     0xd0bd387fU,     0x1246b5beU,     0x780dd491U, \
    0xc3570ab8U,     0xf8077182U,     0xbc976489U,     0x8d15c7caU, \
    0xcfa232feU,     0xb27273edU,     0x4ca1de81U,     0x5eea9e79U, \
    0x73e3ad9eU,     0xdd949ad0U,     0xf91f027cU,     0x46e366cdU, \
    0xcaf0915bU,     0x05545479U,     0xb9a59a98U,     0x278a77bdU, \
    0x8c55aa5eU,     0x39c970f5U,     0x30f9be03U,     0xf5cfa4f5U, \
    0x30d35943U,     0xe90072f9U,     0x442751edU,     0x8910f959U, \
    0xca56a79dU,     0x2fc8b79bU,     0x97134c64U,     0x327a0dd1U, \
    0x96d61123U,     0x19ec670eU,     0x2d29a830U,     0x1efd41e8U, \
    0xbdd1ca44U,     0x21b6e6a0U,     0x8a1c1af0U,     0x037a5d98U, \
    0x2cd24b9eU,     0xffc5964dU,     0xb3516a7eU,     0x29b00c0aU, \
    0x6689d9f3U,     0x589c57a6U,     0x4c3fa62cU,     0xf9d4b8deU, \
    0x5ad7b785U,     0xfa2d0964U,     0xb2ae8821U,     0xeb4620b6U, \
    0xee2ca454U,     0x2570f0cdU,     0x307a8cacU,     0x64f0e40cU, \
    0x36adc45cU,     0xaafe7fc4U,     0x0e97e291U,     0x29c84a94U, \
    0xc0661557U,     0x4f11a6bcU,     0xcaa28e55U,     0x755b2897U, \
    0xc5cb4887U,     0xdfcd5b36U,     0xa9bb326fU,     0xa9b649c1U, \
    0xb6f1494fU,     0x5791bafaU,     0x8dc9524dU,     0xa8673441U, \
    0x7d7ee5e5U,     0x8c60def7U,     0xcf114cecU,     0x9c3cfd02U, \
    0xf0e80d91U,     0x93f85453U,     0xa4f2af58U,     0x19063904U, \
    0x9c4e9c4cU,     0x1252c03aU,     0x0e465bb9U,     0x7a53bdd3U, \
    0x97963c7eU,     0xa9186760U,     0x53c5f97bU,     0xd4078b45U, \
    0x3ee08490U,     0xdab3e9f5U,     0x0180798aU,     0xc9c15d97U, \
    0xa457212fU,     0x83ebdf9fU,     0xfa0cb782U,     0x7b00e9c0U, \
    0x234f623eU,     0x255dabeeU,     0x77e7aebaU,     0x4f285fadU, \
    0x0aea4fc5U,     0xda613c91U,     0x0f801250U,     0x0aa3d74bU, \
    0x3b127bb9U,     0x7581773bU,     0xdb541848U,     0xa9982280U, \
    0x3f73f274U,     0x16e0c3ffU,     0xf3a7d3f8U,     0xe1b984f3U, \
    0x6444ea9aU,     0xebee0466U,     0xf3d317faU,     0xfb61fed4U, \
    0xb2ef6626U,     0x73843bb1U,     0x1cc18802U,     0xf2b38277U, \
    0x0eee676cU,     0x9961f392U,     0x4156ab75U,     0xf2ee3a97U, \
    0x21571351U,     0x08d5fbe7U,     0x47e8f0d7U,     0x5d8d2b8fU, \
    0x117ba1d0U,     0x6a9d8d09U,     0xe6197d13U,     0xb7245513U, \
    0x66dd379bU,     0xcea31e29U,     0x83468b16U,     0x70dc6d4dU, \
    0x78998a13U,     0x5bab7acbU,     0x2bdacbf8U,     0x1cd6513aU, \
    0xade8def3U,     0xdd8fa789U,     0x30f045b7U,     0xf3eca2aeU, \
    0x608f4102U,     0x510e5c15U,     0x7446493aU,     0xfda2e2e5U, \
    0x5cb385deU,     0x1701ac68U,     0xa90321e0U,     0xdae3cca5U, \
    0x6bf88388U,     0x28f398a9U,     0x353f4d8eU,     0xed7b28f1U, \
    0xf0b470abU,     0x12bfe9ccU,     0xb21ff759U,     0x68d1f2e7U, \
    0xab748a85U,     0x9863bc6dU,     0x2deea168U,     0xa660b075U, \
    0x97f7a235U,     0x6189ef26U,     0xbb4c102eU,     0x157add69U, \
    0x28af2148U,     0x9d93d973U,     0x57d1b5a0U,     0xddb63169U, \
    0xd9f94cb7U,     0x21451625U,     0x26c6ae34U,     0xda9be1a2U, \
    0x9701dc3bU,     0x8cbcacf7U,     0x6bf4dde8U,     0x79b93d58U, \
    0x04cd52c9U,     0x9369c17bU,     0x96401149U,     0x7885535dU, \
    0x95eb9139U,     0xc1ea524eU,     0xbdfb2393U,     0xfeb13b7eU, \
    0xe6e282b1U,     0xd7a1046aU,     0x1d874093U,     0x1dc328d7U, \
    0xc078cf74U,     0xe71bd0acU,     0xdedf0944U,     0x677ad222U, \
    0x409891a0U,     0x2960f34dU,     0xfdcede43U,     0x19a3c149U, \
    0x6e98ec8eU,     0xa4595c8eU,     0xb1e4a372U,     0x939b0ea1U, \
    0x190c1378U,     0xc8df3992U,     0xfee54cf5U,     0xf6ff678dU, \
    0xed2f1603U,     0xa917898cU,     0x2192a518U,     0x28510fe4U, \
    0x35460908U,     0x833a2213U,     0xc519f7b5U,     0x75d02e98U, \
    0x566b5052U,     0xf1e40501U,     0x5c7420e9U,     0x79289fb3U, \
    0x50809febU,     0xe99ffa84U,     0xa587c694U,     0x343e4d4dU, \
    0x0f7f9a87U,     0x9eec5d68U,     0x951206c7U,     0x9a006fd4U, \
    0x48c1e539U,     0x3f289406U,     0xcf52b1f7U,     0x1c6d2278U, \
    0xa09c8a24U,     0x512aab4fU,     0xa8950500U,     0x9dbb164aU, \
    0xe6a69682U,     0xeb3b7fe7U,     0x729b22afU,     0x584c4ad4U, \
    0xd96462b0U,     0xfeb91948U,     0x05b9eb45U,     0x782ec75aU, \
    0x90bcbd2cU,     0x9294dbceU,     0xe7e22551U,     0xa0a50bb0U, \
    0x17c4d7d7U,     0xced12cbcU,     0xfdca69ccU,     0xe0ed4b42U, \
    0x9af6246cU,     0x1a17f422U,     0xfa568e21U,     0x5eb88840U, \
    0xcf6c25ddU,     0xefdc1107U,     0x9ff3cadaU,     0xb94c9f39U, \
    0x60a6569dU,     0x4e991563U,     0x165304efU,     0xddf32a57U, \
    0x86f9e14dU,     0x30288cd6U,     0x8c362b08U,     0x47ad4625U, \
    0x45389a30U,     0x20c152bbU,     0xd58c4890U,     0xa43402c0U, \
    0x668c064cU,     0xabb2ee28U,     0xfe037e27U,     0xc0cb61d4U, \
    0xb63cb9c8U,     0x29680cccU,     0xd9ad3eadU,     0xb7d2602dU, \
    0x4dd27791U,     0xf25e7becU,     0x06d3eac5U,     0x21b00e95U, \
    0x242e9f6bU,     0x37820d5eU,     0xa2653ecaU,     0x70968b53U, \
    0xe41dbce6U,     0xf233f343U,     0xa9060d0dU,     0xc808f98aU, \
    0x32fca96eU,     0xa7c9007fU,     0x30d88066U,     0x21beb1bcU, \
    0xb6037e54U,     0x576e1460U,     0xca19dea9U,     0x5420e811U, \
    0xf47ca129U,     0xc8e09565U,     0xb82244f6U,     0x09bdcb41U, \
    0x030af595U,     0xfbd32123U,     0x7f624004U,     0x10e3e5caU, \
    0x50a3c7b9U,     0x0b1fe9bcU,     0x3e91aee8U,     0xed7c80a4U, \
    0x0bc129afU,     0x97e5822eU,     0xa0624eebU,     0x77464ee0U, \
    0xbf42cc4eU,     0x62d55c33U,     0xc9e1a67fU,     0x900b579fU, \
    0x5f26948eU,     0xd57e5b69U,     0xbe153654U,     0x5b019d8fU, \
    0xd638a568U,     0x6f1e44c6U,     0xa1abcd56U,     0xe816757fU, \
    0xec1346c1U,     0x8b7e030fU,     0xe69eba31U,     0x9b20332eU, \
    0x16df6672U,     0x4f212b36U,     0xdd7edac3U,     0xe4ee36b4U, \
    0xefdd5996U,     0x4fd92b4aU,     0x63fcb878U,     0xc94cda93U, \
    0xa1401f13U,     0x2be004e1U,     0xabadce33U,     0x441d3b8bU, \
    0xf0480928U,     0xe9b5bb76U,     0x8ed2d116U,     0x5007f0aeU, \
    0x8788b3dfU,     0xebb4f2dbU,     0xeedd2b22U,     0x543244f4U, \
    0xaa2ff845U,     0x1242c134U,     0x37d60618U,     0x59203d3bU, \
    0xe50a30acU,     0x04cb299aU,     0x73924eeaU,     0xcc529e30U, \
    0xc0219effU,     0xcbb81228U,     0x1af06578U,     0x1f9edef1U, \
    0x50c99958U,     0x017610e1U,     0x8f91eeabU,     0x46ee70d0U, \
    0x8484667bU,     0xe5a65d8bU,     0xdfabba4dU,     0x341de0a2U, \
    0x34a26d47U,     0xf59e9eb7U,     0xc8e783e9U,     0x156aa388U, \
    0xd1fea76aU,     0x68fbe6dcU,     0x85d57757U,     0xbe14d8eaU, \
    0x9a47875eU,     0x7d410246U,     0x22b38dc5U,     0x893ce4d7U, \
    0x30e14270U,     0xc29ee653U,     0x5f820ee7U,     0x21cb713eU, \
    0x24d0a1e2U,     0x62c2785bU,     0x2a21de8cU,     0xb8648d85U, \
    0xeba5176aU,     0xfb2e8ef7U,     0x236fea00U,     0xd9efce4eU, \
    0x019576aeU,     0x83891964U,     0x8d4985d2U,     0x6bdd9e44U, \
    0xec9b1058U,     0x9a13382dU,     0x1d5075e1U,     0xb29b7cecU, \
    0xedd0cd7fU,     0x47b3cd3bU,     0xd614353fU,     0xb9032d4bU, \
    0x11e32e1dU,     0x186075a9U,     0x65b6a987U,     0xfe46a4a4U, \
    0x2f5031beU,     0x85a96779U,     0xcf82e8b3U,     0x402a4eacU, \
    0x37c89107U,     0xf299a936U,     0x89674d51U,     0x498b6d10U, \
    0xffc41b22U,     0xf7c43208U,     0x0e525c1dU,     0xdd6ade0eU, \
    0x8b7ee279U,     0x31f8972fU,     0x02ba119dU,     0x970d91a4U, \
    0x6eba5193U,     0x89008c0dU,     0x4f48144fU,     0x6d2ba99bU, \
    0x097b6d20U,     0xe63b79b2U,     0xb0d568d4U,     0x4fe021c7U, \
    0xda9fbcddU,     0xca2a6c58U,     0x0c71cf4aU,     0x01023c2aU, \
    0xad5f0d36U,     0x74a16f56U,     0x735f8bd2U,     0xd74349c5U, \
    0x809bf946U,     0xa1d1fd99U,     0xc5c4553cU,     0xf95127d1U, \
    0x325046eeU,     0xc5e4d4f0U,     0x5bb46b31U,     0x7189ee53U, \
    0x0ce1e05bU,     0xf578bbd5U,     0x36f6cbc0U,     0x8e4fffb7U, \
    0x713b01a5U,     0x449290f8U,     0x93171b71U,     0x069d777eU, \
    0xb94d8abcU,     0x74611d12U,     0x2b98a6dfU,     0x59325c2cU, \
    0xcf067a42U,     0x97cd60f6U,     0x4c14043cU,     0xc7f4c87fU, \
    0x7ef8443cU,     0xb80fff52U,     0x9ec2c6bdU,     0x844fb569U, \
    0xe1c66559U,     0x6d9af2e1U,     0x23fd7bc3U,     0x412c971dU, \
    0x4b938a0dU,     0x186d56b4U,     0xa042d0bcU,     0xe1096459U, \
    0x38ca75ccU,     0x2de6f46fU,     0x552cf202U,     0xf64d2da1U, \
    0x678b9e8fU,     0x79cc29a3U,     0xcf6c1851U,     0x71bab6ebU, \
    0x798b4546U,     0xc113b6f7U,     0x4947678eU,     0x1097cdfbU, \
    0x28045c95U,     0xb8a09b43U,     0xc34c7506U,     0x04f5552cU, \
    0xbd090f3aU,     0x34323b38U,     0x63eca5ecU,     0x5e0bad39U, \
    0x2a83cc7bU,     0xd43fabf2U,     0x88286445U,     0x0c6b736fU, \
    0x7e742727U,     0x54e27373U,     0x997e7f51U,     0xe7bcf3a7U, \
    0x718d0a62U,     0x451d5ed9U,     0xa175bdedU,     0xd261d58cU, \
    0x3eebf843U,     0x1ab644f6U,     0x10029d8bU,     0xe5d7f920U, \
    0xaf4eeac5U,     0xb95cfcd5U,     0x01589969U,     0x5a1c335bU, \
    0xf4ef546dU,     0xeb9c1f5dU,     0x1c4e1abbU,     0x08474352U, \
    0x02324483U,     0x5451a21dU,     0xe2246ebeU,     0x5c7c6df1U, \
    0xd6eea95fU,     0x03b34c70U,     0xd79fad08U,     0x074dfb21U, \
    0xb1d1dd2bU,     0x28d5b305U,     0x94c1a456U,     0xb61a59dbU, \
    0x524f6fa7U,     0xa728dba1U,     0x9ffd419aU,     0xbac19362U, \
    0x1f50269aU,     0x2d540635U,     0xc76b1e50U,     0xfc8df771U, \
    0x30e8b45fU,     0xb96d980dU,     0x73086a6bU,     0x77c54640U, \
    0xb97e26f4U,     0x67d1571bU,     0xd693cf95U,     0x8340fbf7U, \
    0xe6b7157fU,     0xd140e5abU,     0x743b0410U,     0x9f86a765U, \
    0x63b3d2d2U,     0x5d3f3e3dU,     0xadc75ae5U,     0xb80fbae4U, \
    0xf354f883U,     0x02dca2d2U,     0xa66f7b02U,     0xb3866455U, \
    0x871c28f5U,     0xcbbec6c4U,     0x2d1f786cU,     0xfc8b79ccU, \
    0x64b7e32bU,     0x158c783cU,     0x6ee2a6e7U,     0xd0040643U, \
    0xd7c926b9U,     0xf1f9a13cU,     0x1e0e2b02U,     0x36876617U, \
    0x2eb4bb87U,     0x4baab4aeU,     0x99eb9f5bU,     0xcb6a01edU, \
    0x2389cbceU,     0xd1adb761U,     0x70d99583U,     0x02b3a960U, \
    0x3cc41e97U,     0xccea57ecU,     0x014d4d92U,     0xd181d49bU, \
    0x91e0a80aU,     0xc4027ad3U,     0x08708ca5U,     0xdf19da90U, \
    0x5379ab59U,     0x098e2da2U,     0xf5ca0902U,     0x86000fd6U, \
    0x889d23e8U,     0x1020521eU,     0x450fad6bU,     0x2309c14bU, \
    0x2cd8531eU,     0x4e59e463U,     0xc4b3890eU,     0xbebf8e10U, \
    0x78044ac9U,     0xbec17e01U,     0x1bc65929U,     0xafb5ff8dU, \
    0xa4050a36U,     0xc448607fU,     0x570b0769U,     0x7e48351bU, \
    0x6cf8fa2fU,     0x01dca151U,     0x03fd392aU,     0xe67c5cf1U, \
    0x30a1560dU,     0xf3e1b616U,     0x00da42a6U,     0x2b53d497U, \
    0x1e1c2483U,     0x5e2b4fc7U,     0x5a727165U,     0x860b5c8dU, \
    0x0b09d43cU,     0xe71482b3U,     0x735033fcU,     0x0c5c6cecU, \
    0x389d3933U,     0x18f60658U,     0x0b6d3d08U,     0x2c186d89U, \
    0x9333e5b4U,     0x6648dbceU,     0x2620bd06U,     0x6e78397eU, \
    0xc6a9ad25U,     0x53a934b4U,     0x4bc2f016U,     0x7096a10cU, \
    0x363c27ffU,     0xd3e93edeU,     0x79b4774eU,     0x76a81606U, \
    0x10e7ae0aU,     0x4831c6e2U,     0x87106910U,     0xadd6fb7fU, \
    0x70a71ee5U,     0x3e1ef4bbU,     0x5f33be21U,     0xaaaa1dddU, \
    0x000ee694U,     0x4feba33dU,     0xda07a458U,     0xeabd7ec7U, \
    0xdfb65c4bU,     0x7e3ccbfbU,     0x37fd6dacU,     0xabd30d69U, \
    0x83ae0c00U,     0xfb501e68U,     0x6918dee6U,     0xd14112c8U, \
    0xf33000efU,     0x193f1e01U,     0x7c687cdbU,     0x390351c2U, \
    0x4e9746d2U,     0x3d1ff330U,     0x46c59e6fU,     0xe9e79ee3U, \
    0x462d095fU,     0xba663690U,     0x34039384U,     0xee99be6eU, \
    0xe556ab9fU,     0x9ae1d2ecU,     0x5316b1ffU,     0xef988f12U, \
    0xff930364U,     0xea9edef0U,     0x02ea5699U,     0x3220f69aU, \
    0x4e1835acU,     0x5be87c08U,     0x7a8915d7U,     0x5c6bcc58U, \
    0x390d838eU,     0x7ca67709U,     0x465abf2eU,     0x0bc7c7b2U, \
    0xe2fef59cU,     0x8ed5ec96U,     0x1f8df413U,     0xcd98399eU, \
    0xdf64913fU,     0x5056dd6aU,     0x73190551U,     0xa8207d35U, \
    0xb9d616b9U,     0x7e977fb3U,     0x182a2fb5U,     0x1ae16b7aU, \
    0xc39c13baU,     0xb170cd14U,     0xf5b66e6bU,     0xe0360d65U, \
    0x8f0c2c6cU,     0xee53e501U,     0xcc896950U,     0xed22aa50U, \
    0x7bda218eU,     0x14c34c0dU,     0x2fdad24eU,     0xc7c0ff4eU, \
    0xd7538ac7U,     0xebc52e75U,     0x5503b159U,     0x9b3d3918U, \
    0x227c273dU,     0xfe84720eU,     0x7fce1b84U,     0xbd950e5fU, \
    0x447370e3U,     0x5f183dcdU,     0xc6492cb1U,     0x0533f58aU, \
    0xb8305617U,     0x4aa1c730U,     0x5ba559a1U,     0x5b5376aaU, \
    0x435069cbU,     0x6536952aU,     0xab71ec87U,     0x3cb897d0U, \
    0xfa50e8bdU,     0xa689cc42U,     0xbea1bdc0U,     0x7a985f53U, \
    0xd24de3b9U,     0x7af35b7dU,     0x4974f907U,     0x1d4a1231U, \
    0x8916b22bU,     0x572d240cU,     0xfe7fb3e6U,     0x06757b29U, \
    0x80675f9fU,     0xdf5c32d9U,     0x08b22995U,     0xef9935ecU, \
    0xaf5c6c7aU,     0x43786276U,     0x4e32b5b5U,     0xddf1c675U, \
    0x186452efU,     0xfafeb334U,     0x00f8aa15U,     0x9795fa13U, \
    0xc586460dU,     0xede5cb31U,     0x3cda53d6U,     0xfeea498bU, \
    0x4516ca5cU,     0xbacc5840U,     0x3670affdU,     0x92c13718U, \
    0xb1a4c443U,     0xdb15a32eU,     0x161343caU,     0x9f59df55U, \
    0xfda6860eU,     0xbd7077c6U,     0xf986e9b1U,     0xd1642acbU, \
    0xe160c4aaU,     0x71a64726U,     0x4d33422dU,     0xc2263465U, \
    0x3dc0a515U,     0x004498e0U,     0x89a6f741U,     0x84e46b5bU, \
    0xf2f60f65U,     0xbbde93d6U,     0x37038f82U,     0xee73984cU, \
    0xcbc88e98U,     0xabba4a49U,     0xb056e3a2U,     0x13673351U, \
    0x32661785U,     0x76445fc6U,     0xfe13aeeeU,     0x16d9f994U, \
    0x3b486bb1U,     0x0924b2c6U,     0x51b98d89U,     0xea39540cU, \
    0x93931658U,     0x55886fc5U,     0x67a45679U,     0xa34ab992U, \
    0xfea1ea64U,     0x363cf5adU,     0x34a14fadU,     0xdb6ba9afU, \
    0x5d88cb9cU,     0x01278c45U,     0xfff1541cU,     0x3f37a204U, \
    0x1bc45b8bU,     0x6742ae1fU,     0xf00e7607U,     0x2e338f72U, \
    0xa02750d6U,     0xb48182ecU,     0x642e5164U,     0x3c122fa6U, \
    0x71e9987eU,     0x879be224U,     0x01993ca2U,     0xb5884ef1U, \
    0xc39cef66U,     0x2775782bU,     0xa7f8a8c6U,     0x03a8db20U, \
    0x7b3c897aU,     0xaffacfcfU,     0x2c8885beU,     0xe212a363U, \
    0xff0b03e8U,     0x7790dd83U,     0x2e38b79eU,     0x271c6690U, \
    0x0fd522acU,     0x1b1676fcU,     0x09d6cb7eU,     0x5cbc9ec3U, \
    0xa2bcadbfU,     0x39a5182fU,     0x1ffb740fU,     0xd921a614U, \
    0x725a31ffU,     0x161c3329U,     0x21d4f866U,     0x6166de33U, \
    0xc0c09395U,     0x1d6a1ac2U,     0x7c07f7a4U,     0x7e8d923eU, \
    0xfbb3375cU,     0xa124a08dU,     0x427463dcU,     0x08845e78U, \
    0x59019b30U,     0x52e5f3d2U,     0xca4992ccU,     0xdb62e50eU, \
    0x8039f4aaU,     0xdcce9710U,     0x28fcee8fU,     0xf8003943U, \
    0xea4ec2bcU,     0x953cf606U,     0x0c7c5717U,     0x8ea7936dU, \
    0x2119d2b2U,     0xcee926e6U,     0x396d2037U,     0x66db778cU, \
    0x480701ceU,     0x6bf5742fU,     0x099cd291U,     0xe549e68cU, \
    0x37708285U,     0xa5edb4faU,     0x832e056eU,     0x4ee1e468U, \
    0x98bc8353U,     0x8f7fe616U,     0x13ad8009U,     0x90e8a25dU, \
    0x87cac5b4U,     0xc76dad66U,     0xcfb39640U,     0xed8d8f95U, \
    0xea8284dbU,     0xa09466fdU,     0x58a6cb1fU,     0xd98c0c77U, \
    0xea745bccU,     0xd313f1afU,     0x37fb8f41U,     0x98b35cacU, \
    0xca23f8e9U,     0xa75233e8U,     0xc0e58449U,     0xb5a0fce5U, \
    0x6e99ab1bU,     0x976c40a2U,     0xa0f3047fU,     0x31e66373U, \
    0x9e789238U,     0xf87ae860U,     0x108e5bf6U,     0x5baf2d7cU, \
    0xd36d1086U,     0xedb0ac42U,     0x9bbee337U,     0x735127a6U, \
    0x9a228a3cU,     0x73acfee1U,     0x3af3ecb4U,     0x0718bbc1U, \
    0xffff589eU,     0x0c7a86e0U,     0xcf0b76a6U,     0x3d9123feU, \
    0xbcfe237cU,     0x1c825105U,     0x60f2ff96U,     0x4c2224e9U, \
    0x436c4631U,     0xa3572785U,     0xaa87d5c7U,     0xa1a938fcU, \
    0xbf6a4d9aU,     0x422f8ebfU,     0x06394f1aU,     0xa9ed4cf8U, \
    0x17f72a6fU,     0x8a068c7cU,     0xd83c5751U,     0x96aa9aa0U, \
    0xd22cf0f0U,     0xf6d3cb94U,     0xfab42cdaU,     0x6aadc5e6U, \
    0x5a98b4efU,     0xddf7d995U,     0x18857323U,     0xb0af515dU, \
    0x030270efU,     0xa1ed8f43U,     0x167cc95dU,     0xad3c4339U, \
    0xadcd7719U,     0xd36e4197U,     0xaedadc1dU,     0xa16471c6U, \
    0x30cd5e96U,     0xc00b0418U,     0xe912f2f4U,     0x8135769bU, \
    0x428ddd9eU,     0x9fef1a04U,     0xfbf25ea5U,     0x38e03269U, \
    0xd80ea821U,     0x7bf9da80U,     0x13f21ee1U,     0x71f201b4U, \
    0x9e35260dU,     0xe08c0abaU,     0xce5f8bc7U,     0x72ae598dU, \
    0xdc5e31d1U,     0xc23c1b8eU,     0x4d44b5a9U,     0x68f35f45U, \
    0xb9e20e62U,     0xf755bcf0U,     0x47e6534fU,     0x22379a73U, \
    0xa2b652c2U,     0xa8ab5150U,     0xc78a3a69U,     0xdf2ed9bcU, \
    0x78e9f2abU,     0x6b883d75U,     0x9541e4c5U,     0xf8c0e21bU, \
    0x4d9244ecU,     0x8fc71f1dU,     0xa7c38619U,     0xb6d44dd0U, \
    0xd730beecU,     0x4018a7cdU,     0x32ad5062U,     0xf90f37deU, \
    0x4be14c92U,     0x58b174e2U,     0x5bd7ceceU,     0x23189993U, \
    0xc8f2aa2bU,     0x82f42718U,     0x2dc60111U,     0x6655b3d7U, \
    0x136c84b2U,     0x32764f0eU,     0x17a94482U,     0x2a40d3baU, \
    0x93ab96e5U,     0x8683e42aU,     0x6c238c17U,     0x249d9362U, \
    0xa578044fU,     0x46aa9a1fU,     0xc58f2784U,     0x495857ebU, \
    0xf130735fU,     0x221c0f66U,     0x64fa2cdfU,     0x9bdf9006U, \
    0x67e86a4eU,     0xfec0b113U,     0xbf6c2dc0U,     0x4d106de9U, \
    0x833b9975U,     0x5bd0810eU,     0x96e6e9c1U,     0xec8886e6U, \
    0xa60930f3U,     0xbc13e13aU,     0xe62cfe64U,     0x533ccec2U, \
    0x210ebf50U,     0x6fe0fd9dU,     0xf1b98673U,     0x9b494fc8U, \
    0xd463d6a4U,     0x5b0001beU,     0x94435a01U,     0x01edbc97U, \
    0xc70a3780U,     0x2a9899eaU,     0x15b5f24eU,     0x82eea77dU, \
    0x7b4a524cU,     0xe7c78288U,     0xa7f99a5dU,     0x1723c6adU, \
    0x5d693c63U,     0xb8d4032eU,     0xafb2a527U,     0x12f3fb1cU, \
    0x866e8dd1U,     0x2a01c528U,     0xfe50fc6aU,     0xde21e89aU, \
    0xd1f8d032U,     0x1b2b2b1aU,     0xb56bdabaU,     0x75b96e65U, \
    0x5dfadb16U,     0xbede71ffU,     0x0a017de9U,     0xb05f1585U, \
    0x25649ee3U,     0xb4318484U,     0x68a42472U,     0x374236f1U, \
    0x08842921U,     0xe951ad4bU,     0x38ad1566U,     0xca53159eU, \
    0x5a2203b9U,     0x43929984U,     0xeab19a94U,     0x8ee47896U, \
    0x9b891153U,     0x44c0fc5dU,     0xbe33e1adU,     0x551f9b9dU, \
    0xc06c026aU,     0xe3b96690U,     0x955ce1adU,     0x7880881aU, \
    0x453b2e5bU,     0xfc54c89fU,     0xdbbe53f1U,     0x2f26c1a3U, \
    0x6489a615U,     0xe9da7af3U,     0x2f165435U,     0x4f32e18cU, \
    0xe6a8fa3aU,     0x0e0d3029U,     0x8d8e7cc0U,     0xfdb011ffU, \
    0xa1113138U,     0xc588b91dU,     0x54d78ae2U,     0x09d457a6U, \
    0x047e1eaaU,     0xa4ae3a82U,     0xe8c34be1U,     0x9e44b6dcU, \
    0x937e988dU,     0x6af70136U,     0x7d19e42aU,     0xc60f017bU, \
    0xbe41e5dcU,     0x1d5ae493U,     0x05dbe5b7U,     0x978a205eU, \
    0x8280e277U,     0xfcd7ec22U,     0xe974490cU,     0x6b611e36U, \
    0xb9796038U,     0x4c8f406aU,     0x6fc17529U,     0x12644aa9U, \
    0x59159b49U,     0x4e867892U,     0x4acc6ed9U,     0xb241dcceU, \
    0x2f2eb459U,     0x34db428aU,     0x5cdff008U,     0x81b3cfb4U, \
    0x116942a3U,     0xee95b72eU,     0xfd87ea9aU,     0x9457f9e3U, \
    0x97f230f5U,     0x6cd0bf01U,     0xdd664c9eU,     0xb0c3d097U, \
    0x1e9a7c1bU,     0x6534e307U,     0xc9c2cc61U,     0x23acf571U, \
    0x5ad4ba3cU,     0x7dfd47feU,     0x2632d91bU,     0x0912af5fU, \
    0x1bc4e8cfU,     0xe037a34aU,     0x100d67fbU,     0x1157b061U, \
    0x0ad69316U,     0x8ee2a6caU,     0x5ffe1eeaU,     0x29ae068bU, \
    0xb0fa982bU,     0xdd56ae76U,     0x2c45fb9dU,     0x3922259aU, \
    0x2050a6efU,     0x55962464U,     0x49075c6eU,     0x3703f436U, \
    0xe43434d7U,     0x0cdba337U,     0x8830892bU,     0xc9e8cf4dU, \
    0xa82e21b4U,     0x9ceab864U,     0x996f6775U,     0x0f94b9b2U, \
    0x58dd4b59U,     0x8e8ff552U,     0x0da8e528U,     0x99d30f5fU, \
    0x80692dc8U,     0xad64d64eU,     0xffb97831U,     0xd769a149U, \
    0x3d642f8aU,     0x62dffa86U,     0xe88e4dadU,     0x6dcdcfa2U, \
    0x3d106b7fU,     0xbe1fdf99U,     0x9626dafaU,     0x30f60880U, \
    0x01fe6ac2U,     0xc1ec83a6U,     0xd4dcb9dfU,     0x531b20d3U, \
    0x1f6227b9U,     0xa89ed362U,     0xc945bc32U,     0x7197092eU, \
    0xe58e91e8U,     0xac278b0dU,     0x02c98191U,     0xdf931006U, \
    0x8419f64aU,     0x9728afe0U,     0xeb66ce9dU,     0x11a4ffe2U, \
    0x090349e7U,     0xdf07e4b5U,     0x0e16078eU,     0x7f4645d7U, \
    0x70133a21U,     0x1dc01ec8U,     0x1461553fU,     0xdf731b00U, \
    0x113a8565U,     0x04d9d731U,     0x0e619ca8U,     0xf87b0e17U, \
    0x0d229465U,     0xb2fb3e7aU,     0xd98e6859U,     0xff43c1beU, \
    0xdf30dbe2U,     0x81ce3e11U,     0x11575f23U,     0xb56d9f35U, \
    0x17eaef9dU,     0x269dbd32U,     0x9132d0bdU,     0x5449d300U, \
    0x24fe401fU,     0x57644e28U,     0xcdd84e41U,     0xffaf884dU, \
    0x0936e618U,     0xd78160e4U,     0x86bef0e4U,     0x9239b896U, \
    0x18b2c6f2U,     0x8c8013acU,     0xc1d8c317U,     0xf5898340U, \
    0x598e1eb5U,     0x039e91f4U,     0x2a160167U,     0x9ac46993U, \
    0x340352d6U,     0x87fff82dU,     0xe86598adU,     0x10f28060U, \
    0x618d3e94U,     0xf54e454eU,     0x94885109U,     0x8d05ac7aU, \
    0xf0936ba0U,     0xc023096bU,     0x1ae2781bU,     0x1e30c661U, \
    0x2e67e184U,     0x3c58ffdaU,     0xeafd021fU,     0x996bb154U, \
    0x3a114be3U,     0x3950445eU,     0xfba557e8U,     0xbc3c0fbbU, \
    0xd221e95cU,     0xe85a5569U,     0x485b14f1U,     0x8542344aU, \
    0x4d27a5dfU,     0xe4e4b97bU,     0xfad3a318U,     0xb2f5dcadU, \
    0x17c4b623U,     0x9cf1936fU,     0xabedf0e4U,     0x9eb8e8edU, \
    0x882d54c2U,     0x560bcd21U,     0x0c95d28dU,     0xf38d303dU, \
    0xa9903953U,     0x8a182d80U,     0x67bb8ef2U,     0x165d69e9U, \
    0x935d35acU,     0xed4d8b85U,     0x07a1bd8fU,     0xa435f3ceU, \
    0x47ee4593U,     0xe6745e1cU,     0x0fac8ccdU,     0x8d18edefU, \
    0x87d7f54fU,     0xf268f793U,     0xdb8c37ddU,     0x551f94a1U, \
    0x693f4190U,     0x90858967U,     0x4e258008U,     0xece497caU, \
    0xfa9b874aU,     0xf82b5ad5U,     0xada9a818U,     0x02fbc710U, \
    0xf058731aU,     0xef04cc05U,     0x26780580U,     0x2adb6fc4U, \
    0xfa42229fU,     0x8e9f6840U,     0x2bd80606U,     0x3ac3ea9bU, \
    0x16d599a4U,     0x11c7b490U,     0xbb6c3d5bU,     0xb207d40eU, \
    0xefccbf36U,     0x0615aeb7U,     0xbeb52775U,     0xfeae2d87U, \
    0xf01753e4U,     0xa9bce240U,     0x5bbcb58aU,     0x817f0b57U, \
    0x2ddb5ba4U,     0x8d7ee1c6U,     0x66c3cad5U,     0x007020f2U, \
    0x44abb163U,     0x63a1284bU,     0x0e80c839U,     0xccf2fce8U, \
    0xefee5c7bU,     0x0eddac2bU,     0xff6dbc73U,     0xb183ead6U, \
    0x8245b857U,     0xff7badc4U,     0x48940517U,     0xe16f61eaU, \
    0x517be1b9U,     0xd788619eU,     0xaccbcbd3U,     0x561f2c17U, \
    0xc2368493U,     0x43af98b5U,     0x03dea881U,     0xc52dde55U, \
    0xfeca0e3cU,     0x3b6398d9U,     0x17d088c9U,     0x5669b2fdU, \
    0xe581da89U,     0xb92ab12bU,     0x02c57f9bU,     0x4d82749bU, \
    0xbc3eb9b6U,     0x7de915bcU,     0x3a0b3171U,     0xf34f5d54U, \
    0xadd0fad6U,     0x20f6b880U,     0x471e4e15U,     0xbcccb087U, \
    0x938b1fb1U,     0x8c9e60bcU,     0x6218033dU,     0x7c65990bU, \
    0xb8a75ab9U,     0x8ce9720bU,     0x14bd93ecU,     0xde2e9615U, \
    0xca94f4f1U,     0xdfb73fdcU,     0x09b16823U,     0xa2057478U, \
    0xa97741a6U,     0x39ce19afU,     0x57377c6dU,     0x7cd7a4e3U, \
    0xdb661727U,     0xf0a47478U,     0x76f372c3U,     0x417085c0U, \
    0xbb97b5dcU,     0xfc63a470U,     0x22c8e147U,     0xee9a0ef7U, \
    0x451f3bbeU,     0xe64a7490U,     0xa423c669U,     0x93f06c9dU, \
    0x5dea8f70U,     0x1227212fU,     0x03cb64fbU,     0x5a088e6dU, \
    0x6da2259bU,     0x012bb9a2U,     0x9524c909U,     0x67dca8dfU, \
    0x51732af7U,     0x76c98e84U,     0x8db79a0bU,     0x52a591eeU, \
    0xb6206329U,     0x5ee39926U,     0x35f05523U,     0xb68cb2d7U, \
    0x4e666a12U,     0x8bedf1fbU,     0xdc50a29fU,     0x8b0799d0U, \
    0x17443ca2U,     0x2d9647b4U,     0x1ab5abd9U,     0xda3ab211U, \
    0xd0241debU,     0xaeafac08U,     0x019a969fU,     0x19287a80U, \
    0x8b495beaU,     0x59c7e16bU,     0xa4c14ac1U,     0x0cd4028bU, \
    0x18328f37U,     0x5eee92f3U,     0xbf6548e5U,     0xe802d854U, \
    0xd2623b18U,     0xbd469bb2U,     0xd02187edU,     0x5fd0c9e0U, \
    0xde5548f7U,     0x50796014U,     0x8935cab7U,     0x9e169481U, \
    0xd5b7e378U,     0x2f0cd2c5U,     0xe87c7ba0U,     0x82351dcfU, \
    0xb81a2867U,     0xde359620U,     0x5b049ef8U,     0x728a2ad2U, \
    0xe3a40b13U,     0xdb867127U,     0x332afdc9U,     0x956a6576U, \
    0x1c657964U,     0xaefbc72cU,     0x61c715a0U,     0x0da19087U, \
    0xd6510074U,     0x23959434U,     0x099077abU,     0x8bd94a68U, \
    0xc03a9be0U,     0xd1af92b7U,     0x4d2d9650U,     0x656496efU, \
    0x71288646U,     0x705e01adU,     0x122567edU,     0x389e6520U, \
    0x9f33b0d7U,     0x6ace6b3fU,     0xf4aadb83U,     0x7e2edbe6U, \
    0x6eaec031U,     0xacc00c61U,     0xf21f9734U,     0x0d35b514U, \
    0x66663023U,     0x22be355eU,     0x400a7991U,     0x1cb59fb7U, \
    0x54a29a63U,     0x7e891051U,     0xe73145deU,     0x7584e5fbU, \
    0x54c807edU,     0x6e39afdbU,     0x142982f9U,     0xa191ea93U, \
    0x78f943cfU,     0x489e0672U,     0x126b6913U,     0xfce9d77fU, \
    0x3bc9fac5U,     0xb552906bU,     0x9297be61U,     0x3410bfb1U, \
    0xa5170d23U,     0x05a065b8U,     0x10638e92U,     0xcf3ad6f8U, \
    0x018961bbU,     0x5c8ecc1bU,     0x61189860U,     0x29498f8dU, \
    0x9a696992U,     0xa5500146U,     0x1d4c5e3eU,     0xba563714U, \
    0x1746ce1cU,     0x9e233e36U,     0x09befbefU,     0x7f1a9745U, \
    0xc63f59e9U,     0xde2a3683U,     0xff385ea6U,     0x9defe485U, \
    0xd5e90a03U,     0x632ae424U,     0xdc77c6c7U,     0xb3dc9073U, \
    0x9244012dU,     0x941ca584U,     0x90600317U,     0x19a19818U, \
    0xbfb13c7cU,     0x8ea751e3U,     0x58de1c01U,     0x6a61f51aU, \
    0x771ecc86U,     0xefc1f094U,     0xd929f9edU,     0x57474e0eU, \
    0x59fc6296U,     0xc23bea12U,     0x7b1b12fbU,     0x1d5db43bU, \
    0x3b8da0e4U,     0x582cef2bU,     0x55967fc8U,     0x46edab42U, \
    0x7797b84dU,     0xa0764ebaU,     0xa01fdfc7U,     0x50418c21U, \
    0x04543318U,     0xb3940546U,     0x74dafbe9U,     0x32ef38ffU, \
    0x68e3f491U,     0x65811cf6U,     0x0ca67e6eU,     0xe8449829U, \
    0x4dc4e6dcU,     0x94b65e61U,     0xc2fe7985U,     0xf2f1fb18U, \
    0x04c232c3U,     0x50f511deU,     0x841453f3U,     0x13351402U, \
    0x9f29b276U,     0xb48c0e6dU,     0xa1ce5954U,     0x80508301U, \
    0xf32a78e3U,     0x64d4f351U,     0xa4996f01U,     0x1c817f7fU, \
    0x4249f96cU,     0x133aa639U,     0x12930a23U,     0xc819898aU, \
    0x39f7d01eU,     0x5508edd0U,     0xaa81187aU,     0x35ef0be3U, \
    0x2e87b97fU,     0x4fbb5d31U,     0x6bc32073U,     0x113ba440U, \
    0x9dd4a334U,     0xdd07a20fU,     0x505cb4a5U,     0x100a521aU, \
    0x7ce52ad9U,     0xe08178e8U,     0xb9e8f61eU,     0x5ff61fdfU, \
    0x1b8dc29bU,     0x331569d3U,     0x9b5f1b5dU,     0xa7d08e05U, \
    0x02c05d75U,     0xc2a90c56U,     0x9a3df691U,     0x0a52f85bU, \
    0x6e7e73eaU,     0x391543acU,     0x5f68787fU,     0x55df19a1U, \
    0xe9a3bc37U,     0xd60458eeU,     0x3825610eU,     0x99dfa5e1U, \
    0xcf8703fdU,     0xb634bbceU,     0xf076189aU,     0x6bb098cdU, \
    0x191b0839U,     0x48a95222U,     0xddcd3f1fU,     0xea27a092U, \
    0x412faacfU,     0xee427da2U,     0xd5f41beeU,     0x16b9ddaaU, \
    0x7b44b987U,     0xd6611686U,     0x0e3d85a7U,     0x103dbc95U, \
    0x398b3fb5U,     0xa7ea1fdcU,     0x44734538U,     0x841c9761U, \
    0xc0b5b30dU,     0x6b96a05fU,     0x55cd2731U,     0x6ecc8b11U, \
    0x81b35905U,     0x32642d7cU,     0x338badb9U,     0xc155d5a5U, \
    0x47a0f5c4U,     0xb79262d8U,     0x72c1288aU,     0xfc6956c5U, \
    0x4913b0f9U,     0xce5e1b0aU,     0x82c62f7eU,     0x9ce5acacU, \
    0x36b122ceU,     0x6077eb00U,     0x5b2df0f3U,     0xc2541385U, \
    0xb52e8d55U,     0xb06bd960U,     0x529f3e05U,     0xe505e149U, \
    0x98975075U,     0x9bda7136U,     0x6ff27c81U,     0x35031deeU, \
    0x3b4bf36cU,     0x1ffdcd67U,     0xffe2bec4U,     0x88afb60eU, \
    0xcb599338U,     0x5367038fU,     0x7810b00eU,     0x42f3952eU, \
    0xc26778deU,     0x6428b1dbU,     0x3ef4dc29U,     0xfcb058d1U, \
    0x38af47b9U,     0x1d42e65fU,     0x159539c5U,     0x916d370fU, \
    0xc018dc1aU,     0xb20da45fU,     0x4779ed0eU,     0x9e20df05U, \
    0x7d19309cU,     0xaed8b222U,     0xd389c8c4U,     0x87fd6e9eU, \
    0xffd9da6aU,     0x1a325c6cU,     0x434bc8ceU,     0x2c6d78fcU, \
    0xb346fe4aU,     0xb02f86e0U,     0x813a768cU,     0xcd02a7bdU, \
    0x5d5f083fU,     0xc86b8f95U,     0xc9ecd2afU,     0xb5cc5ad1U, \
    0xc0429bb3U,     0x248a0e6cU,     0xce1c1701U,     0x8f893a40U, \
    0x167e714eU,     0x43fc5a0aU,     0x96359745U,     0x6f68319bU, \
    0xd1fd5293U,     0x4d98ef25U,     0xab87874dU,     0xccf9ffafU, \
    0x307d57b5U,     0x3ba9e408U,     0xf8c2be64U,     0x81971578U, \
    0x5ae49b2eU,     0xd1c7407cU,     0xa7539d1cU,     0x9cca8238U, \
    0xeaa545acU,     0x6425a367U,     0x7bef3174U,     0x55a38910U, \
    0xf1311d1dU,     0x9568bf31U,     0x5f31169cU,     0xf3f2c54eU, \
    0x20f9ec7cU,     0xaf2934fcU,     0x663aff30U,     0x3380b0cfU, \
    0x9c6839a7U,     0xddc813a1U,     0x26dd9888U,     0xa465813cU, \
    0xf3a821f2U,     0x1b5a68d0U,     0xec140629U,     0x67db3c63U, \
    0xb5c2d3f2U,     0x79817655U,     0xee64a5e8U,     0xfe669336U, \
    0xfb005e03U,     0x3eb1a5d3U,     0x28d59672U,     0x7ecaa091U, \
    0x118f2030U,     0x83badf9aU,     0x4d8db3f1U,     0x197b5654U, \
    0x6a45c497U,     0xa78bf888U,     0x0ae2eacfU,     0x26bba75dU, \
    0x68a01a37U,     0xfaf69843U,     0x03347653U,     0xe3f09ddfU, \
    0xb6dc2899U,     0x8b85ff71U,     0xff00476fU,     0xcb716196U, \
    0x6586ea62U,     0xffb61589U,     0x708676afU,     0x61739bd6U, \
    0xb9b072b4U,     0x90aab835U,     0xaecd689eU,     0x3c01c68bU, \
    0xe13995c1U,     0x526a5137U,     0xfcb06f1dU,     0xae1c04c6U, \
    0x6177f8b0U,     0xa697bc40U,     0xd4623545U,     0xe8b4818cU, \
    0xa527393dU,     0x4e52ca4aU,     0xc8afe81aU,     0x74db8072U, \
    0x98a2d179U,     0xa92f351bU,     0x00669316U,     0x77b540daU, \
    0x67640673U,     0x22935ae9U,     0xbe505f97U,     0xe9aab787U, \
    0x2e09b73fU,     0xacff17f3U,     0xcff05d2dU,     0x06b3ba00U, \
    0xeac1b5faU,     0x5e341cf9U,     0x173cf3deU,     0xfc1506a4U, \
    0x19f92e6dU,     0xdebfe2b9U,     0x2170d578U,     0x169d1619U, \
    0x983964f9U,     0xa4a36cedU,     0x208d694aU,     0x1789f2dcU, \
    0x3bb09d6eU,     0x921bf394U,     0xd8c02da7U,     0xc5416cf0U, \
    0xf583c9a8U,     0xd1c2a115U,     0x1e879f76U,     0x6c742f2fU, \
    0x79664eacU,     0x282d0ecfU,     0x78acdb4fU,     0x971dd44eU, \
    0xd2954a99U,     0x38071a3cU,     0x1876a711U,     0x6312ae21U, \
    0x7f2bae1aU,     0xac436845U,     0xa480fad8U,     0x2c9f5a3aU, \
    0x3da608a6U,     0xad0c4290U,     0xbdc2c521U,     0x2e4e535aU, \
    0x2fcfa818U,     0xa6f910e8U,     0xc3522a77U,     0x12aeb32aU, \
    0xff26a9ebU,     0xc4fb3fe3U,     0xcfa8d43aU,     0xf46ba677U, \
    0x7531fa24U,     0x9685c6cdU,     0x01e246eeU,     0xd6a051e5U, \
    0xb4a2da2fU,     0x566a841fU,     0xff39589eU,     0xf8167be4U, \
    0x2c3ec105U,     0xf49a9ff3U,     0xea4e5b21U,     0x22fae582U, \
    0xb9ca5b7dU,     0x023730e5U,     0xa395c923U,     0xf6da785bU, \
    0x9e9bf53fU,     0x3e6b8389U,     0xaf36c889U,     0x90e5eb34U, \
    0xac38bb2dU,     0x78ec2d77U,     0x689fcfe3U,     0x2210fd8eU, \
    0x2464f5a3U,     0x750505c9U,     0xa4bc37afU,     0x38769ad2U, \
    0x8fdab877U,     0x7beb705fU,     0x14e9255bU,     0xbf26f3e6U, \
    0xa7df885fU,     0xaaab9fe9U,     0x0d91532fU,     0xef34fb83U, \
    0x8b1da0b5U,     0x4e1217f2U,     0x0bb57d32U,     0x0c4a81e1U, \
    0xa14edf17U,     0x108ab9c2U,     0xbc90592fU,     0x2d611effU, \
    0xb5091defU,     0xe14e412dU,     0x23238903U,     0x566cb457U, \
    0x285c163fU,     0xaa8141efU,     0x15e1b4a0U,     0xa08ad548U, \
    0x732973e1U,     0xa79df1deU,     0x8d1e1b41U,     0xb4012fb0U, \
    0xcdcf2874U,     0x6eb74348U,     0xd523a24aU,     0xe844ec2dU, \
    0xd70daeb6U,     0x46af0262U,     0xc020a58bU,     0x12d545d4U, \
    0x04056758U,     0xb80a5e79U,     0x94ff93b8U,     0x9dce4f71U, \
    0x7eb398e8U,     0x08b90079U,     0x3514e586U,     0xf1c58c4eU, \
    0xf8276fe3U,     0x2bcc0099U,     0x3dc8ff77U,     0xa22d64cfU, \
    0xd4af456bU,     0x646a41e8U,     0x6b1ee45cU,     0x068a6320U, \
    0x2490b7c1U,     0xe761f4adU,     0x1f793293U,     0xed531107U, \
    0xe397f703U,     0x3d4c87a1U,     0x35883b81U,     0x181e7345U, \
    0xc52ebc09U,     0x8f6d5b02U,     0x2101f4aaU,     0xf377bc58U, \
    0x8d666f5cU,     0xf5e7e83eU,     0xced5195aU,     0x821393f0U, \
    0x6402f394U,     0x6b8fd374U,     0x8bdd7043U,     0x39c47269U, \
    0x78faecd2U,     0x29bbbb8fU,     0xab5b8ddaU,     0xf776b8f8U, \
    0x8d181221U,     0x437c7fd8U,     0x42678453U,     0x87feecbcU, \
    0xc1e630fdU,     0xd32c3bd2U,     0x9c931ab2U,     0x255a5c0bU, \
    0x52e648ebU,     0x6ad1a421U,     0x365230f7U,     0x735533c3U, \
    0x98eb98fbU,     0xb65bc789U,     0x8b848759U,     0xf090aaaeU, \
    0x2a4a3d1dU,     0x69231af6U,     0x3828fbf4U,     0x2b0cf2aeU, \
    0x129049ebU,     0x3fa06fb1U,     0x64997b61U,     0x1dba34f3U, \
    0xf3c8ab69U,     0xa8a1b6b7U,     0x834a8091U,     0x02c96c15U, \
    0x92783ed4U,     0x8df54130U,     0x0d4a5668U,     0xb8222eabU, \
    0xd8fb6e13U,     0xa0c3db30U,     0x869ba46dU,     0xb2abf05cU, \
    0x7039989eU,     0x85c3af1fU,     0xd8f5a22aU,     0x5eb60aceU, \
    0xdb1f206fU,     0x86da34c2U,     0x571b6b28U,     0x4495a834U, \
    0xe22de392U,     0x72239411U,     0x69482d34U,     0x4183719cU, \
    0xeaa3d324U,     0x6618f6b2U,     0xda31490eU,     0xca76e8cbU, \
    0x262a6085U,     0xd69353c1U,     0xa01e5798U,     0x38fbbae2U, \
    0x0d2cfa8dU,     0x5e077976U,     0x490b2d86U,     0x4c244de5U, \
    0xacecbb7bU,     0x724bb42bU,     0x5ad0109aU,     0xe41ae8cdU, \
    0x7770d5cdU,     0xf9fba441U,     0xb45f0f9bU,     0x2cf01187U, \
    0x9e2fdd64U,     0x01cb6c5fU,     0xd2c5f4caU,     0x3afc4d9bU, \
    0x98559c2fU,     0x405cf3f4U,     0x50efec70U,     0x195c4aa3U, \
    0x1e28be5eU,     0x3ddaef51U,     0x45a44edaU,     0x91d93063U, \
    0x623be7c1U,     0x689ce1b1U,     0xbf8fa96fU,     0x8e41e943U, \
    0x25b02d3eU,     0x8de1ab48U,     0xda6eae6fU,     0x241da03bU, \
    0x425d81ffU,     0x7f0ce886U,     0x1234a8dfU,     0x0b12cebfU, \
    0x993a414bU,     0x86e469caU,     0x933df789U,     0xce61f9aeU, \
    0xd868666aU,     0x92529247U,     0xfdde59acU,     0x9780ac29U, \
    0x097899d9U,     0x47d59f4cU,     0xe9be696cU,     0xf2c3108aU, \
    0x6b1aee51U,     0x814082edU,     0x968e74a3U,     0x07eea3eeU, \
    0x8b9f0741U,     0x3c8fcb5aU,     0x6904ffeeU,     0xc846ba6dU, \
    0x2fefadcbU,     0x74d55441U,     0x21bba84dU,     0x4feba986U, \
    0x332e0390U,     0x88f10b8dU,     0xfc6118ebU,     0x4b4ea3b8U, \
    0x23e982c2U,     0x4cfdcab9U,     0x73c77a63U,     0xbbde295fU, \
    0xce2b821eU,     0x4ea9685eU,     0xc96d527bU,     0x759ec0ceU, \
    0x2fdd154dU,     0xdd8140a5U,     0x1aed9e5aU,     0x274a1099U, \
    0x448ecd58U,     0x988f2e3dU,     0x7ee90b40U,     0x4db6a76dU, \
    0x629340e4U,     0x826fa766U,     0xda36cc7cU,     0x49ee208eU, \
    0xacc46ee5U,     0xed6f82daU,     0x37e6085cU,     0x70dfd7fdU, \
    0x086021dcU,     0x9ee44999U,     0x20a44fbbU,     0x3e179480U, \
    0x64ef52d6U,     0x8362b295U,     0x8935ab2fU,     0x3cae5d94U, \
    0x4f399261U,     0x5c9987aeU,     0xf3f846eaU,     0xb56b1d88U, \
    0x4977ffecU,     0xdfeae72cU,     0x17ead59fU,     0xa0c53378U, \
    0x30baea0fU,     0x4205f119U,     0xecf401ddU,     0xc3528031U, \
    0x94c13cf6U,     0xb15c3a58U,     0xd821dd32U,     0x64994fc1U, \
    0x78598340U,     0x00df20cdU,     0xc20faf99U,     0xca885171U, \
    0x4a680603U,     0xcc9b1e31U,     0x3d84fb4bU,     0x06461fafU, \
    0xac7d5411U,     0xe2475dbfU,     0xd9c04558U,     0x4e0a24c6U, \
    0xb18f865cU,     0x69efbf1eU,     0x94c4dac5U,     0x412f2b6fU, \
    0xae620ee5U,     0x60ddec62U,     0x172ccb04U,     0xbb25d043U, \
    0x9e2551f2U,     0x590253a8U,     0xd0715d04U,     0xa338830aU, \
    0xc70f25ddU,     0x182e2517U,     0x7a588e2aU,     0x4561a9d7U, \
    0x017fe142U,     0xcbb3b1ddU,     0x7d542035U,     0x158ddea7U, \
    0x57d82a6eU,     0x2abff79cU,     0xe461e8aaU,     0x29778623U, \
    0xda41e21eU,     0x76cf48dcU,     0x6521c839U,     0x890b8272U, \
    0xfdd7c3fbU,     0x0a9c74afU,     0xb530c035U,     0xef0e8f20U, \
    0x5781db95U,     0x814761f0U,     0x6609bb7bU,     0x32041493U, \
    0x54ff6e7bU,     0xe3e58476U,     0x17d1b2c9U,     0x5a550785U, \
    0x1fa6eb50U,     0x7dea79f5U,     0xd45d9f33U,     0x2200fa60U, \
    0x2cc51e2fU,     0xbb7a08e6U,     0xbf25c303U,     0xe95ce687U, \
    0x6f5a8476U,     0x0490d8b2U,     0x1d5229d1U,     0x90e5701dU, \
    0xb673be39U,     0xedfcda9eU,     0x28de846eU,     0xd1281fc8U, \
    0x90fabf35U,     0xde6f7b3cU,     0x6554e316U,     0xde756f4bU, \
    0x6682fe8eU,     0x4182b589U,     0x102f2200U,     0xc19866a3U, \
    0x430e7b7cU,     0x628c7c19U,     0x26f22bb8U,     0xd985f682U, \
    0x63bc22e6U,     0x90c42cfbU,     0x8a38c3f9U,     0x2f4afae2U, \
    0xf7032711U,     0x0dcb510bU,     0x8c4ddce0U,     0x396f893cU, \
    0x4d3e1e1fU,     0x203eb782U,     0x3806207cU,     0x7607b6e3U, \
    0x54f83c08U,     0xaee6fc8aU,     0x6c9806d8U,     0xdf1f810cU, \
    0x4d146215U,     0x505e6917U,     0xc7b49e06U,     0x1a778566U, \
    0x5fbb60d6U,     0xb0cd7115U,     0x5cebc1a1U,     0x6785beb9U, \
    0xf8ee1ad4U,     0x5265cb60U,     0x285b2ba4U,     0xf4ccddeaU, \
    0x78047cc9U,     0x6af00688U,     0x76c20b7aU,     0xb8e54d73U, \
    0x2a2d7342U,     0x3f5f7d10U,     0xcd4b92ecU,     0x6a9d1afbU, \
    0x86f9fb5eU,     0x905cf2c6U,     0x5c374eb4U,     0x8e61debeU, \
    0x1f681365U,     0x54e133cfU,     0x180fbefcU,     0x38ddc48dU, \
    0xd7f841bcU,     0xe0c6dbf4U,     0x2e53f30fU,     0x56b971d8U, \
    0x7efe50a8U,     0x2af9c25fU,     0xe57925b5U,     0xb08e511fU, \
    0x80188549U,     0xd4ad24d1U,     0xfaf7b98cU,     0x7ac5818eU, \
    0x0a400373U,     0xa0028382U,     0x86b26f61U,     0xa90b409eU, \
    0x145f859aU,     0xb5b9aa91U,     0xface7e3dU,     0xfc271be0U, \
    0x6009634aU,     0x66b5e39dU,     0x002d70d5U,     0x0196d8baU, \
    0x04aec806U,     0x4c5fb703U,     0x940bcc99U,     0x702e65c5U, \
    0xc9125a8bU,     0xf368c5b8U,     0x700c232aU,     0x414dc31bU, \
    0x9da3d6aeU,     0xb0d14731U,     0xa1ac5bcaU,     0x5603e2e2U, \
    0x64f5f596U,     0xc6a06ae3U,     0xb06b0325U,     0xd509b738U, \
    0x975c4cffU,     0x02c54686U,     0xd2a66300U,     0x24fe9f51U, \
    0xb0672ceeU,     0x2f1c507fU,     0x2863a655U,     0x0c8449b8U, \
    0xc4604255U,     0x7f5dfe69U,     0x1e879219U,     0x7a94b8f6U, \
    0xf0be66caU,     0x77cee0d2U,     0x2aef601bU,     0x93580588U, \
    0x8baa8b48U,     0x9639d565U,     0x5ba8d489U,     0xb18aa1d3U, \
    0x11601eaeU,     0x5759dbcaU,     0x7dc6fe05U,     0x313f6626U, \
    0x675f24c5U,     0x77ec0cd0U,     0x629cd22eU,     0x258d8115U, \
    0xd88610f3U,     0x846d9e42U,     0x7c2181b1U,     0x90009029U, \
    0x183a9353U,     0xcadf8760U,     0x5e4bdb8aU,     0x90332a9aU, \
    0x1c8bc80eU,     0x1346322fU,     0x5b0e6cbaU,     0x1c8b9c59U, \
    0xc0a000d9U,     0x0aea21adU,     0x32fd883eU,     0xa00b5bf6U, \
    0xe7d1c764U,     0xb6eb2f9eU,     0x9d7720c3U,     0x7518259eU, \
    0xccbd0d4bU,     0x09db3636U,     0x3081a13aU,     0xa4eaecfaU, \
    0x47de56e5U,     0x6771a97fU,     0x090ab88dU,     0x463d0f30U, \
    0x0218302bU,     0x176e6c9cU,     0x8d06c9c2U,     0x9ebf9f42U, \
    0x3c40034cU,     0x1bc6b03eU,     0x929053ecU,     0x1ca8b269U, \
    0xc5e9fb21U,     0x33121ae4U,     0x08261225U,     0xf219a8a8U, \
    0xb4e93974U,     0x70d6ae34U,     0xa67fb4a5U,     0x882f26baU, \
    0x81699716U,     0xc1b64facU,     0xc8636b07U,     0xe79f5d2aU, \
    0x3351a44cU,     0x6ef4249dU,     0xf1dee7b3U,     0x45bc79ecU, \
    0x22782aacU,     0x94936a85U,     0x895f3f9aU,     0x728429a8U, \
    0x7b07403eU,     0x23f33bfeU,     0x46313cdaU,     0x40ededd6U, \
    0x542751cbU,     0x2d2e4922U,     0x4dc9d457U,     0x32b25b00U, \
    0x1b6e6196U,     0xcd7ca8feU,     0x63f4cf9fU,     0x5c67e7feU, \
    0x316060d3U,     0x292f32e2U,     0x25281076U,     0x2815aeceU, \
    0xc18cf46aU,     0x8f091c4dU,     0x25e64d0bU,     0xa7a27194U, \
    0x2162774fU,     0xd2ca32a2U,     0xe016ad15U,     0x600e223cU, \
    0xf17381afU,     0x164ef022U,     0xf4597d87U,     0x191f6c41U, \
    0x3a316f74U,     0x0eb1dd06U,     0xde7fa9a8U,     0xec788decU, \
    0x43b98148U,     0x6f5be8e7U,     0x1d622576U,     0x05468fb3U, \
    0x201066f9U,     0x569cc278U,     0x85737613U,     0x22becae2U, \
    0xdf7a855bU,     0xbdcd1388U,     0xfc05617dU,     0x01738b1eU, \
    0x31d31199U,     0xdf9ec6d3U,     0xaecfc91aU,     0x4f4118e4U, \
    0x152069a6U,     0xb2d1e15cU,     0x07c54474U,     0x6693a1d1U, \
    0x52cf33a3U,     0x6ce50933U,     0x066c54d7U,     0x1d3067e2U, \
    0xfa4d031aU,     0x6127f845U,     0x62f60c1eU,     0xf56c2915U, \
    0x446ea324U,     0x927eedafU,     0xc13059feU,     0xcf0bad92U, \
    0xd9294630U,     0x766941e6U,     0x4364d41fU,     0x05c88b78U, \
    0x78581d17U,     0x51c44bddU,     0x6896426fU,     0x50eba1faU, \
    0x72b9a942U,     0x98e938fbU,     0x91ebcb92U,     0x973c388eU, \
    0xf3ec2e7dU,     0xd0773403U,     0x45bf20edU,     0xf57c4b56U, \
    0xc7b9fd15U,     0x1d0b50ecU,     0xc1e5e3b3U,     0x36cf3587U, \
    0x2f35ebe6U,     0x4aa6b530U,     0xd3f485aeU,     0x860e01d5U, \
    0x39ac52dcU,     0xffce00ebU,     0x5799a6b7U,     0xf2b61a46U, \
    0x3ebaea98U,     0xb0d07115U,     0xef8cdb0fU,     0xa40872efU, \
    0xd752a41cU,     0xceb2f85cU,     0x89983d1eU,     0xfa024308U, \
    0xd10b76e9U,     0x39ff519aU,     0x6e58a0d7U,     0xc83d4cdbU, \
    0x060fc280U,     0xdcfb5656U,     0xf568b33dU,     0x2e5b3ebaU, \
    0xf6a05e5dU,     0x378edc73U,     0x7f9521e5U,     0x8d792a75U, \
    0x547b53deU,     0xea54197bU,     0xa95f1132U,     0x6abd186fU, \
    0x9fe8b4aaU,     0x24e82080U,     0xa6d56b77U,     0x689bab39U, \
    0x94ab39c2U,     0x34659f85U,     0x818cb591U,     0xeba89ccdU, \
    0x79f0a584U,     0xced7ca5eU,     0xac199365U,     0x23a42684U, \
    0x754d39b7U,     0xb40ecac1U,     0x0ee9846fU,     0x9332e44bU, \
    0x39b15e53U,     0x84865255U,     0xa0f13ba8U,     0xdcd4af2cU, \
    0x0f0b75d0U,     0x39921071U,     0xb1408a6bU,     0x7fc75252U, \
    0x06a3ff34U,     0xcba0be9aU,     0xda40b040U,     0x8c0876cfU, \
    0x7fa31271U,     0x04333241U,     0xe02fe91eU,     0x8d275dd4U, \
    0x474e3d85U,     0x6384c9fdU,     0x27047aeeU,     0xa159eccdU, \
    0x3041e69fU,     0x65d63a1eU,     0x4fc0a556U,     0xfd9276a3U, \
    0x1d299d6fU,     0xe7488032U,     0x8e05bdecU,     0xefce6d88U, \
    0x65e9d348U,     0xd6d099f0U,     0x70c099daU,     0x3e40dbbeU, \
    0xdb7a1193U,     0x3ad057e2U,     0xc27f060bU,     0x99e79d9eU, \
    0xd94f99f4U,     0x31a4c267U,     0x66508f43U,     0xfa781045U, \
    0xc629bd96U,     0x399a7307U,     0x081b69fbU,     0xfde0cc9cU, \
    0x9a72e4efU,     0x7979c3beU,     0xbb2bbddeU,     0xa9bf419bU, \
    0x3be553a6U,     0xa5059e85U,     0x31613ac8U,     0xde76c3a4U, \
    0xbaf86b60U,     0x00e9f07aU,     0x3594fe9bU,     0xd22061aaU, \
    0xd0e72b1cU,     0x69f1003fU,     0x6fd5dbceU,     0x1204dc99U, \
    0xdde9c490U,     0x6e641657U,     0xf232c44dU,     0xe5486623U, \
    0x6d71178cU,     0xa2ec4516U,     0x3c5f827fU,     0xb95af176U, \
    0xaef62550U,     0x38fd86faU,     0xfe6efd83U,     0x4f6ac423U, \
    0xe31ec391U,     0x51ef9a17U,     0x47d56d5eU,     0x5bac8806U, \
    0x85e61a8bU,     0xc7f19f5cU,     0x7ffdd788U,     0x1ea8b4faU, \
    0x9698c1eaU,     0xe39aa836U,     0x4eb64832U,     0x8d503a6bU, \
    0xe59b9af9U,     0x8d4d885aU,     0x8b3ba6edU,     0x71519793U, \
    0xf750fc52U,     0x9da8d769U,     0x55f2e9e0U,     0xd2d85720U, \
    0xc582ae28U,     0x3c750102U,     0x52d1cc3fU,     0xc784e1ebU, \
    0xc69e652bU,     0xe0620fdcU,     0xda4c4319U,     0xea3d6f49U, \
    0x601d61faU,     0xb3d9fc65U,     0x6738c945U,     0xd5cdf57aU, \
    0xca235660U,     0xd3d29c6dU,     0xcc0c0eceU,     0x573df0ebU, \
    0x6f42aaf5U,     0x3c9a9c5dU,     0xfce5be10U,     0x5dad647aU, \
    0x58d8ff00U,     0x50810b20U,     0xd4f7b98aU,     0x66eee711U, \
    0xf8f8e432U,     0xee59186aU,     0xd60b34f4U,     0x74984a58U, \
    0x836aa4c3U,     0xe45de728U,     0x29e6501fU,     0x84bf3ef2U, \
    0x4e570450U,     0xdfc8d810U,     0xea55f8beU,     0x1d2ea70eU, \
    0xcfce12e3U,     0x9267bf49U,     0x1ebc14b2U,     0x99ed021dU, \
    0xfefde3b7U,     0x8595defeU,     0xe1f7190fU,     0xc3b1045bU, \
    0x91de3f21U,     0xf4007a7dU,     0x6ff12668U,     0x655d1d04U, \
    0x0be0484fU,     0x525f3c88U,     0x53b62796U,     0x8a9d1919U, \
    0x449dec93U,     0x965e8bd4U,     0xa35e2f6fU,     0x4a4dddb0U, \
    0x3f1a7745U,     0x4c8c2d82U,     0x5f151884U,     0x770134b6U, \
    0xc289d22aU,     0x0a8cb672U,     0xa3149e8bU,     0x811e1fd2U, \
    0xea40c687U,     0xaacaeca9U,     0xcb01b735U,     0xe48a7ca0U, \
    0x0928cc42U,     0xe54d3326U,     0x87adc3c4U,     0xbf137159U, \
    0x18491ec2U,     0xc47674f1U,     0x2947fcaeU,     0xa652b17fU, \
    0x7948d761U,     0x8a877a5aU,     0x16666bccU,     0xda1de509U, \
    0x657b104eU,     0x6c39dc96U,     0x97a6a60bU,     0x31ec4ce9U, \
    0xa2c9318bU,     0x70be6064U,     0x47e53bdbU,     0xbbcdc7acU, \
    0xac4a1582U,     0x6190ec59U,     0xcb298a9dU,     0xa64a70d7U, \
    0xaf32001fU,     0x00327c26U,     0xc06d85e5U,     0xc822d713U, \
    0x6af23fc1U,     0x3a048dbdU,     0x462ac95aU,     0x08a4870fU, \
    0xf10d3eb9U,     0x5a47ecedU,     0xa5d514d7U,     0xea6767d7U, \
    0x0479d033U,     0xc4028d98U,     0xb9509c11U,     0x2d51a439U, \
    0x4191e727U,     0x4522c7e7U,     0xefbb8b61U,     0x763a1bc0U, \
    0x930b6c8dU,     0x926944f5U,     0xc2554e93U,     0x1cb655b5U, \
    0x65366a68U,     0x4543559bU,     0x91dea57fU,     0xd79472d4U, \
    0x371c4e65U,     0x87ba50c3U,     0x406ba179U,     0x3e5d4e44U, \
    0xa18bf2c2U,     0x713143dfU,     0xd55e28f0U,     0x047f47eaU, \
    0xcbf62c73U,     0x4ca92687U,     0xd886cab5U,     0x3844b681U, \
    0x63a3b84cU,     0xa0ba40f7U,     0x2e5af557U,     0x6e517f47U, \
    0x9c5fd41bU,     0xd66f976cU,     0x80381d6dU,     0x055ae0b3U, \
    0x9c0f0c7cU,     0x18ae939cU,     0x365ff0f1U,     0xff830ab4U, \
    0x10622415U,     0x5b70c291U,     0x57478946U,     0xf5efa375U, \
    0x6cb124c7U,     0x7b110077U,     0xd7defec7U,     0xd2c0ebf2U, \
    0xeb86bae8U,     0x6dd53d91U,     0x34276b3cU,     0x0265ca85U, \
    0x7695071cU,     0xd57e6e44U,     0xbd3b18ddU,     0x2a0596d5U, \
    0x1da5fe5dU,     0x5b5183b6U,     0xa9d102f0U,     0x51021541U, \
    0x8dcc193cU,     0x4b2cf161U,     0x5aad436bU,     0x090f835fU, \
    0xe7eec5f5U,     0x774ee7d0U,     0xa88d2fd1U,     0x51e4b469U, \
    0x8640e0f3U,     0x0021f000U,     0xfd209091U,     0x9ac0dc7bU, \
    0xaba7021fU,     0xda02b7bdU,     0x734ed850U,     0xf20c2f70U, \
    0x584e5eb7U,     0x26924daeU,     0x9c6c2a1cU,     0x8e1c3beeU, \
    0x631a8e3bU,     0xddf9762fU,     0x478964c1U,     0xd904fad3U, \
    0x39c48562U,     0xfbdbd44bU,     0x5350071bU,     0x75260157U, \
    0x181b20a5U,     0xe75a84c7U,     0x264ee710U,     0x9ba4deaaU, \
    0x62536c5eU,     0x8a47d7eaU,     0x9e23f084U,     0xb713ede6U, \
    0x61780edeU,     0xdd8de296U,     0xd8ad30c8U,     0x41c8c232U, \
    0x9db8b0d9U,     0x3b42fb66U,     0x54ea9db4U,     0x2e687fbaU, \
    0x5b84297bU,     0xfd33266eU,     0xccdc79a3U,     0x373ee408U, \
    0xd1bb1413U,     0xf5487406U,     0x7c97dda3U,     0xe1ec47cfU, \
    0xc6334625U,     0xcac948aeU,     0x613b840bU,     0xb3645936U, \
    0x06d4f9e8U,     0xebc72e75U,     0x354996bfU,     0xd796585cU, \
    0x28f153c2U,     0xc05ebd5aU,     0xd63eb15dU,     0xeb6df091U, \
    0xa98931dbU,     0x73a581e6U,     0x83cf7c05U,     0x788ddf47U, \
    0xa91375e4U,     0x3baa0ae7U,     0x97ff2acaU,     0x6a52411aU, \
    0xf0426b81U,     0xae43208eU,     0x03685155U,     0x34aa17e8U, \
    0xd53ca5ebU,     0x81647bd4U,     0x79cc57f0U,     0x8d73d85fU, \
    0xc85e4239U,     0xd1698e77U,     0x640ec0c5U,     0xa62e4fd2U, \
    0x3b63aaaeU,     0x07925fdfU,     0x94551dabU,     0x53a2365eU, \
    0x6310f64bU,     0xa041b7adU,     0x823f36d2U,     0xd2a4c227U, \
    0xaf84bca0U,     0xefeb52d2U,     0x7d379af1U,     0x116924c4U, \
    0xf81e8321U,     0x7104501dU,     0x37bba564U,     0xfed7eabbU, \
    0x84616a8eU,     0xc26c8107U,     0xfca91fe7U,     0xfcbbe4ddU, \
    0x49389662U,     0xd4a0b6a6U,     0x519e38d0U,     0xddc60fd5U, \
    0x24190191U,     0xc53ca668U,     0xc176058dU,     0xacc3577eU, \
    0x5b15ebb1U,     0xa8037c46U,     0x79e35357U,     0xad2bcfb5U, \
    0xdc4d72d1U,     0x2e16fbfcU,     0xe1b03ffcU,     0x2df22f2fU, \
    0x311e7b85U,     0x3c73d892U,     0x50e0361dU,     0xe0a5ec0dU, \
    0x389342e9U,     0x24165b26U,     0xf3a10e41U,     0x5f0d3d29U, \
    0x0534e49dU,     0x21127cd6U,     0x5d24520dU,     0xc5762237U, \
    0x7758008dU,     0x37c39703U,     0x942b61eeU,     0x33786f21U, \
    0xa6af2207U,     0xa9ab4046U,     0xdc5a1d84U,     0x3e30d841U, \
    0x9e253031U,     0x4f40cceeU,     0x24dcdd1aU,     0x38b8a02eU, \
    0x4e19746eU,     0xf5440bb6U,     0x24e4e156U,     0x98df83d0U, \
    0xfb830773U,     0x38e695dbU,     0x21e3edecU,     0xa621e3c4U, \
    0xf4407505U,     0x69a86014U,     0xc0ba7729U,     0xfc56a941U, \
    0xad19901eU,     0x65aff46cU,     0xeba76045U,     0x68c0a95fU, \
    0x136236c3U,     0xe96cc441U,     0x34f05fdfU,     0xae5f2e01U, \
    0x7a44f988U,     0x54b91d78U,     0x782136fcU,     0x887ea747U, \
    0xd92f2318U,     0x1c25d555U,     0xc822e46dU,     0x5f9493ffU, \
    0xff4ca602U,     0x6a70618cU,     0x16524a36U,     0x12942e4fU, \
    0x8fadd276U,     0x0034ce97U,     0x62e64e43U,     0xb5bbe5d1U, \
    0x0c247adbU,     0x3d7e2300U,     0x8a3a2285U,     0x19043124U, \
    0x2c88d516U,     0xc248efd1U,     0xec14ed52U,     0x82b98671U, \
    0x65513026U,     0xe66462feU,     0x1841a4a2U,     0x3d636183U, \
    0x06f9c51bU,     0x82f44c30U,     0xca1f2bdeU,     0x6d84cc2fU, \
    0xe7c40a1eU,     0xf464e009U,     0xdc9c8015U,     0x6de6e79fU, \
    0x85378f69U,     0x1593addeU,     0x327af665U,     0x7d78a3baU, \
    0x4565883cU,     0x8665f985U,     0xef715ea0U,     0x92b0ce9aU, \
    0x10957df7U,     0x6bbd275bU,     0xf92f5462U,     0x794c8b5cU, \
    0x2bafb252U,     0xc12a8cd8U,     0x5ca070deU,     0x15d89aabU, \
    0x30e93480U,     0xefe410faU,     0x11e0901eU,     0xa55c0b6eU, \
    0x48dfb8c6U,     0x8abeba4cU,     0x513cafccU,     0xa19da71fU, \
    0x97b4fbc4U,     0x8f5e52a1U,     0x73665069U,     0xcf68e421U, \
    0x2e97cc06U,     0x23ece77cU,     0xe04ce819U,     0x410d0f92U, \
    0x1f44819cU,     0x89b64404U,     0xbde16036U,     0xdc2e3df1U, \
    0x638106a8U,     0x8bbeeeabU,     0xc0a61afeU,     0x38412554U, \
    0x2fccb234U,     0xf7224c8dU,     0x1335153eU,     0xd8954b58U, \
    0xdddaad79U,     0xcb94405fU,     0x872834bbU,     0xf7697dcdU, \
    0x8fd2e354U,     0xe0e81a0cU,     0xea885764U,     0xf084131aU, \
    0x9c936313U,     0x8bf705a9U,     0x8ed079aaU,     0xae61e0b5U, \
    0x89b09afcU,     0x2438eb8cU,     0xaca3ac4fU,     0x6fa909acU, \
    0xbd97e74aU,     0x2b76fa0fU,     0x39bd7f1fU,     0x9b012e18U, \
    0xb683ac25U,     0x1e62a1d6U,     0x4ebbb1b0U,     0xf8dbefb2U, \
    0x139d89dcU,     0x3cea9027U,     0x088c036fU,     0x37245183U, \
    0x5a9748a4U,     0xdfbe8a1dU,     0xa288b2a6U,     0x749a018dU, \
    0x8658a753U,     0x2189c5afU,     0x97239d9cU,     0x5f40da93U, \
    0xd2a23a7fU,     0x0420b4b9U,     0x02d02ed8U,     0xef7daa5dU, \
    0xe09f3733U,     0xf856e295U,     0x258ff928U,     0x3a9bdd9aU, \
    0x867c74dbU,     0x59e62fafU,     0x96daf061U,     0x9cbc3880U, \
    0xc2d13c5bU,     0x0983fe71U,     0x2bd34e8eU,     0x81c82ac2U, \
    0x020c2dc6U,     0x2ff22624U,     0xd715aca7U,     0x4d3688b9U, \
    0xfcaddba9U,     0x87d78b8dU,     0xa5a69864U,     0x1dd11399U, \
    0x1eb9f03fU,     0xb713e94dU,     0x2a110632U,     0xfb171d72U, \
    0x7a3834c2U,     0xb108ee27U,     0xbbdd5e16U,     0x41d3a0cfU, \
    0xd087af30U,     0xc1e242e1U,     0xf9e8d887U,     0xfc22341bU, \
    0x5b6f6abcU,     0xf41281e3U,     0xb72a3f93U,     0x5bf8fe1fU, \
    0x3d8a6c08U,     0xf424abc9U,     0x7c8843c4U,     0xc5d3b2a6U, \
    0xe5adb137U,     0x3f5e1fd8U,     0x2ebe19e0U,     0xfd467fd3U, \
    0x8515c5e7U,     0xef87ec15U,     0xd818b50eU,     0x20495281U, \
    0x80538b37U,     0xb40e6fd9U,     0x8feaa96eU,     0xb9bcf9d0U, \
    0xa267b63eU,     0x931acd1eU,     0x96dfaa44U,     0x60db5d9fU, \
    0x715e2bc1U,     0x4327495eU,     0x54c1bd42U,     0x54a2cd86U, \
    0x8e4bcb48U,     0x30129098U,     0xdd5fb450U,     0x71703befU, \
    0xf0dbe0e3U,     0xafe97981U,     0x073cb11eU,     0xe27abd0eU, \
    0xe3bcc453U,     0x803bfe4eU,     0xabe32a61U,     0xf74a8caeU, \
    0x386146d8U,     0x2ef47a53U,     0x5616c110U,     0xeb8497d8U, \
    0x2f65e3deU,     0x631c77faU,     0x60c97170U,     0xda9f413eU, \
    0x639ee085U,     0x3b340a5eU,     0x12dfa553U,     0x561bdb3dU, \
    0x1b201b3cU,     0x11f436a8U,     0x61184afdU,     0xd461ea55U, \
    0x3e259541U,     0xbb77dc64U,     0xee74bb7cU,     0x9caf2febU, \
    0xf3834aceU,     0xd7e9eb9dU,     0x74e34c5bU,     0x6f7623f5U, \
    0xb316a137U,     0x483a0c30U,     0x0500bfc3U,     0xc26cb09cU, \
    0x8c85fe9aU,     0xd04415a3U,     0x40ec12a1U,     0x205342efU, \
    0x37e941f0U,     0x9c40d536U,     0xc34962bbU,     0xe1a6be4dU, \
    0xa8075bb4U,     0x49d099ebU,     0x23cc8c49U,     0x8eca35b6U, \
    0x9827c003U,     0x030a47b7U,     0xbe4da9c5U,     0xc847be0fU, \
    0x3f7b7615U,     0x46b189aaU,     0x52e09d38U,     0x36bdd382U, \
    0x68ea4d44U,     0xfd69e541U,     0xd313c77aU,     0xe52dd40fU, \
    0x64bc3aa7U,     0xb2d83b73U,     0x0a2b51d2U,     0xb0a806fbU, \
    0xfd9a743aU,     0xed0668a8U,     0x1e250b99U,     0x32d09a92U, \
    0x5da0e79aU,     0xa4c7c0abU,     0xeea713a9U,     0xd121ee52U, \
    0x06e68284U,     0x15e4393dU,     0x330347e2U,     0xdb3ec59bU, \
    0x8d673434U,     0xa4644f2aU,     0x6c3edcabU,     0xc24e8d4eU, \
    0x81d5ddd0U,     0x50200d3cU,     0x0eea4c53U,     0xc567dd61U, \
    0xc52818efU,     0x896c2812U,     0x39cedc19U,     0xdb5dfeebU, \
    0x4821cfcaU,     0x8628acd5U,     0x109c887aU,     0x1d9398e8U, \
    0xd6020d89U,     0xf36f1869U,     0xdbfaa884U,     0xa695c6e3U, \
    0x02787eb3U,     0xce034acfU,     0x16acee09U,     0xbffef502U, \
    0xc206281aU,     0xffcfea1aU,     0x61fd31f6U,     0x4cc9ddeeU, \
    0x76481c9eU,     0xf5743f86U,     0xb023fb7aU,     0xfaac5540U, \
    0x47f76345U,     0xf67b3df0U,     0xb029c9cfU,     0x8aadc5a2U, \
    0x72d3b804U,     0x8f1ae2d7U,     0x7baa2aafU,     0xfe0b5ad1U, \
    0x814d86ffU,     0x85925aeeU,     0x8548bfafU,     0x7757514aU, \
    0x6461eea5U,     0x48fd4cafU,     0x518f3305U,     0x816ced6eU, \
    0xce79560aU,     0x5c238579U,     0x49c9f4f1U,     0x824c632fU, \
    0x30b48011U,     0xb6ae5797U,     0x8ac07adfU,     0x33cdca1cU, \
    0xc624fb93U,     0x3e6abb91U,     0xc793ca43U,     0x5527cd12U, \
    0xc4d77e93U,     0x81c87cdbU,     0x4417919aU,     0x7251a5a4U, \
    0x292ff1c2U,     0xfb238208U,     0x1e374938U,     0xbdb2739aU, \
    0x7f88b81dU,     0xd573629fU,     0x70ca55a5U,     0xdcb68aafU, \
    0xd1d4b47cU,     0xfa2533a6U,     0x538722b2U,     0x94625423U, \
    0xfabc4b71U,     0x8ebf2f8eU,     0xc1854d63U,     0xb207ed3bU, \
    0xb0e437d1U,     0xabe35bbeU,     0xb3c87a76U,     0x7aa69d95U, \
    0x63b5c04fU,     0x36b38512U,     0x1f1a9c31U,     0xebcf63fdU, \
    0x9a151c3bU,     0xc1d4a247U,     0xb8f84ec5U,     0xfdd0c889U, \
    0x615fa48aU,     0xffbc0229U,     0x49b5ee30U,     0x82c398c2U, \
    0x7c815d1eU,     0xd58a93aaU,     0x0d8eb32bU,     0xb3dd6c0eU, \
    0x13d424e0U,     0x674b620cU,     0xd48da7f2U,     0x3d31cfccU, \
    0x8d873029U,     0x76ebed06U,     0x6fecd91cU,     0xba30dbf5U, \
    0xe978708aU,     0x93fb52c3U,     0xa7e96a3eU,     0x9f1b8d8dU, \
    0xe4037b7cU,     0x7d4373eaU,     0x0e4c0c83U,     0x6a0f528aU, \
    0x59a08667U,     0x308d4e75U,     0x4d0e2dadU,     0x7a82ba87U, \
    0x0ec48bf2U,     0xf9e7cfbdU,     0xd65525e4U,     0x153f19f8U, \
    0xa11ae5fdU,     0x8dbdd126U,     0x09c6ae84U,     0xf0e592e2U, \
    0xc5937da9U,     0xf6351bc5U,     0x012061eeU,     0xd9826d7cU, \
    0x63754f53U,     0xe0a5de90U,     0xd67a9477U,     0x08afe675U, \
    0x4de519b5U,     0x34a53367U,     0x3f39136bU,     0x236a464cU, \
    0x1a98117aU,     0xca8333f1U,     0xf0398dbeU,     0xa4091291U, \
    0xbe80f52fU,     0x684f1653U,     0xba82c1aeU,     0x41c92b0fU, \
    0xa1467095U,     0xfd519a1aU,     0xbc7fd846U,     0x54122bd4U, \
    0x83de48c8U,     0x5655cefcU,     0x98249632U,     0xcbbe674fU, \
    0x4a9f526dU,     0x9c353cc6U,     0xdb26c46eU,     0x98c87581U, \
    0x069cb1c6U,     0x3f51acd7U,     0x4271ab8eU,     0x244756fcU, \
    0x907f62f3U,     0x1efd2f07U,     0x1e29edb2U,     0x1c6ef62aU, \
    0x7197d2f2U,     0xf3177b0cU,     0xe80721d7U,     0x0fa75e48U, \
    0x05a2a87aU,     0xa130fedaU,     0xc7550699U,     0x9ecadbd9U, \
    0xed05cbc8U,     0xa4bc5fdeU,     0x83988d07U,     0x9e1ba9ddU, \
    0xd231e32bU,     0x8a4e815bU,     0xe5cfe98fU,     0x3e491571U, \
    0x4f915b35U,     0x82d9aeccU,     0xa1eb2eb0U,     0x82e99e48U, \
    0xf708a1acU,     0x9760dd6cU,     0x65dafdf1U,     0x7dbc02ecU, \
    0x9902d44dU,     0xffe5125eU,     0xbbe400e9U,     0x28da2af1U, \
    0xdc989899U,     0x00f5db0fU,     0xa9425665U,     0x76a55529U, \
    0xd28636eeU,     0xb9eb7d97U,     0x2998a9d5U,     0x9b5e01b4U, \
    0x0cd61ce0U,     0xb2575db5U,     0xc98abd98U,     0x168a601aU, \
    0x1a8a5374U,     0xf3dba285U,     0x8dcb326cU,     0x24f8ae52U, \
    0xdf56e436U,     0x52b4de78U,     0xb85431ebU,     0xdf126cb5U, \
    0x39c0aeecU,     0x05b4065aU,     0x2be9ced2U,     0xe0b214f5U, \
    0x1f341d0eU,     0x035a9081U,     0x7b50f101U,     0xfc910c6aU, \
    0xf93b0340U,     0x14d84eb4U,     0x6f9cbb1eU,     0xa13be259U, \
    0x27ff63e7U,     0xaf185d92U,     0xe56dd1f8U,     0x921698c0U, \
    0x3f73d477U,     0xfd6ecf79U,     0x21b2b0bbU,     0xd5636b8aU, \
    0x08a672adU,     0xd6131495U,     0x6591db54U,     0x08c27d1eU, \
    0x775d92dbU,     0xecac7af7U,     0x5385d53fU,     0x5b7e8b61U, \
    0xd9b947d5U,     0x3335336cU,     0xc2595793U,     0xde505352U, \
    0xa93ac53fU,     0x21eeb349U,     0x5fa49f3dU,     0xd61be389U, \
    0xf874bd5eU,     0xd1134fdaU,     0x8b19c121U,     0x6fcc6a46U, \
    0x92ccf850U,     0x4286b051U,     0xa9bb9785U,     0xe0f23c9dU, \
    0x66f1ec75U,     0x0398eda4U,     0x6b69df5bU,     0x25fa2b8aU, \
    0x3baf3debU,     0xf2f173f6U,     0x603a8f3dU,     0x2a4dab88U, \
    0x5e80e32fU,     0xbea157c7U,     0x488bcba2U,     0x52cd611eU, \
    0x7447b150U,     0x35016bb4U,     0x11541798U,     0x5250804aU, \
    0x112ac415U,     0x54b73816U,     0x74fc76d8U,     0xc1a075b2U, \
    0xa217f113U,     0x4ebbd885U,     0xcf97e81dU,     0xaa6832b9U, \
    0x3d630e41U,     0xda1d783bU,     0xc65b92e5U,     0xd14530a8U, \
    0xabf3c8dbU,     0xb627a03fU,     0x2f196ef8U,     0x97532f1cU, \
    0x73db8b51U,     0xd1a9bd81U,     0x450fb180U,     0x6992e093U, \
    0x73eb82ceU,     0xdcdeafe7U,     0x1b99ce36U,     0xfda6dc38U, \
    0x3547e974U,     0x57645768U,     0x8ec20887U,     0xc8ae4752U, \
    0xd9236906U,     0x5e730facU,     0xd2e992e2U,     0x90027432U, \
    0x3d9e15baU,     0xbbfaff1aU,     0x4b54fdcfU,     0xbb3f4c62U, \
    0x15310465U,     0x955f332eU,     0x4bc2e07cU,     0xefd4b563U, \
    0x8be13d2aU,     0xaffea422U,     0x9a231657U,     0x40e01d19U, \
    0xddcda61aU,     0x9d3caa71U,     0xb2110386U,     0x1315c45eU, \
    0x76d06fd1U,     0x2fab463cU,     0xc68e07afU,     0xff14039dU, \
    0x425e1893U,     0x2e52fbc0U,     0x9082d202U,     0x9fc6a45cU, \
    0x7c302246U,     0x11af8610U,     0x3566b3b3U,     0x0842c430U, \
    0xae6e8d87U,     0x5edd0e99U,     0x6489d70dU,     0x27510521U, \
    0x7e33f7c4U,     0xe069c6c8U,     0xf0f1e8e9U,     0xbbbb3d19U, \
    0x930234c2U,     0x90aad0fdU,     0x0b2bb93eU,     0xc0ddbbe6U, \
    0x2701b49eU,     0xa7e6b664U,     0x6f28368eU,     0x7407f554U, \
    0x62c85e2bU,     0xaf9d11f8U,     0x45f436dfU,     0x09a45095U, \
    0x0d7d9170U,     0x816e9efcU,     0x1fdc736eU,     0xaab7e1ebU, \
    0xc54921beU,     0x31e356f0U,     0xee7b315eU,     0x0dffca8cU, \
    0x36fdbd92U,     0x8d6af955U,     0x37098828U,     0x8a1d6a73U, \
    0x781c190bU,     0xa5027a8cU,     0xb6176dd6U,     0x0f76357aU, \
    0xf383481dU,     0x10f20916U,     0x0c294ddeU,     0x99777280U, \
    0x942dced5U,     0x5fe5e49bU,     0xf6e75addU,     0x7643c2e4U, \
    0xd413c650U,     0x46c99898U,     0x496abd3dU,     0xad499e5eU, \
    0xd261f7d8U,     0xb324bed1U,     0x12d1b4aaU,     0x2267043aU, \
    0xb78fb5acU,     0x88223fc5U,     0xa43b7be0U,     0xd5749f37U, \
    0xdf979fc3U,     0x04d4f7dfU,     0x897f5a82U,     0x068b28c5U, \
    0xd00feccaU,     0xac22241bU,     0xd927768cU,     0xa634f9fbU, \
    0x919616e4U,     0x22bc4b52U,     0xf42e35f9U,     0xa7151284U, \
    0x18e30363U,     0x92be9327U,     0xbe1f43d7U,     0xcd8999dbU, \
    0x91063a8cU,     0x94cc9c74U,     0x4f6a9e3cU,     0xbfb7bb1cU, \
    0xc74fa972U,     0x2489a21fU,     0x7528d7ffU,     0xfa0a57c4U, \
    0xf50e59beU,     0xef7df7faU,     0xb9d9a2baU,     0xd3eace19U, \
    0xd96f2025U,     0x6662c2d3U,     0xa9224c85U,     0x8d121748U, \
    0x5c281b51U,     0x8ed26556U,     0xb6ad5de0U,     0xe9978f98U, \
    0xfe2d97ecU,     0xee436678U,     0xd8415a78U,     0x9bfa1637U, \
    0x2b265eb4U,     0xb2079535U,     0xbf891b42U,     0x048ab065U, \
    0xc792d506U,     0x902dadfeU,     0x83bc59faU,     0x98123dcdU, \
    0x47650a15U,     0x0bd2ef0cU,     0x13ec9b26U,     0x1e9d5846U, \
    0x0208b8a3U,     0x8888225bU,     0x6961d1beU,     0xd6df2a7fU, \
    0xde66fc4cU,     0x2031200cU,     0x23091e18U,     0x5d82c8d3U, \
    0x7dc9aa07U,     0x4bf89f4aU,     0xbceb9a38U,     0x48e1269bU, \
    0x75399518U,     0x9e0f778dU,     0x026542fcU,     0x549b1013U, \
    0x94ff30b8U,     0xcec079ceU,     0x92b90265U,     0xe2cd0e5cU, \
    0xd619b0fcU,     0x8095da91U,     0x98b84260U,     0xa068ed7fU, \
    0x0225b742U,     0x4fbbff07U,     0xc2dd239cU,     0xe8301879U, \
    0xb47729cbU,     0x0d2ad499U,     0x48d4c541U,     0x4b6b99ccU, \
    0x7f405ce9U,     0x9043fd07U,     0xf94905d9U,     0x5c5940cfU, \
    0x09d895f1U,     0x55cb42c9U,     0x57833e4fU,     0x1e0d9036U, \
    0x2a16ac31U,     0x3977e444U,     0x5ecfc51cU,     0xe0017d51U, \
    0x38302d43U,     0xde72b4adU,     0x9c7666a2U,     0x154bab00U, \
    0xe07557a8U,     0xe52c0eeaU,     0xecb21b04U,     0x43f6b97bU, \
    0x3a4ec5c6U,     0x6204d494U,     0x9de94e95U,     0x5ba99b23U, \
    0xd543a0c0U,     0x0f8cf09bU,     0x9459c7a1U,     0x0c14eac0U, \
    0xf8a0c5ccU,     0x1bbeec61U,     0xe764d7c4U,     0xa7d39d35U, \
    0x5a6b3c00U,     0x7bbfeb41U,     0x57f517a6U,     0x774b54d5U, \
    0xd93739a9U,     0x1a87e26dU,     0x174d4b8bU,     0xa82cc277U, \
    0x8b60d1bfU,     0xa61f31d6U,     0x7971371fU,     0x1d3d4f14U, \
    0xa2bc58c0U,     0xbc8ae325U,     0xad7007b9U,     0x20d8d9b7U, \
    0x49321fc8U,     0x863a9c8fU,     0x5d52a5d7U,     0x9e81ae19U, \
    0x2d88e814U,     0xd9cca6a1U,     0x43fa8276U,     0x6e8b43eeU, \
    0x433ffeeeU,     0x7e30c0bdU,     0xa3bcbf34U,     0xab1976c1U, \
    0x39313787U,     0x4341d92eU,     0xd7cb52bbU,     0x6d037578U, \
    0xdf513745U,     0x21b3fa8fU,     0x7884b721U,     0x8fa54b28U, \
    0x918d3fd3U,     0x2717a33bU,     0x5e6e5780U,     0x13fa58ecU, \
    0x52620b0cU,     0xd504b378U,     0x5d9e7113U,     0xbb085d86U, \
    0xd08f92ccU,     0x06eacd2eU,     0xc9a0e61bU,     0x3db184f4U, \
    0xc12c3d3dU,     0xea386b04U,     0x962a24cfU,     0x82334181U, \
    0x3c83e065U,     0x25404ad0U,     0x8cfe6ad1U,     0x41528dbaU, \
    0x3968faa5U,     0xacd840bdU,     0x8c9d782fU,     0x9aaff596U, \
    0x9972ec9cU,     0x5adddcc3U,     0x31f308efU,     0x6d3acca2U, \
    0x185d7a6eU,     0x010a6981U,     0x10511e2bU,     0x9029d13bU, \
    0xb65ef121U,     0xaa69a71eU,     0xbb5d968bU,     0x01a2a80bU, \
    0x028629d2U,     0xbee10720U,     0xedf07b3fU,     0x8b5bbaf7U, \
    0x215ea87bU,     0xd47780c8U,     0x1cb9147dU,     0xc2ce1788U, \
    0x4a1b2872U,     0x175d2d95U,     0xf859c25dU,     0x3821c548U, \
    0x77366c7fU,     0x85183163U,     0xfdabfd68U,     0x435d6829U, \
    0x9958b840U,     0xe19a37caU,     0x41e76190U,     0x24f813ffU, \
    0x933f5efbU,     0x052c7224U,     0x005065ceU,     0x61e348b7U, \
    0x61fa3a21U,     0x7f1a2cddU,     0x648b0946U,     0x12c1954cU, \
    0xf68a1c26U,     0x5f7c8f96U,     0x94371e86U,     0x0d891d54U, \
    0x028e6be8U,     0x84d73374U,     0x09c5fe5fU,     0x5794e237U, \
    0x60695d3bU,     0x6bd31e6dU,     0xe734843fU,     0x017c06dbU, \
    0x87fadde3U,     0x29a78f2bU,     0x045f4658U,     0x4a6cb2f7U, \
    0xc70822f3U,     0x7b43358bU,     0xfc5e6d0aU,     0x9862b1dfU, \
    0x58017b2aU,     0x7fb5d321U,     0x2890355dU,     0x672777ccU, \
    0xbb45b973U,     0xb5bf543eU,     0xfadb535fU,     0xccdbcdc7U, \
    0x08782d52U,     0x96123355U,     0xc52a3b64U,     0x94c04100U, \
    0x64926796U,     0x82da9172U,     0x3ba1a1abU,     0xee5723fbU, \
    0xef92ee9aU,     0xc7dbabc7U,     0xe2e6475dU,     0xad422e62U, \
    0xdff709ddU,     0x661e139eU,     0x525306acU,     0xdec4a50dU, \
    0xab61f4b7U,     0xc7f3eb1bU,     0x4e892ac2U,     0x128e619cU, \
    0xb24d1716U,     0x54b024d0U,     0x3d1aabeaU,     0x8d374b8fU, \
    0x6a06303aU,     0x9fbdc753U,     0xd7aa397fU,     0x1846b3a2U, \
    0x47132e0cU,     0x18a67660U,     0x95b75e3cU,     0x92023172U, \
    0x124d2a0cU,     0x0d2da625U,     0x3e5d9815U,     0x5df4110bU, \
    0xf744506dU,     0x99d314ccU,     0xf1ce62caU,     0x3a3b38a9U, \
    0xda875952U,     0x02c05385U,     0xb92fd5e0U,     0x2124b205U, \
    0x66ad14a7U,     0x779506b9U,     0x1d3581b3U,     0xd6e1eda3U, \
    0xb3ad8a84U,     0x3f0087c9U,     0x188cedf6U,     0xd5331217U, \
    0xf0799ee4U,     0x28278090U,     0x983bc9e0U,     0x5f9795a5U, \
    0x3c894fecU,     0x900c8d06U,     0x09a00b1cU,     0xd62e97feU, \
    0x92598343U,     0x15284628U,     0x08616254U,     0xbe70e3f5U, \
    0x87b74cd1U,     0xcb919de8U,     0x59574145U,     0x67370189U, \
    0x16260c20U,     0x6f143b76U,     0x527fe745U,     0xbcf43dcaU, \
    0xa553d3f6U,     0x66fafa71U,     0x7cbe818bU,     0x3c429badU, \
    0x94a8e27bU,     0x6d9756faU,     0x15b26e50U,     0x414c716bU, \
    0x999c8ae8U,     0x22090e32U,     0x5d2c2c99U,     0x121c8f41U, \
    0xad9e39dbU,     0x17308676U,     0x56916922U,     0xa308e65bU, \
    0x4d6019eeU,     0xb90cfeb3U,     0x4f80581bU,     0x552c5f85U, \
    0x1e57238aU,     0xebac8687U,     0x2e40e6faU,     0x53b18e26U, \
    0x276eef80U,     0x7f4298a8U,     0x48869f50U,     0x63202c1eU, \
    0x6e285d4eU,     0xdf818b69U,     0xea7bbb18U,     0x08f522dfU, \
    0x9e6be0bbU,     0x028d9929U,     0x884dcb58U,     0x24cde876U, \
    0xcfb40294U,     0x2a228140U,     0x092d34e0U,     0x2d99203eU, \
    0x008d2346U,     0xab41c48cU,     0x273c375dU,     0x332d04f0U, \
    0x98427d68U,     0xdf09bac9U,     0x578e9217U,     0x3b67698eU, \
    0xf856e121U,     0xc4530845U,     0x7dbf17a8U,     0xae03b701U, \
    0x5d56b704U,     0x6123452dU,     0xae554b30U,     0xefb74f1bU, \
    0x5e819df4U,     0x3367abf3U,     0x79e5a40cU,     0x3d8c1d47U, \
    0xf253cea9U,     0xeb9f1132U,     0x9d97ca19U,     0x55329950U, \
    0x120552acU,     0x3f6fd76eU,     0x9d3109b5U,     0xce26bbf0U, \
    0x7a50e3a2U,     0x7ff65830U,     0x86c06309U,     0xbfa8c550U, \
    0x76a5923bU,     0x6c6d8a0aU,     0x19c089daU,     0x9f6ec589U, \
    0x52bd3befU,     0xf3566879U,     0xe138129dU,     0xbfb03595U, \
    0x5b66cbecU,     0xa275562eU,     0xd080798dU,     0xf3e6c8eeU, \
    0x34804874U,     0x48d0d68cU,     0x7591b8d4U,     0xc7219d87U, \
    0x9a2fb3f4U,     0xbcb6c2b2U,     0x1aad9405U,     0x32c99c46U, \
    0x076615c6U,     0xcf44ba48U,     0x0693e393U,     0xe432c989U, \
    0xef146282U,     0x4bc97bdfU,     0x7eaa275dU,     0xe392bc85U, \
    0x8d34754bU,     0x3b4e8b08U,     0x5d7420c6U,     0xb3f07af5U, \
    0x4d421a17U,     0x93d737d3U,     0x1b835f82U,     0x09dfa7c9U, \
    0x8bb92d7fU,     0xc6f433d0U,     0x961e52e7U,     0x0f7a2c0cU, \
    0x4c9c664aU,     0xe141d22cU,     0x3e848d4cU,     0xcafd0d56U, \
    0xc4075a3eU,     0x6a2cd76bU,     0x3219d9e8U,     0x9b323652U, \
    0x49943af2U,     0xfaffb505U,     0xab0e70fbU,     0xa07ba0a6U, \
    0x3950c53dU,     0xe8f003bcU,     0xc82ede92U,     0xb6fcb019U, \
    0x96acf4b2U,     0x4c144197U,     0x0ee10d61U,     0xd8dee0f1U, \
    0x05f520ddU,     0x94d860a0U,     0xf646a3f1U,     0x5e6ef2c1U, \
    0xa916c006U,     0x35ad187aU,     0x8980860bU,     0x0d4f4f40U, \
    0x7ce7ea7fU,     0xb4407fe8U,     0xb85aeaa4U,     0xc777787bU, \
    0xfcd9dc6bU,     0x19086ebbU,     0xa587f42fU,     0xf7087646U, \
    0x8ca2d238U,     0xf699c4a0U,     0x97c10b50U,     0xc98c26beU, \
    0xfce4d4aeU,     0x5634278dU,     0xa72780a2U,     0xd5ab263aU, \
    0x04721c1fU,     0xea73b1b9U,     0x1665252bU,     0xf1bb940dU, \
    0x6c2e27bdU,     0x69c0ba3cU,     0x34fc302bU,     0x0c5c1754U, \
    0x784107ebU,     0x648a0213U,     0x1d097615U,     0x717f8b75U, \
    0x4e9edb64U,     0x9eb4560aU,     0x1f51b636U,     0x29503a33U, \
    0x9c72dd51U,     0x33efcbeaU,     0x69124660U,     0x4829994bU, \
    0x25c741b7U,     0x4d43cb0fU,     0x44342c89U,     0xff6315c1U, \
    0x7a65b262U,     0xd9e0a050U,     0xaed6feeaU,     0x64f47244U, \
    0x3e530099U,     0x27784858U,     0x4344111eU,     0x086ca5f8U, \
    0xfcae5a69U,     0x99976ff6U,     0xb997121aU,     0xb6e4d80cU, \
    0xd18201dbU,     0x2f7666deU,     0xbac09a77U,     0x72934ebaU, \
    0x08b9891cU,     0xd6dce9a3U,     0x0a0bea10U,     0x1905b075U, \
    0x5c1d4b0cU,     0x6be92fd9U,     0x997ce4dfU,     0xe7664c61U, \
    0xb35cd0fcU,     0xc84273dfU,     0x98c14a38U,     0x57e75ceaU, \
    0x1eefeb0eU,     0x6691ef0cU,     0x7ecab5ccU,     0x2ff995b6U, \
    0x8ab61d70U,     0x262a8daeU,     0x8f6574c8U,     0x71269189U, \
    0xc2a7dd61U,     0xc1aa7ce2U,     0xd8cec7ccU,     0xd983a4b5U, \
    0xbaa2246bU,     0xcec7d33bU,     0x1bc19212U,     0xcdeb020cU, \
    0x88f298e7U,     0xcff8042bU,     0x7cb51c4aU,     0x97bbf576U, \
    0x8735d0ddU,     0xba3cbcfdU,     0xd369467bU,     0x7dc6590eU, \
    0x30bbc55bU,     0x88a2b1e9U,     0xb89c872dU,     0x3f45d366U, \
    0xc5c83e55U,     0x42e6b9cfU,     0xe678bf37U,     0xb50ade27U, \
    0x65b7e229U,     0x70329fc8U,     0xab700191U,     0xc6613670U, \
    0xe8952fb8U,     0x5c0ed5c8U,     0xff8fd773U,     0x70e5f17cU, \
    0xba738a17U,     0xdac68b14U,     0x3b5f5233U,     0xfe63c646U, \
    0x05a3fa80U,     0x1a7ae48bU,     0x0497be09U,     0x459325b6U, \
    0x3f601188U,     0x0ac7a394U,     0xd5446191U,     0xf15b8f07U, \
    0x1de50febU,     0xc285c8e7U,     0x01b3699eU,     0x6bd0cd91U, \
    0xa19b1883U,     0xed49f046U,     0x182d23daU,     0x527d9f9fU, \
    0x2bac81baU,     0x8845a2f9U,     0x036ecc00U,     0xe93128a7U, \
    0xf046aa4fU,     0x83b8cd5dU,     0xccafff6eU,     0x1b958b71U, \
    0x8e485275U,     0x9d8b1394U,     0x6abf609cU,     0x4cf022cfU, \
    0xfe447782U,     0xa49f5149U,     0x8437169eU,     0xb833bb24U, \
    0x2931c2eaU,     0xd173b804U,     0xf4299ee5U,     0xae0a3f47U, \
    0xf29d8b0cU,     0xa736dec3U,     0x277575d9U,     0x1d9fca9dU, \
    0xef2b2717U,     0xe5033992U,     0xc13855deU,     0x74210f93U, \
    0x1406f064U,     0xaeab48cfU,     0xd4c5574aU,     0xa255fcdaU, \
    0xba786d23U,     0xf08a0632U,     0xfe12f71bU,     0x746d76a7U, \
    0x4f2d0737U,     0x41c031baU,     0x4c5db36bU,     0x5ccc88bdU, \
    0xa710a559U,     0xb166017aU,     0x96fb3b29U,     0x97c2c29dU, \
    0x53b7586cU,     0x705b5322U,     0x15e467f5U,     0x61e191d8U, \
    0x708236a8U,     0x1d985705U,     0x92df878dU,     0x07f0cf0aU, \
    0xc302f6f2U,     0xc87020beU,     0x27dccdb4U,     0x5d42c1fbU, \
    0x47a23dacU,     0x885cd48cU,     0xa42f1aecU,     0x70abbb06U, \
    0x19540da4U,     0x6127e246U,     0xd34d391aU,     0x33344f12U, \
    0x94a2cbfeU,     0xc37dd369U,     0xb4e1b4cdU,     0xec5a5058U, \
    0xbc3df1deU,     0x27fd70e9U,     0x69ab45cdU,     0x4747dc7dU, \
    0xbc7203edU,     0xa58b19a7U,     0xcd4fd04cU,     0xe779d8beU, \
    0x5a6a7cc4U,     0xf528eab5U,     0x90638676U,     0x2996cacbU, \
    0xdebab85eU,     0xa7f91ec6U,     0x6df80b26U,     0x6d8bc940U, \
    0x9f6394beU,     0x034e8d54U,     0xaebc7bb3U,     0x73095b9bU, \
    0xedfb984eU,     0xf92d2f7dU,     0xe25db95eU,     0x5cf89db3U, \
    0x968bbb8eU,     0x762d81d2U,     0xfac09a4aU,     0x7f931a5aU, \
    0xd6bbb445U,     0xb1b14937U,     0xb1f755edU,     0x8e9a9e76U, \
    0x7661b4b1U,     0x82cff9d4U,     0x35cd5aa8U,     0xa0b5e6dfU, \
    0x1b86a486U,     0x429d7b49U,     0xac40be69U,     0x7040cfabU, \
    0xde9cc4a6U,     0x6154526fU,     0x31e9277eU,     0x05bdb0f3U, \
    0xb078e361U,     0xa9fcb0ddU,     0x644eadd7U,     0x1d051a4eU, \
    0x1493dffeU,     0xbd6e8934U,     0x24785b15U,     0xed2b556dU, \
    0xd55c1aedU,     0x68631b73U,     0x9060807aU,     0x587cef4eU, \
    0xd79780eeU,     0xfd44d7d8U,     0x3de6b478U,     0x0e079bb7U, \
    0x6898da21U,     0x95fd67e8U,     0xa4babd30U,     0x79eb7a92U, \
    0x94ad5de9U,     0x31b6f6c6U,     0xd4fdad5aU,     0x1727a84fU, \
    0x4fec2b84U,     0x42a32b49U,     0xfd9f1de3U,     0x65f31ed0U, \
    0x64c9c08bU,     0x7b2535b1U,     0xd123b68cU,     0xe28e5d3eU, \
    0x5766f2ccU,     0xc8966c0dU,     0x87df078bU,     0x89cfeeb1U, \
    0xd03236aeU,     0xed7a6a82U,     0x58fb6609U,     0xf5089a92U, \
    0x191927b2U,     0x5304fbe2U,     0xd8bc3e48U,     0x09341828U, \
    0x08e4b3f3U,     0xe1e1fc96U,     0x9ea96585U,     0xc9242950U, \
    0x2e0cb0c7U,     0xf754af90U,     0xb395d97aU,     0xa682f606U, \
    0xff13b8abU,     0x5dd3804cU,     0xf612e8cfU,     0x3385137bU, \
    0x3dd3438bU,     0xd4eb77fcU,     0x81caf43fU,     0xa4c4859bU, \
    0x8fea22deU,     0x383dd6abU,     0x8712192dU,     0x88eec5f3U, \
    0xe9615fd7U,     0x88d265dcU,     0x0e027c98U,     0xf909c48fU, \
    0x8b246a77U,     0x1aa8b62aU,     0x28e182f6U,     0xe24f9b6eU, \
    0xb844a66fU,     0x5831e186U,     0x5ae6bb84U,     0xc8daff6cU, \
    0x51558615U,     0x70bb7d8fU,     0xd443158eU,     0xf277eefeU, \
    0xc97fde3cU,     0x9e329bfbU,     0xae1e1082U,     0xcaf6dad9U, \
    0x8090d4c8U,     0x9347f9ceU,     0x6c252f92U,     0x927faeefU, \
    0x6464a002U,     0x8a8ba6a5U,     0x7c7d387eU,     0x9eac9698U, \
    0xf7315ab7U,     0xb565bdbbU,     0x436fd030U,     0xbe580239U, \
    0x730e02dcU,     0xd7ebbfe8U,     0x99095f49U,     0x27863033U, \
    0x1ec72f2fU,     0x5448b2d4U,     0x29200c56U,     0x62dcabefU, \
    0xf1751c25U,     0xb1a66d58U,     0x18ff3be8U,     0x725f106cU, \
    0x0d69f942U,     0x088c23d7U,     0x3ac9b77bU,     0xf266d53bU, \
    0xaea61ae5U,     0x87963ebbU,     0x913ae1b0U,     0xbb0629d9U, \
    0xcab047eaU,     0x69b30bd0U,     0x50271be6U,     0x3be54b44U, \
    0xacd4fc85U,     0xbb113113U,     0xbe954df7U,     0x67ac5f92U, \
    0x24108eccU,     0x8d41ad56U,     0xaf9d8723U,     0x879367c2U, \
    0x9513b022U,     0x4cf56b7bU,     0xed414e51U,     0x4a27f2b9U, \
    0x99ce41a6U,     0xbb604155U,     0x454cc55bU,     0x1b864627U, \
    0x62e851e4U,     0xf88bf781U,     0x8641e69cU,     0x514e15ddU, \
    0x03a51ef1U,     0x13418d95U,     0x14a9ed6aU,     0xf690df59U, \
    0xd919247fU,     0xf28f7868U,     0x3c59b26bU,     0x79856626U, \
    0x755cd9a5U,     0xdbda1af3U,     0x17cd259fU,     0x2726fe46U, \
    0x969d81b8U,     0xa64b840cU,     0x7b102184U,     0x79e78a3fU, \
    0xcceada8aU,     0x49efca43U,     0xe7c33448U,     0x95c64fd7U, \
    0x0a9bcdacU,     0xc603b155U,     0x1f97e814U,     0x90d63afdU, \
    0xcba9f207U,     0xb73205ddU,     0xfe1b2ed6U,     0xa5b253ecU, \
    0xfe542077U,     0x31cea1ccU,     0x718cd149U,     0xc6f12cb4U, \
    0x2995ca06U,     0x2018813eU,     0x6e9a3e3dU,     0xb283a482U, \
    0x614c18ebU,     0xa74df7fdU,     0x04842af9U,     0xf81a84e3U, \
    0x29e7ecc8U,     0xc9a625afU,     0x27be3278U,     0x4d3cd77eU, \
    0x76900502U,     0x7b462e29U,     0x86908753U,     0xd0854c7fU, \
    0x65a02f9dU,     0x676adbd4U,     0x551b6c34U,     0x230d32c4U, \
    0xb9a9740bU,     0xcfb79479U,     0x8141c7f3U,     0xe37190b8U, \
    0x01a7b862U,     0x1c72a9f3U,     0x7e9c8e0cU,     0x0081b827U, \
    0x2832df13U,     0xf8cb1a2dU,     0x86826b0dU,     0x8132bf92U, \
    0xc4bfa0dbU,     0x8e959166U,     0xa29f7c18U,     0xf85d6a52U, \
    0x6492c1c3U,     0x7c8faf2aU,     0x76100332U,     0x05c1bab1U, \
    0x9ce1ebd8U,     0xdf71de09U,     0xec3da0cfU,     0xae7a490bU, \
    0x775e23e4U,     0x0a57a213U,     0x7f0bf630U,     0x53c0ac76U, \
    0x94feff9aU,     0xb7d848eaU,     0xbfe21573U,     0x941cddeaU, \
    0xa786cc14U,     0x51de05e7U,     0xc0cb750bU,     0x5b8475f3U, \
    0xe27abde6U,     0x070b9d98U,     0x22e62bc7U,     0x0f98d125U, \
    0x77bd19aaU,     0x153b8a15U,     0xdccc40faU,     0xebd501e5U, \
    0x769f3244U,     0x9a04472eU,     0x6b83c414U,     0x975e7729U, \
    0x601b00f2U,     0x26cb693bU,     0x76465b1aU,     0x01d85bfcU, \
    0xc43f4a3eU,     0x2bc2bd0cU,     0x423f9f7dU,     0xe91e12bbU, \
    0x8ba9bb6cU,     0x9b428362U,     0x5f646efaU,     0x30bf6687U, \
    0x8ea98357U,     0xf2c9d01aU,     0x6d8d9d0eU,     0x99d984acU, \
    0x0f1f967cU,     0x869aebc4U,     0xa5365d89U,     0xfdfc2723U, \
    0x49473124U,     0x9c2e6f90U,     0xebcf8218U,     0xe8ad3a1eU, \
    0x32bed643U,     0x5d4750c3U,     0x380c964bU,     0xff01a092U, \
    0xae8e7f8bU,     0xf8582976U,     0xc2f5761cU,     0x6e3f48b8U, \
    0xfa380ab3U,     0x38ec925cU,     0x0fc5b5efU,     0x69973c41U, \
    0x900ccf70U,     0xa8f0491dU,     0x2535a36fU,     0x552f897cU, \
    0xcb122841U,     0x1155dffaU,     0xf8b67425U,     0x36e6f1b2U, \
    0x36cd0cf5U,     0x88c5ef43U,     0x1978668aU,     0x4633ad1fU, \
    0x0b52ff45U,     0x7f06e88aU,     0x693a58d0U,     0x2d56e27eU, \
    0x6c73b44cU,     0xad1f46baU,     0x53d8757aU,     0xae5932adU, \
    0x5681dd24U,     0x0312a354U,     0x1b48d605U,     0x18c2d50dU, \
    0x21e0af40U,     0x87912494U,     0x85ebed53U,     0xbc99d5efU, \
    0xa712b713U,     0x17d58b86U,     0xbf5afba5U,     0x10a9613fU, \
    0xe7fd8b92U,     0x74e89a4bU,     0x26e50eb5U,     0xb2679b13U, \
    0xa8bd0674U,     0xb3d4d54fU,     0xc439db88U,     0x4f4571aeU, \
    0xcce99f40U,     0xa6d95e30U,     0xa1adae53U,     0x6046c382U, \
    0x434640a9U,     0x8656720fU,     0xf56c5651U,     0xf429f817U, \
    0x4494ad34U,     0xf90b1031U,     0x29e0f46eU,     0x8788f9dbU, \
    0x56d816d4U,     0xca3e31a3U,     0xe70b8748U,     0xebf05cd3U, \
    0x911b9405U,     0xced2acabU,     0x48833326U,     0x7ed84bbfU, \
    0xbb8d55a8U,     0xd9f964b9U,     0xfac55469U,     0xbec3185dU, \
    0x1066f3baU,     0xfc2e7942U,     0x8937f76cU,     0x5793657fU, \
    0x6be1b3b3U,     0x1402f608U,     0xba6b32a0U,     0x729ed5d9U, \
    0x72522b70U,     0xa3e2a2d6U,     0x7abb6bfdU,     0xa3599698U, \
    0x469f8cf4U,     0xe7f93c36U,     0x6206a9b8U,     0xc79ed170U, \
    0x5b832252U,     0x9726c481U,     0xfa17f417U,     0x0bf10549U, \
    0xd383abfdU,     0x8dfd3bc9U,     0xf452d885U,     0x6f87a426U, \
    0x85ba2698U,     0xcc216a25U,     0x188cdf7cU,     0x4d82d862U, \
    0xd005ff02U,     0xf875a9a0U,     0xf3fd5ac8U,     0xfbb5268bU, \
    0x131bcd83U,     0xcedbe70dU,     0x9863f3ccU,     0xca2b54e0U, \
    0xb7cc1b98U,     0xf3371b76U,     0x42d649c0U,     0x78280432U, \
    0xbd6ffc36U,     0xda1f449fU,     0xc83328faU,     0x36e1fdacU, \
    0x3ac9bd59U,     0x2f48f292U,     0xf9812f7fU,     0x42deb7ccU, \
    0xd303410dU,     0xff4ff86cU,     0x7d5dfb09U,     0x1c57ace2U, \
    0x9b8e09deU,     0x1b387a96U,     0x6c891f56U,     0x67c5d39eU, \
    0x6d61e878U,     0x2b9f9af8U,     0x543b699aU,     0x22919761U, \
    0xeeb188afU,     0xd8407355U,     0xa78de8e4U,     0xc5867eaaU, \
    0xf804dd9aU,     0xb0a81df4U,     0x73352fb5U,     0x780dfe60U, \
    0x1cfcefc2U,     0x58928bc2U,     0x7d8f357dU,     0xc78f8e5cU, \
    0xfa32a6c3U,     0x9164fddbU,     0xf5fcd2c4U,     0x29696a1bU, \
    0xb3409521U,     0xcc45a4a1U,     0x299909b0U,     0x7fa5b8e2U, \
    0x7f54ddc9U,     0xf6ab2343U,     0x546dcb66U,     0xdb812eeaU, \
    0xa4c01fc5U,     0xe34aa775U,     0xaa18adc7U,     0x528b95e0U, \
    0xd189ca0cU,     0x1ff1498aU,     0x4b2fdc84U,     0xb9eb39e6U, \
    0x5fb417c7U,     0x405ba16eU,     0x922f17a1U,     0x74922464U, \
    0xc4eebb8bU,     0x0be3c219U,     0x99aa2f1dU,     0x8491ace0U, \
    0x9341ac76U,     0x42612ce5U,     0x6b0aedc6U,     0x918b0f0dU, \
    0xab51ce42U,     0x44e317ddU,     0x731f4cfeU,     0x28f5772bU, \
    0x0277ceb6U,     0x1230b43fU,     0x57eed174U,     0xab1e4106U, \
    0xc393a407U,     0xf9f72cddU,     0x35c56507U,     0x04642426U, \
    0xa3a2caa5U,     0x187a68f4U,     0xfa04b119U,     0x3b7dad7cU, \
    0x474fc718U,     0x46f0cbb3U,     0x134e866aU,     0x27cbfeceU, \
    0x735a16d4U,     0xc8695532U,     0x21baf0deU,     0x3e529f70U, \
    0x73435af6U,     0x28353e77U,     0x0e378712U,     0xbec540d9U, \
    0xea2ae3fbU,     0x0e76caf0U,     0x8301ca49U,     0xa2c8d92dU, \
    0x512934a3U,     0x60148bb3U,     0xcd2b34eaU,     0xf1bcf117U, \
    0x1de3edeeU,     0x04254027U,     0x70b01b95U,     0x6a6c26beU, \
    0x71b67964U,     0xe470c830U,     0x4593f45fU,     0x132104bfU, \
    0x42eb7fc2U,     0x48cb0892U,     0x06827ff0U,     0x1cc2823cU, \
    0x0c3665cbU,     0x1b6ca9f4U,     0x17a9ff59U,     0xead4461fU, \
    0xea0ad576U,     0x0f8768f4U,     0x7bffca54U,     0x45c28dc5U, \
    0x12873920U,     0x3b844230U,     0xa366e430U,     0xd416c9edU, \
    0xc94306a9U,     0x942b1f8dU,     0xfdbaefbfU,     0x2f8833e6U, \
    0xae0e2a05U,     0xccb2713dU,     0x5ca0f13aU,     0x56da279bU, \
    0x9797423fU,     0x38e42ec3U,     0xc386d6b6U,     0x11e15b1cU, \
    0xf8e6d861U,     0x36ebb5b5U,     0x13ba6699U,     0x3a5e3713U, \
    0x09a5fa15U,     0x432a225aU,     0x15375b7dU,     0x3f034c06U, \
    0x5a0bcdd0U,     0xd34aa35fU,     0x06bbf69aU,     0x285108b6U, \
    0xac754dffU,     0x5780a41cU,     0xc9f68c28U,     0x17f2a874U, \
    0x099069e1U,     0x4f0d49ebU,     0x6db2c13dU,     0x13712066U, \
    0x13a168c9U,     0x1cabce01U,     0x26bb0582U,     0xc0d2de1eU, \
    0x096a1b31U,     0xa4ac34b0U,     0x5b927ef4U,     0x11537127U, \
    0xf4c97329U,     0x3169e26fU,     0xc7159ffeU,     0xf9f79ac1U, \
    0x0e7dac46U,     0xc56a2ecdU,     0x0a55c256U,     0xfdd747e5U, \
    0x9d349b28U,     0xae92482dU,     0x640bb546U,     0x408bbc78U, \
    0x64e98f62U,     0x85fcdf32U,     0xdf1de878U,     0x6184ef56U, \
    0x9ebeb7c4U,     0x536e8529U,     0x2cf08319U,     0xd03c34f8U, \
    0xabc46a72U,     0xcebc0f75U,     0xd5615996U,     0x65dee904U, \
    0xfab37430U,     0xa2a58921U,     0x67761779U,     0x313e6ac7U, \
    0xc639eb10U,     0xf8b13677U,     0x25384f51U,     0x7ddfd7d3U, \
    0x5c158de3U,     0x9081216dU,     0x1fbe9c64U,     0x8faf1681U, \
    0x454a91fdU,     0xa0c4f6f0U,     0xfe1e1464U,     0xb2b708f9U, \
    0x00808bf6U,     0x65288b3cU,     0x47445e82U,     0x880a6e22U, \
    0x317c8eb2U,     0xa6d0e5a8U,     0x91f70352U,     0x09482a33U, \
    0xd7f7774cU,     0xaf32daa2U,     0xdf8052b7U,     0x335e232bU, \
    0x5d318a77U,     0x460ef349U,     0x9e126181U,     0xf002316fU, \
    0x1c8f2a4fU,     0xb3f9137cU,     0xd42de9feU,     0x5c0b32c0U, \
    0x564a3463U,     0x83c30eedU,     0xbebe1b30U,     0xc82d8ab1U, \
    0x8b04821fU,     0xf5474fcbU,     0x7fbc86b6U,     0xacb218ddU, \
    0xddbf557cU,     0xa1c26056U,     0xacf3ad9bU,     0x0e688394U, \
    0x2ae18d39U,     0x7a15db68U,     0x3f395851U,     0x634475caU, \
    0x4a0bcb2aU,     0xd6310c4aU,     0x1cb94c7aU,     0xb07865c6U, \
    0xd63ca7bbU,     0x162f41fcU,     0xe111d792U,     0x50c87c37U, \
    0x13f84954U,     0x1190009bU,     0xcec78126U,     0x5c2cf9e2U, \
    0x2c6da600U,     0x13ff956aU,     0x300e59c1U,     0x71d6fa4aU, \
    0xb59905e7U,     0x27888100U,     0x3deb0a26U,     0xc89e5b5cU, \
    0x9e7587d3U,     0xedfe1c3bU,     0x5581e363U,     0xa74b91deU, \
    0xfea58c3bU,     0x2903928fU,     0x675c822dU,     0x46474850U, \
    0xc7e612c2U,     0x98656d99U,     0x5c291c31U,     0x4a51af10U, \
    0x2eb8d993U,     0x189edcadU,     0x745d2f49U,     0x2f47a7faU, \
    0xeb2ba1e6U,     0x556cccddU,     0x9b21ba3fU,     0x50bba743U, \
    0x1eea37e7U,     0x2c3991b2U,     0xc51388ccU,     0xf9b83302U, \
    0x60405bcaU,     0x7633ced4U,     0x9e6b234aU,     0x836d9bc0U, \
    0xbcf9b87fU,     0xb9886f8dU,     0x8a23177eU,     0x4d258006U, \
    0x08bc3b14U,     0x5adda124U,     0x07b86b30U,     0x2f1acf43U, \
    0xb7aab122U,     0xde3221d9U,     0x18df9c08U,     0xa391eb9cU, \
    0x38309200U,     0xab7f0f76U,     0x7be977adU,     0x3b14508aU, \
    0x42aff665U,     0x7bc4ca08U,     0xc6f42d99U,     0x0dab07d5U, \
    0x49ccfb24U,     0xc4ea608bU,     0x4462a606U,     0xb553e789U, \
    0x408c46b0U,     0x11398e5dU,     0xe3e574f9U,     0xb89e69b8U, \
    0x17802419U,     0x9ff5cfe7U,     0xc971ba04U,     0x16d5d05dU, \
    0x74d03eabU,     0x33ece5d0U,     0x7a6d4535U,     0x86408404U, \
    0x057d4e97U,     0xb4888207U,     0xa1939293U,     0xdc413fbbU, \
    0x994728ccU,     0xd8f0fe0dU,     0xa50ba553U,     0x1e28a12dU, \
    0xa8509bedU,     0x3ca72a94U,     0x4202d365U,     0x79ecd982U, \
    0x413679eeU,     0xd67b0c24U,     0x6ea2b1baU,     0x98208c0cU, \
    0x77063629U,     0x417383e6U,     0x30059d2eU,     0x087e0f33U, \
    0x574a103eU,     0x602dccaeU,     0x3a5a3eacU,     0xfd743e3fU, \
    0x2cd41a4bU,     0xfdecede1U,     0xe160020cU,     0xc6ec15a8U, \
    0x849e8cd1U,     0xe59c476bU,     0x936af72aU,     0x1c61e58bU, \
    0xb163e908U,     0x34fc0b52U,     0xe0436ff6U,     0x453e0210U, \
    0xf4438214U,     0x1d218ddbU,     0xbb3f7eccU,     0x99080a55U, \
    0x55bd45c8U,     0x4209c002U,     0x9d3cdb25U,     0x72d9b357U, \
    0xac909432U,     0xc5fdb511U,     0xc5afea51U,     0x179863c1U, \
    0x5b5e9951U,     0x7c7bae47U,     0xdd2964d3U,     0xe051870aU, \
    0x7c64b31bU,     0x845bd10fU,     0x5f8ca02aU,     0x74448190U, \
    0xd381369eU,     0x62741521U,     0x6c07cf46U,     0x8b66abc6U, \
    0x20e83db9U,     0x1ee07b42U,     0x73f185bcU,     0xe892233eU, \
    0xc7479e16U,     0x5294cc1bU,     0x519ea343U,     0x26e019dbU, \
    0x1f3f519fU,     0x62930878U,     0x84db6698U,     0x254e59a3U, \
    0x5c70602fU,     0x182904ddU,     0xa392a9a0U,     0x821aae8bU, \
    0x9ae37f28U,     0x10cfbe33U,     0x9fcb996dU,     0x5f7cf2beU, \
    0xad7f0753U,     0x716c72cfU,     0xd60282eaU,     0xf1827ff8U, \
    0x1baa6808U,     0xc02ebd9fU,     0x90b4ccf7U,     0x2cb5e994U, \
    0x8774d8bcU,     0x20d40ce2U,     0x238eb725U,     0x5faa5efaU, \
    0xabf97abaU,     0x6ee7d536U,     0xde0b9c7aU,     0x2cab8475U, \
    0x454acdb1U,     0x84914fa2U,     0xc3092da5U,     0xbeadfd56U, \
    0x24c9be01U,     0x3c54d4ddU,     0xfcaf134aU,     0x1ec24c49U, \
    0xa228c3b1U,     0x86c25e13U,     0x9d5f9531U,     0xde2c8882U, \
    0x1d070329U,     0xd5e8549eU,     0x41bbda74U,     0x59f45c87U, \
    0x94b73d2cU,     0x77b44729U,     0xcf3ffdf2U,     0x136f9e9eU, \
    0xac092c30U,     0x9c0c3ef8U,     0x47ad2c1aU,     0x43964b29U, \
    0x750704dbU,     0x7893d6e1U,     0x29208c05U,     0x0b5a79e1U, \
    0xc435918bU,     0x465e5168U,     0xa71fa32dU,     0x2013dc7fU, \
    0x4d23cb55U,     0x19e8f7e9U,     0x44ae79e8U,     0x654a97fbU, \
    0x0d10037eU,     0x417ef253U,     0x5d182c04U,     0xaa9d5fd0U, \
    0x93b59ef7U,     0xc0e2eb3fU,     0x0f32310cU,     0x23a0c8baU, \
    0xa95727fbU,     0xe5e29716U,     0x11b0b86aU,     0xccb79a50U, \
    0x6e5b893bU,     0x38914dc8U,     0xf43f72caU,     0x1be523ccU, \
    0x1d303793U,     0xde3f68a2U,     0xf5478068U,     0x53efb2e4U, \
    0x0af21ab9U,     0x0f0f5b72U,     0x8e0ed726U,     0x9dfcf23eU, \
    0x5b540416U,     0x0c45436fU,     0xa391088dU,     0x58f382cdU, \
    0xce9d7992U,     0x9ea6ce79U,     0x175a039aU,     0xe1c4453aU, \
    0x2e2d7738U,     0x7f2581b8U,     0xdf4aedd0U,     0x28d7d946U, \
    0x947f968bU,     0x51a6be1dU,     0x5c697b7cU,     0x7fbff109U, \
    0x27c6d86dU,     0xe4f0ec1fU,     0x64048605U,     0xaa31c111U, \
    0xf1076d2cU,     0x0ae494edU,     0xaa796634U,     0xb6113e15U, \
    0xa482c6dcU,     0x1df43a11U,     0xd9f5b491U,     0x32912029U, \
    0xe2858f95U,     0x5b21192bU,     0x1159474cU,     0xa5f519f9U, \
    0x9c867e64U,     0xbe87944bU,     0x2d19e453U,     0x5f3de693U, \
    0x01abf960U,     0xa13ffabaU,     0x46a44fc0U,     0xd97f5157U, \
    0x879e0dacU,     0x611c263bU,     0x56b54b16U,     0x5e95d7caU, \
    0x7cb52d86U,     0x8b939adcU,     0x28ccbe34U,     0xe562c354U, \
    0x5f605c1cU,     0x03fc6f8cU,     0x237aa87cU,     0xd1ad0602U, \
    0x86a7e126U,     0x242111a0U,     0x21e27e05U,     0x19a641b9U, \
    0xa165491dU,     0x09672063U,     0x889ecc67U,     0x1c5e07bfU, \
    0x9f8eac04U,     0x4447fe21U,     0x885df6caU,     0x57771620U, \
    0x03771460U,     0x7769348dU,     0x92483598U,     0x2bda8c8eU, \
    0x8d4c41c6U,     0x7ccb549bU,     0x8b069d90U,     0xb33d7ccaU, \
    0xdbd45810U,     0xa4481076U,     0xdfcb0e97U,     0x139b91c5U, \
    0x67f6d9d2U,     0xcd0288b0U,     0x03faf1f7U,     0x2d039084U, \
    0x91299439U,     0xd6eba107U,     0xa4cc9fa7U,     0xeec6d989U, \
    0x1a7e2beeU,     0x2853f476U,     0x575cc823U,     0xaa760d40U, \
    0x32b8b72cU,     0xfe8956e8U,     0x5fd58f38U,     0xec382396U, \
    0xcec06eb8U,     0x5145892cU,     0x0bebc616U,     0x04b014a9U, \
    0x5111c67fU,     0xa94e8f01U,     0xf49f3965U,     0x8e35e1d0U, \
    0xc327be12U,     0x8df2f48bU,     0xf8ae0abeU,     0x4f5186a8U, \
    0xfc315d24U,     0x5c10d06fU,     0xe332db7fU,     0xc9af2b99U, \
    0xd386e8caU,     0xd09b83efU,     0xcc3ddf09U,     0x3a9a2fd1U, \
    0x41608caaU,     0x451e8da9U,     0x0d328953U,     0x4ff9cf91U, \
    0xc44cd818U,     0x337d87d0U,     0xb152bf9fU,     0x0aef09ddU, \
    0x2f41f4dfU,     0x9bd86a35U,     0x1890ee10U,     0x44deb9d8U, \
    0x4b070d44U,     0x0b8ba37eU,     0xff05bb3cU,     0x3226249cU, \
    0x27b80199U,     0xc2d8b922U,     0xda525f46U,     0xdbe94439U, \
    0xa6714803U,     0xaafa8cb2U,     0x08574216U,     0xd027307aU, \
    0xc233fc99U,     0xe045867eU,     0xa044aa2eU,     0x57745111U, \
    0xcad910e7U,     0xa350c70dU,     0xcc043922U,     0xa853c6dfU, \
    0xb947c6ffU,     0x5de288fcU,     0xfce17b9eU,     0xa7b828bfU, \
    0x97f8056aU,     0xdde9d097U,     0x4aa58c94U,     0x46df181fU, \
    0xac7c46d5U,     0xae916bebU,     0xf9fe6466U,     0x44d07744U, \
    0xd138462bU,     0x9b7edf5bU,     0x2f4fdf2bU,     0xba0dc9b8U, \
    0x247188f7U,     0x84c023f8U,     0x9db20597U,     0x3801b25bU, \
    0x3830faa2U,     0xe15d1aaaU,     0x12827db8U,     0xe6f4fa90U, \
    0x9db36e52U,     0xc20d82faU,     0xeada6c9eU,     0xd6cb72ceU, \
    0x4dedad49U,     0xf76a0c86U,     0xafe3205eU,     0xcd7ad473U, \
    0x7d214da0U,     0x37f2e47dU,     0x05f7bc7bU,     0xd3e4bde0U, \
    0x461ec35aU,     0xcd69d9fcU,     0xce561075U,     0x442476daU, \
    0x1cd0b0c2U,     0xa3dc0a63U,     0xd2a3a6c8U,     0x58f324a7U, \
    0x1564624fU,     0x448f34b5U,     0xd4c90be3U,     0xcaa7e30cU, \
    0x7eeb725dU,     0x745a3facU,     0xd362720aU,     0xbb4283a8U, \
    0xf4a49f0aU,     0xcd8ab05fU,     0x8c09274cU,     0x32b24b38U, \
    0x9b853132U,     0x639e2df8U,     0x246e235fU,     0x9ba9b97bU, \
    0xdb113942U,     0xd10885fbU,     0xde153336U,     0x50513170U, \
    0x3d3dfb99U,     0x7b7a5060U,     0x6d515952U,     0x477fc9afU, \
    0x4d897fbeU,     0x973c82e5U,     0x6211a88eU,     0xb8255974U, \
    0x7d9fc81fU,     0x360bbcb9U,     0x26ed003aU,     0xc9c7d886U, \
    0x740598faU,     0x6fc87bdaU,     0x2d585da7U,     0x956bcfb0U, \
    0xd45c264cU,     0x81965a73U,     0xbc9c2e29U,     0xf67f196cU, \
    0xc8a058ecU,     0x9458a1b7U,     0x12325cafU,     0x907d56a3U, \
    0xa9b60584U,     0x0cf1626bU,     0x36472d7aU,     0x2b23851cU, \
    0x0cd82312U,     0xf1c1d2f9U,     0x4e095007U,     0x7f6af9d5U, \
    0x7246e32dU,     0x7cf6a01eU,     0x8cd24c86U,     0x682edcafU, \
    0xa15fd14cU,     0xf073c684U,     0x3af9fe3eU,     0xbe467282U, \
    0xc9ad70b8U,     0x0c0b4ad7U,     0x465dd74cU,     0xf8cb5738U, \
    0xc9a730d0U,     0xc83cbad7U,     0x26ea0ceaU,     0xf7a789ecU, \
    0x9d477885U,     0x74f9b889U,     0x0fd15b6dU,     0x268a5bdbU, \
    0x724fffd2U,     0x460aac4aU,     0x1b2842f4U,     0x193bd7cfU, \
    0x80f55cd3U,     0xb11f98f4U,     0xbbcf9be9U,     0xb03039faU, \
    0x446dd2e2U,     0xfe83cfcfU,     0xe54924a1U,     0xe180c713U, \
    0x8e26798fU,     0x5de6ad15U,     0x6ec71bb8U,     0xf8e9a500U, \
    0xbdf7b575U,     0x9609ab34U,     0x82733f4eU,     0x33394bc3U, \
    0x1915b5a5U,     0x5acc4cd4U,     0x9504ee6cU,     0xbb86cca6U, \
    0x8a33ad60U,     0x412a6e6eU,     0xe30a268bU,     0x68635ce9U, \
    0x18986622U,     0xc534c9bfU,     0x542d601aU,     0x03ecee1aU, \
    0x5ec78156U,     0xd112b1c5U,     0x14054ffaU,     0xaba7b952U, \
    0x32c3f5a5U,     0xc81a9bb9U,     0x5a0dfc99U,     0x9cade9cfU, \
    0xc4413fe5U,     0xf276ccb2U,     0x7a189103U,     0x65d7d1f7U, \
    0x92bb1bfbU,     0xc18649b1U,     0x3c32fad6U,     0x133bed8fU, \
    0xb1f98162U,     0x44bb5d6dU,     0x2cfad9efU,     0xc98fb41aU, \
    0xf6060d7cU,     0xe9a5e7bdU,     0xe7742fa7U,     0xc79252dcU, \
    0x61132af1U,     0x47eb816cU,     0x452736adU,     0x6ab172baU, \
    0x3ca0684eU,     0x82edbf45U,     0x7f283b85U,     0x85d4fcb7U, \
    0x4678f1f2U,     0xe3adc730U,     0x23bf9e4bU,     0xc6c28040U, \
    0x4ee2a143U,     0x3ab27728U,     0x24be350bU,     0x1b7863edU, \
    0xea2d3913U,     0xba69138fU,     0x717987a6U,     0x8aabd1e7U, \
    0x88184127U,     0x1740cecdU,     0x87196a9bU,     0xbab482bbU, \
    0x4e396f94U,     0x43603bbbU,     0x975cbec4U,     0x91c06f17U, \
    0x7c96328eU,     0x2138c40aU,     0xe7754442U,     0x8a1ea50fU, \
    0x43d4994cU,     0xa3bd1adaU,     0x2c0b9eb8U,     0xc0fbccaaU, \
    0x29c57045U,     0xd3f4475eU,     0xdf874033U,     0xb1fc4480U, \
    0x87982688U,     0xe2da9808U,     0x3049131fU,     0x3f4cc6dfU, \
    0x1380fdbcU,     0xe4869815U,     0xe245750bU,     0x5c5ef71bU, \
    0xde86c130U,     0x90e22f8eU,     0x510eabe3U,     0x5f261281U, \
    0x0d4dbbe5U,     0x838fef45U,     0x1407509cU,     0x1679f960U, \
    0x4abbb7baU,     0xcc98bf31U,     0x42dd51e7U,     0x4a1db0b0U, \
    0xb92ad591U,     0x59259387U,     0xa715896cU,     0x9cc7af4fU, \
    0x6e891eb2U,     0xe9bfd3e8U,     0x86a73826U,     0xc8c106f3U, \
    0x60cba55cU,     0x67e430f8U,     0x9a5701c9U,     0xc72cc322U, \
    0xc26d1867U,     0xa93aa425U,     0xfd7c1cebU,     0x68dea0e2U, \
    0x0c59e63aU,     0x3f09bca2U,     0xf59c2828U,     0x33d8ca1bU, \
    0x23118749U,     0x9724443dU,     0x43add61bU,     0xc8cd7054U, \
    0x32999302U,     0xd47cceadU,     0x11965f21U,     0xf332a367U, \
    0xc8f404deU,     0xa701818dU,     0x8fa18a30U,     0xac5230bdU, \
    0x96a56bc2U,     0x34dbf7e2U,     0xc2a57707U,     0x412ecccbU, \
    0xa21faeecU,     0xf17f67e6U,     0x2ef0b20cU,     0x6fe3c329U, \
    0x30c8f975U,     0x21c353fdU,     0x2b2965dfU,     0x17c71744U, \
    0x0181aca5U,     0xe5179bd7U,     0x2ed7c7c6U,     0x6ed9f127U, \
    0xba983aa0U,     0xa8df7475U,     0xf18cef00U,     0x0d78b530U, \
    0x6e8feeccU,     0xcb0130ceU,     0x0f698499U,     0xc7856ff8U, \
    0x10fab735U,     0x2e1d5ea0U,     0xa1d655bfU,     0x36d531eeU, \
    0xda1436acU,     0xc7452f3cU,     0xded9e51aU,     0x49543b4dU, \
    0x09a03d9bU,     0x577854e6U,     0x26223759U,     0x3be96476U, \
    0x215cddfaU,     0xa0531e49U,     0x35f7bde1U,     0xd6531ac0U, \
    0x4cbc8e6aU,     0x8c233aa5U,     0x9965c8b3U,     0x2da892ddU, \
    0x7f6eb9d9U,     0x05184bf6U,     0xeb9c5b88U,     0xf55ccf4dU, \
    0xa35ce0bbU,     0x5e810290U,     0x5254d90cU,     0xc7fc5e06U, \
    0xc7fc6909U,     0x89d966f8U,     0x1512af0aU,     0x3c26c028U, \
    0xd4d05f87U,     0x04569c1fU,     0xa2feba48U,     0x806d448dU, \
    0x06663ec4U,     0x56b27adbU,     0xb6b997aeU,     0x70e77a39U, \
    0x8749c384U,     0x95d3b960U,     0x143e27d5U,     0xecc4c6f0U, \
    0xf53a50b6U,     0x6df17d4cU,     0x759b2130U,     0x1a8154c7U, \
    0x8539a7f1U,     0x9938eebeU,     0xe5611616U,     0x42c92926U, \
    0xa82cf66fU,     0x2d24f8deU,     0x171506e1U,     0xaeabd904U, \
    0x2dc718daU,     0xaa932a08U,     0x912bddc4U,     0xdbc6dd26U, \
    0x29e38be1U,     0xf264b0f8U,     0xd6170b53U,     0x9c2e0b77U, \
    0xda19874dU,     0xa9e57aebU,     0x35baf45dU,     0x9560fb5bU, \
    0x417b0a20U,     0x328a9730U,     0xd729ee0aU,     0xb23830a8U, \
    0xbbde85efU,     0x3671e211U,     0x8d4069b0U,     0xe8ee989cU, \
    0x0fc774c4U,     0x012090a6U,     0x11749db5U,     0xb79a9c40U, \
    0xa2c0ca5dU,     0x54cda6deU,     0xb70dc0c9U,     0x1b360839U, \
    0x72010444U,     0x287df733U,     0x3847c65eU,     0x8cffbdcfU, \
    0x69cb5ee8U,     0xf72c03acU,     0x328d5339U,     0x8eb8e18aU, \
    0xcc0a1f6bU,     0x0209d474U,     0x12198334U,     0xb0cea3dfU, \
    0x1d13fb22U,     0x7ddced06U,     0xc64a3effU,     0x9e635ca0U, \
    0x23cdf06aU,     0x093981e5U,     0x97b08068U,     0x1ce5299bU, \
    0x4c60c60aU,     0x1e000521U,     0xff862580U,     0xfc1b8005U, \
    0x3ae57de3U,     0x49804f77U,     0xbeaaf081U,     0xe6835e40U, \
    0xae01744dU,     0xd7778268U,     0xbcd091bcU,     0xc7054a88U, \
    0x6ec6afecU,     0x8db5ad64U,     0xe9075351U,     0x7e46c29eU, \
    0x041b0905U,     0xcee1044dU,     0xa03889eeU,     0xeec512b6U, \
    0x8dc30679U,     0x8059858cU,     0x5fce2252U,     0x9910f8efU, \
    0xd1dc42dfU,     0xc8d74d21U,     0xe886f97cU,     0x3a24afdfU, \
    0x6a0ceca5U,     0xfe49a263U,     0x779811fbU,     0x72ba24b9U, \
    0x3ca047e5U,     0xa321421cU,     0xd8900df6U,     0xc21278f7U, \
    0x8fbb9e8eU,     0x59dc4da0U,     0xca5d2dc1U,     0x6cc96664U, \
    0xc1b29e25U,     0xf7c23083U,     0x19473e1fU,     0x29822149U, \
    0x7611c360U,     0x32601c21U,     0x8fdab09cU,     0x287017a3U, \
    0x668fb0b3U,     0x24bc7f91U,     0x93a26d26U,     0x8be4e2daU, \
    0xac8136ccU,     0xc1ddbdbeU,     0x3554cddcU,     0x2a299f9aU, \
    0x564f4cf7U,     0x6d57a91fU,     0x46cb7b1aU,     0x0c42d674U, \
    0xcde737faU,     0x0a6bbd89U,     0x5a9b1fe6U,     0x1fd3c3e5U, \
    0xf3521b9eU,     0xe6848dbfU,     0x0d27e1e7U,     0x05d7c096U, \
    0x15b08aacU,     0x6f2daa31U,     0x503c4052U,     0x550fc89aU, \
    0x4e21f285U,     0x650aac71U,     0xc998f6a2U,     0x310f0e5aU, \
    0xceda9cd2U,     0x104b3428U,     0x294590dfU,     0x0a0f204eU, \
    0x289feb9eU,     0xb335a7b4U,     0xd96e3015U,     0x08246734U, \
    0xa12e65cfU,     0x28c068ddU,     0x1f77ec56U,     0x50f1b736U, \
    0xcb9135d5U,     0xed5e5378U,     0x65abbf64U,     0xc8c5c00eU, \
    0xc116e2ccU,     0x0c8ee5e6U,     0x389d397dU,     0x02b69febU, \
    0x6ec5eb15U,     0x8bc4a977U,     0x45b21c2bU,     0x5ccb9029U, \
    0x7266960bU,     0xab8f51acU,     0x2f16b088U,     0xc95f23f0U, \
    0x286ddd33U,     0x13a609f8U,     0x26426a9fU,     0x61597df9U, \
    0xa0ef13a5U,     0xdd5e8a14U,     0x2503759cU,     0x1c069559U, \
    0x27e4e6caU,     0xf47478e3U,     0x140bc3f2U,     0x21c943f8U, \
    0x80c9dd99U,     0x33b528e8U,     0x1d7fd4eaU,     0xacdc362bU, \
    0x5aa51218U,     0x9ab2812bU,     0xcaabe285U,     0x28950f2cU, \
    0x713c7c35U,     0xd9f1a0cdU,     0xe9ab1592U,     0x9531866bU, \
    0x9a8b5bb7U,     0x4bd5334fU,     0xdb31ba01U,     0x26fa3965U, \
    0x12f61831U,     0xe671e4a5U,     0x2cc6b9c1U,     0x875019c4U, \
    0x6565470cU,     0x9389b46aU,     0x854eb986U,     0xf53f0cd0U, \
    0x5dddd836U,     0xfa226083U,     0x72d91996U,     0x5e383f2aU, \
    0x3f0cff3bU,     0x11e77540U,     0xdc0a8a26U,     0xe68aa3b6U, \
    0x168aa8a7U,     0x1c28151eU,     0x136d3d35U,     0x9a5bd99bU, \
    0x514c4d35U,     0xd8008efdU,     0xbc276d88U,     0x2bbf0130U, \
    0x2788dfc9U,     0xfb3af4c4U,     0x33d3ed25U,     0x30e05798U, \
    0x58e98e38U,     0xac3fa7b0U,     0x59a1843eU,     0xcbf9d06cU, \
    0x690ff01bU,     0xfa05572aU,     0x5bb1118eU,     0xd5ad1842U, \
    0xef5c8bfaU,     0x21389cafU,     0x019539b4U,     0x13a07172U, \
    0x5b823ea3U,     0x03f092bfU,     0xd4287d97U,     0x80911346U, \
    0xd87290c5U,     0xfa4edcf8U,     0x67097f5dU,     0x598e7046U, \
    0x8d7ad099U,     0xcd298da2U,     0xea2019b3U,     0xd01c4a1dU, \
    0x08eae66bU,     0x03bc56fcU,     0xecd1d051U,     0x27aebd5dU, \
    0xf192c5daU,     0x3173e515U,     0x7f6b1414U,     0x8fae40b5U, \
    0x98891c63U,     0xa7c6ea41U,     0xe4d27a7fU,     0x81323e70U, \
    0x0330b3cbU,     0x8d15fee3U,     0x767517ffU,     0x7df1bdd7U, \
    0x15d5133bU,     0x26437840U,     0x9a0d56e7U,     0x04c5f90eU, \
    0xae0e9948U,     0xe90ee420U,     0xdb03c7a1U,     0x2ffdaddfU, \
    0x675138c4U,     0x8665b97cU,     0x019479d8U,     0x60f6992dU, \
    0x0f0b965cU,     0x8a2dedf5U,     0x2cfafb43U,     0x9a6add66U, \
    0xcf75755cU,     0x90a6019cU,     0x85ba6718U,     0x5c9a99a7U, \
    0x1a3755c9U,     0x235adf0dU,     0x514b199eU,     0xbaa226eeU, \
    0xf875765dU,     0xee6639e6U,     0x27afbf6eU,     0x19c2c8f7U, \
    0x662110b6U,     0x22da4feaU,     0x3f29b3f8U,     0xbcca635eU, \
    0x8f1ca35eU,     0x4e05ba5cU,     0xd34e4d70U,     0x8c93cf66U, \
    0xe647cbedU,     0x47d65e93U,     0xc5a372dbU,     0x9a9b5924U, \
    0x5cc54466U,     0xa2533761U,     0x453f3ef6U,     0xeb982cadU, \
    0x1304be49U,     0xaff89394U,     0x48dc4977U,     0x5c3fd38eU, \
    0xacf72378U,     0x47995e29U,     0xcd700c73U,     0x6b652db9U, \
    0x8cc57599U,     0xcb29f728U,     0xe9386522U,     0x53653110U, \
    0x5ecddad4U,     0x2310d72eU,     0xd6bab445U,     0xd0369823U, \
    0x3528d6ffU,     0xa18625a5U,     0xd3ec8210U,     0x6645c6f1U, \
    0x43c1fa95U,     0xe569b482U,     0x0b8032f8U,     0x18c01461U, \
    0xf2ba91fdU,     0x62469814U,     0xb05697b6U,     0x346f870cU, \
    0xb898ca3fU,     0xfca489ebU,     0xb858ed25U,     0x3a173be7U, \
    0xf5a7f6f2U,     0x1a636dbdU,     0xeebdde22U,     0xaf7a1077U, \
    0xc70fb2b5U,     0x14a5ca01U,     0xa58042c8U,     0x4ff362c8U, \
    0x65105425U,     0xf81b836aU,     0x9bcdcb64U,     0x39cc5d28U, \
    0xc37f6507U,     0x2a8750c5U,     0x445adca5U,     0xb690f763U, \
    0xfbb94c34U,     0xade4aef0U,     0x01884c8fU,     0x4927162dU, \
    0x9dbd2ad7U,     0xcf4378bcU,     0x8debf515U,     0xa8bd83c6U, \
    0x94b326f5U,     0x4604c157U,     0x10c8799aU,     0x2151186cU, \
    0x2f6309c6U,     0x9a6607b0U,     0x9163f198U,     0xb9584f06U, \
    0x38501644U,     0x781a4dfbU,     0x0277da63U,     0xc5799962U, \
    0x0d419ab5U,     0xdbf06b04U,     0xd005a23cU,     0xa472b053U, \
    0x98014ce4U,     0xc55a526bU,     0x5814cac3U,     0xb13ef3bfU, \
    0x00419302U,     0x90b225d8U,     0x4b5d5b36U,     0x0f3603e1U, \
    0x7bd91e35U,     0x2af5d9aaU,     0xc1d8ec18U,     0xd1271c9eU, \
    0x1bd8afd4U,     0x997120baU,     0x48c147f7U,     0xcd7be486U, \
    0x4bec2e1dU,     0xab672676U,     0x999bfd29U,     0xcf536912U, \
    0x39b5ccc7U,     0xcf94eac8U,     0xa440bdeaU,     0x2845c003U, \
    0xe3641a8dU,     0xb45437f8U,     0x07241e66U,     0x826bf46dU, \
    0x5fc0ff1bU,     0x3c4f1252U,     0xbe53ae19U,     0xda4afedbU, \
    0x9af9cf47U,     0x38b07832U,     0xc2c9f927U,     0x76e95ddbU, \
    0x8ad64fd5U,     0xdf4b3675U,     0x5573bf65U,     0xb8351764U, \
    0xbc5c2629U,     0x323bd5dbU,     0x509b3c1eU,     0x5115237dU, \
    0xb0fa166aU,     0xd07c33dfU,     0xe607dbeeU,     0x757f519bU, \
    0x015a997dU,     0x1662d5efU,     0x189d017cU,     0xa7364c04U, \
    0xcfcd4e4cU,     0xa40abcd9U,     0x1504d0c6U,     0x8e7dff62U, \
    0xff96ff73U,     0xb8189b8aU,     0x1d05afb8U,     0xf2d974dcU, \
    0xc40a7a2eU,     0xbaa67786U,     0xd8e0efd1U,     0x9eee2a61U, \
    0x6a390b16U,     0x2402f52eU,     0xbdd23ea1U,     0x98326828U, \
    0x9cdffa0bU,     0x91b7c8e5U,     0x093c1518U,     0xe1791f83U, \
    0xb3a26f41U,     0x8cdcc06cU,     0xf6e9295fU,     0x05c4136dU, \
    0xe212648fU,     0x1e616e5fU,     0xa8b2af83U,     0xc7b64467U, \
    0x81d48611U,     0xfb784e5fU,     0xffedacb0U,     0xe3a0f8f3U, \
    0x86b4f6f9U,     0x99acdbecU,     0x9b4232bfU,     0x7640da56U, \
    0xacd7f612U,     0x39ffb196U,     0xbc12a0a1U,     0x6a539db9U, \
    0x65a4caf9U,     0xb7f2a9eaU,     0x02977fffU,     0x0f3c0065U, \
    0xf84479aaU,     0xf35cb32eU,     0x30b130b6U,     0xfbedb843U, \
    0xf6f678b8U,     0x682cf6a9U,     0x106efeb3U,     0x5e9edef6U, \
    0x907a4be3U,     0x7a50fdd0U,     0x41e1f4e4U,     0x4cfe7d19U, \
    0x34bd3ac2U,     0x874d5d45U,     0xd59bad2eU,     0x26bb3bd9U, \
    0x470a549aU,     0x7a7678f4U,     0x0fdddea0U,     0x19b0580aU, \
    0xdc17598cU,     0x53edf967U,     0x105a8ba6U,     0x58b13729U, \
    0x3f1b374aU,     0x76db4ec9U,     0x2ed74a63U,     0x7982c9b9U, \
    0x5ffa9682U,     0xe0be463cU,     0xbfd32ef6U,     0xec279e9aU, \
    0xa0e2e59eU,     0x7e04bfc5U,     0x6bf2ba63U,     0x34db0bfcU, \
    0xe12fd9f5U,     0xc7f12d4dU,     0x0f67a514U,     0xd1d731c0U, \
    0xbbdb057eU,     0x551b1f5cU,     0xbdffa2fcU,     0x72a076f7U, \
    0x55cae40aU,     0x18944bf6U,     0x84230341U,     0xa2f975ccU, \
    0x7310ee57U,     0xffb51377U,     0xe802c1e7U,     0xcff2bd97U, \
    0xbab2c2caU,     0x335c2560U,     0xcafc1fafU,     0x746b169bU, \
    0xc6cd2f96U,     0xd7529f3dU,     0x28e8dd9cU,     0x2d8baf45U, \
    0x55680ec9U,     0x49b889b1U,     0x6a903443U,     0x69f6dc4dU, \
    0x937db349U,     0x03567935U,     0xe39cfc46U,     0x4033dc70U, \
    0xd19b53dfU,     0xcbf5f529U,     0xe8e0a525U,     0xab3dc19dU, \
    0x78d45022U,     0xf64e00acU,     0x94a8be32U,     0x277286b3U, \
    0x68db0eb6U,     0xa03d947fU,     0x6cc3336aU,     0x70f4edafU, \
    0x885ac2d3U,     0xfc40e8c0U,     0x4fb4ca9eU,     0xb3cdfb81U, \
    0xd7d908a3U,     0x3a7d7ec9U,     0xdfab6d0cU,     0xa1ee58eaU, \
    0x81628655U,     0xd50664e9U,     0x50aa3452U,     0x3b158811U, \
    0x452dd96eU,     0x5a6349f6U,     0x026994e0U,     0x2147c6fcU, \
    0x01ed3dd4U,     0x96b4c84fU,     0x565cbb60U,     0xf3c3f3b4U, \
    0xfa92a4b7U,     0x294e66feU,     0xa74b6d19U,     0x95559d86U, \
    0x4802affbU,     0xfad4d2d2U,     0xc6ce92a4U,     0x5d69d4ebU, \
    0xb5f76ccdU,     0x62a5aaacU,     0x26ebb64dU,     0x709b081bU, \
    0x17be3cf4U,     0xf234d35eU,     0xaa3248b4U,     0xf1442be6U, \
    0x93b08a10U,     0x7e4fec80U,     0x84711ae3U,     0x24aa0dc7U, \
    0xfff4f844U,     0x253e48b6U,     0x5b83167cU,     0xa6da4de5U, \
    0xc7814896U,     0x6038a418U,     0xd249aa2aU,     0x91b4f05fU, \
    0x66546627U,     0x3f47b931U,     0x3aa12bf2U,     0x03e6bc19U, \
    0x195a58e4U,     0xbbe354c3U,     0x2c8644c3U,     0x6298b3b3U, \
    0x712fb472U,     0x05cb27b1U,     0x7f74e918U,     0x6cd04764U, \
    0xb3312a75U,     0x5ca851ebU,     0x39c5c460U,     0xe4b49221U, \
    0x2eb6cf2aU,     0x09d8eea8U,     0x18036322U,     0x4ff35643U, \
    0xbbbc53e5U,     0x3046f5deU,     0x679a3311U,     0x06cbc7fcU, \
    0x923e6bf0U,     0xe633da04U,     0x4a851f93U,     0x12e30eb9U, \
    0xb25d55ddU,     0x88b7bcd7U,     0x66627895U,     0x89a5fd96U, \
    0xf96aee26U,     0x57ba389eU,     0x7489165bU,     0x784bc806U, \
    0x1c209469U,     0x5f441b24U,     0x93863b8aU,     0x7badb1beU, \
    0x609465e9U,     0xf6071145U,     0xcc6159a8U,     0x65e2e3a3U, \
    0xfe227837U,     0x4cf71bebU,     0xa840a95dU,     0xb81ceb6aU, \
    0x1ddca61dU,     0xa2342caeU,     0xc1bd3128U,     0xe9e4429fU, \
    0x46554836U,     0x9b8ec367U,     0x2426a61dU,     0x5e2b434bU, \
    0x856e89b7U,     0x048942b1U,     0xdb34ef21U,     0x700fbe04U, \
    0x75cc147eU,     0x972ce864U,     0xa20633c6U,     0x3ec8522dU, \
    0xd07de3c9U,     0xabd47766U,     0x6504ce9dU,     0xddad6a3aU, \
    0xbaa186a8U,     0xd12d2aeeU,     0xdfae77c6U,     0xc975355eU, \
    0x6ef87880U,     0x33438f3bU,     0xbaa77980U,     0xcf035c55U, \
    0xa65325c2U,     0x49cf87a1U,     0xb8e775a1U,     0x765a3a06U, \
    0xcef27b49U,     0xad4531f6U,     0x9fcec13bU,     0x726c8ad7U, \
    0xf41b8b29U,     0x0949b88aU,     0x72459832U,     0x43cdb5b6U, \
    0x5299e008U,     0x8753cd3cU,     0x589794ccU,     0x54bd5a35U, \
    0x0562a715U,     0x870a9b65U,     0xf2fe1644U,     0xa8dc0c08U, \
    0xc9de6ddcU,     0xd1ae056bU,     0x5202e84aU,     0x979edc26U, \
    0x01f36e82U,     0x57be70d6U,     0x0ce87c56U,     0xf1edac14U, \
    0x1e97e061U,     0x8a1c67e5U,     0x2ee7a58fU,     0x992988b5U, \
    0xe613788bU,     0xb618d0deU,     0x58466605U,     0x94e8af37U, \
    0x6cbb05f3U,     0x4ae1a175U,     0xa08592aaU,     0xe53cbf12U, \
    0x32c67e8dU,     0x1ab870b2U,     0xf38ce8e6U,     0xedeb3c52U, \
    0xf3177530U,     0xc1cd91dbU,     0x17901a8bU,     0x77105189U, \
    0xd6923ac7U,     0xc2ddd02dU,     0x35379986U,     0x20431e55U, \
    0x96b3c6d0U,     0x505d7b7cU,     0xfad7240cU,     0xd01fa811U, \
    0x4f7b2a0aU,     0x4a84c013U,     0x77cbcab2U,     0xdb257191U, \
    0x06ab5ea0U,     0x428685d6U,     0x1deed2e2U,     0x3abb8965U, \
    0x46b423afU,     0xb34dc355U,     0x72acdf5eU,     0xf7f1e616U, \
    0x4fe121bdU,     0xe46e047cU,     0x367e0a12U,     0xdca5ee5cU, \
    0xc4f00b7cU,     0x22421899U,     0xf9610a2fU,     0xe9eb5bedU, \
    0x32095269U,     0x4bd525c8U,     0x8f5c0a79U,     0x15722c1aU, \
    0xbc20241fU,     0x7330a349U,     0xb24a6b5dU,     0x800c4d18U, \
    0x7045ad83U,     0x4071d742U,     0x724a2bceU,     0xfe8528bbU, \
    0x11a45b2fU,     0xd2bb16b6U,     0xefdf3a4fU,     0xb8f1dfcdU, \
    0x4b515c2aU,     0xc7bc8babU,     0x2052de8dU,     0xf97cb999U, \
    0x65c732c7U,     0x85d82d4dU,     0x7612fc42U,     0x8568e991U, \
    0x4c769573U,     0xaf6487e6U,     0x55017009U,     0x5c118703U, \
    0xebd386ebU,     0xc4f3fe75U,     0x41d9c5edU,     0x2b8f8dbaU, \
    0xfac3531eU,     0x6a416ee9U,     0xdf98ddaaU,     0x3f46df41U, \
    0x46df4a4cU,     0xef6ef05aU,     0xe14a4feeU,     0x43b31eb3U, \
    0x68584782U,     0xa0697b35U,     0xcbc174a0U,     0x05c64145U, \
    0x5f9f2cd4U,     0xe4acc995U,     0x564a4954U,     0x4e043359U, \
    0x4f10c1a0U,     0xa7fe9809U,     0x6dd8f121U,     0x3979c2caU, \
    0xcd3a4617U,     0xa510ab41U,     0x33b06f0dU,     0x1339e2a6U, \
    0x1ff6d4a8U,     0x33fafd43U,     0x41bb0b13U,     0xc90be89fU, \
    0x2c17f13eU,     0x2ae03268U,     0xb2e06124U,     0xd6a1270bU, \
    0xd1c9cb33U,     0x66d85881U,     0x22f70a85U,     0x213c8676U, \
    0xf88c7b4fU,     0xdada6aadU,     0xcbdee5a8U,     0xe8aa48c9U, \
    0xd170ddc7U,     0x31d633b4U,     0xb5e5c442U,     0xb3f84c62U, \
    0x5e684be7U,     0x0a002dccU,     0xdcaafe94U,     0x2fca64f7U, \
    0x5d8757a8U,     0x118cf521U,     0x3073b957U,     0x98ff5e58U, \
    0xc0170140U,     0x3fcfc82eU,     0xc5581fcfU,     0x71b84193U, \
    0xff9b0880U,     0x83235073U,     0xaac7d8d1U,     0xea8b2e8bU, \
    0x6e476380U,     0x1cb5d826U,     0x399326b7U,     0x251ed6e6U, \
    0x41d8b369U,     0xc219541bU,     0x8af8f997U,     0xd096b037U, \
    0x7b314cb6U,     0x0cd93727U,     0x6e858dd4U,     0xd4b6e507U, \
    0xe09a6ab1U,     0xcb3342b2U,     0xbe63b889U,     0x719090e0U, \
    0x470c8f9eU,     0x3451a5edU,     0xde3e8bcaU,     0xec81e14dU, \
    0xcf2aa52aU,     0xa8199c0dU,     0xaebda0efU,     0xc4aaa766U, \
    0xfd98b24aU,     0x4e745f47U,     0xa1ae251aU,     0xfd04aa86U, \
    0xec9f4274U,     0xde204f86U,     0xb026418cU,     0x39b0a9e3U, \
    0xc42018b7U,     0xb3d791faU,     0xbbc619a4U,     0x0416ad20U, \
    0x78175d51U,     0x3340b82bU,     0x41a1aa96U,     0x5fa662b3U, \
    0x2552a05bU,     0x130b6cd0U,     0x4c1239f4U,     0x6dab7d23U, \
    0xc9603c1eU,     0x6368359cU,     0xcf347ae5U,     0x9f63166fU, \
    0x4a03ab5bU,     0x3e71f3ccU,     0x7ee0a13aU,     0x7d9f744eU, \
    0x67320dc5U,     0xed0468f7U,     0x2924ee4bU,     0x3a5d807aU, \
    0xee2af289U,     0x0965798cU,     0x9cb8082dU,     0xb0acdf40U, \
    0xa8919e86U,     0x05119f3aU,     0x5739b3fdU,     0x404a4afcU, \
    0x443ce416U,     0xb4a1e0f0U,     0xbeba0ce2U,     0x140d86b7U, \
    0x92ba6325U,     0x48637411U,     0xa46566c9U,     0x85ab6143U, \
    0x8c7d19f8U,     0x743c5904U,     0x6490fabbU,     0xbc7b0910U, \
    0x0f8b93ffU,     0x82835165U,     0x4462c68eU,     0xa430a7bbU, \
    0xc108af2bU,     0x319de5cfU,     0x5eb694d6U,     0x2e575a72U, \
    0x359afbbeU,     0x3251cc49U,     0x2629aedaU,     0xc46bdea7U, \
    0x970d1965U,     0x29d4dc44U,     0xd9687501U,     0x5505bd65U, \
    0xed7e160cU,     0x33b17af2U,     0xdad32192U,     0x2f077724U, \
    0x4b152a8eU,     0xc0d34abcU,     0x4432faa4U,     0xf4aee142U, \
    0xf5ea86b3U,     0xd86ff3ffU,     0x7cbf4c7cU,     0xff31bd94U, \
    0x987156bfU,     0x1961ea26U,     0xfbdf131eU,     0x4b58d0bcU, \
    0xe5708491U,     0xdf84c5cdU,     0x34898236U,     0x887ff69eU, \
    0x1ce1b74cU,     0x6cf417d6U,     0x1ca845f6U,     0xe2dc04a9U, \
    0x08aaf14dU,     0xb825e4deU,     0xda117602U,     0x4d29be36U, \
    0x38902d67U,     0x30adffadU,     0x574484a9U,     0xd1b11c72U, \
    0x768ea88cU,     0x002ca8ddU,     0x9e5f96caU,     0xd135f105U, \
    0x2b5c95cdU,     0x945bffc8U,     0xb8acbd7aU,     0xcf05cf9dU, \
    0xb3d86ac2U,     0xaa1d4be9U,     0x0353c047U,     0x5187ac7fU, \
    0xb806ab3eU,     0xfd271a63U,     0x76b577b4U,     0xebf1c1a4U, \
    0x9cacf57dU,     0xb9b35ea2U,     0xc7bc7594U,     0xf7528f58U, \
    0xb34033a6U,     0xe51605f9U,     0xe592916dU,     0x8c006549U, \
    0xa46b06ceU,     0x380f1f47U,     0x5ada2f63U,     0x4a6f0e87U, \
    0x0fe78a83U,     0xe5d16e40U,     0x0a947159U,     0x4880e30fU, \
    0x8489cc6cU,     0x1cfa38c8U,     0x5b6ac918U,     0x9e43ba53U, \
    0x2ab2104bU,     0x928e5ab8U,     0x9bde9ba6U,     0xfc122957U, \
    0xc56be132U,     0x1decd0ebU,     0xc1f3270bU,     0x29944d89U, \
    0xc7ef0098U,     0x82e70bf5U,     0x496b31a7U,     0x4b8d6022U, \
    0xeb9d59a8U,     0x52e91659U,     0xf3a5fa7eU,     0x9d2b6658U, \
    0xaa914674U,     0x8589ea81U,     0xeedbe23aU,     0x69c0485eU, \
    0xd925ffbaU,     0x76a8741fU,     0x3680a6ecU,     0xc7a135bcU, \
    0x41c315b3U,     0x9b56b651U,     0x20490dcfU,     0x8920abeaU, \
    0x51963f18U,     0x0c41e2caU,     0xb069b5deU,     0x44d9705dU, \
    0x8df75446U,     0x81a31c65U,     0xd46786b3U,     0x2937cfceU, \
    0xdbb16f47U,     0x3a3a67f7U,     0xf7921eafU,     0x34c71a12U, \
    0x7c1e7b4bU,     0xde69eea2U,     0x5a9ecc04U,     0xa7b6bcd3U, \
    0x537a35adU,     0x703988b5U,     0x9719f996U,     0xdfaa7e64U, \
    0x173867aaU,     0xe9887f1eU,     0x5f5b6f2dU,     0xd13c38e8U, \
    0x86fa14d6U,     0x02e18da1U,     0x1f79383eU,     0xe00e5d1dU, \
    0xe58efe83U,     0x213be2a7U,     0x6617567cU,     0xb729d860U, \
    0x3147f560U,     0xd32cf096U,     0x7a99df20U,     0x627c08abU, \
    0x1bda911bU,     0xbf9fd819U,     0xefd60158U,     0x29298795U, \
    0x4cf831fdU,     0x0dda6951U,     0xebd96744U,     0x4a270d2eU, \
    0x781afe80U,     0x5da2f156U,     0x209b4e37U,     0x305f9631U, \
    0x0c2c655bU,     0x3365dadeU,     0x47e90c6eU,     0xac48f458U, \
    0x4fe270e8U,     0x7d576a38U,     0xbf0749aaU,     0x206b955dU, \
    0xcaef178bU,     0x0e265eb5U,     0x9e566d2bU,     0x31d50c0cU, \
    0x3c3be131U,     0xa0f08437U,     0xc9c5a02bU,     0xf5dc0b7bU, \
    0x49e743e0U,     0x34c13dedU,     0xb824298bU,     0x07df5b27U, \
    0x104e7cddU,     0xcd3b890dU,     0x462d01eaU,     0x369fee2eU, \
    0x063aaeb8U,     0xc87e61deU,     0xdc6b73ceU,     0x5d880b37U, \
    0x4fedcebeU,     0x2d09b779U,     0xc4fcd1bcU,     0x303e917aU, \
    0x83da33bdU,     0xf858b8feU,     0xdd95e2f1U,     0x81f683dcU, \
    0xe6f70153U,     0x7726141aU,     0x818290ffU,     0xdd207994U, \
    0xfcc594dcU,     0xce1a07bcU,     0x6726d568U,     0x61a60341U, \
    0x973fa880U,     0x5f36dc57U,     0x2529d37cU,     0x1b772b6aU, \
    0xe9ce29e8U,     0x6baa2702U,     0x8e4edd43U,     0x38fbb8eaU, \
    0x957ca87aU,     0x42fc7b34U,     0x06861a3fU,     0x5e3ae411U, \
    0x02704fb3U,     0x6be7cdb4U,     0x8a41ec88U,     0x1e93a04cU, \
    0x31824bcbU,     0x4737c259U,     0xafc3e653U,     0x7e22fb34U, \
    0x3311fad6U,     0x77927d6aU,     0xa353d3b3U,     0x7fb8f982U, \
    0x5a8504d0U,     0x1e407f07U,     0x2cc8af3aU,     0x81b8aa66U, \
    0x6e2ddf02U,     0xf8d74a02U,     0x48d32a50U,     0xff1de4aaU, \
    0xcf3c0814U,     0x35e3db6eU,     0x9afdf967U,     0x8d9e94aaU, \
    0x45512dd8U,     0x3db61da4U,     0x5628e539U,     0xf6d30894U, \
    0xe7fc959fU,     0xe3956d69U,     0x455faccbU,     0xaa76ede9U, \
    0x4d11de84U,     0x21e05521U,     0x1ff9e044U,     0x2d021f8dU, \
    0x8d917fcdU,     0x6367d899U,     0x6e6e952eU,     0x9c2f1dafU, \
    0x586130e5U,     0xd527c479U,     0xc5e1342eU,     0xa5b84cabU, \
    0xa1092476U,     0xad3de1e0U,     0x7feff9f9U,     0x512878ebU, \
    0x7f839141U,     0x39d0fbfbU,     0x989c3d38U,     0xc6799d0eU, \
    0x178555a7U,     0x95faa1c9U,     0x2a10e472U,     0x22631224U, \
    0x4c93abefU,     0x1e75e24eU,     0x03ddeaeeU,     0xc0dd5a71U, \
    0x4a9b9533U,     0x338e371cU,     0x7bf3d9d5U,     0xad2b0595U, \
    0x4b9cb950U,     0xe6fb8db3U,     0x4067f63bU,     0x068bfac5U, \
    0xdd52ac59U,     0xe341cd70U,     0x7ae2ec61U,     0x7829de73U, \
    0x76cf233fU,     0xfc015bd7U,     0x9776e3e0U,     0xfb329743U, \
    0x1933e97aU,     0x287dc9a9U,     0x22f28858U,     0x02cf4b16U, \
    0xc616881bU,     0xb1481c55U,     0x1ab9a9b2U,     0xd4fe646fU, \
    0xd307b268U,     0x2b436782U,     0xd0a0a768U,     0x43522e08U, \
    0xdf54ddd7U,     0xc424bc84U,     0x63abd328U,     0x9cc3eca7U, \
    0xcf3249e1U,     0xca9b848dU,     0x482dd60dU,     0xfb310cbdU, \
    0x98b0767eU,     0xe665259eU,     0xd6eb1852U,     0xdfcec57eU, \
    0xd210dfa7U,     0x30e5df8cU,     0xc7491e13U,     0x56ead470U, \
    0x5f65acb4U,     0x7bdd59bcU,     0x1980207bU,     0xb4760100U, \
    0x19f79ecaU,     0x7b46311cU,     0x8170e273U,     0x975fb7d4U, \
    0x1d8db3b5U,     0x8abdcd9fU,     0x1e6257faU,     0x9590fb56U, \
    0x95663b19U,     0xcf77b6c2U,     0x6992f9aeU,     0x21eb6794U, \
    0xec697a71U,     0x839a3ae8U,     0x2560561cU,     0x12ad5cadU, \
    0x5f4a537bU,     0x36bf35e5U,     0xea154d64U,     0x6bd6d0d8U, \
    0x1743467eU,     0x71b1b179U,     0x9400b86bU,     0x4416aadfU, \
    0x056a83bdU,     0x2efe61a5U,     0x49b48c4bU,     0x192736baU, \
    0xf2724890U,     0x9e37034cU,     0xf4eea37cU,     0x3c7c3e5bU, \
    0x9d09831dU,     0x2a25e068U,     0xe6a85ba2U,     0x5ab4b32bU, \
    0xf4aac616U,     0x44ce5b1dU,     0xa67283e9U,     0x48765c3eU, \
    0xdfd4d89dU,     0x56e9b9b3U,     0xf24a87b0U,     0x9b45fc38U, \
    0xdbf7dce1U,     0x23cb0591U,     0xc2b45eafU,     0x08eac6abU, \
    0xe387e444U,     0x42b8da82U,     0x31ff6cdcU,     0x5b622080U, \
    0x4b55b014U,     0x1287c2e5U,     0xdc3dadf4U,     0x0c9688b7U, \
    0xe205c797U,     0x203a286fU,     0xa0f08cfeU,     0x4edb7028U, \
    0x139744beU,     0xfcf26dd8U,     0x75fe056bU,     0xc22288c7U, \
    0x58c90322U,     0xecdd05e5U,     0x41a6dceeU,     0xc72eaaadU, \
    0xfe90e684U,     0x2128ef3dU,     0xdd0df8ddU,     0xe9380e2bU, \
    0x72b352c1U,     0x7458d889U,     0x917faf44U,     0x63b3aa94U, \
    0x63db5ff1U,     0xb87fe567U,     0xf442d290U,     0x9c7458c0U, \
    0x281c65aeU,     0xce2ae977U,     0x7c85e6b9U,     0xf8752c72U, \
    0xb1d189efU,     0x3da5807bU,     0xaf822be4U,     0x4eb4effcU, \
    0xbf777959U,     0xc7ac93acU,     0xf21686c4U,     0x62af37feU, \
    0x19436c90U,     0x74f08b32U,     0x2e0f7567U,     0x73ac1d1eU, \
    0x8f62f3d6U,     0x5d35cf2cU,     0xb55a57c2U,     0xb02a229bU, \
    0xaee2999fU,     0xab546f60U,     0x89ce092aU,     0xcf64a880U, \
    0x7e5e5211U,     0x4a22da9eU,     0xd3ad9c63U,     0x95a73804U, \
    0xdba06b5dU,     0xfcf5dd9bU,     0x9d677995U,     0x2fa1d4f5U, \
    0xf69f0ab2U,     0x9de98b63U,     0x35304888U,     0xca482882U, \
    0x0956419cU,     0xef666f33U,     0x6cd58b3aU,     0x995842e8U, \
    0x532e4f43U,     0x6a961878U,     0xb9d45b96U,     0x7b572569U, \
    0xad35956aU,     0x340afcedU,     0xcc28db74U,     0x0a6693a8U, \
    0x270e597eU,     0x763c7ee2U,     0x3a74e280U,     0xc064eb2aU, \
    0x72fd5217U,     0xa18a1c89U,     0x408afa01U,     0xcf1db19aU, \
    0xfad1beabU,     0xe7bc7d38U,     0xa7718b47U,     0x22ccb655U, \
    0x82ac0da0U,     0x70e56670U,     0x673d3d0dU,     0x9db0425dU, \
    0xb89db380U,     0xa6f50f83U,     0x32b2e5bfU,     0x8c59da70U, \
    0x340c2ac7U,     0x6bbca765U,     0x2115dd6aU,     0x89ccd140U, \
    0x86afe0fcU,     0x02bf8c95U,     0x101a23fdU,     0x3842d67aU, \
    0x5a4aefd7U,     0xd670375bU,     0xe336352cU,     0x67e9a5f1U, \
    0x278cce80U,     0x51efaeecU,     0x4b6932acU,     0x2e8bb8e2U, \
    0x5973e0bbU,     0x12b1ef04U,     0xc51622a5U,     0x65bc08b7U, \
    0xe49aa550U,     0x08bc9acfU,     0xd162724bU,     0xc22f1e05U, \
    0xce9b7750U,     0xfe910c45U,     0xe3e8941cU,     0x20a30696U, \
    0xd4b5afa9U,     0x60117762U,     0x90d50b7bU,     0x8622c4d5U, \
    0xeaf10622U,     0x32a1a30dU,     0x20ac9225U,     0x3fe73677U, \
    0xcc8f92cdU,     0x5e91cc44U,     0xbbaee6d1U,     0x5135be56U, \
    0x4950aedbU,     0x69424046U,     0xcf98d95bU,     0x4c272819U, \
    0x42cd78abU,     0xae4a5815U,     0x21dbdc90U,     0x265c24fcU, \
    0x254226f6U,     0xd044ffb1U,     0xd646c52dU,     0x4cdb10a1U, \
    0x5d27b548U,     0x6a275c76U,     0x3ebad253U,     0x904ee302U, \
    0x1e3e1801U,     0x0ddd1885U,     0x52a76211U,     0x9f68dd87U, \
    0xba3e0493U,     0xabfda48cU,     0x538f39fcU,     0x6c431e28U, \
    0x71ca0363U,     0xa5144b34U,     0x3e95cdf0U,     0xca71868bU, \
    0xed309b91U,     0xc90937eeU,     0xd5445927U,     0xbab4be03U, \
    0xb1cc7fd4U,     0x0ac9f201U,     0x3112b756U,     0xc151c579U, \
    0x8210b26cU,     0x6cb856bfU,     0x5a5fde08U,     0xb76c026bU, \
    0x97606c1aU,     0xf3320aafU,     0x3255c53fU,     0xe6db4c90U, \
    0xabd9bcdeU,     0xce12c0edU,     0x448bf643U,     0x1d006167U, \
    0x741d153eU,     0x7425a175U,     0x4b9bdd69U,     0x411eac39U, \
    0xa96a7467U,     0x749dd87eU,     0x4d6fd81dU,     0x4e4ebdfaU, \
    0xd0391f4eU,     0x8c5e632bU,     0xaa2922d4U,     0xb5a42ffaU, \
    0x961f54beU,     0xc346a550U,     0x5bd42948U,     0x64911130U, \
    0xac4451daU,     0xec08249dU,     0x0a870ca5U,     0x26c23d0fU, \
    0x512f5cd5U,     0x5635da1cU,     0x5f999f13U,     0x6e9a5b0cU, \
    0x9d940d37U,     0xfcaa96ebU,     0x9bfb87aeU,     0x4e191b3aU, \
    0x1fcb65caU,     0xd2499076U,     0x9688ba91U,     0x97861186U, \
    0x3bc53471U,     0xc4409b6dU,     0x8657194dU,     0xa32e73ecU, \
    0x689b7174U,     0xa54447f6U,     0x833eb36bU,     0xfe862f17U, \
    0x63273594U,     0x21a8ceb6U,     0x7ec494b4U,     0xcacd43c3U, \
    0xc1fe8f38U,     0xde22fe0eU,     0x5773174bU,     0xaaaef93aU, \
    0xf6197555U,     0x96d024beU,     0x683ebd0bU,     0xb5bde4e9U, \
    0x48a800b5U,     0xc7d84bcaU,     0xeed610c7U,     0x5f646f45U, \
    0x199eeeabU,     0xaf2911f6U,     0xc670687dU,     0xa442bfd6U, \
    0xe9f7294cU,     0x4b7df046U,     0x2bbd519eU,     0x2e09fa39U, \
    0x7f31e93dU,     0xe7de44e2U,     0x3c988ba4U,     0x8d38c41eU, \
    0x040af4b9U,     0xc72de9cbU,     0xf6e1fc38U,     0xcdd3cab8U, \
    0x3a594cbfU,     0xaeb9f51eU,     0x0347b0c4U,     0x0cb0b517U, \
    0x4a0fe273U,     0xa6b2a953U,     0x37da080aU,     0x8f98d003U, \
    0x487c8f42U,     0xa95933c2U,     0xc1de45a3U,     0xc76b60d5U, \
    0x06304980U,     0x3f175e24U,     0x0134a1d7U,     0xf508ad5eU, \
    0xa9eebbf7U,     0x35a9b1e0U,     0x72c8581aU,     0xc98da76eU, \
    0x13c9088dU,     0xf3e19ed0U,     0x650defbbU,     0x534c5af7U, \
    0xf217b958U,     0x014a9574U,     0x0ed41e80U,     0x97aec482U, \
    0xae221b9aU,     0x4dd3337dU,     0xa95fe4f0U,     0x3804130aU, \
    0xafe84606U,     0x69744900U,     0x0e23cd8dU,     0x1544e9a1U, \
    0x57b7310cU,     0x81620ce2U,     0xc1992db3U,     0x02720122U, \
    0xf002c244U,     0x188560a5U,     0xde4a24b3U,     0x06e2049aU, \
    0xbfe7dbe7U,     0x9c6ed583U,     0xa0a8f670U,     0x4e1a4cbcU, \
    0xfc772522U,     0xf60ea4faU,     0x630031a9U,     0x7d93d311U, \
    0xd8749993U,     0x379e9560U,     0xb4e81f17U,     0x9ad87b11U, \
    0x6ffdf549U,     0xd2600ef1U,     0xa29e6c24U,     0xc5b9106cU, \
    0x71297a5eU,     0x9083d8feU,     0x76b2cca3U,     0xcb1e734cU, \
    0xc330f52eU,     0x0b43c54bU,     0x518e70bcU,     0x873f62b1U, \
    0x76e97523U,     0xed8ca615U,     0xb5afcad5U,     0xff7de017U, \
    0xfd466a7eU,     0x2cd4d4a7U,     0x4e1fb821U,     0x0760d930U, \
    0xc73ce9d2U,     0xe5e9c779U,     0x3cae8f32U,     0x976510acU, \
    0x99cc10acU,     0x1dbab96eU,     0x1d56db56U,     0x9f929ca9U, \
    0x216b0a89U,     0x15de23b6U,     0x923d3784U,     0xd0955f7bU, \
    0x983efb4bU,     0x8ac968a8U,     0xc87d8cdaU,     0x209cb174U, \
    0xd2bda36cU,     0x296c5dd0U,     0xd0cf7e62U,     0xb071bf58U, \
    0xccd3ed2fU,     0x675bcac0U,     0x53b0d599U,     0xe7a70dfcU, \
    0x21205fc6U,     0xa3f99a4aU,     0x74476f15U,     0x4f2a2d48U, \
    0xb93c8aa2U,     0x730645c6U,     0x4a1eb2feU,     0xb2c858abU, \
    0x09cd160cU,     0x6bc44cfdU,     0xa8cf0157U,     0x02998ab4U, \
    0xc7bfb9f3U,     0x0d639a42U,     0x4ea3a073U,     0x58fb6e32U, \
    0xb8d48ce1U,     0xe9a27dedU,     0x693918c0U,     0x0eb8acfdU, \
    0xa4697863U,     0xf677b129U,     0x059cc703U,     0x49bc09b6U, \
    0xac4d35f7U,     0xa377803eU,     0x2e847b32U,     0xcfca7f8aU, \
    0x6bfc2bb0U,     0x5389aecdU,     0x22b77f00U,     0xd3160878U, \
    0x3fc63c12U,     0xe3ec8ae1U,     0x89ceb0dcU,     0xaed9448dU, \
    0xf2fa9a60U,     0x7119f896U,     0x3ab2c3a5U,     0xbaff591fU, \
    0x1c4446a8U,     0xb8d6db6bU,     0xce6533c5U,     0x7f547074U, \
    0xc4c4aa91U,     0x3d141133U,     0xfd81bffcU,     0xb572fefaU, \
    0xd800f589U,     0x01410c78U,     0x4cf4d9c7U,     0x399f1465U, \
    0x84b625d5U,     0x1948b4d8U,     0xa6bb2bd2U,     0x756a699fU, \
    0x0984c267U,     0x0b2893a8U,     0x9617597dU,     0xbb6c0d5dU, \
    0x0d8c58afU,     0x20875756U,     0x127a5e86U,     0x72d57df5U, \
    0x27617263U,     0xc3535556U,     0xb6a495edU,     0x4bf9ed54U, \
    0x15af665aU,     0xe3718883U,     0xa4818b4fU,     0x5fa88f1cU, \
    0x213ffb78U,     0x73bfa482U,     0xce307007U,     0x3593878fU, \
    0x2ae18229U,     0x2c118ce2U,     0x6e4fca61U,     0x24b6c902U, \
    0x6c04214fU,     0xdfcc1ee9U,     0x1ef73f27U,     0xdafee790U, \
    0x1b1a429dU,     0xfe35cb41U,     0x6644846eU,     0xe2a080ecU, \
    0x19b36defU,     0xb610b907U,     0xc4d28d52U,     0xf8640111U, \
    0x4bea12a3U,     0x57c72865U,     0x8af8eff3U,     0xcddec705U, \
    0xbbd192abU,     0x89c08978U,     0x749ba3fbU,     0x0fd52bccU, \
    0xfdf70f78U,     0xba66bab4U,     0x0b42a079U,     0x4c6f5cd5U, \
    0x84dda6daU,     0x4efbc009U,     0xe9c8f2e1U,     0x372b4124U, \
    0xdea6fc75U,     0xb153770aU,     0x63b59d8eU,     0xb756373eU, \
    0x7305422eU,     0x52288492U,     0x1ffac605U,     0xe0ecf072U, \
    0x306b1a32U,     0xb7031ae1U,     0x57ce3071U,     0x717662cbU, \
    0x84a30866U,     0xf0d44bb5U,     0xfb5aed5aU,     0xd9c31bdeU, \
    0x3efb877aU,     0x7ca11859U,     0xd908654dU,     0xee47fbc8U, \
    0x207b2dd9U,     0xc22f5439U,     0x4035ddffU,     0x53e9bac3U, \
    0x96e12d12U,     0xd5b94ff9U,     0x1e8b618aU,     0x916b5aa2U, \
    0x6df5a3baU,     0x04ec36b3U,     0x8de83e78U,     0xb67dca04U, \
    0x8fc631f8U,     0x5181e559U,     0xfcedb31fU,     0xab390003U, \
    0x2a5c821fU,     0xed0a6465U,     0x1be8af8cU,     0xed77bcecU, \
    0xb4f6a20fU,     0x26815cafU,     0x0e4b97e3U,     0xdd5e8ddbU, \
    0x5927c60dU,     0xafbfd0f3U,     0x7151ca92U,     0xfedff1dfU, \
    0xe7b8fb9aU,     0xda3c1ef6U,     0x34122b27U,     0x567edd92U, \
    0x69779ed5U,     0x82b5cf97U,     0x67a3027aU,     0x31a4c5eeU, \
    0x683d73b4U,     0xdc8ed9cbU,     0xbd1966bcU,     0x640cf038U, \
    0x444627f3U,     0x3cfb254dU,     0xdf57074eU,     0x17ff5015U, \
    0x9ab4c330U,     0x62952c8dU,     0xf78a02e0U,     0xa58616a6U, \
    0x8a67a5e1U,     0xb7dfc016U,     0x738bf933U,     0x6eec6514U, \
    0x4679b211U,     0x1be4baa8U,     0x40fa0004U,     0xe394d03cU, \
    0x2ae97e60U,     0xb798e30bU,     0x4631bd7eU,     0x86163ed4U, \
    0xed5bc27aU,     0xe1d8d927U,     0x38f01af2U,     0x4c7f8930U, \
    0xdc23f489U,     0x2ac43767U,     0x57f07cbdU,     0x6c12011eU, \
    0x3cfbe1d3U,     0xceb88e9fU,     0x463f5a2dU,     0x57db6fc5U, \
    0x4348ef72U,     0x6e2baeccU,     0xbf2025bdU,     0xc7fad70bU, \
    0x2e86492cU,     0xdd5f7fe0U,     0x93b92192U,     0xa35d4e59U, \
    0xbcf2696aU,     0x060b356eU,     0x1b8c4411U,     0x1596e74dU, \
    0xcc57b566U,     0xa7968b9dU,     0xda61a5ccU,     0x9fd3bbc5U, \
    0x2cae4665U,     0x5d6e11fbU,     0xf8734bb2U,     0x5d53fcb3U, \
    0x9e55fec0U,     0xfeb69953U,     0x03c26707U,     0x0607682bU, \
    0x67f81fa3U,     0xde6da559U,     0xeb4eb65aU,     0x0eed6134U, \
    0xee8c4a69U,     0xa27476b2U,     0xb1c07d7dU,     0x0519ae05U, \
    0xe9cb48e3U,     0x1736a107U,     0x7780a68eU,     0xff4bb7a4U, \
    0x621c1592U,     0x4d12f8eaU,     0x47d6a1b4U,     0x91ca3bddU, \
    0xafb88087U,     0xe4b0d762U,     0x7c792677U,     0x647f187bU, \
    0xfc1d7f02U,     0x79383d6cU,     0x0cc6f20aU,     0xb22cd031U, \
    0x732154ddU,     0xc8d2ed44U,     0xcf474ad5U,     0x66c96273U, \
    0xadc427c8U,     0x31248540U,     0x64ce82a0U,     0x3ae406d9U, \
    0xe1af6f21U,     0xb5b0b429U,     0xc2344084U,     0x458a2d4fU, \
    0x89400150U,     0x06aba91bU,     0xccc6f6daU,     0xb73b8395U, \
    0x04171f25U,     0x82e6a6a9U,     0x3959ea32U,     0x56abb27fU, \
    0x7569f58cU,     0x82228002U,     0xd59f4aebU,     0x635a272dU, \
    0xbc92226cU,     0x296cc434U,     0xc273da24U,     0x26c592c9U, \
    0xa0b008a1U,     0x3c53b6f2U,     0xf52d8abaU,     0xf33b42cfU, \
    0x8e27850bU,     0xda762d80U,     0xc0776b5eU,     0xd2c44e4dU, \
    0x8402507dU,     0xd8eb53c3U,     0x5b25f103U,     0x2902a506U, \
    0xfc2ba199U,     0x8dfba919U,     0x15230580U,     0x3023feb7U, \
    0x96313068U,     0xe94dd069U,     0x281ded6eU,     0xa38ccb77U, \
    0x497fe9e2U,     0xed2481fbU,     0x98e7211bU,     0xa3f5ba83U, \
    0x9e51e92fU,     0x6b651b40U,     0xf61c9e71U,     0x737172d8U, \
    0x5adb0c40U,     0xd549e2b7U,     0xc89f3e3eU,     0xec7abf47U, \
    0xa172e819U,     0xa592408dU,     0x6e55d010U,     0x1b2b4f59U, \
    0x066bbdf1U,     0x746763d5U,     0xbbfd7af4U,     0x992dd1ceU, \
    0x92ef3452U,     0xfe5e0820U,     0xf88afd87U,     0x2410679fU, \
    0xe755fd9aU,     0x916fdc92U,     0xa75fbc47U,     0x792b409cU, \
    0x7cce2021U,     0xc5b69d99U,     0xbbbad3c6U,     0x6ca3dd89U, \
    0xe63cceb1U,     0x9237de80U,     0xc0ecc612U,     0xb3d9d92cU, \
    0xae39bb90U,     0xf6f0242fU,     0xaf59ff57U,     0x77b056dcU, \
    0xd828610eU,     0x4d05d247U,     0xfdd42895U,     0x35534361U, \
    0x673104a8U,     0xbb0a7ab9U,     0xef423924U,     0xf1c2cd35U, \
    0x25e5c88dU,     0x5d935918U,     0xd09da1a9U,     0x9cbd9a9fU, \
    0xc7664dedU,     0x5fabdad5U,     0x08ef6061U,     0xa8d9156aU, \
    0x0985b4bfU,     0x54d3584aU,     0x15fb7139U,     0x2391b1bcU, \
    0x6d1a5779U,     0xd6d27cf8U,     0x0c5923aeU,     0xa377a7d3U, \
    0xc459430dU,     0xb401f6b8U,     0xa86bb373U,     0x37602a4aU, \
    0x096d129fU,     0x2a6bf674U,     0x1db1caa1U,     0x5cfc7aa7U, \
    0x43e388faU,     0xc506eacaU,     0x33850e55U,     0xa193dd6fU, \
    0xe5aebb79U,     0xf15654b4U,     0x1eb6babdU,     0x48f1af23U, \
    0xb1f33a40U,     0xae43ef5aU,     0x511f5a5bU,     0x8474c1a7U, \
    0x38cbbadfU,     0x241ac308U,     0x232eed48U,     0x51094392U, \
    0xf1863a7dU,     0x32272754U,     0xe743f54dU,     0x88339ba5U, \
    0x338e62a5U,     0x63932391U,     0xb1357a8dU,     0x99a8bb95U, \
    0xa0ac36feU,     0x87a323bbU,     0xefb0b0c0U,     0xb8cee690U, \
    0x815ad4c6U,     0x77e2f378U,     0x9ab6ad2bU,     0x8ffa3432U, \
    0x9faee47eU,     0xe932cbf9U,     0x96cda737U,     0xa2fbbe33U, \
    0x12a7d523U,     0x0fbac3f5U,     0xea0fce13U,     0xa06e55ceU, \
    0x4ff14953U,     0xadb9ae09U,     0x0294c867U,     0x854b5603U, \
    0x8b42b3daU,     0x794ed5e4U,     0xa682d824U,     0xfb69aabdU, \
    0x7101ab15U,     0x8436abc4U,     0xf6b5b798U,     0xc8307e21U, \
    0xc2516b0bU,     0x157be19eU,     0xbdeb2967U,     0xdc34634eU, \
    0x96096934U,     0x75a73610U,     0x5ab4af82U,     0x5d47ffa4U, \
    0x7a58e75bU,     0xbfa26d9eU,     0x83c6bda9U,     0x9478f92cU, \
    0x817322c1U,     0xa29db88aU,     0xefcfdb58U,     0x10ab6d6cU, \
    0x689b612dU,     0x1745bc35U,     0x8039f1a7U,     0x5b3d7bbeU, \
    0x98948340U,     0x8e360e69U,     0x8e6f39bcU,     0x79374799U, \
    0xe50e676fU,     0xc7e6330cU,     0xc7e8c022U,     0x3668a9a1U, \
    0xd4ae9ee3U,     0x6631cf63U,     0xa358874fU,     0x674a26e6U, \
    0xdd8b2180U,     0x6be4a7d5U,     0x80efeb33U,     0x69612cb6U, \
    0xa9689cc6U,     0x395662f7U,     0x23eb6a91U,     0x62fa82efU, \
    0x80c5aa38U,     0x2c1eaaf6U,     0x5c286ae9U,     0x933cfb1fU, \
    0xa71178d1U,     0x13dac6e6U,     0xfaa6f1bcU,     0x911b0e0cU, \
    0x6c572407U,     0x12cff4ecU,     0x67e377e0U,     0xf96be023U, \
    0x40dc8f72U,     0x0cf64b48U,     0x320ea49bU,     0xfe51c153U, \
    0x52ee7e8aU,     0x4b5792d5U,     0x82910d0dU,     0x9e249ee3U, \
    0xc539526bU,     0xffcf5854U,     0xc0c81d7bU,     0x05db4621U, \
    0x1c507154U,     0x9ffe11dfU,     0x1c9a785cU,     0x1186de7dU, \
    0x947acd77U,     0x9db62623U,     0x21ed86ecU,     0x3d50903eU, \
    0x7375e589U,     0xbc50f563U,     0x8b405cbeU,     0xbf5d5fa3U, \
    0x451cac01U,     0x781b2086U,     0x959b75fbU,     0xac31c5f8U, \
    0x2e35bd36U,     0x8ee0d707U,     0x248c9329U,     0xaeaf8ea7U, \
    0x1a6fadfdU,     0xf6497475U,     0xb19e04a7U,     0x2407ec9fU, \
    0xa8d89e15U,     0xdba69046U,     0xa97fe0d4U,     0xcc69fe83U, \
    0xe7d85212U,     0x82b0b8bdU,     0xa17169b5U,     0x2cd75d31U, \
    0x08b968acU,     0x13ff5885U,     0x7fbce9acU,     0x2eefd589U, \
    0x9df3ef15U,     0x66c3f685U,     0x45016b74U,     0x2440a649U, \
    0xa8f715d6U,     0x1a5fcac5U,     0xb3f68cc5U,     0xab6e9193U, \
    0xd87bb799U,     0xc079a301U,     0x4d9a186eU,     0x5e3a53a8U, \
    0xde06838eU,     0x13f93329U,     0x76f66d18U,     0x033d8a11U, \
    0x00228530U,     0xadd572b0U,     0x73a4b6baU,     0x109dc400U, \
    0xa83650f8U,     0xa3df3203U,     0xab99e8a6U,     0x94f11305U, \
    0x41d43a81U,     0xe920b2a0U,     0x990f955fU,     0x0e1094a4U, \
    0x13d189efU,     0x472a9372U,     0xf84fc80fU,     0x39de688cU, \
    0xbcbf79cbU,     0xcb7e2cb1U,     0x4bc15832U,     0xcc91bd0bU, \
    0xb47b6094U,     0x0b0c091cU,     0x0d58b526U,     0x65391cc4U, \
    0xdb77d290U,     0xb6112957U,     0x96ce3007U,     0x7eb8de66U, \
    0x1660311cU,     0x6e99bf3fU,     0xb618e9d4U,     0x0755ba83U, \
    0x751ba815U,     0xc7f293d0U,     0xac2aaea1U,     0x0cffe50dU, \
    0x25153357U,     0xb936a763U,     0x9dcec909U,     0xf3ea8eedU, \
    0x323c3b05U,     0x2e6e65c0U,     0x22fcf85cU,     0x839e99aaU, \
    0xa1b0b9a6U,     0xbcb1a9ceU,     0xa3e73d25U,     0x3bb281aaU, \
    0x24974cbbU,     0x07c36e8aU,     0x7035849eU,     0x1f5d531dU, \
    0xbf9ed7f6U,     0x6f343db6U,     0xbd211789U,     0xa25ad157U, \
    0x7f1705ddU,     0xc46f6243U,     0x732785f5U,     0xe77a4387U, \
    0xfdc5d881U,     0xe6abc101U,     0x69606d44U,     0xfd17e6b8U, \
    0xcc60da0aU,     0x5eb17de7U,     0x6d587a5dU,     0x34959c9bU, \
    0xb958fa90U,     0x25a65bcbU,     0xdb4d9cd3U,     0x549bea53U, \
    0xff3e4e6bU,     0x4c12b13aU,     0xbf89aff3U,     0x255be48fU, \
    0x5ff34e98U,     0x99e1c2d6U,     0xdf99e548U,     0xa94302e8U, \
    0x27519b03U,     0x13e52bd0U,     0x267492b8U,     0x46927561U, \
    0x60c97e2aU,     0x55ee7179U,     0xd2de91c9U,     0xf1b396a7U, \
    0x7f000f24U,     0x27a9c811U,     0xb6f6e24bU,     0xffdb3926U, \
    0x2f13536eU,     0xe2e9a7fdU,     0x1ea20b7bU,     0x8cf3bb97U, \
    0xb281c505U,     0x57e0c4e3U,     0x9c7b52f3U,     0x71534047U, \
    0x94234a1eU,     0x21f04549U,     0xcd02f5b7U,     0x3163b518U, \
    0xa2435481U,     0xd1e71bb5U,     0x9ad5f5ccU,     0x02e24da8U, \
    0x695e5b9aU,     0x8406045fU,     0x948026f1U,     0x2b7f30a6U, \
    0x89565ec4U,     0x9eaebce8U,     0x9b9a9b42U,     0xd29508a8U, \
    0xa03c85c2U,     0xc2b5f497U,     0x0625809bU,     0xe7e9ca17U, \
    0xc458c5d5U,     0xe48fc588U,     0xb773baabU,     0xe3c225d8U, \
    0x32b8dbb0U,     0x808a38f8U,     0xc1dcd03fU,     0xdf0fd341U, \
    0x0cbaba46U,     0x175dfd89U,     0xc220351dU,     0x42477dbaU, \
    0xa52832e7U,     0xf3de22f9U,     0x40576468U,     0x711e7dcdU, \
    0xca9f55e0U,     0xf8479b61U,     0x97df0e67U,     0x2217f7b8U, \
    0x7add8645U,     0x69a25f40U,     0x5f42a682U,     0xe413be4cU, \
    0x5fc2986bU,     0xa09b5855U,     0x1ba29870U,     0x021a95fbU, \
    0x168c9e7cU,     0xe6fc4cfaU,     0x12967007U,     0x335bebf3U, \
    0xd1a97f2fU,     0xdc61a5a2U,     0xc39981b8U,     0x4d324992U, \
    0xe4495868U,     0xbbdce033U,     0xe9c63e40U,     0x3d801457U, \
    0x0ced33acU,     0x1cc62df7U,     0xb3b0a52bU,     0x21da7906U, \
    0x0e5e6442U,     0x439ff174U,     0xf7aa2d8bU,     0x7e630f69U, \
    0x7f968530U,     0x6bf8b000U,     0xede2c62aU,     0x149efd0bU, \
    0x92cf8edbU,     0x0798162dU,     0x75924d84U,     0x3b6c34a5U, \
    0x580431ffU,     0x0b94377cU,     0x3c76f4bcU,     0x1eaf43e6U, \
    0x8d1398cbU,     0x56d25339U,     0x98f73165U,     0xa47e85ffU, \
    0x75b99a79U,     0x7887f672U,     0xcfd30b96U,     0xd5bb918bU, \
    0x84916519U,     0xd2805d0fU,     0x83ac12b7U,     0xa61d1b0bU, \
    0x1fdc326eU,     0xbf554127U,     0xa5788dc3U,     0xd8c407f7U, \
    0x129d0a88U,     0x4cb6da7eU,     0x6f64b828U,     0x7a522793U, \
    0x1031c083U,     0x21b4cbc6U,     0x6bf1e1cfU,     0xa714fda0U, \
    0xb4478d68U,     0xdeb11f39U,     0xe9743a50U,     0x85388c55U, \
    0xa9649591U,     0x81ef9676U,     0x410c0d2fU,     0xd5e7f783U, \
    0x38ee338fU,     0x12821756U,     0x3052e1caU,     0x55f870aaU, \
    0x83119528U,     0x29bbce59U,     0x5ac1964fU,     0x7b502c54U, \
    0xbc2e8772U,     0xaa95f789U,     0x0b5b6112U,     0x91f0693fU, \
    0x34c36bd8U,     0xd10c9398U,     0x9a2639c2U,     0xd1d93ce7U, \
    0x11eebbc0U,     0x72460e47U,     0x2b3a5702U,     0x7dec83feU, \
    0x14dfc98cU,     0x422b43bcU,     0x882e7b01U,     0xc201b3edU, \
    0x1b7c7c18U,     0x4aa673c4U,     0xf129c07dU,     0xb145ed02U, \
    0x55e987eaU,     0xab4e6912U,     0x515bc915U,     0xd087a6f3U, \
    0x5b36592aU,     0xc4f5837cU,     0xa32efafbU,     0x89facaeeU, \
    0xb8e0b75aU,     0xf0de6706U,     0x9910e97bU,     0x31c302daU, \
    0x2edd0696U,     0x58c581a7U,     0x396a0661U,     0x8afac25eU, \
    0xa1ab8587U,     0x617b884fU,     0xa22db527U,     0x3de38d53U, \
    0x436d4635U,     0x0b6d57fcU,     0x099d9218U,     0x89c58203U, \
    0x28794c83U,     0x306b1009U,     0x83bce5b6U,     0x15d1fb96U, \
    0x68fa5c38U,     0xd04a165bU,     0xa7b4f103U,     0xa12d93b5U, \
    0xc03a175dU,     0xdab4b6f9U,     0x174588e3U,     0xd7fac48aU, \
    0x0061d1d5U,     0x6d2511b1U,     0xeb409c20U,     0xa38ffe29U, \
    0x403ba3caU,     0xc9d4d697U,     0x944f545cU,     0x7b535b16U, \
    0xc7f4c059U,     0xebd8ff07U,     0xf80ebac7U,     0xf0657a5fU, \
    0x735ca9acU,     0x3ebe814bU,     0x080c99f8U,     0x60f137f3U, \
    0x92c37e6cU,     0x2679722eU,     0xe34f1628U,     0x5084b57cU, \
    0xacef06bdU,     0x58df3f5bU,     0x2634a2feU,     0xa4b8c8d6U, \
    0xf86255eaU,     0x3f46c2aeU,     0x17293395U,     0xbfac03faU, \
    0x993a060aU,     0x4d2732d9U,     0x83bc8713U,     0x8f0932beU, \
    0x5431754eU,     0xe09c2d4bU,     0x5a01af60U,     0xbd6d2cdeU, \
    0x8c55fe4cU,     0xe39b5e81U,     0xbf61b003U,     0x7ac6b6dfU, \
    0x0a38e62fU,     0x8363a331U,     0x9cadedc3U,     0x83101f80U, \
    0xcf860b8dU,     0xd05217f1U,     0x541a9fe0U,     0x85e08a03U, \
    0x0dd5fa34U,     0xe6d84049U,     0x018638fbU,     0xf364bf6eU, \
    0xf0ec8e4cU,     0x6331242bU,     0xcd5c97b4U,     0x7a544e4dU, \
    0xd69647fdU,     0xb313e4bdU,     0x714ebc85U,     0x33403cd5U, \
    0x1e77d81fU,     0x547b6b50U,     0x8fae82efU,     0x7bedef77U, \
    0xcd134890U,     0xc59a55dbU,     0xdda2f293U,     0x12a39b92U, \
    0x157153c3U,     0x882dcba0U,     0x31dc6df0U,     0xdd3bf0b5U, \
    0x0b493470U,     0xd53bb329U,     0x274528aeU,     0x0c94cc13U, \
    0xe855bb83U,     0x05fc70e4U,     0x00cd3a55U,     0x922f41c2U, \
    0x7f4a8934U,     0x3ac0ce41U,     0xe5f7bff6U,     0xce40fdcaU, \
    0x8f6fde13U,     0x3f3541fcU,     0x0305ff0cU,     0xc8e0c0c2U, \
    0xb12af721U,     0x0749f2e9U,     0x86b0ce9cU,     0x681b2125U, \
    0x48db2a09U,     0x1c3133b3U,     0x0ca565b7U,     0x7168204cU, \
    0x95d6516eU,     0xf703f4f8U,     0xb92e02b6U,     0x7af22aa2U, \
    0x2551a1b0U,     0x8f6a8707U,     0x69af7eacU,     0x75363593U, \
    0xd4596ac3U,     0x78b91763U,     0x847d742fU,     0xd2765a68U, \
    0x5aadbfe2U,     0x9958cafeU,     0x1abe5798U,     0xea004772U, \
    0x1f77c7d5U,     0x8a2d7f5aU,     0x3941c11fU,     0x6afe770dU, \
    0x3b3d7256U,     0x6943a4d7U,     0xd64bc809U,     0x3f44c7deU, \
    0x2f9ba512U,     0x6805da62U,     0xbfa3f222U,     0x671ab1b9U, \
    0x3b53ff83U,     0x08334e9cU,     0xdc26bc11U,     0xe7926acdU, \
    0xadb1a78cU,     0x84ae18a7U,     0xe1810665U,     0xf16884e0U, \
    0xb49de0a9U,     0xd60a4575U,     0x614e3405U,     0xb5ecb919U, \
    0xdec044deU,     0x4f140c4aU,     0x754ec405U,     0x7da011ecU, \
    0xd648b11aU,     0xe4e12b79U,     0x0833874fU,     0x8797b925U, \
    0x9fcf9d72U,     0xc98c7213U,     0xc6a04d5dU,     0x674b61adU, \
    0x01d4cb6fU,     0x0bf6cb41U,     0x572cd8beU,     0xf4224446U, \
    0x710b0a72U,     0x59e34678U,     0x376fd0d6U,     0x2ad4a6e3U, \
    0xade9ddbeU,     0x1abd165cU,     0xb5789870U,     0x1a951d74U, \
    0x119cad28U,     0x370688d0U,     0x205eb93aU,     0x05c59ef9U, \
    0xd14243eeU,     0xf38fcb50U,     0x785e8813U,     0x1e600846U, \
    0x39b0d1f2U,     0x213a12caU,     0x6ebfabc3U,     0x1de2128eU, \
    0x52ee0f35U,     0xd41a1379U,     0x5d12d5acU,     0x55eb2218U, \
    0xfb6ef146U,     0x7e69f5dcU,     0x26f4d6c8U,     0xba9f3f86U, \
    0xb6490346U,     0x5886c5ecU,     0xb85ac4c4U,     0x65ff1a0aU, \
    0x8987c841U,     0xf023dbabU,     0x2a23c8beU,     0xfc2fa8a4U, \
    0x20335860U,     0x561006b2U,     0x2b5c97beU,     0xf6fe6845U, \
    0xefcc4737U,     0xa8fffd8bU,     0x50ad01f1U,     0x03167d50U, \
    0xbb05563dU,     0x3cd018fdU,     0x724da897U,     0x32153c6dU, \
    0xd5b3b093U,     0xb5c1ecf5U,     0x0a7e08b0U,     0x513505bbU, \
    0xa52150efU,     0xb1d9e7aeU,     0x5b217903U,     0x2082ff71U, \
    0xbf1aee16U,     0x5506280fU,     0xb44f47b4U,     0x8db0b8a9U, \
    0x4f950890U,     0x9e80ad99U,     0x81f5d95dU,     0xe712d618U, \
    0x470b7cc9U,     0xfff2540cU,     0x2a6c31acU,     0xf6c43d52U, \
    0xe141fb8eU,     0xc3f24de8U,     0x561b7a1aU,     0x0f6c0100U, \
    0x71230a6cU,     0xa9f8e7a8U,     0x150d91d0U,     0x575d2427U, \
    0x1bfad248U,     0x27376309U,     0x0889bfe3U,     0x3c3338cdU, \
    0x1aed4fd3U,     0xaa9d5a38U,     0xb73a59afU,     0x76f008adU, \
    0x277abc8eU,     0xc8adfcadU,     0xab1ece14U,     0xb8480c95U, \
    0x393c1a97U,     0x397a6b34U,     0xce11ef13U,     0x49a9e265U, \
    0x3922392aU,     0x55c44261U,     0x5fb6e947U,     0xac86bd0aU, \
    0xe2e02963U,     0xcc019dcbU,     0xf78c2e71U,     0x05c69c21U, \
    0x294871c4U,     0x743a71aeU,     0xfc3a5f03U,     0x8a86ec05U, \
    0x8ca0ab63U,     0x9e25d18cU,     0xcd94618bU,     0x3aa0b083U, \
    0x582a2850U,     0x2d3d5d94U,     0x04bc5a6cU,     0xada1d3f0U, \
    0xe7e21ba3U,     0x051d715cU,     0x509a11b2U,     0x26bf638aU, \
    0xe5a552efU,     0xef64eb3dU,     0x273f3902U,     0x94fa4760U, \
    0x82e2ae68U,     0x098ed654U,     0x61e0b5cdU,     0x59495c63U, \
    0xf1b2f695U,     0x6becf372U,     0x0e184956U,     0x4ebbe93cU, \
    0xcf83000eU,     0x8abd0f56U,     0x69f9eb8eU,     0x68673698U, \
    0xf3db6c92U,     0x2a78c524U,     0x030f8ad0U,     0xd2fbefecU, \
    0xe0383a10U,     0xe25cd6e6U,     0x6d40476cU,     0x0d1ac92eU, \
    0xf315ae43U,     0x631b6a11U,     0xf78da1dfU,     0x19a749e5U, \
    0x2d2ae45cU,     0x82ad9219U,     0x9b2f191eU,     0x4435077cU, \
    0x3cede98eU,     0xcf96ba91U,     0x83532551U,     0xc68af1fbU, \
    0x96bcb240U,     0x7a952933U,     0xb442b50dU,     0xcdfe9a18U, \
    0x62e8a899U,     0xe687ad57U,     0x6a5a4a7fU,     0xcab9fc7bU, \
    0x19473d1eU,     0x1fb09d96U,     0xfd4c76b2U,     0xc50fd254U, \
    0x95600c24U,     0x5f5786feU,     0xf86ff4f6U,     0x7997f011U, \
    0x2b52c0c4U,     0xd6db92f2U,     0x7d0c338eU,     0xfaa4fdf6U, \
    0x505ccacdU,     0xe7c7dbe1U,     0xfb686e27U,     0xa2a770deU, \
    0xf6ffaab7U,     0xc8ce552dU,     0x5dc79a38U,     0x0242f732U, \
    0x1a6d19f4U,     0x53fcb24fU,     0x603a2fc5U,     0x9fd18723U, \
    0x3b68f50aU,     0xf408e33bU,     0xf4fc6382U,     0x35058c8eU, \
    0x717a14e7U,     0x5f9f8243U,     0x3fc5bb54U,     0x469cf777U, \
    0x053b862bU,     0x37618b7eU,     0x5f38c7bdU,     0x8d40a94dU, \
    0xcb099321U,     0xf020bf13U,     0xf9c8decbU,     0x3b978f1aU, \
    0x989c4212U,     0xbb50fa0aU,     0xcb93440eU,     0x47fd967bU, \
    0xac5346f3U,     0x072fab81U,     0x1a3e8ab0U,     0x2daec66dU, \
    0xcaf60887U,     0x346b4d76U,     0x58e72112U,     0xfa1f47edU, \
    0x8b1f1332U,     0xc10c64b4U,     0x35cac878U,     0x74748903U, \
    0x5e19d21eU,     0xc5ad6908U,     0xbb121c42U,     0xa8e4fcafU, \
    0x9e418a55U,     0xa33b9c3aU,     0xa8f2849aU,     0xb582568eU, \
    0x4087a233U,     0x4d04d6f1U,     0x59d8f8f5U,     0x3468a906U, \
    0x05b0b08fU,     0x327281aaU,     0xcb4ce2d7U,     0x13920a51U, \
    0x89d318eeU,     0x096beebeU,     0xee086647U,     0x7e85c717U, \
    0xf1a0de93U,     0xc7b38a3cU,     0xc207b92eU,     0x73c65730U, \
    0x8d7d8badU,     0xd88b6702U,     0xf8312805U,     0xbad9d673U, \
    0xf7c4e5adU,     0xf19cbf43U,     0x59e35d5fU,     0x54106d4eU, \
    0xb44f1020U,     0xcdd739a6U,     0x8a9b53e3U,     0xf0429565U, \
    0x46f0da80U,     0x06045cd3U,     0xdee761d9U,     0xff95ea72U, \
    0x9f586178U,     0x869410e8U,     0xfffa31f2U,     0xba922e2eU, \
    0xf23707e7U,     0x339b0f11U,     0xb055d0afU,     0xa4ea2ec6U, \
    0x18a24116U,     0x41bd2086U,     0x399cc004U,     0x0e759b5bU, \
    0x2a3a4d9cU,     0x397c72bcU,     0x20b39124U,     0x33f759b6U, \
    0x769c388aU,     0x4c51afefU,     0xef95cdfbU,     0xea66079bU, \
    0x6c13e846U,     0x8facc88fU,     0x9e60d6d5U,     0x232e1cbbU, \
    0x7d98a185U,     0x485e2145U,     0xdf6f6ea0U,     0x73370d18U, \
    0x6dc88ff8U,     0xb6b773c1U,     0x65017334U,     0x194862b7U, \
    0x533de01fU,     0xb2791c6eU,     0x6ee4ace1U,     0x92aebf8fU, \
    0xd4127789U,     0xa3c243d1U,     0xbef30f42U,     0x1640d999U, \
    0x291994aaU,     0xa637b8ceU,     0x65c11f9aU,     0xf10bdb59U, \
    0x146fb0cfU,     0x7a5c0104U,     0x86b91a60U,     0x8ca8fcb9U, \
    0xd8412f66U,     0x8ec37747U,     0x13fecb34U,     0x265f66f7U, \
    0x60d4f7a5U,     0x27fff092U,     0x30167ed4U,     0xf96f3e04U, \
    0xdde79490U,     0x87e0ad6aU,     0xfb436e06U,     0x33d3da40U, \
    0xfc7fcb8eU,     0xb4231504U,     0xca856cf6U,     0xd6b095d5U, \
    0xd8cd78e8U,     0x3f1bb50bU,     0x31d11086U,     0xee554edeU, \
    0x6d73e934U,     0x6ba23661U,     0x937af58dU,     0x8454e97cU, \
    0xb335bfaeU,     0x92e1721dU,     0xc97ae75fU,     0x88200dc4U, \
    0x653e840bU,     0x1b7f7206U,     0x1a437741U,     0x2aad49edU, \
    0x9e5b04daU,     0xaec2009bU,     0x69d0589eU,     0xeeb95c6cU, \
    0x3fb43c9aU,     0xa4af1bdfU,     0xb514302fU,     0xa17f7c10U, \
    0xdda8598fU,     0x267a5344U,     0x95f439c7U,     0xd2f244b7U, \
    0x0ba7d0feU,     0xf6d79890U,     0x701a6c3dU,     0x9761e539U, \
    0xd5463fccU,     0xf04ef28dU,     0x80977f1aU,     0xd73cfe4fU, \
    0xe9fec600U,     0xaa16e570U,     0xc17c6b34U,     0x6c1f9c13U, \
    0xde3cc0fdU,     0xecd89165U,     0x6d648316U,     0xe8e617e9U, \
    0xa10a770aU,     0x74bcebaaU,     0x59252d99U,     0xc80fd83fU, \
    0x53289677U,     0x7659bf09U,     0x7baabba6U,     0x22ed6c74U, \
    0xc4b91fb4U,     0x14433286U,     0x0f928d30U,     0x143b4ac4U, \
    0x5466a642U,     0x03b8efe8U,     0xde278c3cU,     0x86bf68f7U, \
    0xeeab71cbU,     0x1f387c18U,     0x280220ceU,     0xf7a21a75U, \
    0x7a0915f3U,     0x4a4462e7U,     0x4e375dccU,     0x3edbbe61U, \
    0x80582d97U,     0xfc87272aU,     0x2226a9e9U,     0x582aa53eU, \
    0xde33d1c0U,     0x8bf5c375U,     0xb33c1ecdU,     0x53abbef5U, \
    0xffb819a6U,     0xa7f43411U,     0xccfd0aa3U,     0x1055a3baU, \
    0xda871c1bU,     0x783c1a95U,     0x19f6ce7fU,     0xbb140422U, \
    0x1a534a15U,     0xdc7fa3e4U,     0x8d747d9eU,     0x721b05b4U, \
    0x458a0bd9U,     0x94fbd622U,     0x5e488f49U,     0x6331a5f8U, \
    0xfd51e544U,     0xfcc1e095U,     0xd7d3c479U,     0x8fd4e54fU, \
    0xab5a8a0aU,     0xee84a176U,     0x0f68e2caU,     0x332143f4U, \
    0x26e95f40U,     0xf34d562dU,     0xa990ed13U,     0x36542a2cU, \
    0xdcd57accU,     0x8f5552d1U,     0x5900e2efU,     0xf0d75e48U, \
    0xb39c9421U,     0x990e1ffaU,     0xb18a997cU,     0x83e5d5ccU, \
    0x94319eefU,     0x64fd1110U,     0x760d14c7U,     0x6824b8b1U, \
    0xfbd2e2ccU,     0xcaffae28U,     0x03722746U,     0xe375ce0aU, \
    0x48e13a85U,     0x5dd88fe0U,     0x1c89b9fdU,     0xc6054fdfU, \
    0xf01179c1U,     0xf4e51431U,     0x9f0c29d1U,     0x1f0a121cU, \
    0xd0141d49U,     0x74f97c07U,     0x21c32723U,     0x7c0949a3U, \
    0x485991ddU,     0x896d5bbcU,     0x6706cec9U,     0x5aa618faU, \
    0xfdcab11cU,     0x55b045d2U,     0xcad01602U,     0xc741c532U, \
    0x3be109d6U,     0x3908fed3U,     0xc40e35faU,     0xe8c34dceU, \
    0xdaa08904U,     0x9ed06a86U,     0x0c3c2e44U,     0x2c6025feU, \
    0x4a053b46U,     0x6354fffeU,     0xc5bd6ff6U,     0xf571e292U, \
    0x399ddd2cU,     0x9b46574cU,     0x7245427aU,     0x7e5125b4U, \
    0x84980df9U,     0x4696bd1dU,     0x8b64de7aU,     0x826f67e2U, \
    0xc99cc1a9U,     0x9c999031U,     0xf98722acU,     0x59294504U, \
    0x1c8cac4fU,     0xcf269f3aU,     0x3044ab15U,     0x5519829bU, \
    0x59729451U,     0x91415989U,     0x0eeaf46aU,     0xbe6264a1U, \
    0xe9a4bb55U,     0x475914f8U,     0x99a2c052U,     0x2da659eeU, \
    0x9fcacdecU,     0x4f341ed2U,     0x35db2819U,     0xd6419980U, \
    0x1a1185c9U,     0xd36e02abU,     0xcbe0d643U,     0x413c88c6U, \
    0x92dcc249U,     0xe1d601a0U,     0x1635f0f4U,     0xad1cd803U, \
    0xc2a6cc22U,     0x5ad2ac8dU,     0x523fef62U,     0xd8ae417bU, \
    0x6f45e423U,     0xfbb160e7U,     0x51f6980aU,     0xd78d6a9dU, \
    0x3b99777dU,     0xe126b684U,     0xad389416U,     0x8d5b92e5U, \
    0x736216c0U,     0x5f163b80U,     0xd1a66170U,     0xce0f4f38U, \
    0xa58d3657U,     0x6a29c60fU,     0x0e615600U,     0x1876f172U, \
    0x35e2ef9bU,     0xd9442c64U,     0x2c051e5bU,     0x4f1eeb2eU, \
    0xabb4dd19U,     0xc75126fbU,     0x819f5252U,     0xc4a15cf0U, \
    0x569e9ad2U,     0x105e9fa5U,     0xfb554965U,     0x2f36c79cU, \
    0x8da8978bU,     0x1bce9a7dU,     0xeb916c17U,     0x466cdf91U, \
    0xe446e154U,     0x4f79940cU,     0x4d1729b8U,     0x1dcfa4b3U, \
    0xf515357aU,     0x8a8686bfU,     0x3703c088U,     0x7e1f5670U, \
    0xc7fa7a81U,     0x77454f08U,     0x86c3ca1bU,     0x7afb3cc7U, \
    0x173127efU,     0xae0c4072U,     0x8e65c70bU,     0x373cc9deU, \
    0x47a2a034U,     0x041ce569U,     0x8ee3ff19U,     0x3878588dU, \
    0xae05d378U,     0xa48619c4U,     0x2acd945cU,     0xcf9b2db4U, \
    0x41d0b7c5U,     0x6e452305U,     0xa3a556c9U,     0xf36740e8U, \
    0xb534874cU,     0xc643ff7eU,     0xdfe8dba7U,     0xa5a2c727U, \
    0x850c23e9U,     0x0619ed19U,     0x08d4e84aU,     0xaec3bc2eU, \
    0x90bdc07aU,     0x3271e19fU,     0x03277e56U,     0x1d893451U, \
    0x7cabcc60U,     0xd5e34581U,     0xa289fe7cU,     0x13f2101dU, \
    0x54bce39cU,     0x423dd178U,     0x5d4f8191U,     0x016afc43U, \
    0xa4ccf12dU,     0x4fbbfcd9U,     0x85b0d683U,     0x2bfc8699U, \
    0x03b91201U,     0xd9b8a53cU,     0xd0e12d7eU,     0xf7d3e86dU, \
    0x784105ddU,     0x3023000eU,     0xbef13b21U,     0xfbe2cbccU, \
    0x23e23193U,     0xd9c92ca8U,     0x30e4afc0U,     0x5d1ead96U, \
    0x8e3a63c7U,     0x36d43a92U,     0x552edff0U,     0x3fdc4ca3U, \
    0x8c19228aU,     0x7433c221U,     0x65945bb8U,     0x9fc49a71U, \
    0xe17fd93bU,     0xfc66b249U,     0xee371990U,     0x4d35d11aU, \
    0x8e1b8386U,     0x53f9c173U,     0x0f0cd39eU,     0x51a2cdd4U, \
    0xb639d9c8U,     0xe4163f99U,     0x30f66746U,     0xd93cdf22U, \
    0xe74f4ed0U,     0x4f66c637U,     0x55311925U,     0xcfa7df84U, \
    0xa8908b0aU,     0xda7b8f8bU,     0xea70f907U,     0x7ea9a9f6U, \
    0x02b82a04U,     0xdc0a916aU,     0x7016ba01U,     0xd8d60bc2U, \
    0x8e59b9d8U,     0xf33f2d29U,     0x23d4e0b1U,     0xf0745548U, \
    0x9cec2575U,     0xeb33264aU,     0x7f1adad9U,     0x8c43bad1U, \
    0x6b7b3675U,     0x3c03c461U,     0xb82fd139U,     0xacb60510U, \
    0xf9facbe1U,     0xdc7a73b0U,     0x62314392U,     0xb4286642U, \
    0x33a154a9U,     0xd80495f6U,     0x372b0d8bU,     0xd11c10a4U, \
    0x092e727bU,     0x811f8fa7U,     0x40fd381fU,     0x3e5773c3U, \
    0x9415fd90U,     0x8a666459U,     0x75db51d2U,     0x6e32a105U, \
    0x6f3f8563U,     0x308c1223U,     0xfd880474U,     0x4def1db8U, \
    0x44145786U,     0x671e6c8bU,     0xc1b8c638U,     0xb8808518U, \
    0xdcfcc088U,     0x912bf0c9U,     0xc7e27a0eU,     0xb5e97691U, \
    0x9b6421daU,     0xbd2e4579U,     0x1388cd83U,     0xb2dcfbe8U, \
    0x309af3c6U,     0x5a98a004U,     0xe097ac81U,     0x3594c1b1U, \
    0x42f6701aU,     0x17e66976U,     0xd3a7772cU,     0xba09f717U, \
    0x0d6ebf64U,     0x04ff13beU,     0xa62b90aaU,     0xb8903133U, \
    0x43c89ad6U,     0x67a1fa78U,     0x68709468U,     0x839f6c3bU, \
    0xf51a7c75U,     0xfb5c49aaU,     0x741fb9f2U,     0xdc5995a6U, \
    0x3772a4ffU,     0x11210d14U,     0xeeb10915U,     0x9744514eU, \
    0x92f1e6f3U,     0x13821251U,     0x7b129759U,     0x73de29a4U, \
    0xba34af67U,     0x19c2e862U,     0xe1d6d3f2U,     0x37c67680U, \
    0x2b7935aeU,     0x4998b3e1U,     0x68ced6c2U,     0x1d6805b5U, \
    0x681e1bb3U,     0xdcec0f78U,     0xf4adbe67U,     0x596b8d38U, \
    0x614ac6f2U,     0x0c506f9cU,     0x0b841bf6U,     0xb63d2e7dU, \
    0x99398b9cU,     0xbf5c5486U,     0xcf1b0bb8U,     0xfd6cda6fU, \
    0x125a81f1U,     0x80ee7833U,     0x1506fe5cU,     0xb8c287a2U, \
    0xcf9f2bd4U,     0x2df4e13bU,     0x5416d4e7U,     0xfe7f50b2U, \
    0x47bbf951U,     0xae49520cU,     0xe1d9d963U,     0x9945acf0U, \
    0xf6099438U,     0x4c3e0ab5U,     0xb5d8201dU,     0x03ab0eeaU, \
    0x14e44666U,     0xd46941fdU,     0xc360d023U,     0x2292e208U, \
    0x3cafc7ecU,     0x5f05b384U,     0xbf6ddd70U,     0x7c2f4cbeU, \
    0xb8a5e400U,     0xd540427dU,     0xe15439f8U,     0x132e4be7U, \
    0xb1401a77U,     0x107f095aU,     0x28921e19U,     0x7fc9761bU, \
    0xe5631192U,     0xaeea4a83U,     0x7ea10272U,     0xcf50d22eU, \
    0x6605f1ebU,     0x1f6af06cU,     0x41ffc67bU,     0xa0118431U, \
    0xefe30237U,     0x38bfcb4aU,     0x5780802aU,     0x9e51bc62U, \
    0x8c3c6f10U,     0xb59e74cdU,     0xfa0c7c8bU,     0xe086cdd5U, \
    0xfef2c70aU,     0x2da4933aU,     0xaff76d31U,     0x4c1fbbccU, \
    0xbbd3ddcfU,     0x2d597412U,     0xd4c98736U,     0x5b20f802U, \
    0xe2da54b6U,     0xe294b256U,     0x23edcd46U,     0x73641176U, \
    0x85570147U,     0xc281ef2fU,     0x4b4d2f74U,     0x1040629dU, \
    0x8b746610U,     0x30585d79U,     0xef90b35dU,     0x7cfef84dU, \
    0x5bc372c1U,     0x58045279U,     0x09c618eaU,     0x9f7276a6U, \
    0x0ad6944bU,     0xe0822e3bU,     0x756f962cU,     0xa2fb70d5U, \
    0xee5d62f5U,     0xc0a02e1aU,     0xd70c553eU,     0x2759a5a7U, \
    0xeb4e3025U,     0xbdb32b7bU,     0x0b1ad29cU,     0xd33fd69bU, \
    0xd9bd678eU,     0x69bb73a2U,     0x819a5377U,     0x10093dbdU, \
    0xd891fa00U,     0x4f2551f7U,     0x83d8ee89U,     0xbc3d1b59U, \
    0xaa2538d8U,     0xdd0c9235U,     0xdefa5a5bU,     0x5d0ea1bbU, \
    0x7077b5f9U,     0x4ca19c29U,     0x7be5bbbeU,     0xbf53cbf7U, \
    0x4b6a3eabU,     0x05a64021U,     0xd98a8acdU,     0xbecb0374U, \
    0xa5ed3fccU,     0xa8da1b3eU,     0x206297d6U,     0x40bc6230U, \
    0x6f42c325U,     0x0a33e395U,     0x1cfa1851U,     0x2b26c5d9U, \
    0x6352dddcU,     0xb636929eU,     0x333a8029U,     0x81649426U, \
    0xe05e7ec2U,     0xc650fa2eU,     0xedb0d30dU,     0x3c11cf6aU, \
    0xc6cd7ccbU,     0x59308a8bU,     0x50012764U,     0xb46bb281U, \
    0xe09049b4U,     0xb49a396fU,     0xe9005f13U,     0x640375f9U, \
    0xca5560c4U,     0xb7913d86U,     0xba153999U,     0x59001538U, \
    0xae5baba2U,     0x5b7c5c0fU,     0xb8e4b62bU,     0xf1d47743U, \
    0xe9c8d74aU,     0x9badc190U,     0x0a7df427U,     0x5fd72f9dU, \
    0x10a1f694U,     0xb11b2dc2U,     0xa03cbff2U,     0x112e6142U, \
    0xaae40260U,     0x0fb3e91aU,     0xa46d2d46U,     0xf8d43623U, \
    0x6b028a3aU,     0xb542bc9fU,     0xd1772e9dU,     0x93a09ee2U, \
    0x28dabbd6U,     0xe4e0fef3U,     0xc0a34655U,     0x5ada0646U, \
    0x47a8b6ccU,     0x7375dc10U,     0xc8c85a79U,     0x7aa29e95U, \
    0xe828a146U,     0x738363d4U,     0x1b63475eU,     0x18dd4f2aU, \
    0xaf0dda2eU,     0x6267542eU,     0x0c18ab98U,     0x706b0eb3U, \
    0x6420c4e0U,     0x75f572c4U,     0x82cf2ce9U,     0xa5f66e86U, \
    0x7a7c8722U,     0xf6be1aa2U,     0xa414bebaU,     0xaed8a309U, \
    0xdd9e3194U,     0x8bac1a8bU,     0x187d012cU,     0x494c18a4U, \
    0xed8b00beU,     0x4e7849ceU,     0xab626cb2U,     0xd13ee57bU, \
    0x357f80c0U,     0xa95aa520U,     0x477049b1U,     0x31b72d9aU, \
    0xc6c17136U,     0xab977945U,     0x6fd34f85U,     0xb2c701e2U, \
    0x737056cdU,     0x7b7a1192U,     0xf80cf151U,     0xa8d2e33fU, \
    0x4c0dfc8bU,     0x6620dec7U,     0x7407d4b2U,     0x991c59ebU, \
    0x852d7ed9U,     0xa98c87e1U,     0x6fff3294U,     0x8431ab17U, \
    0x10faa830U,     0xaa96e1baU,     0xcdd4e978U,     0x8db3a2acU, \
    0x8c99798bU,     0x9558a4faU,     0x90768455U,     0x3aa930b5U, \
    0x6f22fe57U,     0x746d6774U,     0x0f35a473U,     0x421c43b7U, \
    0x8cb2ca66U,     0xfb24b412U,     0x7ef7190cU,     0xacd76e20U, \
    0xc6b179e7U,     0x12138e3cU,     0x297c2ac3U,     0x0d594f06U, \
    0xf70eec53U,     0xf89a2976U,     0xe3b88b1bU,     0xb198d2fcU, \
    0xa2fca86bU,     0xa6c15cc1U,     0xe6017c61U,     0xe72c5600U, \
    0x242d04c5U,     0xaee2552cU,     0x710eadf2U,     0xaa8fa33dU, \
    0xde39861fU,     0x4c61f318U,     0x91f43845U,     0xbb4a5557U, \
    0x0ff1bf49U,     0xd5871399U,     0x8eb55defU,     0xbd98664fU, \
    0x82aabcafU,     0x8871cd3cU,     0x53a86378U,     0x54049714U, \
    0x542fd1faU,     0x74603941U,     0xc196cbf4U,     0x69a75f2eU, \
    0x06de147eU,     0x4c016794U,     0x57ed0cb9U,     0x7063c95fU, \
    0xca3c8babU,     0x4f66e5b0U,     0xce1eab75U,     0xcf922c8eU, \
    0x790fe0bcU,     0x08581ce9U,     0x1b69a257U,     0xf336514cU, \
    0x871db403U,     0x98e5757aU,     0x743b3b79U,     0x74ab92f0U, \
    0x2c243370U,     0xb98b5d40U,     0x98eedc9fU,     0x739bbc77U, \
    0xd4dc4dc4U,     0xafb6a9c9U,     0x2809dce3U,     0x0012ea05U, \
    0xc1995c2bU,     0xecba3522U,     0x182dea4bU,     0xc26c9967U, \
    0x44639772U,     0x683529e2U,     0x6ed838edU,     0x4b796feaU, \
    0x3167fe2eU,     0xf6ba8bfdU,     0x87b26655U,     0x4537a650U, \
    0xc3a14d81U,     0x0ec27ff7U,     0x722a5bc4U,     0x82fc7451U, \
    0xac99a3e3U,     0xc4749319U,     0x0cb67e64U,     0x17baea67U, \
    0xa03784a2U,     0xcd46b40eU,     0x7fecb441U,     0x092e0d8fU, \
    0x85be411cU,     0x41712859U,     0xc29bdb6dU,     0xc9834b06U, \
    0xe293f0a7U,     0xf4673f1eU,     0x7fbc0bb8U,     0x59334c89U, \
    0xa9005938U,     0xeb5fee07U,     0xb5277e9dU,     0xdb41798fU, \
    0x1d313eecU,     0xb0471271U,     0x4a6dc645U,     0x04d67080U, \
    0xb36ab34fU,     0x7ddb68bbU,     0xdcde694cU,     0x4470ffffU, \
    0xf30cbd45U,     0xf14c3af0U,     0x133faff4U,     0x87b77015U, \
    0x29c6d133U,     0x64e75576U,     0x9b2d2693U,     0x0ba7fa9bU, \
    0x193c2973U,     0x7a30a537U,     0xf490bba6U,     0xeb716af1U, \
    0x56796c1bU,     0x297dc27dU,     0x5ee72055U,     0x905ab7e5U, \
    0xeff42169U,     0x6175f194U,     0x0deeef91U,     0xb60d8225U, \
    0x8b327f49U,     0xb6aad2f1U,     0x59fdb6b4U,     0x6142e7d8U, \
    0xc7259058U,     0x9682f4a7U,     0x02a377a9U,     0xc71e28ceU, \
    0x2076b8b3U,     0x812c4d01U,     0x9c2bc2c4U,     0x7338382dU, \
    0xadeecc3eU,     0x4e3f62c9U,     0x090a7bf1U,     0x04057ef5U, \
    0xd97b7db9U,     0x0cc8afb4U,     0xe401a6beU,     0x0e6f2d1bU, \
    0x3857408eU,     0x034c47ccU,     0x1e61da60U,     0x27dd34e4U, \
    0x24603112U,     0x1e935659U,     0x3239aafdU,     0x5e5e8375U, \
    0xfb471524U,     0xdc8034daU,     0xf5fdf97bU,     0xdf8cdf9eU, \
    0xd85dfdeeU,     0xe527dce2U,     0x86baebf7U,     0x59db4210U, \
    0x5d132911U,     0xd12dfbbdU,     0x0e5ad858U,     0x1b202822U, \
    0x354ae07aU,     0xfc0fb607U,     0xf92765ddU,     0x3b8d7c8bU, \
    0xce306422U,     0x529f4c87U,     0xa5847c04U,     0x0e8e07ebU, \
    0x119d804cU,     0x2bf34f66U,     0x695e289bU,     0x50f06de6U, \
    0xca6d8224U,     0xf0842845U,     0x35613886U,     0xc2c03777U, \
    0xb5387046U,     0x5c804718U,     0x4690ba64U,     0x8dec8437U, \
    0x89ae935aU,     0x31cac32cU,     0xb0b7f21dU,     0xcd6d8208U, \
    0x18aad808U,     0x40d1c426U,     0xae9c60e6U,     0x4bd18808U, \
    0x8557fd9eU,     0x4baaa622U,     0x0da7ae43U,     0x3ee18af6U, \
    0x20ac464bU,     0xc81dbf7cU,     0x78c18270U,     0xe780c599U, \
    0x1db7dd42U,     0xd7903965U,     0x727fa7e5U,     0x006ed240U, \
    0x2e8de30fU,     0xb9ad9836U,     0x0903168bU,     0xef5f5313U, \
    0x2d6e14d2U,     0x92831547U,     0xfcf744d1U,     0x251fa404U, \
    0xd4d43c51U,     0x6db3ee74U,     0xc2c4bb23U,     0x445f663dU, \
    0xdb66164bU,     0x72828d5dU,     0x822760a2U,     0x3ccb25fcU, \
    0xf5660d16U,     0xdf8dbc68U,     0x0164214dU,     0xce6587b4U, \
    0xd5c9d329U,     0x4a7a3f20U,     0xb926f360U,     0x7494fe31U, \
    0x23df8488U,     0x8b158918U,     0xa225adaaU,     0x078ebfecU, \
    0x4fd0421cU,     0x40d0017dU,     0x6279b83eU,     0xd157d16dU, \
    0x17392ed4U,     0x317a6e12U,     0x5abbc18cU,     0x1fd76ac3U, \
    0xd2effbf8U,     0xb96a5e51U,     0x48d2fb3dU,     0xe470cd6eU, \
    0xc33b512bU,     0x353c9d5bU,     0x510bdc89U,     0x7d93864bU, \
    0x85768624U,     0xf312b617U,     0x22fcc96bU,     0x2e505cffU, \
    0x69f59101U,     0x27ef652fU,     0x921e3111U,     0x1bde3785U, \
    0x83446f04U,     0x28176a57U,     0xa45f9846U,     0x5eb0b738U, \
    0xafd9bf64U,     0x4fee716bU,     0xdd906ea9U,     0x71880b77U, \
    0x815f0860U,     0x335cd508U,     0x381083aaU,     0xbedc60d2U, \
    0x8d09337bU,     0x32f41b8fU,     0x03574f66U,     0xcdf85e41U, \
    0x3a5a5a9bU,     0x11d52cc0U,     0x918527e3U,     0x822a528fU, \
    0x3ff68f71U,     0x398bcf69U,     0x48f0661dU,     0x1a30c99fU, \
    0x78b4814cU,     0x668a96f9U,     0x7a264995U,     0xb95c8477U, \
    0xecd748aaU,     0x7c578861U,     0x19b92acfU,     0x12afdce7U, \
    0x4779e945U,     0x57f1febfU,     0x3a3f360eU,     0x0a0b2220U, \
    0xc5509381U,     0xb87a1c79U,     0xd404de73U,     0xb289f692U, \
    0x0e904e93U,     0x47249e93U,     0xb37cf5f9U,     0x4c00cc7aU, \
    0xfe7a7c91U,     0x0bf23e87U,     0xa3b4a04dU,     0x8ab96302U, \
    0x57151253U,     0x43ce169cU,     0xfb7c36e2U,     0x7f089164U, \
    0x467a2e81U,     0x96268cc0U,     0x02307354U,     0x45aeb688U, \
    0x4e51dfa0U,     0x79ce39abU,     0x00083b86U,     0x0689b888U, \
    0x2f2cb2b1U,     0x877d31faU,     0x1a20c934U,     0x62479035U, \
    0xbb9845b9U,     0x65d0fbe9U,     0x1c23d781U,     0xc6ed1cc7U, \
    0xd611ebb7U,     0xf8971298U,     0x13c9ee17U,     0x2553d340U, \
    0x2b28f236U,     0x6bd36524U,     0xc45ef873U,     0xe5b0cf89U, \
    0xc209779aU,     0x9001f33cU,     0xd3f59ca4U,     0xaa531114U, \
    0x0ff0906eU,     0x4ada5818U,     0x1e151e07U,     0xe9205dddU, \
    0x934e5428U,     0x082a7789U,     0x028eac57U,     0xc3614f1cU, \
    0xe1174d1bU,     0x40f1f0e0U,     0xcbe3f3d5U,     0x973d5302U, \
    0xe0831066U,     0xa977f96aU,     0x36038eedU,     0x6228d0f6U, \
    0xfb583845U,     0x795638c8U,     0x9f4f2d36U,     0xb778ab76U, \
    0xbf2f3abbU,     0x82695cddU,     0x622a2ca3U,     0x5ec09b5eU, \
    0x73180a5aU,     0x8f497778U,     0x8c05727dU,     0xc086176bU, \
    0xf4a739c9U,     0xc3588ffbU,     0xcba46178U,     0x92bad241U, \
    0x7ad009d5U,     0xc42a137fU,     0xa61af19aU,     0x6321b3f3U, \
    0x80f2aaaaU,     0x9f6e4f77U,     0x168d99f3U,     0x5be8ad7dU, \
    0xc85dbcf4U,     0x5bf3368dU,     0xe95dffe4U,     0x2268b148U, \
    0xe5dc5c5fU,     0x34645faeU,     0x42d49861U,     0x1bf573f3U, \
    0xca5e4545U,     0x9eb71390U,     0x0a462f9aU,     0x069764f6U, \
    0xfd1dfc4eU,     0x7e3fd54bU,     0x627aa7faU,     0x885b831dU, \
    0x12360caaU,     0x6eadce61U,     0x26cd1bbdU,     0x4c2b8c43U, \
    0x05422ac5U,     0xc9b15bf5U,     0x62952e3eU,     0x2f960dbfU, \
    0x1963db7dU,     0x9ba27f40U,     0xe6a5c15dU,     0x75a6958fU, \
    0x9fbf4c9fU,     0x58c81786U,     0x842414ddU,     0x2300e109U, \
    0x3a9c9362U,     0xd43e91c2U,     0xdaca4c78U,     0x7157926eU, \
    0xe97dfc74U,     0x485cfd44U,     0xe2c97ba8U,     0x9b68c5d0U, \
    0x7a29142dU,     0x97ead893U,     0x7f7571fcU,     0x2989df68U, \
    0x8708aec4U,     0xcb4d87d0U,     0x6bf3e156U,     0xfc7081f1U, \
    0x40e11b19U,     0x4b6bf027U,     0x044d5840U,     0x5025555eU, \
    0x32b2996cU,     0xb2713bd9U,     0x083f8bb7U,     0xfea878d5U, \
    0x99a1f8e8U,     0x602c6b66U,     0x88aab722U,     0x99391b4aU, \
    0xadecf2d4U,     0x2d951d33U,     0x0cbceef7U,     0xb1d8cf3fU, \
    0x94b4d78fU,     0x46716e18U,     0x73ddcfd7U,     0x65db7f99U, \
    0xee40be22U,     0x97ddd891U,     0x9a9126aaU,     0x0abddc97U, \
    0x61b6bbceU,     0x5ca1c29aU,     0x8249f070U,     0x5df4f9d9U, \
    0x9eeeeaf9U,     0x8144b0e2U,     0x337a4370U,     0xdaf8f735U, \
    0x714f87beU,     0x57ea4291U,     0xe8ce83b8U,     0xbf15d68aU, \
    0x141fb435U,     0x18c4980fU,     0xa96fe250U,     0x00a7437dU, \
    0x1185020aU,     0x3923b409U,     0x1aa3a4a8U,     0x749c60ccU, \
    0xe9d49d00U,     0x310f59a0U,     0x2830b7e2U,     0xefa11b31U, \
    0x6589b494U,     0x3648fd4cU,     0x96f63d59U,     0x80dab1fcU, \
    0xff77f686U,     0xe005661eU,     0x99c362b4U,     0x5a266d7bU, \
    0x62377ca8U,     0x7810edbfU,     0x4e8ea54dU,     0xd45d8463U, \
    0xb43a2b4eU,     0x82c257e5U,     0x7e9f0563U,     0x91bc196cU, \
    0xbc8e0478U,     0x8c35aecaU,     0x257c168aU,     0xcd850759U, \
    0xa8d6c391U,     0x84d7dd7bU,     0x5b790be6U,     0x0cbce403U, \
    0x5d20dc50U,     0x174bd7f1U,     0x7eafc00bU,     0xb327d743U, \
    0x6e28438dU,     0xaabef3faU,     0x74341336U,     0x68fe2ebcU, \
    0x5ad85498U,     0x60af5a61U,     0x24dc3b3bU,     0x1464e935U, \
    0x02cec2ffU,     0xe04288a2U,     0xa7d02038U,     0x132b50f9U, \
    0x1f1590e3U,     0x6ef67d8cU,     0x53e102c1U,     0x377c18d5U, \
    0xc8290929U,     0xfc119eacU,     0x5c328f2aU,     0xdf86bbfdU, \
    0xc1343bb5U,     0x8c3be9cfU,     0x387fe1f3U,     0x7a6503eaU, \
    0x2f8612e4U,     0x0b1ea181U,     0xd876d2e1U,     0x4d266ccbU, \
    0x309c5e5aU,     0x9012136eU,     0x0aeab327U,     0xe7d0e52cU, \
    0xc97fc52cU,     0xa67765edU,     0x885ebbc3U,     0xa28ceb09U, \
    0xd9a9b362U,     0x088cb587U,     0x9126ad82U,     0x288468beU, \
    0x3dee008cU,     0xb3d13ba3U,     0xfbc85eb5U,     0x9a892c0eU, \
    0x8c604ceeU,     0x53313d34U,     0x9c46ee63U,     0xb9fca7a4U, \
    0x26c67789U,     0xc71fdf30U,     0x643ba0d1U,     0x0cfac35eU, \
    0x35065213U,     0x33abf43eU,     0xe88f72c8U,     0x438ee614U, \
    0x42f5a50eU,     0x70a0e62aU,     0xc4a32c78U,     0xad9c58f5U, \
    0x880d3da5U,     0xdb0a9838U,     0x7f5a90c8U,     0x40440e65U, \
    0x86d40bdcU,     0xb01b1c4eU,     0x1a7db38cU,     0x75e1eb3eU, \
    0x198cf66aU,     0x886b4e74U,     0xf798f035U,     0x19eb45c7U, \
    0x377592e9U,     0x1e85c1d4U,     0x55fcd026U,     0xf284e2bdU, \
    0x0d6d14aaU,     0xe54cfb78U,     0x5ef7133fU,     0x82bd6fc4U, \
    0x2734b435U,     0xf8022f39U,     0xc13aafecU,     0x68474bfdU, \
    0x7eef7fc7U,     0x73357cedU,     0x92f2fdfcU,     0xc57afcdaU, \
    0x5199ea1dU,     0x8f5acbb7U,     0x4e2349f6U,     0xcebf78ddU, \
    0xda2a8e3fU,     0x2f803fe9U,     0xa20fb13bU,     0xacafc350U, \
    0x407fd2d1U,     0x3fb243e8U,     0x63346087U,     0xf689ebb3U, \
    0x2e6c4135U,     0xb3767da4U,     0x3acb0b4cU,     0x1c76dedaU, \
    0x6b6707d8U,     0x244310d0U,     0x254e510aU,     0x84661c6fU, \
    0x22238144U,     0x5cb6794fU,     0x81d451cdU,     0x39707772U, \
    0x036788a1U,     0x5fe0d2daU,     0x46c28410U,     0xe56be716U, \
    0xbc08a9bbU,     0xc76da749U,     0x3893bc5bU,     0x7391d84dU, \
    0x7de0838eU,     0x07ebea2aU,     0x58493da6U,     0x0b99fde8U, \
    0x52374bdcU,     0x478a82eeU,     0x976bd04cU,     0x62b3f93eU, \
    0x40e9cf61U,     0xa789b419U,     0xbc25ea90U,     0x7d22858aU, \
    0xb3b585b7U,     0x1e6aea4cU,     0xf0115ab9U,     0xaba55f23U, \
    0x76262ac7U,     0x53472074U,     0x7a4bdd37U,     0x03e37384U, \
    0x32421caaU,     0x9245c9c0U,     0x2f2c2143U,     0x20c516aeU, \
    0x745b8fb0U,     0xb0bacfa8U,     0xb7d7e1ddU,     0x1941adeaU, \
    0xd0a9788dU,     0x28722bb5U,     0x9e422a87U,     0xc838e36dU, \
    0xce739469U,     0xbace3b22U,     0x41a037b1U,     0x5ffe6233U, \
    0x19dbde75U,     0x9f598db1U,     0x58a292c7U,     0x0664ce04U, \
    0xb25e53eeU,     0x27dea139U,     0x394247d7U,     0x4666cbfeU, \
    0x5d89632dU,     0x509f1ce9U,     0x5117726bU,     0xb33ba622U, \
    0xe325a32bU,     0xbfe70ac0U,     0x71b7be7aU,     0x28cd394aU, \
    0x6c8dae5dU,     0x40e2269fU,     0xc3560c34U,     0x7f580416U, \
    0xf25ec1ccU,     0x3f2fca54U,     0xc27a0bceU,     0xc05399c6U, \
    0xb7ce12e6U,     0xcce1c4dbU,     0x129b016eU,     0xc35131c7U, \
    0x704e7a96U,     0x653dd7f7U,     0xa2bb7546U,     0x5e4197e3U, \
    0xc371d59bU,     0xc48e3447U,     0x0ce72c07U,     0xb4349e46U, \
    0x567d521eU,     0x2f757d6fU,     0xbf105c6cU,     0xd6f33aa5U, \
    0xf235ba5dU,     0x3b1c64d6U,     0x5495a0f8U,     0xa951868aU, \
    0x22778153U,     0x93fe4636U,     0xf4a742acU,     0x004e9f67U, \
    0xa86d303bU,     0x1b77494bU,     0x20b2603cU,     0x943578f8U, \
    0x11796df2U,     0x84f2edfdU,     0xd33ebceeU,     0x59f7984dU, \
    0x9f844035U,     0xe2a3ba3aU,     0xc486ab56U,     0xccdc9ed3U, \
    0x4559860cU,     0x8f02c43eU,     0x7170cb94U,     0x522bb41dU, \
    0x6c000a3bU,     0x38e39efcU,     0xbf81d11fU,     0x02186b84U, \
    0x7635fc93U,     0xc510c4d4U,     0x9474defcU,     0x9503a2e3U, \
    0x0e5cb526U,     0xc1bb5d92U,     0x75b2c613U,     0xcc1a4a56U, \
    0xdc050219U,     0x6e46bc3fU,     0x94fd841eU,     0xee584c99U, \
    0x98109214U,     0x91a74737U,     0xd2746791U,     0x5aa9c360U, \
    0x7cfba812U,     0xa22b7d5dU,     0x63e2c673U,     0x377ad1d4U, \
    0x6cb535deU,     0x2eebbd85U,     0xd8446008U,     0xebfd90f0U, \
    0x53befae8U,     0xa589755fU,     0x396d99cbU,     0x1f75e7f9U, \
    0x64f2a2abU,     0xe5a0e33bU,     0x9518418eU,     0xf2246f00U, \
    0xfb8fd696U,     0x7617503dU,     0xfd0ec903U,     0x22cfe763U, \
    0x391bbab9U,     0x496b325bU,     0x059548cfU,     0x9dc48fbfU, \
    0x8f3ed073U,     0x784ec8d2U,     0xec648c77U,     0xfe465c45U, \
    0x8da3574aU,     0x701a0da5U,     0x00fefd44U,     0x49879117U, \
    0x5ed33c9aU,     0x8bb1da98U,     0x51b735d8U,     0x7b1da386U, \
    0x52e69fd6U,     0xd4497e1dU,     0xf163ba31U,     0xe340dab8U, \
    0x5a4f1798U,     0x9dd1ad60U,     0xa66008ddU,     0xf5a274e7U, \
    0xd159ee45U,     0xfab8ce3eU,     0x562cbfc5U,     0x0deda05bU, \
    0xf2fe490fU,     0xaf61acfaU,     0x6f77c4b2U,     0xdeffde26U, \
    0xfa849471U,     0xa6f02eb4U,     0x4c66d8a3U,     0x98995e0fU, \
    0x220246f4U,     0xa69f9a50U,     0xbfc15bd0U,     0x4adb646cU, \
    0x4d8f7f99U,     0xd69d32b4U,     0x39737744U,     0xc6b75beeU, \
    0xc26831a7U,     0x8217bddaU,     0xcdc2c2c0U,     0xefc48f2cU, \
    0xa3ccf0d8U,     0x45759a75U,     0xa2d3c490U,     0x9babd124U, \
    0x884d901bU,     0xabd33e20U,     0x9e58bab2U,     0x61543721U, \
    0xde39ae6bU,     0x28d75d4bU,     0xf9081d87U,     0x05ea8629U, \
    0x2c1d53d9U,     0x7ce005ceU,     0xdc5ff1bcU,     0x6daf9051U, \
    0x0950ed5dU,     0x5907f349U,     0xe51a2311U,     0x9030aa6bU, \
    0x01f60f01U,     0x6fb6e082U,     0xd42e0fa3U,     0x755f83feU, \
    0x99944395U,     0x48537a30U,     0xc1b7e515U,     0xb7dbaf4aU, \
    0x5e24f0b4U,     0xbfb54630U,     0x8a2dc959U,     0x06a570a3U, \
    0x4558b462U,     0x2ec28c78U,     0x9d25c146U,     0x09cb3211U, \
    0xe6d96e2fU,     0xfb9e1e8bU,     0xe8d4c056U,     0x3f014db8U, \
    0xab1595eaU,     0x4dcd72fdU,     0x7563f263U,     0x427c267eU, \
    0x3c798bbeU,     0xcf075702U,     0xff1a9f91U,     0x33a6d0a3U, \
    0x235d1d69U,     0x891e24c5U,     0x615478d5U,     0xdaba4d7cU, \
    0x2feacaccU,     0xaf9bcd5cU,     0x13a5d442U,     0xa330d59eU, \
    0x6c938883U,     0x1a2bbf41U,     0xd674826fU,     0x02f81d2cU, \
    0x1e59bf72U,     0x85cb69deU,     0xa078fa05U,     0x7260792eU, \
    0xea135cd6U,     0x2b6edd27U,     0x3f37ff30U,     0x0debeb3bU, \
    0x4a0c76edU,     0x0071eb8dU,     0x12e00be8U,     0x8733c2d6U, \
    0x9337c33eU,     0x36947986U,     0x40756287U,     0xfd5edc63U, \
    0xb5676dfaU,     0x02228418U,     0x35b766b2U,     0x3d523bb4U, \
    0xb0093eddU,     0x353a3f6bU,     0xad0a9794U,     0x64e89d0aU, \
    0xa3d8b64fU,     0x502ea87eU,     0x4623d02dU,     0x0abe06bdU, \
    0x87723806U,     0x259d47e6U,     0xfe9b2168U,     0x752a67abU, \
    0x1dd18b69U,     0x9d8d68dfU,     0x9304b24cU,     0xc84ebdc4U, \
    0x2113bb02U,     0x24d695baU,     0x244ee016U,     0x99eab574U, \
    0x2efa8fe1U,     0xb80d994fU,     0x3d07452cU,     0x92147720U, \
    0xe9cde5ffU,     0x1db76777U,     0xc808834fU,     0x6bada4f6U, \
    0x85c490f0U,     0x68ebfbeaU,     0x88eeb432U,     0x5497db90U, \
    0x8f015cbcU,     0x70a3c472U,     0xf57f1bebU,     0xe63bc9f1U, \
    0x00240372U,     0x0eb90ce9U,     0xaae81f58U,     0x3c124ffaU, \
    0x6c0d6914U,     0x67bebe5aU,     0x6587d2f0U,     0x1ff796e4U, \
    0x1581e126U,     0x2d394ddeU,     0x7326f4a3U,     0xfb85984cU, \
    0xfb9cbbb6U,     0x390b689cU,     0xcb3670edU,     0xbd77b5b0U, \
    0x1705abbeU,     0x26c753b5U,     0x420d7d3fU,     0x047a1768U, \
    0x21cf250aU,     0x96d45784U,     0x7163416dU,     0x2362bae3U, \
    0xe04ca2bbU,     0x81f1f588U,     0x30ba2135U,     0x0522ebe6U, \
    0x86d661b4U,     0x3d1e93e0U,     0x0b2f1e59U,     0x56302129U, \
    0x96bc331aU,     0x2d726a91U,     0xc79669dfU,     0x1275af20U, \
    0xb4cc7909U,     0x6e5681b3U,     0xd9aa13aaU,     0xdf4f8527U, \
    0x1209e90cU,     0x301b3935U,     0x09341445U,     0xd815771fU, \
    0x74d2b26cU,     0x7d4e431bU,     0x19ca20c2U,     0x60c32af0U, \
    0xabfe092aU,     0xe77f5c3fU,     0xedeb774dU,     0x94d0897eU, \
    0x5deb094dU,     0x60fac1a4U,     0xfb0c40eaU,     0x390d3b65U, \
    0x2b17db9aU,     0x4a66747fU,     0x0d4b6155U,     0xa2a01b52U, \
    0xdc6ff553U,     0x43c3ef88U,     0xcc4f09daU,     0xd83333a0U, \
    0x9d6ea039U,     0x3f97dd84U,     0x8a40bbf8U,     0x24bff845U, \
    0x48c412b4U,     0xef18e24cU,     0x77d6432fU,     0xf5c7d939U, \
    0xf4b9951fU,     0xd5d8aeb8U,     0x044a8285U,     0xb4d10f5aU, \
    0x683b478dU,     0x5458ca91U,     0x625427d3U,     0xd76f4785U, \
    0x21d9adc8U,     0xfaa9d64eU,     0xa21ca275U,     0xde98d3f2U, \
    0xd62565b1U,     0xf6fc7272U,     0xbf29551dU,     0x86db11feU, \
    0xe0d7fe6cU,     0x16d2961cU,     0x4dc098e4U,     0xb210baecU, \
    0x6e0c58d3U,     0x1854780dU,     0xfe949bd7U,     0x28e5cf47U, \
    0xdb5b9091U,     0x95c50822U,     0xdf1a0c2eU,     0xcbdca3e3U, \
    0x4d8e11d5U,     0x50a8de1aU,     0x0f86f910U,     0x58528935U, \
    0xe110a1f3U,     0x2d63e9a6U,     0xaf00280fU,     0x1309da30U, \
    0x0f1b6bc6U,     0x44336abbU,     0x2af7d8daU,     0xb62e2915U, \
    0x2720134fU,     0xcfebd690U,     0x52b2577fU,     0xfd3bf1c5U, \
    0x55eaed2aU,     0x099b362cU,     0x7c30b6f2U,     0x315f7d15U, \
    0xbad707aeU,     0x704384efU,     0x386d0b00U,     0x02a86270U, \
    0xe56cbf6fU,     0x49801560U,     0x8c53044bU,     0xf2c1626cU, \
    0x2a0b11c3U,     0xa41e0b0dU,     0xd86e858fU,     0xee3919abU, \
    0x7b5f5a7cU,     0x8200ae4aU,     0x68d639f7U,     0xf03bfd7cU, \
    0x3719acc0U,     0x85f30035U,     0x83bc0878U,     0x74473f84U, \
    0x86115c34U,     0xab31dd9aU,     0x7d9fd9f2U,     0x7dbc46dbU, \
    0x2326e566U,     0x9bb29b0aU,     0x174e98c4U,     0x5a853a74U, \
    0x913e5e3cU,     0x78d40ce1U,     0x0b1b408fU,     0x1dfada8fU, \
    0xff1f06f7U,     0x5eb7942eU,     0xc4a61296U,     0x43cd4049U, \
    0x7d61219fU,     0x2edb12d1U,     0x46a98db5U,     0xe84aa181U, \
    0x2e62d9acU,     0x4932a867U,     0x01d6314aU,     0xfbe7a756U, \
    0x0b508961U,     0x765fa181U,     0xc65acbfbU,     0x1c40d096U, \
    0x6fd505c5U,     0x6de479e5U,     0x567202a5U,     0xeb652fbdU, \
    0x98d07faeU,     0x1976e9c5U,     0x8e2856a1U,     0xc47142b8U, \
    0x1aec18b1U,     0x574efc55U,     0xccc94d20U,     0x2cf9c492U, \
    0x50c60352U,     0x115e3cddU,     0xd4c192b4U,     0x38ee947fU, \
    0x3dff6075U,     0xa5616596U,     0x1907dd04U,     0xb8683021U, \
    0x5433328cU,     0x1c8a9b84U,     0xc908211fU,     0x8e6e3bffU, \
    0xc436bf60U,     0xdaec1ca5U,     0x13462edcU,     0x6edaf19dU, \
    0x1e1fbac3U,     0x3d2431d4U,     0xd7a8648aU,     0x60ce3514U, \
    0x3f28f001U,     0xca16dc9bU,     0x0e98d95fU,     0xce773351U, \
    0xd4bb0016U,     0x815831cfU,     0x60fd57f9U,     0x5dbfcd1cU, \
    0xd7bf1ae3U,     0xbc50d6adU,     0x513e0547U,     0x55b1f92fU, \
    0x9098c79eU,     0xc32e9f4eU,     0xe0909979U,     0x2fd860bfU, \
    0x8655c8abU,     0x2774f3a3U,     0x89c6ea31U,     0xc0f333eaU, \
    0x581fcf6fU,     0x0c4efed6U,     0x00340daeU,     0xaf8bbd1fU, \
    0x7835d6ecU,     0x3aa07a01U,     0xa25b806cU,     0xce4ba238U, \
    0xdc9a35dbU,     0xf1d80aa4U,     0x09dd2ca3U,     0x372e7a5bU, \
    0xdb59597fU,     0x59d49fd8U,     0xbf1a62c9U,     0xffef61e6U, \
    0xbf566d08U,     0xd1f5f6abU,     0xd0117bb2U,     0x7ba517f4U, \
    0x328c2506U,     0x7082ebefU,     0x2c2042e1U,     0xd3c19d88U, \
    0x47f4d8d2U,     0xa8c36d9bU,     0x858eb080U,     0x8f61a8ddU, \
    0x1e4f1ba4U,     0x1c220819U,     0x119bb7d8U,     0xcf7adc24U, \
    0x1bd01a45U,     0x6b224c34U,     0x88aa752cU,     0xb5752207U, \
    0x384b0f2bU,     0x852d4268U,     0x28fc6cf2U,     0xaab0daf3U, \
    0xa2f874ceU,     0x6d90443bU,     0xacfb572aU,     0x7ea169e0U, \
    0xd2355a01U,     0xe8465c9bU,     0x4fec8e79U,     0xff9036f1U, \
    0x917c690aU,     0x6a0cba77U,     0x7bf786c8U,     0x6fd6282cU, \
    0xc8e168acU,     0x314b8d48U,     0x97c00e22U,     0x70873a49U, \
    0x6d0acb6dU,     0xe4d1ef07U,     0x8f1c0452U,     0x8c1e5d67U, \
    0xf0290711U,     0xee854c06U,     0x6139142eU,     0xfd7a45ecU, \
    0x2b210991U,     0x7dfc2b7cU,     0xae39652bU,     0xce33c515U, \
    0x958b4477U,     0xd75826b7U,     0xaffc63e5U,     0x306fada1U, \
    0x1af38c98U,     0x1cfae9e7U,     0x45f42e5aU,     0x840bf09aU, \
    0x9e770793U,     0x2b40be7dU,     0x64733f9eU,     0xcbc7b999U, \
    0x0719ea20U,     0x7a7d067cU,     0x31cec901U,     0x9f31e8a8U, \
    0x7accb918U,     0x682a71fcU,     0x022d9b12U,     0x56adcca0U, \
    0xbd2cd2baU,     0x5b4e9e94U,     0x5a18a65cU,     0x23834c8dU, \
    0x26a44a8dU,     0x465302baU,     0x3b501a35U,     0x65cd29ffU, \
    0xa8f250beU,     0x2ee0c71bU,     0xf7ae265eU,     0x2f84cd83U, \
    0x64cedde6U,     0xef105948U,     0xaf4ad54aU,     0x5fcdf5dbU, \
    0xf47f6ab0U,     0x8e64473aU,     0xd783eb85U,     0xcea17760U, \
    0xa48db3d8U,     0x0bc2f78eU,     0x414c7eb7U,     0x3cd52ab4U, \
    0x738ccc41U,     0xa1e47dedU,     0x0e62e80cU,     0x236e2b0fU, \
    0x997cac76U,     0xd8da7dffU,     0xa5524aeeU,     0x41a7233dU, \
    0x2746bf4fU,     0x8862f2d6U,     0x830f0423U,     0xfeb0e941U, \
    0x4918f418U,     0x691b2d36U,     0x3696804bU,     0x53f68c65U, \
    0xdcd1819dU,     0x914ef3f9U,     0x57da2263U,     0x8c5b5341U, \
    0x2654c7f9U,     0x3c7f1a16U,     0x1e4b14f7U,     0xa34843e5U, \
    0x9df07546U,     0x95803899U,     0x59db97e0U,     0x1b4968b3U, \
    0x80203bd9U,     0xabb06f85U,     0xe06b056eU,     0x2ee0b06eU, \
    0x361abcc8U,     0xc463656bU,     0xf05bf2c0U,     0x9b1d7810U, \
    0x29a655edU,     0x1ca1e984U,     0x96891489U,     0xff080714U, \
    0x998b42ebU,     0x7fe14108U,     0xcc358b85U,     0x9c985a69U, \
    0x39c2a954U,     0x1840d4d0U,     0x9d372ae1U,     0x4468167eU, \
    0xb23575e7U,     0xa394a81bU,     0xc8432241U,     0x5d703082U, \
    0x77c474e4U,     0x6a8ec939U,     0x96c2f2ffU,     0xbec1cd72U, \
    0xea323bf7U,     0xb3f100c6U,     0x8ef73c73U,     0xf7bf5a64U, \
    0xac158ea9U,     0x70e3b2c2U,     0x72e826d5U,     0x4d0807d4U, \
    0x476e8564U,     0x7d3b3238U,     0x10358883U,     0xce70b112U, \
    0x1ed15644U,     0x89db34e8U,     0xc19cb919U,     0x60584de0U, \
    0x642974afU,     0x5306ab12U,     0xb20d2336U,     0xfa98dcb1U, \
    0x48fbbab5U,     0x1dab4671U,     0x2a540d05U,     0x2d8c34c2U, \
    0x0555b72bU,     0xf9113e0bU,     0x9ba0a887U,     0xe21af4c2U, \
    0xd536cf12U,     0x037554b4U,     0x8d01b822U,     0x4fea824dU, \
    0x5e6141e8U,     0x59c7fe97U,     0x096f9be9U,     0xe02f039cU, \
    0x2556d26fU,     0x192c79feU,     0x94f6ff64U,     0xed73f617U, \
    0x1452e832U,     0x3e080cc0U,     0x33fbe476U,     0xbb268acdU, \
    0x8cfab550U,     0xaf79e7d3U,     0x543de4c1U,     0xe267ee33U, \
    0x3e4a2c5fU,     0x886e404cU,     0xa9011188U,     0xdcdb6290U, \
    0x21bf2ad6U,     0x9ab6448cU,     0x71843b10U,     0xd9dda23bU, \
    0xff05625aU,     0x6083f409U,     0xd08bd97fU,     0x353e0c7cU, \
    0x6839d22eU,     0xeb1560aeU,     0xd6c54461U,     0xfe0ca73cU, \
    0xdc77e6b0U,     0x79e58fe5U,     0x90503212U,     0x838ae753U, \
    0xb5dfa5b3U,     0xdf5023bfU,     0x385c8d71U,     0x555e10f6U, \
    0x04e772f5U,     0x8e637a94U,     0xf14f1852U,     0x311a779fU, \
    0xcf811fedU,     0xde199beeU,     0xbf4ac1a3U,     0x9311c4dfU, \
    0x14111abdU,     0x3fca20f6U,     0x5856e5eeU,     0x8759bb12U, \
    0xb30dd395U,     0x8b4ed9caU,     0x103778adU,     0x7e097d9eU, \
    0x873c69a6U,     0x02e011e7U,     0xdc44bb15U,     0x0a6408a1U, \
    0xed7b526fU,     0x8ef9400fU,     0xe75a841fU,     0x4926a394U, \
    0xa75d96d3U,     0xf0e45217U,     0x596f2111U,     0x050b8446U, \
    0xa56cf893U,     0x4ab8cb2cU,     0x7e8ca28fU,     0xe0cf2334U, \
    0x2152095cU,     0xf7a39035U,     0xf4591f1dU,     0x38c7b5ebU, \
    0x72bf479cU,     0xafb550b3U,     0xcea08727U,     0x55d6c2fcU, \
    0x6ac94e15U,     0xe782d8b3U,     0xeba4abb0U,     0x56949853U, \
    0x96571525U,     0x5b5459efU,     0x8f380be5U,     0x9df143b1U, \
    0x61b4ac2aU,     0xe9debdb3U,     0xe015c7d8U,     0x25a92ce0U, \
    0x05016885U,     0xcc10eb88U,     0x00f9c28dU,     0x6b672baeU, \
    0xe7141efcU,     0xfe18755fU,     0xb6ba8ba2U,     0xe6e55a21U, \
    0xcbd505e5U,     0x8810cad8U,     0xbc5d9793U,     0x0ea292f7U, \
    0xa457b10dU,     0x495d2673U,     0x6d8df894U,     0x1be9b295U, \
    0xa306af15U,     0xcc1da0a1U,     0x3964e2aaU,     0x24547c35U, \
    0x6d09f181U,     0x8c288b2bU,     0x47310427U,     0xfffe979eU, \
    0x0c3669c3U,     0xb2d57126U,     0x43155be3U,     0x85881a4dU, \
    0xb9bfa810U,     0xd9c33595U,     0xb8abf3dfU,     0x23a48b28U, \
    0xd7591b19U,     0x1f904c6cU,     0x861182cdU,     0xc9a6ceadU, \
    0x91237190U,     0xc557117fU,     0x20986971U,     0x9e6d046bU, \
    0xa7699eebU,     0x49a3cf80U,     0x8cd75490U,     0x7f1af26aU, \
    0xce974cc9U,     0xa6db8061U,     0x3a07cc15U,     0xeeacaebfU, \
    0x70e7be5aU,     0xb3c43f7bU,     0x3eaba720U,     0x790e05a7U, \
    0xbad3a866U,     0x2d2012dbU,     0xeb1d553dU,     0x94552947U, \
    0xd6bcd2a1U,     0x1746ac7fU,     0xefcfbbb8U,     0xe83d9e95U, \
    0x5f4f4ad5U,     0xcb632d0cU,     0xf60b014dU,     0x59a399f6U, \
    0x08a6c9baU,     0xa81d8274U,     0x5b4ac11eU,     0x9b09fb0fU, \
    0x9d671be5U,     0x8f403841U,     0x0c563b7dU,     0x6403a0abU, \
    0x1407cb00U,     0x25c7d2cfU,     0x466713f3U,     0xf6396c12U, \
    0x20b26e4fU,     0x33805b99U,     0x6b59bd5bU,     0xa23f83f3U, \
    0x2ea0dd19U,     0xf4a3e26fU,     0x93aeea94U,     0xfc26728aU, \
    0xefc04f47U,     0x403709feU,     0xd579e571U,     0x870866f3U, \
    0x2a5e8223U,     0x5be061f7U,     0xaacf7215U,     0xa7ebca25U, \
    0x87333e40U,     0x434f365cU,     0x9e9eff16U,     0xb15b1ff7U, \
    0xe8da7da1U,     0xa4a4e8d0U,     0x6076e961U,     0x1f7daaeeU, \
    0x2eb1938dU,     0x1fcf5065U,     0x18423b63U,     0x5d9a7839U, \
    0xfdb7a28cU,     0x39ac4fdcU,     0x2cbadf7fU,     0x0624f8a1U, \
    0x65a024e6U,     0x9e991411U,     0x596a51ccU,     0x2c223568U, \
    0x40b636caU,     0xa47ba300U,     0xc70c7a55U,     0x2cd674eeU, \
    0xa1cb2e70U,     0x17a06d72U,     0xc602f892U,     0x05797478U, \
    0x7c1b2158U,     0x9d63e3aaU,     0xbc5ffbdaU,     0xac221eccU, \
    0xf21e56d4U,     0x1a584194U,     0x0075e8fbU,     0xb0933798U, \
    0x6722643aU,     0xbdf989ceU,     0x2c13f8afU,     0x250a0ac6U, \
    0x6bb44636U,     0xcdb21e5aU,     0x2a91f9d2U,     0xee2f1fc2U, \
    0xea8a8973U,     0x223fb136U,     0xac69008dU,     0x0387cee8U, \
    0x4c22fe26U,     0x678e1281U,     0xbba8f995U,     0xf7145aedU, \
    0x5abfc2cfU,     0xea869cb4U,     0xa99a839cU,     0xaf89668fU, \
    0x1c4fc313U,     0x62ebbf58U,     0x8c1f0de8U,     0xb435d8b1U, \
    0xfd0061d1U,     0x87bc6b76U,     0xe1ea79aeU,     0xa6e3944aU, \
    0x186bf2a8U,     0x605d4c1dU,     0xa6ff883bU,     0x52517aeeU, \
    0x164559a7U,     0xad1fdc2cU,     0xf5803990U,     0x9e7c80f9U, \
    0xd3ea2cf7U,     0xc0536d32U,     0x0dc7cbe9U,     0x6ea402aeU, \
    0x564bfdaeU,     0xbcd9f6ceU,     0xc570ed41U,     0x48814230U, \
    0x3e92b807U,     0xa9509e64U,     0x5d04d96aU,     0x34aebff9U, \
    0x17cceef4U,     0x5a20b62cU,     0x476ae7deU,     0xcdf2799cU, \
    0x1a3a1312U,     0xbb67f569U,     0x9cacfb07U,     0xa5c96fcdU, \
    0x77734f20U,     0xdf67dd90U,     0xf358f45aU,     0xe66871c2U, \
    0x16e1ab90U,     0xc9f0ff06U,     0x1490acc7U,     0xbb2b4f01U, \
    0xcb94709bU,     0x8e862a99U,     0x5f2e44aaU,     0x97a9f057U, \
    0xd91d76e2U,     0x419af578U,     0xcdd3d2f9U,     0xd89aa962U, \
    0x0808e7faU,     0x7316193bU,     0x350c0279U,     0x58dddc69U, \
    0x21bbb664U,     0x8b8b9267U,     0x4aa8c242U,     0xb320d5a2U, \
    0x0b924b19U,     0xb1cbe809U,     0x59cc7740U,     0xc845eab5U, \
    0xa46efdafU,     0xbc716e32U,     0xea4d7eb2U,     0x01700439U, \
    0x3eec9c1eU,     0xf84d7e39U,     0xbfe89e64U,     0xe3d7fdfbU, \
    0x7ee5daecU,     0x37234db1U,     0x9f3d4b4fU,     0xe4514e82U, \
    0x7fed8694U,     0xbe7ef5f3U,     0xfc824438U,     0x47518aa2U, \
    0x536cd4a5U,     0xa734c9b8U,     0x4336e6f5U,     0x1b905ee3U, \
    0xdd90d025U,     0xac9b1798U,     0x5d6a566fU,     0xa6fe1d07U, \
    0x9b2310c8U,     0x20f2a851U,     0x72cf8730U,     0xc9807919U, \
    0x6d225f8aU,     0x3659044aU,     0xd9941a67U,     0xa4792105U, \
    0x1e7b75abU,     0xccca4fa9U,     0xbe4642afU,     0xb07ffd87U, \
    0xcffd0eaaU,     0xa0d9d198U,     0x59628f06U,     0xeddf1f11U, \
    0xbba04b2fU,     0xbfcc8979U,     0x58fd42cbU,     0x82988920U, \
    0x7aa2a8a1U,     0x89ca8476U,     0xd4f852b0U,     0x6eb998fcU, \
    0x7de5cc0fU,     0x4aca6ca5U,     0xd2dbcc0cU,     0x496ba6ceU, \
    0x6c8f02a0U,     0xbeb4af70U,     0x3be33934U,     0x6787e775U, \
    0xb7120d7fU,     0x0965a07bU,     0xf805cc56U,     0x2f0fa775U, \
    0x12654bf8U,     0xe670b66aU,     0x0e8b53c8U,     0x5f24945fU, \
    0x833707e4U,     0xfa03cd90U,     0x49d417ccU,     0xc1e15405U, \
    0x472bb771U,     0xec84c5b1U,     0x626d6accU,     0x842324acU, \
    0xb3f4625cU,     0xdcdbee4bU,     0x097557ccU,     0xb0a0038aU, \
    0x15874379U,     0xbffab21dU,     0xcfb40341U,     0x1fdaecc8U, \
    0xb0a0bd22U,     0xf970b9e4U,     0xa7552210U,     0x73c63818U, \
    0xcf5ab8d5U,     0xe223aa32U,     0x20396e75U,     0xb66898cbU, \
    0x6f77588aU,     0xef321d9eU,     0x7d699484U,     0x564eb54eU, \
    0x8f59d352U,     0x679fba19U,     0x33700681U,     0x8bafe1e4U, \
    0xe70012c0U,     0xfd8fff6aU,     0xeaa2575aU,     0x24712454U, \
    0xc7d4daf7U,     0x1c051dffU,     0x1abcdbadU,     0xde1c9805U, \
    0x83c47f5bU,     0xddf09dc3U,     0x90812d56U,     0x3cd9e12dU, \
    0x27e3666bU,     0x79e55ed8U,     0xeff31c1dU,     0x5aeb8693U, \
    0x69dd5166U,     0x18679ea0U,     0xf00b1c0aU,     0xc7b98f73U, \
    0xafccb864U,     0x6521e5eeU,     0x04a799c3U,     0x8377673bU, \
    0xd314643dU,     0x0c38e61eU,     0x8fad2c0dU,     0x0ac8cbc5U, \
    0x96320b89U,     0x09900e55U,     0xe3b9654aU,     0x43587459U, \
    0xdd1af8a2U,     0x6cf3dd95U,     0xe0e9d5f2U,     0x7b2a4079U, \
    0xd319eb42U,     0x2d8a3c84U,     0x2585191cU,     0xb7938597U, \
    0x37d0c610U,     0xcd28cdabU,     0x6756e93cU,     0xe52942ddU, \
    0xd8a78142U,     0x12662d72U,     0xe07424f1U,     0x8e9bbf8fU, \
    0x462e4c2eU,     0xdfd77fd2U,     0xfbfdc83aU,     0x500c8f0cU, \
    0x7821b116U,     0x1b2a13a6U,     0x1c438324U,     0x4e925e45U, \
    0xcf60fb44U,     0x1da30589U,     0xe53e05abU,     0xe30e6b8eU, \
    0xa6fd22f7U,     0x05c9347cU,     0x1373761aU,     0xddbee72bU, \
    0x57163acfU,     0xed47fe3aU,     0xe4acdeb2U,     0x6103e988U, \
    0x0d6ad68cU,     0xebf4b916U,     0x0f53552fU,     0x7f243359U, \
    0xf9dcf44dU,     0x75b78ea0U,     0x76da7440U,     0xc49e3f24U, \
    0xeee4cc08U,     0x5ac80a48U,     0x71de3f59U,     0x6f9aafbdU, \
    0x033351b0U,     0xe5cff63cU,     0x5829c83fU,     0x43fe00e3U, \
    0xebc77470U,     0xe1a406b0U,     0xef2df105U,     0x775efd76U, \
    0xfd222f2aU,     0xba3f2498U,     0x8d59af81U,     0x01f7c5a2U, \
    0x33dc04aeU,     0x7bfb604dU,     0xd424224fU,     0x19491057U, \
    0xda610965U,     0x5de29312U,     0x884b4be7U,     0x109ca59cU, \
    0x603cb34bU,     0x923eb081U,     0x09a1d9d2U,     0x1cae8026U, \
    0x0ced9c74U,     0xdc37621cU,     0x210614dfU,     0xfd9cc27cU, \
    0xabe0a99fU,     0x4abf077eU,     0x3f912176U,     0x00e63973U, \
    0x4c8b3086U,     0x32762841U,     0xe8d8da67U,     0x645c9937U, \
    0xaa311e66U,     0x54715f69U,     0x03735defU,     0xa751cde7U, \
    0x80c17dd8U,     0xf3f6816aU,     0xca598017U,     0x391ba2b1U, \
    0x91ad26a1U,     0x8f0f3ab8U,     0xa8ad85e9U,     0xc9c22ce0U, \
    0xab3eeae1U,     0xa78e5850U,     0x1492d4b4U,     0xb89083aaU, \
    0xada09384U,     0xef59bf89U,     0x3753ff09U,     0x4bb6cffcU, \
    0x26d66b06U,     0x973bc78eU,     0x5fe4fc39U,     0x085922f2U, \
    0x643e56fcU,     0xf5c2887fU,     0x8819a325U,     0xd5fc3158U, \
    0x59221c6aU,     0xc572634cU,     0xd9c79b7aU,     0xa0e4cf99U, \
    0x0485a30aU,     0x6e01b634U,     0x06e61e53U,     0x61934dfcU, \
    0x1fca83e5U,     0x0b3e0e46U,     0x216ef775U,     0x72c7c03cU, \
    0xe98dbb5aU,     0xb999a544U,     0x650a9a1eU,     0x0e5b96e8U, \
    0xab39a119U,     0x060d8c42U,     0x4eeb7eb7U,     0xa38f05aaU, \
    0x5028f5a2U,     0x96534502U,     0x85100d3aU,     0x53899136U, \
    0x7ee8ebfeU,     0xcc577b85U,     0xfb843d11U,     0x739b7c0dU, \
    0x139937abU,     0x88673642U,     0x322f9ceeU,     0x36cf727fU, \
    0x8605a424U,     0x5c64ad15U,     0xcabcdf03U,     0xfaed4512U, \
    0xeaa151f1U,     0x9e30c69aU,     0xeb0ed5f7U,     0x65a78679U, \
    0x1f657d96U,     0x303eb01aU,     0xa7a49e1bU,     0xf1b6a345U, \
    0x02acddf9U,     0x03b49dcaU,     0xd609ade2U,     0xc7ba9e5bU, \
    0x3ecd7ac7U,     0x398ad150U,     0x905c8ad9U,     0x71b17ab9U, \
    0x6359d0f8U,     0x81767254U,     0x66fd132cU,     0x639260cdU, \
    0x1abcc12cU,     0x7e23d8e4U,     0x29600786U,     0xd68ea329U, \
    0xe35943adU,     0x9f608d4bU,     0xcca3b8a2U,     0x4ed283ccU, \
    0xb3154fa5U,     0x5d2405fbU,     0xb6446e6cU,     0x46a99fa6U, \
    0x4075c115U,     0x63fa56c8U,     0x49ff2c9eU,     0x50c4ca05U, \
    0x1af0e181U,     0xfa98b371U,     0xf4c1e782U,     0x341d54a2U, \
    0x09172955U,     0x8b4c9d95U,     0xf965a1e2U,     0x9ca70187U, \
    0x14385c8fU,     0x7bb4fd44U,     0xca7035e0U,     0x5b88f96fU, \
    0x0d45ed43U,     0xfc717594U,     0x575ff308U,     0x0f0024aaU, \
    0x3964ed03U,     0xd1d7914bU,     0x2c75031fU,     0x55737ca6U, \
    0x1922ac69U,     0x3e9bee94U,     0xcab516b5U,     0x014ae8deU, \
    0xc1370c1fU,     0x7b185890U,     0x05db969dU,     0x0d2600e9U, \
    0x6ed0edf0U,     0xfe303918U,     0x06fb54f3U,     0xdeb700caU, \
    0xa85dc1d3U,     0x6d49451dU,     0x910fb95cU,     0x91b20bf9U, \
    0x553be0dbU,     0xcb9b18c5U,     0xfbf9477aU,     0x91b34febU, \
    0x52879747U,     0x0fd77bc0U,     0xc2f287fdU,     0x1dae898fU, \
    0x09bcfa97U,     0xf57c6439U,     0x0d4509f7U,     0x7170204fU, \
    0xbde80ceeU,     0x9f0d9018U,     0x229eeee3U,     0x8b4044cbU, \
    0xde88c0d1U,     0x62155a1dU,     0x6771f6cfU,     0x79589ebcU, \
    0x46ad64e5U,     0xcc27cb65U,     0x68bbef0fU,     0x5035d9a4U, \
    0x863e1768U,     0xbaf5d4d5U,     0xe3d2a7ccU,     0x26069fd0U, \
    0xfe6ef8c0U,     0xbe57a153U,     0x737a4170U,     0xdbfc76baU, \
    0xa98d680bU,     0x5385a051U,     0x5b5bab25U,     0x1564974dU, \
    0x785b77c3U,     0xbebd2f40U,     0xcb520c40U,     0x64323627U, \
    0xb5d84369U,     0xee25b83dU,     0xcab3bcaaU,     0x32376007U, \
    0xa04aa6d6U,     0x25b8e8b0U,     0xf9b1a94dU,     0xc7a74ab7U, \
    0x8b3f8705U,     0x121f0596U,     0x0f147331U,     0x70ea114aU, \
    0xc89d242eU,     0x10874362U,     0xbb8800b3U,     0x1858ef9fU, \
    0xada0487cU,     0x12c2d156U,     0xb35925a3U,     0x4d2b5f76U, \
    0xdf72ff12U,     0x5705d5feU,     0x8fa3e517U,     0x1b8a0d7fU, \
    0x5e4b9c4bU,     0xa787d607U,     0xa85e6a93U,     0xc2ad8751U, \
    0x916e0ba1U,     0x19be583eU,     0x92cb61afU,     0x1f921203U, \
    0x081a5903U,     0xb17b0caeU,     0x84464210U,     0x84070e4cU, \
    0xd1be39e3U,     0x4144c8d7U,     0x5a228447U,     0x18d32aa4U, \
    0x060f9015U,     0xc354b1a7U,     0xea1ae0b9U,     0x90d8f8cdU, \
    0x17ccc171U,     0x225687a6U,     0xd705b490U,     0xdf8bed44U, \
    0x2a45e709U,     0x0cb91aadU,     0xf8128fe5U,     0x4c22ddf8U, \
    0x15d5ab0eU,     0x4e331e5bU,     0x34ed89aeU,     0xf073c61dU, \
    0x90d684a9U,     0x01c1da23U,     0x7e3d2895U,     0xd9ef9538U, \
    0xa53d2d31U,     0x34b44f14U,     0x2aff6c4bU,     0x706239e8U, \
    0x6c3fa6f6U,     0x8794ccdcU,     0x8e93e599U,     0xc41441cbU, \
    0x740a2932U,     0x8d5ab53eU,     0x0eba6a70U,     0xb503f323U, \
    0x62888e3cU,     0x9e5dc2b7U,     0x72467683U,     0x9c48e915U, \
    0x44a85945U,     0x2985fa63U,     0x3e192170U,     0x67c57403U, \
    0x3962890fU,     0x68ec7962U,     0xe0e306aaU,     0xe743ad4dU, \
    0x9bde065bU,     0x5e260247U,     0x0deb1615U,     0xe1a40618U, \
    0xd5fade3cU,     0x8a8e6e20U,     0xd253c77eU,     0xf2a162a3U, \
    0x17ca4052U,     0xd7eb0242U,     0xb2530582U,     0x53834fb0U, \
    0x1856d7d6U,     0xad1b1703U,     0xc0023b1aU,     0xf1a701a4U, \
    0x07b0257eU,     0x99d2cb7dU,     0xfd66f2e0U,     0x07884688U, \
    0x987e0a56U,     0x25f53521U,     0x30038479U,     0x56688c03U, \
    0x57f3cc82U,     0x1b0c16a1U,     0x004246bbU,     0x6e0e289bU, \
    0x10f3213cU,     0x9fb625f4U,     0x25bcb057U,     0x35353422U, \
    0x98869dedU,     0xcd71e3efU,     0x8dc8e537U,     0xbd210c51U, \
    0x16960288U,     0xa1933994U,     0x910edb08U,     0x966ca8fbU, \
    0x51a11c57U,     0x0ad89f1cU,     0xcc254579U,     0xd9d4cdcfU, \
    0x8ca9c791U,     0xc58e7258U,     0xfa9677afU,     0xbb700da5U, \
    0x6c2377c7U,     0x67f1445fU,     0xaa61bb58U,     0x17ad76a1U, \
    0x8b44aefcU,     0x029609d6U,     0x39683ab4U,     0x1138cadaU, \
    0x6ef2e558U,     0xda84aad2U,     0xcca3b195U,     0x14e85c26U, \
    0x6c7e9c95U,     0x3d8a6a91U,     0xd24238afU,     0x56429c69U, \
    0x0871fa91U,     0x144c051fU,     0x383ccbc4U,     0x2539a7ddU, \
    0x80c35e8fU,     0x6565c651U,     0x5e159967U,     0x2cd6514cU, \
    0x2370981fU,     0xd6399115U,     0xa663ecefU,     0x73a57fa1U, \
    0x2e801e04U,     0xf112ee81U,     0x279ccaa9U,     0xcbad14a9U, \
    0xfb8fd912U,     0x478fb0cbU,     0xc28c050aU,     0xa624ddabU, \
    0x34e5c1c1U,     0xa141cbb8U,     0x88207adeU,     0x67788b7aU, \
    0xf53f4ad7U,     0xc7f04c39U,     0x985fa771U,     0x9a123709U, \
    0x9f564622U,     0x3b8c56d5U,     0xda5c9af7U,     0xc4be6a15U, \
    0x999e90ceU,     0x8d6be27dU,     0xa0599a75U,     0x05c87e88U, \
    0x250b0af8U,     0xf98874faU,     0x2bbc8c92U,     0xbf55a04bU, \
    0x15f0b402U,     0x41793705U,     0x2743f126U,     0x11769bb0U, \
    0x5fa221d8U,     0x4e18d375U,     0x0d91c70eU,     0x34e863f4U, \
    0x8ff18886U,     0x6779c6cfU,     0xf7ea8db7U,     0x51950732U, \
    0xb7e53040U,     0x0e777e2bU,     0x48275b5eU,     0x15b1aab5U, \
    0x7ea9d394U,     0x1f8e316fU,     0x45ef676cU,     0xdc81114bU, \
    0xac983492U,     0x48b3bddaU,     0x3b9fadcfU,     0x78e09f07U, \
    0x543497e9U,     0x01240f92U,     0x7ef8f7b1U,     0x5fb962fbU, \
    0x6c9da28dU,     0x3c389c82U,     0x8ee6b67eU,     0xf078d55fU, \
    0xa7551874U,     0x0b68be80U,     0x48c9b84eU,     0x08691417U, \
    0x2d944a1fU,     0x43f425a2U,     0x8f76d8a5U,     0x7438610cU, \
    0x23d2c7e7U,     0x9759b833U,     0xe8f186a5U,     0x694bde59U, \
    0xc3a38436U,     0x34b8c83fU,     0xac682080U,     0xa2c7f053U, \
    0x3750ea37U,     0x5e1e8a45U,     0x71c55bcdU,     0x5abcfceeU, \
    0x2b48ea52U,     0x553fbeadU,     0xfb1a1e71U,     0x902cfa1fU, \
    0xd8d6c212U,     0xf42fabf3U,     0x68d10188U,     0x07a6ffbbU, \
    0x43e9f232U,     0x106dd4b9U,     0xbf4c399cU,     0x4c4ca95fU, \
    0x9cf74233U,     0xc045b4c6U,     0x2019748cU,     0xfe371a5cU, \
    0x5872bc8eU,     0xae4f7808U,     0x8527862fU,     0xee97dc27U, \
    0x12950b7aU,     0x89344d58U,     0x729abc9aU,     0x31aac5efU, \
    0x435f3cddU,     0xed49e4b8U,     0xc43b73a8U,     0x691eb57bU, \
    0x4d2f5c6aU,     0xbfa3ddb8U,     0x2367b8b0U,     0x0048ea77U, \
    0xb0e19509U,     0x38140014U,     0x33a67b4aU,     0xf07b64a9U, \
    0x3378e2daU,     0x5da95144U,     0x4a270782U,     0x6dd0acfdU, \
    0x1e522821U,     0xca2fa602U,     0x7d1a334eU,     0xc65f744fU, \
    0x85019a07U,     0xd08f2862U,     0x669e844eU,     0xb20a74bcU, \
    0x03677e8bU,     0xe12c62acU,     0x8531ff2eU,     0x8462314bU, \
    0x77a3432aU,     0xebd26421U,     0x81331640U,     0x96b3c73eU, \
    0x49816971U,     0xb18adad5U,     0x18e071c4U,     0xd3bf3f0cU, \
    0xcea57b34U,     0xe2f42a4aU,     0x53cb17e6U,     0xce497e64U, \
    0xc5dcaea0U,     0x538e0c87U,     0x5a37b313U,     0x2046fd1cU, \
    0x37fcdebdU,     0xfa6bf724U,     0x6c13edb1U,     0x33d2c90bU, \
    0xf242bc34U,     0x865d6e33U,     0x2fd67ffeU,     0x00d47f26U, \
    0x3cecf551U,     0x387be534U,     0x34dc0959U,     0x63357818U, \
    0x7624dcfbU,     0x4a2979e9U,     0xf476f08bU,     0xede7e824U, \
    0x3f9740bcU,     0xce6f738bU,     0x4ebf96ccU,     0x637167e8U, \
    0x53e77873U,     0x83cccc93U,     0xe30863cbU,     0x17f74dc9U, \
    0x2f34461aU,     0x8adc0a1fU,     0x0e7ba859U,     0x5e7721cdU, \
    0x3f8d149dU,     0x5ee94176U,     0xa9e158b9U,     0x67551884U, \
    0x09bad48fU,     0xe20a606eU,     0x3466f3dbU,     0xed1304cdU, \
    0x9671fbd5U,     0xb2e6298bU,     0x07e109f7U,     0xa3794e67U, \
    0x7420bc06U,     0xe0d05839U,     0x0c9b12a8U,     0x18a111acU, \
    0xd582dba0U,     0xa4bfc833U,     0x5b912bf5U,     0xa3965c1fU, \
    0x48d152d5U,     0x6c460703U,     0x27b16f50U,     0x75f6562fU, \
    0x31f339eaU,     0xfede2f8dU,     0xf3e3d31eU,     0xe8c1b091U, \
    0xfc86e8dfU,     0x94bbfefdU,     0x90c37903U,     0x1b2243beU, \
    0xccca8231U,     0x4f27763fU,     0xaf30e8e2U,     0x81ba0f3bU, \
    0x7bac41bbU,     0xd4a01620U,     0xb241c685U,     0xdd0a3f48U, \
    0x9839f31cU,     0xd5464982U,     0x2b4585d9U,     0xa4b05839U, \
    0xbbb271adU,     0xc2b33b4cU,     0x3a2dd0f2U,     0x6e820de3U, \
    0x9d05ce39U,     0xec6e1f54U,     0xe439bb45U,     0x1796be83U, \
    0x9f634d19U,     0x35934148U,     0x71ca76d5U,     0x2a0b55a4U, \
    0xb8b29087U,     0x62fa6075U,     0xab476a5fU,     0xd5532922U, \
    0x477d7a44U,     0x8b2f4ad1U,     0xa3d701e4U,     0xfab4a101U, \
    0x721337feU,     0x0e550246U,     0x87bf9d60U,     0x023ff761U, \
    0x8a73d76cU,     0x2647f84eU,     0x852dcda9U,     0x7a029cbbU, \
    0x84515c62U,     0x6e46e81fU,     0x7de3058bU,     0xe055ff3cU, \
    0x3eb2a4deU,     0x6e8c341dU,     0x3f4e4669U,     0xce3fef90U, \
    0x9e774e26U,     0xc3222c08U,     0x02112d50U,     0xbd7ce389U, \
    0x6b497840U,     0xf133b85bU,     0xfc7930bfU,     0x92bdfd2cU, \
    0xc95c69bdU,     0xf3e5014bU,     0xbdf1e0eeU,     0x7714c1c3U, \
    0xb2752032U,     0x6e65d313U,     0xe7015deaU,     0xcbc80b10U, \
    0xe95d253eU,     0xcf8692d4U,     0x20b57900U,     0x35328d5aU, \
    0x919844adU,     0x098de693U,     0xc1053a6cU,     0x1a85cfc6U, \
    0xcd2cdb88U,     0x879f8208U,     0x30549432U,     0x745b9469U, \
    0xcd66b58eU,     0x6e4a18f5U,     0xbb58ec58U,     0xa7b06ba6U, \
    0x7a806578U,     0xb5467f51U,     0x23c22d27U,     0xa297fbfcU, \
    0x7601203fU,     0xb741b8d2U,     0xbf9c2bdaU,     0xf8ff9f37U, \
    0x291a33a9U,     0x8c83983eU,     0x6f63fc70U,     0x3d55ca68U, \
    0x7250a01cU,     0xaf26245bU,     0x31af13f2U,     0x3171971aU, \
    0x7e65bae5U,     0xfadbc6e5U,     0x1dc15e9aU,     0x82da527fU, \
    0x97439fb8U,     0x05527104U,     0x79daddc1U,     0xe78ec75aU, \
    0x62e0b694U,     0x640e811cU,     0x57eba453U,     0x4a0e0818U, \
    0xc6dcdc63U,     0x22460c2dU,     0x7cdaaa68U,     0x8618392bU, \
    0x314ad662U,     0x4f746c15U,     0x9180aed5U,     0x09803523U, \
    0xb739bd99U,     0xe9a22d6eU,     0x67133504U,     0x4c0e39d8U, \
    0x3528ed90U,     0x62533b84U,     0x605426c2U,     0x63995558U, \
    0xe7903df2U,     0x897767dbU,     0xfdc1e188U,     0x09862b96U, \
    0xcbdecc5eU,     0xda7d8fedU,     0xb9856ec5U,     0x690d2765U, \
    0xe60b73a8U,     0x433dbb3cU,     0xac82598aU,     0xbb3233cdU, \
    0xff50c392U,     0x35526efaU,     0xb38d0a8eU,     0x4cbb6a98U, \
    0x4858d7caU,     0x6b5ed815U,     0x4d9b4c54U,     0x10dfc00bU, \
    0x56b6198eU,     0xe7ece294U,     0x43ae6f69U,     0xd8164121U, \
    0x1d336820U,     0xcfe18227U,     0xc513667bU,     0x15753e3bU, \
    0xdb7b1578U,     0x5d600b42U,     0x205d9acaU,     0x9a5e5530U, \
    0x1522b95dU,     0xdfd98f5eU,     0xac3d6ddaU,     0x99a08a8fU, \
    0x9ccfcbcbU,     0x9172d1b6U,     0xcaa21aa9U,     0x7a0655ecU, \
    0xb0857abfU,     0x16786df0U,     0xb946b948U,     0x3a5552ebU, \
    0x01257e48U,     0x2a10a28bU,     0x2c580271U,     0xf15cb74cU, \
    0x00038702U,     0x726ff33fU,     0x3059f13bU,     0x9600d55dU, \
    0x7fbbcd9cU,     0x4babbc2fU,     0xa4fde469U,     0xcc3c57e1U, \
    0x3ed845a6U,     0x76ce1efcU,     0x7bb30768U,     0xd080ff18U, \
    0xb526ab53U,     0x00330165U,     0x8b874705U,     0xfa3449e5U, \
    0x6e65e035U,     0xa691165cU,     0x0f07b0b4U,     0xdc3d5240U, \
    0x0892ed89U,     0x7827b6e7U,     0xa0745e12U,     0x721c455bU, \
    0xf8e06d0eU,     0x23c31ac3U,     0x9a624741U,     0x0b111ad1U, \
    0x43ee61ecU,     0x2d374182U,     0xe1e1f976U,     0x002dfbd0U, \
    0x66314c31U,     0x7ccf67a8U,     0xb3e10016U,     0xe3bcbd7fU, \
    0x48284b21U,     0x7629d73aU,     0x959e5aaaU,     0xf4c3353dU, \
    0xc1a67c99U,     0xa6f52b3bU,     0x1ee52008U,     0x9ed72b18U, \
    0x01045d5cU,     0x0c64eaf3U,     0xadcb6689U,     0x891520c3U, \
    0x7e25be4bU,     0x2a3da5eeU,     0x86cfe565U,     0x1b68013aU, \
    0x2805fd12U,     0x81cc2d54U,     0x0b660197U,     0x4e2d95fdU, \
    0x91b7126dU,     0x0501cb9bU,     0x5a13439dU,     0x33123e90U, \
    0x9df5a1b5U,     0xeb065775U,     0x0b1bc892U,     0x33444234U, \
    0x29f22d8aU,     0x8b71f37cU,     0x1317149cU,     0xd8dea7eaU, \
    0x1d244d09U,     0xe58d6205U,     0x9c89c184U,     0x870e0060U, \
    0x591948bbU,     0x434221c0U,     0xb4547148U,     0x54ebd5b3U, \
    0x44e722f7U,     0x59266d05U,     0xf205d9c3U,     0x58569174U, \
    0x199df4e9U,     0x6676e97eU,     0x9ae8a038U,     0x72017688U, \
    0x14e27297U,     0x0d33f681U,     0xc0d18364U,     0xefd0aeb0U, \
    0xd48f0344U,     0x1f0ed720U,     0x0e77ff9eU,     0xdb4ba53bU, \
    0x5114532bU,     0x2d8a780dU,     0x69468136U,     0x951ceb41U, \
    0x7c0e8215U,     0xe1056faeU,     0xfde2b28eU,     0x7340ddc9U, \
    0x31ffa9eaU,     0x671524c1U,     0x964db6daU,     0x123c21d8U, \
    0x0dbac869U,     0x43fd7d7aU,     0xa90154f7U,     0x7fab98fcU, \
    0x0d2dc217U,     0x6f1822a7U,     0xcfee5e4aU,     0xfdedfa3bU, \
    0xc923d534U,     0x64ffbf75U,     0x80370766U,     0x610f3738U, \
    0xb548ac15U,     0xbae72645U,     0x73d39bc7U,     0x61ab8b03U, \
    0x349e4d00U,     0x9a246967U,     0x6298e159U,     0x929804acU, \
    0x9f0ad838U,     0x08aafe40U,     0x8d3b6262U,     0x3363a109U, \
    0xde342febU,     0x35e3bd65U,     0x6cda43e0U,     0x7d4d3a98U, \
    0x8d0ae37eU,     0x0724d3b5U,     0x996cc2ceU,     0x889a06a7U, \
    0xda5ccd8bU,     0xca4234d8U,     0xa93c9746U,     0x19f3423bU, \
    0x02df1a01U,     0x6b9a5359U,     0x494f0aa1U,     0x530548ccU, \
    0x72799f0cU,     0x610259d6U,     0x443c6f48U,     0xc3723510U, \
    0xd54abc9eU,     0xe81552d2U,     0x806e5b92U,     0x0d1203f6U, \
    0x1816b80fU,     0x2d9af577U,     0xc5d16cd6U,     0xc635026fU, \
    0x5b159363U,     0x44a12bf7U,     0x2a994759U,     0xc6763a18U, \
    0x84cfe0b3U,     0x72211fc6U,     0x2a64fbc2U,     0x2d74ac2bU, \
    0xca27751eU,     0x381cdda9U,     0x9635cca5U,     0x5f8e55e3U, \
    0xfbb6e454U,     0xb16a934bU,     0xf2780b4bU,     0x6507fcb9U, \
    0xbad4cafbU,     0xaff22b96U,     0x05d7f1c8U,     0xae969420U, \
    0xdaa69587U,     0x73487d54U,     0xeb469d25U,     0x7f2dfb92U, \
    0x1f16dadfU,     0x4eba4a7cU,     0x0a49ed9dU,     0xbc002f31U, \
    0x94f0adb6U,     0x2335eefcU,     0xa4761dc2U,     0x72bb2c82U, \
    0xa9ce2cf9U,     0x61efdc19U,     0x0bb6440aU,     0x3a34f3ecU, \
    0xd6bd8ea0U,     0x92e6cd2dU,     0x2429aec9U,     0x44a8b3deU, \
    0x19a764fdU,     0xcc48a53dU,     0x421739e7U,     0x452692cbU, \
    0x0240608cU,     0xd4f61150U,     0x954fe39bU,     0x04258c4eU, \
    0xc793d43eU,     0x8843e0c2U,     0xa16a78cdU,     0xdf13fcf3U, \
    0x4db5a62cU,     0x20e0de3aU,     0xdd571511U,     0x6eff5cf2U, \
    0xe2927874U,     0x841a0792U,     0x8af854ecU,     0x655b5197U, \
    0x84bb7ad0U,     0xd3db4aedU,     0x7d397893U,     0xae3f65fcU, \
    0xebfdfd89U,     0x5d75c162U,     0x1a0e717cU,     0x2b742652U, \
    0x9f069e5cU,     0xe04a733aU,     0x9d955b94U,     0x01ca9a54U, \
    0x6eab621eU,     0x8fe96581U,     0x54db2334U,     0x856ef316U, \
    0x30f84c0fU,     0xf7562b47U,     0x9b2fbd1dU,     0x3b32bb1cU, \
    0xd72cb91fU,     0x8041ca8bU,     0xee5c8a70U,     0x421a1ca0U, \
    0xe5c3c8d2U,     0xa1c71c47U,     0xd89543bfU,     0xd90aa8d6U, \
    0x408d91a1U,     0xc7b71793U,     0x866b68b8U,     0x3ec9cad8U, \
    0xc9815880U,     0x2ae9a271U,     0xb330516aU,     0x90775d84U, \
    0x3d437df4U,     0xb3ec483eU,     0x119b9994U,     0x9dc32b04U, \
    0x40fc2e3bU,     0xb8087f21U,     0xf73944b9U,     0x4ae566cdU, \
    0x69704a64U,     0x0959f78cU,     0x66d2639cU,     0xbe8b82c9U, \
    0xacc315b2U,     0x69f30f5eU,     0xaa5a69daU,     0xbf87cd4aU, \
    0x9a17df53U,     0x5aa6aba2U,     0xd059b0b0U,     0x311dd95aU, \
    0xb7a2b0f6U,     0xc8ea9593U,     0xd62abc3cU,     0xe6679c9dU, \
    0x35e0c2e8U,     0xbf021f1bU,     0x3b3c8837U,     0x0aadcb47U, \
    0x46f7c773U,     0x613a1809U,     0xf2c87986U,     0x0a4a0a5eU, \
    0xe1cf353aU,     0x76738bedU,     0x8b8bebe9U,     0xe2aaea90U, \
    0x7e07ad45U,     0x9bf0102dU,     0xe5faafd0U,     0x6dd973daU, \
    0xd7c47f3fU,     0xf75c5801U,     0x83736108U,     0x38366a74U, \
    0xa35ecd57U,     0xb6f8d7e0U,     0x2a6c9b1cU,     0xab9923a2U, \
    0xe4aa86f1U,     0xaf7e9148U,     0x42e10b09U,     0x0603a5a2U, \
    0x8ea3ca41U,     0xa675f325U,     0x36e1b63bU,     0x8c79de8eU, \
    0xd1f0a9b8U,     0x265e82e1U,     0x9a62f7a3U,     0x46b84142U, \
    0x6fe34014U,     0x00f72f01U,     0xa644fd75U,     0x1f604906U, \
    0x7c0fd307U,     0x0e8787d9U,     0x0f20e1d4U,     0xf8310235U, \
    0xddd02876U,     0x3a3e0158U,     0x60ddb0c9U,     0x8040afe3U, \
    0x90f86532U,     0xe2081940U,     0x476a6d4dU,     0xfe2f6a7dU, \
    0xe074d664U,     0xe4966e44U,     0xeb734a15U,     0x950a9e07U, \
    0x6d8a9294U,     0x91a02ee7U,     0x36e7f2edU,     0x39e86b73U, \
    0xc6f2a215U,     0x0535c4f6U,     0x69af973bU,     0xa4607987U, \
    0x938abd9dU,     0xcac0faf6U,     0xc04c7bceU,     0x578cf08fU, \
    0x2d074f46U,     0xe2af3a61U,     0x57f0cf3aU,     0x225ba83aU, \
    0x63c96a2fU,     0xa51ee0ffU,     0x2f5b5c86U,     0x4bd7bc79U, \
    0x0e15ea79U,     0x0d9b8af8U,     0xbafbdf28U,     0x52bd3a28U, \
    0x86dda913U,     0xc37ab2b2U,     0x9ec93a3fU,     0x467e0eb4U, \
    0xa496adaaU,     0x14128947U,     0x4b894218U,     0xeb8fc4caU, \
    0x28035808U,     0x5f463c5cU,     0xa9f61112U,     0xb00fd8f0U, \
    0x73bca353U,     0x20a687c1U,     0x1f8afe05U,     0xedd6c6cfU, \
    0xbd52961cU,     0xf44cc3d2U,     0xeeaed2adU,     0xb2985b4fU, \
    0x50266cf8U,     0x6d60311aU,     0xedbe3da3U,     0x1ec3312aU, \
    0x2bc15601U,     0x0ea4e0f0U,     0x61fd0868U,     0x71468365U, \
    0xad811373U,     0xf6412ed7U,     0x2a59b1ebU,     0xccc62cbbU, \
    0x6d6c874cU,     0x70ef35deU,     0x512000c9U,     0x87d38562U, \
    0x2989a13eU,     0x33bcd0bdU,     0x6aa51c47U,     0xa83f3c2eU, \
    0x6f771ebbU,     0x44bce34dU,     0x411af472U,     0xf9fab925U, \
    0xef30d5c6U,     0x3c03b673U,     0x6df4ba1aU,     0xe082b009U, \
    0xfc25d049U,     0xffc28b75U,     0xf1b7fcd1U,     0x8fa6b99bU, \
    0x7ea15c29U,     0x26ebfe47U,     0x9e0d3d1fU,     0x12d43ec1U, \
    0xcf9b7f5bU,     0xe51df31eU,     0x5be50832U,     0x00e625b1U, \
    0xad1edc77U,     0xd0febf35U,     0x353a0d9eU,     0xe84d7216U, \
    0x5ba07fefU,     0xbf8b676cU,     0x84110fc0U,     0x58c8ff2eU, \
    0x4ce0611eU,     0xff0787b1U,     0x1c681b0cU,     0xc1925fc8U, \
    0xa42bc087U,     0xa26d7461U,     0x18b85bdaU,     0x0b317597U, \
    0x29cecc54U,     0xba9907feU,     0x064042fcU,     0x540e37f8U, \
    0xbae66e56U,     0x29ac502aU,     0x8df84eb5U,     0xe5036c6dU, \
    0x6d1882f3U,     0x64af8fddU,     0xf9939d9eU,     0x6664643dU, \
    0x489d2015U,     0x94527e86U,     0x9814bc63U,     0x042377ecU, \
    0x5786e436U,     0x0c0443e3U,     0x777fac9dU,     0xbaec331fU, \
    0x207a8398U,     0xdfffdb57U,     0x5c3699d8U,     0x1028a785U, \
    0x75955435U,     0x11649bd4U,     0x12db6c98U,     0x80d206ffU, \
    0xb896605cU,     0xe1a3e13bU,     0x4f8449a2U,     0x389376ffU, \
    0x5f1979bdU,     0xdd423e55U,     0x4e00b515U,     0x105cd246U, \
    0x28d19381U,     0xfb985bf6U,     0x3683b170U,     0x99ef26f7U, \
    0x8826cbadU,     0xd7141304U,     0x31af9ff2U,     0x344c4882U, \
    0x29fda920U,     0x2387564eU,     0x0148a440U,     0x2e2e7561U, \
    0x7f01c51fU,     0x3d840595U,     0x38f7e883U,     0xce632b2bU, \
    0xa1d00489U,     0x7917333cU,     0xed871d19U,     0x4ba0d4b9U, \
    0x9de7c807U,     0x18609e0cU,     0xf5879889U,     0x1ecf1f13U, \
    0x3ed18012U,     0x09dba0f9U,     0x4d067dfdU,     0x52a193bcU, \
    0xafec442dU,     0xc0d9177fU,     0xf27d50a1U,     0x5f2979f8U, \
    0x79cd529bU,     0x7916c620U,     0x2862e499U,     0xce77959fU, \
    0x6c985865U,     0x3c3ea172U,     0x8b683c65U,     0x1302e031U, \
    0xf83e47d9U,     0xfc145acbU,     0x5e39b2f1U,     0x2b3529cfU, \
    0x1f5c8868U,     0xa38452d4U,     0x0aa83fdaU,     0x3219a50cU, \
    0x1371a679U,     0x1fd37d3dU,     0xc1cc9f10U,     0x815f005fU, \
    0x3dd96d94U,     0x9645e677U,     0x8b424d71U,     0xd76853eaU, \
    0x27d3a4aaU,     0xb198a2e9U,     0xe906d98bU,     0x113d2a76U, \
    0x0d1e2e6bU,     0x44f27c23U,     0x248c2375U,     0x2d227dfdU, \
    0xb8e80ca8U,     0x37e0dd02U,     0x42c550d3U,     0xe5a40d79U, \
    0x2d02cd81U,     0x5171d37dU,     0x190e986bU,     0x3cb8a393U, \
    0x1dcc721eU,     0x39f7901bU,     0x7a0d1969U,     0xc978e581U, \
    0x44a8975cU,     0xaec73f8bU,     0xb4973562U,     0x91ae7dccU, \
    0xb6ed7f07U,     0xdcaaf1eaU,     0x302acfeeU,     0x01b3538aU, \
    0x0b9542f9U,     0x61559188U,     0x4806a458U,     0x4a6b5803U, \
    0xae0404aeU,     0xede4eea1U,     0xed0bfb05U,     0x7d7f7de6U, \
    0xfa313ef5U,     0xef17d450U,     0x904e4789U,     0x826133ffU, \
    0xc17227b6U,     0x51496badU,     0x661c841cU,     0x81312c77U, \
    0x95acba93U,     0xee241225U,     0x08413109U,     0xe92d7a3cU, \
    0xb6790d66U,     0x3513eb77U,     0xbfb6ca2aU,     0x00f2a1b1U, \
    0x439bc85fU,     0xc168b002U,     0xc6a07162U,     0xd97eeb06U, \
    0x42e886e1U,     0x759e8d9bU,     0xc9b509a6U,     0xe99bb8f4U, \
    0x8a5c6f95U,     0x58ab8d05U,     0xe3b5476fU,     0xef815dd4U, \
    0x6ce113d7U,     0x203f448aU,     0xb5d9cca0U,     0xf8a7fab0U, \
    0x6028860bU,     0x67d6e6dcU,     0x92878321U,     0x877ef8f3U, \
    0x4f921614U,     0x3564e340U,     0xab2a09d5U,     0x7c37a512U, \
    0xa3e5248dU,     0xb31d5874U,     0xb5d852b3U,     0xf6a7a519U, \
    0x7dbfbbdbU,     0xb6345beaU,     0xbb136002U,     0xbdbe14d5U, \
    0x4e9c6f30U,     0x5ef81b6cU,     0xb075e258U,     0x90f5335fU, \
    0x176f6eadU,     0x794a4a1fU,     0x159a7ce5U,     0xdf4e3727U, \
    0xe17ed21eU,     0x619a3bb4U,     0x3d037b73U,     0x866048b6U, \
    0xa9dc286cU,     0x98a56234U,     0xc1f3279dU,     0x99139c2dU, \
    0xf87a8543U,     0x9daf555aU,     0x9771dbaaU,     0x84823c06U, \
    0x7aec65bfU,     0x4bd55cc7U,     0x8258f889U,     0x127e9154U, \
    0x2fe7a49eU,     0x64a05576U,     0x3e56d5a8U,     0x0de705c3U, \
    0x7832bb08U,     0x9a949144U,     0x63ca78f7U,     0xff761814U, \
    0xf1e86339U,     0xb2b763b8U,     0xabe80444U,     0x7c1159e6U, \
    0x37424b46U,     0x7d483c70U,     0xdd3d752aU,     0x18f16d91U, \
    0xad26a70eU,     0xb20d502aU,     0xf16c404eU,     0xb8ceb13aU, \
    0x09dabcedU,     0x05bfb382U,     0x59190808U,     0xace01e5aU, \
    0x9b2291baU,     0xe0919bb6U,     0x57f2986aU,     0xd6e63abbU, \
    0xd04685c3U,     0x0d7c9f33U,     0x007a42b9U,     0xd32ca615U, \
    0x67e94dc3U,     0xd28bb857U,     0xbe505aacU,     0x9554518dU, \
    0xdb69a4d3U,     0xd928b392U,     0x2bd725b9U,     0x058e7edaU, \
    0xc8777d9fU,     0xa2bc5bf3U,     0x31c69a8bU,     0xe9adb63bU, \
    0xd361b3a1U,     0xf7cbb9caU,     0x1fcc9b4aU,     0x9ba48acdU, \
    0x931c1ad2U,     0x34a565a6U,     0x0f1d7df5U,     0x07012315U, \
    0xe48850a3U,     0x6d2f6e95U,     0x8c22ea39U,     0xa2b40ba5U, \
    0x26098a24U,     0x9006dc5dU,     0x5a997c08U,     0xb803ae64U, \
    0xa9fc4a5bU,     0x64f0222bU,     0x455e8ebbU,     0x7a3b3825U, \
    0xda5855bdU,     0x580f5996U,     0x6557a4e3U,     0x2f60f633U, \
    0x362866c8U,     0xfd20ca60U,     0x917e0b00U,     0xa9acf68dU, \
    0xef0d9d59U,     0x023934b6U,     0xff7473faU,     0xd175573eU, \
    0x3c552577U,     0x566378a5U,     0x567c11c6U,     0xf5daaf01U, \
    0xf1eb4852U,     0x8b2daa02U,     0x196f98f0U,     0xaca80f6eU, \
    0x5419d9c9U,     0xc1ec5007U,     0x85b5ff26U,     0xab11e2c4U, \
    0xbcd90a00U,     0x4879fa42U,     0xe9f009d4U,     0x7886b9faU, \
    0x35703c8fU,     0x149cd408U,     0x83f35d30U,     0xde70b065U, \
    0xb5857defU,     0x8916e01bU,     0xeb6a5a79U,     0x362dd90bU, \
    0x268296b1U,     0x5ee79ad6U,     0x87876186U,     0x7d365ad0U, \
    0xeccfc721U,     0xc2e9bdfeU,     0x21412e9dU,     0x084f7f7aU, \
    0x719cea92U,     0xbe1a4befU,     0xc67bd916U,     0x4e5f2963U, \
    0xcea28952U,     0xba40d350U,     0x6a907c49U,     0x7a35fe8bU, \
    0xc069da33U,     0x8c0237a6U,     0xc304e3f4U,     0x2d70fa70U, \
    0xdc9d6e58U,     0xc9764fafU,     0xa1f75a6eU,     0xd4368ffdU, \
    0x74119e55U,     0x6207e707U,     0xfdcbff80U,     0x9701c4caU, \
    0x4dd6332fU,     0x42101557U,     0x67b4cf60U,     0x19d6cea3U, \
    0x14fa100aU,     0xdfcbf316U,     0x6d30bfffU,     0x4f852de2U, \
    0xcbc0404aU,     0x1a18188fU,     0x77edf2eaU,     0xa99e8432U, \
    0x0021551aU,     0xc7c35501U,     0x0f2b16aeU,     0xce957094U, \
    0x63fbe340U,     0x4fa57165U,     0x84e8a2f6U,     0x7529c51fU, \
    0x2f69e44bU,     0x3a00706bU,     0x6dc594fcU,     0xc38d54cfU, \
    0xacca9c82U,     0x4b27ac2bU,     0x851ffdf5U,     0xff4f6c3eU, \
    0x574c255eU,     0xa12138beU,     0x49a89b34U,     0x0a2ebb09U, \
    0x0ae0d2bfU,     0xf42e0d92U,     0x487167c1U,     0x5a0d1affU, \
    0xdfc1fb2eU,     0x5ba15c48U,     0xa46c16a7U,     0xeabc998cU, \
    0xaaffac4eU,     0x8fa60c0fU,     0xdb241333U,     0x5cbf3347U, \
    0xa327f963U,     0xb7c51db6U,     0x1c067e52U,     0xc370b496U, \
    0x9148959aU,     0xca59ecaeU,     0x3071c3abU,     0x653bf63cU, \
    0x9655e141U,     0xadce8b39U,     0x4470fd4aU,     0x5e1d520fU, \
    0x3cd0dbceU,     0xf3242160U,     0xeca76684U,     0xf230f519U, \
    0xc70de29eU,     0xf0f7220cU,     0x40460c5dU,     0x0b9d1f90U, \
    0x94e942f3U,     0x077802b0U,     0xf429adbfU,     0xfd670df5U, \
    0x34933620U,     0x7093fc4eU,     0x2d5f0105U,     0x446208e7U, \
    0xb8e425eaU,     0x801b8118U,     0xcb30cfd4U,     0x9ac974d8U, \
    0xe2d61087U,     0xd36bfa60U,     0x213b0742U,     0x07cd5de1U, \
    0xcdb27b32U,     0x1eab38dfU,     0xad88a93fU,     0x1064ae32U, \
    0x2d533aa9U,     0xe05a6c47U,     0x276945b6U,     0x6beeb60dU, \
    0x5161884aU,     0x2dede940U,     0x0c48b502U,     0xaaddd322U, \
    0xd4632118U,     0x53e39ddcU,     0x5ffc4821U,     0x0807d4acU, \
    0xb20675d7U,     0xc4a5c8f8U,     0xb7ec4d71U,     0x994030f7U, \
    0x82d02f5eU,     0x3b6e1282U,     0x9a0669eaU,     0x18459b2fU, \
    0xb7b4aff5U,     0x8b7b1e24U,     0x7bd524b2U,     0x448a0391U, \
    0x6e462c4bU,     0x95c04d4dU,     0xa1ca485aU,     0xf0f757b5U, \
    0x95ab84aeU,     0x115b9cf8U,     0xc3afdf8bU,     0xe9e5e524U, \
    0xdb090c62U,     0xd56f0537U,     0x10e6477fU,     0xeb932836U, \
    0x17409f5aU,     0x6b5209ebU,     0xdb46bf91U,     0x1f1cd041U, \
    0x37c6ae3aU,     0x5e595e30U,     0x2a794428U,     0x05decd01U, \
    0xc2f57d37U,     0xffa56a23U,     0xd2a0c362U,     0x5a2fbb8fU, \
    0xe72d4ef6U,     0xebac87fbU,     0x44998f87U,     0x5186e5e0U, \
    0xfb4d4e73U,     0x7e7e7781U,     0x5f0c0f1dU,     0xd96a73baU, \
    0x380c77b7U,     0x1c96cc2eU,     0x9b51ce87U,     0xd246f576U, \
    0x9b17471fU,     0x14830879U,     0xa241fa43U,     0xa1121da7U, \
    0x5dedf60eU,     0x638c941bU,     0x9f153dd2U,     0xd50e3c13U, \
    0x4d46cce1U,     0x9568e6f7U,     0x55f10982U,     0x033c9571U, \
    0xe9bba4fbU,     0xd9746ea3U,     0x64025fa2U,     0x446468d8U, \
    0x33270458U,     0x044514d6U,     0x54a3804aU,     0x32c1562eU, \
    0xb8488e87U,     0x521a0e1aU,     0xceec358aU,     0x41a09e71U, \
    0xe737fe9fU,     0x1e7a26abU,     0xacb1f389U,     0x1b83ac64U, \
    0x54feade6U,     0x98d1f9acU,     0xe6c6d8eaU,     0x3684040dU, \
    0x3773e535U,     0x087d6dabU,     0x7b94f6afU,     0xc948bf9fU, \
    0xd18c1429U,     0x08088374U,     0xc776f288U,     0x53a463b8U, \
    0x7707135eU,     0x3aa7a5eeU,     0xaae125b3U,     0xe00bd687U, \
    0x1688c122U,     0x17b07ed0U,     0x22b19c39U,     0x360cc6a3U, \
    0x220bb7eaU,     0x0376a7aeU,     0xfe76a94eU,     0xfce139b2U, \
    0x95d63860U,     0x91841bb9U,     0x1eff5414U,     0xbe43a3a8U, \
    0x8fc6df15U,     0x188bd195U,     0x6bb13004U,     0x4dc85c91U, \
    0xb2b96991U,     0xb172f404U,     0xdb025721U,     0x639ed391U, \
    0xdab4d421U,     0xae9b9e1fU,     0x9cbafdebU,     0x4a4d2233U, \
    0x7860f493U,     0xe2b3cb10U,     0x09252f96U,     0xac5a40f2U, \
    0x9a5561c0U,     0x09bfd762U,     0xe084c5dcU,     0xa2939ac1U, \
    0xc23136eaU,     0xf32c80c0U,     0xbddc7e4cU,     0x8eb3b36bU, \
    0x972a3b2aU,     0x4ad17e35U,     0x539c02b3U,     0xd0682f7bU, \
    0xc81571ceU,     0x01707635U,     0x399fb4f4U,     0x2c1b1237U, \
    0x8d167381U,     0xa0c02803U,     0xc15a12a1U,     0x4fa647b9U, \
    0x4325f555U,     0x48d48c67U,     0x4a4778ffU,     0x7b1872a5U, \
    0xd72c58daU,     0x41e54bf2U,     0x3662e94bU,     0x49d6f1d7U, \
    0x29b516f3U,     0xef0de47dU,     0x11a61923U,     0xd1d90210U, \
    0x430c9c1aU,     0x592256a9U,     0x115eb65fU,     0xb4843576U, \
    0xbd156ac1U,     0xfd57ddbfU,     0x14ffde54U,     0xefcd7431U, \
    0x34f39989U,     0xe2f6049cU,     0xe7ca67ebU,     0x6fc99b21U, \
    0x9bb7a38fU,     0x1b89b291U,     0x8f58523bU,     0x88b1dbdcU, \
    0xa7da5ab9U,     0xef3afd49U,     0x519d939eU,     0x1c8dac77U, \
    0x5b31af72U,     0xfa179292U,     0x877fbb91U,     0x3cd7b80eU, \
    0x104b5e38U,     0x82352b29U,     0xac17b672U,     0x75b5ca84U, \
    0xf6297b77U,     0x6e41d3ebU,     0x07ad1607U,     0xaa564491U, \
    0x895ee2bcU,     0x9461e0a7U,     0x7e8ea681U,     0xde2bc95bU, \
    0x63f55d30U,     0x96a788bcU,     0x3f6fcdccU,     0x670ccf6fU, \
    0xab2df5fcU,     0xc27c8686U,     0x262fcb5eU,     0x48c38478U, \
    0x86d0b639U,     0xc4dea275U,     0x624bf21fU,     0xaac433ecU, \
    0x7177ad40U,     0xb930b20eU,     0x8c1ff3bbU,     0x14d5ef90U, \
    0x7fd7379bU,     0x67f3d504U,     0xdd768324U,     0x6bf296d5U, \
    0xf9a2d79eU,     0x24b74749U,     0x615594f4U,     0x326b9a9cU, \
    0x9b2f93e1U,     0xe4c0cf35U,     0x70f1f9cbU,     0xc4168c16U, \
    0x30615535U,     0x5e0dcae5U,     0x8d8bc1d6U,     0xb2726e51U, \
    0x6b32e52fU,     0xa263b780U,     0x1ba51ca1U,     0xb51c6f68U, \
    0x80c2f704U,     0xd3c2f6e5U,     0x63dcde0eU,     0xe4a7c395U, \
    0xd1f749e5U,     0xd0cb73ecU,     0x7bf466d7U,     0x54456166U, \
    0xf3504688U,     0x4226ecbbU,     0x459a0c62U,     0xabcb6968U, \
    0x80d703eaU,     0x6310e005U,     0xe1921012U,     0xdfaecf6bU, \
    0x6208f085U,     0xef2d509eU,     0xd74210baU,     0x4fe2c7f6U, \
    0x204bb8d5U,     0xba6dc9baU,     0xf84e0cb5U,     0xcc80f516U, \
    0x3e424293U,     0x32fc649eU,     0xb596426fU,     0x9cefd6b3U, \
    0x26d4b016U,     0x4c2e2f9aU,     0x6920356cU,     0xaa58e534U, \
    0xcf67e528U,     0x8f21c659U,     0x8d6871a4U,     0x5670a06fU, \
    0x3d3d0c19U,     0xfb4c23eeU,     0x40d7367aU,     0x6023df99U, \
    0x15545f8eU,     0x24c6401eU,     0x1ded7e83U,     0xa74c1c76U, \
    0x6cec324fU,     0x8543ecebU,     0x89d8f0b3U,     0xd1e092e5U, \
    0x6a9865d0U,     0x72bd13a3U,     0xda3998d3U,     0x83e33a9dU, \
    0x64faf5d5U,     0x14bc7da7U,     0x7e649b7aU,     0x92ef4115U, \
    0x9f5f07dbU,     0x9dcd380fU,     0xa245d458U,     0x4a1e731eU, \
    0xff7733eaU,     0xd48cf063U,     0x85399c94U,     0x9ed400ebU, \
    0x551ea3a3U,     0x80ef7ef4U,     0xb0e18b71U,     0x349a393eU, \
    0xfb2939c8U,     0x524b9213U,     0x032d545dU,     0x0a12aa82U, \
    0x5598ab8aU,     0x6307e9faU,     0x72aec9a6U,     0x1c2ca8adU, \
    0x1a5d5ae9U,     0x06945903U,     0x0d7d2264U,     0xe98c6041U, \
    0x72978571U,     0x1459b57bU,     0xaec36546U,     0x68c16577U, \
    0xf5b791e3U,     0x9beaa5ecU,     0xc21e55d3U,     0xec701a41U, \
    0x1a08cb2dU,     0xf008a7fcU,     0x9915f020U,     0x23ecd351U, \
    0x28dc7059U,     0x6e37ee84U,     0x9311a4d7U,     0xdc95fc72U, \
    0x01aed54bU,     0x8ccaabd5U,     0x92dc7332U,     0xfb207dcfU, \
    0x6cc7397bU,     0xd8237a86U,     0x86f19ab7U,     0x6ed99581U, \
    0xceaf5702U,     0xaabea742U,     0xd5aeb06aU,     0x7d18b677U, \
    0xed97d11cU,     0x1bb5828cU,     0x30c77a7aU,     0xd642ee67U, \
    0x5e18bb40U,     0x9d39b0feU,     0x8ddbd807U,     0x61516e23U, \
    0xfe3a5211U,     0x80edc400U,     0x20589582U,     0xc3eff864U, \
    0xaf9692d8U,     0x3b28c675U,     0xecf9f6abU,     0x771b27f1U, \
    0x1a1f35a6U,     0x2d7b8484U,     0x71261f30U,     0xd55959e7U, \
    0x711f7246U,     0x432e972cU,     0x89db270aU,     0xa93fcc46U, \
    0x0d9d22deU,     0x91fdcf13U,     0xc307db06U,     0x6532fe33U, \
    0x375fd75fU,     0xff87b39cU,     0xfaf878d0U,     0xb7f5a6e0U, \
    0x4da6965aU,     0x73db98f0U,     0x08db05f3U,     0x75d070a0U, \
    0xbfd4521aU,     0x858cae0fU,     0x636287ecU,     0x287af9beU, \
    0x86346113U,     0x27cfa799U,     0xab653a73U,     0xcf3bd792U, \
    0x79368502U,     0xd87098c6U,     0x9dd3914aU,     0xad7b1509U, \
    0x6e420a8fU,     0x568af576U,     0xc9eb3ee7U,     0xcf9a0f3aU, \
    0x9d9be22aU,     0xc8993f9dU,     0x399ec570U,     0x278e6205U, \
    0x3da82306U,     0x3c7d395bU,     0xf383a46fU,     0x64e1ed15U, \
    0x5b913e48U,     0x8a4b267dU,     0x720fb408U,     0xb0bba3dfU, \
    0x7142129aU,     0x925ae571U,     0x63961de1U,     0x416ca16bU, \
    0xddec34f5U,     0x0e05bec3U,     0x0e9a0050U,     0x20e1b7c5U, \
    0x3fbec358U,     0x6b0bd0f2U,     0x257b9af8U,     0x56224b72U, \
    0xa1e0e3ceU,     0x7d229320U,     0x50782abdU,     0x905ba372U, \
    0x6a5df19bU,     0x334042b9U,     0x0aa23797U,     0x498571f5U, \
    0xf2dc604bU,     0x44ac9c82U,     0x1cd951c5U,     0x498c134fU, \
    0x9500c32fU,     0x5b686088U,     0xfa2d40d6U,     0x8332710cU, \
    0xa41bff29U,     0xca821bfeU,     0x860cb916U,     0xcc89f964U, \
    0x9b6055bdU,     0xe5808c22U,     0xaf2f9e8aU,     0x347e21ebU, \
    0xa76325adU,     0x6322f26cU,     0xe0390fd5U,     0x298a04b7U, \
    0x2d0082bbU,     0xbc74d764U,     0x81862750U,     0xb98dcf4aU, \
    0x6a59370bU,     0x93a9fbdbU,     0x7edc4ca8U,     0xd1aad8c2U, \
    0x5f8e979dU,     0xa457ddc4U,     0x40ef93feU,     0x3467759eU, \
    0xc53e5508U,     0x76fe0e29U,     0x3c5617c6U,     0x29bbcf25U, \
    0x400700dbU,     0xaba02940U,     0x0b0b0d36U,     0xbf5afd4cU, \
    0x40cbafe4U,     0x5c3f8882U,     0x186a2719U,     0x8a0465e3U, \
    0x239d67eeU,     0x73a8c2abU,     0x12eba156U,     0xb430130cU, \
    0x0a503f18U,     0xd2be2e5aU,     0xbd161570U,     0x656c5aa9U, \
    0x3ff5c2bcU,     0xe6724c7fU,     0xeb5abb9bU,     0x9a0b23bcU, \
    0x63d51db3U,     0xfe3b4cf3U,     0x31584c5fU,     0x428bf09dU, \
    0xa90d3060U,     0x57288e3bU,     0xbf9d37a5U,     0x3b6160a3U, \
    0x20fca22bU,     0x0c82895eU,     0xa5da548eU,     0xe4ce65c1U, \
    0x2a294af5U,     0xef3b96d1U,     0xe4dbf00bU,     0xff9c827cU, \
    0x0f5cf9acU,     0x8b17d873U,     0xa49f2109U,     0xc5c96b47U, \
    0xa054b61bU,     0x58f476bfU,     0xf9260145U,     0xd76dd918U, \
    0x511ca30fU,     0xd905bccbU,     0x7ea42229U,     0x00db7d98U, \
    0x7e9461caU,     0xf7e53c5dU,     0xba5be175U,     0xf468ad73U, \
    0xdf343ee5U,     0x846a97a3U,     0xcca596b6U,     0x5eb322c1U, \
    0xd8d04055U,     0xec8eb000U,     0x467828f1U,     0xde5cae27U, \
    0xb731579fU,     0xea682a87U,     0x64752010U,     0xa3390717U, \
    0x5c5d4992U,     0x4112a593U,     0x843110c6U,     0x903bdc6aU, \
    0x6fd125a5U,     0x0fea161dU,     0x1f67132fU,     0x5a75ea3fU, \
    0x6593bfd7U,     0xfea02bb2U,     0x96f81f37U,     0xcf974844U, \
    0xed1f1110U,     0x08b848d9U,     0x6bf69399U,     0xc1b4a388U, \
    0xc7569041U,     0xeb33a3ddU,     0xe61e2c19U,     0xaacf70deU, \
    0xa702dc11U,     0x76a15fbfU,     0xa259a3caU,     0x9c98b82fU, \
    0x7a5bb4d5U,     0x52e5de24U,     0xc15efb14U,     0x46059d15U, \
    0x3b710f11U,     0xbd3dc5f4U,     0x1dc10f76U,     0xd48bbc16U, \
    0x0e7a2df3U,     0xe59153bfU,     0x2593bae3U,     0x8ca0957dU, \
    0xb579b7eaU,     0x6c662e87U,     0x08873c06U,     0x02811301U, \
    0xab5bde26U,     0xb09c8ba8U,     0xd3c061f4U,     0xb582eb4fU, \
    0x2b1b38d3U,     0xeb0afee1U,     0x617ee107U,     0x5878dae1U, \
    0x16e45c57U,     0xb35416fbU,     0xbedf8916U,     0xa45bf5a8U, \
    0xa3b258a5U,     0xad06d4e7U,     0x4fa2fca0U,     0x3e83d62dU, \
    0xadc5f17fU,     0x15e81c17U,     0x18d2a977U,     0x29e1257fU, \
    0x01f63631U,     0xea6acdbcU,     0x0db730a4U,     0x2fb30402U, \
    0xc1dafbaeU,     0x062a453cU,     0x631629cbU,     0xd7444ad3U, \
    0x75f38e93U,     0x94aa07e5U,     0x7f4cd963U,     0x18dab8acU, \
    0x4428f52bU,     0xa0d4a8f6U,     0xdb2b8e59U,     0x64ff9618U, \
    0x49690464U,     0x5b04cd75U,     0x786d6a8bU,     0x17b034bbU, \
    0x31e6db8dU,     0x9a7ba186U,     0x9dc9cdf3U,     0xca87616cU, \
    0xb986fc13U,     0x25723be8U,     0xbaee6c02U,     0x33cece94U, \
    0x08329526U,     0x9620c649U,     0x2441fc1fU,     0x497230beU, \
    0xa6460ee6U,     0x27cc4735U,     0x2090121aU,     0x7c51837bU, \
    0x5286747cU,     0x1ac1bd17U,     0xc22c8b80U,     0x7e9c53edU, \
    0xc7368524U,     0x3e6b4fd7U,     0x671bd08eU,     0xa2492680U, \
    0xef9855eaU,     0x49f838eaU,     0x4bf1f71fU,     0x06bbb794U, \
    0x31ed9cd7U,     0x41f5b8e6U,     0x615a7607U,     0x795d23ecU, \
    0x27e45192U,     0x5c08a3eaU,     0x012b53ffU,     0x01d24b1eU, \
    0xb87e82dfU,     0x6d3e8236U,     0xf93be38dU,     0x23225611U, \
    0x15200941U,     0x9c33d86dU,     0xcf398ea2U,     0xadb4a80fU, \
    0x31aca1f6U,     0x4ce4ba83U,     0x73320f1fU,     0x0f21db3cU, \
    0xe159f8cdU,     0xfaf313a4U,     0xb3660ad2U,     0x479154c2U, \
    0xfff830ebU,     0x19995dd5U,     0x30568660U,     0x05a064d9U, \
    0x9e57e189U,     0xc0fcecc4U,     0x68e8d6e0U,     0x1777257bU, \
    0x5d847d2bU,     0xce364e59U,     0xc2b66c85U,     0x98e3a2e5U, \
    0xa94599d0U,     0x73bcd9dfU,     0x901ee76cU,     0x476a35fdU, \
    0x5f6fbb9fU,     0xc12d9838U,     0x644b7992U,     0x754e6665U, \
    0xfe8433a9U,     0x76566701U,     0x1c413d5cU,     0x513177acU, \
    0x0fb08c93U,     0x8043c0e7U,     0x758e8b54U,     0x93c713e3U, \
    0xb411f4f8U,     0x0923f255U,     0x0be5f40dU,     0x0ff5d65aU, \
    0xbd4cb1c3U,     0xdc924444U,     0xb717f54bU,     0x95e35448U, \
    0x4e28f545U,     0x451aed1bU,     0xe98417d9U,     0xe7de49ebU, \
    0x67a9954dU,     0x40d9b5abU,     0x7c945597U,     0xe391f2d0U, \
    0xa829b4caU,     0xa4dda7adU,     0xfe9defc0U,     0x12d4fe88U, \
    0x6a659d98U,     0xd06e27d6U,     0x694e0397U,     0x4613c62aU, \
    0x2546c432U,     0x6a3c71c5U,     0xe82d7fb3U,     0x6782c208U, \
    0xd7106891U,     0x3a57f070U,     0xc83c5eceU,     0x3c46a827U, \
    0x4e4fc2d9U,     0x2f9136a0U,     0x25a376b7U,     0x88799c22U, \
    0xa09f3d9eU,     0x5fe1b687U,     0xa75bbc71U,     0xba2dd8c7U, \
    0x5bb978cdU,     0x9b97d0fdU,     0x88d56613U,     0xcf6dbe98U, \
    0xa0d56818U,     0x994be349U,     0xa0791ca5U,     0xe6e059a9U, \
    0x9ad5fcfdU,     0x79e1b0e6U,     0xb1b9788aU,     0x6c2c8f62U, \
    0x25b3226aU,     0x21afc980U,     0x19360badU,     0x08ac320bU, \
    0xb454cf04U,     0xbdfd2abdU,     0x1f88bc56U,     0xd9bd1defU, \
    0x69af61bbU,     0xb6685600U,     0x5544c156U,     0xf2939c69U, \
    0xcdd5de45U,     0x79ceb99dU,     0x12312599U,     0xbe855e31U, \
    0x82092e45U,     0xb947cedeU,     0x7b30d3d3U,     0x53be728cU, \
    0x3a258cdeU,     0x33e464faU,     0xe8e2570dU,     0x8c610fbfU, \
    0xee4d6391U,     0x473c8654U,     0x0c038f14U,     0x65f8d78eU, \
    0x1feee947U,     0x1bcb4217U,     0x1899f4c0U,     0xd11abf0fU, \
    0xc7d35f79U,     0xe0ae1e7cU,     0x85b0f8edU,     0x225d0ac0U, \
    0xbf6eddf1U,     0xecae88edU,     0xfeefd59eU,     0x1c90c3e1U, \
    0x7a259d5cU,     0x1a2b9ccfU,     0xab0bf140U,     0x402d2c6aU, \
    0x55e04ee5U,     0x26bc06fcU,     0x78eda5e1U,     0x2918bb36U, \
    0x88638907U,     0x7fb58997U,     0x2fb2e920U,     0x0f6695eeU, \
    0x60f7750eU,     0x84886e6eU,     0x72dd6eceU,     0xa379413cU, \
    0xee32d190U,     0x6b1e9565U,     0xd7d3cedfU,     0x03e47a0cU, \
    0xbcf5e9e3U,     0xa106e3a1U,     0x2a9e5a18U,     0x7ccd180fU, \
    0x9bd1a2dfU,     0xb3ec0adcU,     0x47e87ef4U,     0xa36c2dcfU, \
    0x3e6a4873U,     0x0b2a4fd3U,     0x8dda9e48U,     0xb9ac2863U, \
    0xf9fb462fU,     0x25b12646U,     0x1ab027acU,     0x1406e918U, \
    0xb296f1abU,     0xc516ce7dU,     0x7a208655U,     0xab001a7aU, \
    0xb07f1d15U,     0xd4450d1eU,     0xd7ad0520U,     0x83016debU, \
    0x5088b1b1U,     0x0fe91c3cU,     0x9f90fa64U,     0x8842b5f1U, \
    0x44fb86e5U,     0xc8de66ebU,     0x51b136c6U,     0x8cfc2a91U, \
    0xdf3bb205U,     0x2ab4a8bbU,     0xe8ffe7dbU,     0x0df9fd85U, \
    0xe2aa138dU,     0x9134cd38U,     0xbfb36a94U,     0xef99aa7aU, \
    0x77e3fc56U,     0xdbbe6f17U,     0x6d0c38b4U,     0xdce14e37U, \
    0x41952515U,     0x4358024eU,     0x7b101f2bU,     0xd402e2cfU, \
    0x0efb6df5U,     0x508c321aU,     0xf87f3b00U,     0x767c2eefU, \
    0x2faf4114U,     0xfd4768aaU,     0x3ba23046U,     0x3605ab03U, \
    0x7d54485fU,     0xd5b2f184U,     0x8e24eaffU,     0xbdb1b04dU, \
    0x1e0e2d04U,     0xe3e5789eU,     0x03371184U,     0xa177335dU, \
    0xc881f54eU,     0x8579ee5fU,     0x6d74fd63U,     0xa4ce7548U, \
    0x22146bd5U,     0x744fd6e3U,     0x056eee46U,     0x5c751548U, \
    0xf9d755d5U,     0x2ac1722fU,     0x55b94230U,     0x59126746U, \
    0xbece18ceU,     0xf10cadddU,     0x8302c702U,     0x56a6af23U, \
    0xd2499b8cU,     0xbd6171d3U,     0x6a300b88U,     0x1898eef9U, \
    0x81956a0bU,     0x290701e9U,     0x3d5f937eU,     0xada4a96fU, \
    0x2e5c1796U,     0x1ba9cf98U,     0x830e2a13U,     0xe9d23a3fU, \
    0xe8149ed1U,     0x98f74ccaU,     0x40159e97U,     0xedcbc37eU, \
    0x34feaf56U,     0x0ce92e36U,     0x0fc58e1bU,     0x42b67124U, \
    0x4b92421aU,     0xbe9ae890U,     0x3dd3efa4U,     0x9ca2ec46U, \
    0x57ffa8d1U,     0x8c74b0b8U,     0xc4d7b0bcU,     0xf06ec585U, \
    0x63623865U,     0xfd7a04c6U,     0x73451746U,     0xab5991b3U, \
    0xf21f7f34U,     0x491c1fc1U,     0x24b680aeU,     0x1cbe52efU, \
    0x334fd63fU,     0xcb0f1457U,     0xc7f11411U,     0x063bc852U, \
    0x4a274f9eU,     0xf1c2e16fU,     0x66fb437cU,     0xfb597538U, \
    0xf6c6346bU,     0xf3963ce7U,     0x1ce9a229U,     0x9e644766U, \
    0x38065f08U,     0x9d79eeb0U,     0x1d722d5cU,     0x387520cfU, \
    0x3d0f6eb8U,     0xfc878704U,     0x4b6fa9beU,     0xb842702cU, \
    0x8d975008U,     0x6fe38a92U,     0x55e36230U,     0x3a5eea7eU, \
    0x10b7529fU,     0x1432e23dU,     0xa32d43b7U,     0x3da0181eU, \
    0x4a031a02U,     0xfb5f85f4U,     0x5e43100bU,     0x961bef51U, \
    0x80ef64d5U,     0x41dbc474U,     0xe7d2b277U,     0x4222b2eaU, \
    0x27d61f7eU,     0x99296f4cU,     0xbcbc6e7eU,     0x5a6156f3U, \
    0x9277e57dU,     0x69e92884U,     0x49d0ca2dU,     0x067a474eU, \
    0x65308d0bU,     0x0cb0dbcfU,     0xe4ff3a35U,     0x8f9b7068U, \
    0xdd1c4f7aU,     0xb3e272b4U,     0xaea7c766U,     0x1354dd95U, \
    0x8dfdd3b6U,     0x7b89b591U,     0x6df8ea2fU,     0x1e9313cdU, \
    0xa7cae259U,     0x5af1449aU,     0xc9a85f08U,     0xbc7258a7U, \
    0x9eba8469U,     0x24603c5aU,     0x49f877b2U,     0x33057f9fU, \
    0x0050b77aU,     0x5989a811U,     0x26cc85b8U,     0xd004e7a7U, \
    0x5f62bd4aU,     0xecf93c86U,     0xb4a30e09U,     0x7e493b0bU, \
    0x7b89a738U,     0xba8e43d2U,     0x973e9ccaU,     0x92bb7e15U, \
    0xe3069668U,     0x23dc6164U,     0x0952c711U,     0xcf95219aU, \
    0x2fe10841U,     0xebcd75a6U,     0x5c129eb3U,     0x3be65043U, \
    0xaa3fbdeeU,     0x6eac5d29U,     0x7462c511U,     0x0d6b80fbU, \
    0x8715d114U,     0x92a91d75U,     0x08559d9bU,     0x6b2935bbU, \
    0x7f24b84bU,     0x9ee1c48aU,     0xae26302dU,     0xca19c796U, \
    0xb677e170U,     0xf5fd7f8dU,     0x63115080U,     0x0893e95cU, \
    0xf12d15e5U,     0xb3bd281dU,     0xbe7b6926U,     0xdd29f81aU, \
    0x253effd4U,     0xfdac07eaU,     0xb171404dU,     0x94040c1fU, \
    0xc2e56262U,     0x80ef9bc2U,     0x354a3196U,     0x9e131d38U, \
    0x59c49db8U,     0x1f0328d0U,     0x33f22e06U,     0xffb0c964U, \
    0x18bbbd41U,     0xd3ee3c29U,     0xd08189afU,     0x05afa47aU, \
    0x1db4b349U,     0x28c26874U,     0x620d68fbU,     0x00503c52U, \
    0xa0f641baU,     0xab37f641U,     0x5c8f3c4dU,     0x07c3f7c6U, \
    0x2fc5e06fU,     0xb8c6c006U,     0x9fff4c40U,     0xc15032b7U, \
    0xd31e4badU,     0x0d4b4923U,     0xae06dae2U,     0xc260878fU, \
    0x8cbb6813U,     0x646fc2a2U,     0xd1a4ee63U,     0xb5b02f75U, \
    0x090c1d41U,     0x307ca6e2U,     0xac9ea7abU,     0xbc5ff511U, \
    0xb82dd77eU,     0xf0b783dfU,     0x6e0dcb2aU,     0xaed44fdaU, \
    0x6e0e388aU,     0xff80ca65U,     0xfcea30d4U,     0xb5624c21U, \
    0x04f90cefU,     0xe64facc5U,     0xcae2f498U,     0x4385b2f2U, \
    0x83986a28U,     0x611e66b8U,     0xc145fe83U,     0x179c9b01U, \
    0xb6fd86f9U,     0x1d99c27eU,     0x6def8d19U,     0xf4088a08U, \
    0xc1e323efU,     0x39c0785bU,     0x575edaa2U,     0x89a64513U, \
    0x9f23a262U,     0xaf00e7a3U,     0x36db8986U,     0x91b1f542U, \
    0x1eb92129U,     0xc1cf1603U,     0xe724505bU,     0x6280ac2fU, \
    0xb9b89625U,     0x8d3fbef9U,     0x2733d213U,     0x47fd7a44U, \
    0xc8b8558cU,     0x60fecff6U,     0x1ad9760bU,     0xe6aa876dU, \
    0x07a6cdb5U,     0xd5e41f6aU,     0x1c0fe82cU,     0x41487699U, \
    0xc9878787U,     0x2dc1e14dU,     0x539f4a46U,     0x473cb178U, \
    0x2cb88a88U,     0xa5f7b216U,     0xde1e766cU,     0xaebf104bU, \
    0x611e81f8U,     0x6b1a541bU,     0x80891b26U,     0x76126815U, \
    0x9b444fb3U,     0x23241badU,     0x3b5c5f6cU,     0x19f4094dU, \
    0x261d6c74U,     0x099097e7U,     0x2b55ccceU,     0xf7e62374U, \
    0x751e9341U,     0x9fdaf43eU,     0xc2ca56f3U,     0x78662c91U, \
    0x96f22d6bU,     0x649a3d6bU,     0xb323c4c5U,     0x04113ba3U, \
    0xad7e1dcaU,     0x5bf86d74U,     0x453e7f58U,     0x9fe77423U, \
    0x1de25528U,     0x873b4d0dU,     0x1552d64dU,     0x22d7c3f5U, \
    0xd9096303U,     0xe5688528U,     0x6c887a33U,     0xcbd69d5bU, \
    0xa4e7c317U,     0xfe554658U,     0xa0839e2eU,     0x4da6ceb3U, \
    0xd2b9841bU,     0x7f9547dfU,     0x7b653022U,     0x28efbcc1U, \
    0xb3ec080bU,     0x3032ccc2U,     0xc8bf558bU,     0xbf842a79U, \
    0x17f49a33U,     0xb349674fU,     0x8351ce19U,     0x81ea391aU, \
    0x5c720622U,     0x21ee4a9aU,     0xa34e4ecfU,     0xeae5557fU, \
    0x0d0a4501U,     0xc8e6f029U,     0x435976eeU,     0x362ed515U, \
    0x951210f8U,     0xcb8d61baU,     0xab044ea3U,     0xed1f08a6U, \
    0x2c389ab1U,     0xddbf5943U,     0x4b9efb8bU,     0x5a1fb2d6U, \
    0x119c03edU,     0xfbd13b36U,     0x402c58b4U,     0xed66b43dU, \
    0x09770015U,     0x2735d689U,     0x3c7a9d8aU,     0x62f5a459U, \
    0x37688750U,     0xa58f35fdU,     0x7d91307dU,     0xa6a10d2dU, \
    0x4a7757b8U,     0x52949379U,     0x58c00a69U,     0xa16f7290U, \
    0x30c2bf30U,     0xe285b3e5U,     0x2b642c0aU,     0x48f5ca5aU, \
    0xc422718aU,     0xeb23cbe5U,     0x1f0babeeU,     0x77540ff5U, \
    0x966a92baU,     0xa3f463e4U,     0xc6c44ef3U,     0xea5b68c0U, \
    0x4d2117cbU,     0x1f25674bU,     0xdae7a584U,     0x2cf67e56U, \
    0x530c4981U,     0x36f59aafU,     0x71c12c0eU,     0x2f94a08fU, \
    0xc0c4482cU,     0xcef96466U,     0x880f1ccbU,     0x4b56314aU, \
    0xf27a4975U,     0x34df4c1bU,     0xbecee80cU,     0x632ae724U, \
    0x40ecc5acU,     0x412f08dfU,     0x5635d421U,     0xc53e364eU, \
    0xb1da8ec6U,     0x8933e925U,     0xee81801aU,     0x3c69742dU, \
    0x8c49a34aU,     0xd143490aU,     0x2b0f671aU,     0x03468039U, \
    0x162d1467U,     0xbcd35476U,     0x69f75831U,     0xdb7e489fU, \
    0x591dbab6U,     0xf45879baU,     0x88a687a9U,     0x9f588eabU, \
    0x04aa9c03U,     0x4dfce6f5U,     0xebffff54U,     0xa35caa5fU, \
    0xf3dfdb6cU,     0x776264f6U,     0xdabbdb37U,     0xc908ee0cU, \
    0x0ce31a87U,     0x32b6523dU,     0x0a11ed3bU,     0x8b95d805U, \
    0x68521362U,     0xabf50010U,     0x7db2139bU,     0x0c7c29beU, \
    0x89995717U,     0x399afb1cU,     0x215da909U,     0xb4fc02aaU, \
    0x86f156a7U,     0x7a5c5c98U,     0xe4ed9e33U,     0xaa212c21U, \
    0x040bc502U,     0xf0822206U,     0x4d5f595fU,     0x336c0dafU, \
    0xd4536d4aU,     0xa363888fU,     0xb823b608U,     0xc2a3dfadU, \
    0x69eef358U,     0x148a8839U,     0xaebb17a6U,     0xb3c2dbceU, \
    0x82d60873U,     0x6f27722fU,     0x4c8d41e8U,     0x52503cb0U, \
    0x96e559d2U,     0x6ca3f434U,     0x228df28fU,     0xa8f9d946U, \
    0x7c7aa925U,     0x3dfa1379U,     0xee2b5798U,     0x89a6726bU, \
    0x3bf290e8U,     0x81d42effU,     0x206c7f43U,     0x3bcf7dacU, \
    0x298acb2bU,     0x40b5a1baU,     0x6028f163U,     0x9849c42eU, \
    0x63cbe7bdU,     0xe7fb2342U,     0x9d3733b9U,     0x073b9edeU, \
    0x85069dcdU,     0xd4c6101fU,     0x8466fad2U,     0xe1247adcU, \
    0xefa4c644U,     0xae001e42U,     0x3406089aU,     0x7c10d51bU, \
    0x29f3e90bU,     0x7ec83d5aU,     0xfbd05a36U,     0xf923c8b7U, \
    0x52c00ac8U,     0xe578d666U,     0x1b10c053U,     0x574f6fedU, \
    0xde14e4aaU,     0xacd2aa51U,     0x5778df4fU,     0x6d10bb9eU, \
    0x79301aacU,     0x2d653c8eU,     0x398e65efU,     0xc924916dU, \
    0x94dbd870U,     0x6bd71c2cU,     0xcc50f481U,     0x4fa6a333U, \
    0x2682083cU,     0x9526edbcU,     0x73b19446U,     0x4685ef9aU, \
    0x1c99a7b9U,     0xea26fd0aU,     0x1320b406U,     0xf9c31003U, \
    0x1c275f98U,     0x19f1b4dfU,     0x97c3132aU,     0xd3b32f9dU, \
    0x3cc57470U,     0xf6239d8fU,     0xb00dd9d6U,     0xf059bc6fU, \
    0x7ceca897U,     0xfdd82a86U,     0x3d494e28U,     0xa424f1b5U, \
    0x33f97520U,     0x09b9bb97U,     0xf8317b66U,     0xe69f4201U, \
    0x7dad859cU,     0xdf442940U,     0x5011f155U,     0x7f594282U, \
    0xcc91d824U,     0xc786a668U,     0x38a65307U,     0xcedf1969U, \
    0xa8f1d074U,     0x91dd82c6U,     0x082ddcceU,     0xa0dae3ebU, \
    0xcaf53849U,     0x153dfd66U,     0x30a36893U,     0xf6de983dU, \
    0x839a6040U,     0x64a18680U,     0xbe96bfa9U,     0x90bbdb0eU, \
    0x2ced2341U,     0x173d9d26U,     0x998768e5U,     0x8ef3807fU, \
    0x4fb4d517U,     0x025a90ceU,     0x472db441U,     0xcc5630c8U, \
    0x784438f6U,     0xcca7bfe6U,     0xceb09c73U,     0x9c3b5880U, \
    0x41e6e93dU,     0xbb3e76a5U,     0x0a5d5672U,     0x2200663eU, \
    0x65d20717U,     0x1a919fe2U,     0x8e07869bU,     0xe4c0c353U, \
    0x13d2534fU,     0xc035334fU,     0xac9b2034U,     0xb6bf7237U, \
    0x88ab5ee6U,     0xeeb29ed1U,     0x4a09724bU,     0x7dde65bdU, \
    0xfb0ef082U,     0xde14cb27U,     0x07233ae8U,     0xd682984cU, \
    0x0f0e7eb1U,     0xe3024770U,     0xd4086489U,     0xe7857c30U, \
    0x785f4f62U,     0xe182bf91U,     0xf7b9aa0fU,     0xd3a432b7U, \
    0xbeefb5b0U,     0x2ec7674aU,     0xae8f2228U,     0x66bd7a81U, \
    0xb2160c3bU,     0x70182bd1U,     0x94dd8ca2U,     0x0f8ff96aU, \
    0x3880d843U,     0x4b785648U,     0xeba658c4U,     0x65859620U, \
    0x1fccd0eaU,     0x48b67ea3U,     0x2b889fccU,     0xfb49e739U, \
    0xefcda20dU,     0xd90199a2U,     0x102588e1U,     0xc200650cU, \
    0x167a3d16U,     0x3aa17e42U,     0x47980844U,     0x021f517fU, \
    0x294e7b67U,     0x908b8e6dU,     0x46d444cfU,     0x765e7401U, \
    0xc57f343fU,     0xb2455c63U,     0x68084ea8U,     0x3a74dc1dU, \
    0xdfec4baaU,     0x97d6daf7U,     0x4c581182U,     0xc3f37289U, \
    0xdb31dd17U,     0xb4846222U,     0x5fec3c35U,     0xdb49ba84U, \
    0xb2b6e9a1U,     0xc19316e2U,     0x476f1dfeU,     0x9de383e7U, \
    0x4167a82bU,     0x495f5548U,     0xfdba7e87U,     0x9b85b401U, \
    0x5a1ac618U,     0x5dd626c3U,     0x00095f81U,     0x5376bcf9U, \
    0xe2c399e0U,     0x6a81159eU,     0x14cb9762U,     0x6aedf43aU, \
    0xb6057461U,     0x71aa66c3U,     0x8b642b3dU,     0x4b403fbeU, \
    0x0137c07cU,     0x41b27279U,     0xb7ee798bU,     0x8d3ec7cfU, \
    0xcd6a7b89U,     0x3eb3b4d2U,     0x144b306aU,     0x21fccc89U, \
    0x2b13fb8bU,     0xfdf3e8f6U,     0xef147c8eU,     0x54ac0f95U, \
    0xb4331d37U,     0x578cbd27U,     0x93828bb8U,     0x16c8cd7eU, \
    0xfbd2e792U,     0x78450630U,     0xf33f79a4U,     0xf050c2f3U, \
    0xe918debcU,     0xeb125058U,     0x032c1c82U,     0x319bfa59U, \
    0xb7072c2bU,     0x75215e29U,     0x95442e46U,     0xc24b8227U, \
    0x6172b129U,     0x497a6573U,     0x6fb8477dU,     0xdb7f7ecbU, \
    0x755f89b9U,     0xb09f3f6eU,     0xbbc170e7U,     0x384059ddU, \
    0x91c5a5deU,     0x8a706626U,     0x1e448d41U,     0x9325e713U, \
    0xa638c8ebU,     0x4225399cU,     0x2b956a79U,     0x5782a2c2U, \
    0xb32072deU,     0xe520a922U,     0x7b585ffbU,     0x19fcdbceU, \
    0xf966971dU,     0x8ab3be76U,     0xfb63c525U,     0xc8c9f0c8U, \
    0x8dd0e494U,     0x007f381fU,     0x253fb6b3U,     0x55db4897U, \
    0x1c4e61e4U,     0x943ddd2eU,     0x2aac6ab2U,     0x47b56ed2U, \
    0xfd7d3df2U,     0xf8256d29U,     0xbb93bb6fU,     0x5b87025bU, \
    0xa6aa75b1U,     0xc68011e9U,     0x52b6c4e3U,     0x63107e10U, \
    0xf5a1bc33U,     0x32e57178U,     0xf2d5818bU,     0x4a3e1eb3U, \
    0x4aeeabc0U,     0xf5846105U,     0xe0cd60e4U,     0xe7704285U, \
    0x14e4c46eU,     0x759415faU,     0xd753e158U,     0x8fa137f4U, \
    0xe1f114e4U,     0xa5162472U,     0x45541814U,     0x8136c2feU, \
    0xf92b5e29U,     0xc1db367dU,     0xf5a79620U,     0xf446375cU, \
    0xb2b9bf5bU,     0xd0196a4aU,     0x79fa57b1U,     0x922376d5U, \
    0x811d305dU,     0x6d03b252U,     0x67da817eU,     0x99bcc603U, \
    0x1115eb78U,     0xdf2fea56U,     0x254b765fU,     0xf049391aU, \
    0xf03dfa23U,     0xc263f60fU,     0xb768b5f3U,     0xbc3933c3U, \
    0xad828af0U,     0xbc93fae5U,     0x6f760c8eU,     0x58bce34bU, \
    0x0470d3ccU,     0xe9863ae7U,     0x39c5021bU,     0x73d8fcc8U, \
    0x5c5a6733U,     0xfef3741bU,     0x59347923U,     0xdd8c12dbU, \
    0x88248928U,     0x693a975eU,     0xd733bfa3U,     0xd3f425d2U, \
    0xc2891f72U,     0xd85d321fU,     0x60d7ac7eU,     0x1745cbacU, \
    0xf1ef887aU,     0x3aceea05U,     0xd7a0c98dU,     0x64640364U, \
    0x6a53c4b1U,     0x7a87b9f4U,     0xf642c367U,     0x6158a73dU, \
    0x24dad63fU,     0x615e9460U,     0x40dea417U,     0xfac2530bU, \
    0xc878ba07U,     0x51c4de67U,     0x21ed2815U,     0x6f96cfe4U, \
    0x7be94bc7U,     0x2323457dU,     0xde9a71baU,     0x27b190cdU, \
    0x83f5a40eU,     0xf90d83d5U,     0x0d63a43aU,     0xbe998a3aU, \
    0x5c525103U,     0xf4d34fd4U,     0x6f2dbec1U,     0x12f7108aU, \
    0xedbf12a2U,     0x1bcf8a23U,     0x9d8019caU,     0x5a407d82U, \
    0x817b9e71U,     0x2353c79cU,     0xccdc921bU,     0x73b46f09U, \
    0xbad7f073U,     0x4a4fafb7U,     0xaa3f83fcU,     0x2be536ebU, \
    0x0eccd14bU,     0x7bd192dbU,     0xe4024ffbU,     0x0f2a57c8U, \
    0x966ce6fdU,     0xf102ab2dU,     0xea307f9fU,     0x822753baU, \
    0x800bdeb0U,     0x52d20845U,     0xe677f1b5U,     0x62ab30c4U, \
    0x3972d100U,     0xb52abde3U,     0xf6dd34a2U,     0xdac0ee87U, \
    0x822784baU,     0x7fd6c1a5U,     0xa5ce2196U,     0x7cd5a1b0U, \
    0x4b66cf21U,     0xbdad90a5U,     0x23e1d349U,     0x6b9724e8U, \
    0x82855358U,     0x3c404f3cU,     0x4bd81afeU,     0xab9d4e74U, \
    0x2fb67b75U,     0x3ec7dd8dU,     0xc525f8d5U,     0x4df720e8U, \
    0x9663e3b5U,     0xde470031U,     0x639664a9U,     0x8c521ae3U, \
    0x918c6be0U,     0x8be2f29aU,     0xbfda43d3U,     0x18f8a696U, \
    0x000f2bafU,     0x16d73035U,     0x6ac4858eU,     0x76fa4fa8U, \
    0xa95b1f2eU,     0xc8a0b1f0U,     0x73da9333U,     0xd5a55559U, \
    0x0b77250fU,     0x1ed04b4cU,     0x7a0f9286U,     0x6cbed993U, \
    0x3a3fc30cU,     0x66743694U,     0xaaea035fU,     0xc4de2c1aU, \
    0xa7ea8821U,     0xe326dc52U,     0x29cfe593U,     0x5ba1ced3U, \
    0xd92c034dU,     0x83974f5cU,     0x2c31551fU,     0x6cf4908cU, \
    0xe7bc0c6cU,     0xe84ff0fcU,     0x85e5b5e3U,     0x89cbf894U, \
    0xa544d4b4U,     0x0e37dea8U,     0x7344008aU,     0x0e9ef0a2U, \
    0xd05bed49U,     0x711fa389U,     0xeab3a55bU,     0x08548c8bU, \
    0x0ae5bba8U,     0xfde9a767U,     0x26d1c9c9U,     0xdd77150bU, \
    0xda1b644cU,     0x746ab897U,     0x319b06c5U,     0x67ccb432U, \
    0x6f48bea7U,     0xe3b902bfU,     0xc96cfdffU,     0x62f4d9c7U, \
    0x622e58d9U,     0xf457163eU,     0x378888abU,     0xdc947e7bU, \
    0x6d715b32U,     0xa611a7d2U,     0xbbaaf8b8U,     0x912df3caU, \
    0x9d403abaU,     0xb8d250e5U,     0x0ab63fdbU,     0x66373356U, \
    0xce047b71U,     0xb52a0b6dU,     0xf692e350U,     0xf3479145U, \
    0x4ac1868eU,     0x0a9644a4U,     0x85dcf48fU,     0x97ba5548U, \
    0x9f4e2829U,     0xbfba7534U,     0x387726d9U,     0x58f1fd01U, \
    0x7495ef56U,     0x9428f40aU,     0x14228ebcU,     0x2611fd32U, \
    0xcdf4a12cU,     0x483aa580U,     0x1a47e8afU,     0xd83cf84fU, \
    0xd437edcfU,     0xa0b3debdU,     0xb319f1dfU,     0xdb77e11bU, \
    0x1f1ac960U,     0x8c106202U,     0xcab43ae7U,     0x94542327U, \
    0x6f707142U,     0x1c59f297U,     0x6cea0ddeU,     0xf4dcc266U, \
    0xfa84826eU,     0x2fd96c5aU,     0x5b5f2f41U,     0xaafceddbU, \
    0x7932d7c5U,     0xc4544899U,     0x18b3ab7bU,     0xb2c61eceU, \
    0x2baa3a51U,     0x4dd3dd12U,     0x72fb3a15U,     0xda8722a1U, \
    0x25fec19aU,     0x1caf54e9U,     0xa2a75a66U,     0xafd8e808U, \
    0xd7f66bb4U,     0x655ff868U,     0x126fd5baU,     0xa9e4af1eU, \
    0x5e1f6318U,     0xb55c66faU,     0x1b2bd7d9U,     0x1485ec66U, \
    0x0219aa96U,     0xf01e1eadU,     0x405edbf9U,     0x8fb4c4dfU, \
    0x5674a6deU,     0x3fc04036U,     0x4224b0b4U,     0x1bef3b28U, \
    0x97610af1U,     0x48dfae1fU,     0xe8207666U,     0x940dedcfU, \
    0xf7904913U,     0xd6dfc97dU,     0x87fe9e87U,     0x81047e6bU, \
    0x355a47fbU,     0x9d6bd7baU,     0xbf0deec1U,     0x26b9c027U, \
    0x53d96ae6U,     0x90f2915eU,     0x890fa0a1U,     0x0858f235U, \
    0xadac915dU,     0xf9e99cbeU,     0x5748f952U,     0x1f9be84dU, \
    0x85ec2b8fU,     0xe215f195U,     0x59c6dfaaU,     0xd87aa152U, \
    0xa366f875U,     0x1719d0beU,     0x53f70a56U,     0xee5eab8cU, \
    0xfdd72768U,     0x3a61aca8U,     0x2cab8877U,     0x78a52bd8U, \
    0xe9fbbe75U,     0x2f39e069U,     0x5161e06aU,     0xf56b3e70U, \
    0x69da7285U,     0xa7c6c5b2U,     0xcd885580U,     0xc6ca06d1U, \
    0x55edb7a2U,     0xd464f45aU,     0x3974d211U,     0xcc706466U, \
    0x1c22df6dU,     0x9ab79c57U,     0x1f6c67b3U,     0x7fd140e7U, \
    0xd6458bd1U,     0x313d9059U,     0x3a353e2fU,     0x2e70ac09U, \
    0x641c7f1fU,     0x5ba37154U,     0xdc3d4c29U,     0x099d92a8U, \
    0xb9f6ba9bU,     0x92da6d10U,     0xa5acefabU,     0x45e24e21U, \
    0x366b85afU,     0x540e9f8fU,     0xc98d669aU,     0x0a9ca042U, \
    0x160f1d87U,     0x414d00e3U,     0x4fd14ce3U,     0x7f6386eeU, \
    0xb0ffddafU,     0xcee62d62U,     0xbb5f246eU,     0xc71bedc6U, \
    0x1e09e53dU,     0x07c3ba01U,     0x15669e94U,     0x508f44d9U, \
    0xfdc5f8a5U,     0x7f71b8bdU,     0xcd6999d2U,     0xd833d9f1U, \
    0xc584afffU,     0xa08de969U,     0x1c83dbc9U,     0x5121bf2aU, \
    0x23ae8bffU,     0x148f0c93U,     0x2863383eU,     0xff3db006U, \
    0x99782942U,     0xb03947e9U,     0x174b78eaU,     0xbe00b098U, \
    0x7d8bdfa4U,     0x0edd6007U,     0xad3814f9U,     0x2a2d7d44U, \
    0x9a47a0a0U,     0x4054c4fcU,     0x4ee04438U,     0x206fb833U, \
    0x9c402900U,     0x3cc5b15fU,     0x5674b1e1U,     0xbe318d0bU, \
    0x4a3d4024U,     0x712975afU,     0x55a97f07U,     0x64fd5d37U, \
    0x00a088a9U,     0x2a06e0f8U,     0xa76aefb8U,     0xc40e2feaU, \
    0x656c5ad8U,     0xbcae62f7U,     0x50312356U,     0xcd352f47U, \
    0xe710fca3U,     0xec8d7610U,     0x36c5e938U,     0x14cc883aU, \
    0x2d61d348U,     0xd76e66faU,     0xc7b07660U,     0x42037538U, \
    0xf228d4bbU,     0x70abbda4U,     0x00ad18b4U,     0xc7570e9eU, \
    0x47e6871aU,     0xcee12391U,     0xe2eb6472U,     0x68158722U, \
    0x837cdde7U,     0x7455d8d8U,     0x142e15aaU,     0xdcb3999dU, \
    0xd7004948U,     0x8711b9e4U,     0x35d1d9a9U,     0x3ce704cbU, \
    0x4124e8ccU,     0x5c88ffcaU,     0x55520279U,     0x1361668eU, \
    0x1f1826f2U,     0x82e01bbeU,     0x0fb8deefU,     0x72c72721U, \
    0x82891950U,     0x5880498eU,     0x54baa2bfU,     0xe7b8da0bU, \
    0xe86a6e4fU,     0x3839f80aU,     0x097f4890U,     0xa0c251b3U, \
    0x8c8da62cU,     0xc431de93U,     0xcab83cdcU,     0x38dfe0b5U, \
    0xb9975f4aU,     0x1b858296U,     0xcfe4ea6cU,     0x4a39427aU, \
    0x31a84309U,     0xfa50f834U,     0x7466acc7U,     0xe4c6cef1U, \
    0xf7d0693dU,     0xeeee4817U,     0x1823a3faU,     0xe89b1d1bU, \
    0x975c4e45U,     0x654fb126U,     0x67a18abeU,     0xac24fb7dU, \
    0xf5fea8c8U,     0xa7f3d5f4U,     0xa9a62d4fU,     0x875fa228U, \
    0x07b6db0eU,     0xe062a7e1U,     0x31d1f706U,     0xf22e6973U, \
    0xecd03d83U,     0xe9d229eeU,     0x7418a730U,     0xa55ac256U, \
    0x15506b8dU,     0xd7d1637aU,     0x4887388eU,     0x89179eb4U, \
    0xa061065dU,     0xa6775a10U,     0x5556773bU,     0x5433cf3aU, \
    0x466b5f7aU,     0x5c3d0250U,     0xbcedf223U,     0x337b818fU, \
    0x30275208U,     0xd3cc9d57U,     0x4efe3e5eU,     0xe9bd4725U, \
    0x833b56fbU,     0x32b0eb98U,     0x080d5cd3U,     0xd4358307U, \
    0x3fabfdf6U,     0x4c6b4229U,     0xdc8aa437U,     0x29ac19abU, \
    0xfe374de3U,     0xefbe82bbU,     0xef7321bcU,     0x4124f119U, \
    0x13c82d38U,     0x00283d82U,     0x41b12aabU,     0x5e7cd244U, \
    0xa5f60ca0U,     0xe4ea0841U,     0x7dd799f4U,     0x6943cca2U, \
    0x54665bb0U,     0xc0ff23b4U,     0x5357c2b8U,     0xc7dfbd5bU, \
    0x5e2cff63U,     0xece3e923U,     0x79dfad0bU,     0xc0cc6441U, \
    0xdd1c003fU,     0x9a1ca77cU,     0x364e7795U,     0xea667ef5U, \
    0xcbc64767U,     0x075f76d7U,     0xfb782a71U,     0x9bab5f52U, \
    0x4cb5e1d4U,     0x0becfb3dU,     0xb9ca51beU,     0xb3b6a303U, \
    0x5c096959U,     0xcc1a259aU,     0xb93db864U,     0x5259e0a3U, \
    0x1b9a910fU,     0xba5cb378U,     0xb33aec85U,     0xae5cfddcU, \
    0x804784b3U,     0xf907f13dU,     0x453bad3aU,     0x83c6ebe0U, \
    0xeb7ec85aU,     0x813d4af4U,     0x9b453b0cU,     0x7ec1bb2dU, \
    0x044ac3f9U,     0x1f02424aU,     0x0b2a9a2fU,     0x7f3e2c17U, \
    0x6357e456U,     0x29dd4263U,     0x3901f7edU,     0x0d786b86U, \
    0x1cd56f34U,     0x530fdd0dU,     0xfaa4cc52U,     0x9dd5fe99U, \
    0xae4a1f74U,     0xbf4137ccU,     0xb925e792U,     0xd04a5f8dU, \
    0x2ad698cbU,     0x59a649b1U,     0x85311cb4U,     0x1b5f2d17U, \
    0xf3bb435aU,     0xeab2c6f2U,     0xf41a6eebU,     0x6793585dU, \
    0x0c22f73bU,     0x2963452eU,     0x24fee984U,     0x56f48de3U, \
    0xbcccf4c0U,     0x42170675U,     0x7d167364U,     0xeedc7681U, \
    0xcb2d7b31U,     0x7f38b50bU,     0x69784702U,     0x6a5244aaU, \
    0xf87833fcU,     0xd377b209U,     0xd45e9efdU,     0x21fbd924U, \
    0x41ccef6cU,     0xd2cb2d45U,     0x93d4d5d3U,     0x520ec08fU, \
    0xbb2df455U,     0x4186fc26U,     0x34ec09d9U,     0x8d77cfc1U, \
    0x8926d41eU,     0x66275256U,     0x4171fdd6U,     0xb219dd75U, \
    0xe584d2a0U,     0x744fa078U,     0xfa5d2f1eU,     0x98b9d3f3U, \
    0x7d3f4e06U,     0x41116717U,     0x01554e81U,     0xd3caa5f2U, \
    0x43ed3c96U,     0x2d9e30e0U,     0x229fa97fU,     0x7e47d869U, \
    0x3b34753bU,     0xa8bc7b35U,     0xcfb630b1U,     0x39e16550U, \
    0x4f9480beU,     0x92e7d04bU,     0x8c8ac569U,     0xb945acd5U, \
    0xcf462c2dU,     0x5f36c81eU,     0x26da41cfU,     0x861db0ecU, \
    0xc1686c4dU,     0x64da1683U,     0x8b2392bfU,     0x21460121U, \
    0xcf345c44U,     0xbafad3acU,     0x4a11502fU,     0x233a1a07U, \
    0x3cceedfaU,     0x56ff6635U,     0x9348dec1U,     0xe7ded80cU, \
    0x9a7b2e01U,     0x81999281U,     0x3d249baeU,     0x95c79b82U, \
    0xbf84b9daU,     0x7f2e2df3U,     0x2ad5c4c1U,     0x781e1e32U, \
    0xfbcd6079U,     0x74a156d4U,     0xe17a67beU,     0xfb2ca24dU, \
    0x1132c488U,     0x69cd23aaU,     0x4a672e13U,     0x3dc39a4eU, \
    0x7e9ca618U,     0x2333f5bbU,     0x03b5b613U,     0x988fa9aaU, \
    0x7004bd1cU,     0x21773960U,     0xe1a44251U,     0x7ec07454U, \
    0x92d4757aU,     0x944fb935U,     0x0a331be8U,     0xa44d88a2U, \
    0x1c0de469U,     0x7f99f301U,     0x127a4273U,     0x61a16fa3U, \
    0x9ea119a1U,     0x89503327U,     0x6552511bU,     0xb78b9022U, \
    0xf0384b19U,     0x716134bdU,     0x65c43e83U,     0x8feb7b48U, \
    0x4fc5d337U,     0xddc116b5U,     0x4bf95bd1U,     0x7967aedcU, \
    0xea931a46U,     0xa97e134aU,     0xc8fc78d2U,     0x2661f0b3U, \
    0x563a8170U,     0x8ec6041cU,     0xb7737a3bU,     0xb6f73d88U, \
    0xa0d5dd82U,     0xd6766340U,     0xa7aaba61U,     0x8387b00eU, \
    0x33a3730dU,     0xe31e0ac5U,     0x9551d168U,     0xbfe93658U, \
    0x8b7a8e78U,     0xb751f66eU,     0x6d25c83cU,     0x08ec1ec6U, \
    0xb7004374U,     0x0f313db9U,     0xa20b2128U,     0x5fd9af28U, \
    0xc86149a3U,     0xd9e54eefU,     0x6b021615U,     0xdd84088dU, \
    0x97b45f96U,     0xddb6d918U,     0x301dce8dU,     0xadd3844eU, \
    0xe1536b47U,     0x82efec62U,     0x742eb6fbU,     0x28f41ee5U, \
    0xd8a39956U,     0x54fefbd7U,     0x6b6d17bdU,     0xcd592a1eU, \
    0xbd77cbbbU,     0x034fd74aU,     0x3d4bcd2fU,     0x474869d6U, \
    0x22599eacU,     0xa6427927U,     0x8f859f4dU,     0xe2d93affU, \
    0x6c29b709U,     0x4bb5379aU,     0x0bf7bdeaU,     0x7824b02aU, \
    0x8583799fU,     0x8d0ce753U,     0x7cace831U,     0x3f9eb27fU, \
    0x233da2f4U,     0x5dc025beU,     0x1eb05a53U,     0xa445d6ccU, \
    0x8e90b238U,     0x5e5e288eU,     0x5a66924bU,     0xa87bcbb5U, \
    0xb4a34969U,     0x637c1460U,     0xc00b4397U,     0xa406425dU, \
    0xe960a497U,     0x4d24d226U,     0x31ead611U,     0x19af5450U, \
    0x4027b549U,     0xc3de3964U,     0x6fe844bfU,     0x764da23aU, \
    0x16f55dbbU,     0x19cb07baU,     0xe539b57fU,     0xd66e0894U, \
    0xca26ea29U,     0x41dbf5bcU,     0x6302e4a7U,     0xe24f6e64U, \
    0xfab0bea9U,     0xb28eb206U,     0x70c30488U,     0x3c021a02U, \
    0x472872c3U,     0x887d5265U,     0xe9b7040aU,     0xd711fc38U, \
    0x7d46c375U,     0x6d78a44eU,     0x46a363f4U,     0x5ecf68e8U, \
    0x9da5f4e4U,     0x39724207U,     0x489e8cd3U,     0xe37297e3U, \
    0x0c6bca7aU,     0xd35b07bbU,     0x2c4dea6eU,     0x8f153833U, \
    0x3d7215cbU,     0xf59fda68U,     0xefa0ad30U,     0x7efd5d76U, \
    0xd723289fU,     0x60d9c014U,     0xeff45e80U,     0xc23f702dU, \
    0x99825e14U,     0x1c51b37bU,     0xa1a9aebdU,     0x1bffb607U, \
    0x639fd7a2U,     0x1220804cU,     0x06abfb99U,     0x4f9eb8aaU, \
    0x7b4a0853U,     0x63543f6aU,     0x5cfffce2U,     0xf57f5058U, \
    0xc08febfaU,     0xb991b089U,     0x061045d0U,     0x691357efU, \
    0x869d6a57U,     0xf7c701c6U,     0x1a5436d9U,     0x37d57648U, \
    0xe6f971c6U,     0xa2312c32U,     0x9926ab7eU,     0x7e7f46e6U, \
    0x0436b29aU,     0x69edc196U,     0xd198b7daU,     0xad26b9e6U, \
    0xde6a9fcaU,     0x827c3bb7U,     0xc0c7af32U,     0x8a511ea5U, \
    0x763cefb6U,     0x78c4c3d5U,     0x8e4dc4f3U,     0xa788625aU, \
    0x5b4e5dbaU,     0xcb2d7db7U,     0x79294da8U,     0x8bb1ce0eU, \
    0x61d75bccU,     0xca328178U,     0x407b683cU,     0x2f6d3af0U, \
    0xae1a43cfU,     0x92935f98U,     0xe32267fcU,     0xcaff54afU, \
    0xb9878367U,     0x624b2213U,     0x983987e0U,     0xf36e872cU, \
    0xc737ecd1U,     0xe87b830aU,     0x58afb9aeU,     0x7b394f0aU, \
    0x9aca05daU,     0x673e0701U,     0x9abac8b2U,     0xb6a8ae35U, \
    0xf3546e33U,     0xaf2589e3U,     0x5f4f9a8cU,     0xbfce3e28U, \
    0xfb20691dU,     0xc10a5caeU,     0x157afb34U,     0x0432f686U, \
    0x5e53b8daU,     0x5d39de40U,     0x2a9966c5U,     0xc5538ac3U, \
    0x02656379U,     0xbec8c0e1U,     0xaf6f6a13U,     0xb61afc31U, \
    0x8ee4befaU,     0x1ebd308bU,     0x0d40c3f5U,     0x678667bfU, \
    0x46ef6674U,     0x28ec3ce7U,     0xb0d1cd62U,     0xa06cd909U, \
    0xc6daa55aU,     0xfd55c041U,     0xc85cd488U,     0xfdfd7ce8U, \
    0x76bfa7e3U,     0xc357ee20U,     0xba1bf7ffU,     0xbcd6fb6fU, \
    0xb6ad0922U,     0x951fb20cU,     0x2f270f65U,     0x26e1f94fU, \
    0x286114b4U,     0xbcbe92aaU,     0x46043282U,     0xf3885e21U, \
    0x19758d19U,     0x160416d5U,     0x1b24b8f2U,     0x146294a2U, \
    0x04ef3786U,     0xf8dde52eU,     0xca1e73edU,     0x26e0fd07U, \
    0x9cf6e60aU,     0x7dbc1931U,     0xcfb01b80U,     0x735473c2U, \
    0x8b225106U,     0xff003058U,     0x87228f3dU,     0x05d223a7U, \
    0x6de7ba93U,     0x70b83b1bU,     0x8526b5e2U,     0xd8859f89U, \
    0xca20b2f5U,     0xde8d1a00U,     0x28407f42U,     0x4fc0fb5aU, \
    0xbb55bfbeU,     0xf038e310U,     0x5ab1667dU,     0xc93157f5U, \
    0xf115227bU,     0xe5286b6cU,     0xd6ae52b1U,     0x85e6c121U, \
    0x33a2028cU,     0x3c37957eU,     0xde0e7c6dU,     0xe079f3e4U, \
    0x796c516dU,     0xcc0de563U,     0x1b2829eeU,     0x78fe4d16U, \
    0x925c1a16U,     0xf62a1e0bU,     0x5202c53cU,     0xcbf90fe6U, \
    0x977eb841U,     0x47e187a2U,     0x78568d9dU,     0x87e45afcU, \
    0x5bf3cd7dU,     0xa89cc5fcU,     0x4d22470cU,     0x1c65751fU, \
    0x8353bab1U,     0x07918ae8U,     0x62217ab1U,     0x929fe804U, \
    0x556681b9U,     0x5ca49776U,     0xe8193f1eU,     0xa930c6caU, \
    0xe06cb387U,     0xed250eb3U,     0x278b670dU,     0x59760fb9U, \
    0xf1b84dedU,     0xfe3623caU,     0x746ffcdbU,     0x16bf6c6cU, \
    0x3c88fdf7U,     0x36531458U,     0x87c4a4efU,     0x1103a15cU, \
    0xa5b78a21U,     0xe130aa44U,     0xbabb2e06U,     0xcc4ecbdcU, \
    0xe05da81bU,     0x02e70649U,     0xce0c18a6U,     0xd9978e58U, \
    0x237c8d7aU,     0xde3bf178U,     0x07dd1cdaU,     0x7778c1a3U, \
    0xb7419199U,     0x3b10cbaeU,     0xb74cbd7eU,     0x9907fc5fU, \
    0xabb9dfddU,     0x6aac3f3eU,     0xcfd13dfcU,     0x2ad9d4f3U, \
    0x11e88081U,     0xcf1468caU,     0x51a943ecU,     0x35cc8392U, \
    0x678806e6U,     0x05c66903U,     0xbd0e4810U,     0xe4db760dU, \
    0x52fc9c37U,     0x5e91f0f9U,     0xffba7a70U,     0x04f7c9b3U, \
    0x21b87050U,     0x9bbe4b51U,     0xfa2601faU,     0xad44d2e4U, \
    0xf08e1852U,     0xc85d2dd1U,     0x2716c3f9U,     0x2b9abdc2U, \
    0xd743b306U,     0x0a17f33cU,     0xa05484b4U,     0xce944e40U, \
    0x87a3d308U,     0xe1157bfcU,     0xde7d9005U,     0x293b12aeU, \
    0x08aa1a61U,     0x6fa3649bU,     0x7761e6c7U,     0xb59db99fU, \
    0xe451fcd6U,     0xfbf6452eU,     0x110f2009U,     0x741e5422U, \
    0x9448d22bU,     0xc422ca2bU,     0xbb7712a0U,     0xece2446fU, \
    0x7a90e4c0U,     0xe1432370U,     0x0a226b27U,     0x1cf9d2e5U, \
    0x4e9a8398U,     0xad72b1e5U,     0xb9bb18e8U,     0x87a6fcb1U, \
    0x59538468U,     0xb302798aU,     0xf3569a74U,     0x959461c8U, \
    0xbf5fad1aU,     0xad2865caU,     0xc09cac59U,     0xf016516bU, \
    0x60bd2c77U,     0x0945be54U,     0xaf61938dU,     0xc8c999fdU, \
    0xafc79357U,     0x5a571e73U,     0x53536514U,     0xac3ff9e4U, \
    0xccbdcd9dU,     0xbb0fe3b3U,     0xfaf1fa1cU,     0x4d15f093U, \
    0x12f467a8U,     0xcb40150aU,     0x76b72088U,     0xe30c030bU, \
    0x941e8cb3U,     0xdc8e3c93U,     0x90d8923cU,     0x44a0a9c4U, \
    0x70739675U,     0xacd87722U,     0x70211139U,     0xf7e3f190U, \
    0x57a25044U,     0xaae5d259U,     0xece52116U,     0xb840aba3U, \
    0xb153eb14U,     0x207896b8U,     0x880138f9U,     0x4daf014dU, \
    0x0f70c49dU,     0xe0a3658bU,     0x12561be6U,     0xdee172c4U, \
    0xfebce44aU,     0x5d0926e9U,     0x5daba489U,     0x64645661U, \
    0x5ddc7380U,     0x38e37f68U,     0xa8f65c93U,     0x178ecc13U, \
    0xdc4d03d7U,     0x6167f43aU,     0xecee398eU,     0x34a5e891U, \
    0x18040a39U,     0x0c2a6524U,     0xdbd419d5U,     0x23ff44fbU, \
    0x6f8a705dU,     0x5c015cbbU,     0x5c4fdeefU,     0x073a90c7U, \
    0x34f4d651U,     0xc31797bfU,     0xf1f298efU,     0x48763500U, \
    0x03778047U,     0x876b71b2U,     0xc7513549U,     0x7dd470e5U, \
    0xc5c87f56U,     0xcef16d6cU,     0x5c1ae387U,     0x35722356U, \
    0xc9d758f6U,     0xce55426cU,     0x6336516eU,     0xc7199379U, \
    0xac3e409bU,     0x7390620cU,     0x34f23bd3U,     0xae0fdcfbU, \
    0xcc4e3e06U,     0x31c99869U,     0xe7b19f98U,     0xc7fcdda9U, \
    0xbcc1c353U,     0x0b474b27U,     0x2ff2703dU,     0xa2b6fdd0U, \
    0xfadea143U,     0xd194e81bU,     0x5338eeecU,     0x4489ec87U, \
    0x68ab3e47U,     0x6d6edcfdU,     0x9b59fb59U,     0x6ab92060U, \
    0x0de4035dU,     0x04dc3f67U,     0x0510f04cU,     0x0873539dU, \
    0xbbced5afU,     0xa84e437aU,     0xe8429fe7U,     0x31857b0aU, \
    0x44412cebU,     0xe5ce0783U,     0x670046c6U,     0x2946223cU, \
    0x432746b5U,     0xe6f72c3aU,     0xae653b56U,     0x61822adbU, \
    0x044b3d68U,     0x8eed9ef7U,     0xdd7b9d2eU,     0x2c1e5965U, \
    0xddd83407U,     0x2a090131U,     0x5cb78a77U,     0x70889adaU, \
    0xfb1f6a20U,     0x5abb99f8U,     0x28bb3e30U,     0x398b0597U, \
    0xbd2a0e73U,     0x53e0f7e7U,     0x2adf7436U,     0x48803f25U, \
    0x871fadb4U,     0xf2f0ef97U,     0x2e035958U,     0xaf63fa4bU, \
    0xe17aa671U,     0x2dbfcebbU,     0x23e8af2fU,     0x5e81140eU, \
    0x2f149933U,     0x59314c3dU,     0x082fce20U,     0x665c5777U, \
    0x4c1e6591U,     0x72da9bbbU,     0x1ac1a434U,     0xba69e814U, \
    0x99f61c1cU,     0x95d5b634U,     0x548662a1U,     0xc30ee138U, \
    0x9e2a88d5U,     0x61b75bcbU,     0xf9b6e912U,     0xdf149793U, \
    0x39f6ca36U,     0xddc2944bU,     0xe4635722U,     0x92f13e0cU, \
    0xb5c7b7d1U,     0x046fb415U,     0x0b7e4e07U,     0xa3513a53U, \
    0x26fc3975U,     0x0979a8daU,     0x7808494bU,     0x7c7a82aeU, \
    0x881ce3cfU,     0x907c251bU,     0x1956ea2bU,     0xa823076dU, \
    0x92334ad5U,     0x9859c544U,     0x6adcd8b2U,     0xec202ad2U, \
    0x11a1fba1U,     0x70b2fb6dU,     0xd9122084U,     0xecc5f0cdU, \
    0xba4156afU,     0x12628637U,     0x2c3a4312U,     0x8496471cU, \
    0x44240384U,     0x9504f55dU,     0x82d92fb5U,     0xd24b805eU, \
    0xee51e1caU,     0xc314c217U,     0x8fb79caaU,     0x2ad07cdbU, \
    0x07d4a3ebU,     0x2f8231e7U,     0xcb5de844U,     0x39603508U, \
    0x3d4f1074U,     0xcff2c61dU,     0xd5a2351bU,     0xd9e41669U, \
    0x0e0b69f8U,     0xd744ed45U,     0x96dd6b1aU,     0xb72389ffU, \
    0xca8e93d2U,     0xb59c9d39U,     0x3a43565aU,     0x9c5a619aU, \
    0x86387e40U,     0xcb044c09U,     0xf418bf75U,     0x413d6110U, \
    0xa74ee714U,     0x690ca59eU,     0xe6f8ec40U,     0xdecd5098U, \
    0x24afa661U,     0x3a9fa2a8U,     0xc34d9299U,     0x283f3c54U, \
    0x33935b6fU,     0x25d0c4b7U,     0xe7307eceU,     0x65770c3cU, \
    0xc292875fU,     0xc4fec2baU,     0x22a3feffU,     0xa6e4f52eU, \
    0x4369e2a0U,     0x347702caU,     0x16de8561U,     0x3133418fU, \
    0xcd893a9fU,     0xc4e5e122U,     0x18ad9f0cU,     0xd42bd8d4U, \
    0xae0b45b7U,     0xb973b983U,     0xfc277cbfU,     0x6457fcefU, \
    0x630ea48fU,     0x9a194ca5U,     0x82310585U,     0x09842a15U, \
    0x00283fbfU,     0x7767ac0bU,     0x1d3ed7a1U,     0xa40efb5bU, \
    0x0c001538U,     0xa370ae56U,     0xcd70457cU,     0xeba876e1U, \
    0xb98b5cdcU,     0xeb00ae5fU,     0xeaa324d2U,     0x71403be2U, \
    0xa69c72b6U,     0x83a3dd16U,     0x99e09e5eU,     0xad7d37d0U, \
    0x7d27632fU,     0x0a7191a1U,     0xf9c3e536U,     0x71f92fbbU, \
    0x20b070b6U,     0x71d2f6ddU,     0x88c35e50U,     0x05740bb1U, \
    0xd84800ecU,     0x815e4a70U,     0xf3d2334aU,     0xf4bdbe47U, \
    0xd7255db0U,     0x8093f7ddU,     0x9ad2ea96U,     0x29f95602U, \
    0x9e36697bU,     0x33ab8460U,     0xeb4ef0d1U,     0xc2caafe0U, \
    0x54afca90U,     0x3271bae8U,     0x52f06696U,     0xa9292c2bU, \
    0x33208f14U,     0x7b224965U,     0x3b7d0afeU,     0xb0c15f60U, \
    0x5619935aU,     0xd7b94041U,     0x53f083edU,     0x0c992a1aU, \
    0xb7c3b11aU,     0x06039a18U,     0xfe405a40U,     0x06a52148U, \
    0x740c064aU,     0xf535316fU,     0x962a695aU,     0x0d4ac826U, \
    0x7cd87259U,     0xb0bb34cbU,     0x49e1adf8U,     0x92efefceU, \
    0x08206e47U,     0x059b7f9fU,     0x63cbee8aU,     0x6d5671f1U, \
    0xae4e50a5U,     0x74dc5475U,     0xd7e3b8e6U,     0x23ae581eU, \
    0xce08d933U,     0x8e434d5cU,     0x5af7ee4bU,     0xc82d8c4cU, \
    0xc7d9c42cU,     0x4a43b456U,     0x637aef82U,     0xa088e8faU, \
    0xa3aadf82U,     0x48801e52U,     0xa882b4d9U,     0xe0668342U, \
    0xb3dafe3cU,     0x344fc350U,     0x7d0fedbeU,     0xcab12b6bU, \
    0xf8196181U,     0x4a75ea67U,     0xa114d899U,     0x42f793c9U, \
    0x618f8c54U,     0xe2a93be1U,     0xb59180d2U,     0xecddaac1U, \
    0x89ffe96fU,     0xc5321cbfU,     0x9eb9b8f6U,     0xe43a6793U, \
    0xa2b87891U,     0x3fdf9e78U,     0x44449c4dU,     0x3d6a04d8U, \
    0x6c7982d8U,     0x3687469fU,     0x1cfa043bU,     0xc078e8e3U, \
    0x0db5a6e0U,     0x36a81f82U,     0xad6064e4U,     0x6e8ebf77U, \
    0x3f3259ffU,     0x5eeb9cb1U,     0x592586f8U,     0x076209c2U, \
    0x2a37a614U,     0x3c6ce67bU,     0x76eb9004U,     0x07414fefU, \
    0xb49ad912U,     0xc3767ce6U,     0x05fa0b80U,     0xa9cd9e0bU, \
    0xd46014f5U,     0xc6427ef3U,     0xb8104610U,     0x4e3cfbf9U, \
    0xf414353bU,     0x68018daaU,     0xd8f5ad00U,     0x2ce7361aU, \
    0x005c44daU,     0xd93e48ceU,     0x1626a39eU,     0x751a5feaU, \
    0x0c8e2c62U,     0x95573c47U,     0x148a2b66U,     0x4259f78eU, \
    0x8d86e5b1U,     0x33cabf31U,     0x7222c5f7U,     0x3a65ea1fU, \
    0x48e4d8e1U,     0x5edb1591U,     0x5291813cU,     0xeb52ec44U, \
    0x4639f49eU,     0x5b43c371U,     0x30e414e2U,     0x41e7fdf7U, \
    0x39ca9d63U,     0xb17988f3U,     0x64b40c72U,     0x7f950ad7U, \
    0x095509b3U,     0xe7174f12U,     0xa10af7a5U,     0x452fd307U, \
    0x83c2610cU,     0xb4ce3d7dU,     0x7182f36eU,     0x5465414cU, \
    0xab54a413U,     0x5c10d7e2U,     0x51a76b7fU,     0x0ce8553dU, \
    0x8aced5fbU,     0xf5103dc3U,     0x100d1c87U,     0xe2af26c3U, \
    0x3c45e6d0U,     0x2666fe30U,     0xcf83349fU,     0x1f9dfda7U, \
    0xa2cea1b8U,     0x485a7f86U,     0x780c6b79U,     0x50922ef7U, \
    0x26f7309fU,     0xdc254f3dU,     0x7f1a61acU,     0x5b0a31bfU, \
    0xfc511929U,     0x7422358fU,     0x7df3bc4cU,     0xe0113989U, \
    0x66a98a57U,     0xd9fc6909U,     0xd8bf550eU,     0x33e2a609U, \
    0xb8107f58U,     0x8f2e2fbfU,     0x944611c7U,     0x1aa83462U, \
    0xe9e33337U,     0x07c0f7a5U,     0xc75d9686U,     0xe7867ee3U, \
    0x47b3cfd0U,     0x16e569c5U,     0x4f3c8a9eU,     0x830784cbU, \
    0x3705f085U,     0xe9c8af6eU,     0xad14114aU,     0x3f4a3bc0U, \
    0x1a24499bU,     0x373740a0U,     0xa5cb652fU,     0xac8af46fU, \
    0x89dd7d19U,     0xd7f54545U,     0xcf4f74c3U,     0x0a0c8e30U, \
    0xd2e6d7f0U,     0x5e16bae0U,     0x811d65d5U,     0x583de85eU, \
    0xe6c11878U,     0xd168034fU,     0x88506a51U,     0xd518541bU, \
    0x5d9af8f8U,     0x4d5d48c0U,     0x6a6988b9U,     0xb61eb633U, \
    0x4da12d86U,     0x34730f5cU,     0x014bb532U,     0x3e4ec50cU, \
    0x76169249U,     0x3bb5755eU,     0x04b08ed9U,     0x5df59405U, \
    0xb8a35be0U,     0x66da4283U,     0xae0bb22aU,     0xb053804bU, \
    0x6109643aU,     0x233d2f18U,     0x77aa07a3U,     0x55121a86U, \
    0x723e518dU,     0xe5e67c7aU,     0xeaf91b40U,     0x4737d724U, \
    0x14813c80U,     0x42a2d7f8U,     0x7896a576U,     0x8f8efdd9U, \
    0x599023efU,     0xeaf6daf5U,     0x67ce1ae3U,     0xa9927d9eU, \
    0xf112a556U,     0x61dcbd16U,     0xa0987b3cU,     0xdafcb501U, \
    0x8f988bc0U,     0x03f20199U,     0x18b464faU,     0xff163cb8U, \
    0xc6f694bdU,     0x67dcb56eU,     0x1b12af1cU,     0x885eb26dU, \
    0x3dde5ce0U,     0xe4a04670U,     0x447facd1U,     0x8bb44927U, \
    0xe2a0519bU,     0xfc5b5cceU,     0x7ec9ef20U,     0xc47aef44U, \
    0xf91e1dc3U,     0xf18e4232U,     0x232d48cbU,     0xd2d8407aU, \
    0x9b26d91eU,     0x3c36a835U,     0xb21aecc3U,     0x9c9cadceU, \
    0xdf87566aU,     0xfe81d8fdU,     0x809d5df4U,     0x551f1ef9U, \
    0xb86a3798U,     0xeac6275cU,     0xde619f5dU,     0xad4dc684U, \
    0xf41118bcU,     0x7c550b6dU,     0x8c294163U,     0x23dd0733U, \
    0x53cf2171U,     0xd59dd7edU,     0x0d62afb6U,     0x46a6af6fU, \
    0x01e875f5U,     0x119b6540U,     0x014cea93U,     0x21a49856U, \
    0x41fa406fU,     0x625a87a0U,     0xd89e6742U,     0x89a35e47U, \
    0x25b5f1c9U,     0xc69df54aU,     0x32419484U,     0xb5dcbdd3U, \
    0x451fbb89U,     0x701c8e29U,     0x116762eeU,     0xe2f58ecbU, \
    0x19a83b6bU,     0x77ecddbfU,     0x359477d2U,     0xa97cdf09U, \
    0xd6272384U,     0x1d125ccfU,     0xb7d69bbeU,     0x8f0dbef4U, \
    0xb416f537U,     0xaf924837U,     0x79608c67U,     0x5c108ad5U, \
    0x05642a8aU,     0xf141df55U,     0xce31278bU,     0xe610ef75U, \
    0x6ee43aa5U,     0x2ea9b485U,     0x0ac162f5U,     0x7596d6a8U, \
    0xfb026b2fU,     0xc04db0bbU,     0x31c99a4dU,     0x488672c3U, \
    0x75fad07bU,     0xf29cad42U,     0x42e2c163U,     0x678b9d4bU, \
    0x0604333bU,     0x897eb2f6U,     0x3b0e3c87U,     0x2ef2fbe2U, \
    0xd3aad0eaU,     0x565cf5a0U,     0x53050919U,     0x337fd400U, \
    0xa8226dc5U,     0x30f773b5U,     0xc49cf394U,     0x16a0375eU, \
    0x732e737eU,     0xac57241eU,     0xf6d91d37U,     0xe4beb7cfU, \
    0xbc46dc45U,     0xbbabfafdU,     0x8195d02cU,     0xa89412d1U, \
    0x491eaf7aU,     0x05870b7eU,     0x221284e0U,     0xe8dbe246U, \
    0xc0d76673U,     0xa19575a1U,     0x5611f8f7U,     0x03d57372U, \
    0x359964a1U,     0xfea8f452U,     0x07d3fd95U,     0x9a65c4dcU, \
    0x4b92fc58U,     0x0beb2a44U,     0x98bb39a6U,     0x00e24aa8U, \
    0xfaccc0c9U,     0xbb0b76c9U,     0x6b457084U,     0x667b0eb8U, \
    0xc7e3929aU,     0x49a0397fU,     0xf1a0073aU,     0x3291091cU, \
    0x7db68cbaU,     0xcded02ecU,     0x5cf4cfdcU,     0xad70bc85U, \
    0x746f1991U,     0x2d17a3e2U,     0x47c776b8U,     0x9f6000a7U, \
    0xb123dae9U,     0x5c68ea73U,     0x773fd5fdU,     0xa2bd4917U, \
    0x3b35ed47U,     0x589c3e2cU,     0x685e4c00U,     0x57cbe63cU, \
    0xf4285cddU,     0x2e07e2ddU,     0xc7163220U,     0x6894a92fU, \
    0x5e7e38deU,     0xea5e20a2U,     0xd9e9b2a4U,     0x81fd5239U, \
    0xa77a74bbU,     0xa6b09332U,     0x0957feb5U,     0x0275eedcU, \
    0xf8820ff7U,     0x161d00f2U,     0xef46d0fcU,     0xd4ad9210U, \
    0x2630f6b6U,     0x6e26eba5U,     0x2ac6b801U,     0xb1466f21U, \
    0xea1ecac7U,     0x0b372471U,     0x04bc9fa3U,     0x1c65dde9U, \
    0x0ce225e0U,     0x12979f0dU,     0x29a3898cU,     0xd541ee47U, \
    0xadd7b5c7U,     0xd87cb59aU,     0x87e0c67fU,     0x5191e012U, \
    0xb21b62fdU,     0x63237ab2U,     0x6174884aU,     0xce8be728U, \
    0xbf495d49U,     0xc1d1dc49U,     0x2f4d3cf3U,     0x88c2de6dU, \
    0x8153298aU,     0xd3c59372U,     0xaadd1fd8U,     0x7c4749fdU, \
    0x50a276e4U,     0x5e7a72a5U,     0xd444c32bU,     0x56e559c1U, \
    0xa5eaf7fbU,     0x32b6bcb2U,     0xbe36ae50U,     0x544eeb4eU, \
    0x034c0775U,     0x9ba89d61U,     0x6cb947d9U,     0x74be5f67U, \
    0xafb7e411U,     0x7afc30a7U,     0xe555a9e2U,     0xa6f751eeU, \
    0x9424af1bU,     0xa7317ff9U,     0xab9a9e66U,     0x4e9bfac8U, \
    0xf9559a48U,     0x919d9a41U,     0x97d483a0U,     0x7017e1baU, \
    0x20a0539dU,     0x0d0ab1c2U,     0x6358d084U,     0xf498adb2U, \
    0x788c3368U,     0x74a5d71cU,     0xd8c326e1U,     0xf6d2e9d2U, \
    0x0c360f78U,     0xe6d9e91dU,     0x19b7bd4aU,     0x00a5cbe5U, \
    0x68f539aaU,     0xca9fd5c1U,     0xbf6dc09dU,     0xed22ba51U, \
    0x2fecf0e9U,     0x8c21f077U,     0xcc00d2f9U,     0xe0535cb2U, \
    0xca77e486U,     0x15872477U,     0x32cfeb02U,     0xfd19e141U, \
    0x5ecefbcdU,     0x1912a6efU,     0xf4e7f370U,     0x07487dbcU, \
    0x249d8445U,     0xf681b954U,     0x1fee60a0U,     0xaf9fb9cfU, \
    0xc09c3cc3U,     0x3949dda8U,     0x5dc7e83eU,     0xd95ff561U, \
    0x1db61d37U,     0xb541972eU,     0x8ea4bacbU,     0xbde357d0U, \
    0x4021d619U,     0xe0b93656U,     0x4245fcf0U,     0xe5d323d0U, \
    0x80649233U,     0x7169f4b3U,     0x432c57a3U,     0x0c3bb8c3U, \
    0xe36cb916U,     0xa4685aabU,     0xdf97952aU,     0x7c361893U, \
    0x8356e1e9U,     0x8e6a0188U,     0xbf2ab621U,     0x0674d373U, \
    0x3f65cd4aU,     0x398bf82fU,     0xb7318f46U,     0x055527e2U, \
    0x248197beU,     0x4f7398c2U,     0x5af731abU,     0xcfa1de79U, \
    0x4174c706U,     0xee80d84eU,     0x901a3218U,     0x59356992U, \
    0x3ae808b8U,     0x987780acU,     0x2aaa9912U,     0xf6730daeU, \
    0xc6f40885U,     0xc83abe58U,     0x6420c753U,     0xccf38b2eU, \
    0x7a958630U,     0xc87b6c14U,     0xd20fdf6dU,     0x4ce3e644U, \
    0x5fa18ef2U,     0x40974e6bU,     0xf04f2694U,     0xe345a7c3U, \
    0xe9502a5cU,     0xbb2ccb3aU,     0x1dbb6ce6U,     0xa46ab247U, \
    0x509a8a24U,     0x329e46b3U,     0xf0a68d63U,     0x5ae2dc01U, \
    0x0639c9e1U,     0x8e0f9b13U,     0xa3e4d3c9U,     0x9c1ebf7cU, \
    0x38eb37d5U,     0xb9c0ed72U,     0x6f33165cU,     0xeff7e678U, \
    0xb163e899U,     0xb9f2d9fbU,     0x9876786cU,     0x9dfa5d4bU, \
    0xb96dc485U,     0xbc77381cU,     0x9cc5c772U,     0x2969c972U, \
    0x9d8413ceU,     0x96c6674fU,     0x84ecdb3cU,     0xe0e1f844U, \
    0x0f266581U,     0x3d3f0b95U,     0x8593d5e7U,     0xa0a5fbcfU, \
    0x16982431U,     0x915e4170U,     0xc2724fe7U,     0xe1422eebU, \
    0x8866bffdU,     0x84d3f58aU,     0x9c0a1c27U,     0x40891290U, \
    0xa8968601U,     0x2dd16617U,     0xa1442e2cU,     0x47870f56U, \
    0xdb92b12bU,     0xa9fbfab3U,     0xdb14f1e4U,     0x37daebaeU, \
    0xc4d784b8U,     0x9ad406b0U,     0x131a2dccU,     0x439c6786U, \
    0x5b3a7cd2U,     0xa39dc2eaU,     0x145fe89aU,     0x3bb5abd8U, \
    0xe16e0332U,     0x45fa9b11U,     0xc35423ecU,     0xedc7c8cbU, \
    0x7fe99f38U,     0x337a9f93U,     0x14c6ac35U,     0xe0396d98U, \
    0x2e75c679U,     0xf12b6d19U,     0x1ae4e336U,     0x6df15cc5U, \
    0x3803db0cU,     0x41f42f91U,     0xa9ba400aU,     0xecb773ddU, \
    0xea64d11aU,     0xd30b1b77U,     0x2e360b56U,     0x337a0d57U, \
    0x7da778a8U,     0xc7a6c4a1U,     0x5e5145a7U,     0xa10aac4aU, \
    0x20e25a79U,     0x6f941734U,     0x075020ebU,     0x9ec79f0cU, \
    0x16f44957U,     0x0a99a58eU,     0x224a9b76U,     0xee0be1ffU, \
    0x508a6bd9U,     0x6e91911cU,     0xd8582004U,     0xbd333864U, \
    0x5b0ed22bU,     0xc605bc4aU,     0x7f4af167U,     0xccb0a98eU, \
    0x2d38f9b2U,     0xf06b86eeU,     0x9184f285U,     0x8598107aU, \
    0xde5af727U,     0x9e6793c2U,     0x1d6a64bfU,     0x5877becaU, \
    0xf08f5844U,     0x4c1defd2U,     0xb8f26dbcU,     0x5e27bd0eU, \
    0x316424eaU,     0x9a5106d3U,     0x63bae701U,     0x90a60c69U, \
    0x508ed204U,     0xfb948cfeU,     0xd7cec4eaU,     0x495e92f8U, \
    0xb3a793c5U,     0xaa9541e7U,     0xa4d192c0U,     0x0b04145bU, \
    0xd1d497a8U,     0x267fc773U,     0x81428c6eU,     0xc7fc5b0fU, \
    0x9d5b45b2U,     0x3754a39bU,     0xb87aea97U,     0x401e934aU, \
    0x19386071U,     0x5000f785U,     0xe2f73e42U,     0x41be9e27U, \
    0xeba27294U,     0xace4bcf5U,     0xbb5b9b19U,     0x04984f74U, \
    0xfe2e08a5U,     0x10c51626U,     0xe38d16abU,     0x2ad2b233U, \
    0xf046c9d2U,     0x54ca9db6U,     0x5a2c72a1U,     0x0b627857U, \
    0xd671ec7dU,     0x240c38e1U,     0x419e1a8cU,     0xb6f16365U, \
    0x303ce6f6U,     0x74dab198U,     0x14c59597U,     0xf9369dfcU, \
    0xde3a06ccU,     0x7b506a94U,     0x283ed674U,     0x132ed0a3U, \
    0x8a3f0c45U,     0x927efae9U,     0x84e3fb99U,     0x0a90bdadU, \
    0x5b0412dfU,     0xc6ac3a83U,     0x57f257c2U,     0x39ce150cU, \
    0x1c3d841fU,     0xef0a8086U,     0xb444c970U,     0x4e0f7873U, \
    0x94c16e69U,     0xfe71406dU,     0x73eecb2fU,     0x2cfc991fU, \
    0x32e02698U,     0xcc15ddb8U,     0x58efb268U,     0x84ec7f3fU, \
    0x32108f85U,     0x0f5a729dU,     0x9218ff0bU,     0x07ebc45dU, \
    0x68fc3b2aU,     0xc9d13057U,     0x7c2b8d7fU,     0x26ccd3c3U, \
    0x3b312e16U,     0x36accfc5U,     0xf5101bf5U,     0x30261511U, \
    0x20240f9bU,     0x48e92c3cU,     0x45196a8bU,     0x88f9f8cdU, \
    0xf0fc5888U,     0x26818f62U,     0x047db56cU,     0x15ff9536U, \
    0xda4cbdeeU,     0x38d27386U,     0x780035d2U,     0x999bfc3bU, \
    0xdcb5d39cU,     0xe53c0090U,     0xe47720d4U,     0x6c0d9462U, \
    0x6907f861U,     0x10b25a10U,     0xc7d7024fU,     0xd86828a8U, \
    0x7c07dfc4U,     0x689e01eeU,     0x9dbe1bc8U,     0x8de22becU, \
    0xe3a01a18U,     0x9fab6de1U,     0x816ad84dU,     0xe556b5e6U, \
    0x095e44daU,     0x772b68c1U,     0xd3a2a505U,     0x766e45baU, \
    0x49003807U,     0x01a14035U,     0x7d1a343cU,     0x2f860c1dU, \
    0x140fb610U,     0x5fd316faU,     0xd6e78e5bU,     0xfb2f8369U, \
    0x96b09863U,     0x23fb55edU,     0x6d2a1699U,     0xe46ae309U, \
    0xefe932b6U,     0x4b65d083U,     0x603751d9U,     0x5fe9c8d7U, \
    0x9df3f683U,     0xb7571cd4U,     0xb5ff56d7U,     0x5f897d56U, \
    0x7a79abb3U,     0xca1761ddU,     0x4fd07629U,     0x6b43f495U, \
    0x6b2d9615U,     0x83de4fc2U,     0x055e4c2bU,     0x15302d55U, \
    0x742191b2U,     0x2205765dU,     0xec886757U,     0x22b9f883U, \
    0xa393f407U,     0x8cd2a0bdU,     0x8627fcd9U,     0xf86d6b76U, \
    0x46d29a7bU,     0xde636f32U,     0xfde6673aU,     0xe1a47351U, \
    0xe4d77111U,     0x2a49a05dU,     0x729313aeU,     0x6e29b90cU, \
    0xf0e3442cU,     0x5f82881cU,     0xdc537c8dU,     0xe0a31c2aU, \
    0xc2a69270U,     0x22d22dbdU,     0x625b43ccU,     0x6a7f7e73U, \
    0x8b21712fU,     0x220f8f5cU,     0x8dd9f715U,     0x5006ed54U, \
    0xcfc041b8U,     0x22613ce3U,     0xf55aeca7U,     0xbaa9d6e7U, \
    0x15c2b526U,     0x1053b6bcU,     0x89883574U,     0x81871fd3U, \
    0x88bef450U,     0x850b318bU,     0xee530088U,     0xfd2cc8b9U, \
    0x06fc31d9U,     0xc6cc3dd8U,     0x53687687U,     0x469402acU, \
    0xcebadda1U,     0x8198ea12U,     0x0629842cU,     0x8e5c2c4aU, \
    0xfbc41b2dU,     0x6ba85e83U,     0x7f2c2cc0U,     0x4a156c8dU, \
    0xecbc4eb9U,     0xe436563fU,     0x78dde2bbU,     0xc714d38eU, \
    0x3c530546U,     0x57f55cdbU,     0x5160fde1U,     0x3abc1196U, \
    0xc663be25U,     0x99af95bfU,     0x43cce9adU,     0xf2954a53U, \
    0xc94c0754U,     0xac46d86aU,     0x5eaba7b7U,     0xe04bcef2U, \
    0xe2405468U,     0x3304cdaaU,     0xe899772aU,     0xcbe91c26U, \
    0xcab91c7dU,     0x32bc5d6dU,     0xc8af0784U,     0xe7853438U, \
    0xbafc6c7aU,     0x2ab16b18U,     0xa7655403U,     0xabb4b8f6U, \
    0xac7adde3U,     0x892c6166U,     0x91de1530U,     0x5ce6d067U, \
    0x42d4ae8eU,     0x6a6e64e0U,     0x108c04afU,     0xaf770ee3U, \
    0xa5208107U,     0xd66e9147U,     0x9ac37675U,     0x4c08abf1U, \
    0xeece3296U,     0x867e2d2eU,     0xb197516eU,     0x51956200U, \
    0xe5863fa6U,     0x7e1303c2U,     0xb6679f19U,     0x2f5a59d8U, \
    0x0f272750U,     0x2e2e730dU,     0xc0e5133dU,     0x39dba129U, \
    0xa1a19e2cU,     0x35b293c5U,     0x8cfee58aU,     0xbc9c2c61U, \
    0x51ea5f2eU,     0x6953da7bU,     0x11b00913U,     0x83b90b74U, \
    0xdb4a5797U,     0x48215d9eU,     0x61aa3476U,     0x1f4adf37U, \
    0x3fc11d77U,     0x78af86a5U,     0xee338509U,     0x8804480dU, \
    0xec157852U,     0x6a5e5a42U,     0x56a8d4d9U,     0x4f7928eaU, \
    0x5aee9e50U,     0x82c9f1faU,     0xfeed4eaaU,     0xd387e66cU, \
    0x73cc7913U,     0x174ffc44U,     0xd647fcadU,     0x76c7642dU, \
    0x403b3342U,     0xa087afbdU,     0xbff57d9cU,     0x936e0913U, \
    0xbe3745f8U,     0xfb1a8766U,     0x42655520U,     0x55d9fe77U, \
    0x6f68888eU,     0xe20a592bU,     0xbc949a83U,     0x630b529fU, \
    0x5479891dU,     0x96a1c27cU,     0x209cfe22U,     0x82e32905U, \
    0x5a4cdf67U,     0x15b0f3f8U,     0x1460344eU,     0x70453ed1U, \
    0x3e3905efU,     0x541c9594U,     0x39da7cfdU,     0x03b3ca67U, \
    0x3b94a049U,     0x0c1e57b2U,     0xf54ab906U,     0xd0d0390eU, \
    0x55ca0d3bU,     0xad0143b4U,     0x3d360109U,     0x859a3df0U, \
    0xc10068b8U,     0x058a02cdU,     0x4a9822a3U,     0xb2633019U, \
    0x5cf06d87U,     0x1c05b7ecU,     0x4e60bf73U,     0xf1582e7fU, \
    0xeea69154U,     0xee27f98dU,     0xeefdc4cbU,     0x8b8d78f8U, \
    0x67090c1dU,     0x9192a5e3U,     0x8e27c780U,     0x1d8d9e26U, \
    0x2328eaa5U,     0x9facf6e5U,     0xb52c9044U,     0xc9b7b993U, \
    0x8a3d3fcfU,     0x0779b353U,     0xcc7018e1U,     0x629b9f5fU, \
    0xf9237855U,     0xdfe10e3eU,     0x435f4628U,     0xe914048bU, \
    0x9a6c9c2aU,     0x1831941eU,     0x3df89a4bU,     0x29e7430bU, \
    0x878fa1e2U,     0x1e1668f8U,     0xa7079841U,     0x73d5096cU, \
    0xab9107c5U,     0xe3bc7c68U,     0x5fecfe4bU,     0x56d56800U, \
    0x3ae80f8cU,     0x6c6e770cU,     0xf68773ccU,     0x0c77fa58U, \
    0xcf26e062U,     0x23286234U,     0x0720d539U,     0x55906340U, \
    0x4bad6cd5U,     0x449d094aU,     0x256aed72U,     0x92d42521U, \
    0xb915c19fU,     0xf0d3092eU,     0x47260d98U,     0x8bc17164U, \
    0x82b41c2eU,     0x86b7241fU,     0xa5c92891U,     0x12570cb7U, \
    0xadf17122U,     0x4bb9746bU,     0x179d5abfU,     0x7bf62870U, \
    0x068cce76U,     0x6fa05524U,     0xcbb2cba5U,     0x870be871U, \
    0xb0956d32U,     0xf9618890U,     0x39233e6dU,     0x43fb6953U, \
    0xc5452993U,     0x180a1930U,     0x11f4ca57U,     0x878d2b89U, \
    0xb11cc80cU,     0xd6e98fbfU,     0xf8e9f333U,     0x21baf8deU, \
    0x8c4b51f2U,     0xcc01d641U,     0xb3887b90U,     0xd4d3d489U, \
    0xc6ec25c9U,     0x0c1e58e8U,     0x7ae2df9dU,     0x80cf157aU, \
    0x4006bef7U,     0x47f816a4U,     0x39e42141U,     0x5b884a7fU, \
    0xd87b1ff8U,     0x5df550cdU,     0x4ef0f307U,     0xbcf40678U, \
    0x45dced3aU,     0x95b23237U,     0xc3209bb2U,     0x0eaed9c2U, \
    0xfe756e2aU,     0x86b9ac94U,     0x27ff1fbcU,     0x621d47afU, \
    0x1acf7220U,     0x19092dfbU,     0xca0bbfbcU,     0x06ca0b39U, \
    0x1037b9b7U,     0x3c9169b7U,     0x40248595U,     0xc27b9692U, \
    0x2d8e74e3U,     0xb152b2dbU,     0xc803d073U,     0xc3484c1dU, \
    0x5e33b366U,     0x4abdcf01U,     0x3aa6877eU,     0x3ff32ebbU, \
    0xc249faedU,     0x2c64be79U,     0xfd97e541U,     0x5caddbebU, \
    0xd57193f3U,     0xcfaa4b80U,     0x9b4fac53U,     0xc23ca101U, \
    0xe23b3091U,     0xd9ac1295U,     0xbac9fe08U,     0x33d94048U, \
    0x5526a479U,     0x02c66c14U,     0x535f94d5U,     0x5c0a06beU, \
    0x88c37accU,     0x98f60edaU,     0x45f563f7U,     0x125541baU, \
    0x3febbafcU,     0x0791814cU,     0x1eb3ec3eU,     0xb0d5bf19U, \
    0x14ebcf97U,     0xc79caf12U,     0x179e7205U,     0xdebaf0a4U, \
    0xb5063a3dU,     0x80a51f6aU,     0xbcca7521U,     0xd2d4c7faU, \
    0x9600d252U,     0xff520e09U,     0x60fce9adU,     0x9cd15d1dU, \
    0x5355b476U,     0x491650ebU,     0x56172d81U,     0x2549e588U, \
    0xd377e386U,     0xd446ee24U,     0xff468577U,     0x134f603bU, \
    0x8de414f6U,     0xebf43ae5U,     0xe7fd76d7U,     0xc91175bbU, \
    0x9fdf7431U,     0x8b5493caU,     0x982eb88aU,     0xe586da37U, \
    0x20e2a810U,     0x66adecf2U,     0xccb17257U,     0x02bebd58U, \
    0xf281ac37U,     0x969a8d2cU,     0x11c94f90U,     0x24f49929U, \
    0xab04a726U,     0xd38c01e3U,     0x1b29e292U,     0x8a23b067U, \
    0x0c1931dbU,     0x389aa2e3U,     0xab97f425U,     0x24843c13U, \
    0xa1f10d31U,     0x48a9afd9U,     0x162dd6bbU,     0x7db2f0b9U, \
    0x9e3ae3cbU,     0x15c9ebffU,     0xcf649c98U,     0x1a469b83U, \
    0xa93c237cU,     0xb88a9ce7U,     0x3f2c05ddU,     0xe242c98fU, \
    0x99dc984eU,     0x885a2e95U,     0x41b09ce0U,     0xd4823d41U, \
    0xfa227d1cU,     0x3c9d39dbU,     0x953fe829U,     0x0d085f6eU, \
    0x7cb59fc9U,     0x3b3ba685U,     0xba5a4d1cU,     0x701a3028U, \
    0xe0360cefU,     0xd61a7d30U,     0x1943f971U,     0x36db2c02U, \
    0xe09cac1aU,     0x1da44be3U,     0x1d3c5796U,     0xb264c41eU, \
    0xb5a24a40U,     0xdf0684e9U,     0xa6bfdf48U,     0x8064cdf2U, \
    0x71d4fa1fU,     0x4f066c9fU,     0xea86a9a0U,     0x515ff9c9U, \
    0xcabdde46U,     0x8f34b39cU,     0xe477a0e0U,     0x9c4f3ec0U, \
    0xd0c63710U,     0xca5e1862U,     0xad96c52dU,     0x843e88a9U, \
    0x0701ca5bU,     0xdafe67aeU,     0x85da7ac9U,     0x1b3ecd18U, \
    0xf1b80ddcU,     0x00f2701aU,     0x0e4e35d5U,     0x5603ecd2U, \
    0x96d48f94U,     0x522215fdU,     0xc56bb6fbU,     0x2c316bdeU, \
    0xddf7ddf4U,     0x37979999U,     0xeef097c1U,     0x1eea7452U, \
    0xf7158508U,     0x903c84abU,     0x4ee36c0bU,     0x0662c69cU, \
    0x27076430U,     0xb6a43f00U,     0x826070ecU,     0x15e2dadcU, \
    0x910b4fcdU,     0xce21bf41U,     0xe47e1063U,     0x4db332eeU, \
    0x907ad78dU,     0xa09423feU,     0x23e48b7cU,     0x7f0060cfU, \
    0x5616c0faU,     0x3c3b4439U,     0xdcd8ca2bU,     0x232ffe73U, \
    0xf039d86cU,     0xc9035e62U,     0x4028ea26U,     0x214328dfU, \
    0xcb1a01bcU,     0x40893d38U,     0x18517a8aU,     0x22d3f28aU, \
    0x798bbb8dU,     0xa74cb0f2U,     0x6bb1b94bU,     0x4a760984U, \
    0x7cad6b7cU,     0x69bd8893U,     0xa512b8a7U,     0x888f7a76U, \
    0xbf2f8c29U,     0xbf3f9f5eU,     0xafe41d10U,     0x39f9f02fU, \
    0x1973cf7cU,     0x34e5ae98U,     0x6cda060aU,     0x13656019U, \
    0xd7bf0f21U,     0xd47acc31U,     0x5d85eeb2U,     0x68eb5fedU, \
    0xb71977fbU,     0x6b43a9c7U,     0x2dcf2e39U,     0x5e733971U, \
    0xd1034f70U,     0x6801a795U,     0xca0bbfdaU,     0xecfc21cbU, \
    0xa3e8ae90U,     0xb7e988fcU,     0x1d757166U,     0xc5a77258U, \
    0x9a7f27a5U,     0x08d8d896U,     0xdac570d6U,     0x274c1347U, \
    0x6cd6490dU,     0x8c2a43e4U,     0x158af0eeU,     0x8f9164ebU, \
    0x014af31cU,     0xbfdf76ccU,     0x36f732d0U,     0x9c348873U, \
    0xa604ed8eU,     0xb6aa8450U,     0xf795ac75U,     0x137e77b3U, \
    0x3df69f79U,     0xccd6032fU,     0xda07684fU,     0x02880d1cU, \
    0x031481bbU,     0xb3531c60U,     0x9eb630a6U,     0x76f00b17U, \
    0x05f856ceU,     0x0a1d1b45U,     0x6da52040U,     0x5ae49a5dU, \
    0x2c35a3f1U,     0x75c29d48U,     0xa1b17633U,     0xa8996359U, \
    0xe84623bdU,     0xcb352916U,     0x312c4c8eU,     0xf3673214U, \
    0xc594bee7U,     0x2c8cf8aaU,     0x04b99cd3U,     0x19a45d1aU, \
    0xb763fa66U,     0xc31d23c5U,     0x9b754168U,     0x5cafba4cU, \
    0xe9c9281aU,     0x2e74dc97U,     0xd6319814U,     0x6a44de2eU, \
    0xeb0f61c3U,     0x0f27b963U,     0xf5e65849U,     0xd738119eU, \
    0x744b745cU,     0x7b56177cU,     0xf9a1e2a3U,     0xab79f77aU, \
    0x77f59f89U,     0x931314c4U,     0xff2bcd86U,     0xe532812eU, \
    0xc5c4f560U,     0x7420b21cU,     0x2a4d33feU,     0x7af30745U, \
    0x01cdf948U,     0x66e655dbU,     0x980aae3cU,     0x3af18ee3U, \
    0xa6a426a4U,     0x30f1a22eU,     0x93d09278U,     0x2b6b9096U, \
    0x4c5a4cffU,     0x71c4339bU,     0x78a19aa6U,     0x83575190U, \
    0xc20230faU,     0x3463376fU,     0x52708940U,     0x77f8115cU, \
    0x66681012U,     0xd55e6f04U,     0x6206af3eU,     0xca83e22bU, \
    0x1580aea9U,     0x4f1af49dU,     0x4e910a04U,     0x10763bb1U, \
    0x9cf2978fU,     0x6b3fe850U,     0xcc29ac25U,     0xc14dc22cU, \
    0xbc67cf7bU,     0x663e17c6U,     0xfa33bd20U,     0x88a11d23U, \
    0x928fc465U,     0x673a27efU,     0xd70ae63aU,     0x8054ffdcU, \
    0x1d5a0225U,     0x3a09454cU,     0x81852494U,     0x010dfee6U, \
    0x64b3469aU,     0x0e8a114dU,     0x13708cddU,     0xbda9e8d1U, \
    0xe8a4aa27U,     0x835e0e81U,     0xa134066eU,     0xb65f3a73U, \
    0x97bb66bcU,     0xc10a5e56U,     0xcd0d7219U,     0xd829f6e6U, \
    0x3f35bac5U,     0x7f291cdbU,     0xab934007U,     0x5bbb90ccU, \
    0x73a389c5U,     0x004b5e54U,     0x087d1588U,     0x30187896U, \
    0x4a4af86fU,     0x1e2601fdU,     0x033da27bU,     0xfd5c6f1dU, \
    0xd93dd1faU,     0x7ac5fbc9U,     0xcd8d95edU,     0x03b7d51aU, \
    0x092eff7eU,     0x6eced2c2U,     0x0f99d187U,     0x32b0ec2eU, \
    0x7a31777eU,     0x5f46bab1U,     0x1856fe2bU,     0x7c4fe27dU, \
    0xa7408002U,     0x29e61cddU,     0x17f85b4bU,     0xe698cb5eU, \
    0x313cd494U,     0x19376ec1U,     0xef45d24dU,     0x68c5c556U, \
    0x84db958dU,     0xf4641b88U,     0x7de7c1c4U,     0x35f5068aU, \
    0x313f191aU,     0xc205acbcU,     0x7f4d17adU,     0x75339290U, \
    0x364321cbU,     0x9ed9a17eU,     0x32fd8869U,     0x15d30b58U, \
    0xb6c4543fU,     0x92d88dccU,     0x64f64c8fU,     0x1065ffaeU, \
    0x042db9f8U,     0x55575619U,     0xe37ce639U,     0xe63c3ee9U, \
    0x562672ddU,     0x14066ef1U,     0x5c50bb8cU,     0xc51cf511U, \
    0x9dfbc32fU,     0x57de1217U,     0x14a9bd41U,     0xa5180183U, \
    0xc332d5c3U,     0x9b8f53a5U,     0x7a80a150U,     0x7648cbacU, \
    0xb31fe7f8U,     0x93e07b4eU,     0x4a3edde7U,     0x954494c0U, \
    0x78a4d847U,     0x1ef31da9U,     0x7e89e167U,     0x59568c4eU, \
    0xe46add92U,     0x231604d7U,     0xff4c6032U,     0xe211c47cU, \
    0xcc9b7543U,     0x1bca2e1bU,     0x8c2d464aU,     0x72677c25U, \
    0x0673ccc5U,     0xf1164e3fU,     0xc2c6ebf4U,     0x0f0b53baU, \
    0x600c2cd9U,     0xec00cb98U,     0xd38aff2dU,     0xae679df9U, \
    0xbf6903dbU,     0x6a4811aaU,     0x253cda9bU,     0x779448feU, \
    0x0057c6deU,     0xafd478aaU,     0xcaee4397U,     0x0fc5d0e0U, \
    0x5335d4c0U,     0xf6cab2b1U,     0x24737516U,     0x02f655a4U, \
    0x0e8bc80bU,     0xb42ce432U,     0x92b41c74U,     0xc6e9d297U, \
    0xe00e4589U,     0x80c2ef25U,     0xa88fd384U,     0x9689cdacU, \
    0x1431ba1eU,     0xb01a5510U,     0xca69a2e1U,     0x886ad9fcU, \
    0x4de07dcaU,     0x3b2c6dfcU,     0x4e94a25fU,     0x0dfdcdd6U, \
    0x29b18422U,     0x11db0e42U,     0xf91f10fdU,     0x439ff48dU, \
    0xa28ffa7eU,     0xce563babU,     0xe42b10ebU,     0x061236b2U, \
    0xe7e58898U,     0x22fc0effU,     0x81aab9fcU,     0x8ea5a598U, \
    0x9091d15cU,     0x99fc1784U,     0xfa74f675U,     0x0b78e180U, \
    0xb1206e0cU,     0x3a321d01U,     0xa82945f5U,     0x18e0f439U, \
    0x149bab2dU,     0x92ce2e17U,     0x85bbf230U,     0x5a732354U, \
    0xade8f96fU,     0x839b380aU,     0x8afece96U,     0xb6aba3d2U, \
    0xb3c17887U,     0x5b9915b3U,     0x825b6837U,     0x8d1bf13bU, \
    0x582775f2U,     0x735377dbU,     0x37a582f2U,     0x1d209005U, \
    0xfe5eefa6U,     0x2ebe8c05U,     0x22f4d6b6U,     0x2a15b365U, \
    0xc4ce10b4U,     0x0b238e2dU,     0x3ac9e2dfU,     0x184e7de0U, \
    0x543b0fc2U,     0x267f82dfU,     0xbfdc6d6aU,     0x814706f4U, \
    0x90a39144U,     0x62f6e7c7U,     0x2e11e35bU,     0x322229f0U, \
    0x9b9e36eeU,     0x154ec9acU,     0xede74532U,     0xa5512200U, \
    0xea71e325U,     0x0b2d9127U,     0xe6f5ed53U,     0xcfc4b549U, \
    0x21a4b1c8U,     0x15db8b31U,     0x86d591f4U,     0xc4fc88aeU, \
    0xd2af0db6U,     0xd294910eU,     0x817c60bcU,     0x3974cf48U, \
    0x15a6de94U,     0x47783d6cU,     0x6c85e5e9U,     0xd4c68cceU, \
    0x1aa22ae1U,     0x37ba6332U,     0x16b6f486U,     0x0b119c2cU, \
    0x65018e5fU,     0x32bc2693U,     0x1bf3b2e8U,     0xfb0532edU, \
    0x1ced65ccU,     0x0794f6ceU,     0x16e0e3caU,     0x6776fcafU, \
    0x8ab52e05U,     0x66e3981cU,     0xe0bdf9f3U,     0x74b77841U, \
    0x42595bbbU,     0x5feb0bf9U,     0x2709ff03U,     0x8b1833abU, \
    0xa1cc0425U,     0x2e0506f9U,     0x303dce61U,     0xbe765f70U, \
    0x46e27e11U,     0x1c6ad9c1U,     0xbd5df4daU,     0x262de64dU, \
    0x237738aaU,     0x53ad61edU,     0x1eb6274eU,     0x320e1e34U, \
    0x3f42223dU,     0x29eeedc1U,     0x57911300U,     0x4df8f17fU, \
    0x2d1f4279U,     0xf7ec22c0U,     0x06a4a253U,     0x573d754fU, \
    0xba63430dU,     0x932e76bfU,     0x08c2a4aeU,     0x93a67e86U, \
    0x1d603085U,     0xa426e80bU,     0x761642dfU,     0x687e6bc5U, \
    0x224e0da0U,     0x0a6cc931U,     0x8ca88c45U,     0x7fca80eeU, \
    0xf71a9a8cU,     0x43daebf4U,     0xe5569048U,     0xf6ed4c8dU, \
    0x033cffdcU,     0x17a73b5fU,     0x67dbe70eU,     0x9fb395faU, \
    0x06b5666bU,     0xfbea83c7U,     0x76fa8b86U,     0xe0023f71U, \
    0x0c259a9cU,     0x14e1770bU,     0xccb2eb56U,     0xc2732d04U, \
    0xf1cc13fdU,     0xf3c988f9U,     0x340f5b10U,     0xd649512cU, \
    0x83bd4e83U,     0x7802dd9cU,     0xffdaf8c5U,     0x36498f32U, \
    0xddefdf5cU,     0x8e495761U,     0x9a439c07U,     0x5d5ddbcdU, \
    0x3ba87310U,     0x6dccc3b1U,     0x6abf8917U,     0xe0410417U, \
    0xc052e84fU,     0x44004767U,     0xf91a72d2U,     0x3dcc26e4U, \
    0x8897c3e1U,     0x964ed66dU,     0x4be884a5U,     0x1d35c8dbU, \
    0xdd1ca440U,     0x4880a821U,     0xdd66c26aU,     0x2da1ce69U, \
    0xdd5f40fbU,     0xf3df40b0U,     0x65a46ce0U,     0xf8355a33U, \
    0x8ef6d79aU,     0x4655c59aU,     0x11727065U,     0xb5ab6c25U, \
    0x2e1d9a36U,     0x8cd769baU,     0xf380032bU,     0x818d660aU, \
    0x8072821aU,     0x33a0de06U,     0x279e653dU,     0x1b1e1673U, \
    0xaf17f1b6U,     0xa13a038eU,     0x73d701c7U,     0x8f8359a1U, \
    0xb1b3b29dU,     0xef993845U,     0xdcc2938cU,     0x89c29471U, \
    0xe36050d4U,     0x6b4b0fcbU,     0xa7ae06d8U,     0x3bcd8e8fU, \
    0x0e9e6a0cU,     0x3eae6d47U,     0xd4fed371U,     0x3ea19e85U, \
    0x66783fabU,     0x36212753U,     0x933156f0U,     0xd228ff91U, \
    0x77c3338aU,     0xfd3cc319U,     0xa8c773c0U,     0x1bd1242dU, \
    0xa30b9efdU,     0x148a86f6U,     0x9a046e45U,     0x8127afb7U, \
    0x99e540caU,     0xfb0d3ff8U,     0x68c58667U,     0xc3140471U, \
    0x14e440c7U,     0x575c4090U,     0xeef7cd5cU,     0x9b0402b9U, \
    0xaba0973fU,     0x177d3929U,     0x08de1291U,     0xb49bd965U, \
    0xc4a5c19dU,     0x475fa4baU,     0x57e9b2ecU,     0x3e5d2e88U, \
    0x97a9e933U,     0x8bfd6eebU,     0x29806f84U,     0x93a06000U, \
    0x056f0f32U,     0xbf372bb5U,     0x42819a37U,     0xca211d97U, \
    0xfa9db5cdU,     0xba091b24U,     0xe3c23000U,     0xfa2753c6U, \
    0xc5744003U,     0xf5480c5cU,     0x3fa4aac6U,     0x8bd69827U, \
    0x0f9e1706U,     0x76c2696fU,     0x836496d9U,     0x9dcfb5b6U, \
    0xbe008bd6U,     0x1024604bU,     0xf9fda45aU,     0x184575c2U, \
    0x8fdb6291U,     0x17cff76aU,     0x86770534U,     0x937d2116U, \
    0x210be481U,     0xb8d462afU,     0x0c27e43dU,     0xcc7b235aU, \
    0x567cea9fU,     0x3395beaeU,     0xe02c3eb4U,     0xc76f0956U, \
    0xbfa576c1U,     0x456e6cf3U,     0x5bbcc93fU,     0x7902d1a6U, \
    0x38783f48U,     0x5df88017U,     0x769c0a63U,     0x59fbb690U, \
    0x8e40001aU,     0x15652691U,     0x6c97c261U,     0xa079985bU, \
    0x6ca2dc74U,     0x0ec9cfc2U,     0x105019c8U,     0xecb9c07eU, \
    0x726ac508U,     0x78c5f241U,     0x6bd8bf75U,     0x792a2c31U, \
    0x29c1124aU,     0x921ddad8U,     0x4035297eU,     0x6e7a7ff5U, \
    0xf3582a5cU,     0x38daf1e0U,     0x532158deU,     0xb5498374U, \
    0xc027c256U,     0x5e41cedbU,     0xf8668a2aU,     0x259794bdU, \
    0x87cce610U,     0xe03f349cU,     0xabec9344U,     0x682dd3e0U, \
    0x4d0a1946U,     0x8f2db1c8U,     0xec136123U,     0x8bce24e6U, \
    0xa1904dafU,     0x96d3c60fU,     0xc34dd323U,     0x3518f3fcU, \
    0x47e7d3cdU,     0xc80fd02cU,     0x10526e0fU,     0x9710b161U, \
    0xba86bc15U,     0x3d720163U,     0xd4842d47U,     0x8efc9949U, \
    0x83d57048U,     0x7154a56bU,     0x6cd2113bU,     0xc5d7de09U, \
    0x8ec504f8U,     0xa2fdfd05U,     0x720817deU,     0x5d1b6c93U, \
    0x84d68567U,     0xdb2de02fU,     0x22e8dafeU,     0xe5386cbcU, \
    0xe9480150U,     0xc4493f0fU,     0x32a29ab8U,     0x70634f4cU, \
    0xc3ee17feU,     0xa5a6a10bU,     0x3d27a191U,     0x673be128U, \
    0xf1344c14U,     0xb1949f02U,     0x7d027702U,     0x7f0de500U, \
    0x74eff558U,     0x5e13fee9U,     0x3c6268d2U,     0xecd15868U, \
    0x6fb66a6eU,     0x6885f311U,     0x8dffd056U,     0x9c567219U, \
    0xd65ae0adU,     0x04f31b5bU,     0xe76426e6U,     0x490f8c61U, \
    0x1989ea30U,     0xc448bb17U,     0xd2c10ca4U,     0xb8e61b1cU, \
    0x28da79a4U,     0x7ac1fd70U,     0xd56625b0U,     0xb0d0b43aU, \
    0x13eea21eU,     0xe6a94280U,     0xde413675U,     0xa61f649bU, \
    0x0e74d460U,     0xb717b11fU,     0x6e3b4cf6U,     0x6bc6fbe9U, \
    0x63e39828U,     0x80183dd0U,     0xfdee6053U,     0x99f5a79cU, \
    0x85b99d3bU,     0x091a3286U,     0xcf2c6cedU,     0x07eced84U, \
    0x0b25e3d1U,     0xbceb4573U,     0x21051ef9U,     0x6c32bdd8U, \
    0x4587d92eU,     0xd77a61a2U,     0xebddc775U,     0x66832ae2U, \
    0x48e2b5b5U,     0xefd56fa1U,     0x701f7fc8U,     0x170a2febU, \
    0xe3fe4d71U,     0xc9b8ae92U,     0x5ef516c7U,     0x5b2049afU, \
    0x5e1ecd57U,     0x3a312dccU,     0x555464d4U,     0x2e4f483bU, \
    0xb53d6e29U,     0xc5990714U,     0x7508a7ebU,     0x6d506d6aU, \
    0x39fa14f7U,     0x6bc7742aU,     0xb850462bU,     0xe85013ccU, \
    0xedee437fU,     0xdf865a8aU,     0xef9e4fa6U,     0x74e1602aU, \
    0xfda3c915U,     0xf1fabe22U,     0x59f1566cU,     0x21ae4373U, \
    0xfc2af7deU,     0x3ddd8863U,     0xe1c7af63U,     0x3453e216U, \
    0x9a7f3f57U,     0xa279c224U,     0xb19a60abU,     0x513d2331U, \
    0xaa2f0d1fU,     0xa20f9aa2U,     0x3184cf6bU,     0xa3f4f722U, \
    0xd690f74eU,     0x57646899U,     0x0519e53fU,     0x8e7501c6U, \
    0xc8ffd3a2U,     0x4b2583edU,     0xc1620ab1U,     0x32dca064U, \
    0x960889efU,     0x7bca2dc2U,     0x085d70f2U,     0xdb68db57U, \
    0x988ff372U,     0x3de0baeeU,     0xb20dc0c6U,     0xb6fc012cU, \
    0xaf73a27cU,     0xf93fbc17U,     0x263bac4dU,     0x0323dafdU, \
    0x3a2b4310U,     0xc47f9a6fU,     0x2b5b00c6U,     0x57e19d0fU, \
    0x8a64751aU,     0xc2cc1457U,     0x6ff54a43U,     0x56b2d725U, \
    0x9f99d8aeU,     0x80304858U,     0x0a33bd41U,     0x9a862b69U, \
    0x3080d759U,     0x659b026cU,     0x96966189U,     0x11ca154eU, \
    0xc259b50bU,     0x831515d7U,     0x8b1434e9U,     0xf15796b8U, \
    0xfb382f0dU,     0xb5f321e6U,     0xd77d4973U,     0xfedb1ef4U, \
    0xd0778057U,     0x43969678U,     0xbf54034cU,     0x79ce794fU, \
    0x3305563bU,     0x904c5f98U,     0x4990d373U,     0x9f5f4c3fU, \
    0x5e60c4feU,     0x0cd3f42aU,     0x9c0f47f1U,     0x5aa1196cU, \
    0xa2d3bd0aU,     0x6e787b3bU,     0x77a1b4f0U,     0x4411bef4U, \
    0x08eeb762U,     0xd8ede0b4U,     0x160f14daU,     0x79c61ec4U, \
    0xd27ebd4aU,     0x8b0da040U,     0xde914d14U,     0x67ad316cU, \
    0x99b97403U,     0xdf365a23U,     0x36a5e009U,     0x72af3305U, \
    0xe6f20dd0U,     0x1698c1f6U,     0xf8613c83U,     0x7eb9caf8U, \
    0x322b4f74U,     0xdc8cf417U,     0x8b069fd9U,     0x95e81b6bU, \
    0xc68fd365U,     0xe649348bU,     0x7c6281f1U,     0xfc05d324U, \
    0xeff24462U,     0x11a63b0eU,     0xe70686f5U,     0xc4f3bdf4U, \
    0xffaa78dcU,     0xd3dac8a8U,     0xe058d7cfU,     0x0500a839U, \
    0x1223f078U,     0x9a1d1111U,     0xbc8ff602U,     0x25fda9bbU, \
    0x385a58a3U,     0xa22abfbfU,     0xc9471970U,     0xad723683U, \
    0x55cd9f0fU,     0x3e15099bU,     0x181dcdfbU,     0x2b1aa3bfU, \
    0x0218e7c3U,     0x66c2939aU,     0xa10b7eb6U,     0x6082fe93U, \
    0xe2e14f90U,     0x04b36f00U,     0xcdea2c51U,     0x6772777aU, \
    0x2eb73bf8U,     0x4419088bU,     0x6ae8bb8dU,     0xe2c5b424U, \
    0x04166299U,     0xd79eacf3U,     0x4f0e32d6U,     0x00c57354U, \
    0x6564abf2U,     0x427ee923U,     0x5fde6698U,     0x89a96ef5U, \
    0x9829df03U,     0x2118e844U,     0x4892cd22U,     0xb9571a48U, \
    0xe278e0deU,     0x83479a4aU,     0xf12097c7U,     0xb0c08552U, \
    0xa39987edU,     0x10e0a38fU,     0xb5bd8e95U,     0x70d74780U, \
    0x7e6a9600U,     0xb2670eceU,     0x602e8365U,     0x81dd4f38U, \
    0xfc3422e5U,     0xdfd9d565U,     0x1c0bfcd0U,     0x2f27d5c6U, \
    0x3d850627U,     0x308ca1c0U,     0x52618054U,     0x9c83f2e4U, \
    0x29fd1043U,     0x776db063U,     0xc9902a00U,     0xc3862476U, \
    0xece87817U,     0xf7c186c5U,     0x8c409578U,     0x6e09cee5U, \
    0x51e449adU,     0xae314c84U,     0x5af3d31bU,     0x7701de08U, \
    0x24de8cc7U,     0x20dfc06aU,     0x7fb4f58dU,     0xb7522fd7U, \
    0xdeae0b09U,     0xe6dc3393U,     0x8d145424U,     0xb84d23a5U, \
    0x237298acU,     0x031719eaU,     0xe2895a37U,     0x980fb15bU, \
    0x3dc86613U,     0x0f4539c3U,     0xa3571cd9U,     0xafc1f869U, \
    0x94b91ca9U,     0x51418d3eU,     0x4f1c47a8U,     0xfb90cf2cU, \
    0x65e49094U,     0xc4c40626U,     0x39ef23f6U,     0x1e66baf5U, \
    0x90a8eae4U,     0xb52637f9U,     0x2143b5e4U,     0x5b791301U, \
    0x2c56736eU,     0xe87130d7U,     0x5fc5d47cU,     0x2d942f0bU, \
    0xd5549bafU,     0xf5b7db57U,     0xea4165efU,     0x2e2beaecU, \
    0x0ad265faU,     0x5cca4424U,     0x1d0cabd2U,     0x266d4010U, \
    0x06a9aa61U,     0xa7ac15deU,     0x6b7c24e3U,     0xebc2fe1cU, \
    0x288313d7U,     0x23a115d0U,     0x1a606181U,     0x9639b9bfU, \
    0x39198118U,     0x70d888e5U,     0x7a289cecU,     0x2fedd355U, \
    0x7f6c3f33U,     0x354edc61U,     0x3f150442U,     0x194f76e3U, \
    0x03cb1cf7U,     0x833d970cU,     0xf0482de2U,     0x17d410a0U, \
    0x03b046abU,     0x4e8d8b8cU,     0x2e6f0f5eU,     0x8cc6bfc0U, \
    0x63d4f4eaU,     0x78e3a71cU,     0x003d4e64U,     0x1150ed6aU, \
    0x79701becU,     0x9bb60037U,     0x836d7563U,     0xe1ad2670U, \
    0x5f6d7322U,     0x0bb942f4U,     0x7eacb349U,     0xb0888fd3U, \
    0x786a4b25U,     0x1fd956f7U,     0x86bb1a81U,     0x01098c70U, \
    0x1c6b6b83U,     0x1d5557d4U,     0x01f8eb26U,     0x8e7e9337U, \
    0xa8bed9e2U,     0x4930491fU,     0xc7b6e44cU,     0x6be44e4cU, \
    0x9c7fe839U,     0xbf1bd431U,     0x70a46e12U,     0x91a0865cU, \
    0x290a7484U,     0x39acddcfU,     0x0f1ca9f2U,     0x28ca311aU, \
    0x2e9cf3fcU,     0x14938c47U,     0x2e819a69U,     0x2d9610ebU, \
    0xc85bf2deU,     0xe5acbd87U,     0xc3053f7dU,     0x7d210464U, \
    0x751a4302U,     0x605368e5U,     0xd36e7556U,     0xc52b8491U, \
    0x00e349e3U,     0x02dadaf3U,     0xe9625f8bU,     0x2a7c99ceU, \
    0x17d5ee80U,     0x2ff495a5U,     0x80baae0fU,     0x156b162eU, \
    0xa523c570U,     0x0c2230ffU,     0xbb3a09f8U,     0xd69df20eU, \
    0x3b11447eU,     0x46ec6f3fU,     0xe7c384e2U,     0x990c9595U, \
    0x015b658eU,     0x167fbe31U,     0x41c736a3U,     0xb65dbb15U, \
    0xe9321fcdU,     0x5d44a7a4U,     0x7a77e448U,     0x92dd88a1U, \
    0xe21cac16U,     0x2c9c84c2U,     0x3d4fe53eU,     0xdd3ba9d1U, \
    0x86227a72U,     0x78f11f25U,     0x0b8ae7adU,     0xde75d302U, \
    0x008e373dU,     0x308c9075U,     0xbe2d0037U,     0x2798757bU, \
    0xe643dd6aU,     0xb416bc20U,     0xe4044a48U,     0xae4e01fdU, \
    0xc737c5c4U,     0xa4155c06U,     0x461e2a6aU,     0x0d780eaeU, \
    0x0877a791U,     0x760c4314U,     0xc1e34ff2U,     0x23b27c2bU, \
    0x7c53f59dU,     0xffc093c9U,     0x6ef9b78eU,     0xf9de1cb7U, \
    0xe1e5b8c0U,     0x209fb250U,     0xaeea0f7aU,     0x3e2b753eU, \
    0xfb39c9cbU,     0xe5df1673U,     0x56c95cc4U,     0x91383149U, \
    0x28ed5f3bU,     0x3a4a5676U,     0x11e0be3cU,     0xf5b1990fU, \
    0x84ef30eaU,     0x4a9760c9U,     0xc1689351U,     0x6b96646cU, \
    0x3571f03fU,     0x5f77cb3fU,     0xe7362628U,     0x97af0c88U, \
    0x81a75163U,     0x94acb545U,     0x0258f644U,     0xfc303dd4U, \
    0xfc93f7f1U,     0x1d727ebdU,     0x40684caaU,     0xe766de28U, \
    0x194b2990U,     0xa20ddae0U,     0xc447024eU,     0xd492b934U, \
    0x7fa4d3cbU,     0x2ccb7ef2U,     0xf2b9d07eU,     0x6c59b63dU, \
    0x657993cbU,     0x319db4a8U,     0xc4d1c921U,     0x086ebeeeU, \
    0x23802109U,     0x64e6d889U,     0x824307b1U,     0xa24fff4fU, \
    0xd567e0c4U,     0x152dbf8bU,     0x2cb83c0eU,     0xb5c4b8e4U, \
    0xbcf1fa63U,     0x3a43b3c5U,     0x927b7e75U,     0x12345c96U, \
    0xa35908c9U,     0x84798066U,     0x7b0aa8e1U,     0x424ae1b1U, \
    0x908106b9U,     0x84110a2cU,     0xee07cab7U,     0x620d2fa5U, \
    0x6c58059fU,     0x50d3af8aU,     0x437b2fb5U,     0x3939c2c2U, \
    0x8b042d33U,     0xb49dd7cbU,     0x6e4db037U,     0xb4a27be0U, \
    0x9b0a29afU,     0x3a829231U,     0x82b8f204U,     0x89342860U, \
    0xb2390c6eU,     0x09d270e9U,     0xa999d48bU,     0x183e3068U, \
    0x961d59ccU,     0xaea11a40U,     0x358da3b6U,     0x02bbb1c6U, \
    0x78e8b880U,     0x364312d0U,     0x2dd85179U,     0x98ff01afU, \
    0x126f7cdeU,     0x48d0bb00U,     0x8d88f9e2U,     0x30bf99f6U, \
    0x09aabac0U,     0xd9532bf4U,     0x2d39f96eU,     0x38230138U, \
    0xd58b2b84U,     0xe6250176U,     0xb33204ffU,     0x80cf3eddU, \
    0xa65db0daU,     0x58f49d1aU,     0x08345906U,     0x598931bdU, \
    0x4f7cf2d6U,     0x52232af8U,     0xed18d5f2U,     0xb08327c5U, \
    0xb24f24f5U,     0xb656b51dU,     0x00c1d5a9U,     0xa93526d2U, \
    0x2c801253U,     0xc4262420U,     0x139943a6U,     0x6f1edfcdU, \
    0x948cccbcU,     0x65e4874dU,     0xd9d47cf3U,     0x9b64e207U, \
    0xc1d3f085U,     0xe95edf51U,     0x1ed7d5ecU,     0xe79e12fdU, \
    0x27caa4c9U,     0x6db3a2cfU,     0xd85e748cU,     0xe84f55deU, \
    0x6a0ab9baU,     0x68470390U,     0xc89008a1U,     0xb7c5e2b0U, \
    0x3e9e54c6U,     0x47cbb72aU,     0x0ac36641U,     0xa6f7b9f3U, \
    0x3b1e2ca5U,     0x0e995ff8U,     0x9d3faf3cU,     0x2cef3132U, \
    0x5e2ed4caU,     0xb3fc580dU,     0xe61ad18cU,     0x7037b2e7U, \
    0x448f252fU,     0xd5a91b79U,     0x81503a2eU,     0xbfc1aa4bU, \
    0x0d7b12a0U,     0x27ac9f1bU,     0x230b0d36U,     0xdf9b6b2eU, \
    0xa1b6f810U,     0xd69a4cc5U,     0xeeb3bdb1U,     0x03cb6a11U, \
    0x6786335bU,     0x5da17a0bU,     0xa1aa56b2U,     0xb9dc8dddU, \
    0xb599df61U,     0x55d0299cU,     0xc6482b49U,     0x1704b135U, \
    0xd9842284U,     0x235c65beU,     0xc7d6de88U,     0x53fc136aU, \
    0xeeef94d8U,     0xe754714fU,     0xa49b5d4bU,     0x8d360f9aU, \
    0x68722778U,     0xb4b7e414U,     0xb1c60ab7U,     0x7eb59b35U, \
    0xd9a105e0U,     0xbf6d2d7bU,     0xa0a067f2U,     0xaf81e929U, \
    0xe08d4c0cU,     0x13537f17U,     0x4e377352U,     0x297a7a92U, \
    0x1eeefd13U,     0x864e132cU,     0xa0d2410bU,     0x5122fef8U, \
    0xf49b4a60U,     0x4a484aceU,     0x77af6c26U,     0xd7793fe1U, \
    0xa12f0d57U,     0xe5cc2ddbU,     0x5e3f8625U,     0xba9db773U, \
    0x7810cbe5U,     0x780624d1U,     0x70baa5d9U,     0x6d311eb0U, \
    0x66c85a59U,     0xfece17c6U,     0xd036d2c8U,     0x799260a8U, \
    0x68e6cf26U,     0xe01f5024U,     0x3e84c122U,     0xa5eb64f2U, \
    0x7d5ea4edU,     0xde54e7d0U,     0x6613041cU,     0xbd528209U, \
    0x14e76175U,     0x9507e514U,     0xd50034bcU,     0x1049b278U, \
    0x50e29058U,     0x3ca92366U,     0x3e0d261bU,     0xd7c97107U, \
    0xe6993a90U,     0x459971c2U,     0xa9cde945U,     0xfe88e989U, \
    0xaa0393bfU,     0x9f2ed724U,     0x8d6fdecdU,     0xa27078f4U, \
    0x9a17e14dU,     0xf1200d07U,     0xbb9e360bU,     0x4f0a8b05U, \
    0xec3430e8U,     0xc297ccd0U,     0x8715f76fU,     0x27be5965U, \
    0x04c9541fU,     0x1fe41353U,     0xf0e10e48U,     0xf8af0c9fU, \
    0xc9673feaU,     0x8966e347U,     0x0c932a84U,     0x70e2657cU, \
    0x4467bdbdU,     0xe32772b4U,     0x854aff97U,     0x7c8eda88U, \
    0xa3753a89U,     0xc7a45fe0U,     0x82592015U,     0xb4915a01U, \
    0x250466ddU,     0x4842bcc2U,     0xffaddab5U,     0x874b17b1U, \
    0x3c2f2ce5U,     0x55e00f6eU,     0xc0dd662fU,     0x0c11470dU, \
    0x01350afdU,     0xba02718fU,     0xf8f318d4U,     0x4dcae4f5U, \
    0x45f3324bU,     0xfce99a89U,     0xca7bd8d0U,     0xabea13c8U, \
    0x745719eeU,     0x9532b543U,     0x450a8e18U,     0xdcd51b7fU, \
    0x56fbe1f1U,     0x66722045U,     0x66f0c347U,     0x8bfd077cU, \
    0x898ef6f6U,     0xf34045dcU,     0x36d709d2U,     0xd0880f01U, \
    0x5408c4a7U,     0xe42017c4U,     0xdb099bb8U,     0xaae2da5aU, \
    0x4bde5f10U,     0xba14ea43U,     0x86c5ab80U,     0x5cd756edU, \
    0xb74a0eb3U,     0x39773e28U,     0xbf4dc123U,     0xddb6436aU, \
    0x1b88eae9U,     0x48f41874U,     0x3043b68bU,     0x3f8ea634U, \
    0xcec1dd22U,     0x9c9f2fbfU,     0xbdfa3e83U,     0x1646a5e9U, \
    0xff850236U,     0x63fc6321U,     0x13ffbadbU,     0x5e3f51ddU, \
    0xecca70bfU,     0xdd7003a7U,     0xbf34fc81U,     0xd652caedU, \
    0xc0568f9bU,     0x3aa1eb79U,     0xe6bed704U,     0x4bfd88e9U, \
    0x938a4dfeU,     0xa41b5840U,     0xd31b1ccbU,     0x8d7d9e15U, \
    0x9bc56270U,     0x841ce49dU,     0xdeec40c3U,     0x53a597c4U, \
    0x130a55b7U,     0x4bdafdfbU,     0xc8c9b31eU,     0x9c6373e2U, \
    0xfbce3d96U,     0x8081e111U,     0xd3c8ab8aU,     0xfc549b0bU, \
    0x9d42daebU,     0xe8d12043U,     0x7a38103eU,     0x94a3f80cU, \
    0x751df850U,     0x47a79a5dU,     0x81f60659U,     0xd5b9b1e0U, \
    0x9cb54795U,     0xc42e1b12U,     0xc3be1043U,     0x14f42c79U, \
    0xe0973024U,     0x289b4236U,     0x48e424cfU,     0xe219163bU, \
    0xcb41601eU,     0x91bb660cU,     0x3dff266dU,     0xc1650004U, \
    0xaa17ef49U,     0xe2bae876U,     0x19e7f6d3U,     0xb6a58502U, \
    0xda570ba5U,     0xfd07749bU,     0x3362d617U,     0x994fc8dfU, \
    0xc65a151cU,     0x77d61405U,     0xb7cae29bU,     0x4dbc318aU, \
    0x2aa5bf2bU,     0xa292dff2U,     0x4c6f39f4U,     0x9faff5c4U, \
    0x226d5e17U,     0x7a318abbU,     0x2608d2a6U,     0xa475c704U, \
    0x3d37b3d0U,     0x78945971U,     0xcc77c5e6U,     0xbcd45797U, \
    0x9141c4ebU,     0x8213958fU,     0x00118505U,     0x51f5bab7U, \
    0x6069c9f9U,     0x90bb7c76U,     0xaff44ba2U,     0x82586b75U, \
    0x7d9d42e2U,     0x39d90a06U,     0xb79decd8U,     0x68fc12a9U, \
    0x91967eefU,     0x2e1f50c4U,     0x1baf8ea7U,     0x2ec3dcb3U, \
    0x3103cc70U,     0xb0d71173U,     0x10fbd678U,     0x37bfb949U, \
    0x70beb2f5U,     0x4c14f83cU,     0x1c8eed63U,     0xa785218cU, \
    0x91ddd486U,     0xb90bb477U,     0xe76dcd49U,     0x89ca1488U, \
    0x2f61ab53U,     0xe1e20871U,     0x71f09d41U,     0x9ae75f29U, \
    0x8b8cdcb7U,     0x9b612c4bU,     0x2eccb770U,     0x0acd97e9U, \
    0x3db8d096U,     0x8f6bd01dU,     0x727e9e02U,     0xddb19d9cU, \
    0x92375f34U,     0x9d259648U,     0xf4efcdafU,     0x2aac92ffU, \
    0x96ca3ec5U,     0x1e186776U,     0xae062cadU,     0x2ca046e9U, \
    0x9f2f7202U,     0x5d043f5aU,     0x1667efe9U,     0x697214c1U, \
    0xca1d5909U,     0xf7b4a14bU,     0x46d84cddU,     0x6de4bdc6U, \
    0x6f0b0effU,     0xc2ed83beU,     0x7512dadfU,     0xb118a227U, \
    0xdb7dd767U,     0x2248654dU,     0x50c0802dU,     0xabafb460U, \
    0xc5bc4cd6U,     0xc75ca87fU,     0xb228bc77U,     0x52421280U, \
    0xa6b79507U,     0x6d53f5dcU,     0xb1a7c792U,     0xeafe6d4eU, \
    0x69fe5148U,     0x949fd801U,     0xf27b1de9U,     0xde7a68cbU, \
    0x3cdff631U,     0x4f7423d4U,     0xfa18ebf2U,     0x7212e650U, \
    0xd3e37935U,     0x5c62135cU,     0xcdde8227U,     0xca78ff83U, \
    0xd7c7ef72U,     0x96fbed68U,     0xf9bbd44fU,     0x88142f4dU, \
    0x0ff38026U,     0x634ad9e5U,     0x92879eebU,     0x75d6a59cU, \
    0x1ba09e90U,     0xe4413cc5U,     0x48bf8179U,     0x5ca34c95U, \
    0x42a50312U,     0x9a9e6fafU,     0xee447a15U,     0x587c216fU, \
    0x29baf2bcU,     0xb107f56fU,     0x4fe8cf69U,     0xca8920acU, \
    0xf8f2f657U,     0x4740f189U,     0x1a55cc54U,     0xafd13dabU, \
    0x2673bb88U,     0x6189307cU,     0xd894fc98U,     0x951a7af5U, \
    0xe76a35efU,     0xd321a269U,     0x30e31c61U,     0xb6e54e40U, \
    0xe4a4b204U,     0x4647c9e6U,     0xc4a56bc8U,     0xf5ec3846U, \
    0xa22efc97U,     0xa6bfc372U,     0x98726e76U,     0xd5c7ea34U, \
    0xe1a46a87U,     0x22c0263cU,     0xb35d38a8U,     0x34b7caf6U, \
    0xcf43af01U,     0x68c38236U,     0x41c841b7U,     0x376e2fedU, \
    0x35698072U,     0x69c70106U,     0x3898ae42U,     0xffb32c07U, \
    0xc9b35944U,     0xb818066eU,     0x52fcf6d2U,     0x4d1d068aU, \
    0x2d579caaU,     0x1469011dU,     0x4555965fU,     0x975bc1f5U, \
    0x18b17ac0U,     0x7d6be28fU,     0xf283d9a5U,     0x07bfe466U, \
    0x60411d3eU,     0x2341a115U,     0x5ce8cdf9U,     0xf190a990U, \
    0xc5bc2ee8U,     0xc2bf6d42U,     0xa014cee5U,     0xb2a6940dU, \
    0x4ac16eb2U,     0x9b26de7bU,     0xfa5f3b02U,     0x9df3edbdU, \
    0xbf338aa9U,     0x2e6ba575U,     0x579bc2ffU,     0x47ca6beaU, \
    0x00e7d8ddU,     0xf367906eU,     0xa8f24524U,     0xaac57fc8U, \
    0x03535b66U,     0xb846bf5aU,     0x0285bde9U,     0x2ca34bfcU, \
    0x959849cbU,     0x1fb90fc1U,     0x1c55d8e1U,     0x0e78d48cU, \
    0xe1ead588U,     0x5b48e7a2U,     0xad1c2171U,     0xb093eeb3U, \
    0x03db699dU,     0xe2c4a93bU,     0x2e5ec707U,     0x27b785f0U, \
    0x94813b21U,     0xe4bab924U,     0xd8958aa7U,     0x9656cdc3U, \
    0x7b9e3034U,     0xc7ffd96bU,     0x7794da99U,     0x41b3e54cU, \
    0x2d0864fcU,     0x863f9f01U,     0xd21408aeU,     0xd492fa9cU, \
    0xae89d320U,     0xbd298e84U,     0xd66cddf0U,     0x683953d4U, \
    0x252f5addU,     0xa0c4556dU,     0x5854f7f2U,     0x47587132U, \
    0x41e6359fU,     0xdf9a7d6cU,     0xc6253fa0U,     0xf2f8ff80U, \
    0xa2693789U,     0x707f06b9U,     0xe972dc8dU,     0xdc686f65U, \
    0xcb45bbe4U,     0x8cbeceb1U,     0xa401c679U,     0x7c25aa95U, \
    0xa1e705a6U,     0x89006523U,     0xde214148U,     0x60208150U, \
    0x8e5d1752U,     0x987e5606U,     0xd0eff658U,     0x5f8278c5U, \
    0x1e7e7153U,     0x59f5c52cU,     0x9ec171bdU,     0x0375d0e3U, \
    0x2f80d417U,     0xeb9f2b0dU,     0x2b7efeacU,     0xdfbfd799U, \
    0x9335a0eaU,     0x37eae8a6U,     0x4ef568a7U,     0x038a07c8U, \
    0x62114fa5U,     0xd4b78a7eU,     0x2eb4a3d2U,     0x71b88809U, \
    0xab4dc90dU,     0x95f6b893U,     0xa169631bU,     0x3959fe60U, \
    0xac88f2ddU,     0x42eb3ccdU,     0xea11d970U,     0x84439860U, \
    0x6597d7daU,     0x13dea755U,     0x91301172U,     0xdfef218cU, \
    0x6fe6f429U,     0xf153a5bfU,     0x3051cc63U,     0xb753a7e2U, \
    0x84b6072bU,     0x49cbd10cU,     0x099a3ffbU,     0xe9373017U, \
    0xf473492aU,     0x214f0213U,     0xe6da910aU,     0x31cc1fd3U, \
    0x869b373eU,     0xd39a5d38U,     0x382d2387U,     0x311c5337U, \
    0xc55a6766U,     0x134e7661U,     0x77367319U,     0x3ccc743cU, \
    0xc5e85276U,     0xf4fcdd48U,     0x14b96eceU,     0xdd9a6f2eU, \
    0x3f644686U,     0x275edac0U,     0x48fd3b88U,     0x3164f5f7U, \
    0xfb4bb699U,     0x18bee254U,     0x1e7fc5d5U,     0x5db7e004U, \
    0xded9b2dbU,     0xa269e734U,     0xca66e1e1U,     0xf5fb6503U, \
    0x187f3f42U,     0x8ca88be7U,     0x6127586eU,     0xb812e8b4U, \
    0x9da6d44cU,     0x0def7b62U,     0xfe97f798U,     0x372a3dedU, \
    0x720dd566U,     0x023f38f0U,     0xa6cc87f9U,     0x15c19c64U, \
    0x9621c793U,     0x4cfe5a24U,     0x65f5bca7U,     0x811993b9U, \
    0xdaf1152aU,     0x6a862527U,     0x224e8e40U,     0x21920442U, \
    0x432a63aaU,     0xe11d8c56U,     0xc7204d1bU,     0xfe9f2001U, \
    0xd026e562U,     0x36e2b449U,     0x03c3044fU,     0xbc2667ceU, \
    0x38d00449U,     0x4ff19d1bU,     0x6cbc5480U,     0x44f018d3U, \
    0x3fbaee44U,     0x0f7cce51U,     0xbaf04a85U,     0x04839c5dU, \
    0x6777f8fcU,     0x1d1e2399U,     0x4b087957U,     0x3dc91545U, \
    0xd4062905U,     0x0cd7bc84U,     0x666bb675U,     0x73c11d3cU, \
    0x9b5e00bfU,     0xbaca197cU,     0x9b97a8d2U,     0x69ac0691U, \
    0xb44bed1eU,     0x16ab33ceU,     0xfe53b597U,     0xbf1c0b37U, \
    0x78e0949dU,     0x4fb9d932U,     0x09dd820fU,     0x0c3e43e5U, \
    0x625fb18aU,     0x7ec76f74U,     0x2939b01eU,     0x9722ccedU, \
    0x18395f85U,     0xafdca072U,     0x4da85fa3U,     0x7234846dU, \
    0xc5563a3aU,     0x1c2329e1U,     0xa0a2c7f0U,     0xc776a17cU, \
    0x6653d625U,     0x6710e1cbU,     0xf794eb53U,     0x7f3ac4a8U, \
    0x382476baU,     0x5b2b9170U,     0xee4c8c39U,     0x10a2d150U, \
    0x9642442bU,     0xc795d11cU,     0x500357efU,     0x03bab5a5U, \
    0xbdb8f656U,     0x51c92e95U,     0x454a7357U,     0x15ae2605U, \
    0xc0ab59c5U,     0x457aab08U,     0xe6f0f1b1U,     0x377405ffU, \
    0xc3d59e3dU,     0x740e5718U,     0x5e8b7cf2U,     0xc5ba6b0fU, \
    0x51773bdbU,     0xa6596830U,     0xb2c4f096U,     0x4e276dbfU, \
    0x8e1d0dd7U,     0xa293b5bbU,     0x3b64486bU,     0x5d15ea1dU, \
    0xa638dfe8U,     0x2382e9baU,     0x4f1ff926U,     0xfa644388U, \
    0x7d53e7aaU,     0xb935a13cU,     0xbc5d40d6U,     0xebf77e00U, \
    0x779828daU,     0xcb64402aU,     0x5881dae1U,     0x73214e21U, \
    0x979c32a5U,     0xac9faf9fU,     0xf8f3e7f9U,     0xfad77666U, \
    0x0f0e8dc5U,     0x3dfefddaU,     0x72ebdba6U,     0x4cc72e49U, \
    0x55e12318U,     0x435605f3U,     0xdb7bce67U,     0x8c61bb72U, \
    0x036b45d9U,     0x43c2e016U,     0x36e8486cU,     0xb19c6286U, \
    0xd6306843U,     0x4d4dfeaeU,     0x8efc6ee7U,     0x07cd99faU, \
    0x645a3c21U,     0xd33c5eaaU,     0x434a0618U,     0x7eb7fd2fU, \
    0xb3430f2eU,     0x4d57e981U,     0x41509a45U,     0x16213217U, \
    0x5b102ffaU,     0x403a01e1U,     0x13ca97e8U,     0x857a9d0dU, \
    0x89aef8c6U,     0x575c9216U,     0x574ff55eU,     0x3e40fbc3U, \
    0xf7357c07U,     0x4cd74bbaU,     0x01c53e7bU,     0x494e8326U, \
    0xb7cc33c6U,     0x43383625U,     0xb835e48cU,     0xc735f8e1U, \
    0x8c680a03U,     0x94a51c96U,     0xcb9e208cU,     0x6dcac31dU, \
    0x8575e97cU,     0x93b49d14U,     0xb0a97911U,     0x4a99540aU, \
    0xf3d8a976U,     0xf5791485U,     0x4648a121U,     0x02cd9320U, \
    0x97295d2dU,     0x35b2b46eU,     0x14b564deU,     0x75a9a64bU, \
    0x6c97eca4U,     0xef79224dU,     0x61bc7bf1U,     0x5bbdc4a4U, \
    0x3f173b4bU,     0xdfd95837U,     0xcbe7df00U,     0xc41e1afeU, \
    0x383167b9U,     0xa6894eccU,     0xfdff1532U,     0x4827657aU, \
    0xcbcd5be3U,     0x51845cafU,     0xabff045cU,     0x93f0bac3U, \
    0x761fc836U,     0x0f42a8a7U,     0x71f4784aU,     0xd7c2f231U, \
    0x15e1d48fU,     0xf21a01eeU,     0x3d480934U,     0xd731af93U, \
    0x2dff402eU,     0xad721758U,     0x801cf355U,     0xf83d228dU, \
    0x2400bed8U,     0xffe7d475U,     0x6776065bU,     0x3e0df866U, \
    0x66a4dfd9U,     0xa85cb21cU,     0x1bbb6bccU,     0x9d624681U, \
    0x6b4a53a9U,     0xffc459d8U,     0x2078088aU,     0x746856c5U, \
    0x28d09fb7U,     0xc55979afU,     0x3344f6beU,     0xcf8469e5U, \
    0x9c28ea2aU,     0x25d56743U,     0x3df265d0U,     0x2ce94744U, \
    0xbda46c2bU,     0xafe708f9U,     0x30677a03U,     0x4ebdce91U, \
    0xc9fc69e5U,     0x7d9a7486U,     0x63871d06U,     0x856cfb91U, \
    0xfe1a9b8cU,     0xa68eeee3U,     0x3e13a442U,     0x2f1956aeU, \
    0x8c819716U,     0xedae725bU,     0x3e290571U,     0x5ea5db59U, \
    0xff100a4fU,     0xeebb3d9bU,     0x29fa32a1U,     0xc4c7a1c6U, \
    0x55f17f49U,     0xd5d28b40U,     0xa55ff6d9U,     0xe37958ffU, \
    0x43248d0bU,     0xfac07325U,     0xfd28b75eU,     0x89f88aa3U, \
    0x0bd49cdfU,     0x49170d49U,     0x4ed70720U,     0x7d3eee51U, \
    0x38ffffedU,     0x13340397U,     0x8ef42366U,     0x82001cb9U, \
    0xc2645361U,     0x519f9c8dU,     0x405af464U,     0xec7d070dU, \
    0x768f8242U,     0x6a060f3fU,     0xfd0399dfU,     0x380bee8cU, \
    0xf9c3a88bU,     0x2671c9e1U,     0x2f1c3b6bU,     0x076fef8bU, \
    0x82e2358aU,     0xf2b111eeU,     0xe14bb430U,     0xcead88f0U, \
    0x143db927U,     0xdee555a3U,     0x468838caU,     0x7484d1a6U, \
    0xffe86111U,     0x721f652aU,     0xb9bee516U,     0x654356b2U, \
    0xcc696c92U,     0x23e593daU,     0x1fca8f36U,     0x1645a87aU, \
    0xf7efd14aU,     0x2c240bfeU,     0xee562298U,     0xa0f671dbU, \
    0xd68327fdU,     0xc57be54dU,     0x608dd8d4U,     0xe65ba05eU, \
    0x26a3c29cU,     0x7f1a3075U,     0x389a41a8U,     0x2303fc91U, \
    0xeaeb7c15U,     0x6ca60cc4U,     0xd10bb791U,     0x61c5e470U, \
    0x219bef7bU,     0xfcfac211U,     0x205a87b7U,     0xf1b65363U, \
    0x2d84920dU,     0x880033d6U,     0xc3813013U,     0xf6777959U, \
    0x7a5b8475U,     0x2a4ffc0fU,     0xe6488110U,     0x1c221fddU, \
    0xf07ad520U,     0x836a7705U,     0xa5f8afc2U,     0xb41e7616U, \
    0xd6fb1b63U,     0xb6981f1eU,     0xe3f85581U,     0x8045b302U, \
    0x41a48f78U,     0x0d93ae72U,     0xac9e011bU,     0xe7a4b8bfU, \
    0xf35cc3eaU,     0x6e220c58U,     0x7efc2596U,     0x7c87f9b4U, \
    0x77358497U,     0xc8c704ecU,     0xe72d4f78U,     0x68fe121fU, \
    0xfdd307f5U,     0xdd9a7931U,     0x51c3e856U,     0x4b941673U, \
    0x07a33074U,     0x93164ca6U,     0x9a759e8aU,     0x7e606013U, \
    0xc7c38b90U,     0xc735d7f0U,     0xc7ff760cU,     0xbb204688U, \
    0xab90af84U,     0x34415792U,     0x620aad64U,     0x1d12669fU, \
    0x2cc1c86fU,     0xaae4d720U,     0x6296c097U,     0x35ecececU, \
    0xdca460b7U,     0xfbb537ebU,     0x384d4b0aU,     0xba78de23U, \
    0xeaf92495U,     0xcd886bf4U,     0x1a08d552U,     0x6ef64055U, \
    0x54c9a248U,     0x294552a7U,     0xe34fe604U,     0x1ad9f0e2U, \
    0xde62ccebU,     0xd0ff20ebU,     0xd87e7effU,     0x15e65a95U, \
    0x9626db9bU,     0xafd7677bU,     0x3b6fa44bU,     0xa12a8ab6U, \
    0x38e0d029U,     0x24440937U,     0xe9517ba1U,     0x572e94d9U, \
    0xeb10e498U,     0xdf4142c1U,     0x2168a1dbU,     0x2c1dbb50U, \
    0x02100761U,     0x1cc109e5U,     0xa120b629U,     0x5a9bb269U, \
    0xbe8fef19U,     0x4ff62f31U,     0x73a6d1c3U,     0x5eabe733U, \
    0xe1c506beU,     0x3fcf5a9dU,     0x2ff9e0e0U,     0x0e34cf37U, \
    0x7f6fda36U,     0x873f8f5dU,     0x24f56864U,     0xacff4159U, \
    0x1a25051aU,     0xe27e954eU,     0x1b45066fU,     0x6dccfeffU, \
    0xcf0f03f7U,     0x6e07688aU,     0x3d8c666eU,     0xab627802U, \
    0x7dbba4bfU,     0x4dddf37bU,     0xba90b9bdU,     0x51473959U, \
    0xeae600e6U,     0x4e6fe24aU,     0x2e2be986U,     0x9932e093U, \
    0xc541cfa7U,     0x1f91a795U,     0xd6c4ba57U,     0xb1c67e1fU, \
    0x08226f54U,     0x85e3b4f5U,     0xd0881dd0U,     0x59823acfU, \
    0xcaca33caU,     0x6de1cd5fU,     0x21724661U,     0x169ea324U, \
    0xbd272fcbU,     0xba43b451U,     0x57bb63e4U,     0xf61a3df9U, \
    0x03ffb77aU,     0xc00a1765U,     0xeedf3edfU,     0x639e2820U, \
    0xdb594493U,     0x88c6f308U,     0x0449b6daU,     0xb683d310U, \
    0xbb8dbc4bU,     0xa3fd4777U,     0x180cad67U,     0xd9e6cf79U, \
    0xd8f2f0d5U,     0x7bc1a6f0U,     0x6c7b10c7U,     0x4a312d62U, \
    0x5d8c566cU,     0xca6fa3e5U,     0x5d811875U,     0xa7555c3fU, \
    0x4d7684beU,     0x0a428ba2U,     0x0597fac2U,     0x75a39c01U, \
    0xa547a1e3U,     0x7ad41ddeU,     0xcf21e434U,     0xc164d7b6U, \
    0x42624f58U,     0x8b8056c0U,     0x047678bdU,     0x29d6b2ecU, \
    0x3d5482c4U,     0x888dbfd3U,     0xd81c94a1U,     0x8c280bdcU, \
    0xcbd63a53U,     0x5e408887U,     0x7a806646U,     0xe9cf7b72U, \
    0x5abe13efU,     0x1b678088U,     0x8b21b33cU,     0xf909c608U, \
    0xdda6a4bdU,     0x4cd90915U,     0x1a6b873aU,     0x3d421db6U, \
    0xf5a727ffU,     0xf800e5f4U,     0x8991ee61U,     0xecb623b4U, \
    0x1178d55eU,     0xef9b281eU,     0x586aedf2U,     0x338dcf07U, \
    0x0858cf65U,     0x5bdfd2f4U,     0x028e7506U,     0x520fd592U, \
    0x09a98199U,     0x0cd72530U,     0x52569645U,     0x157d1d1bU, \
    0xef92a9fdU,     0xc69b26ffU,     0x50f521ccU,     0x8ad7ea01U, \
    0xd601abc3U,     0x66614c19U,     0x37ce7069U,     0x79ea3bb2U, \
    0xd22c4991U,     0x79c2f26bU,     0xd3dfc46eU,     0x5dab53deU, \
    0x3360e37eU,     0x0e7302f6U,     0x646ce896U,     0xa78d4dd0U, \
    0xe7ac7fa6U,     0x0a6dc2b5U,     0xe4ce2bddU,     0xf20bdc6cU, \
    0x9ddddbdbU,     0x6e3ae4e7U,     0x81bb3b66U,     0xbf28fe39U, \
    0xa493b5c4U,     0xc00c90b3U,     0x2ba93337U,     0xd59a6b0dU, \
    0xa0d0d86aU,     0x21ecf516U,     0x05ad38e1U,     0xa059fc99U, \
    0x1fe1091fU,     0x2f53607cU,     0x13b5ddadU,     0xe6c45c42U, \
    0x42b0c027U,     0x34e23925U,     0x00000091U\
} /* 265561 bytes */
